/// Translated to Dart by Shawn Lauzon
/// Original project at https://github.com/drtimcooper/LatLongToTimezone
/// Original code at https://raw.githubusercontent.com/drtimcooper/LatLongToTimezone/master/src/main/java/com/skedgo/converter/TimezoneMapper.java

/** The provided code is written by Tim Cooper:   tim@edval.com.au
This code is available under the MIT licence:  https://opensource.org/licenses/MIT  */
// class TimezoneMapper {

String latLngToTimezoneString(num lat, num lng) {
  String tzId = _timezoneStrings[_getTzInt(lat, lng)];
  return tzId;
}

List<String> _timezoneStrings = [
  "unknown",
  "Africa/Abidjan",
  "Africa/Accra",
  "Africa/Addis_Ababa",
  "Africa/Algiers",
  "Africa/Asmara",
  "Africa/Bamako",
  "Africa/Bangui",
  "Africa/Banjul",
  "Africa/Bissau",
  "Africa/Blantyre",
  "Africa/Brazzaville",
  "Africa/Bujumbura",
  "Africa/Cairo",
  "Africa/Casablanca",
  "Africa/Ceuta",
  "Africa/Conakry",
  "Africa/Dakar",
  "Africa/Dar_es_Salaam",
  "Africa/Djibouti",
  "Africa/Douala",
  "Africa/El_Aaiun",
  "Africa/Freetown",
  "Africa/Gaborone",
  "Africa/Harare",
  "Africa/Johannesburg",
  "Africa/Juba",
  "Africa/Kampala",
  "Africa/Khartoum",
  "Africa/Kigali",
  "Africa/Kinshasa",
  "Africa/Lagos",
  "Africa/Libreville",
  "Africa/Lome",
  "Africa/Luanda",
  "Africa/Lubumbashi",
  "Africa/Lusaka",
  "Africa/Malabo",
  "Africa/Maputo",
  "Africa/Maseru",
  "Africa/Mbabane",
  "Africa/Mogadishu",
  "Africa/Monrovia",
  "Africa/Nairobi",
  "Africa/Ndjamena",
  "Africa/Niamey",
  "Africa/Nouakchott",
  "Africa/Ouagadougou",
  "Africa/Porto-Novo",
  "Africa/Sao_Tome",
  "Africa/Tripoli",
  "Africa/Tunis",
  "Africa/Windhoek",
  "America/Adak",
  "America/Anchorage",
  "America/Anguilla",
  "America/Antigua",
  "America/Aruba",
  "America/Araguaina",
  "America/Argentina/Buenos_Aires",
  "America/Argentina/Catamarca",
  "America/Argentina/Cordoba",
  "America/Argentina/Jujuy",
  "America/Argentina/La_Rioja",
  "America/Argentina/Mendoza",
  "America/Argentina/Rio_Gallegos",
  "America/Argentina/Salta",
  "America/Argentina/San_Juan",
  "America/Argentina/San_Luis",
  "America/Argentina/Tucuman",
  "America/Argentina/Ushuaia",
  "America/Asuncion",
  "America/Atikokan",
  "America/Bahia",
  "America/Bahia_Banderas",
  "America/Barbados",
  "America/Belem",
  "America/Belize",
  "America/Blanc-Sablon",
  "America/Boa_Vista",
  "America/Bogota",
  "America/Boise",
  "America/Cambridge_Bay",
  "America/Campo_Grande",
  "America/Cancun",
  "America/Caracas",
  "America/Cayenne",
  "America/Cayman",
  "America/Chicago",
  "America/Chihuahua",
  "America/Costa_Rica",
  "America/Creston",
  "America/Cuiaba",
  "America/Curacao",
  "America/Danmarkshavn",
  "America/Dawson",
  "America/Dawson_Creek",
  "America/Denver",
  "America/Detroit",
  "America/Dominica",
  "America/Edmonton",
  "America/Eirunepe",
  "America/El_Salvador",
  "America/Fort_Nelson",
  "America/Fortaleza",
  "America/Glace_Bay",
  "America/Godthab",
  "America/Goose_Bay",
  "America/Grand_Turk",
  "America/Grenada",
  "America/Guadeloupe",
  "America/Guatemala",
  "America/Guayaquil",
  "America/Guyana",
  "America/Halifax",
  "America/Havana",
  "America/Hermosillo",
  "America/Indiana/Indianapolis",
  "America/Indiana/Knox",
  "America/Indiana/Marengo",
  "America/Indiana/Petersburg",
  "America/Indiana/Tell_City",
  "America/Indiana/Vevay",
  "America/Indiana/Vincennes",
  "America/Indiana/Winamac",
  "America/Inuvik",
  "America/Iqaluit",
  "America/Jamaica",
  "America/Juneau",
  "America/Kentucky/Louisville",
  "America/Kentucky/Monticello",
  "America/Kralendijk",
  "America/La_Paz",
  "America/Lima",
  "America/Los_Angeles",
  "America/Lower_Princes",
  "America/Maceio",
  "America/Managua",
  "America/Manaus",
  "America/Marigot",
  "America/Martinique",
  "America/Matamoros",
  "America/Mazatlan",
  "America/Miquelon",
  "America/Menominee",
  "America/Merida",
  "America/Metlakatla",
  "America/Mexico_City",
  "America/Moncton",
  "America/Monterrey",
  "America/Montevideo",
  "America/Montserrat",
  "America/Nassau",
  "America/New_York",
  "America/Nipigon",
  "America/Nome",
  "America/Noronha",
  "America/North_Dakota/Beulah",
  "America/North_Dakota/Center",
  "America/North_Dakota/New_Salem",
  "America/Ojinaga",
  "America/Panama",
  "America/Pangnirtung",
  "America/Paramaribo",
  "America/Phoenix",
  "America/Port-au-Prince",
  "America/Port_of_Spain",
  "America/Porto_Velho",
  "America/Puerto_Rico",
  "America/Punta_Arenas",
  "America/Rainy_River",
  "America/Rankin_Inlet",
  "America/Recife",
  "America/Regina",
  "America/Resolute",
  "America/Rio_Branco",
  "America/Santarem",
  "America/Santiago",
  "America/Santo_Domingo",
  "America/Sao_Paulo",
  "America/Scoresbysund",
  "America/Sitka",
  "America/St_Barthelemy",
  "America/St_Johns",
  "America/St_Kitts",
  "America/St_Lucia",
  "America/St_Thomas",
  "America/St_Vincent",
  "America/Swift_Current",
  "America/Tegucigalpa",
  "America/Thule",
  "America/Thunder_Bay",
  "America/Tijuana",
  "America/Toronto",
  "America/Tortola",
  "America/Vancouver",
  "America/Whitehorse",
  "America/Winnipeg",
  "America/Yakutat",
  "America/Yellowknife",
  "Antarctica/Casey",
  "Antarctica/Davis",
  "Antarctica/DumontDUrville",
  "Antarctica/Macquarie",
  "Antarctica/Mawson",
  "Antarctica/McMurdo",
  "Antarctica/Palmer",
  "Antarctica/Rothera",
  "Antarctica/Syowa",
  "Antarctica/Troll",
  "Antarctica/Vostok",
  "Arctic/Longyearbyen",
  "Asia/Aden",
  "Asia/Almaty",
  "Asia/Amman",
  "Asia/Anadyr",
  "Asia/Aqtau",
  "Asia/Aqtobe",
  "Asia/Ashgabat",
  "Asia/Atyrau",
  "Asia/Baghdad",
  "Asia/Bahrain",
  "Asia/Baku",
  "Asia/Bangkok",
  "Asia/Barnaul",
  "Asia/Beirut",
  "Asia/Bishkek",
  "Asia/Brunei",
  "Asia/Chita",
  "Asia/Choibalsan",
  "Asia/Colombo",
  "Asia/Damascus",
  "Asia/Dhaka",
  "Asia/Dili",
  "Asia/Dubai",
  "Asia/Dushanbe",
  "Asia/Famagusta",
  "Asia/Gaza",
  "Asia/Hebron",
  "Asia/Ho_Chi_Minh",
  "Asia/Hong_Kong",
  "Asia/Hovd",
  "Asia/Irkutsk",
  "Asia/Jakarta",
  "Asia/Jayapura",
  "Asia/Jerusalem",
  "Asia/Kabul",
  "Asia/Kamchatka",
  "Asia/Karachi",
  "Asia/Kathmandu",
  "Asia/Khandyga",
  "Asia/Kolkata",
  "Asia/Krasnoyarsk",
  "Asia/Kuala_Lumpur",
  "Asia/Kuching",
  "Asia/Kuwait",
  "Asia/Macau",
  "Asia/Magadan",
  "Asia/Makassar",
  "Asia/Manila",
  "Asia/Muscat",
  "Asia/Nicosia",
  "Asia/Novokuznetsk",
  "Asia/Novosibirsk",
  "Asia/Omsk",
  "Asia/Oral",
  "Asia/Phnom_Penh",
  "Asia/Pontianak",
  "Asia/Pyongyang",
  "Asia/Qatar",
  "Asia/Qostanay",
  "Asia/Qyzylorda",
  "Asia/Riyadh",
  "Asia/Samarkand",
  "Asia/Sakhalin",
  "Asia/Seoul",
  "Asia/Shanghai",
  "Asia/Singapore",
  "Asia/Srednekolymsk",
  "Asia/Taipei",
  "Asia/Tashkent",
  "Asia/Tbilisi",
  "Asia/Tehran",
  "Asia/Thimphu",
  "Asia/Tokyo",
  "Asia/Tomsk",
  "Asia/Ulaanbaatar",
  "Asia/Urumqi",
  "Asia/Ust-Nera",
  "Asia/Vientiane",
  "Asia/Vladivostok",
  "Asia/Yakutsk",
  "Asia/Yangon",
  "Asia/Yekaterinburg",
  "Asia/Yerevan",
  "Atlantic/Azores",
  "Atlantic/Bermuda",
  "Atlantic/Canary",
  "Atlantic/Cape_Verde",
  "Atlantic/Faroe",
  "Atlantic/Madeira",
  "Atlantic/Reykjavik",
  "Atlantic/South_Georgia",
  "Atlantic/St_Helena",
  "Atlantic/Stanley",
  "Australia/Adelaide",
  "Australia/Brisbane",
  "Australia/Broken_Hill",
  "Australia/Currie",
  "Australia/Darwin",
  "Australia/Eucla",
  "Australia/Hobart",
  "Australia/Lindeman",
  "Australia/Lord_Howe",
  "Australia/Melbourne",
  "Australia/Perth",
  "Australia/Sydney",
  "Etc/UTC",
  "Europe/Amsterdam",
  "Europe/Andorra",
  "Europe/Astrakhan",
  "Europe/Athens",
  "Europe/Belgrade",
  "Europe/Berlin",
  "Europe/Bratislava",
  "Europe/Brussels",
  "Europe/Bucharest",
  "Europe/Budapest",
  "Europe/Busingen",
  "Europe/Chisinau",
  "Europe/Copenhagen",
  "Europe/Dublin",
  "Europe/Gibraltar",
  "Europe/Guernsey",
  "Europe/Helsinki",
  "Europe/Isle_of_Man",
  "Europe/Istanbul",
  "Europe/Jersey",
  "Europe/Kaliningrad",
  "Europe/Kiev",
  "Europe/Kirov",
  "Europe/Lisbon",
  "Europe/Ljubljana",
  "Europe/London",
  "Europe/Luxembourg",
  "Europe/Madrid",
  "Europe/Malta",
  "Europe/Mariehamn",
  "Europe/Minsk",
  "Europe/Monaco",
  "Europe/Moscow",
  "Europe/Oslo",
  "Europe/Paris",
  "Europe/Podgorica",
  "Europe/Prague",
  "Europe/Riga",
  "Europe/Rome",
  "Europe/Samara",
  "Europe/San_Marino",
  "Europe/Sarajevo",
  "Europe/Saratov",
  "Europe/Simferopol",
  "Europe/Skopje",
  "Europe/Sofia",
  "Europe/Stockholm",
  "Europe/Tallinn",
  "Europe/Tirane",
  "Europe/Ulyanovsk",
  "Europe/Uzhgorod",
  "Europe/Vaduz",
  "Europe/Vatican",
  "Europe/Vienna",
  "Europe/Vilnius",
  "Europe/Volgograd",
  "Europe/Warsaw",
  "Europe/Zagreb",
  "Europe/Zaporozhye",
  "Europe/Zurich",
  "Indian/Antananarivo",
  "Indian/Chagos",
  "Indian/Christmas",
  "Indian/Cocos",
  "Indian/Comoro",
  "Indian/Kerguelen",
  "Indian/Mahe",
  "Indian/Maldives",
  "Indian/Mauritius",
  "Indian/Mayotte",
  "Indian/Reunion",
  "Pacific/Apia",
  "Pacific/Auckland",
  "Pacific/Bougainville",
  "Pacific/Chatham",
  "Pacific/Chuuk",
  "Pacific/Easter",
  "Pacific/Efate",
  "Pacific/Enderbury",
  "Pacific/Fakaofo",
  "Pacific/Fiji",
  "Pacific/Funafuti",
  "Pacific/Galapagos",
  "Pacific/Gambier",
  "Pacific/Guadalcanal",
  "Pacific/Guam",
  "Pacific/Honolulu",
  "Pacific/Kiritimati",
  "Pacific/Kosrae",
  "Pacific/Kwajalein",
  "Pacific/Majuro",
  "Pacific/Marquesas",
  "Pacific/Midway",
  "Pacific/Nauru",
  "Pacific/Niue",
  "Pacific/Norfolk",
  "Pacific/Noumea",
  "Pacific/Pago_Pago",
  "Pacific/Palau",
  "Pacific/Pitcairn",
  "Pacific/Pohnpei",
  "Pacific/Port_Moresby",
  "Pacific/Rarotonga",
  "Pacific/Saipan",
  "Pacific/Tahiti",
  "Pacific/Tarawa",
  "Pacific/Tongatapu",
  "Pacific/Wake",
  "Pacific/Wallis"
];

int _getTzInt(num lat, num lng) {
  if (lng < 40.227580) if (lng < -74.790449) if (lat < 11.948729) if (lng < -148.915052) if (lat < -15.365572) if (lng <
      -162.907168) if (lat < -22.132469) if (lat < -31.152578) if (lat < -75.000000)
    return 205;
  else if (lat < -37.433796)
    return 390;
  else
    return 392;
  else if (lat < -29.030330)
    return 390;
  else
    return 424;
  else if (lat < -18.370291) if (lat < -19.391686) if (lng < -178.018393)
    return 398;
  else
    return 424;
  else if (lng < -174.409124) if (lng < -176.450182)
    return 398;
  else
    return 424;
  else if (lng < -171.934489)
    return 412;
  else
    return 424;
  else if (lng < -175.393670) if (lng < -176.944457)
    return 398;
  else
    return 424;
  else if (lng < -173.529546)
    return 424;
  else
    return 420;
  else if (lat < -18.624323) if (lat < -21.595903) if (lat <
      -23.126466) if (lat < -49.301828)
    return 205;
  else
    return 422;
  else if (lng < -157.667741)
    return 420;
  else
    return 422;
  else
    return 420;
  else
    return 422;
  else if (lng < -170.339391) if (lat < -8.332863) if (lat <
      -12.982796) if (lng < -175.919039)
    return 426;
  else if (lng < -171.122917)
    return 389;
  else
    return 415;
  else if (lng < -172.263966) if (lat < -9.006964)
    return 397;
  else
    return 399;
  else if (lat < -10.844975)
    return 415;
  else
    return 397;
  else
    return 396;
  else if (lat < -8.716879) if (lng < -162.837703) if (lng < -169.212472)
    return 415;
  else
    return 420;
  else if (lng < -157.674746)
    return 420;
  else if (lng < -149.992536)
    return 405;
  else
    return 422;
  else
    return 405;
  else if (lat < -19.605166) if (lat < -24.280320) if (lat <
      -33.406000) if (lat < -48.582229) if (lat < -66.000000) {
    if (poly[0].contains(lat, lng))
      return 207;
    else
      return 205;
  } else if (lng < -74.972849) {
    if (poly[1].contains(lat, lng))
      return 177;
    else
      return 169;
  } else {
    if (poly[2].contains(lat, lng))
      return 177;
    else
      return 169;
  }
  else
    return 177;
  else if (lat < -26.087000) if (lng < -143.258327)
    return 422;
  else if (lat < -26.702500)
    return 177;
  else
    return 394;
  else
    return 417;
  else if (lng < -138.293890)
    return 422;
  else if (lng < -134.244799)
    return 401;
  else
    return 417;
  else if (lng < -140.967399)
    return 422;
  else if (lng < -138.120374) if (lat < -14.596066)
    return 422;
  else
    return 409;
  else if (lng < -86.850836) if (lng < -136.083016)
    return 422;
  else if (lat < 3.608283)
    return 90;
  else
    return 400;
  else if (lat < 4.215425) if (lat < 1.469581) if (lat < -8.981652)
    return 133;
  else if (lat < -3.756035) if (lng < -79.713051) {
    if (poly[3].contains(lat, lng))
      return 112;
    else
      return 133;
  } else {
    if (poly[4].contains(lat, lng))
      return 112;
    else
      return 133;
  }
  else if (lng < -79.655334) {
    if (poly[5].contains(lat, lng))
      return 133;
    else
      return 112;
  } else if (lat < -1.143227) {
    if (poly[6].contains(lat, lng))
      return 133;
    else
      return 112;
  } else if (lng < -77.222892) {
    if (poly[7].contains(lat, lng))
      return 80;
    else
      return 112;
  } else if (lat < 0.163177) if (lng < -76.006670)
    return 112;
  else if (lat < -0.490025) {
    if (poly[8].contains(lat, lng))
      return 133;
    else
      return 112;
  } else {
    if (poly[9].contains(lat, lng)) return 80;
    if (poly[10].contains(lat, lng))
      return 133;
    else
      return 112;
  }
  else {
    if (poly[11].contains(lat, lng))
      return 112;
    else
      return 80;
  }
  else
    return 80;
  else if (lng < -83.545675) {
    if (poly[12].contains(lat, lng))
      return 137;
    else
      return 90;
  } else if (lng < -82.506021) {
    if (poly[13].contains(lat, lng))
      return 161;
    else
      return 90;
  } else if (lng < -78.648235)
    return 161;
  else if (lat < 7.779632) {
    if (poly[14].contains(lat, lng))
      return 161;
    else
      return 80;
  } else {
    if (poly[15].contains(lat, lng))
      return 161;
    else
      return 80;
  }
  else
    return _call5(lat, lng);
  else if (lat < 27.433543) if (lng < -34.628225)
    return _call18(lat, lng);
  else
    return _call19(lat, lng);
  else if (lng < 4.940364)
    return _call25(lat, lng);
  else
    return _call26(lat, lng);
  else if (lat < 6.459000) if (lat < -13.507685)
    return _call28(lat, lng);
  else if (lng < 137.031744) if (lng < 79.769537) if (lng < 51.396615) if (lat <
      -9.003195) if (lng < 45.507035) if (lng < 40.934512) {
    if (poly[16].contains(lat, lng))
      return 18;
    else
      return 38;
  } else {
    if (poly[17].contains(lat, lng))
      return 387;
    else
      return 382;
  }
  else if (lat < -11.732889)
    return 378;
  else
    return 384;
  else if (lat < 1.448202) {
    if (poly[18].contains(lat, lng))
      return 43;
    else
      return 41;
  } else if (lng < 44.770743) {
    if (poly[19].contains(lat, lng)) return 41;
    if (poly[20].contains(lat, lng))
      return 43;
    else
      return 3;
  } else {
    if (poly[21].contains(lat, lng))
      return 3;
    else
      return 41;
  }
  else if (lng < 56.153431)
    return 384;
  else if (lat < -6.892368) if (lng < 56.907685) if (lat < -8.768959)
    return 384;
  else
    return 386;
  else
    return 379;
  else if (lat < -5.037066)
    return 379;
  else
    return 385;
  else
    return _call27(lat, lng);
  else if (lng < 158.980861) if (lat < -9.690684) if (lng < 144.157024)
    return 306;
  else
    return 419;
  else if (lng < 143.966337) if (lat < -9.484383)
    return 306;
  else if (lng < 142.851886) if (lng < 141.647501) if (lat < -9.445798)
    return 306;
  else {
    if (poly[22].contains(lat, lng))
      return 419;
    else
      return 244;
  }
  else if (lng < 142.345755) {
    if (poly[23].contains(lat, lng))
      return 306;
    else
      return 419;
  } else {
    if (poly[24].contains(lat, lng))
      return 306;
    else
      return 419;
  }
  else if (lng < 143.653847) if (lng < 143.338933) {
    if (poly[25].contains(lat, lng))
      return 306;
    else
      return 419;
  } else if (lat < -9.389158)
    return 306;
  else
    return 419;
  else if (lat < -9.088012)
    return 306;
  else
    return 419;
  else if (lat < -0.557358) if (lng < 144.296103) if (lat < -9.305249)
    return 306;
  else
    return 419;
  else if (lng < 154.622311) {
    if (poly[26].contains(lat, lng))
      return 391;
    else
      return 419;
  } else if (lat < -6.377546) {
    if (poly[27].contains(lat, lng))
      return 391;
    else
      return 402;
  } else
    return 391;
  else if (lng < 154.023397)
    return 393;
  else
    return 418;
  else if (lat < -4.810850) if (lng < 169.050657) if (lat <
      -12.871378) if (lng < 163.592134)
    return 395;
  else
    return 402;
  else
    return 402;
  else if (lat < -11.406307) if (lng < 170.396467)
    return 402;
  else
    return 398;
  else
    return 399;
  else if (lng < 172.373701) if (lng < 168.336144) if (lng <
      160.917151) if (lat < 0.877112)
    return 391;
  else
    return 418;
  else if (lng < 163.236405)
    return 406;
  else if (lat < 2.544000)
    return 408;
  else
    return 411;
  else if (lat < -0.645000)
    return 423;
  else
    return 408;
  else
    return 423;
  else if (lng < 115.212170) if (lat < 28.246987)
    return _call43(lat, lng);
  else if (lng < 69.957225) if (lat < 43.586429) if (lng < 51.009030)
    return _call32(lat, lng);
  else
    return _call33(lat, lng);
  else if (lat < 54.891446)
    return _call36(lat, lng);
  else if (lat < 55.442170) if (lng < 53.915395) {
    if (poly[28].contains(lat, lng))
      return 293;
    else
      return 350;
  } else if (lng < 59.172064) {
    if (poly[29].contains(lat, lng))
      return 350;
    else
      return 293;
  } else {
    if (poly[30].contains(lat, lng))
      return 293;
    else
      return 213;
  }
  else if (lat < 73.603159)
    return _call35(lat, lng);
  else
    return 350;
  else
    return _call42(lat, lng);
  else
    return _call46(lat, lng);
}

int _call0(num lat, num lng) {
  if (lat < 31.541963) if (lng < -105.630949) if (lat < 28.333599) if (lng <
      -107.815375) if (lat < 26.729418) {
    if (poly[31].contains(lat, lng)) return 89;
    if (poly[32].contains(lat, lng))
      return 116;
    else
      return 142;
  } else if (lng < -108.907589) {
    if (poly[33].contains(lat, lng)) return 89;
    if (poly[34].contains(lat, lng))
      return 89;
    else
      return 116;
  } else if (lat < 27.531508) {
    if (poly[35].contains(lat, lng)) return 116;
    if (poly[36].contains(lat, lng))
      return 142;
    else
      return 89;
  } else {
    if (poly[37].contains(lat, lng)) return 116;
    if (poly[38].contains(lat, lng)) return 116;
    if (poly[39].contains(lat, lng)) return 116;
    if (poly[40].contains(lat, lng))
      return 116;
    else
      return 89;
  }
  else if (lat < 26.729418) if (lng < -106.723162) {
    if (poly[41].contains(lat, lng)) return 89;
    if (poly[42].contains(lat, lng))
      return 149;
    else
      return 142;
  } else {
    if (poly[43].contains(lat, lng))
      return 149;
    else
      return 89;
  }
  else {
    if (poly[44].contains(lat, lng))
      return 149;
    else
      return 89;
  }
  else if (lng < -107.815375) if (lat < 29.937781) {
    if (poly[45].contains(lat, lng))
      return 116;
    else
      return 89;
  } else if (lng < -108.907589) {
    if (poly[46].contains(lat, lng)) return 97;
    if (poly[47].contains(lat, lng)) return 160;
    if (poly[48].contains(lat, lng))
      return 164;
    else
      return 116;
  } else if (lat < 30.739872) {
    if (poly[49].contains(lat, lng)) return 89;
    if (poly[50].contains(lat, lng))
      return 116;
    else
      return 160;
  } else {
    if (poly[51].contains(lat, lng)) return 89;
    if (poly[52].contains(lat, lng)) return 97;
    if (poly[53].contains(lat, lng))
      return 116;
    else
      return 160;
  }
  else if (lat < 29.937781) {
    if (poly[54].contains(lat, lng))
      return 160;
    else
      return 89;
  } else if (lng < -106.723162) {
    if (poly[55].contains(lat, lng))
      return 160;
    else
      return 89;
  } else {
    if (poly[56].contains(lat, lng)) return 89;
    if (poly[57].contains(lat, lng))
      return 97;
    else
      return 160;
  }
  else if (lat < 28.333599) if (lng < -103.446522) if (lat < 26.729418) {
    if (poly[58].contains(lat, lng)) return 89;
    if (poly[59].contains(lat, lng))
      return 89;
    else
      return 149;
  } else if (lng < -104.538735)
    return 89;
  else if (lat < 27.531508) {
    if (poly[60].contains(lat, lng)) return 89;
    if (poly[61].contains(lat, lng)) return 141;
    if (poly[62].contains(lat, lng))
      return 141;
    else
      return 149;
  } else {
    if (poly[63].contains(lat, lng)) return 89;
    if (poly[64].contains(lat, lng)) return 141;
    if (poly[65].contains(lat, lng))
      return 141;
    else
      return 149;
  }
  else if (lat < 26.729418)
    return 149;
  else if (lng < -102.354308) {
    if (poly[66].contains(lat, lng))
      return 141;
    else
      return 149;
  } else {
    if (poly[67].contains(lat, lng)) return 141;
    if (poly[68].contains(lat, lng))
      return 141;
    else
      return 149;
  }
  else if (lng < -103.446522) if (lat < 29.937781) if (lng < -104.538735) {
    if (poly[69].contains(lat, lng)) return 88;
    if (poly[70].contains(lat, lng))
      return 89;
    else
      return 160;
  } else if (lat < 29.135690) if (lng < -103.992628) {
    if (poly[71].contains(lat, lng))
      return 160;
    else
      return 89;
  } else {
    if (poly[72].contains(lat, lng)) return 88;
    if (poly[73].contains(lat, lng)) return 89;
    if (poly[74].contains(lat, lng)) return 141;
    if (poly[75].contains(lat, lng)) return 141;
    if (poly[76].contains(lat, lng))
      return 149;
    else
      return 160;
  }
  else {
    if (poly[77].contains(lat, lng))
      return 160;
    else
      return 88;
  }
  else {
    if (poly[78].contains(lat, lng)) return 88;
    if (poly[79].contains(lat, lng)) return 89;
    if (poly[80].contains(lat, lng)) return 89;
    if (poly[81].contains(lat, lng))
      return 97;
    else
      return 160;
  }
  else if (lat < 29.937781) if (lng < -102.354308) if (lat < 29.135690) {
    if (poly[82].contains(lat, lng)) return 88;
    if (poly[83].contains(lat, lng)) return 149;
    if (poly[84].contains(lat, lng)) return 149;
    if (poly[85].contains(lat, lng))
      return 160;
    else
      return 141;
  } else {
    if (poly[86].contains(lat, lng))
      return 141;
    else
      return 88;
  }
  else {
    if (poly[87].contains(lat, lng)) return 88;
    if (poly[88].contains(lat, lng))
      return 149;
    else
      return 141;
  }
  else
    return 88;
  else {
    if (poly[89].contains(lat, lng)) return 88;
    if (poly[90].contains(lat, lng)) return 160;
    if (poly[91].contains(lat, lng))
      return 164;
    else
      return 97;
  }
}

int _call1(num lat, num lng) {
  if (lng < -109.999802) if (lat < 19.534042)
    return 147;
  else if (lat < 32.494077) if (lat < 28.000000) if (lng < -115.528715)
    return 142;
  else {
    if (poly[92].contains(lat, lng))
      return 116;
    else
      return 142;
  }
  else if (lng < -117.990989)
    return 192;
  else {
    if (poly[93].contains(lat, lng)) return 116;
    if (poly[94].contains(lat, lng))
      return 164;
    else
      return 192;
  }
  else if (lng < -111.320808) if (lng < -117.338623) {
    if (poly[95].contains(lat, lng))
      return 192;
    else
      return 134;
  } else if (lng < -114.329716) if (lat < 35.226383) if (lng < -115.834170) {
    if (poly[96].contains(lat, lng))
      return 192;
    else
      return 134;
  } else if (lat < 33.860230) {
    if (poly[97].contains(lat, lng)) return 134;
    if (poly[98].contains(lat, lng))
      return 192;
    else
      return 164;
  } else {
    if (poly[99].contains(lat, lng)) return 164;
    if (poly[100].contains(lat, lng))
      return 164;
    else
      return 134;
  }
  else {
    if (poly[101].contains(lat, lng))
      return 164;
    else
      return 134;
  }
  else if (lat < 35.226383) {
    if (poly[102].contains(lat, lng))
      return 134;
    else
      return 164;
  } else if (lng < -112.825262) {
    if (poly[103].contains(lat, lng)) return 97;
    if (poly[104].contains(lat, lng))
      return 134;
    else
      return 164;
  } else {
    if (poly[105].contains(lat, lng))
      return 164;
    else
      return 97;
  }
  else if (lat < 36.430649) {
    if (poly[106].contains(lat, lng)) return 97;
    if (poly[107].contains(lat, lng))
      return 97;
    else
      return 164;
  } else {
    if (poly[108].contains(lat, lng))
      return 164;
    else
      return 97;
  }
  else if (lat < 25.125236) if (lng < -102.295513) if (lng < -109.196542)
    return 142;
  else if (lat < 21.436715) if (lng < -104.519534) if (lat < 20.163373)
    return 147;
  else {
    if (poly[109].contains(lat, lng)) return 74;
    if (poly[110].contains(lat, lng))
      return 147;
    else
      return 142;
  }
  else {
    if (poly[111].contains(lat, lng))
      return 142;
    else
      return 147;
  }
  else if (lng < -105.473049) if (lat < 23.280975) {
    if (poly[112].contains(lat, lng))
      return 149;
    else
      return 142;
  } else if (lng < -107.061817) {
    if (poly[113].contains(lat, lng))
      return 149;
    else
      return 142;
  } else if (lat < 24.203106) {
    if (poly[114].contains(lat, lng))
      return 149;
    else
      return 142;
  } else {
    if (poly[115].contains(lat, lng))
      return 142;
    else
      return 149;
  }
  else if (lat < 23.280975) if (lng < -103.884281) if (lat < 22.358845) {
    if (poly[116].contains(lat, lng)) return 147;
    if (poly[117].contains(lat, lng))
      return 149;
    else
      return 142;
  } else if (lng < -104.678665) {
    if (poly[118].contains(lat, lng))
      return 149;
    else
      return 142;
  } else {
    if (poly[119].contains(lat, lng)) return 142;
    if (poly[120].contains(lat, lng)) return 142;
    if (poly[121].contains(lat, lng))
      return 147;
    else
      return 149;
  }
  else {
    if (poly[122].contains(lat, lng))
      return 142;
    else
      return 147;
  }
  else if (lng < -103.884281) {
    if (poly[123].contains(lat, lng))
      return 147;
    else
      return 149;
  } else {
    if (poly[124].contains(lat, lng))
      return 149;
    else
      return 147;
  }
  else if (lat < 19.829871)
    return 147;
  else if (lng < -99.252157) if (lat < 22.477554) {
    if (poly[125].contains(lat, lng))
      return 149;
    else
      return 147;
  } else if (lng < -100.773835) {
    if (poly[126].contains(lat, lng))
      return 149;
    else
      return 147;
  } else if (lat < 23.801395) if (lng < -100.012996) {
    if (poly[127].contains(lat, lng)) return 149;
    if (poly[128].contains(lat, lng))
      return 149;
    else
      return 147;
  } else {
    if (poly[129].contains(lat, lng)) return 147;
    if (poly[130].contains(lat, lng))
      return 147;
    else
      return 149;
  }
  else {
    if (poly[131].contains(lat, lng))
      return 147;
    else
      return 149;
  }
  else {
    if (poly[132].contains(lat, lng)) return 141;
    if (poly[133].contains(lat, lng))
      return 149;
    else
      return 147;
  }
  else if (lng < -101.262095)
    return _call0(lat, lng);
  else if (lat < 31.541963) if (lng < -96.893242) if (lat < 28.333599) if (lng <
      -99.077668) if (lat < 26.729418) {
    if (poly[134].contains(lat, lng)) return 88;
    if (poly[135].contains(lat, lng))
      return 149;
    else
      return 141;
  } else if (lng < -100.169882) {
    if (poly[136].contains(lat, lng)) return 88;
    if (poly[137].contains(lat, lng))
      return 149;
    else
      return 141;
  } else if (lat < 27.531508) {
    if (poly[138].contains(lat, lng)) return 88;
    if (poly[139].contains(lat, lng))
      return 149;
    else
      return 141;
  } else {
    if (poly[140].contains(lat, lng))
      return 141;
    else
      return 88;
  }
  else if (lat < 26.729418) if (lng < -97.999794) if (lat < 25.927327) {
    if (poly[141].contains(lat, lng))
      return 141;
    else
      return 149;
  } else {
    if (poly[142].contains(lat, lng)) return 88;
    if (poly[143].contains(lat, lng))
      return 149;
    else
      return 141;
  }
  else {
    if (poly[144].contains(lat, lng)) return 88;
    if (poly[145].contains(lat, lng))
      return 149;
    else
      return 141;
  }
  else
    return 88;
  else {
    if (poly[146].contains(lat, lng)) return 88;
    if (poly[147].contains(lat, lng))
      return 149;
    else
      return 141;
  }
  else
    return 88;
  else
    return 88;
}

int _call2(num lat, num lng) {
  if (lat < 53.016461) if (lng < -111.043564) if (lat < 46.037723) if (lng <
      -117.975222) {
    if (poly[148].contains(lat, lng))
      return 81;
    else
      return 134;
  } else if (lat < 41.998206) {
    if (poly[149].contains(lat, lng)) return 81;
    if (poly[150].contains(lat, lng))
      return 97;
    else
      return 134;
  } else if (lng < -114.509393) if (lat < 44.017964) {
    if (poly[151].contains(lat, lng))
      return 134;
    else
      return 81;
  } else if (lng < -116.242308) if (lat < 45.027844) {
    if (poly[152].contains(lat, lng))
      return 134;
    else
      return 81;
  } else {
    if (poly[153].contains(lat, lng))
      return 81;
    else
      return 134;
  }
  else {
    if (poly[154].contains(lat, lng)) return 81;
    if (poly[155].contains(lat, lng)) return 97;
    if (poly[156].contains(lat, lng))
      return 97;
    else
      return 134;
  }
  else if (lat < 44.017964) {
    if (poly[157].contains(lat, lng))
      return 97;
    else
      return 81;
  } else if (lng < -112.776478) if (lat < 45.027844) {
    if (poly[158].contains(lat, lng))
      return 97;
    else
      return 81;
  } else {
    if (poly[159].contains(lat, lng)) return 81;
    if (poly[160].contains(lat, lng)) return 134;
    if (poly[161].contains(lat, lng))
      return 134;
    else
      return 97;
  }
  else {
    if (poly[162].contains(lat, lng))
      return 81;
    else
      return 97;
  }
  else if (lng < -120.508865) {
    if (poly[163].contains(lat, lng))
      return 134;
    else
      return 195;
  } else if (lng < -115.776215) if (lat < 49.527092) if (lng < -118.142540) {
    if (poly[164].contains(lat, lng))
      return 195;
    else
      return 134;
  } else if (lat < 47.782407) {
    if (poly[165].contains(lat, lng))
      return 97;
    else
      return 134;
  } else {
    if (poly[166].contains(lat, lng)) return 97;
    if (poly[167].contains(lat, lng)) return 100;
    if (poly[168].contains(lat, lng)) return 100;
    if (poly[169].contains(lat, lng)) return 134;
    if (poly[170].contains(lat, lng))
      return 195;
    else
      return 91;
  }
  else if (lng < -118.142540) {
    if (poly[171].contains(lat, lng)) return 100;
    if (poly[172].contains(lat, lng))
      return 100;
    else
      return 195;
  } else if (lat < 51.271777) if (lng < -116.959377) {
    if (poly[173].contains(lat, lng))
      return 100;
    else
      return 195;
  } else {
    if (poly[174].contains(lat, lng)) return 91;
    if (poly[175].contains(lat, lng)) return 91;
    if (poly[176].contains(lat, lng))
      return 195;
    else
      return 100;
  }
  else {
    if (poly[177].contains(lat, lng)) return 195;
    if (poly[178].contains(lat, lng))
      return 195;
    else
      return 100;
  }
  else {
    if (poly[179].contains(lat, lng)) return 100;
    if (poly[180].contains(lat, lng))
      return 134;
    else
      return 97;
  }
  else {
    if (poly[181].contains(lat, lng)) return 97;
    if (poly[182].contains(lat, lng))
      return 173;
    else
      return 100;
  }
  else if (lat < 63.201980) if (lng < -129.932869) if (lat < 60.001555) {
    if (poly[183].contains(lat, lng))
      return 196;
    else
      return 195;
  } else {
    if (poly[184].contains(lat, lng))
      return 199;
    else
      return 196;
  }
  else if (lng < -118.648599) if (lat < 58.000000) if (lng < -124.290734) {
    if (poly[185].contains(lat, lng))
      return 96;
    else
      return 195;
  } else if (lng < -121.469667) if (lat < 55.508230) {
    if (poly[186].contains(lat, lng))
      return 96;
    else
      return 195;
  } else if (lng < -122.880200) if (lat < 56.754115) {
    if (poly[187].contains(lat, lng))
      return 195;
    else
      return 96;
  } else {
    if (poly[188].contains(lat, lng))
      return 195;
    else
      return 96;
  }
  else
    return 96;
  else if (lat < 55.508230) if (lng < -120.059133) {
    if (poly[189].contains(lat, lng))
      return 195;
    else
      return 96;
  } else {
    if (poly[190].contains(lat, lng)) return 96;
    if (poly[191].contains(lat, lng))
      return 100;
    else
      return 195;
  }
  else {
    if (poly[192].contains(lat, lng))
      return 100;
    else
      return 96;
  }
  else if (lng < -124.290734) if (lng < -127.111802) if (lat < 60.600990) {
    if (poly[193].contains(lat, lng)) return 103;
    if (poly[194].contains(lat, lng))
      return 196;
    else
      return 195;
  } else if (lng < -128.522335) {
    if (poly[195].contains(lat, lng))
      return 199;
    else
      return 196;
  } else {
    if (poly[196].contains(lat, lng)) return 199;
    if (poly[197].contains(lat, lng))
      return 199;
    else
      return 196;
  }
  else if (lat < 60.600990) if (lng < -125.701268) {
    if (poly[198].contains(lat, lng)) return 195;
    if (poly[199].contains(lat, lng))
      return 196;
    else
      return 103;
  } else {
    if (poly[200].contains(lat, lng)) return 195;
    if (poly[201].contains(lat, lng)) return 196;
    if (poly[202].contains(lat, lng))
      return 199;
    else
      return 103;
  }
  else if (lng < -125.701268) {
    if (poly[203].contains(lat, lng))
      return 199;
    else
      return 196;
  } else {
    if (poly[204].contains(lat, lng))
      return 199;
    else
      return 196;
  }
  else {
    if (poly[205].contains(lat, lng)) return 100;
    if (poly[206].contains(lat, lng)) return 103;
    if (poly[207].contains(lat, lng))
      return 196;
    else
      return 199;
  }
  else {
    if (poly[208].contains(lat, lng)) return 173;
    if (poly[209].contains(lat, lng))
      return 199;
    else
      return 100;
  }
  else if (lng < -129.812706) if (lat < 63.573302) {
    if (poly[210].contains(lat, lng))
      return 196;
    else
      return 199;
  } else {
    if (poly[211].contains(lat, lng))
      return 196;
    else
      return 199;
  }
  else {
    if (poly[212].contains(lat, lng))
      return 82;
    else
      return 199;
  }
}

int _call3(num lat, num lng) {
  if (lng < -88.500000) if (lat < 53.375000) if (lng < -107.756288) {
    if (poly[213].contains(lat, lng))
      return 173;
    else
      return 188;
  } else if (lng < -101.392420) {
    if (poly[214].contains(lat, lng))
      return 197;
    else
      return 173;
  } else {
    if (poly[215].contains(lat, lng))
      return 193;
    else
      return 197;
  }
  else if (lat < 59.999511) if (lng < -101.735099) if (lat < 53.710706) {
    if (poly[216].contains(lat, lng))
      return 197;
    else
      return 173;
  } else {
    if (poly[217].contains(lat, lng)) return 197;
    if (poly[218].contains(lat, lng))
      return 199;
    else
      return 173;
  }
  else if (lng < -95.117549)
    return 197;
  else if (lat < 56.687256) {
    if (poly[219].contains(lat, lng)) return 171;
    if (poly[220].contains(lat, lng))
      return 193;
    else
      return 197;
  } else if (lng < -91.808775) if (lat < 58.343286) {
    if (poly[221].contains(lat, lng))
      return 171;
    else
      return 197;
  } else {
    if (poly[222].contains(lat, lng))
      return 197;
    else
      return 171;
  }
  else {
    if (poly[223].contains(lat, lng)) return 193;
    if (poly[224].contains(lat, lng))
      return 197;
    else
      return 171;
  }
  else {
    if (poly[225].contains(lat, lng)) return 82;
    if (poly[226].contains(lat, lng)) return 171;
    if (poly[227].contains(lat, lng))
      return 199;
    else
      return 174;
  }
  else if (lat < 62.989698) if (lng < -81.645224) if (lat < 56.187094) if (lng <
      -85.072612) {
    if (poly[228].contains(lat, lng))
      return 193;
    else
      return 171;
  } else if (lat < 52.785792) {
    if (poly[229].contains(lat, lng))
      return 126;
    else
      return 193;
  } else {
    if (poly[230].contains(lat, lng)) return 126;
    if (poly[231].contains(lat, lng))
      return 171;
    else
      return 193;
  }
  else {
    if (poly[232].contains(lat, lng)) return 126;
    if (poly[233].contains(lat, lng)) return 171;
    if (poly[234].contains(lat, lng))
      return 193;
    else
      return 72;
  }
  else if (lat < 56.187094) if (lng < -78.217837) if (lat < 52.785792) if (lng <
      -79.931531) {
    if (poly[235].contains(lat, lng))
      return 193;
    else
      return 126;
  } else if (lat < 51.085141)
    return 193;
  else if (lng < -79.074684) {
    if (poly[236].contains(lat, lng))
      return 193;
    else
      return 126;
  } else {
    if (poly[237].contains(lat, lng))
      return 126;
    else
      return 193;
  }
  else if (lng < -79.931531)
    return 126;
  else if (lat < 54.486443) if (lng < -79.074684) {
    if (poly[238].contains(lat, lng)) return 193;
    if (poly[239].contains(lat, lng)) return 193;
    if (poly[240].contains(lat, lng)) return 193;
    if (poly[241].contains(lat, lng)) return 193;
    if (poly[242].contains(lat, lng)) return 193;
    if (poly[243].contains(lat, lng)) return 193;
    if (poly[244].contains(lat, lng)) return 193;
    if (poly[245].contains(lat, lng)) return 193;
    if (poly[246].contains(lat, lng)) return 193;
    if (poly[247].contains(lat, lng))
      return 193;
    else
      return 126;
  } else if (lat < 53.636117) {
    if (poly[248].contains(lat, lng))
      return 193;
    else
      return 126;
  } else {
    if (poly[249].contains(lat, lng)) return 126;
    if (poly[250].contains(lat, lng)) return 126;
    if (poly[251].contains(lat, lng)) return 126;
    if (poly[252].contains(lat, lng)) return 126;
    if (poly[253].contains(lat, lng)) return 126;
    if (poly[254].contains(lat, lng)) return 126;
    if (poly[255].contains(lat, lng)) return 126;
    if (poly[256].contains(lat, lng)) return 126;
    if (poly[257].contains(lat, lng))
      return 126;
    else
      return 193;
  }
  else {
    if (poly[258].contains(lat, lng))
      return 193;
    else
      return 126;
  }
  else {
    if (poly[259].contains(lat, lng))
      return 126;
    else
      return 193;
  }
  else if (lng < -78.217837) {
    if (poly[260].contains(lat, lng)) return 193;
    if (poly[261].contains(lat, lng))
      return 193;
    else
      return 126;
  } else if (lat < 59.588396) {
    if (poly[262].contains(lat, lng))
      return 193;
    else
      return 126;
  } else if (lng < -76.504143) if (lat < 61.289047) {
    if (poly[263].contains(lat, lng))
      return 193;
    else
      return 126;
  } else {
    if (poly[264].contains(lat, lng))
      return 193;
    else
      return 126;
  }
  else {
    if (poly[265].contains(lat, lng))
      return 193;
    else
      return 126;
  }
  else if (lat < 73.157443) if (lng < -81.645224) if (lat < 68.073571) if (lng <
      -85.072612) if (lat < 65.531634) {
    if (poly[266].contains(lat, lng))
      return 72;
    else
      return 171;
  } else {
    if (poly[267].contains(lat, lng)) return 72;
    if (poly[268].contains(lat, lng))
      return 72;
    else
      return 171;
  }
  else if (lat < 65.531634) if (lng < -83.358918) if (lat < 64.260666) {
    if (poly[269].contains(lat, lng)) return 126;
    if (poly[270].contains(lat, lng))
      return 171;
    else
      return 72;
  } else {
    if (poly[271].contains(lat, lng)) return 126;
    if (poly[272].contains(lat, lng))
      return 171;
    else
      return 72;
  }
  else if (lat < 64.260666) {
    if (poly[273].contains(lat, lng))
      return 72;
    else
      return 126;
  } else {
    if (poly[274].contains(lat, lng))
      return 72;
    else
      return 126;
  }
  else {
    if (poly[275].contains(lat, lng)) return 72;
    if (poly[276].contains(lat, lng)) return 72;
    if (poly[277].contains(lat, lng)) return 171;
    if (poly[278].contains(lat, lng))
      return 171;
    else
      return 126;
  }
  else {
    if (poly[279].contains(lat, lng))
      return 171;
    else
      return 126;
  }
  else {
    if (poly[280].contains(lat, lng)) return 72;
    if (poly[281].contains(lat, lng))
      return 72;
    else
      return 126;
  }
  else {
    if (poly[282].contains(lat, lng))
      return 171;
    else
      return 126;
  }
}

int _call4(num lat, num lng) {
  if (lat < 47.575298) if (lng < -100.260872) if (lng < -102.432684) if (lng <
      -103.434273) {
    if (poly[283].contains(lat, lng))
      return 88;
    else
      return 97;
  } else if (lng < -103.093448) {
    if (poly[284].contains(lat, lng))
      return 88;
    else
      return 97;
  } else {
    if (poly[285].contains(lat, lng))
      return 88;
    else
      return 97;
  }
  else if (lat < 42.766993) {
    if (poly[286].contains(lat, lng))
      return 97;
    else
      return 88;
  } else if (lat < 45.171146) {
    if (poly[287].contains(lat, lng))
      return 97;
    else
      return 88;
  } else if (lat < 46.373222) {
    if (poly[288].contains(lat, lng)) return 88;
    if (poly[289].contains(lat, lng))
      return 159;
    else
      return 97;
  } else if (lng < -101.346778) {
    if (poly[290].contains(lat, lng)) return 88;
    if (poly[291].contains(lat, lng)) return 97;
    if (poly[292].contains(lat, lng)) return 158;
    if (poly[293].contains(lat, lng))
      return 159;
    else
      return 157;
  } else {
    if (poly[294].contains(lat, lng)) return 97;
    if (poly[295].contains(lat, lng)) return 157;
    if (poly[296].contains(lat, lng)) return 158;
    if (poly[297].contains(lat, lng))
      return 159;
    else
      return 88;
  }
  else if (lat < 38.929415) if (lng < -86.679886) if (lng < -93.470379)
    return 88;
  else if (lng < -90.075132)
    return 88;
  else if (lng < -88.377509)
    return 88;
  else if (lng < -87.528698) {
    if (poly[298].contains(lat, lng)) return 123;
    if (poly[299].contains(lat, lng))
      return 123;
    else
      return 88;
  } else if (lat < 38.444052) {
    if (poly[300].contains(lat, lng)) return 117;
    if (poly[301].contains(lat, lng)) return 119;
    if (poly[302].contains(lat, lng)) return 120;
    if (poly[303].contains(lat, lng)) return 121;
    if (poly[304].contains(lat, lng))
      return 123;
    else
      return 88;
  } else {
    if (poly[305].contains(lat, lng)) return 88;
    if (poly[306].contains(lat, lng)) return 88;
    if (poly[307].contains(lat, lng)) return 88;
    if (poly[308].contains(lat, lng)) return 117;
    if (poly[309].contains(lat, lng))
      return 120;
    else
      return 123;
  }
  else if (lng < -85.405100) if (lng < -86.042493) if (lat <
      38.444045) if (lng < -86.361189) {
    if (poly[310].contains(lat, lng)) return 88;
    if (poly[311].contains(lat, lng)) return 117;
    if (poly[312].contains(lat, lng)) return 121;
    if (poly[313].contains(lat, lng)) return 153;
    if (poly[314].contains(lat, lng))
      return 153;
    else
      return 119;
  } else {
    if (poly[315].contains(lat, lng)) return 117;
    if (poly[316].contains(lat, lng)) return 129;
    if (poly[317].contains(lat, lng))
      return 153;
    else
      return 119;
  }
  else
    return 117;
  else {
    if (poly[318].contains(lat, lng)) return 117;
    if (poly[319].contains(lat, lng)) return 153;
    if (poly[320].contains(lat, lng))
      return 153;
    else
      return 129;
  }
  else {
    if (poly[321].contains(lat, lng)) return 117;
    if (poly[322].contains(lat, lng))
      return 122;
    else
      return 153;
  }
  else if (lat < 41.433800) if (lng < -86.466347) {
    if (poly[323].contains(lat, lng)) return 117;
    if (poly[324].contains(lat, lng)) return 118;
    if (poly[325].contains(lat, lng))
      return 124;
    else
      return 88;
  } else {
    if (poly[326].contains(lat, lng))
      return 153;
    else
      return 117;
  }
  else if (lng < -87.263670) if (lng < -93.762271)
    return 88;
  else if (lng < -90.512970)
    return 88;
  else if (lat < 44.504549)
    return 88;
  else if (lng < -88.888320) {
    if (poly[327].contains(lat, lng)) return 88;
    if (poly[328].contains(lat, lng))
      return 98;
    else
      return 144;
  } else if (lat < 46.039924) if (lng < -88.075995) {
    if (poly[329].contains(lat, lng)) return 144;
    if (poly[330].contains(lat, lng))
      return 144;
    else
      return 88;
  } else {
    if (poly[331].contains(lat, lng)) return 88;
    if (poly[332].contains(lat, lng)) return 88;
    if (poly[333].contains(lat, lng)) return 98;
    if (poly[334].contains(lat, lng))
      return 98;
    else
      return 144;
  }
  else {
    if (poly[335].contains(lat, lng)) return 88;
    if (poly[336].contains(lat, lng))
      return 144;
    else
      return 98;
  }
  else if (lng < -81.027060) if (lng < -84.145365) {
    if (poly[337].contains(lat, lng)) return 88;
    if (poly[338].contains(lat, lng)) return 117;
    if (poly[339].contains(lat, lng)) return 153;
    if (poly[340].contains(lat, lng))
      return 193;
    else
      return 98;
  } else {
    if (poly[341].contains(lat, lng)) return 98;
    if (poly[342].contains(lat, lng)) return 98;
    if (poly[343].contains(lat, lng))
      return 153;
    else
      return 193;
  }
  else {
    if (poly[344].contains(lat, lng))
      return 193;
    else
      return 153;
  }
  else if (lat < 49.384490) if (lng < -95.153150) if (lng < -102.711964) {
    if (poly[345].contains(lat, lng)) return 97;
    if (poly[346].contains(lat, lng)) return 97;
    if (poly[347].contains(lat, lng))
      return 173;
    else
      return 88;
  } else if (lat < 47.615253) if (lng < -102.250025) {
    if (poly[348].contains(lat, lng))
      return 97;
    else
      return 88;
  } else {
    if (poly[349].contains(lat, lng))
      return 97;
    else
      return 88;
  }
  else {
    if (poly[350].contains(lat, lng)) return 88;
    if (poly[351].contains(lat, lng))
      return 197;
    else
      return 173;
  }
  else if (lng < -90.000000) if (lng < -92.576575) {
    if (poly[352].contains(lat, lng)) return 88;
    if (poly[353].contains(lat, lng))
      return 170;
    else
      return 197;
  } else if (lng < -91.288287) {
    if (poly[354].contains(lat, lng)) return 88;
    if (poly[355].contains(lat, lng))
      return 197;
    else
      return 72;
  } else {
    if (poly[356].contains(lat, lng)) return 88;
    if (poly[357].contains(lat, lng)) return 193;
    if (poly[358].contains(lat, lng))
      return 197;
    else
      return 72;
  }
  else if (lat < 48.515693) {
    if (poly[359].contains(lat, lng)) return 88;
    if (poly[360].contains(lat, lng)) return 98;
    if (poly[361].contains(lat, lng))
      return 191;
    else
      return 193;
  } else {
    if (poly[362].contains(lat, lng))
      return 193;
    else
      return 154;
  }
  else
    return _call3(lat, lng);
}

int _call5(num lat, num lng) {
  if (lat < 37.958689) if (lng < -92.524388) if (lng < -154.592785) if (lng <
      -177.116176)
    return 410;
  else
    return 404;
  else
    return _call1(lat, lng);
  else if (lat < 18.851981) if (lng < -82.172962) if (lng < -87.101885) if (lat <
      16.298406) if (lng < -90.424127) if (lat < 16.259052) {
    if (poly[363].contains(lat, lng))
      return 147;
    else
      return 111;
  } else {
    if (poly[364].contains(lat, lng))
      return 111;
    else
      return 147;
  }
  else if (lat < 14.277527) if (lng < -88.763006) {
    if (poly[365].contains(lat, lng)) return 111;
    if (poly[366].contains(lat, lng))
      return 189;
    else
      return 102;
  } else {
    if (poly[367].contains(lat, lng)) return 102;
    if (poly[368].contains(lat, lng))
      return 137;
    else
      return 189;
  }
  else if (lng < -88.763006) if (lat < 15.287966) {
    if (poly[369].contains(lat, lng)) return 102;
    if (poly[370].contains(lat, lng))
      return 189;
    else
      return 111;
  } else {
    if (poly[371].contains(lat, lng))
      return 77;
    else
      return 111;
  }
  else {
    if (poly[372].contains(lat, lng)) return 77;
    if (poly[373].contains(lat, lng))
      return 111;
    else
      return 189;
  }
  else if (lng < -90.371441) if (lat < 17.575193) {
    if (poly[374].contains(lat, lng))
      return 111;
    else
      return 147;
  } else {
    if (poly[375].contains(lat, lng)) return 111;
    if (poly[376].contains(lat, lng))
      return 147;
    else
      return 145;
  }
  else if (lng < -88.736663) {
    if (poly[377].contains(lat, lng)) return 77;
    if (poly[378].contains(lat, lng)) return 111;
    if (poly[379].contains(lat, lng))
      return 145;
    else
      return 84;
  } else {
    if (poly[380].contains(lat, lng))
      return 84;
    else
      return 77;
  }
  else if (lat < 15.033118) if (lat < 12.408226)
    return 137;
  else if (lng < -83.042535) if (lng < -85.072210) if (lat < 13.720672) {
    if (poly[381].contains(lat, lng))
      return 189;
    else
      return 137;
  } else if (lng < -86.087047) {
    if (poly[382].contains(lat, lng))
      return 137;
    else
      return 189;
  } else {
    if (poly[383].contains(lat, lng))
      return 189;
    else
      return 137;
  }
  else if (lat < 13.720672)
    return 137;
  else if (lng < -84.057372) {
    if (poly[384].contains(lat, lng))
      return 189;
    else
      return 137;
  } else {
    if (poly[385].contains(lat, lng))
      return 189;
    else
      return 137;
  }
  else if (lat < 14.688147)
    return 137;
  else
    return 189;
  else
    return 189;
  else if (lat < 16.057127)
    return 80;
  else if (lng < -75.496288)
    return 127;
  else
    return 165;
  else if (lng < -86.493266) if (lat < 21.830571) if (lng < -91.750739)
    return 145;
  else if (lng < -89.122003) {
    if (poly[386].contains(lat, lng)) return 84;
    if (poly[387].contains(lat, lng))
      return 84;
    else
      return 145;
  } else {
    if (poly[388].contains(lat, lng)) return 145;
    if (poly[389].contains(lat, lng))
      return 145;
    else
      return 84;
  }
  else if (lat < 22.783270)
    return 145;
  else {
    if (poly[390].contains(lat, lng))
      return 121;
    else
      return 88;
  }
  else if (lat < 23.481697) if (lat < 19.596903)
    return 87;
  else if (lat < 19.973824) if (lng < -79.511095)
    return 87;
  else {
    if (poly[391].contains(lat, lng))
      return 153;
    else
      return 115;
  }
  else {
    if (poly[392].contains(lat, lng))
      return 152;
    else
      return 115;
  }
  else if (lng < -84.575844) if (lat < 33.673127) if (lat < 31.530347) {
    if (poly[393].contains(lat, lng))
      return 88;
    else
      return 153;
  } else {
    if (poly[394].contains(lat, lng))
      return 153;
    else
      return 88;
  }
  else if (lat < 35.815908) {
    if (poly[395].contains(lat, lng))
      return 153;
    else
      return 88;
  } else if (lat < 36.887299) {
    if (poly[396].contains(lat, lng)) return 88;
    if (poly[397].contains(lat, lng))
      return 130;
    else
      return 153;
  } else {
    if (poly[398].contains(lat, lng)) return 88;
    if (poly[399].contains(lat, lng)) return 130;
    if (poly[400].contains(lat, lng))
      return 130;
    else
      return 153;
  }
  else if (lng < -82.585009)
    return 153;
  else {
    if (poly[401].contains(lat, lng))
      return 152;
    else
      return 153;
  }
  else if (lng < -108.824497) if (lng < -141.000000) if (lat <
      57.465233) if (lng < -162.000000) if (lng < -171.954674)
    return 53;
  else if (lat < 53.299009) {
    if (poly[402].contains(lat, lng))
      return 155;
    else
      return 53;
  } else
    return 155;
  else
    return 54;
  else if (lng < -174.939411)
    return 215;
  else if (lng < -162.000000) if (lat < 64.008111)
    return 155;
  else if (lng < -168.924586) {
    if (poly[403].contains(lat, lng))
      return 155;
    else
      return 215;
  } else
    return 155;
  else if (lng < -145.834392)
    return 54;
  else {
    if (poly[404].contains(lat, lng))
      return 196;
    else
      return 54;
  }
  else if (lng < -129.974167) if (lat < 60.352505) if (lat <
      55.300967) if (lat < 54.456000)
    return 195;
  else {
    if (poly[405].contains(lat, lng)) return 146;
    if (poly[406].contains(lat, lng)) return 195;
    if (poly[407].contains(lat, lng))
      return 195;
    else
      return 181;
  }
  else if (lat < 59.798041) if (lng < -135.487083) {
    if (poly[408].contains(lat, lng)) return 181;
    if (poly[409].contains(lat, lng)) return 195;
    if (poly[410].contains(lat, lng))
      return 198;
    else
      return 128;
  } else if (lng < -132.730625) if (lat < 57.549504) {
    if (poly[411].contains(lat, lng))
      return 128;
    else
      return 181;
  } else {
    if (poly[412].contains(lat, lng)) return 181;
    if (poly[413].contains(lat, lng)) return 195;
    if (poly[414].contains(lat, lng))
      return 195;
    else
      return 128;
  }
  else {
    if (poly[415].contains(lat, lng)) return 128;
    if (poly[416].contains(lat, lng))
      return 195;
    else
      return 181;
  }
  else {
    if (poly[417].contains(lat, lng)) return 195;
    if (poly[418].contains(lat, lng))
      return 198;
    else
      return 196;
  }
  else if (lat < 63.588796) if (lat < 63.337384) {
    if (poly[419].contains(lat, lng))
      return 199;
    else
      return 196;
  } else {
    if (poly[420].contains(lat, lng))
      return 199;
    else
      return 196;
  }
  else if (lng < -139.277500) {
    if (poly[421].contains(lat, lng))
      return 196;
    else
      return 95;
  } else if (lng < -134.625833) {
    if (poly[422].contains(lat, lng))
      return 199;
    else
      return 196;
  } else if (lat < 67.027228) if (lng < -132.300000) if (lat < 65.308012) {
    if (poly[423].contains(lat, lng))
      return 199;
    else
      return 196;
  } else if (lng < -133.462917) {
    if (poly[424].contains(lat, lng))
      return 199;
    else
      return 196;
  } else {
    if (poly[425].contains(lat, lng))
      return 196;
    else
      return 199;
  }
  else if (lat < 65.308012) {
    if (poly[426].contains(lat, lng))
      return 199;
    else
      return 196;
  } else {
    if (poly[427].contains(lat, lng)) return 196;
    if (poly[428].contains(lat, lng))
      return 196;
    else
      return 199;
  }
  else {
    if (poly[429].contains(lat, lng))
      return 125;
    else
      return 199;
  }
  else
    return _call2(lat, lng);
  else
    return _call4(lat, lng);
}

int _call6(num lat, num lng) {
  if (lng < -62.609179) if (lat < -41.992126) if (lng < -69.048916) if (lng <
      -71.919683) {
    if (poly[430].contains(lat, lng)) return 60;
    if (poly[431].contains(lat, lng)) return 60;
    if (poly[432].contains(lat, lng)) return 60;
    if (poly[433].contains(lat, lng))
      return 60;
    else
      return 177;
  } else if (lat < -43.996000) if (lng < -70.484300) if (lat < -44.997937) {
    if (poly[434].contains(lat, lng))
      return 60;
    else
      return 177;
  } else {
    if (poly[435].contains(lat, lng))
      return 60;
    else
      return 177;
  }
  else
    return 60;
  else {
    if (poly[436].contains(lat, lng)) return 60;
    if (poly[437].contains(lat, lng))
      return 66;
    else
      return 177;
  }
  else {
    if (poly[438].contains(lat, lng))
      return 66;
    else
      return 60;
  }
  else if (lng < -64.780716) if (lat < -35.192695) if (lng <
      -69.592084) if (lat < -38.592410) if (lng < -71.997768)
    return 177;
  else if (lat < -40.292268) {
    if (poly[439].contains(lat, lng)) return 66;
    if (poly[440].contains(lat, lng))
      return 66;
    else
      return 177;
  } else if (lng < -70.794926) if (lat < -39.442339) {
    if (poly[441].contains(lat, lng)) return 177;
    if (poly[442].contains(lat, lng))
      return 177;
    else
      return 66;
  } else {
    if (poly[443].contains(lat, lng))
      return 177;
    else
      return 66;
  }
  else
    return 66;
  else if (lng < -71.900482)
    return 177;
  else if (lat < -36.892553) {
    if (poly[444].contains(lat, lng)) return 64;
    if (poly[445].contains(lat, lng))
      return 177;
    else
      return 66;
  } else if (lng < -70.746283) {
    if (poly[446].contains(lat, lng))
      return 66;
    else
      return 177;
  } else if (lat < -36.042624) {
    if (poly[447].contains(lat, lng)) return 64;
    if (poly[448].contains(lat, lng))
      return 177;
    else
      return 66;
  } else {
    if (poly[449].contains(lat, lng))
      return 64;
    else
      return 177;
  }
  else {
    if (poly[450].contains(lat, lng)) return 66;
    if (poly[451].contains(lat, lng))
      return 68;
    else
      return 64;
  }
  else if (lng < -68.711575) if (lat < -31.792980) if (lng < -70.677005)
    return 177;
  else if (lat < -33.492837) {
    if (poly[452].contains(lat, lng))
      return 177;
    else
      return 64;
  } else if (lng < -69.694290) if (lat < -32.642908) {
    if (poly[453].contains(lat, lng))
      return 64;
    else
      return 177;
  } else {
    if (poly[454].contains(lat, lng)) return 64;
    if (poly[455].contains(lat, lng)) return 64;
    if (poly[456].contains(lat, lng))
      return 177;
    else
      return 67;
  }
  else {
    if (poly[457].contains(lat, lng))
      return 64;
    else
      return 67;
  }
  else if (lat < -30.093122) {
    if (poly[458].contains(lat, lng))
      return 67;
    else
      return 177;
  } else if (lng < -70.265666)
    return 177;
  else if (lat < -29.243193) {
    if (poly[459].contains(lat, lng)) return 63;
    if (poly[460].contains(lat, lng))
      return 177;
    else
      return 67;
  } else {
    if (poly[461].contains(lat, lng)) return 63;
    if (poly[462].contains(lat, lng))
      return 177;
    else
      return 67;
  }
  else if (lat < -31.792980) if (lng < -66.746146) if (lat < -33.492837) {
    if (poly[463].contains(lat, lng)) return 68;
    if (poly[464].contains(lat, lng))
      return 68;
    else
      return 64;
  } else if (lng < -67.728860) {
    if (poly[465].contains(lat, lng))
      return 67;
    else
      return 64;
  } else {
    if (poly[466].contains(lat, lng)) return 63;
    if (poly[467].contains(lat, lng)) return 64;
    if (poly[468].contains(lat, lng))
      return 67;
    else
      return 68;
  }
  else if (lat < -33.492837) {
    if (poly[469].contains(lat, lng)) return 61;
    if (poly[470].contains(lat, lng)) return 64;
    if (poly[471].contains(lat, lng)) return 64;
    if (poly[472].contains(lat, lng))
      return 66;
    else
      return 68;
  } else {
    if (poly[473].contains(lat, lng)) return 61;
    if (poly[474].contains(lat, lng)) return 63;
    if (poly[475].contains(lat, lng))
      return 67;
    else
      return 68;
  }
  else if (lng < -66.746146) {
    if (poly[476].contains(lat, lng))
      return 67;
    else
      return 63;
  } else {
    if (poly[477].contains(lat, lng)) return 61;
    if (poly[478].contains(lat, lng)) return 61;
    if (poly[479].contains(lat, lng))
      return 63;
    else
      return 60;
  }
  else {
    if (poly[480].contains(lat, lng)) return 59;
    if (poly[481].contains(lat, lng))
      return 61;
    else
      return 66;
  }
  else if (lat < -30.085396) if (lat < -33.261612) if (lng < -60.260223) {
    if (poly[482].contains(lat, lng))
      return 61;
    else
      return 59;
  } else if (lng < -55.703699) {
    if (poly[483].contains(lat, lng)) return 61;
    if (poly[484].contains(lat, lng))
      return 150;
    else
      return 59;
  } else {
    if (poly[485].contains(lat, lng))
      return 179;
    else
      return 150;
  }
  else if (lng < -58.087644) {
    if (poly[486].contains(lat, lng))
      return 61;
    else
      return 150;
  } else if (lng < -54.005825) if (lng < -56.046735) if (lat < -31.673504) {
    if (poly[487].contains(lat, lng)) return 61;
    if (poly[488].contains(lat, lng))
      return 61;
    else
      return 150;
  } else if (lng < -57.067189) {
    if (poly[489].contains(lat, lng)) return 61;
    if (poly[490].contains(lat, lng))
      return 179;
    else
      return 150;
  } else {
    if (poly[491].contains(lat, lng))
      return 150;
    else
      return 179;
  }
  else {
    if (poly[492].contains(lat, lng))
      return 150;
    else
      return 179;
  }
  else {
    if (poly[493].contains(lat, lng))
      return 150;
    else
      return 179;
  }
  else if (lng < -55.883574) if (lat < -28.479231) {
    if (poly[494].contains(lat, lng))
      return 179;
    else
      return 61;
  } else {
    if (poly[495].contains(lat, lng))
      return 179;
    else
      return 61;
  }
  else {
    if (poly[496].contains(lat, lng))
      return 61;
    else
      return 179;
  }
}

int _call7(num lat, num lng) {
  if (lat < -24.971517) if (lng < -57.554695) if (lat < -27.256324) {
    if (poly[497].contains(lat, lng))
      return 71;
    else
      return 61;
  } else if (lat < -25.443098) {
    if (poly[498].contains(lat, lng))
      return 61;
    else
      return 71;
  } else {
    if (poly[499].contains(lat, lng))
      return 71;
    else
      return 61;
  }
  else if (lng < -55.859440) {
    if (poly[500].contains(lat, lng))
      return 61;
    else
      return 71;
  } else if (lng < -51.466260) if (lng < -53.662850) if (lat <
      -26.177634) if (lng < -54.761145) {
    if (poly[501].contains(lat, lng))
      return 61;
    else
      return 71;
  } else if (lat < -26.780692) {
    if (poly[502].contains(lat, lng))
      return 61;
    else
      return 179;
  } else {
    if (poly[503].contains(lat, lng)) return 71;
    if (poly[504].contains(lat, lng)) return 179;
    if (poly[505].contains(lat, lng))
      return 179;
    else
      return 61;
  }
  else if (lng < -54.761145)
    return 71;
  else if (lat < -25.574576) if (lng < -54.211998) {
    if (poly[506].contains(lat, lng)) return 71;
    if (poly[507].contains(lat, lng)) return 179;
    if (poly[508].contains(lat, lng))
      return 179;
    else
      return 61;
  } else {
    if (poly[509].contains(lat, lng)) return 179;
    if (poly[510].contains(lat, lng)) return 179;
    if (poly[511].contains(lat, lng)) return 179;
    if (poly[512].contains(lat, lng))
      return 179;
    else
      return 61;
  }
  else {
    if (poly[513].contains(lat, lng)) return 61;
    if (poly[514].contains(lat, lng)) return 61;
    if (poly[515].contains(lat, lng)) return 61;
    if (poly[516].contains(lat, lng)) return 61;
    if (poly[517].contains(lat, lng)) return 61;
    if (poly[518].contains(lat, lng))
      return 71;
    else
      return 179;
  }
  else {
    if (poly[519].contains(lat, lng)) return 61;
    if (poly[520].contains(lat, lng))
      return 61;
    else
      return 179;
  }
  else
    return 179;
  else if (lng < -50.805843) if (lat < -19.331948) if (lng <
      -54.488672) if (lat < -22.151733) if (lng < -56.330086) {
    if (poly[521].contains(lat, lng)) return 83;
    if (poly[522].contains(lat, lng))
      return 83;
    else
      return 71;
  } else if (lat < -23.561625) {
    if (poly[523].contains(lat, lng))
      return 83;
    else
      return 71;
  } else {
    if (poly[524].contains(lat, lng))
      return 71;
    else
      return 83;
  }
  else if (lng < -56.330086) if (lat < -20.741840) if (lng < -57.250793) {
    if (poly[525].contains(lat, lng))
      return 83;
    else
      return 71;
  } else {
    if (poly[526].contains(lat, lng))
      return 71;
    else
      return 83;
  }
  else {
    if (poly[527].contains(lat, lng)) return 71;
    if (poly[528].contains(lat, lng)) return 71;
    if (poly[529].contains(lat, lng))
      return 132;
    else
      return 83;
  }
  else
    return 83;
  else if (lat < -22.151733) {
    if (poly[530].contains(lat, lng)) return 71;
    if (poly[531].contains(lat, lng))
      return 83;
    else
      return 179;
  } else {
    if (poly[532].contains(lat, lng))
      return 179;
    else
      return 83;
  }
  else if (lng < -54.488672) if (lat < -16.512163) if (lng <
      -56.330086) if (lat < -17.922055) {
    if (poly[533].contains(lat, lng))
      return 132;
    else
      return 83;
  } else if (lng < -57.250793) {
    if (poly[534].contains(lat, lng)) return 92;
    if (poly[535].contains(lat, lng))
      return 132;
    else
      return 83;
  } else {
    if (poly[536].contains(lat, lng)) return 92;
    if (poly[537].contains(lat, lng))
      return 92;
    else
      return 83;
  }
  else if (lat < -17.922055)
    return 83;
  else if (lng < -55.409379) {
    if (poly[538].contains(lat, lng))
      return 92;
    else
      return 83;
  } else {
    if (poly[539].contains(lat, lng))
      return 92;
    else
      return 83;
  }
  else
    return 92;
  else if (lat < -16.512163) if (lng < -52.647375) if (lat < -17.922055) {
    if (poly[540].contains(lat, lng)) return 92;
    if (poly[541].contains(lat, lng)) return 92;
    if (poly[542].contains(lat, lng))
      return 179;
    else
      return 83;
  } else if (lng < -53.568023) {
    if (poly[543].contains(lat, lng))
      return 92;
    else
      return 83;
  } else {
    if (poly[544].contains(lat, lng))
      return 179;
    else
      return 92;
  }
  else {
    if (poly[545].contains(lat, lng)) return 83;
    if (poly[546].contains(lat, lng))
      return 92;
    else
      return 179;
  }
  else if (lng < -52.647258) {
    if (poly[547].contains(lat, lng))
      return 179;
    else
      return 92;
  } else if (lat < -15.102270) {
    if (poly[548].contains(lat, lng))
      return 179;
    else
      return 92;
  } else {
    if (poly[549].contains(lat, lng))
      return 179;
    else
      return 92;
  }
  else if (lng < -44.648778) if (lat < -19.331948)
    return 179;
  else if (lng < -47.727311)
    return 179;
  else if (lat < -16.512163)
    return 179;
  else if (lng < -46.188044) {
    if (poly[550].contains(lat, lng))
      return 73;
    else
      return 179;
  } else if (lat < -15.102270) {
    if (poly[551].contains(lat, lng))
      return 73;
    else
      return 179;
  } else {
    if (poly[552].contains(lat, lng)) return 179;
    if (poly[553].contains(lat, lng))
      return 179;
    else
      return 73;
  }
  else if (lat < -18.741865)
    return 179;
  else if (lng < -41.570246) if (lat < -16.217122)
    return 179;
  else if (lng < -43.109512) {
    if (poly[554].contains(lat, lng))
      return 179;
    else
      return 73;
  } else {
    if (poly[555].contains(lat, lng))
      return 179;
    else
      return 73;
  }
  else if (lat < -16.217122) if (lng < -40.030979) {
    if (poly[556].contains(lat, lng))
      return 73;
    else
      return 179;
  } else {
    if (poly[557].contains(lat, lng)) return 179;
    if (poly[558].contains(lat, lng))
      return 179;
    else
      return 73;
  }
  else {
    if (poly[559].contains(lat, lng))
      return 179;
    else
      return 73;
  }
}

int _call8(num lat, num lng) {
  if (lng < -64.150670) if (lat < -25.168567) if (lng < -66.537674) if (lng <
      -69.003680) {
    if (poly[560].contains(lat, lng)) return 60;
    if (poly[561].contains(lat, lng))
      return 63;
    else
      return 177;
  } else if (lat < -26.780915) if (lng < -67.770677) if (lat < -27.587090) {
    if (poly[562].contains(lat, lng))
      return 63;
    else
      return 60;
  } else {
    if (poly[563].contains(lat, lng))
      return 177;
    else
      return 60;
  }
  else {
    if (poly[564].contains(lat, lng))
      return 63;
    else
      return 60;
  }
  else {
    if (poly[565].contains(lat, lng)) return 66;
    if (poly[566].contains(lat, lng)) return 66;
    if (poly[567].contains(lat, lng))
      return 177;
    else
      return 60;
  }
  else if (lat < -25.700714) if (lng < -64.268303) if (lat < -27.046989) {
    if (poly[568].contains(lat, lng)) return 60;
    if (poly[569].contains(lat, lng))
      return 61;
    else
      return 69;
  } else if (lng < -65.402989) {
    if (poly[570].contains(lat, lng)) return 60;
    if (poly[571].contains(lat, lng))
      return 66;
    else
      return 69;
  } else {
    if (poly[572].contains(lat, lng)) return 61;
    if (poly[573].contains(lat, lng))
      return 66;
    else
      return 69;
  }
  else {
    if (poly[574].contains(lat, lng))
      return 66;
    else
      return 61;
  }
  else {
    if (poly[575].contains(lat, lng))
      return 60;
    else
      return 66;
  }
  else if (lat < -19.430473) if (lng < -69.470560) {
    if (poly[576].contains(lat, lng))
      return 133;
    else
      return 177;
  } else if (lat < -22.299520) if (lng < -66.810615) if (lat < -23.734043) {
    if (poly[577].contains(lat, lng)) return 62;
    if (poly[578].contains(lat, lng))
      return 177;
    else
      return 66;
  } else {
    if (poly[579].contains(lat, lng)) return 62;
    if (poly[580].contains(lat, lng)) return 66;
    if (poly[581].contains(lat, lng))
      return 177;
    else
      return 132;
  }
  else if (lat < -23.734043) if (lng < -65.480642) {
    if (poly[582].contains(lat, lng))
      return 66;
    else
      return 62;
  } else {
    if (poly[583].contains(lat, lng))
      return 66;
    else
      return 62;
  }
  else if (lng < -65.480642) {
    if (poly[584].contains(lat, lng)) return 66;
    if (poly[585].contains(lat, lng))
      return 132;
    else
      return 62;
  } else if (lat < -23.016782) {
    if (poly[586].contains(lat, lng))
      return 66;
    else
      return 62;
  } else {
    if (poly[587].contains(lat, lng)) return 62;
    if (poly[588].contains(lat, lng))
      return 132;
    else
      return 66;
  }
  else if (lng < -66.810615) {
    if (poly[589].contains(lat, lng))
      return 177;
    else
      return 132;
  } else {
    if (poly[590].contains(lat, lng)) return 62;
    if (poly[591].contains(lat, lng))
      return 66;
    else
      return 132;
  }
  else if (lng < -69.470560) {
    if (poly[592].contains(lat, lng)) return 132;
    if (poly[593].contains(lat, lng))
      return 177;
    else
      return 133;
  } else if (lat < -16.561425) {
    if (poly[594].contains(lat, lng)) return 133;
    if (poly[595].contains(lat, lng)) return 133;
    if (poly[596].contains(lat, lng))
      return 177;
    else
      return 132;
  } else if (lng < -66.810615) if (lat < -15.126902) {
    if (poly[597].contains(lat, lng))
      return 133;
    else
      return 132;
  } else {
    if (poly[598].contains(lat, lng))
      return 133;
    else
      return 132;
  }
  else
    return 132;
  else if (lat < -26.358070) {
    if (poly[599].contains(lat, lng))
      return 71;
    else
      return 61;
  } else if (lat < -19.287647) if (lng < -59.068928) if (lat <
      -22.822858) if (lng < -61.609799) {
    if (poly[600].contains(lat, lng)) return 66;
    if (poly[601].contains(lat, lng))
      return 71;
    else
      return 61;
  } else {
    if (poly[602].contains(lat, lng))
      return 71;
    else
      return 61;
  }
  else if (lng < -61.609799) if (lat < -21.055253) if (lng < -62.880235) {
    if (poly[603].contains(lat, lng))
      return 132;
    else
      return 66;
  } else if (lat < -21.939056) if (lng < -62.245017) {
    if (poly[604].contains(lat, lng)) return 61;
    if (poly[605].contains(lat, lng)) return 71;
    if (poly[606].contains(lat, lng)) return 71;
    if (poly[607].contains(lat, lng))
      return 132;
    else
      return 66;
  } else {
    if (poly[608].contains(lat, lng)) return 61;
    if (poly[609].contains(lat, lng)) return 61;
    if (poly[610].contains(lat, lng))
      return 61;
    else
      return 71;
  }
  else {
    if (poly[611].contains(lat, lng))
      return 132;
    else
      return 71;
  }
  else {
    if (poly[612].contains(lat, lng))
      return 71;
    else
      return 132;
  }
  else {
    if (poly[613].contains(lat, lng))
      return 132;
    else
      return 71;
  }
  else if (lat < -24.634697) {
    if (poly[614].contains(lat, lng))
      return 71;
    else
      return 61;
  } else if (lat < -19.834362) {
    if (poly[615].contains(lat, lng))
      return 132;
    else
      return 71;
  } else {
    if (poly[616].contains(lat, lng))
      return 132;
    else
      return 71;
  }
  else if (lng < -61.161085)
    return 132;
  else if (lat < -16.490012) {
    if (poly[617].contains(lat, lng))
      return 92;
    else
      return 132;
  } else {
    if (poly[618].contains(lat, lng))
      return 92;
    else
      return 132;
  }
}

int _call9(num lat, num lng) {
  if (lat < 0.627796) if (lng < -61.358472) if (lat < -3.360249)
    return 138;
  else if (lng < -63.989208)
    return 138;
  else if (lat < -1.366227) {
    if (poly[619].contains(lat, lng))
      return 79;
    else
      return 138;
  } else if (lng < -62.673840)
    return 138;
  else if (lat < -0.369216) {
    if (poly[620].contains(lat, lng))
      return 79;
    else
      return 138;
  } else {
    if (poly[621].contains(lat, lng))
      return 138;
    else
      return 79;
  }
  else if (lat < -3.360249) {
    if (poly[622].contains(lat, lng))
      return 176;
    else
      return 138;
  } else if (lng < -58.727736) if (lat < -1.366227)
    return 138;
  else if (lng < -60.043104) if (lat < -0.369216) {
    if (poly[623].contains(lat, lng))
      return 79;
    else
      return 138;
  } else {
    if (poly[624].contains(lat, lng))
      return 138;
    else
      return 79;
  }
  else {
    if (poly[625].contains(lat, lng)) return 79;
    if (poly[626].contains(lat, lng)) return 176;
    if (poly[627].contains(lat, lng)) return 176;
    if (poly[628].contains(lat, lng))
      return 176;
    else
      return 138;
  }
  else if (lat < -1.366227) if (lng < -57.412368) {
    if (poly[629].contains(lat, lng))
      return 176;
    else
      return 138;
  } else {
    if (poly[630].contains(lat, lng))
      return 138;
    else
      return 176;
  }
  else {
    if (poly[631].contains(lat, lng)) return 138;
    if (poly[632].contains(lat, lng)) return 138;
    if (poly[633].contains(lat, lng))
      return 138;
    else
      return 176;
  }
  else if (lng < -61.358472) if (lat < 4.615840) if (lng < -63.989208) if (lat <
      2.621818) if (lng < -65.304576) {
    if (poly[634].contains(lat, lng))
      return 138;
    else
      return 85;
  } else if (lat < 1.624807) {
    if (poly[635].contains(lat, lng))
      return 138;
    else
      return 85;
  } else {
    if (poly[636].contains(lat, lng)) return 79;
    if (poly[637].contains(lat, lng))
      return 138;
    else
      return 85;
  }
  else {
    if (poly[638].contains(lat, lng)) return 79;
    if (poly[639].contains(lat, lng)) return 79;
    if (poly[640].contains(lat, lng))
      return 79;
    else
      return 85;
  }
  else if (lat < 2.621818) if (lng < -62.673840) if (lat < 1.624807) {
    if (poly[641].contains(lat, lng))
      return 79;
    else
      return 138;
  } else if (lng < -63.331524) {
    if (poly[642].contains(lat, lng)) return 79;
    if (poly[643].contains(lat, lng))
      return 138;
    else
      return 85;
  } else {
    if (poly[644].contains(lat, lng))
      return 138;
    else
      return 79;
  }
  else {
    if (poly[645].contains(lat, lng))
      return 138;
    else
      return 79;
  }
  else if (lng < -62.673840) if (lat < 3.618829) {
    if (poly[646].contains(lat, lng)) return 85;
    if (poly[647].contains(lat, lng)) return 85;
    if (poly[648].contains(lat, lng))
      return 85;
    else
      return 79;
  } else {
    if (poly[649].contains(lat, lng))
      return 85;
    else
      return 79;
  }
  else {
    if (poly[650].contains(lat, lng))
      return 85;
    else
      return 79;
  }
  else {
    if (poly[651].contains(lat, lng))
      return 113;
    else
      return 85;
  }
  else if (lat < 4.615840) if (lng < -58.727736) if (lat < 2.621818) if (lng <
      -60.043104)
    return 79;
  else if (lat < 1.624807) {
    if (poly[652].contains(lat, lng)) return 113;
    if (poly[653].contains(lat, lng))
      return 176;
    else
      return 79;
  } else {
    if (poly[654].contains(lat, lng))
      return 113;
    else
      return 79;
  }
  else if (lng < -60.043104) {
    if (poly[655].contains(lat, lng)) return 85;
    if (poly[656].contains(lat, lng))
      return 113;
    else
      return 79;
  } else if (lat < 3.618829) {
    if (poly[657].contains(lat, lng))
      return 113;
    else
      return 79;
  } else {
    if (poly[658].contains(lat, lng))
      return 79;
    else
      return 113;
  }
  else if (lat < 2.621818) if (lng < -57.412368) {
    if (poly[659].contains(lat, lng))
      return 113;
    else
      return 176;
  } else if (lat < 1.624807)
    return 176;
  else if (lng < -56.754684) {
    if (poly[660].contains(lat, lng)) return 163;
    if (poly[661].contains(lat, lng))
      return 176;
    else
      return 113;
  } else {
    if (poly[662].contains(lat, lng)) return 113;
    if (poly[663].contains(lat, lng))
      return 163;
    else
      return 176;
  }
  else {
    if (poly[664].contains(lat, lng))
      return 163;
    else
      return 113;
  }
  else if (lng < -58.727736) if (lat < 6.609862) if (lng < -60.043104) if (lat <
      5.612851) {
    if (poly[665].contains(lat, lng)) return 85;
    if (poly[666].contains(lat, lng)) return 113;
    if (poly[667].contains(lat, lng))
      return 113;
    else
      return 79;
  } else {
    if (poly[668].contains(lat, lng))
      return 113;
    else
      return 85;
  }
  else {
    if (poly[669].contains(lat, lng))
      return 79;
    else
      return 113;
  }
  else if (lng < -60.043104) if (lat < 7.606873) {
    if (poly[670].contains(lat, lng))
      return 85;
    else
      return 113;
  } else {
    if (poly[671].contains(lat, lng))
      return 113;
    else
      return 85;
  }
  else {
    if (poly[672].contains(lat, lng))
      return 85;
    else
      return 113;
  }
  else {
    if (poly[673].contains(lat, lng))
      return 163;
    else
      return 113;
  }
}

int _call10(num lat, num lng) {
  if (lat < -9.893535) if (lng < -71.171189) {
    if (poly[674].contains(lat, lng))
      return 175;
    else
      return 133;
  } else if (lng < -68.895567) if (lat < -11.792956) {
    if (poly[675].contains(lat, lng))
      return 133;
    else
      return 132;
  } else {
    if (poly[676].contains(lat, lng)) return 132;
    if (poly[677].contains(lat, lng))
      return 133;
    else
      return 175;
  }
  else if (lat < -11.792956) {
    if (poly[678].contains(lat, lng))
      return 133;
    else
      return 132;
  } else {
    if (poly[679].contains(lat, lng))
      return 132;
    else
      return 175;
  }
  else if (lat < -0.193865) if (lng < -67.558582) if (lat < -5.043700) if (lng <
      -71.174515) if (lat < -7.468617) if (lng < -72.982482) if (lat < -8.681076) {
    if (poly[680].contains(lat, lng)) return 175;
    if (poly[681].contains(lat, lng))
      return 175;
    else
      return 133;
  } else {
    if (poly[682].contains(lat, lng))
      return 175;
    else
      return 133;
  }
  else {
    if (poly[683].contains(lat, lng)) return 101;
    if (poly[684].contains(lat, lng)) return 133;
    if (poly[685].contains(lat, lng))
      return 133;
    else
      return 175;
  }
  else if (lng < -72.982482) {
    if (poly[686].contains(lat, lng)) return 101;
    if (poly[687].contains(lat, lng))
      return 175;
    else
      return 133;
  } else {
    if (poly[688].contains(lat, lng)) return 133;
    if (poly[689].contains(lat, lng))
      return 175;
    else
      return 101;
  }
  else {
    if (poly[690].contains(lat, lng)) return 101;
    if (poly[691].contains(lat, lng)) return 133;
    if (poly[692].contains(lat, lng))
      return 138;
    else
      return 175;
  }
  else if (lng < -71.174515) if (lat < -2.618782) if (lng < -72.982482)
    return 133;
  else if (lat < -3.831241) if (lng < -72.078499) {
    if (poly[693].contains(lat, lng))
      return 101;
    else
      return 133;
  } else {
    if (poly[694].contains(lat, lng))
      return 133;
    else
      return 101;
  }
  else
    return 133;
  else if (lng < -72.982482) if (lat < -1.406323) {
    if (poly[695].contains(lat, lng))
      return 80;
    else
      return 133;
  } else if (lng < -73.886466) {
    if (poly[696].contains(lat, lng))
      return 80;
    else
      return 133;
  } else {
    if (poly[697].contains(lat, lng))
      return 133;
    else
      return 80;
  }
  else if (lat < -1.406323) if (lng < -72.078499) {
    if (poly[698].contains(lat, lng))
      return 133;
    else
      return 80;
  } else {
    if (poly[699].contains(lat, lng))
      return 133;
    else
      return 80;
  }
  else
    return 80;
  else if (lat < -2.618782) if (lng < -69.366549) if (lat < -3.831241) if (lng <
      -70.270532) if (lat < -4.437470)
    return 101;
  else if (lng < -70.722524) {
    if (poly[700].contains(lat, lng))
      return 133;
    else
      return 101;
  } else {
    if (poly[701].contains(lat, lng)) return 80;
    if (poly[702].contains(lat, lng)) return 80;
    if (poly[703].contains(lat, lng)) return 80;
    if (poly[704].contains(lat, lng))
      return 101;
    else
      return 133;
  }
  else {
    if (poly[705].contains(lat, lng)) return 80;
    if (poly[706].contains(lat, lng)) return 101;
    if (poly[707].contains(lat, lng))
      return 138;
    else
      return 133;
  }
  else {
    if (poly[708].contains(lat, lng)) return 80;
    if (poly[709].contains(lat, lng))
      return 138;
    else
      return 133;
  }
  else
    return 138;
  else if (lng < -69.366549) if (lat < -1.406323) {
    if (poly[710].contains(lat, lng)) return 133;
    if (poly[711].contains(lat, lng))
      return 138;
    else
      return 80;
  } else {
    if (poly[712].contains(lat, lng))
      return 138;
    else
      return 80;
  }
  else
    return 138;
  else {
    if (poly[713].contains(lat, lng)) return 167;
    if (poly[714].contains(lat, lng))
      return 175;
    else
      return 138;
  }
  else if (lat < 4.205010) if (lng < -70.705196)
    return 80;
  else if (lat < 2.005573) if (lng < -68.662570) if (lat < 0.905854) {
    if (poly[715].contains(lat, lng))
      return 80;
    else
      return 138;
  } else {
    if (poly[716].contains(lat, lng))
      return 138;
    else
      return 80;
  }
  else if (lat < 0.905854)
    return 138;
  else if (lng < -67.641257) {
    if (poly[717].contains(lat, lng)) return 80;
    if (poly[718].contains(lat, lng))
      return 80;
    else
      return 138;
  } else {
    if (poly[719].contains(lat, lng)) return 85;
    if (poly[720].contains(lat, lng))
      return 138;
    else
      return 80;
  }
  else if (lng < -68.662570)
    return 80;
  else if (lat < 3.105291) {
    if (poly[721].contains(lat, lng)) return 85;
    if (poly[722].contains(lat, lng)) return 138;
    if (poly[723].contains(lat, lng))
      return 138;
    else
      return 80;
  } else {
    if (poly[724].contains(lat, lng))
      return 85;
    else
      return 80;
  }
  else if (lng < -70.705196) {
    if (poly[725].contains(lat, lng))
      return 85;
    else
      return 80;
  } else if (lat < 6.404447) if (lng < -68.662570) {
    if (poly[726].contains(lat, lng))
      return 85;
    else
      return 80;
  } else {
    if (poly[727].contains(lat, lng))
      return 80;
    else
      return 85;
  }
  else {
    if (poly[728].contains(lat, lng))
      return 80;
    else
      return 85;
  }
}

int _call11(num lat, num lng) {
  if (lng < -45.696978) if (lat < -4.509060) if (lat < -9.100719) if (lng < -48.633171) if (lat <
      -11.396548) if (lng < -50.101268) if (lat < -12.544463) if (lng < -50.835316)
    return 92;
  else if (lat < -13.118421) {
    if (poly[729].contains(lat, lng))
      return 179;
    else
      return 92;
  } else if (lng < -50.468292) {
    if (poly[730].contains(lat, lng)) return 58;
    if (poly[731].contains(lat, lng)) return 179;
    if (poly[732].contains(lat, lng)) return 179;
    if (poly[733].contains(lat, lng))
      return 179;
    else
      return 92;
  } else {
    if (poly[734].contains(lat, lng)) return 58;
    if (poly[735].contains(lat, lng)) return 58;
    if (poly[736].contains(lat, lng))
      return 58;
    else
      return 179;
  }
  else {
    if (poly[737].contains(lat, lng)) return 92;
    if (poly[738].contains(lat, lng))
      return 179;
    else
      return 58;
  }
  else {
    if (poly[739].contains(lat, lng))
      return 58;
    else
      return 179;
  }
  else {
    if (poly[740].contains(lat, lng)) return 76;
    if (poly[741].contains(lat, lng))
      return 92;
    else
      return 58;
  }
  else if (lat < -11.396548) if (lng < -47.165075) if (lat <
      -12.544463) if (lng < -47.899123) {
    if (poly[742].contains(lat, lng))
      return 179;
    else
      return 58;
  } else {
    if (poly[743].contains(lat, lng))
      return 179;
    else
      return 58;
  }
  else
    return 58;
  else if (lat < -12.544463) if (lng < -46.431026) {
    if (poly[744].contains(lat, lng))
      return 179;
    else
      return 58;
  } else {
    if (poly[745].contains(lat, lng)) return 58;
    if (poly[746].contains(lat, lng))
      return 179;
    else
      return 73;
  }
  else {
    if (poly[747].contains(lat, lng))
      return 73;
    else
      return 58;
  }
  else if (lng < -47.165075)
    return 58;
  else if (lat < -10.248634) {
    if (poly[748].contains(lat, lng)) return 73;
    if (poly[749].contains(lat, lng)) return 104;
    if (poly[750].contains(lat, lng))
      return 104;
    else
      return 58;
  } else if (lng < -46.431026) {
    if (poly[751].contains(lat, lng))
      return 104;
    else
      return 58;
  } else {
    if (poly[752].contains(lat, lng)) return 73;
    if (poly[753].contains(lat, lng))
      return 104;
    else
      return 58;
  }
  else if (lng < -48.633171) {
    if (poly[754].contains(lat, lng)) return 58;
    if (poly[755].contains(lat, lng)) return 58;
    if (poly[756].contains(lat, lng))
      return 104;
    else
      return 76;
  } else if (lat < -6.804889) if (lng < -47.165075) {
    if (poly[757].contains(lat, lng))
      return 104;
    else
      return 58;
  } else {
    if (poly[758].contains(lat, lng))
      return 58;
    else
      return 104;
  }
  else if (lng < -47.165075) if (lat < -5.656975) {
    if (poly[759].contains(lat, lng)) return 76;
    if (poly[760].contains(lat, lng))
      return 104;
    else
      return 58;
  } else {
    if (poly[761].contains(lat, lng)) return 58;
    if (poly[762].contains(lat, lng)) return 76;
    if (poly[763].contains(lat, lng))
      return 76;
    else
      return 104;
  }
  else
    return 104;
  else if (lat < 0.082599) if (lng < -48.633171)
    return 76;
  else if (lat < -2.213230) if (lng < -47.165075) {
    if (poly[764].contains(lat, lng))
      return 104;
    else
      return 76;
  } else if (lat < -3.361145) {
    if (poly[765].contains(lat, lng))
      return 76;
    else
      return 104;
  } else if (lng < -46.431026) {
    if (poly[766].contains(lat, lng)) return 104;
    if (poly[767].contains(lat, lng)) return 104;
    if (poly[768].contains(lat, lng))
      return 104;
    else
      return 76;
  } else {
    if (poly[769].contains(lat, lng)) return 76;
    if (poly[770].contains(lat, lng)) return 76;
    if (poly[771].contains(lat, lng)) return 76;
    if (poly[772].contains(lat, lng))
      return 76;
    else
      return 104;
  }
  else {
    if (poly[773].contains(lat, lng))
      return 104;
    else
      return 76;
  }
  else
    return 76;
  else if (lat < -7.262677) if (lng < -40.162602) if (lat < -10.477527) {
    if (poly[774].contains(lat, lng))
      return 104;
    else
      return 73;
  } else if (lng < -42.929790) {
    if (poly[775].contains(lat, lng))
      return 104;
    else
      return 73;
  } else if (lat < -8.870102) if (lng < -41.546196) {
    if (poly[776].contains(lat, lng))
      return 73;
    else
      return 104;
  } else {
    if (poly[777].contains(lat, lng)) return 104;
    if (poly[778].contains(lat, lng))
      return 172;
    else
      return 73;
  }
  else if (lng < -41.546196)
    return 104;
  else if (lat < -8.066389) {
    if (poly[779].contains(lat, lng)) return 73;
    if (poly[780].contains(lat, lng))
      return 104;
    else
      return 172;
  } else {
    if (poly[781].contains(lat, lng))
      return 172;
    else
      return 104;
  }
  else if (lat < -10.477527) if (lng < -38.150959) {
    if (poly[782].contains(lat, lng))
      return 136;
    else
      return 73;
  } else {
    if (poly[783].contains(lat, lng)) return 73;
    if (poly[784].contains(lat, lng))
      return 73;
    else
      return 136;
  }
  else if (lng < -37.395413) if (lat < -8.870102) if (lng < -38.779007) {
    if (poly[785].contains(lat, lng))
      return 172;
    else
      return 73;
  } else if (lat < -9.673815) {
    if (poly[786].contains(lat, lng))
      return 136;
    else
      return 73;
  } else if (lng < -38.087210) {
    if (poly[787].contains(lat, lng)) return 136;
    if (poly[788].contains(lat, lng)) return 172;
    if (poly[789].contains(lat, lng))
      return 172;
    else
      return 73;
  } else {
    if (poly[790].contains(lat, lng)) return 73;
    if (poly[791].contains(lat, lng)) return 172;
    if (poly[792].contains(lat, lng))
      return 172;
    else
      return 136;
  }
  else if (lng < -38.779007) if (lat < -8.066389) {
    if (poly[793].contains(lat, lng))
      return 73;
    else
      return 172;
  } else {
    if (poly[794].contains(lat, lng))
      return 172;
    else
      return 104;
  }
  else {
    if (poly[795].contains(lat, lng)) return 73;
    if (poly[796].contains(lat, lng)) return 73;
    if (poly[797].contains(lat, lng)) return 104;
    if (poly[798].contains(lat, lng))
      return 136;
    else
      return 172;
  }
  else if (lat < -8.870102) {
    if (poly[799].contains(lat, lng)) return 172;
    if (poly[800].contains(lat, lng)) return 172;
    if (poly[801].contains(lat, lng)) return 172;
    if (poly[802].contains(lat, lng))
      return 172;
    else
      return 136;
  } else if (lng < -36.011819) if (lat < -8.066389) {
    if (poly[803].contains(lat, lng))
      return 104;
    else
      return 172;
  } else {
    if (poly[804].contains(lat, lng)) return 172;
    if (poly[805].contains(lat, lng))
      return 172;
    else
      return 104;
  }
  else {
    if (poly[806].contains(lat, lng)) return 104;
    if (poly[807].contains(lat, lng)) return 136;
    if (poly[808].contains(lat, lng)) return 136;
    if (poly[809].contains(lat, lng))
      return 136;
    else
      return 172;
  }
  else
    return 104;
}

int _call12(num lat, num lng) {
  if (lat < 8.603884) if (lng < -51.569364) if (lng < -66.619944)
    return _call10(lat, lng);
  else if (lat < -7.348293) if (lng < -58.136618) if (lng < -62.378281) if (lat <
      -10.520335) if (lng < -64.499112) if (lat < -12.106357) {
    if (poly[810].contains(lat, lng)) return 167;
    if (poly[811].contains(lat, lng)) return 167;
    if (poly[812].contains(lat, lng))
      return 167;
    else
      return 132;
  } else {
    if (poly[813].contains(lat, lng))
      return 167;
    else
      return 132;
  }
  else if (lat < -12.106357) if (lng < -63.438697) {
    if (poly[814].contains(lat, lng)) return 167;
    if (poly[815].contains(lat, lng))
      return 167;
    else
      return 132;
  } else {
    if (poly[816].contains(lat, lng))
      return 167;
    else
      return 132;
  }
  else
    return 167;
  else if (lng < -64.499112) if (lat < -8.934314) if (lng <
      -65.559528) if (lat < -9.727325) {
    if (poly[817].contains(lat, lng))
      return 167;
    else
      return 132;
  } else {
    if (poly[818].contains(lat, lng))
      return 167;
    else
      return 138;
  }
  else {
    if (poly[819].contains(lat, lng)) return 132;
    if (poly[820].contains(lat, lng))
      return 138;
    else
      return 167;
  }
  else
    return 138;
  else {
    if (poly[821].contains(lat, lng))
      return 167;
    else
      return 138;
  }
  else if (lat < -10.520335) if (lng < -60.257449) if (lat <
      -12.106357) if (lng < -61.317865) {
    if (poly[822].contains(lat, lng))
      return 167;
    else
      return 132;
  } else {
    if (poly[823].contains(lat, lng)) return 92;
    if (poly[824].contains(lat, lng))
      return 132;
    else
      return 167;
  }
  else {
    if (poly[825].contains(lat, lng))
      return 92;
    else
      return 167;
  }
  else {
    if (poly[826].contains(lat, lng))
      return 167;
    else
      return 92;
  }
  else if (lng < -60.257449) if (lat < -8.934314) {
    if (poly[827].contains(lat, lng))
      return 167;
    else
      return 92;
  } else {
    if (poly[828].contains(lat, lng)) return 92;
    if (poly[829].contains(lat, lng))
      return 138;
    else
      return 167;
  }
  else {
    if (poly[830].contains(lat, lng))
      return 138;
    else
      return 92;
  }
  else if (lng < -54.852991) {
    if (poly[831].contains(lat, lng))
      return 176;
    else
      return 92;
  } else {
    if (poly[832].contains(lat, lng)) return 92;
    if (poly[833].contains(lat, lng))
      return 176;
    else
      return 76;
  }
  else if (lng < -56.097000)
    return _call9(lat, lng);
  else if (lat < -0.579146) if (lat < -3.963720) if (lng < -53.833182)
    return 176;
  else if (lat < -5.656006) {
    if (poly[834].contains(lat, lng))
      return 176;
    else
      return 76;
  } else {
    if (poly[835].contains(lat, lng))
      return 176;
    else
      return 76;
  }
  else if (lng < -53.833182)
    return 176;
  else if (lat < -2.271433) {
    if (poly[836].contains(lat, lng))
      return 176;
    else
      return 76;
  } else {
    if (poly[837].contains(lat, lng))
      return 176;
    else
      return 76;
  }
  else if (lat < 2.805427) if (lng < -53.833182) if (lat < 1.113140)
    return 176;
  else if (lng < -54.965091) {
    if (poly[838].contains(lat, lng))
      return 176;
    else
      return 163;
  } else if (lat < 1.959283) {
    if (poly[839].contains(lat, lng))
      return 76;
    else
      return 176;
  } else if (lng < -54.399136) {
    if (poly[840].contains(lat, lng)) return 86;
    if (poly[841].contains(lat, lng)) return 163;
    if (poly[842].contains(lat, lng))
      return 176;
    else
      return 76;
  } else {
    if (poly[843].contains(lat, lng)) return 76;
    if (poly[844].contains(lat, lng))
      return 163;
    else
      return 86;
  }
  else if (lat < 1.113140) {
    if (poly[845].contains(lat, lng)) return 176;
    if (poly[846].contains(lat, lng))
      return 176;
    else
      return 76;
  } else if (lng < -52.701273) {
    if (poly[847].contains(lat, lng)) return 86;
    if (poly[848].contains(lat, lng))
      return 176;
    else
      return 76;
  } else {
    if (poly[849].contains(lat, lng))
      return 86;
    else
      return 76;
  }
  else if (lng < -53.833182) if (lat < 4.497713) {
    if (poly[850].contains(lat, lng))
      return 163;
    else
      return 86;
  } else {
    if (poly[851].contains(lat, lng))
      return 86;
    else
      return 163;
  }
  else {
    if (poly[852].contains(lat, lng))
      return 76;
    else
      return 86;
  }
  else
    return _call11(lat, lng);
  else if (lng < -67.990797) if (lng < -69.661226) if (lng <
      -70.927056) if (lat < 11.961238) if (lng < -72.858752) {
    if (poly[853].contains(lat, lng))
      return 85;
    else
      return 80;
  } else {
    if (poly[854].contains(lat, lng))
      return 85;
    else
      return 80;
  }
  else {
    if (poly[855].contains(lat, lng))
      return 85;
    else
      return 80;
  }
  else {
    if (poly[856].contains(lat, lng))
      return 85;
    else
      return 57;
  }
  else {
    if (poly[857].contains(lat, lng)) return 85;
    if (poly[858].contains(lat, lng))
      return 93;
    else
      return 131;
  }
  else if (lat < 12.324735) if (lat < 11.562837) {
    if (poly[859].contains(lat, lng))
      return 85;
    else
      return 166;
  } else if (lng < -62.404854)
    return 85;
  else
    return 109;
  else if (lng < -60.791134) if (lng < -61.173214) {
    if (poly[860].contains(lat, lng))
      return 109;
    else
      return 187;
  } else {
    if (poly[861].contains(lat, lng))
      return 185;
    else
      return 187;
  }
  else
    return 75;
}

int _call13(num lat, num lng) {
  if (lat < -15.609703) if (lng < 29.455710) if (lat < -28.570615) if (lng <
      16.475659) {
    if (poly[862].contains(lat, lng))
      return 52;
    else
      return 25;
  } else if (lng < 19.544312) {
    if (poly[863].contains(lat, lng))
      return 52;
    else
      return 25;
  } else {
    if (poly[864].contains(lat, lng))
      return 25;
    else
      return 39;
  }
  else if (lng < 17.410000) if (lat < -28.032820) if (lng < 17.080560) {
    if (poly[865].contains(lat, lng))
      return 25;
    else
      return 52;
  } else if (lat < -28.399580) {
    if (poly[866].contains(lat, lng))
      return 52;
    else
      return 25;
  } else {
    if (poly[867].contains(lat, lng))
      return 52;
    else
      return 25;
  }
  else {
    if (poly[868].contains(lat, lng))
      return 34;
    else
      return 52;
  }
  else if (lat < -22.090159) if (lng < 23.432855) if (lat <
      -25.330387) if (lng < 20.421428) {
    if (poly[869].contains(lat, lng))
      return 25;
    else
      return 52;
  } else if (lat < -26.950501)
    return 25;
  else if (lng < 21.927141) if (lat < -26.140444) {
    if (poly[870].contains(lat, lng))
      return 23;
    else
      return 25;
  } else {
    if (poly[871].contains(lat, lng))
      return 25;
    else
      return 23;
  }
  else {
    if (poly[872].contains(lat, lng)) return 23;
    if (poly[873].contains(lat, lng))
      return 23;
    else
      return 25;
  }
  else {
    if (poly[874].contains(lat, lng)) return 25;
    if (poly[875].contains(lat, lng)) return 25;
    if (poly[876].contains(lat, lng)) return 25;
    if (poly[877].contains(lat, lng))
      return 52;
    else
      return 23;
  }
  else if (lat < -25.330387) {
    if (poly[878].contains(lat, lng))
      return 23;
    else
      return 25;
  } else if (lng < 26.444282) {
    if (poly[879].contains(lat, lng)) return 25;
    if (poly[880].contains(lat, lng))
      return 25;
    else
      return 23;
  } else if (lat < -23.710273) {
    if (poly[881].contains(lat, lng))
      return 23;
    else
      return 25;
  } else if (lng < 27.949996) {
    if (poly[882].contains(lat, lng))
      return 25;
    else
      return 23;
  } else {
    if (poly[883].contains(lat, lng)) return 23;
    if (poly[884].contains(lat, lng))
      return 24;
    else
      return 25;
  }
  else if (lng < 23.432855) if (lat < -18.849931) {
    if (poly[885].contains(lat, lng))
      return 52;
    else
      return 23;
  } else if (lng < 20.421428) {
    if (poly[886].contains(lat, lng))
      return 52;
    else
      return 34;
  } else if (lat < -17.229817) {
    if (poly[887].contains(lat, lng)) return 23;
    if (poly[888].contains(lat, lng)) return 36;
    if (poly[889].contains(lat, lng))
      return 52;
    else
      return 34;
  } else {
    if (poly[890].contains(lat, lng))
      return 36;
    else
      return 34;
  }
  else if (lat < -18.849931) if (lng < 26.444282) {
    if (poly[891].contains(lat, lng))
      return 24;
    else
      return 23;
  } else {
    if (poly[892].contains(lat, lng))
      return 23;
    else
      return 24;
  }
  else if (lng < 26.444282) if (lat < -17.229817) if (lng < 24.938569) if (lat <
      -18.039874) {
    if (poly[893].contains(lat, lng)) return 52;
    if (poly[894].contains(lat, lng))
      return 52;
    else
      return 23;
  } else {
    if (poly[895].contains(lat, lng)) return 23;
    if (poly[896].contains(lat, lng)) return 23;
    if (poly[897].contains(lat, lng)) return 34;
    if (poly[898].contains(lat, lng))
      return 36;
    else
      return 52;
  }
  else if (lat < -18.039874) {
    if (poly[899].contains(lat, lng))
      return 24;
    else
      return 23;
  } else if (lng < 25.691426) {
    if (poly[900].contains(lat, lng)) return 23;
    if (poly[901].contains(lat, lng)) return 24;
    if (poly[902].contains(lat, lng))
      return 36;
    else
      return 52;
  } else {
    if (poly[903].contains(lat, lng))
      return 36;
    else
      return 24;
  }
  else
    return 36;
  else {
    if (poly[904].contains(lat, lng))
      return 36;
    else
      return 24;
  }
  else if (lng < 33.102357) if (lat < -23.805513) {
    if (poly[905].contains(lat, lng)) return 38;
    if (poly[906].contains(lat, lng))
      return 40;
    else
      return 25;
  } else if (lat < -19.707608) if (lat < -21.756560) {
    if (poly[907].contains(lat, lng)) return 24;
    if (poly[908].contains(lat, lng))
      return 38;
    else
      return 25;
  } else {
    if (poly[909].contains(lat, lng))
      return 38;
    else
      return 24;
  }
  else if (lat < -17.658655) {
    if (poly[910].contains(lat, lng))
      return 38;
    else
      return 24;
  } else if (lng < 31.279033) {
    if (poly[911].contains(lat, lng)) return 36;
    if (poly[912].contains(lat, lng))
      return 38;
    else
      return 24;
  } else {
    if (poly[913].contains(lat, lng))
      return 24;
    else
      return 38;
  }
  else if (lat < -21.265323)
    return 38;
  else if (lng < 36.664969) if (lat < -18.437513)
    return 38;
  else if (lng < 34.883663) {
    if (poly[914].contains(lat, lng))
      return 10;
    else
      return 38;
  } else {
    if (poly[915].contains(lat, lng))
      return 10;
    else
      return 38;
  }
  else
    return 38;
  else if (lng < 24.087886) if (lat < -11.404498) {
    if (poly[916].contains(lat, lng))
      return 36;
    else
      return 34;
  } else if (lng < 17.967785) if (lat < -8.276794)
    return 34;
  else if (lng < 14.907735) {
    if (poly[917].contains(lat, lng))
      return 30;
    else
      return 34;
  } else if (lat < -6.712941) {
    if (poly[918].contains(lat, lng))
      return 30;
    else
      return 34;
  } else {
    if (poly[919].contains(lat, lng))
      return 34;
    else
      return 30;
  }
  else if (lat < -8.276794) if (lng < 21.027836)
    return 34;
  else if (lat < -9.840646) if (lng < 22.557861) {
    if (poly[920].contains(lat, lng))
      return 35;
    else
      return 34;
  } else {
    if (poly[921].contains(lat, lng)) return 35;
    if (poly[922].contains(lat, lng))
      return 36;
    else
      return 34;
  }
  else {
    if (poly[923].contains(lat, lng))
      return 35;
    else
      return 34;
  }
  else if (lng < 21.027836) if (lat < -6.712941) {
    if (poly[924].contains(lat, lng)) return 30;
    if (poly[925].contains(lat, lng))
      return 35;
    else
      return 34;
  } else {
    if (poly[926].contains(lat, lng))
      return 35;
    else
      return 30;
  }
  else {
    if (poly[927].contains(lat, lng))
      return 34;
    else
      return 35;
  }
  else if (lng < 33.701099) if (lat < -13.998540) if (lng < 33.239352) {
    if (poly[928].contains(lat, lng)) return 10;
    if (poly[929].contains(lat, lng)) return 10;
    if (poly[930].contains(lat, lng))
      return 38;
    else
      return 36;
  } else {
    if (poly[931].contains(lat, lng))
      return 10;
    else
      return 38;
  }
  else if (lng < 30.792749) if (lat < -8.271282) if (lng < 27.440317) if (lat <
      -11.134911) if (lng < 25.764102) {
    if (poly[932].contains(lat, lng))
      return 35;
    else
      return 36;
  } else {
    if (poly[933].contains(lat, lng))
      return 36;
    else
      return 35;
  }
  else {
    if (poly[934].contains(lat, lng))
      return 36;
    else
      return 35;
  }
  else if (lat < -11.134911) if (lng < 29.116533) if (lat < -12.566726) {
    if (poly[935].contains(lat, lng))
      return 35;
    else
      return 36;
  } else if (lng < 28.278425) {
    if (poly[936].contains(lat, lng))
      return 36;
    else
      return 35;
  } else {
    if (poly[937].contains(lat, lng)) return 36;
    if (poly[938].contains(lat, lng))
      return 36;
    else
      return 35;
  }
  else {
    if (poly[939].contains(lat, lng))
      return 35;
    else
      return 36;
  }
  else {
    if (poly[940].contains(lat, lng))
      return 36;
    else
      return 35;
  }
  else {
    if (poly[941].contains(lat, lng))
      return 18;
    else
      return 35;
  }
  else if (lat < -9.573815) if (lat < -11.786177) {
    if (poly[942].contains(lat, lng)) return 36;
    if (poly[943].contains(lat, lng))
      return 36;
    else
      return 10;
  } else {
    if (poly[944].contains(lat, lng)) return 18;
    if (poly[945].contains(lat, lng))
      return 36;
    else
      return 10;
  }
  else {
    if (poly[946].contains(lat, lng)) return 10;
    if (poly[947].contains(lat, lng))
      return 36;
    else
      return 18;
  }
  else if (lat < -14.386368) if (lng < 34.358479) {
    if (poly[948].contains(lat, lng))
      return 10;
    else
      return 38;
  } else if (lng < 34.622374) if (lat < -15.002667) {
    if (poly[949].contains(lat, lng))
      return 38;
    else
      return 10;
  } else {
    if (poly[950].contains(lat, lng))
      return 10;
    else
      return 38;
  }
  else {
    if (poly[951].contains(lat, lng))
      return 38;
    else
      return 10;
  }
  else if (lat < -9.767729) if (lng < 36.964340) if (lat < -12.077048) {
    if (poly[952].contains(lat, lng))
      return 38;
    else
      return 10;
  } else if (lng < 35.332719) {
    if (poly[953].contains(lat, lng)) return 18;
    if (poly[954].contains(lat, lng))
      return 38;
    else
      return 10;
  } else {
    if (poly[955].contains(lat, lng))
      return 38;
    else
      return 18;
  }
  else {
    if (poly[956].contains(lat, lng))
      return 38;
    else
      return 18;
  }
  else {
    if (poly[957].contains(lat, lng))
      return 10;
    else
      return 18;
  }
}

int _call14(num lat, num lng) {
  if (lat < 15.084000) if (lng < -0.723987) if (lat < 9.636901) if (lng <
      -4.045655) {
    if (poly[958].contains(lat, lng))
      return 47;
    else
      return 1;
  } else if (lat < 7.088077) {
    if (poly[959].contains(lat, lng))
      return 1;
    else
      return 2;
  } else {
    if (poly[960].contains(lat, lng)) return 2;
    if (poly[961].contains(lat, lng))
      return 47;
    else
      return 1;
  }
  else if (lng < -4.045655) if (lat < 12.360451) if (lng < -5.706489) if (lat <
      10.998676) if (lng < -6.536906) {
    if (poly[962].contains(lat, lng))
      return 6;
    else
      return 1;
  } else {
    if (poly[963].contains(lat, lng))
      return 1;
    else
      return 6;
  }
  else
    return 6;
  else if (lat < 10.998676) if (lng < -4.876072) if (lat < 10.317788) {
    if (poly[964].contains(lat, lng)) return 47;
    if (poly[965].contains(lat, lng)) return 47;
    if (poly[966].contains(lat, lng))
      return 47;
    else
      return 1;
  } else {
    if (poly[967].contains(lat, lng)) return 1;
    if (poly[968].contains(lat, lng)) return 1;
    if (poly[969].contains(lat, lng)) return 1;
    if (poly[970].contains(lat, lng))
      return 6;
    else
      return 47;
  }
  else {
    if (poly[971].contains(lat, lng))
      return 47;
    else
      return 1;
  }
  else {
    if (poly[972].contains(lat, lng))
      return 47;
    else
      return 6;
  }
  else {
    if (poly[973].contains(lat, lng))
      return 47;
    else
      return 6;
  }
  else if (lat < 12.360451) if (lng < -2.384821) {
    if (poly[974].contains(lat, lng)) return 1;
    if (poly[975].contains(lat, lng))
      return 2;
    else
      return 47;
  } else {
    if (poly[976].contains(lat, lng))
      return 47;
    else
      return 2;
  }
  else {
    if (poly[977].contains(lat, lng))
      return 6;
    else
      return 47;
  }
  else if (lng < 2.408972) if (lat < 11.895485) if (lat < 8.466663) if (lat <
      6.752252) {
    if (poly[978].contains(lat, lng)) return 2;
    if (poly[979].contains(lat, lng))
      return 48;
    else
      return 33;
  } else if (lng < 0.842492) {
    if (poly[980].contains(lat, lng))
      return 33;
    else
      return 2;
  } else {
    if (poly[981].contains(lat, lng))
      return 48;
    else
      return 33;
  }
  else if (lat < 10.181074) if (lng < 0.842492) if (lat < 9.323868) {
    if (poly[982].contains(lat, lng))
      return 33;
    else
      return 2;
  } else {
    if (poly[983].contains(lat, lng))
      return 33;
    else
      return 2;
  }
  else {
    if (poly[984].contains(lat, lng))
      return 48;
    else
      return 33;
  }
  else if (lng < 0.842492) if (lat < 11.038280) if (lng < 0.059253) {
    if (poly[985].contains(lat, lng)) return 33;
    if (poly[986].contains(lat, lng))
      return 47;
    else
      return 2;
  } else {
    if (poly[987].contains(lat, lng)) return 2;
    if (poly[988].contains(lat, lng)) return 47;
    if (poly[989].contains(lat, lng))
      return 48;
    else
      return 33;
  }
  else {
    if (poly[990].contains(lat, lng)) return 33;
    if (poly[991].contains(lat, lng))
      return 47;
    else
      return 2;
  }
  else if (lat < 11.038280) {
    if (poly[992].contains(lat, lng)) return 33;
    if (poly[993].contains(lat, lng)) return 33;
    if (poly[994].contains(lat, lng)) return 47;
    if (poly[995].contains(lat, lng))
      return 47;
    else
      return 48;
  } else {
    if (poly[996].contains(lat, lng)) return 48;
    if (poly[997].contains(lat, lng))
      return 48;
    else
      return 47;
  }
  else if (lat < 13.489743) {
    if (poly[998].contains(lat, lng)) return 47;
    if (poly[999].contains(lat, lng)) return 48;
    if (poly[1000].contains(lat, lng))
      return 48;
    else
      return 45;
  } else {
    if (poly[1001].contains(lat, lng)) return 6;
    if (poly[1002].contains(lat, lng))
      return 47;
    else
      return 45;
  }
  else if (lat < 9.576548) if (lat < 6.822822) {
    if (poly[1003].contains(lat, lng))
      return 48;
    else
      return 31;
  } else {
    if (poly[1004].contains(lat, lng))
      return 48;
    else
      return 31;
  }
  else if (lat < 12.330274) if (lng < 5.039725) if (lat < 10.953411) {
    if (poly[1005].contains(lat, lng))
      return 48;
    else
      return 31;
  } else if (lng < 3.724348) {
    if (poly[1006].contains(lat, lng)) return 31;
    if (poly[1007].contains(lat, lng)) return 45;
    if (poly[1008].contains(lat, lng)) return 45;
    if (poly[1009].contains(lat, lng))
      return 45;
    else
      return 48;
  } else {
    if (poly[1010].contains(lat, lng))
      return 48;
    else
      return 31;
  }
  else
    return 31;
  else {
    if (poly[1011].contains(lat, lng)) return 31;
    if (poly[1012].contains(lat, lng))
      return 48;
    else
      return 45;
  }
  else if (lng < 0.151578) {
    if (poly[1013].contains(lat, lng)) return 4;
    if (poly[1014].contains(lat, lng))
      return 46;
    else
      return 6;
  } else if (lat < 21.258772) if (lng < 3.911028) if (lat < 18.171386) {
    if (poly[1015].contains(lat, lng))
      return 45;
    else
      return 6;
  } else if (lng < 2.031303) {
    if (poly[1016].contains(lat, lng))
      return 4;
    else
      return 6;
  } else {
    if (poly[1017].contains(lat, lng))
      return 4;
    else
      return 6;
  }
  else {
    if (poly[1018].contains(lat, lng)) return 4;
    if (poly[1019].contains(lat, lng))
      return 6;
    else
      return 45;
  }
  else {
    if (poly[1020].contains(lat, lng))
      return 6;
    else
      return 4;
  }
}

int _call15(num lat, num lng) {
  if (lng < 18.643611) if (lat < 3.989000) if (lat < -4.388063) if (lng <
      14.197547) if (lng < 12.745379) {
    if (poly[1021].contains(lat, lng)) return 11;
    if (poly[1022].contains(lat, lng))
      return 30;
    else
      return 34;
  } else if (lng < 13.471463) {
    if (poly[1023].contains(lat, lng)) return 30;
    if (poly[1024].contains(lat, lng))
      return 34;
    else
      return 11;
  } else {
    if (poly[1025].contains(lat, lng))
      return 11;
    else
      return 30;
  }
  else {
    if (poly[1026].contains(lat, lng))
      return 11;
    else
      return 30;
  }
  else if (lng < 14.539444) if (lat < -0.589167) if (lat < -4.278450) {
    if (poly[1027].contains(lat, lng))
      return 30;
    else
      return 11;
  } else if (lng < 11.519834) {
    if (poly[1028].contains(lat, lng))
      return 11;
    else
      return 32;
  } else if (lat < -2.433809) {
    if (poly[1029].contains(lat, lng)) return 32;
    if (poly[1030].contains(lat, lng)) return 32;
    if (poly[1031].contains(lat, lng)) return 32;
    if (poly[1032].contains(lat, lng))
      return 32;
    else
      return 11;
  } else if (lng < 13.029639) {
    if (poly[1033].contains(lat, lng)) return 11;
    if (poly[1034].contains(lat, lng))
      return 11;
    else
      return 32;
  } else if (lat < -1.511488) {
    if (poly[1035].contains(lat, lng))
      return 32;
    else
      return 11;
  } else {
    if (poly[1036].contains(lat, lng))
      return 11;
    else
      return 32;
  }
  else if (lat < 2.449845) if (lng < 11.529307) {
    if (poly[1037].contains(lat, lng)) return 20;
    if (poly[1038].contains(lat, lng))
      return 32;
    else
      return 37;
  } else if (lat < 0.930339) {
    if (poly[1039].contains(lat, lng))
      return 32;
    else
      return 11;
  } else if (lng < 13.034375) {
    if (poly[1040].contains(lat, lng))
      return 32;
    else
      return 20;
  } else if (lat < 1.690092) {
    if (poly[1041].contains(lat, lng))
      return 11;
    else
      return 32;
  } else {
    if (poly[1042].contains(lat, lng)) return 11;
    if (poly[1043].contains(lat, lng))
      return 20;
    else
      return 32;
  }
  else {
    if (poly[1044].contains(lat, lng))
      return 20;
    else
      return 37;
  }
  else if (lat < -0.199531) {
    if (poly[1045].contains(lat, lng))
      return 30;
    else
      return 11;
  } else if (lat < 1.894734) {
    if (poly[1046].contains(lat, lng)) return 20;
    if (poly[1047].contains(lat, lng))
      return 30;
    else
      return 11;
  } else if (lng < 16.591527) if (lat < 2.941867) if (lng < 15.565486) {
    if (poly[1048].contains(lat, lng))
      return 20;
    else
      return 11;
  } else {
    if (poly[1049].contains(lat, lng)) return 7;
    if (poly[1050].contains(lat, lng)) return 11;
    if (poly[1051].contains(lat, lng))
      return 11;
    else
      return 20;
  }
  else {
    if (poly[1052].contains(lat, lng)) return 11;
    if (poly[1053].contains(lat, lng))
      return 20;
    else
      return 7;
  }
  else if (lat < 2.941867) {
    if (poly[1054].contains(lat, lng))
      return 30;
    else
      return 11;
  } else {
    if (poly[1055].contains(lat, lng)) return 7;
    if (poly[1056].contains(lat, lng))
      return 30;
    else
      return 11;
  }
  else if (lng < 8.831418) {
    if (poly[1057].contains(lat, lng))
      return 31;
    else
      return 20;
  } else if (lng < 15.179509) if (lat < 4.056659) {
    if (poly[1058].contains(lat, lng))
      return 7;
    else
      return 20;
  } else {
    if (poly[1059].contains(lat, lng))
      return 7;
    else
      return 20;
  }
  else {
    if (poly[1060].contains(lat, lng))
      return 30;
    else
      return 7;
  }
  else if (lat < 0.121457) if (lng < 23.048844) if (lat < -2.513816) {
    if (poly[1061].contains(lat, lng))
      return 35;
    else
      return 30;
  } else {
    if (poly[1062].contains(lat, lng)) return 35;
    if (poly[1063].contains(lat, lng)) return 35;
    if (poly[1064].contains(lat, lng)) return 35;
    if (poly[1065].contains(lat, lng))
      return 35;
    else
      return 30;
  }
  else if (lat < -2.513816)
    return 35;
  else if (lng < 25.251460) if (lat < -1.196180) {
    if (poly[1066].contains(lat, lng))
      return 30;
    else
      return 35;
  } else {
    if (poly[1067].contains(lat, lng))
      return 35;
    else
      return 30;
  }
  else
    return 35;
  else if (lng < 23.048844) if (lat < 2.756730) {
    if (poly[1068].contains(lat, lng)) return 35;
    if (poly[1069].contains(lat, lng))
      return 35;
    else
      return 30;
  } else if (lng < 20.846227) {
    if (poly[1070].contains(lat, lng)) return 7;
    if (poly[1071].contains(lat, lng))
      return 7;
    else
      return 30;
  } else if (lat < 4.074367) {
    if (poly[1072].contains(lat, lng)) return 35;
    if (poly[1073].contains(lat, lng)) return 35;
    if (poly[1074].contains(lat, lng))
      return 35;
    else
      return 30;
  } else {
    if (poly[1075].contains(lat, lng)) return 30;
    if (poly[1076].contains(lat, lng))
      return 35;
    else
      return 7;
  }
  else if (lat < 2.756730) {
    if (poly[1077].contains(lat, lng)) return 30;
    if (poly[1078].contains(lat, lng))
      return 30;
    else
      return 35;
  } else if (lng < 25.251460) if (lat < 4.074367) {
    if (poly[1079].contains(lat, lng)) return 30;
    if (poly[1080].contains(lat, lng))
      return 30;
    else
      return 35;
  } else if (lng < 24.150152) {
    if (poly[1081].contains(lat, lng))
      return 35;
    else
      return 7;
  } else {
    if (poly[1082].contains(lat, lng))
      return 35;
    else
      return 7;
  }
  else if (lat < 4.074367)
    return 35;
  else if (lng < 26.352768) if (lat < 4.733185)
    return 35;
  else if (lng < 25.802114) {
    if (poly[1083].contains(lat, lng))
      return 35;
    else
      return 7;
  } else {
    if (poly[1084].contains(lat, lng)) return 35;
    if (poly[1085].contains(lat, lng))
      return 35;
    else
      return 7;
  }
  else {
    if (poly[1086].contains(lat, lng)) return 26;
    if (poly[1087].contains(lat, lng))
      return 35;
    else
      return 7;
  }
}

int _call16(num lat, num lng) {
  if (lng < 15.996667) if (lat < 20.353056) if (lat < 12.872529) if (lng <
      11.833573) if (lat < 9.132266) if (lng < 9.752025) {
    if (poly[1088].contains(lat, lng))
      return 20;
    else
      return 31;
  } else if (lat < 7.262135) if (lng < 10.792799) {
    if (poly[1089].contains(lat, lng))
      return 31;
    else
      return 20;
  } else {
    if (poly[1090].contains(lat, lng))
      return 20;
    else
      return 31;
  }
  else
    return 31;
  else {
    if (poly[1091].contains(lat, lng))
      return 45;
    else
      return 31;
  }
  else if (lat < 9.132266) if (lng < 13.915120) {
    if (poly[1092].contains(lat, lng))
      return 31;
    else
      return 20;
  } else if (lat < 7.262135) {
    if (poly[1093].contains(lat, lng))
      return 7;
    else
      return 20;
  } else {
    if (poly[1094].contains(lat, lng)) return 7;
    if (poly[1095].contains(lat, lng))
      return 20;
    else
      return 44;
  }
  else if (lng < 13.915120) {
    if (poly[1096].contains(lat, lng))
      return 20;
    else
      return 31;
  } else if (lat < 11.002398) {
    if (poly[1097].contains(lat, lng))
      return 44;
    else
      return 20;
  } else if (lng < 14.955893) if (lat < 11.937464) {
    if (poly[1098].contains(lat, lng))
      return 31;
    else
      return 20;
  } else {
    if (poly[1099].contains(lat, lng)) return 31;
    if (poly[1100].contains(lat, lng))
      return 44;
    else
      return 20;
  }
  else {
    if (poly[1101].contains(lat, lng))
      return 44;
    else
      return 20;
  }
  else if (lng < 11.833573) {
    if (poly[1102].contains(lat, lng))
      return 45;
    else
      return 31;
  } else if (lat < 16.612793) if (lng < 13.915120) if (lat <
      14.742661) if (lng < 12.874346) {
    if (poly[1103].contains(lat, lng))
      return 45;
    else
      return 31;
  } else {
    if (poly[1104].contains(lat, lng)) return 31;
    if (poly[1105].contains(lat, lng))
      return 44;
    else
      return 45;
  }
  else {
    if (poly[1106].contains(lat, lng))
      return 44;
    else
      return 45;
  }
  else {
    if (poly[1107].contains(lat, lng)) return 20;
    if (poly[1108].contains(lat, lng)) return 31;
    if (poly[1109].contains(lat, lng))
      return 45;
    else
      return 44;
  }
  else {
    if (poly[1110].contains(lat, lng))
      return 44;
    else
      return 45;
  }
  else if (lng < 11.833573) {
    if (poly[1111].contains(lat, lng)) return 45;
    if (poly[1112].contains(lat, lng))
      return 50;
    else
      return 4;
  } else {
    if (poly[1113].contains(lat, lng)) return 4;
    if (poly[1114].contains(lat, lng)) return 44;
    if (poly[1115].contains(lat, lng))
      return 50;
    else
      return 45;
  }
  else if (lat < 11.001389) if (lng < 21.725372) if (lng < 18.861019) if (lat <
      8.196696) if (lng < 17.428843) {
    if (poly[1116].contains(lat, lng))
      return 44;
    else
      return 7;
  } else {
    if (poly[1117].contains(lat, lng))
      return 44;
    else
      return 7;
  }
  else {
    if (poly[1118].contains(lat, lng))
      return 7;
    else
      return 44;
  }
  else if (lat < 8.196696)
    return 7;
  else if (lng < 20.293195) if (lat < 9.599042) if (lng < 19.577107) {
    if (poly[1119].contains(lat, lng))
      return 44;
    else
      return 7;
  } else {
    if (poly[1120].contains(lat, lng))
      return 44;
    else
      return 7;
  }
  else
    return 44;
  else {
    if (poly[1121].contains(lat, lng))
      return 44;
    else
      return 7;
  }
  else if (lng < 24.589724) if (lat < 8.196696)
    return 7;
  else if (lng < 23.157548) {
    if (poly[1122].contains(lat, lng)) return 28;
    if (poly[1123].contains(lat, lng)) return 44;
    if (poly[1124].contains(lat, lng))
      return 44;
    else
      return 7;
  } else if (lat < 9.599042) if (lng < 23.873636) {
    if (poly[1125].contains(lat, lng)) return 26;
    if (poly[1126].contains(lat, lng))
      return 28;
    else
      return 7;
  } else {
    if (poly[1127].contains(lat, lng)) return 7;
    if (poly[1128].contains(lat, lng))
      return 26;
    else
      return 28;
  }
  else {
    if (poly[1129].contains(lat, lng)) return 7;
    if (poly[1130].contains(lat, lng))
      return 28;
    else
      return 26;
  }
  else if (lat < 8.196696) if (lng < 26.021900) {
    if (poly[1131].contains(lat, lng))
      return 26;
    else
      return 7;
  } else {
    if (poly[1132].contains(lat, lng))
      return 7;
    else
      return 26;
  }
  else if (lng < 26.021900) if (lat < 9.599042) {
    if (poly[1133].contains(lat, lng)) return 7;
    if (poly[1134].contains(lat, lng))
      return 26;
    else
      return 28;
  } else if (lng < 25.305812) {
    if (poly[1135].contains(lat, lng))
      return 28;
    else
      return 26;
  } else {
    if (poly[1136].contains(lat, lng))
      return 28;
    else
      return 26;
  }
  else {
    if (poly[1137].contains(lat, lng))
      return 28;
    else
      return 26;
  }
  else if (lat < 19.217466) if (lng < 21.725372)
    return 44;
  else if (lat < 15.109428) if (lng < 24.589724) if (lat < 13.055408) {
    if (poly[1138].contains(lat, lng))
      return 28;
    else
      return 44;
  } else {
    if (poly[1139].contains(lat, lng))
      return 44;
    else
      return 28;
  }
  else
    return 28;
  else {
    if (poly[1140].contains(lat, lng))
      return 44;
    else
      return 28;
  }
  else {
    if (poly[1141].contains(lat, lng)) return 13;
    if (poly[1142].contains(lat, lng)) return 28;
    if (poly[1143].contains(lat, lng))
      return 44;
    else
      return 50;
  }
}

int _call17(num lat, num lng) {
  if (lat < 5.002966) if (lng < 31.305676) if (lat < 2.156907) if (lat <
      -1.496091) if (lng < 29.379876) if (lat < -3.322590) {
    if (poly[1144].contains(lat, lng)) return 12;
    if (poly[1145].contains(lat, lng))
      return 18;
    else
      return 35;
  } else if (lng < 28.416976)
    return 35;
  else if (lat < -2.409340) {
    if (poly[1146].contains(lat, lng)) return 29;
    if (poly[1147].contains(lat, lng))
      return 35;
    else
      return 12;
  } else {
    if (poly[1148].contains(lat, lng))
      return 29;
    else
      return 35;
  }
  else if (lat < -3.322590) {
    if (poly[1149].contains(lat, lng)) return 12;
    if (poly[1150].contains(lat, lng)) return 35;
    if (poly[1151].contains(lat, lng))
      return 35;
    else
      return 18;
  } else if (lng < 30.342776) {
    if (poly[1152].contains(lat, lng)) return 12;
    if (poly[1153].contains(lat, lng))
      return 35;
    else
      return 29;
  } else if (lat < -2.409340) {
    if (poly[1154].contains(lat, lng)) return 12;
    if (poly[1155].contains(lat, lng)) return 29;
    if (poly[1156].contains(lat, lng))
      return 29;
    else
      return 18;
  } else {
    if (poly[1157].contains(lat, lng)) return 12;
    if (poly[1158].contains(lat, lng)) return 18;
    if (poly[1159].contains(lat, lng))
      return 18;
    else
      return 29;
  }
  else if (lng < 29.379876)
    return 35;
  else if (lat < 0.330408) if (lng < 30.342776) {
    if (poly[1160].contains(lat, lng)) return 29;
    if (poly[1161].contains(lat, lng))
      return 35;
    else
      return 27;
  } else {
    if (poly[1162].contains(lat, lng)) return 27;
    if (poly[1163].contains(lat, lng))
      return 29;
    else
      return 18;
  }
  else {
    if (poly[1164].contains(lat, lng))
      return 27;
    else
      return 35;
  }
  else if (lng < 29.379876) {
    if (poly[1165].contains(lat, lng))
      return 35;
    else
      return 26;
  } else if (lat < 3.579937) {
    if (poly[1166].contains(lat, lng)) return 26;
    if (poly[1167].contains(lat, lng))
      return 27;
    else
      return 35;
  } else if (lng < 30.342776) {
    if (poly[1168].contains(lat, lng))
      return 35;
    else
      return 26;
  } else {
    if (poly[1169].contains(lat, lng)) return 27;
    if (poly[1170].contains(lat, lng))
      return 35;
    else
      return 26;
  }
  else if (lat < -0.998942) {
    if (poly[1171].contains(lat, lng)) return 27;
    if (poly[1172].contains(lat, lng)) return 27;
    if (poly[1173].contains(lat, lng))
      return 43;
    else
      return 18;
  } else if (lng < 35.766628) if (lat < 2.002012) {
    if (poly[1174].contains(lat, lng))
      return 43;
    else
      return 27;
  } else if (lng < 33.536152) {
    if (poly[1175].contains(lat, lng))
      return 27;
    else
      return 26;
  } else {
    if (poly[1176].contains(lat, lng)) return 26;
    if (poly[1177].contains(lat, lng))
      return 27;
    else
      return 43;
  }
  else {
    if (poly[1178].contains(lat, lng)) return 3;
    if (poly[1179].contains(lat, lng))
      return 26;
    else
      return 43;
  }
  else if (lat < 18.070992) if (lat < 11.536979) if (lng < 33.840828) if (lat <
      8.269973) {
    if (poly[1180].contains(lat, lng))
      return 26;
    else
      return 3;
  } else if (lng < 30.647452) {
    if (poly[1181].contains(lat, lng))
      return 26;
    else
      return 28;
  } else {
    if (poly[1182].contains(lat, lng)) return 3;
    if (poly[1183].contains(lat, lng)) return 28;
    if (poly[1184].contains(lat, lng))
      return 28;
    else
      return 26;
  }
  else if (lat < 8.269973) if (lng < 37.034204) if (lat < 6.636469) {
    if (poly[1185].contains(lat, lng))
      return 26;
    else
      return 3;
  } else {
    if (poly[1186].contains(lat, lng))
      return 26;
    else
      return 3;
  }
  else
    return 3;
  else if (lng < 37.034204) if (lat < 9.903476) {
    if (poly[1187].contains(lat, lng)) return 26;
    if (poly[1188].contains(lat, lng))
      return 28;
    else
      return 3;
  } else {
    if (poly[1189].contains(lat, lng)) return 3;
    if (poly[1190].contains(lat, lng))
      return 26;
    else
      return 28;
  }
  else
    return 3;
  else if (lng < 33.840828) {
    if (poly[1191].contains(lat, lng))
      return 26;
    else
      return 28;
  } else if (lat < 14.803986) if (lng < 37.034204) {
    if (poly[1192].contains(lat, lng)) return 5;
    if (poly[1193].contains(lat, lng))
      return 28;
    else
      return 3;
  } else if (lat < 13.170482)
    return 3;
  else if (lng < 38.630892) {
    if (poly[1194].contains(lat, lng)) return 5;
    if (poly[1195].contains(lat, lng))
      return 5;
    else
      return 3;
  } else {
    if (poly[1196].contains(lat, lng))
      return 5;
    else
      return 3;
  }
  else if (lng < 37.034204) {
    if (poly[1197].contains(lat, lng))
      return 5;
    else
      return 28;
  } else {
    if (poly[1198].contains(lat, lng)) return 3;
    if (poly[1199].contains(lat, lng))
      return 28;
    else
      return 5;
  }
  else if (lng < 33.840828) {
    if (poly[1200].contains(lat, lng))
      return 28;
    else
      return 13;
  } else if (lat < 22.752268) {
    if (poly[1201].contains(lat, lng)) return 13;
    if (poly[1202].contains(lat, lng))
      return 272;
    else
      return 28;
  } else {
    if (poly[1203].contains(lat, lng))
      return 272;
    else
      return 13;
  }
}

int _call18(num lat, num lng) {
  if (lat < -13.692378) if (lat < -28.393264) if (lat < -45.999874) if (lat <
      -56.248000) if (lat < -61.600000) if (lat < -66.000000) if (lat < -86.000000)
    return 205;
  else if (lng < -67.500000)
    return 207;
  else {
    if (poly[1204].contains(lat, lng))
      return 207;
    else
      return 70;
  }
  else if (lat < -64.000000) {
    if (poly[1205].contains(lat, lng))
      return 206;
    else
      return 70;
  } else {
    if (poly[1206].contains(lat, lng))
      return 169;
    else
      return 70;
  }
  else if (lat < -58.362500)
    return 70;
  else
    return 169;
  else if (lng < -63.453630) if (lng < -69.122039) if (lat < -50.972131) {
    if (poly[1207].contains(lat, lng))
      return 65;
    else
      return 169;
  } else if (lng < -71.956244) if (lat < -48.486002) if (lng < -73.373347) {
    if (poly[1208].contains(lat, lng)) return 65;
    if (poly[1209].contains(lat, lng)) return 65;
    if (poly[1210].contains(lat, lng))
      return 177;
    else
      return 169;
  } else if (lat < -49.729067) {
    if (poly[1211].contains(lat, lng))
      return 65;
    else
      return 169;
  } else {
    if (poly[1212].contains(lat, lng)) return 169;
    if (poly[1213].contains(lat, lng)) return 177;
    if (poly[1214].contains(lat, lng))
      return 177;
    else
      return 65;
  }
  else {
    if (poly[1215].contains(lat, lng)) return 65;
    if (poly[1216].contains(lat, lng)) return 65;
    if (poly[1217].contains(lat, lng)) return 65;
    if (poly[1218].contains(lat, lng))
      return 65;
    else
      return 177;
  }
  else {
    if (poly[1219].contains(lat, lng)) return 60;
    if (poly[1220].contains(lat, lng)) return 177;
    if (poly[1221].contains(lat, lng)) return 177;
    if (poly[1222].contains(lat, lng))
      return 177;
    else
      return 65;
  }
  else if (lat < -51.089499) {
    if (poly[1223].contains(lat, lng)) return 65;
    if (poly[1224].contains(lat, lng))
      return 169;
    else
      return 70;
  } else {
    if (poly[1225].contains(lat, lng))
      return 60;
    else
      return 65;
  }
  else if (lng < -57.366237)
    return 304;
  else
    return 302;
  else
    return _call6(lat, lng);
  else if (lng < -58.171500)
    return _call8(lat, lng);
  else if (lat < -27.383750) if (lng < -56.929806) if (lng < -57.411484) {
    if (poly[1226].contains(lat, lng))
      return 71;
    else
      return 61;
  } else {
    if (poly[1227].contains(lat, lng))
      return 71;
    else
      return 61;
  }
  else if (lng < -56.217655) {
    if (poly[1228].contains(lat, lng))
      return 71;
    else
      return 61;
  } else if (lng < -52.173129) if (lng < -54.195392) if (lng < -55.206523) {
    if (poly[1229].contains(lat, lng)) return 71;
    if (poly[1230].contains(lat, lng)) return 179;
    if (poly[1231].contains(lat, lng))
      return 179;
    else
      return 61;
  } else {
    if (poly[1232].contains(lat, lng))
      return 61;
    else
      return 179;
  }
  else
    return 179;
  else
    return 179;
  else
    return _call7(lat, lng);
  else if (lat < 13.583000)
    return _call12(lat, lng);
  else if (lng < -64.059729) if (lng < -70.864359) if (lat <
      20.888781) if (lng < -72.827404) {
    if (poly[1233].contains(lat, lng)) return 115;
    if (poly[1234].contains(lat, lng))
      return 152;
    else
      return 165;
  } else if (lat < 19.079476) {
    if (poly[1235].contains(lat, lng))
      return 165;
    else
      return 178;
  } else {
    if (poly[1236].contains(lat, lng))
      return 178;
    else
      return 165;
  }
  else {
    if (poly[1237].contains(lat, lng)) return 152;
    if (poly[1238].contains(lat, lng))
      return 178;
    else
      return 108;
  }
  else if (lng < -67.633762) if (lng < -68.110146) {
    if (poly[1239].contains(lat, lng))
      return 168;
    else
      return 178;
  } else
    return 168;
  else if (lat < 17.995840) if (lng < -65.116124)
    return 168;
  else
    return 186;
  else if (lng < -65.040186) {
    if (poly[1240].contains(lat, lng))
      return 186;
    else
      return 168;
  } else {
    if (poly[1241].contains(lat, lng))
      return 186;
    else
      return 194;
  }
  else if (lng < -62.584402) if (lat < 17.615815) if (lat < 15.915843)
    return 85;
  else {
    if (poly[1242].contains(lat, lng))
      return 131;
    else
      return 184;
  }
  else {
    if (poly[1243].contains(lat, lng)) return 131;
    if (poly[1244].contains(lat, lng)) return 135;
    if (poly[1245].contains(lat, lng)) return 139;
    if (poly[1246].contains(lat, lng))
      return 182;
    else
      return 55;
  }
  else if (lat < 15.787222) if (lat < 15.079510) if (lat < 14.272500) if (lng <
      -61.003889) {
    if (poly[1247].contains(lat, lng))
      return 140;
    else
      return 185;
  } else {
    if (poly[1248].contains(lat, lng))
      return 140;
    else
      return 185;
  }
  else {
    if (poly[1249].contains(lat, lng))
      return 99;
    else
      return 140;
  }
  else if (lng < -61.442500) {
    if (poly[1250].contains(lat, lng))
      return 110;
    else
      return 99;
  } else {
    if (poly[1251].contains(lat, lng))
      return 110;
    else
      return 99;
  }
  else if (lng < -62.140067) {
    if (poly[1252].contains(lat, lng)) return 56;
    if (poly[1253].contains(lat, lng))
      return 184;
    else
      return 151;
  } else if (lat < 16.714000) {
    if (poly[1254].contains(lat, lng))
      return 151;
    else
      return 110;
  } else {
    if (poly[1255].contains(lat, lng))
      return 151;
    else
      return 56;
  }
}

int _call19(num lat, num lng) {
  if (lat < -5.149089) if (lat < -36.862000) if (lat < -58.803000) if (lat <
      -65.969656) if (lng < -5.500000) if (lat < -86.000000)
    return 205;
  else {
    if (poly[1256].contains(lat, lng))
      return 317;
    else
      return 207;
  }
  else if (lat < -86.000000)
    return 205;
  else if (lng < 0.000000)
    return 25;
  else {
    if (poly[1257].contains(lat, lng))
      return 209;
    else
      return 208;
  }
  else
    return 302;
  else if (lng < -25.846830)
    return 302;
  else if (lng < -9.611753)
    return 303;
  else
    return 25;
  else if (lng < -5.423415) if (lng < -34.599531)
    return 104;
  else
    return 303;
  else
    return _call13(lat, lng);
  else if (lng < 7.670478) if (lng < -7.367323) if (lat < 10.462040) if (lng <
      -15.238664) if (lat < 3.393091)
    return 16;
  else
    return 156;
  else if (lat < 9.999973) if (lng < -10.881472) if (lat < 8.056728) {
    if (poly[1258].contains(lat, lng))
      return 42;
    else
      return 22;
  } else if (lng < -12.638547) {
    if (poly[1259].contains(lat, lng))
      return 22;
    else
      return 16;
  } else {
    if (poly[1260].contains(lat, lng))
      return 22;
    else
      return 16;
  }
  else if (lat < 7.077782) if (lng < -9.124398)
    return 42;
  else if (lat < 5.616687) {
    if (poly[1261].contains(lat, lng))
      return 1;
    else
      return 42;
  } else if (lng < -8.245860) {
    if (poly[1262].contains(lat, lng))
      return 1;
    else
      return 42;
  } else {
    if (poly[1263].contains(lat, lng))
      return 42;
    else
      return 1;
  }
  else if (lng < -9.124398) if (lat < 8.538878) if (lng < -10.002935) {
    if (poly[1264].contains(lat, lng)) return 16;
    if (poly[1265].contains(lat, lng))
      return 42;
    else
      return 22;
  } else {
    if (poly[1266].contains(lat, lng))
      return 42;
    else
      return 16;
  }
  else {
    if (poly[1267].contains(lat, lng)) return 22;
    if (poly[1268].contains(lat, lng))
      return 42;
    else
      return 16;
  }
  else if (lat < 8.538878) if (lng < -8.245860) {
    if (poly[1269].contains(lat, lng)) return 1;
    if (poly[1270].contains(lat, lng))
      return 16;
    else
      return 42;
  } else {
    if (poly[1271].contains(lat, lng))
      return 16;
    else
      return 1;
  }
  else {
    if (poly[1272].contains(lat, lng))
      return 16;
    else
      return 1;
  }
  else {
    if (poly[1273].contains(lat, lng)) return 1;
    if (poly[1274].contains(lat, lng))
      return 16;
    else
      return 6;
  }
  else if (lat < 17.407117) if (lng < -22.454775)
    return 298;
  else if (lat < 12.686238) if (lng < -12.180100) if (lng < -14.586488) {
    if (poly[1275].contains(lat, lng)) return 16;
    if (poly[1276].contains(lat, lng)) return 17;
    if (poly[1277].contains(lat, lng))
      return 17;
    else
      return 9;
  } else if (lng < -13.383294) {
    if (poly[1278].contains(lat, lng)) return 9;
    if (poly[1279].contains(lat, lng))
      return 17;
    else
      return 16;
  } else {
    if (poly[1280].contains(lat, lng))
      return 17;
    else
      return 16;
  }
  else if (lng < -9.773711) if (lng < -10.976906) if (lat < 11.574139)
    return 16;
  else if (lng < -11.578503) {
    if (poly[1281].contains(lat, lng))
      return 17;
    else
      return 16;
  } else {
    if (poly[1282].contains(lat, lng)) return 16;
    if (poly[1283].contains(lat, lng))
      return 17;
    else
      return 6;
  }
  else {
    if (poly[1284].contains(lat, lng))
      return 16;
    else
      return 6;
  }
  else if (lng < -8.570517) {
    if (poly[1285].contains(lat, lng))
      return 16;
    else
      return 6;
  } else {
    if (poly[1286].contains(lat, lng)) return 16;
    if (poly[1287].contains(lat, lng))
      return 16;
    else
      return 6;
  }
  else if (lng < -12.576783) if (lng < -15.181512) if (lat < 15.046677) {
    if (poly[1288].contains(lat, lng))
      return 8;
    else
      return 17;
  } else {
    if (poly[1289].contains(lat, lng))
      return 46;
    else
      return 17;
  }
  else if (lat < 15.046677) {
    if (poly[1290].contains(lat, lng)) return 8;
    if (poly[1291].contains(lat, lng))
      return 46;
    else
      return 17;
  } else if (lng < -13.879147) {
    if (poly[1292].contains(lat, lng))
      return 46;
    else
      return 17;
  } else {
    if (poly[1293].contains(lat, lng))
      return 46;
    else
      return 17;
  }
  else if (lng < -9.972053) if (lat < 15.046677) if (lng < -11.274418) if (lat <
      13.866458) {
    if (poly[1294].contains(lat, lng))
      return 17;
    else
      return 6;
  } else if (lng < -11.925600) {
    if (poly[1295].contains(lat, lng)) return 6;
    if (poly[1296].contains(lat, lng))
      return 46;
    else
      return 17;
  } else {
    if (poly[1297].contains(lat, lng))
      return 46;
    else
      return 6;
  }
  else
    return 6;
  else {
    if (poly[1298].contains(lat, lng))
      return 6;
    else
      return 46;
  }
  else {
    if (poly[1299].contains(lat, lng))
      return 46;
    else
      return 6;
  }
  else {
    if (poly[1300].contains(lat, lng)) return 4;
    if (poly[1301].contains(lat, lng))
      return 46;
    else
      return 21;
  }
  else if (lat < 1.925760) if (lat < -0.707757)
    return 37;
  else
    return 49;
  else
    return _call14(lat, lng);
  else if (lng < 27.454076) if (lat < 5.392003)
    return _call15(lat, lng);
  else
    return _call16(lat, lng);
  else
    return _call17(lat, lng);
}

int _call20(num lat, num lng) {
  if (lat < 53.363782) if (lng < -61.250000) if (lat < 32.591369)
    return 296;
  else if (lat < 48.481700) if (lng < -68.020224) if (lat < 43.613186)
    return 153;
  else if (lng < -71.405337) {
    if (poly[1302].contains(lat, lng))
      return 193;
    else
      return 153;
  } else if (lat < 46.047443) {
    if (poly[1303].contains(lat, lng)) return 193;
    if (poly[1304].contains(lat, lng))
      return 193;
    else
      return 153;
  } else {
    if (poly[1305].contains(lat, lng)) return 148;
    if (poly[1306].contains(lat, lng))
      return 153;
    else
      return 193;
  }
  else if (lng < -64.635112) if (lat < 45.838850) if (lng < -66.327668) {
    if (poly[1307].contains(lat, lng)) return 114;
    if (poly[1308].contains(lat, lng))
      return 148;
    else
      return 153;
  } else {
    if (poly[1309].contains(lat, lng))
      return 148;
    else
      return 114;
  }
  else {
    if (poly[1310].contains(lat, lng)) return 153;
    if (poly[1311].contains(lat, lng))
      return 193;
    else
      return 148;
  }
  else {
    if (poly[1312].contains(lat, lng)) return 148;
    if (poly[1313].contains(lat, lng))
      return 193;
    else
      return 114;
  }
  else if (lng < -68.020224)
    return 193;
  else if (lng < -64.635112) if (lat < 50.922741)
    return 193;
  else if (lng < -66.327668) if (lat < 52.143261) {
    if (poly[1314].contains(lat, lng))
      return 107;
    else
      return 193;
  } else if (lng < -67.173946) {
    if (poly[1315].contains(lat, lng))
      return 107;
    else
      return 193;
  } else if (lat < 52.753522) {
    if (poly[1316].contains(lat, lng))
      return 193;
    else
      return 107;
  } else {
    if (poly[1317].contains(lat, lng)) return 107;
    if (poly[1318].contains(lat, lng))
      return 107;
    else
      return 193;
  }
  else if (lat < 52.143261) {
    if (poly[1319].contains(lat, lng))
      return 193;
    else
      return 107;
  } else {
    if (poly[1320].contains(lat, lng)) return 193;
    if (poly[1321].contains(lat, lng)) return 193;
    if (poly[1322].contains(lat, lng)) return 193;
    if (poly[1323].contains(lat, lng))
      return 193;
    else
      return 107;
  }
  else if (lat < 50.922741)
    return 193;
  else if (lng < -62.942556) if (lat < 52.143261) {
    if (poly[1324].contains(lat, lng))
      return 193;
    else
      return 107;
  } else {
    if (poly[1325].contains(lat, lng)) return 193;
    if (poly[1326].contains(lat, lng))
      return 193;
    else
      return 107;
  }
  else {
    if (poly[1327].contains(lat, lng))
      return 193;
    else
      return 107;
  }
  else if (lat < 44.250090)
    return 114;
  else if (lat < 47.365000) if (lng < -59.345249) if (lat < 46.471002) {
    if (poly[1328].contains(lat, lng))
      return 105;
    else
      return 114;
  } else {
    if (poly[1329].contains(lat, lng))
      return 183;
    else
      return 114;
  }
  else if (lng < -57.161134)
    return 183;
  else if (lng < -56.678682) if (lat < 47.171604)
    return 143;
  else
    return 183;
  else {
    if (poly[1330].contains(lat, lng))
      return 143;
    else
      return 183;
  }
  else {
    if (poly[1331].contains(lat, lng)) return 78;
    if (poly[1332].contains(lat, lng)) return 107;
    if (poly[1333].contains(lat, lng))
      return 114;
    else
      return 183;
  }
  else if (lat < 72.644741) if (lng < -60.758360) if (lat < 63.004262) if (lng <
      -67.774405) if (lat < 58.184022) {
    if (poly[1334].contains(lat, lng)) return 107;
    if (poly[1335].contains(lat, lng))
      return 107;
    else
      return 193;
  } else if (lng < -71.282427) {
    if (poly[1336].contains(lat, lng))
      return 193;
    else
      return 126;
  } else if (lat < 60.594142) if (lng < -69.528416) {
    if (poly[1337].contains(lat, lng)) return 126;
    if (poly[1338].contains(lat, lng))
      return 126;
    else
      return 193;
  } else {
    if (poly[1339].contains(lat, lng)) return 126;
    if (poly[1340].contains(lat, lng))
      return 162;
    else
      return 193;
  }
  else {
    if (poly[1341].contains(lat, lng)) return 162;
    if (poly[1342].contains(lat, lng))
      return 193;
    else
      return 126;
  }
  else if (lat < 58.184022) if (lng < -64.266382) if (lat < 55.773902) if (lng <
      -66.020393) if (lat < 54.568842) if (lng < -66.897399) if (lat < 53.966312) {
    if (poly[1343].contains(lat, lng))
      return 193;
    else
      return 107;
  } else {
    if (poly[1344].contains(lat, lng)) return 193;
    if (poly[1345].contains(lat, lng)) return 193;
    if (poly[1346].contains(lat, lng)) return 193;
    if (poly[1347].contains(lat, lng))
      return 193;
    else
      return 107;
  }
  else {
    if (poly[1348].contains(lat, lng))
      return 193;
    else
      return 107;
  }
  else {
    if (poly[1349].contains(lat, lng)) return 107;
    if (poly[1350].contains(lat, lng))
      return 107;
    else
      return 193;
  }
  else {
    if (poly[1351].contains(lat, lng))
      return 193;
    else
      return 107;
  }
  else {
    if (poly[1352].contains(lat, lng))
      return 107;
    else
      return 193;
  }
  else if (lat < 55.773902) if (lng < -62.512371) if (lat < 54.568842)
    return 107;
  else if (lng < -63.389377) if (lat < 55.171372) {
    if (poly[1353].contains(lat, lng))
      return 193;
    else
      return 107;
  } else {
    if (poly[1354].contains(lat, lng))
      return 193;
    else
      return 107;
  }
  else {
    if (poly[1355].contains(lat, lng))
      return 193;
    else
      return 107;
  }
  else
    return 107;
  else if (lng < -62.512371) if (lat < 56.978962) if (lng <
      -63.389377) if (lat < 56.376432) {
    if (poly[1356].contains(lat, lng))
      return 193;
    else
      return 107;
  } else {
    if (poly[1357].contains(lat, lng))
      return 193;
    else
      return 107;
  }
  else
    return 107;
  else {
    if (poly[1358].contains(lat, lng))
      return 193;
    else
      return 107;
  }
  else
    return 107;
  else if (lng < -64.742671) if (lat < 60.594142) if (lng < -66.258538) {
    if (poly[1359].contains(lat, lng))
      return 193;
    else
      return 162;
  } else if (lat < 59.389082) {
    if (poly[1360].contains(lat, lng)) return 107;
    if (poly[1361].contains(lat, lng))
      return 162;
    else
      return 193;
  } else {
    if (poly[1362].contains(lat, lng)) return 107;
    if (poly[1363].contains(lat, lng)) return 107;
    if (poly[1364].contains(lat, lng)) return 107;
    if (poly[1365].contains(lat, lng)) return 107;
    if (poly[1366].contains(lat, lng)) return 107;
    if (poly[1367].contains(lat, lng))
      return 162;
    else
      return 193;
  }
  else
    return 162;
  else if (lat < 60.594142) if (lng < -63.226804) if (lat < 59.389082) if (lng <
      -63.984737) {
    if (poly[1368].contains(lat, lng)) return 193;
    if (poly[1369].contains(lat, lng))
      return 193;
    else
      return 107;
  } else {
    if (poly[1370].contains(lat, lng)) return 193;
    if (poly[1371].contains(lat, lng))
      return 193;
    else
      return 107;
  }
  else {
    if (poly[1372].contains(lat, lng)) return 162;
    if (poly[1373].contains(lat, lng)) return 193;
    if (poly[1374].contains(lat, lng)) return 193;
    if (poly[1375].contains(lat, lng)) return 193;
    if (poly[1376].contains(lat, lng)) return 193;
    if (poly[1377].contains(lat, lng)) return 193;
    if (poly[1378].contains(lat, lng))
      return 193;
    else
      return 107;
  }
  else
    return 107;
  else
    return 162;
  else {
    if (poly[1379].contains(lat, lng))
      return 126;
    else
      return 162;
  }
  else if (lat < 60.352065)
    return 106;
  else
    return 107;
  else if (lng < -63.556823) {
    if (poly[1380].contains(lat, lng)) return 106;
    if (poly[1381].contains(lat, lng)) return 126;
    if (poly[1382].contains(lat, lng))
      return 162;
    else
      return 190;
  } else {
    if (poly[1383].contains(lat, lng)) return 162;
    if (poly[1384].contains(lat, lng))
      return 190;
    else
      return 106;
  }
}

int _call21(num lat, num lng) {
  if (lng < 20.356164) if (lng < 12.516067) if (lng < 7.718044) if (lat <
      44.084297) {
    if (poly[1385].contains(lat, lng)) return 349;
    if (poly[1386].contains(lat, lng))
      return 356;
    else
      return 352;
  } else {
    if (poly[1387].contains(lat, lng))
      return 356;
    else
      return 352;
  }
  else if (lat < 38.311983)
    return 356;
  else if (lng < 10.095160) if (lat < 41.434667) {
    if (poly[1388].contains(lat, lng))
      return 352;
    else
      return 356;
  } else {
    if (poly[1389].contains(lat, lng))
      return 356;
    else
      return 352;
  }
  else {
    if (poly[1390].contains(lat, lng))
      return 358;
    else
      return 356;
  }
  else if (lat < 39.997858) if (lng < 18.739011)
    return 356;
  else if (lat < 38.441447)
    return 321;
  else {
    if (poly[1391].contains(lat, lng))
      return 366;
    else
      return 321;
  }
  else if (lng < 16.436115) if (lat < 42.709641) {
    if (poly[1392].contains(lat, lng))
      return 375;
    else
      return 356;
  } else if (lng < 14.476091) {
    if (poly[1393].contains(lat, lng))
      return 375;
    else
      return 356;
  } else {
    if (poly[1394].contains(lat, lng))
      return 359;
    else
      return 375;
  }
  else if (lat < 42.709641) if (lng < 18.396140) {
    if (poly[1395].contains(lat, lng)) return 356;
    if (poly[1396].contains(lat, lng))
      return 359;
    else
      return 375;
  } else if (lat < 41.353750) {
    if (poly[1397].contains(lat, lng))
      return 356;
    else
      return 366;
  } else if (lng < 19.376152) {
    if (poly[1398].contains(lat, lng)) return 359;
    if (poly[1399].contains(lat, lng)) return 366;
    if (poly[1400].contains(lat, lng)) return 366;
    if (poly[1401].contains(lat, lng)) return 366;
    if (poly[1402].contains(lat, lng)) return 366;
    if (poly[1403].contains(lat, lng))
      return 375;
    else
      return 353;
  } else {
    if (poly[1404].contains(lat, lng)) return 322;
    if (poly[1405].contains(lat, lng)) return 353;
    if (poly[1406].contains(lat, lng)) return 353;
    if (poly[1407].contains(lat, lng)) return 353;
    if (poly[1408].contains(lat, lng))
      return 353;
    else
      return 366;
  }
  else if (lng < 18.396140) if (lat < 44.065533) {
    if (poly[1409].contains(lat, lng))
      return 375;
    else
      return 359;
  } else {
    if (poly[1410].contains(lat, lng))
      return 375;
    else
      return 359;
  }
  else if (lat < 44.065533) if (lng < 19.376152) {
    if (poly[1411].contains(lat, lng)) return 322;
    if (poly[1412].contains(lat, lng)) return 322;
    if (poly[1413].contains(lat, lng))
      return 353;
    else
      return 359;
  } else {
    if (poly[1414].contains(lat, lng)) return 353;
    if (poly[1415].contains(lat, lng)) return 359;
    if (poly[1416].contains(lat, lng)) return 359;
    if (poly[1417].contains(lat, lng))
      return 359;
    else
      return 322;
  }
  else if (lng < 19.376152) if (lat < 44.743478) {
    if (poly[1418].contains(lat, lng))
      return 322;
    else
      return 359;
  } else if (lng < 18.886146) {
    if (poly[1419].contains(lat, lng))
      return 375;
    else
      return 359;
  } else {
    if (poly[1420].contains(lat, lng)) return 359;
    if (poly[1421].contains(lat, lng))
      return 375;
    else
      return 322;
  }
  else {
    if (poly[1422].contains(lat, lng)) return 359;
    if (poly[1423].contains(lat, lng)) return 359;
    if (poly[1424].contains(lat, lng))
      return 375;
    else
      return 322;
  }
  else if (lat < 42.373536) if (lng < 23.034051) if (lat < 39.914726) {
    if (poly[1425].contains(lat, lng))
      return 366;
    else
      return 321;
  } else if (lng < 21.695107) if (lat < 41.144131) if (lng < 21.025636) {
    if (poly[1426].contains(lat, lng)) return 321;
    if (poly[1427].contains(lat, lng)) return 321;
    if (poly[1428].contains(lat, lng))
      return 362;
    else
      return 366;
  } else {
    if (poly[1429].contains(lat, lng)) return 362;
    if (poly[1430].contains(lat, lng))
      return 366;
    else
      return 321;
  }
  else if (lng < 21.025636) {
    if (poly[1431].contains(lat, lng)) return 322;
    if (poly[1432].contains(lat, lng))
      return 366;
    else
      return 362;
  } else {
    if (poly[1433].contains(lat, lng))
      return 362;
    else
      return 322;
  }
  else if (lat < 41.144131) {
    if (poly[1434].contains(lat, lng)) return 362;
    if (poly[1435].contains(lat, lng)) return 362;
    if (poly[1436].contains(lat, lng))
      return 362;
    else
      return 321;
  } else {
    if (poly[1437].contains(lat, lng)) return 321;
    if (poly[1438].contains(lat, lng)) return 321;
    if (poly[1439].contains(lat, lng)) return 321;
    if (poly[1440].contains(lat, lng)) return 321;
    if (poly[1441].contains(lat, lng)) return 322;
    if (poly[1442].contains(lat, lng)) return 322;
    if (poly[1443].contains(lat, lng))
      return 363;
    else
      return 362;
  }
  else if (lng < 31.630816) if (lng < 27.332433) if (lat < 40.067370) {
    if (poly[1444].contains(lat, lng))
      return 336;
    else
      return 321;
  } else if (lng < 25.183242) {
    if (poly[1445].contains(lat, lng))
      return 363;
    else
      return 321;
  } else if (lat < 41.220453) {
    if (poly[1446].contains(lat, lng))
      return 336;
    else
      return 321;
  } else if (lng < 26.257838) {
    if (poly[1447].contains(lat, lng))
      return 321;
    else
      return 363;
  } else {
    if (poly[1448].contains(lat, lng)) return 321;
    if (poly[1449].contains(lat, lng))
      return 363;
    else
      return 336;
  }
  else {
    if (poly[1450].contains(lat, lng))
      return 363;
    else
      return 336;
  }
  else
    return 336;
  else if (lng < 30.480486) if (lng < 29.207957) if (lng < 24.782060) if (lng <
      22.569112) if (lat < 43.897480) {
    if (poly[1451].contains(lat, lng)) return 363;
    if (poly[1452].contains(lat, lng))
      return 363;
    else
      return 322;
  } else {
    if (poly[1453].contains(lat, lng)) return 326;
    if (poly[1454].contains(lat, lng)) return 326;
    if (poly[1455].contains(lat, lng))
      return 363;
    else
      return 322;
  }
  else if (lat < 43.897480) {
    if (poly[1456].contains(lat, lng)) return 322;
    if (poly[1457].contains(lat, lng))
      return 326;
    else
      return 363;
  } else {
    if (poly[1458].contains(lat, lng)) return 322;
    if (poly[1459].contains(lat, lng)) return 322;
    if (poly[1460].contains(lat, lng))
      return 363;
    else
      return 326;
  }
  else {
    if (poly[1461].contains(lat, lng)) return 339;
    if (poly[1462].contains(lat, lng))
      return 363;
    else
      return 326;
  }
  else {
    if (poly[1463].contains(lat, lng))
      return 326;
    else
      return 339;
  }
  else if (lng < 36.674992) {
    if (poly[1464].contains(lat, lng))
      return 350;
    else
      return 361;
  } else {
    if (poly[1465].contains(lat, lng))
      return 281;
    else
      return 350;
  }
}

int _call22(num lat, num lng) {
  if (lat < 47.092146) if (lng < 16.596770) if (lng < 12.185960) {
    if (poly[1466].contains(lat, lng)) return 371;
    if (poly[1467].contains(lat, lng))
      return 371;
    else
      return 356;
  } else if (lng < 12.240745) if (lat < 46.906838) {
    if (poly[1468].contains(lat, lng))
      return 371;
    else
      return 356;
  } else if (lat < 47.069168) {
    if (poly[1469].contains(lat, lng))
      return 356;
    else
      return 371;
  } else {
    if (poly[1470].contains(lat, lng))
      return 371;
    else
      return 356;
  }
  else if (lng < 14.418757) if (lng < 13.329751) {
    if (poly[1471].contains(lat, lng)) return 371;
    if (poly[1472].contains(lat, lng))
      return 375;
    else
      return 356;
  } else if (lat < 46.256785) {
    if (poly[1473].contains(lat, lng)) return 356;
    if (poly[1474].contains(lat, lng))
      return 375;
    else
      return 342;
  } else {
    if (poly[1475].contains(lat, lng)) return 356;
    if (poly[1476].contains(lat, lng))
      return 371;
    else
      return 342;
  }
  else if (lng < 15.507764) if (lat < 46.256785) {
    if (poly[1477].contains(lat, lng))
      return 375;
    else
      return 342;
  } else {
    if (poly[1478].contains(lat, lng))
      return 371;
    else
      return 342;
  }
  else if (lat < 46.256785) {
    if (poly[1479].contains(lat, lng))
      return 342;
    else
      return 375;
  } else if (lng < 16.052267) {
    if (poly[1480].contains(lat, lng)) return 371;
    if (poly[1481].contains(lat, lng))
      return 375;
    else
      return 342;
  } else {
    if (poly[1482].contains(lat, lng)) return 327;
    if (poly[1483].contains(lat, lng)) return 371;
    if (poly[1484].contains(lat, lng))
      return 375;
    else
      return 342;
  }
  else if (lng < 20.611605) if (lng < 18.604188) {
    if (poly[1485].contains(lat, lng))
      return 375;
    else
      return 327;
  } else if (lng < 19.607897) if (lat < 46.256785) if (lng < 19.106042) {
    if (poly[1486].contains(lat, lng)) return 322;
    if (poly[1487].contains(lat, lng))
      return 327;
    else
      return 375;
  } else {
    if (poly[1488].contains(lat, lng))
      return 322;
    else
      return 327;
  }
  else
    return 327;
  else {
    if (poly[1489].contains(lat, lng)) return 326;
    if (poly[1490].contains(lat, lng))
      return 327;
    else
      return 322;
  }
  else if (lng < 22.619023) if (lng < 21.615314) {
    if (poly[1491].contains(lat, lng)) return 322;
    if (poly[1492].contains(lat, lng))
      return 327;
    else
      return 326;
  } else {
    if (poly[1493].contains(lat, lng))
      return 327;
    else
      return 326;
  }
  else
    return 326;
  else if (lng < 18.859216) if (lat < 49.517291) if (lng < 14.675755) if (lng <
      12.584024) {
    if (poly[1494].contains(lat, lng))
      return 371;
    else
      return 323;
  } else if (lat < 48.304719) {
    if (poly[1495].contains(lat, lng))
      return 323;
    else
      return 371;
  } else if (lng < 13.629890) {
    if (poly[1496].contains(lat, lng)) return 354;
    if (poly[1497].contains(lat, lng))
      return 371;
    else
      return 323;
  } else {
    if (poly[1498].contains(lat, lng)) return 323;
    if (poly[1499].contains(lat, lng))
      return 354;
    else
      return 371;
  }
  else if (lng < 16.767485) if (lat < 48.304695) {
    if (poly[1500].contains(lat, lng))
      return 327;
    else
      return 371;
  } else {
    if (poly[1501].contains(lat, lng))
      return 371;
    else
      return 354;
  }
  else if (lat < 48.304719) if (lng < 17.813351) {
    if (poly[1502].contains(lat, lng)) return 324;
    if (poly[1503].contains(lat, lng))
      return 371;
    else
      return 327;
  } else {
    if (poly[1504].contains(lat, lng))
      return 327;
    else
      return 324;
  }
  else {
    if (poly[1505].contains(lat, lng)) return 354;
    if (poly[1506].contains(lat, lng))
      return 371;
    else
      return 324;
  }
  else if (lng < 14.675755) if (lat < 51.621312) if (lng < 12.584024) {
    if (poly[1507].contains(lat, lng))
      return 354;
    else
      return 323;
  } else {
    if (poly[1508].contains(lat, lng))
      return 354;
    else
      return 323;
  }
  else {
    if (poly[1509].contains(lat, lng)) return 374;
    if (poly[1510].contains(lat, lng))
      return 374;
    else
      return 323;
  }
  else if (lat < 51.621312) if (lng < 16.767485) if (lat < 50.569301) {
    if (poly[1511].contains(lat, lng))
      return 374;
    else
      return 354;
  } else {
    if (poly[1512].contains(lat, lng)) return 323;
    if (poly[1513].contains(lat, lng))
      return 354;
    else
      return 374;
  }
  else if (lat < 50.569301) if (lng < 17.813351) {
    if (poly[1514].contains(lat, lng))
      return 374;
    else
      return 354;
  } else {
    if (poly[1515].contains(lat, lng))
      return 354;
    else
      return 374;
  }
  else
    return 374;
  else {
    if (poly[1516].contains(lat, lng)) return 323;
    if (poly[1517].contains(lat, lng))
      return 323;
    else
      return 374;
  }
  else if (lat < 49.613816) if (lng < 21.742829) if (lng < 20.301022) if (lat <
      48.352981) {
    if (poly[1518].contains(lat, lng))
      return 324;
    else
      return 327;
  } else {
    if (poly[1519].contains(lat, lng))
      return 374;
    else
      return 324;
  }
  else if (lat < 48.352981) {
    if (poly[1520].contains(lat, lng)) return 324;
    if (poly[1521].contains(lat, lng)) return 324;
    if (poly[1522].contains(lat, lng))
      return 326;
    else
      return 327;
  } else {
    if (poly[1523].contains(lat, lng)) return 327;
    if (poly[1524].contains(lat, lng))
      return 374;
    else
      return 324;
  }
  else if (lng < 23.184635) if (lat < 48.352981) if (lng < 22.463732) {
    if (poly[1525].contains(lat, lng)) return 324;
    if (poly[1526].contains(lat, lng)) return 326;
    if (poly[1527].contains(lat, lng))
      return 368;
    else
      return 327;
  } else {
    if (poly[1528].contains(lat, lng)) return 326;
    if (poly[1529].contains(lat, lng))
      return 327;
    else
      return 368;
  }
  else if (lng < 22.463732) {
    if (poly[1530].contains(lat, lng)) return 327;
    if (poly[1531].contains(lat, lng)) return 368;
    if (poly[1532].contains(lat, lng))
      return 374;
    else
      return 324;
  } else {
    if (poly[1533].contains(lat, lng)) return 324;
    if (poly[1534].contains(lat, lng)) return 368;
    if (poly[1535].contains(lat, lng))
      return 374;
    else
      return 339;
  }
  else if (lat < 48.352981) {
    if (poly[1536].contains(lat, lng)) return 326;
    if (poly[1537].contains(lat, lng)) return 339;
    if (poly[1538].contains(lat, lng)) return 339;
    if (poly[1539].contains(lat, lng))
      return 339;
    else
      return 368;
  } else {
    if (poly[1540].contains(lat, lng)) return 368;
    if (poly[1541].contains(lat, lng))
      return 368;
    else
      return 339;
  }
  else if (lng < 21.742829)
    return 374;
  else if (lat < 51.669574) if (lng < 23.184635) {
    if (poly[1542].contains(lat, lng))
      return 339;
    else
      return 374;
  } else if (lat < 50.641695) {
    if (poly[1543].contains(lat, lng))
      return 374;
    else
      return 339;
  } else {
    if (poly[1544].contains(lat, lng)) return 348;
    if (poly[1545].contains(lat, lng))
      return 374;
    else
      return 339;
  }
  else {
    if (poly[1546].contains(lat, lng)) return 339;
    if (poly[1547].contains(lat, lng))
      return 374;
    else
      return 348;
  }
}

int _call23(num lat, num lng) {
  if (lng < 30.163676) if (lat < 48.491870) if (lng < 27.395058) if (lat <
      46.956647)
    return 326;
  else if (lng < 26.010750) {
    if (poly[1548].contains(lat, lng))
      return 326;
    else
      return 339;
  } else if (lat < 47.724259) {
    if (poly[1549].contains(lat, lng))
      return 329;
    else
      return 326;
  } else if (lng < 26.702904) {
    if (poly[1550].contains(lat, lng)) return 329;
    if (poly[1551].contains(lat, lng))
      return 339;
    else
      return 326;
  } else if (lat < 48.108064) {
    if (poly[1552].contains(lat, lng))
      return 329;
    else
      return 326;
  } else {
    if (poly[1553].contains(lat, lng)) return 326;
    if (poly[1554].contains(lat, lng))
      return 339;
    else
      return 329;
  }
  else if (lat < 46.956647) if (lng < 28.779367) if (lat < 46.189036) {
    if (poly[1555].contains(lat, lng)) return 326;
    if (poly[1556].contains(lat, lng)) return 339;
    if (poly[1557].contains(lat, lng))
      return 339;
    else
      return 329;
  } else {
    if (poly[1558].contains(lat, lng))
      return 329;
    else
      return 326;
  }
  else if (lat < 46.189036) {
    if (poly[1559].contains(lat, lng)) return 326;
    if (poly[1560].contains(lat, lng)) return 329;
    if (poly[1561].contains(lat, lng))
      return 329;
    else
      return 339;
  } else if (lng < 29.471522) {
    if (poly[1562].contains(lat, lng))
      return 339;
    else
      return 329;
  } else {
    if (poly[1563].contains(lat, lng))
      return 329;
    else
      return 339;
  }
  else if (lng < 28.779367) if (lat < 47.724259) {
    if (poly[1564].contains(lat, lng))
      return 326;
    else
      return 329;
  } else {
    if (poly[1565].contains(lat, lng))
      return 339;
    else
      return 329;
  }
  else {
    if (poly[1566].contains(lat, lng))
      return 329;
    else
      return 339;
  }
  else if (lng < 27.395058) {
    if (poly[1567].contains(lat, lng))
      return 339;
    else
      return 348;
  } else if (lat < 51.108601)
    return 339;
  else if (lng < 28.779367) {
    if (poly[1568].contains(lat, lng))
      return 348;
    else
      return 339;
  } else {
    if (poly[1569].contains(lat, lng)) return 348;
    if (poly[1570].contains(lat, lng))
      return 348;
    else
      return 339;
  }
  else if (lat < 48.144930) if (lng < 30.351124)
    return 339;
  else if (lng < 35.289352) if (lng < 32.820238) {
    if (poly[1571].contains(lat, lng))
      return 361;
    else
      return 339;
  } else if (lat < 46.783177) {
    if (poly[1572].contains(lat, lng)) return 361;
    if (poly[1573].contains(lat, lng))
      return 376;
    else
      return 339;
  } else {
    if (poly[1574].contains(lat, lng))
      return 376;
    else
      return 339;
  }
  else if (lng < 37.758466) if (lat < 46.783177) {
    if (poly[1575].contains(lat, lng)) return 339;
    if (poly[1576].contains(lat, lng)) return 339;
    if (poly[1577].contains(lat, lng)) return 361;
    if (poly[1578].contains(lat, lng))
      return 376;
    else
      return 350;
  } else if (lng < 36.523909) {
    if (poly[1579].contains(lat, lng))
      return 376;
    else
      return 339;
  } else {
    if (poly[1580].contains(lat, lng)) return 350;
    if (poly[1581].contains(lat, lng))
      return 376;
    else
      return 339;
  }
  else {
    if (poly[1582].contains(lat, lng))
      return 339;
    else
      return 350;
  }
  else if (lng < 35.195628) if (lat < 50.935131)
    return 339;
  else if (lng < 32.679652) if (lat < 52.330231) if (lng < 31.421664) {
    if (poly[1583].contains(lat, lng))
      return 339;
    else
      return 348;
  } else {
    if (poly[1584].contains(lat, lng)) return 339;
    if (poly[1585].contains(lat, lng))
      return 348;
    else
      return 350;
  }
  else if (lng < 31.421664) {
    if (poly[1586].contains(lat, lng))
      return 350;
    else
      return 348;
  } else if (lat < 53.027782) {
    if (poly[1587].contains(lat, lng)) return 339;
    if (poly[1588].contains(lat, lng))
      return 348;
    else
      return 350;
  } else {
    if (poly[1589].contains(lat, lng)) return 350;
    if (poly[1590].contains(lat, lng)) return 350;
    if (poly[1591].contains(lat, lng)) return 350;
    if (poly[1592].contains(lat, lng))
      return 350;
    else
      return 348;
  }
  else if (lat < 52.330231) if (lng < 33.937640) {
    if (poly[1593].contains(lat, lng))
      return 339;
    else
      return 350;
  } else if (lat < 51.632681) {
    if (poly[1594].contains(lat, lng))
      return 350;
    else
      return 339;
  } else {
    if (poly[1595].contains(lat, lng))
      return 350;
    else
      return 339;
  }
  else {
    if (poly[1596].contains(lat, lng)) return 339;
    if (poly[1597].contains(lat, lng)) return 339;
    if (poly[1598].contains(lat, lng)) return 348;
    if (poly[1599].contains(lat, lng))
      return 348;
    else
      return 350;
  }
  else if (lat < 50.935131) if (lng < 37.711604) {
    if (poly[1600].contains(lat, lng))
      return 350;
    else
      return 339;
  } else if (lat < 49.540031) {
    if (poly[1601].contains(lat, lng))
      return 350;
    else
      return 339;
  } else {
    if (poly[1602].contains(lat, lng))
      return 339;
    else
      return 350;
  }
  else {
    if (poly[1603].contains(lat, lng))
      return 339;
    else
      return 350;
  }
}

int _call24(num lat, num lng) {
  if (lat < 71.384879) if (lng < 15.553064) if (lat < 54.399122) if (lng <
      7.549946)
    return 323;
  else {
    if (poly[1604].contains(lat, lng))
      return 374;
    else
      return 323;
  }
  else if (lat < 55.099161) if (lng < 14.078231) if (lng < 11.529757) {
    if (poly[1605].contains(lat, lng))
      return 323;
    else
      return 330;
  } else {
    if (poly[1606].contains(lat, lng))
      return 330;
    else
      return 323;
  }
  else
    return 330;
  else if (lat < 62.278222) if (lng < 10.246714) {
    if (poly[1607].contains(lat, lng))
      return 351;
    else
      return 330;
  } else if (lat < 58.688691) {
    if (poly[1608].contains(lat, lng))
      return 364;
    else
      return 330;
  } else {
    if (poly[1609].contains(lat, lng))
      return 351;
    else
      return 364;
  }
  else {
    if (poly[1610].contains(lat, lng))
      return 364;
    else
      return 351;
  }
  else if (lat < 56.450421) if (lng < 26.835520) if (lng < 16.993665) if (lat <
      55.307816)
    return 364;
  else
    return 374;
  else if (lng < 21.914593) {
    if (poly[1611].contains(lat, lng)) return 355;
    if (poly[1612].contains(lat, lng)) return 372;
    if (poly[1613].contains(lat, lng))
      return 374;
    else
      return 338;
  } else if (lng < 24.375056) if (lat < 55.087877) if (lng < 23.144825) {
    if (poly[1614].contains(lat, lng)) return 338;
    if (poly[1615].contains(lat, lng))
      return 374;
    else
      return 372;
  } else {
    if (poly[1616].contains(lat, lng)) return 348;
    if (poly[1617].contains(lat, lng))
      return 374;
    else
      return 372;
  }
  else {
    if (poly[1618].contains(lat, lng))
      return 372;
    else
      return 355;
  }
  else if (lat < 55.087877) {
    if (poly[1619].contains(lat, lng))
      return 372;
    else
      return 348;
  } else if (lng < 25.605288) {
    if (poly[1620].contains(lat, lng))
      return 372;
    else
      return 355;
  } else {
    if (poly[1621].contains(lat, lng)) return 348;
    if (poly[1622].contains(lat, lng))
      return 355;
    else
      return 372;
  }
  else if (lng < 32.363125) if (lng < 29.599322) {
    if (poly[1623].contains(lat, lng)) return 350;
    if (poly[1624].contains(lat, lng))
      return 355;
    else
      return 348;
  } else if (lng < 30.981224) {
    if (poly[1625].contains(lat, lng)) return 350;
    if (poly[1626].contains(lat, lng))
      return 350;
    else
      return 348;
  } else {
    if (poly[1627].contains(lat, lng)) return 348;
    if (poly[1628].contains(lat, lng))
      return 348;
    else
      return 350;
  }
  else {
    if (poly[1629].contains(lat, lng))
      return 348;
    else
      return 350;
  }
  else if (lat < 58.599619) if (lng < 19.734297)
    return 364;
  else if (lng < 30.456424) if (lng < 25.570846) {
    if (poly[1630].contains(lat, lng))
      return 365;
    else
      return 355;
  } else if (lng < 28.013635) if (lng < 26.792240) {
    if (poly[1631].contains(lat, lng))
      return 355;
    else
      return 365;
  } else if (lat < 57.525020) {
    if (poly[1632].contains(lat, lng)) return 355;
    if (poly[1633].contains(lat, lng))
      return 365;
    else
      return 350;
  } else {
    if (poly[1634].contains(lat, lng)) return 350;
    if (poly[1635].contains(lat, lng)) return 355;
    if (poly[1636].contains(lat, lng))
      return 355;
    else
      return 365;
  }
  else {
    if (poly[1637].contains(lat, lng))
      return 355;
    else
      return 350;
  }
  else
    return 350;
  else if (lng < 27.890322) if (lat < 64.992249) if (lng < 21.721693) {
    if (poly[1638].contains(lat, lng)) return 334;
    if (poly[1639].contains(lat, lng)) return 347;
    if (poly[1640].contains(lat, lng))
      return 365;
    else
      return 364;
  } else {
    if (poly[1641].contains(lat, lng)) return 350;
    if (poly[1642].contains(lat, lng)) return 350;
    if (poly[1643].contains(lat, lng)) return 364;
    if (poly[1644].contains(lat, lng))
      return 365;
    else
      return 334;
  }
  else if (lng < 21.721693) if (lng < 18.637379) {
    if (poly[1645].contains(lat, lng))
      return 364;
    else
      return 351;
  } else {
    if (poly[1646].contains(lat, lng)) return 334;
    if (poly[1647].contains(lat, lng))
      return 351;
    else
      return 364;
  }
  else if (lat < 68.188564) {
    if (poly[1648].contains(lat, lng))
      return 334;
    else
      return 364;
  } else if (lng < 24.806007) {
    if (poly[1649].contains(lat, lng)) return 351;
    if (poly[1650].contains(lat, lng))
      return 364;
    else
      return 334;
  } else {
    if (poly[1651].contains(lat, lng))
      return 334;
    else
      return 351;
  }
  else if (lat < 64.959848) if (lng < 34.058951) if (lat < 61.779734) {
    if (poly[1652].contains(lat, lng)) return 334;
    if (poly[1653].contains(lat, lng))
      return 365;
    else
      return 350;
  } else {
    if (poly[1654].contains(lat, lng))
      return 350;
    else
      return 334;
  }
  else
    return 350;
  else if (lng < 34.058951) if (lat < 68.139963) {
    if (poly[1655].contains(lat, lng))
      return 350;
    else
      return 334;
  } else if (lng < 30.974637) {
    if (poly[1656].contains(lat, lng)) return 334;
    if (poly[1657].contains(lat, lng))
      return 350;
    else
      return 351;
  } else {
    if (poly[1658].contains(lat, lng))
      return 351;
    else
      return 350;
  }
  else
    return 350;
  else
    return 211;
}

int _call25(num lat, num lng) {
  if (lng < -15.623845) if (lng < -52.323198)
    return _call20(lat, lng);
  else if (lat < 38.109494) if (lat < 29.059666)
    return 297;
  else if (lng < -24.531025)
    return 295;
  else
    return 300;
  else if (lat < 39.926735)
    return 295;
  else if (lat < 67.353000) if (lng < -32.286453)
    return 106;
  else
    return 301;
  else if (lat < 72.400000) {
    if (poly[1659].contains(lat, lng))
      return 180;
    else
      return 106;
  } else {
    if (poly[1660].contains(lat, lng))
      return 94;
    else
      return 106;
  }
  else if (lat < 43.993309) if (lat < 36.155038) if (lat < 35.320152) if (lng <
      -15.127390)
    return 297;
  else if (lng < -4.897429) if (lng < -9.816326) {
    if (poly[1661].contains(lat, lng)) return 21;
    if (poly[1662].contains(lat, lng))
      return 297;
    else
      return 14;
  } else {
    if (poly[1663].contains(lat, lng)) return 4;
    if (poly[1664].contains(lat, lng))
      return 21;
    else
      return 14;
  }
  else if (lng < 0.021467) if (lat < 31.376848) {
    if (poly[1665].contains(lat, lng))
      return 14;
    else
      return 4;
  } else if (lng < -2.437981) {
    if (poly[1666].contains(lat, lng)) return 4;
    if (poly[1667].contains(lat, lng))
      return 15;
    else
      return 14;
  } else {
    if (poly[1668].contains(lat, lng))
      return 14;
    else
      return 4;
  }
  else
    return 4;
  else if (lng < -5.048803) if (lat < 35.917950) {
    if (poly[1669].contains(lat, lng))
      return 14;
    else
      return 15;
  } else if (lat < 36.050527) {
    if (poly[1670].contains(lat, lng))
      return 345;
    else
      return 14;
  } else {
    if (poly[1671].contains(lat, lng))
      return 345;
    else
      return 332;
  }
  else if (lng < -2.811975) {
    if (poly[1672].contains(lat, lng))
      return 14;
    else
      return 345;
  } else {
    if (poly[1673].contains(lat, lng))
      return 14;
    else
      return 4;
  }
  else if (lat < 42.154311) if (lng < -6.189159) if (lat < 41.574832) if (lat <
      38.864935) {
    if (poly[1674].contains(lat, lng))
      return 345;
    else
      return 341;
  } else if (lng < -8.003728)
    return 341;
  else if (lat < 40.219884) {
    if (poly[1675].contains(lat, lng))
      return 345;
    else
      return 341;
  } else {
    if (poly[1676].contains(lat, lng))
      return 345;
    else
      return 341;
  }
  else if (lng < -7.685539) {
    if (poly[1677].contains(lat, lng)) return 345;
    if (poly[1678].contains(lat, lng))
      return 345;
    else
      return 341;
  } else {
    if (poly[1679].contains(lat, lng))
      return 341;
    else
      return 345;
  }
  else if (lat < 37.126460) if (lng < -0.881233)
    return 4;
  else
    return 345;
  else
    return 345;
  else if (lng < -2.317545)
    return 345;
  else if (lng < 1.311409) if (lng < -0.503068) {
    if (poly[1680].contains(lat, lng))
      return 352;
    else
      return 345;
  } else {
    if (poly[1681].contains(lat, lng))
      return 352;
    else
      return 345;
  }
  else if (lng < 3.125887) if (lat < 43.073810) if (lng < 2.218648) {
    if (poly[1682].contains(lat, lng)) return 319;
    if (poly[1683].contains(lat, lng))
      return 352;
    else
      return 345;
  } else {
    if (poly[1684].contains(lat, lng))
      return 352;
    else
      return 345;
  }
  else
    return 352;
  else {
    if (poly[1685].contains(lat, lng))
      return 345;
    else
      return 352;
  }
  else if (lat < 55.636000) if (lng < 2.091912) if (lng < -5.658236) if (lat <
      50.399839)
    return 343;
  else if (lat < 51.934425) if (lng < -6.501750)
    return 331;
  else
    return 343;
  else if (lng < -8.335807)
    return 331;
  else if (lat < 53.785212)
    return 331;
  else if (lng < -6.997022) if (lat < 54.710606) {
    if (poly[1686].contains(lat, lng))
      return 343;
    else
      return 331;
  } else {
    if (poly[1687].contains(lat, lng)) return 343;
    if (poly[1688].contains(lat, lng))
      return 343;
    else
      return 331;
  }
  else {
    if (poly[1689].contains(lat, lng))
      return 343;
    else
      return 331;
  }
  else if (lat < 51.227462) if (lng < -1.783162) if (lat < 48.663863)
    return 352;
  else {
    if (poly[1690].contains(lat, lng)) return 333;
    if (poly[1691].contains(lat, lng)) return 337;
    if (poly[1692].contains(lat, lng))
      return 352;
    else
      return 343;
  }
  else {
    if (poly[1693].contains(lat, lng))
      return 343;
    else
      return 352;
  }
  else {
    if (poly[1694].contains(lat, lng))
      return 335;
    else
      return 343;
  }
  else if (lat < 48.742113)
    return 352;
  else if (lat < 51.116515) if (lng < 3.516138) {
    if (poly[1695].contains(lat, lng)) return 325;
    if (poly[1696].contains(lat, lng))
      return 325;
    else
      return 352;
  } else {
    if (poly[1697].contains(lat, lng)) return 352;
    if (poly[1698].contains(lat, lng))
      return 352;
    else
      return 325;
  }
  else {
    if (poly[1699].contains(lat, lng)) return 325;
    if (poly[1700].contains(lat, lng)) return 325;
    if (poly[1701].contains(lat, lng))
      return 352;
    else
      return 318;
  }
  else if (lng < -10.028876) if (lat < 66.697330) if (lat < 60.822138)
    return 301;
  else
    return 343;
  else
    return 106;
  else if (lng < -5.419671) if (lat < 59.335000)
    return 343;
  else if (lat < 66.536849)
    return 211;
  else
    return 299;
  else if (lng < -0.320965)
    return 343;
  else
    return 351;
}

int _call26(num lat, num lng) {
  if (lat < 45.421424) if (lat < 37.761205) if (lng < 28.374229) if (lng <
      15.587107) if (lng < 11.880113) if (lat < 32.597374) {
    if (poly[1702].contains(lat, lng)) return 4;
    if (poly[1703].contains(lat, lng))
      return 51;
    else
      return 50;
  } else if (lng < 8.410239) if (lat < 34.946790) {
    if (poly[1704].contains(lat, lng))
      return 51;
    else
      return 4;
  } else {
    if (poly[1705].contains(lat, lng)) return 51;
    if (poly[1706].contains(lat, lng))
      return 51;
    else
      return 4;
  }
  else {
    if (poly[1707].contains(lat, lng)) return 4;
    if (poly[1708].contains(lat, lng)) return 4;
    if (poly[1709].contains(lat, lng)) return 50;
    if (poly[1710].contains(lat, lng))
      return 356;
    else
      return 51;
  }
  else if (lat < 36.285271) if (lat < 33.282408)
    return 50;
  else if (lng < 13.530323)
    return 346;
  else
    return 356;
  else
    return 356;
  else if (lat < 33.140906) {
    if (poly[1711].contains(lat, lng))
      return 13;
    else
      return 50;
  } else if (lng < 16.206959)
    return 356;
  else if (lng < 24.256735)
    return 321;
  else {
    if (poly[1712].contains(lat, lng))
      return 336;
    else
      return 321;
  }
  else if (lat < 34.105119) if (lng < 34.567324) if (lat < 28.327764) {
    if (poly[1713].contains(lat, lng))
      return 272;
    else
      return 13;
  } else {
    if (poly[1714].contains(lat, lng)) return 237;
    if (poly[1715].contains(lat, lng))
      return 245;
    else
      return 13;
  }
  else if (lat < 30.769331) if (lng < 37.397452) {
    if (poly[1716].contains(lat, lng)) return 13;
    if (poly[1717].contains(lat, lng)) return 245;
    if (poly[1718].contains(lat, lng))
      return 272;
    else
      return 214;
  } else {
    if (poly[1719].contains(lat, lng))
      return 214;
    else
      return 272;
  }
  else if (lng < 37.397452) if (lat < 32.437225) if (lng < 35.982388) {
    if (poly[1720].contains(lat, lng)) return 214;
    if (poly[1721].contains(lat, lng))
      return 245;
    else
      return 238;
  } else {
    if (poly[1722].contains(lat, lng)) return 231;
    if (poly[1723].contains(lat, lng)) return 231;
    if (poly[1724].contains(lat, lng))
      return 272;
    else
      return 214;
  }
  else if (lng < 36.015275) if (lat < 33.271172) {
    if (poly[1725].contains(lat, lng)) return 214;
    if (poly[1726].contains(lat, lng)) return 225;
    if (poly[1727].contains(lat, lng)) return 225;
    if (poly[1728].contains(lat, lng)) return 231;
    if (poly[1729].contains(lat, lng))
      return 238;
    else
      return 245;
  } else {
    if (poly[1730].contains(lat, lng)) return 231;
    if (poly[1731].contains(lat, lng)) return 231;
    if (poly[1732].contains(lat, lng)) return 245;
    if (poly[1733].contains(lat, lng))
      return 245;
    else
      return 225;
  }
  else {
    if (poly[1734].contains(lat, lng)) return 214;
    if (poly[1735].contains(lat, lng)) return 214;
    if (poly[1736].contains(lat, lng)) return 214;
    if (poly[1737].contains(lat, lng)) return 225;
    if (poly[1738].contains(lat, lng))
      return 225;
    else
      return 231;
  }
  else {
    if (poly[1739].contains(lat, lng)) return 220;
    if (poly[1740].contains(lat, lng)) return 231;
    if (poly[1741].contains(lat, lng))
      return 272;
    else
      return 214;
  }
  else if (lng < 34.855318) if (lng < 29.729699) {
    if (poly[1742].contains(lat, lng))
      return 321;
    else
      return 336;
  } else if (lat < 35.384917) {
    if (poly[1743].contains(lat, lng))
      return 236;
    else
      return 261;
  } else {
    if (poly[1744].contains(lat, lng))
      return 236;
    else
      return 336;
  }
  else if (lat < 34.692354) {
    if (poly[1745].contains(lat, lng))
      return 231;
    else
      return 225;
  } else if (lng < 37.541449) if (lat < 36.226779) {
    if (poly[1746].contains(lat, lng)) return 336;
    if (poly[1747].contains(lat, lng))
      return 336;
    else
      return 231;
  } else {
    if (poly[1748].contains(lat, lng)) return 231;
    if (poly[1749].contains(lat, lng))
      return 231;
    else
      return 336;
  }
  else {
    if (poly[1750].contains(lat, lng))
      return 336;
    else
      return 231;
  }
  else
    return _call21(lat, lng);
  else if (lat < 53.725332) if (lng < 10.492294) if (lat < 47.808465) if (lng <
      8.979315) if (lat < 46.463702) if (lng < 6.959839) {
    if (poly[1751].contains(lat, lng)) return 356;
    if (poly[1752].contains(lat, lng))
      return 377;
    else
      return 352;
  } else if (lng < 7.969577) {
    if (poly[1753].contains(lat, lng)) return 352;
    if (poly[1754].contains(lat, lng)) return 352;
    if (poly[1755].contains(lat, lng))
      return 377;
    else
      return 356;
  } else {
    if (poly[1756].contains(lat, lng)) return 377;
    if (poly[1757].contains(lat, lng))
      return 377;
    else
      return 356;
  }
  else if (lng < 6.959839) {
    if (poly[1758].contains(lat, lng)) return 377;
    if (poly[1759].contains(lat, lng))
      return 377;
    else
      return 352;
  } else if (lng < 7.969577) {
    if (poly[1760].contains(lat, lng)) return 323;
    if (poly[1761].contains(lat, lng)) return 352;
    if (poly[1762].contains(lat, lng))
      return 352;
    else
      return 377;
  } else {
    if (poly[1763].contains(lat, lng)) return 328;
    if (poly[1764].contains(lat, lng))
      return 377;
    else
      return 323;
  }
  else if (lat < 46.859075) if (lng < 9.735805) {
    if (poly[1765].contains(lat, lng))
      return 356;
    else
      return 377;
  } else {
    if (poly[1766].contains(lat, lng)) return 356;
    if (poly[1767].contains(lat, lng)) return 356;
    if (poly[1768].contains(lat, lng)) return 371;
    if (poly[1769].contains(lat, lng))
      return 371;
    else
      return 377;
  }
  else if (lng < 10.079184) if (lng < 9.529250) {
    if (poly[1770].contains(lat, lng)) return 323;
    if (poly[1771].contains(lat, lng))
      return 369;
    else
      return 377;
  } else {
    if (poly[1772].contains(lat, lng)) return 323;
    if (poly[1773].contains(lat, lng)) return 323;
    if (poly[1774].contains(lat, lng)) return 369;
    if (poly[1775].contains(lat, lng)) return 377;
    if (poly[1776].contains(lat, lng))
      return 377;
    else
      return 371;
  }
  else if (lat < 46.997125) if (lng < 10.376011) {
    if (poly[1777].contains(lat, lng))
      return 377;
    else
      return 371;
  } else {
    if (poly[1778].contains(lat, lng))
      return 377;
    else
      return 371;
  }
  else {
    if (poly[1779].contains(lat, lng))
      return 323;
    else
      return 371;
  }
  else if (lat < 50.590613) if (lng < 7.716329) if (lat < 49.199539) {
    if (poly[1780].contains(lat, lng))
      return 352;
    else
      return 323;
  } else if (lng < 6.328347) if (lat < 49.895076) if (lng < 5.634355) {
    if (poly[1781].contains(lat, lng))
      return 352;
    else
      return 325;
  } else {
    if (poly[1782].contains(lat, lng)) return 323;
    if (poly[1783].contains(lat, lng)) return 325;
    if (poly[1784].contains(lat, lng))
      return 352;
    else
      return 344;
  }
  else {
    if (poly[1785].contains(lat, lng)) return 323;
    if (poly[1786].contains(lat, lng)) return 323;
    if (poly[1787].contains(lat, lng)) return 323;
    if (poly[1788].contains(lat, lng))
      return 344;
    else
      return 325;
  }
  else {
    if (poly[1789].contains(lat, lng)) return 325;
    if (poly[1790].contains(lat, lng)) return 344;
    if (poly[1791].contains(lat, lng)) return 352;
    if (poly[1792].contains(lat, lng))
      return 352;
    else
      return 323;
  }
  else {
    if (poly[1793].contains(lat, lng))
      return 352;
    else
      return 323;
  }
  else if (lng < 7.716329) if (lat < 52.157972) if (lng < 6.328347) if (lat <
      51.374293) if (lng < 5.634355) {
    if (poly[1794].contains(lat, lng))
      return 318;
    else
      return 325;
  } else if (lat < 50.982453) {
    if (poly[1795].contains(lat, lng)) return 318;
    if (poly[1796].contains(lat, lng))
      return 325;
    else
      return 323;
  } else {
    if (poly[1797].contains(lat, lng)) return 323;
    if (poly[1798].contains(lat, lng))
      return 325;
    else
      return 318;
  }
  else {
    if (poly[1799].contains(lat, lng)) return 323;
    if (poly[1800].contains(lat, lng))
      return 325;
    else
      return 318;
  }
  else {
    if (poly[1801].contains(lat, lng))
      return 318;
    else
      return 323;
  }
  else {
    if (poly[1802].contains(lat, lng))
      return 318;
    else
      return 323;
  }
  else
    return 323;
  else if (lng < 24.626441)
    return _call22(lat, lng);
  else
    return _call23(lat, lng);
  else
    return _call24(lat, lng);
}

int _call27(num lat, num lng) {
  if (lng < 105.915805) if (lng < 100.300923) if (lng < 97.134961) if (lng <
      81.912012)
    return 230;
  else if (lat < -5.446921)
    return 243;
  else
    return 381;
  else if (lat < 5.464190) if (lat < 4.176873) {
    if (poly[1803].contains(lat, lng))
      return 243;
    else
      return 253;
  } else if (lng < 99.574355)
    return 243;
  else
    return 253;
  else if (lng < 99.504759) {
    if (poly[1804].contains(lat, lng))
      return 253;
    else
      return 223;
  } else {
    if (poly[1805].contains(lat, lng))
      return 223;
    else
      return 253;
  }
  else if (lat < 3.527061) if (lat < -10.211475)
    return 380;
  else if (lat < -1.935469)
    return 243;
  else {
    if (poly[1806].contains(lat, lng)) return 243;
    if (poly[1807].contains(lat, lng)) return 277;
    if (poly[1808].contains(lat, lng))
      return 277;
    else
      return 253;
  }
  else if (lng < 100.673031) {
    if (poly[1809].contains(lat, lng))
      return 223;
    else
      return 253;
  } else {
    if (poly[1810].contains(lat, lng))
      return 223;
    else
      return 253;
  }
  else if (lng < 127.805486) if (lng < 116.484180) if (lat < 5.101186) if (lat <
      -5.413892) {
    if (poly[1811].contains(lat, lng))
      return 258;
    else
      return 243;
  } else if (lng < 111.199993) if (lat < -0.211034) {
    if (poly[1812].contains(lat, lng))
      return 267;
    else
      return 243;
  } else if (lng < 108.557899) {
    if (poly[1813].contains(lat, lng))
      return 267;
    else
      return 243;
  } else if (lat < 1.983621) {
    if (poly[1814].contains(lat, lng)) return 243;
    if (poly[1815].contains(lat, lng))
      return 254;
    else
      return 267;
  } else {
    if (poly[1816].contains(lat, lng)) return 243;
    if (poly[1817].contains(lat, lng))
      return 267;
    else
      return 254;
  }
  else if (lat < -0.156353) if (lng < 113.842086) {
    if (poly[1818].contains(lat, lng))
      return 267;
    else
      return 243;
  } else if (lat < -2.785122) {
    if (poly[1819].contains(lat, lng)) return 243;
    if (poly[1820].contains(lat, lng))
      return 267;
    else
      return 258;
  } else {
    if (poly[1821].contains(lat, lng))
      return 267;
    else
      return 258;
  }
  else if (lng < 113.842086) if (lat < 2.251313) if (lng < 112.521039) {
    if (poly[1822].contains(lat, lng))
      return 267;
    else
      return 254;
  } else {
    if (poly[1823].contains(lat, lng)) return 254;
    if (poly[1824].contains(lat, lng))
      return 258;
    else
      return 267;
  }
  else
    return 254;
  else if (lat < 2.472417) if (lng < 115.163133) if (lat < 1.158032) if (lng <
      114.502610) {
    if (poly[1825].contains(lat, lng))
      return 258;
    else
      return 267;
  } else {
    if (poly[1826].contains(lat, lng)) return 267;
    if (poly[1827].contains(lat, lng))
      return 267;
    else
      return 258;
  }
  else if (lng < 114.502610) {
    if (poly[1828].contains(lat, lng)) return 254;
    if (poly[1829].contains(lat, lng))
      return 267;
    else
      return 258;
  } else {
    if (poly[1830].contains(lat, lng))
      return 254;
    else
      return 258;
  }
  else {
    if (poly[1831].contains(lat, lng)) return 254;
    if (poly[1832].contains(lat, lng))
      return 267;
    else
      return 258;
  }
  else if (lng < 115.163133) if (lat < 3.786801) {
    if (poly[1833].contains(lat, lng)) return 258;
    if (poly[1834].contains(lat, lng))
      return 258;
    else
      return 254;
  } else if (lng < 114.502610) {
    if (poly[1835].contains(lat, lng))
      return 227;
    else
      return 254;
  } else {
    if (poly[1836].contains(lat, lng)) return 254;
    if (poly[1837].contains(lat, lng))
      return 254;
    else
      return 227;
  }
  else if (lat < 3.786801) {
    if (poly[1838].contains(lat, lng)) return 254;
    if (poly[1839].contains(lat, lng))
      return 254;
    else
      return 258;
  } else {
    if (poly[1840].contains(lat, lng)) return 227;
    if (poly[1841].contains(lat, lng))
      return 258;
    else
      return 254;
  }
  else
    return 254;
  else if (lat < 3.446428) if (lat < -3.881070) if (lng < 122.144833)
    return 258;
  else {
    if (poly[1842].contains(lat, lng)) return 244;
    if (poly[1843].contains(lat, lng))
      return 258;
    else
      return 233;
  }
  else {
    if (poly[1844].contains(lat, lng))
      return 244;
    else
      return 258;
  }
  else if (lng < 119.439088) if (lat < 5.115101) if (lng < 118.472828) {
    if (poly[1845].contains(lat, lng))
      return 258;
    else
      return 254;
  } else if (lat < 4.122173)
    return 254;
  else {
    if (poly[1846].contains(lat, lng))
      return 254;
    else
      return 259;
  }
  else {
    if (poly[1847].contains(lat, lng))
      return 259;
    else
      return 254;
  }
  else {
    if (poly[1848].contains(lat, lng))
      return 259;
    else
      return 258;
  }
  else if (lat < -10.852463)
    return 309;
  else if (lat < 3.446428) if (lng < 131.183524) {
    if (poly[1849].contains(lat, lng))
      return 416;
    else
      return 244;
  } else if (lat < 2.014817)
    return 244;
  else
    return 416;
  else
    return 416;
}

int _call28(num lat, num lng) {
  if (lat < -25.996391) if (lat < -39.287226) if (lat < -47.545812) if (lat <
      -64.000000) if (lng < 86.000000) if (lat < -86.000000)
    return 205;
  else if (lng < 55.000000) {
    if (poly[1850].contains(lat, lng))
      return 208;
    else
      return 205;
  } else if (lng < 77.500000) {
    if (poly[1851].contains(lat, lng))
      return 204;
    else
      return 205;
  } else {
    if (poly[1852].contains(lat, lng))
      return 205;
    else
      return 201;
  }
  else {
    if (poly[1853].contains(lat, lng)) return 200;
    if (poly[1854].contains(lat, lng)) return 202;
    if (poly[1855].contains(lat, lng)) return 210;
    if (poly[1856].contains(lat, lng))
      return 315;
    else
      return 205;
  }
  else if (lng < 159.340270) if (lat < -52.187445)
    return 203;
  else
    return 383;
  else
    return 390;
  else if (lng < 146.810136) if (lng < 144.428469) if (lng < 52.617433)
    return 383;
  else if (lat < -40.420775)
    return 311;
  else {
    if (poly[1857].contains(lat, lng))
      return 311;
    else
      return 308;
  }
  else
    return 311;
  else if (lng < 148.569095)
    return 311;
  else
    return 390;
  else if (lng < 134.366448) if (lng < 122.277320) if (lng < 77.849497)
    return 383;
  else
    return 315;
  else if (lng < 124.235687)
    return 315;
  else if (lat < -33.684270)
    return 305;
  else {
    if (poly[1858].contains(lat, lng)) return 309;
    if (poly[1859].contains(lat, lng)) return 310;
    if (poly[1860].contains(lat, lng))
      return 315;
    else
      return 305;
  }
  else if (lng < 137.999053) if (lat < -33.624782)
    return 305;
  else {
    if (poly[1861].contains(lat, lng))
      return 309;
    else
      return 305;
  }
  else if (lng < 153.695857) if (lat < -38.854388) if (lat <
      -39.198478) if (lng < 146.594326) {
    if (poly[1862].contains(lat, lng))
      return 314;
    else
      return 311;
  } else
    return 311;
  else
    return 314;
  else if (lng < 145.847455) if (lat < -32.425390) if (lng <
      141.923254) if (lat < -35.454133) {
    if (poly[1863].contains(lat, lng))
      return 314;
    else
      return 305;
  } else {
    if (poly[1864].contains(lat, lng)) return 305;
    if (poly[1865].contains(lat, lng))
      return 316;
    else
      return 314;
  }
  else if (lat < -35.639889) {
    if (poly[1866].contains(lat, lng))
      return 316;
    else
      return 314;
  } else if (lng < 143.885355) if (lat < -34.032639) if (lng <
      142.904304) if (lat < -34.836264)
    return 314;
  else if (lng < 142.413779) {
    if (poly[1867].contains(lat, lng))
      return 314;
    else
      return 316;
  } else {
    if (poly[1868].contains(lat, lng))
      return 316;
    else
      return 314;
  }
  else {
    if (poly[1869].contains(lat, lng))
      return 316;
    else
      return 314;
  }
  else
    return 316;
  else {
    if (poly[1870].contains(lat, lng))
      return 314;
    else
      return 316;
  }
  else {
    if (poly[1871].contains(lat, lng)) return 305;
    if (poly[1872].contains(lat, lng)) return 306;
    if (poly[1873].contains(lat, lng))
      return 307;
    else
      return 316;
  }
  else if (lat < -32.425390) if (lng < 149.227650) if (lat <
      -35.639889) if (lng < 147.537553) {
    if (poly[1874].contains(lat, lng))
      return 316;
    else
      return 314;
  } else {
    if (poly[1875].contains(lat, lng))
      return 316;
    else
      return 314;
  }
  else
    return 316;
  else {
    if (poly[1876].contains(lat, lng))
      return 314;
    else
      return 316;
  }
  else if (lng < 149.771656) {
    if (poly[1877].contains(lat, lng))
      return 316;
    else
      return 306;
  } else if (lat < -29.210890)
    return 316;
  else if (lng < 151.733756) {
    if (poly[1878].contains(lat, lng))
      return 316;
    else
      return 306;
  } else if (lat < -27.603641) if (lng < 152.714807) {
    if (poly[1879].contains(lat, lng))
      return 316;
    else
      return 306;
  } else {
    if (poly[1880].contains(lat, lng))
      return 306;
    else
      return 316;
  }
  else
    return 306;
  else if (lng < 168.226126) if (lat < -30.311389)
    return 313;
  else
    return 413;
  else
    return 390;
  else if (lng < 147.113234) if (lng < 123.277466) if (lng <
      63.715132) if (lng < 56.050791) if (lng < 41.054591)
    return 38;
  else if (lng < 52.838006)
    return 378;
  else
    return 388;
  else
    return 386;
  else
    return 315;
  else if (lng < 138.027371) if (lng < 123.682389)
    return 315;
  else if (lng < 129.001483) {
    if (poly[1881].contains(lat, lng))
      return 309;
    else
      return 315;
  } else if (lng < 135.982432)
    return 309;
  else if (lng < 137.036848)
    return 309;
  else {
    if (poly[1882].contains(lat, lng))
      return 306;
    else
      return 309;
  }
  else
    return 306;
  else if (lng < 153.414978) if (lng < 149.238945) if (lng < 148.419809)
    return 306;
  else {
    if (poly[1883].contains(lat, lng))
      return 312;
    else
      return 306;
  }
  else
    return 306;
  else if (lng < 166.058459)
    return 414;
  else if (lat < -22.139087)
    return 414;
  else if (lng < 170.449982) if (lat < -21.090611)
    return 414;
  else {
    if (poly[1884].contains(lat, lng))
      return 414;
    else
      return 395;
  }
  else
    return 398;
}

int _call29(num lat, num lng) {
  if (lat < 26.335228) if (lng < 89.060866) if (lat < 22.121441) if (lat <
      21.923331) {
    if (poly[1885].contains(lat, lng))
      return 232;
    else
      return 251;
  } else {
    if (poly[1886].contains(lat, lng))
      return 232;
    else
      return 251;
  }
  else if (lng < 84.228394)
    return 251;
  else if (lng < 86.644630)
    return 251;
  else if (lat < 24.228335) if (lng < 87.852748)
    return 251;
  else if (lat < 23.174888) {
    if (poly[1887].contains(lat, lng))
      return 232;
    else
      return 251;
  } else {
    if (poly[1888].contains(lat, lng))
      return 251;
    else
      return 232;
  }
  else if (lng < 87.852748)
    return 251;
  else if (lat < 25.281781) {
    if (poly[1889].contains(lat, lng))
      return 251;
    else
      return 232;
  } else if (lng < 88.456807) {
    if (poly[1890].contains(lat, lng))
      return 232;
    else
      return 251;
  } else if (lat < 25.808505) {
    if (poly[1891].contains(lat, lng))
      return 251;
    else
      return 232;
  } else {
    if (poly[1892].contains(lat, lng)) return 251;
    if (poly[1893].contains(lat, lng))
      return 251;
    else
      return 232;
  }
  else if (lat < 15.129296)
    return 292;
  else if (lng < 89.139934) if (lat < 22.048888) if (lat < 21.738194) {
    if (poly[1894].contains(lat, lng))
      return 251;
    else
      return 232;
  } else {
    if (poly[1895].contains(lat, lng))
      return 251;
    else
      return 232;
  }
  else if (lat < 22.208629) {
    if (poly[1896].contains(lat, lng))
      return 251;
    else
      return 232;
  } else {
    if (poly[1897].contains(lat, lng))
      return 251;
    else
      return 232;
  }
  else if (lat < 21.008819) {
    if (poly[1898].contains(lat, lng))
      return 232;
    else
      return 292;
  } else if (lng < 91.809154) if (lat < 23.864359) {
    if (poly[1899].contains(lat, lng))
      return 251;
    else
      return 232;
  } else if (lng < 90.474544) if (lat < 25.099794)
    return 232;
  else if (lng < 89.807239) {
    if (poly[1900].contains(lat, lng))
      return 251;
    else
      return 232;
  } else {
    if (poly[1901].contains(lat, lng))
      return 251;
    else
      return 232;
  }
  else {
    if (poly[1902].contains(lat, lng))
      return 232;
    else
      return 251;
  }
  else if (lat < 23.672023) if (lng < 93.143763) if (lat < 22.340421) if (lng <
      92.476458) {
    if (poly[1903].contains(lat, lng))
      return 292;
    else
      return 232;
  } else {
    if (poly[1904].contains(lat, lng)) return 232;
    if (poly[1905].contains(lat, lng))
      return 251;
    else
      return 292;
  }
  else {
    if (poly[1906].contains(lat, lng)) return 232;
    if (poly[1907].contains(lat, lng)) return 292;
    if (poly[1908].contains(lat, lng))
      return 292;
    else
      return 251;
  }
  else {
    if (poly[1909].contains(lat, lng)) return 251;
    if (poly[1910].contains(lat, lng)) return 251;
    if (poly[1911].contains(lat, lng)) return 251;
    if (poly[1912].contains(lat, lng))
      return 251;
    else
      return 292;
  }
  else if (lng < 93.143763) {
    if (poly[1913].contains(lat, lng)) return 232;
    if (poly[1914].contains(lat, lng)) return 232;
    if (poly[1915].contains(lat, lng)) return 232;
    if (poly[1916].contains(lat, lng))
      return 232;
    else
      return 251;
  } else {
    if (poly[1917].contains(lat, lng))
      return 292;
    else
      return 251;
  }
  else if (lng < 88.703311) if (lng < 84.049616) {
    if (poly[1918].contains(lat, lng))
      return 249;
    else
      return 251;
  } else if (lng < 86.376464) if (lng < 85.213040) {
    if (poly[1919].contains(lat, lng))
      return 251;
    else
      return 249;
  } else {
    if (poly[1920].contains(lat, lng)) return 251;
    if (poly[1921].contains(lat, lng))
      return 276;
    else
      return 249;
  }
  else if (lng < 87.539887) if (lat < 27.291236) {
    if (poly[1922].contains(lat, lng))
      return 251;
    else
      return 249;
  } else {
    if (poly[1923].contains(lat, lng))
      return 276;
    else
      return 249;
  }
  else if (lat < 27.291108) if (lng < 88.121599) {
    if (poly[1924].contains(lat, lng))
      return 249;
    else
      return 251;
  } else {
    if (poly[1925].contains(lat, lng)) return 232;
    if (poly[1926].contains(lat, lng)) return 249;
    if (poly[1927].contains(lat, lng))
      return 249;
    else
      return 251;
  }
  else if (lng < 88.121599) {
    if (poly[1928].contains(lat, lng)) return 251;
    if (poly[1929].contains(lat, lng)) return 251;
    if (poly[1930].contains(lat, lng))
      return 276;
    else
      return 249;
  } else {
    if (poly[1931].contains(lat, lng)) return 249;
    if (poly[1932].contains(lat, lng)) return 276;
    if (poly[1933].contains(lat, lng))
      return 276;
    else
      return 251;
  }
  else if (lat < 26.458975) if (lng < 88.746746) {
    if (poly[1934].contains(lat, lng))
      return 232;
    else
      return 251;
  } else {
    if (poly[1935].contains(lat, lng))
      return 232;
    else
      return 251;
  }
  else if (lng < 91.590842) if (lng < 90.147077) if (lat < 27.352981) {
    if (poly[1936].contains(lat, lng)) return 276;
    if (poly[1937].contains(lat, lng))
      return 283;
    else
      return 251;
  } else {
    if (poly[1938].contains(lat, lng)) return 251;
    if (poly[1939].contains(lat, lng))
      return 283;
    else
      return 276;
  }
  else if (lat < 27.352981) {
    if (poly[1940].contains(lat, lng))
      return 283;
    else
      return 251;
  } else {
    if (poly[1941].contains(lat, lng)) return 251;
    if (poly[1942].contains(lat, lng)) return 251;
    if (poly[1943].contains(lat, lng)) return 276;
    if (poly[1944].contains(lat, lng))
      return 276;
    else
      return 283;
  }
  else if (lng < 93.034608) if (lat < 27.352981) {
    if (poly[1945].contains(lat, lng))
      return 283;
    else
      return 251;
  } else if (lng < 92.312725) {
    if (poly[1946].contains(lat, lng)) return 276;
    if (poly[1947].contains(lat, lng)) return 283;
    if (poly[1948].contains(lat, lng)) return 283;
    if (poly[1949].contains(lat, lng))
      return 283;
    else
      return 251;
  } else {
    if (poly[1950].contains(lat, lng))
      return 276;
    else
      return 251;
  }
  else
    return 251;
}

int _call30(num lat, num lng) {
  if (lat < 18.448556) if (lng < 102.253288) if (lat < 8.292758)
    return 223;
  else if (lat < 18.219182) if (lng < 102.082795) {
    if (poly[1951].contains(lat, lng))
      return 289;
    else
      return 223;
  } else {
    if (poly[1952].contains(lat, lng))
      return 289;
    else
      return 223;
  }
  else {
    if (poly[1953].contains(lat, lng))
      return 223;
    else
      return 289;
  }
  else if (lng < 107.634999) if (lat < 15.319436) if (lat < 11.749251) if (lng <
      104.944143) {
    if (poly[1954].contains(lat, lng)) return 223;
    if (poly[1955].contains(lat, lng))
      return 239;
    else
      return 266;
  } else if (lat < 9.969693)
    return 239;
  else if (lng < 106.289571) if (lat < 10.859472) {
    if (poly[1956].contains(lat, lng)) return 266;
    if (poly[1957].contains(lat, lng)) return 266;
    if (poly[1958].contains(lat, lng))
      return 266;
    else
      return 239;
  } else {
    if (poly[1959].contains(lat, lng)) return 239;
    if (poly[1960].contains(lat, lng)) return 239;
    if (poly[1961].contains(lat, lng))
      return 239;
    else
      return 266;
  }
  else {
    if (poly[1962].contains(lat, lng))
      return 266;
    else
      return 239;
  }
  else if (lng < 104.944143) if (lat < 13.534344) {
    if (poly[1963].contains(lat, lng))
      return 266;
    else
      return 223;
  } else if (lng < 103.598716) {
    if (poly[1964].contains(lat, lng))
      return 266;
    else
      return 223;
  } else {
    if (poly[1965].contains(lat, lng))
      return 266;
    else
      return 223;
  }
  else if (lat < 13.534344) if (lng < 106.289571) {
    if (poly[1966].contains(lat, lng)) return 239;
    if (poly[1967].contains(lat, lng))
      return 239;
    else
      return 266;
  } else {
    if (poly[1968].contains(lat, lng))
      return 266;
    else
      return 239;
  }
  else if (lng < 106.289571) if (lat < 14.426890) if (lng < 105.616857) {
    if (poly[1969].contains(lat, lng)) return 266;
    if (poly[1970].contains(lat, lng))
      return 289;
    else
      return 223;
  } else {
    if (poly[1971].contains(lat, lng))
      return 289;
    else
      return 266;
  }
  else {
    if (poly[1972].contains(lat, lng)) return 223;
    if (poly[1973].contains(lat, lng))
      return 266;
    else
      return 289;
  }
  else if (lat < 14.426890) {
    if (poly[1974].contains(lat, lng)) return 239;
    if (poly[1975].contains(lat, lng)) return 289;
    if (poly[1976].contains(lat, lng))
      return 289;
    else
      return 266;
  } else if (lng < 106.962285) {
    if (poly[1977].contains(lat, lng))
      return 266;
    else
      return 289;
  } else {
    if (poly[1978].contains(lat, lng)) return 239;
    if (poly[1979].contains(lat, lng)) return 266;
    if (poly[1980].contains(lat, lng))
      return 266;
    else
      return 289;
  }
  else if (lng < 103.407830) {
    if (poly[1981].contains(lat, lng))
      return 289;
    else
      return 223;
  } else if (lng < 105.521414) if (lat < 16.883996) {
    if (poly[1982].contains(lat, lng)) return 289;
    if (poly[1983].contains(lat, lng))
      return 289;
    else
      return 223;
  } else {
    if (poly[1984].contains(lat, lng)) return 223;
    if (poly[1985].contains(lat, lng))
      return 239;
    else
      return 289;
  }
  else if (lat < 16.883996) if (lng < 106.578207) {
    if (poly[1986].contains(lat, lng)) return 223;
    if (poly[1987].contains(lat, lng)) return 223;
    if (poly[1988].contains(lat, lng))
      return 239;
    else
      return 289;
  } else {
    if (poly[1989].contains(lat, lng))
      return 289;
    else
      return 239;
  }
  else {
    if (poly[1990].contains(lat, lng))
      return 289;
    else
      return 239;
  }
  else if (lat < 17.561326)
    return 239;
  else
    return 276;
  else if (lng < 108.223287) if (lng < 101.357205) if (lat <
      19.605225) if (lat < 19.049923) {
    if (poly[1991].contains(lat, lng))
      return 223;
    else
      return 289;
  } else {
    if (poly[1992].contains(lat, lng))
      return 223;
    else
      return 289;
  }
  else if (lat < 21.355555) {
    if (poly[1993].contains(lat, lng))
      return 289;
    else
      return 276;
  } else {
    if (poly[1994].contains(lat, lng))
      return 289;
    else
      return 276;
  }
  else if (lat < 23.347772) if (lng < 104.790246) if (lat < 20.898164) if (lng <
      103.073725)
    return 289;
  else if (lat < 19.673360) {
    if (poly[1995].contains(lat, lng))
      return 239;
    else
      return 289;
  } else if (lng < 103.931986) {
    if (poly[1996].contains(lat, lng)) return 239;
    if (poly[1997].contains(lat, lng))
      return 239;
    else
      return 289;
  } else {
    if (poly[1998].contains(lat, lng))
      return 289;
    else
      return 239;
  }
  else if (lng < 103.073725) if (lat < 22.122968) if (lng < 102.215465) {
    if (poly[1999].contains(lat, lng))
      return 276;
    else
      return 289;
  } else {
    if (poly[2000].contains(lat, lng))
      return 239;
    else
      return 289;
  }
  else if (lng < 102.215465) {
    if (poly[2001].contains(lat, lng)) return 239;
    if (poly[2002].contains(lat, lng))
      return 289;
    else
      return 276;
  } else {
    if (poly[2003].contains(lat, lng)) return 276;
    if (poly[2004].contains(lat, lng))
      return 289;
    else
      return 239;
  }
  else if (lat < 22.122968) {
    if (poly[2005].contains(lat, lng)) return 289;
    if (poly[2006].contains(lat, lng)) return 289;
    if (poly[2007].contains(lat, lng))
      return 289;
    else
      return 239;
  } else {
    if (poly[2008].contains(lat, lng))
      return 276;
    else
      return 239;
  }
  else if (lat < 20.898164) {
    if (poly[2009].contains(lat, lng)) return 289;
    if (poly[2010].contains(lat, lng))
      return 289;
    else
      return 239;
  } else if (lng < 106.506766) {
    if (poly[2011].contains(lat, lng)) return 276;
    if (poly[2012].contains(lat, lng))
      return 276;
    else
      return 239;
  } else if (lat < 22.122968) {
    if (poly[2013].contains(lat, lng))
      return 276;
    else
      return 239;
  } else {
    if (poly[2014].contains(lat, lng))
      return 239;
    else
      return 276;
  }
  else {
    if (poly[2015].contains(lat, lng))
      return 239;
    else
      return 276;
  }
  else
    return 276;
}

int _call31(num lat, num lng) {
  if (lat < 6.726082) if (lng < 100.205056) if (lng < 100.004163) {
    if (poly[2016].contains(lat, lng))
      return 253;
    else
      return 223;
  } else {
    if (poly[2017].contains(lat, lng))
      return 253;
    else
      return 223;
  }
  else if (lng < 100.624518) {
    if (poly[2018].contains(lat, lng))
      return 253;
    else
      return 223;
  } else {
    if (poly[2019].contains(lat, lng))
      return 253;
    else
      return 223;
  }
  else if (lng < 97.395561) if (lat < 12.069914)
    return 292;
  else if (lat < 18.599493) {
    if (poly[2020].contains(lat, lng))
      return 223;
    else
      return 292;
  } else if (lat < 23.423240)
    return 292;
  else if (lat < 25.835113) {
    if (poly[2021].contains(lat, lng))
      return 251;
    else
      return 292;
  } else if (lng < 95.936967) {
    if (poly[2022].contains(lat, lng))
      return 292;
    else
      return 251;
  } else if (lat < 27.041050)
    return 292;
  else if (lng < 96.666264) {
    if (poly[2023].contains(lat, lng))
      return 292;
    else
      return 251;
  } else {
    if (poly[2024].contains(lat, lng)) return 276;
    if (poly[2025].contains(lat, lng))
      return 292;
    else
      return 251;
  }
  else if (lng < 101.170080) if (lat < 18.314450) if (lng < 99.664904) if (lat <
      11.823147) {
    if (poly[2026].contains(lat, lng))
      return 292;
    else
      return 223;
  } else if (lng < 97.548732) if (lat < 15.337759)
    return 292;
  else {
    if (poly[2027].contains(lat, lng))
      return 223;
    else
      return 292;
  }
  else if (lat < 15.068799) if (lat < 13.445973) {
    if (poly[2028].contains(lat, lng))
      return 223;
    else
      return 292;
  } else {
    if (poly[2029].contains(lat, lng))
      return 223;
    else
      return 292;
  }
  else if (lat < 16.691624) if (lng < 98.606818) {
    if (poly[2030].contains(lat, lng)) return 223;
    if (poly[2031].contains(lat, lng)) return 223;
    if (poly[2032].contains(lat, lng))
      return 223;
    else
      return 292;
  } else {
    if (poly[2033].contains(lat, lng)) return 292;
    if (poly[2034].contains(lat, lng))
      return 292;
    else
      return 223;
  }
  else if (lng < 98.606818) if (lat < 17.503037) {
    if (poly[2035].contains(lat, lng))
      return 223;
    else
      return 292;
  } else {
    if (poly[2036].contains(lat, lng))
      return 292;
    else
      return 223;
  }
  else
    return 223;
  else if (lat < 10.556464)
    return 223;
  else if (lat < 18.050637) {
    if (poly[2037].contains(lat, lng))
      return 289;
    else
      return 223;
  } else if (lat < 18.149411) {
    if (poly[2038].contains(lat, lng))
      return 289;
    else
      return 223;
  } else {
    if (poly[2039].contains(lat, lng))
      return 289;
    else
      return 223;
  }
  else if (lat < 18.554059) if (lng < 97.622409) if (lat < 18.487057) if (lng <
      97.461327) {
    if (poly[2040].contains(lat, lng))
      return 292;
    else
      return 223;
  } else {
    if (poly[2041].contains(lat, lng))
      return 292;
    else
      return 223;
  }
  else {
    if (poly[2042].contains(lat, lng))
      return 292;
    else
      return 223;
  }
  else {
    if (poly[2043].contains(lat, lng))
      return 289;
    else
      return 223;
  }
  else if (lng < 97.410440) {
    if (poly[2044].contains(lat, lng))
      return 223;
    else
      return 292;
  } else if (lat < 23.400523) if (lat < 20.977291) if (lng <
      99.290260) if (lat < 19.765675) {
    if (poly[2045].contains(lat, lng)) return 292;
    if (poly[2046].contains(lat, lng)) return 292;
    if (poly[2047].contains(lat, lng)) return 292;
    if (poly[2048].contains(lat, lng))
      return 292;
    else
      return 223;
  } else {
    if (poly[2049].contains(lat, lng)) return 223;
    if (poly[2050].contains(lat, lng)) return 223;
    if (poly[2051].contains(lat, lng)) return 223;
    if (poly[2052].contains(lat, lng))
      return 223;
    else
      return 292;
  }
  else if (lat < 19.765675) {
    if (poly[2053].contains(lat, lng))
      return 289;
    else
      return 223;
  } else if (lng < 100.230170) {
    if (poly[2054].contains(lat, lng)) return 289;
    if (poly[2055].contains(lat, lng))
      return 292;
    else
      return 223;
  } else {
    if (poly[2056].contains(lat, lng)) return 223;
    if (poly[2057].contains(lat, lng))
      return 292;
    else
      return 289;
  }
  else if (lng < 99.290260) {
    if (poly[2058].contains(lat, lng)) return 276;
    if (poly[2059].contains(lat, lng))
      return 276;
    else
      return 292;
  } else if (lat < 22.188907) if (lng < 100.230170) {
    if (poly[2060].contains(lat, lng))
      return 276;
    else
      return 292;
  } else {
    if (poly[2061].contains(lat, lng)) return 276;
    if (poly[2062].contains(lat, lng)) return 276;
    if (poly[2063].contains(lat, lng))
      return 289;
    else
      return 292;
  }
  else {
    if (poly[2064].contains(lat, lng))
      return 292;
    else
      return 276;
  }
  else if (lat < 25.823755) if (lng < 99.290260) if (lat < 24.612139) if (lng <
      98.350350) {
    if (poly[2065].contains(lat, lng))
      return 276;
    else
      return 292;
  } else {
    if (poly[2066].contains(lat, lng))
      return 292;
    else
      return 276;
  }
  else {
    if (poly[2067].contains(lat, lng)) return 292;
    if (poly[2068].contains(lat, lng))
      return 292;
    else
      return 276;
  }
  else
    return 276;
  else if (lng < 99.290260) if (lat < 27.035371) {
    if (poly[2069].contains(lat, lng))
      return 292;
    else
      return 276;
  } else {
    if (poly[2070].contains(lat, lng))
      return 292;
    else
      return 276;
  }
  else
    return 276;
  else
    return _call30(lat, lng);
}

int _call32(num lat, num lng) {
  if (lat < 37.380932) if (lng < 42.791612) if (lat < 31.979666) {
    if (poly[2071].contains(lat, lng))
      return 220;
    else
      return 272;
  } else if (lat < 34.680299) {
    if (poly[2072].contains(lat, lng))
      return 231;
    else
      return 220;
  } else {
    if (poly[2073].contains(lat, lng)) return 220;
    if (poly[2074].contains(lat, lng))
      return 336;
    else
      return 231;
  }
  else if (lat < 32.813960) if (lng < 46.900321) {
    if (poly[2075].contains(lat, lng)) return 255;
    if (poly[2076].contains(lat, lng)) return 272;
    if (poly[2077].contains(lat, lng))
      return 282;
    else
      return 220;
  } else if (lat < 30.530473) if (lng < 48.954676) if (lat < 29.388730) {
    if (poly[2078].contains(lat, lng))
      return 272;
    else
      return 255;
  } else {
    if (poly[2079].contains(lat, lng)) return 255;
    if (poly[2080].contains(lat, lng))
      return 282;
    else
      return 220;
  }
  else {
    if (poly[2081].contains(lat, lng)) return 255;
    if (poly[2082].contains(lat, lng))
      return 272;
    else
      return 282;
  }
  else {
    if (poly[2083].contains(lat, lng))
      return 220;
    else
      return 282;
  }
  else if (lng < 46.900321) if (lat < 35.097446) if (lng < 44.845967)
    return 220;
  else if (lat < 33.955703) {
    if (poly[2084].contains(lat, lng))
      return 282;
    else
      return 220;
  } else {
    if (poly[2085].contains(lat, lng))
      return 282;
    else
      return 220;
  }
  else if (lng < 44.845967) {
    if (poly[2086].contains(lat, lng)) return 282;
    if (poly[2087].contains(lat, lng)) return 282;
    if (poly[2088].contains(lat, lng))
      return 336;
    else
      return 220;
  } else if (lat < 36.239189) {
    if (poly[2089].contains(lat, lng))
      return 282;
    else
      return 220;
  } else {
    if (poly[2090].contains(lat, lng)) return 220;
    if (poly[2091].contains(lat, lng))
      return 220;
    else
      return 282;
  }
  else
    return 282;
  else if (lng < 50.322893) if (lat < 40.669330) if (lng < 45.275237) if (lng <
      42.751408)
    return 336;
  else if (lat < 39.025131) {
    if (poly[2092].contains(lat, lng))
      return 336;
    else
      return 282;
  } else if (lng < 44.013323) {
    if (poly[2093].contains(lat, lng))
      return 294;
    else
      return 336;
  } else if (lat < 39.847231) if (lng < 44.644280) {
    if (poly[2094].contains(lat, lng)) return 282;
    if (poly[2095].contains(lat, lng))
      return 294;
    else
      return 336;
  } else {
    if (poly[2096].contains(lat, lng)) return 282;
    if (poly[2097].contains(lat, lng)) return 294;
    if (poly[2098].contains(lat, lng))
      return 336;
    else
      return 222;
  }
  else {
    if (poly[2099].contains(lat, lng))
      return 336;
    else
      return 294;
  }
  else if (lng < 47.799065) if (lat < 39.025131) {
    if (poly[2100].contains(lat, lng)) return 222;
    if (poly[2101].contains(lat, lng)) return 222;
    if (poly[2102].contains(lat, lng))
      return 294;
    else
      return 282;
  } else if (lng < 46.537151) if (lat < 39.847231) if (lng < 45.906194) {
    if (poly[2103].contains(lat, lng)) return 282;
    if (poly[2104].contains(lat, lng))
      return 294;
    else
      return 222;
  } else {
    if (poly[2105].contains(lat, lng))
      return 294;
    else
      return 222;
  }
  else {
    if (poly[2106].contains(lat, lng))
      return 222;
    else
      return 294;
  }
  else {
    if (poly[2107].contains(lat, lng)) return 282;
    if (poly[2108].contains(lat, lng)) return 294;
    if (poly[2109].contains(lat, lng)) return 294;
    if (poly[2110].contains(lat, lng))
      return 294;
    else
      return 222;
  }
  else {
    if (poly[2111].contains(lat, lng))
      return 222;
    else
      return 282;
  }
  else if (lng < 45.148935) if (lng < 42.688258) if (lat < 42.127880) {
    if (poly[2112].contains(lat, lng))
      return 281;
    else
      return 336;
  } else {
    if (poly[2113].contains(lat, lng))
      return 350;
    else
      return 281;
  }
  else if (lat < 42.127880) if (lng < 43.918596) {
    if (poly[2114].contains(lat, lng)) return 294;
    if (poly[2115].contains(lat, lng))
      return 336;
    else
      return 281;
  } else {
    if (poly[2116].contains(lat, lng)) return 222;
    if (poly[2117].contains(lat, lng)) return 222;
    if (poly[2118].contains(lat, lng)) return 222;
    if (poly[2119].contains(lat, lng))
      return 281;
    else
      return 294;
  }
  else {
    if (poly[2120].contains(lat, lng))
      return 350;
    else
      return 281;
  }
  else if (lng < 47.609613) if (lat < 42.127880) if (lng < 46.379274) if (lat <
      41.398605) {
    if (poly[2121].contains(lat, lng)) return 281;
    if (poly[2122].contains(lat, lng)) return 281;
    if (poly[2123].contains(lat, lng)) return 294;
    if (poly[2124].contains(lat, lng))
      return 294;
    else
      return 222;
  } else {
    if (poly[2125].contains(lat, lng)) return 222;
    if (poly[2126].contains(lat, lng)) return 222;
    if (poly[2127].contains(lat, lng))
      return 350;
    else
      return 281;
  }
  else if (lat < 41.398605) {
    if (poly[2128].contains(lat, lng)) return 281;
    if (poly[2129].contains(lat, lng))
      return 350;
    else
      return 222;
  } else {
    if (poly[2130].contains(lat, lng)) return 281;
    if (poly[2131].contains(lat, lng)) return 281;
    if (poly[2132].contains(lat, lng))
      return 350;
    else
      return 222;
  }
  else {
    if (poly[2133].contains(lat, lng))
      return 281;
    else
      return 350;
  }
  else {
    if (poly[2134].contains(lat, lng))
      return 222;
    else
      return 350;
  }
  else if (lat < 42.071394)
    return 216;
  else
    return 222;
}

int _call33(num lat, num lng) {
  if (lat < 38.285000) if (lat < 34.044171) if (lng < 60.483127)
    return 282;
  else if (lng < 65.220176) if (lat < 31.145579) if (lng < 62.851652) {
    if (poly[2135].contains(lat, lng)) return 246;
    if (poly[2136].contains(lat, lng))
      return 248;
    else
      return 282;
  } else {
    if (poly[2137].contains(lat, lng))
      return 248;
    else
      return 246;
  }
  else {
    if (poly[2138].contains(lat, lng))
      return 282;
    else
      return 246;
  }
  else if (lat < 31.145579) {
    if (poly[2139].contains(lat, lng))
      return 246;
    else
      return 248;
  } else if (lng < 67.588701) {
    if (poly[2140].contains(lat, lng)) return 248;
    if (poly[2141].contains(lat, lng))
      return 248;
    else
      return 246;
  } else if (lat < 32.594875) {
    if (poly[2142].contains(lat, lng)) return 246;
    if (poly[2143].contains(lat, lng))
      return 246;
    else
      return 248;
  } else {
    if (poly[2144].contains(lat, lng)) return 248;
    if (poly[2145].contains(lat, lng))
      return 248;
    else
      return 246;
  }
  else if (lng < 56.756389) {
    if (poly[2146].contains(lat, lng))
      return 218;
    else
      return 282;
  } else if (lng < 63.356807) if (lng < 60.056598) {
    if (poly[2147].contains(lat, lng))
      return 218;
    else
      return 282;
  } else if (lat < 36.164585) if (lng < 61.706702) if (lat < 35.104378) {
    if (poly[2148].contains(lat, lng))
      return 282;
    else
      return 246;
  } else {
    if (poly[2149].contains(lat, lng)) return 218;
    if (poly[2150].contains(lat, lng))
      return 246;
    else
      return 282;
  }
  else {
    if (poly[2151].contains(lat, lng))
      return 246;
    else
      return 218;
  }
  else {
    if (poly[2152].contains(lat, lng))
      return 282;
    else
      return 218;
  }
  else if (lng < 66.657016) if (lat < 36.164585) {
    if (poly[2153].contains(lat, lng))
      return 218;
    else
      return 246;
  } else if (lng < 65.006912) {
    if (poly[2154].contains(lat, lng))
      return 246;
    else
      return 218;
  } else {
    if (poly[2155].contains(lat, lng)) return 246;
    if (poly[2156].contains(lat, lng)) return 273;
    if (poly[2157].contains(lat, lng))
      return 273;
    else
      return 218;
  }
  else if (lat < 36.164585)
    return 246;
  else if (lng < 68.307120) if (lat < 37.224793) {
    if (poly[2158].contains(lat, lng)) return 235;
    if (poly[2159].contains(lat, lng)) return 273;
    if (poly[2160].contains(lat, lng)) return 273;
    if (poly[2161].contains(lat, lng))
      return 273;
    else
      return 246;
  } else {
    if (poly[2162].contains(lat, lng)) return 218;
    if (poly[2163].contains(lat, lng)) return 235;
    if (poly[2164].contains(lat, lng)) return 235;
    if (poly[2165].contains(lat, lng)) return 246;
    if (poly[2166].contains(lat, lng)) return 246;
    if (poly[2167].contains(lat, lng))
      return 246;
    else
      return 273;
  }
  else {
    if (poly[2168].contains(lat, lng)) return 246;
    if (poly[2169].contains(lat, lng))
      return 273;
    else
      return 235;
  }
  else if (lng < 65.572439) if (lng < 62.755236) if (lng < 56.882133) {
    if (poly[2170].contains(lat, lng)) return 216;
    if (poly[2171].contains(lat, lng))
      return 273;
    else
      return 218;
  } else if (lng < 59.818685) if (lat < 40.935715)
    return 218;
  else if (lng < 58.350409) {
    if (poly[2172].contains(lat, lng))
      return 273;
    else
      return 218;
  } else {
    if (poly[2173].contains(lat, lng)) return 273;
    if (poly[2174].contains(lat, lng))
      return 273;
    else
      return 218;
  }
  else if (lat < 40.935715) {
    if (poly[2175].contains(lat, lng))
      return 273;
    else
      return 218;
  } else {
    if (poly[2176].contains(lat, lng)) return 218;
    if (poly[2177].contains(lat, lng))
      return 271;
    else
      return 273;
  }
  else if (lat < 39.806350) {
    if (poly[2178].contains(lat, lng))
      return 273;
    else
      return 218;
  } else if (lng < 64.572848) {
    if (poly[2179].contains(lat, lng))
      return 271;
    else
      return 273;
  } else {
    if (poly[2180].contains(lat, lng))
      return 271;
    else
      return 273;
  }
  else if (lat < 41.733579) if (lng < 67.764832) if (lat < 40.009289) {
    if (poly[2181].contains(lat, lng)) return 235;
    if (poly[2182].contains(lat, lng))
      return 280;
    else
      return 273;
  } else {
    if (poly[2183].contains(lat, lng)) return 213;
    if (poly[2184].contains(lat, lng))
      return 273;
    else
      return 280;
  }
  else if (lat < 40.009289) if (lng < 68.861028) if (lat < 39.147145) {
    if (poly[2185].contains(lat, lng))
      return 235;
    else
      return 273;
  } else {
    if (poly[2186].contains(lat, lng))
      return 235;
    else
      return 280;
  }
  else {
    if (poly[2187].contains(lat, lng)) return 226;
    if (poly[2188].contains(lat, lng))
      return 280;
    else
      return 235;
  }
  else if (lng < 68.861028) if (lat < 40.871434) {
    if (poly[2189].contains(lat, lng)) return 213;
    if (poly[2190].contains(lat, lng)) return 235;
    if (poly[2191].contains(lat, lng))
      return 235;
    else
      return 280;
  } else {
    if (poly[2192].contains(lat, lng)) return 280;
    if (poly[2193].contains(lat, lng))
      return 280;
    else
      return 213;
  }
  else if (lat < 40.871434) if (lng < 69.409127) {
    if (poly[2194].contains(lat, lng)) return 226;
    if (poly[2195].contains(lat, lng)) return 280;
    if (poly[2196].contains(lat, lng)) return 280;
    if (poly[2197].contains(lat, lng))
      return 280;
    else
      return 235;
  } else {
    if (poly[2198].contains(lat, lng)) return 226;
    if (poly[2199].contains(lat, lng))
      return 280;
    else
      return 235;
  }
  else {
    if (poly[2200].contains(lat, lng))
      return 213;
    else
      return 280;
  }
  else {
    if (poly[2201].contains(lat, lng)) return 271;
    if (poly[2202].contains(lat, lng))
      return 273;
    else
      return 213;
  }
}

int _call34(num lat, num lng) {
  if (lng < 49.288299) if (lat < 52.387711) if (lng < 45.089563) if (lng <
      43.501662) if (lng < 43.124133) {
    if (poly[2203].contains(lat, lng))
      return 360;
    else
      return 350;
  } else {
    if (poly[2204].contains(lat, lng))
      return 350;
    else
      return 360;
  }
  else if (lng < 43.878043) {
    if (poly[2205].contains(lat, lng))
      return 350;
    else
      return 360;
  } else if (lng < 44.388141) {
    if (poly[2206].contains(lat, lng))
      return 350;
    else
      return 360;
  } else {
    if (poly[2207].contains(lat, lng))
      return 350;
    else
      return 360;
  }
  else if (lng < 45.307564) if (lng < 45.260551) {
    if (poly[2208].contains(lat, lng))
      return 350;
    else
      return 360;
  } else {
    if (poly[2209].contains(lat, lng))
      return 350;
    else
      return 360;
  }
  else if (lng < 45.360905) {
    if (poly[2210].contains(lat, lng))
      return 350;
    else
      return 360;
  } else if (lng < 45.430033) {
    if (poly[2211].contains(lat, lng))
      return 350;
    else
      return 360;
  } else {
    if (poly[2212].contains(lat, lng))
      return 357;
    else
      return 360;
  }
  else if (lng < 45.273475) if (lng < 43.925487) if (lng < 43.344869) {
    if (poly[2213].contains(lat, lng))
      return 360;
    else
      return 350;
  } else if (lng < 43.848071) {
    if (poly[2214].contains(lat, lng))
      return 360;
    else
      return 350;
  } else {
    if (poly[2215].contains(lat, lng))
      return 360;
    else
      return 350;
  }
  else if (lng < 44.892499) {
    if (poly[2216].contains(lat, lng))
      return 360;
    else
      return 350;
  } else if (lng < 45.217066) {
    if (poly[2217].contains(lat, lng))
      return 360;
    else
      return 350;
  } else {
    if (poly[2218].contains(lat, lng))
      return 360;
    else
      return 350;
  }
  else if (lng < 45.426670) if (lng < 45.355728) {
    if (poly[2219].contains(lat, lng))
      return 360;
    else
      return 350;
  } else {
    if (poly[2220].contains(lat, lng))
      return 360;
    else
      return 350;
  }
  else if (lng < 47.357484) if (lat < 53.639578) if (lng < 46.392077) {
    if (poly[2221].contains(lat, lng))
      return 360;
    else
      return 350;
  } else if (lat < 53.013644) {
    if (poly[2222].contains(lat, lng)) return 350;
    if (poly[2223].contains(lat, lng))
      return 367;
    else
      return 360;
  } else {
    if (poly[2224].contains(lat, lng))
      return 367;
    else
      return 350;
  }
  else if (lng < 46.392077) {
    if (poly[2225].contains(lat, lng)) return 367;
    if (poly[2226].contains(lat, lng))
      return 367;
    else
      return 350;
  } else if (lat < 54.265512) {
    if (poly[2227].contains(lat, lng))
      return 367;
    else
      return 350;
  } else {
    if (poly[2228].contains(lat, lng)) return 367;
    if (poly[2229].contains(lat, lng))
      return 367;
    else
      return 350;
  }
  else if (lat < 53.639578) if (lng < 48.322892) if (lat < 53.013644) {
    if (poly[2230].contains(lat, lng)) return 357;
    if (poly[2231].contains(lat, lng)) return 357;
    if (poly[2232].contains(lat, lng))
      return 360;
    else
      return 367;
  } else {
    if (poly[2233].contains(lat, lng))
      return 357;
    else
      return 367;
  }
  else {
    if (poly[2234].contains(lat, lng)) return 360;
    if (poly[2235].contains(lat, lng)) return 360;
    if (poly[2236].contains(lat, lng)) return 367;
    if (poly[2237].contains(lat, lng)) return 367;
    if (poly[2238].contains(lat, lng))
      return 367;
    else
      return 357;
  }
  else if (lng < 48.322892) {
    if (poly[2239].contains(lat, lng))
      return 350;
    else
      return 367;
  } else {
    if (poly[2240].contains(lat, lng)) return 350;
    if (poly[2241].contains(lat, lng)) return 357;
    if (poly[2242].contains(lat, lng))
      return 357;
    else
      return 367;
  }
  else if (lat < 52.486204) if (lng < 53.016204) if (lng < 51.152252) if (lng <
      50.220275) {
    if (poly[2243].contains(lat, lng)) return 265;
    if (poly[2244].contains(lat, lng)) return 357;
    if (poly[2245].contains(lat, lng))
      return 357;
    else
      return 360;
  } else if (lat < 51.866906) {
    if (poly[2246].contains(lat, lng)) return 293;
    if (poly[2247].contains(lat, lng)) return 357;
    if (poly[2248].contains(lat, lng))
      return 360;
    else
      return 265;
  } else {
    if (poly[2249].contains(lat, lng)) return 293;
    if (poly[2250].contains(lat, lng)) return 360;
    if (poly[2251].contains(lat, lng))
      return 360;
    else
      return 357;
  }
  else if (lng < 52.084228) {
    if (poly[2252].contains(lat, lng)) return 265;
    if (poly[2253].contains(lat, lng))
      return 357;
    else
      return 293;
  } else {
    if (poly[2254].contains(lat, lng))
      return 293;
    else
      return 265;
  }
  else {
    if (poly[2255].contains(lat, lng))
      return 293;
    else
      return 265;
  }
  else if (lng < 50.243401) if (lat < 54.219528) {
    if (poly[2256].contains(lat, lng))
      return 367;
    else
      return 357;
  } else {
    if (poly[2257].contains(lat, lng)) return 350;
    if (poly[2258].contains(lat, lng))
      return 357;
    else
      return 367;
  }
  else if (lng < 53.493755) if (lng < 51.868578) {
    if (poly[2259].contains(lat, lng)) return 293;
    if (poly[2260].contains(lat, lng))
      return 350;
    else
      return 357;
  } else if (lat < 53.688825) {
    if (poly[2261].contains(lat, lng))
      return 293;
    else
      return 357;
  } else if (lng < 52.681167) {
    if (poly[2262].contains(lat, lng)) return 293;
    if (poly[2263].contains(lat, lng))
      return 350;
    else
      return 357;
  } else {
    if (poly[2264].contains(lat, lng)) return 293;
    if (poly[2265].contains(lat, lng))
      return 293;
    else
      return 350;
  }
  else {
    if (poly[2266].contains(lat, lng)) return 350;
    if (poly[2267].contains(lat, lng))
      return 350;
    else
      return 293;
  }
}

int _call35(num lat, num lng) {
  if (lng < 50.871335) if (lat < 61.067393) if (lat < 56.256925) {
    if (poly[2268].contains(lat, lng))
      return 340;
    else
      return 350;
  } else if (lng < 45.549458)
    return 350;
  else if (lng < 48.210396) if (lat < 58.662159) if (lng < 46.879927) {
    if (poly[2269].contains(lat, lng)) return 340;
    if (poly[2270].contains(lat, lng))
      return 340;
    else
      return 350;
  } else if (lat < 57.459542) {
    if (poly[2271].contains(lat, lng))
      return 350;
    else
      return 340;
  } else {
    if (poly[2272].contains(lat, lng)) return 350;
    if (poly[2273].contains(lat, lng))
      return 350;
    else
      return 340;
  }
  else if (lng < 46.879927) {
    if (poly[2274].contains(lat, lng)) return 340;
    if (poly[2275].contains(lat, lng))
      return 340;
    else
      return 350;
  } else if (lat < 59.864776) {
    if (poly[2276].contains(lat, lng))
      return 350;
    else
      return 340;
  } else {
    if (poly[2277].contains(lat, lng))
      return 340;
    else
      return 350;
  }
  else if (lat < 58.662159) if (lng < 49.540866) {
    if (poly[2278].contains(lat, lng))
      return 350;
    else
      return 340;
  } else {
    if (poly[2279].contains(lat, lng))
      return 350;
    else
      return 340;
  }
  else {
    if (poly[2280].contains(lat, lng))
      return 340;
    else
      return 350;
  }
  else
    return 350;
  else if (lat < 58.545842) if (lng < 53.098981) if (lng < 50.917326) if (lat <
      56.201553) {
    if (poly[2281].contains(lat, lng))
      return 350;
    else
      return 340;
  } else if (lat < 56.333988) {
    if (poly[2282].contains(lat, lng))
      return 350;
    else
      return 340;
  } else {
    if (poly[2283].contains(lat, lng))
      return 350;
    else
      return 340;
  }
  else if (lat < 56.994006) if (lng < 52.008154) if (lat < 56.218088) if (lng <
      51.462740) {
    if (poly[2284].contains(lat, lng)) return 340;
    if (poly[2285].contains(lat, lng)) return 357;
    if (poly[2286].contains(lat, lng)) return 357;
    if (poly[2287].contains(lat, lng))
      return 357;
    else
      return 350;
  } else {
    if (poly[2288].contains(lat, lng)) return 340;
    if (poly[2289].contains(lat, lng)) return 350;
    if (poly[2290].contains(lat, lng))
      return 350;
    else
      return 357;
  }
  else {
    if (poly[2291].contains(lat, lng))
      return 357;
    else
      return 340;
  }
  else if (lat < 56.218088) {
    if (poly[2292].contains(lat, lng)) return 350;
    if (poly[2293].contains(lat, lng))
      return 350;
    else
      return 357;
  } else {
    if (poly[2294].contains(lat, lng))
      return 350;
    else
      return 357;
  }
  else {
    if (poly[2295].contains(lat, lng))
      return 357;
    else
      return 340;
  }
  else if (lat < 56.276134) if (lng < 61.528103) if (lng < 57.313542) if (lng <
      55.206261) if (lng < 54.152621) if (lng < 53.625801) {
    if (poly[2296].contains(lat, lng))
      return 350;
    else
      return 357;
  } else {
    if (poly[2297].contains(lat, lng)) return 350;
    if (poly[2298].contains(lat, lng))
      return 357;
    else
      return 293;
  }
  else {
    if (poly[2299].contains(lat, lng)) return 350;
    if (poly[2300].contains(lat, lng))
      return 357;
    else
      return 293;
  }
  else
    return 293;
  else
    return 293;
  else
    return 293;
  else if (lng < 61.528103) if (lng < 57.313542) if (lng < 55.206261) if (lat <
      57.410988) {
    if (poly[2301].contains(lat, lng)) return 293;
    if (poly[2302].contains(lat, lng))
      return 350;
    else
      return 357;
  } else {
    if (poly[2303].contains(lat, lng)) return 293;
    if (poly[2304].contains(lat, lng))
      return 340;
    else
      return 357;
  }
  else
    return 293;
  else
    return 293;
  else
    return 293;
  else if (lng < 60.414280) if (lat < 66.074501) if (lng < 55.642808) if (lat <
      62.310171) if (lng < 53.257071) {
    if (poly[2305].contains(lat, lng)) return 293;
    if (poly[2306].contains(lat, lng)) return 293;
    if (poly[2307].contains(lat, lng))
      return 340;
    else
      return 350;
  } else {
    if (poly[2308].contains(lat, lng)) return 340;
    if (poly[2309].contains(lat, lng)) return 340;
    if (poly[2310].contains(lat, lng))
      return 350;
    else
      return 293;
  }
  else
    return 350;
  else if (lat < 62.310171) {
    if (poly[2311].contains(lat, lng))
      return 350;
    else
      return 293;
  } else {
    if (poly[2312].contains(lat, lng))
      return 293;
    else
      return 350;
  }
  else
    return 350;
  else if (lat < 66.074501) {
    if (poly[2313].contains(lat, lng))
      return 350;
    else
      return 293;
  } else if (lng < 65.185752) {
    if (poly[2314].contains(lat, lng)) return 293;
    if (poly[2315].contains(lat, lng)) return 293;
    if (poly[2316].contains(lat, lng))
      return 293;
    else
      return 350;
  } else {
    if (poly[2317].contains(lat, lng)) return 350;
    if (poly[2318].contains(lat, lng))
      return 350;
    else
      return 293;
  }
}

int _call36(num lat, num lng) {
  if (lng < 56.744109) if (lat < 51.247608) if (lng < 50.034781) if (lat <
      45.187282) if (lng < 48.975853)
    return 216;
  else
    return 350;
  else if (lng < 45.131181) if (lat < 48.217445) {
    if (poly[2319].contains(lat, lng)) return 373;
    if (poly[2320].contains(lat, lng))
      return 373;
    else
      return 350;
  } else if (lng < 42.679380) if (lat < 49.732527) {
    if (poly[2321].contains(lat, lng)) return 373;
    if (poly[2322].contains(lat, lng)) return 373;
    if (poly[2323].contains(lat, lng))
      return 373;
    else
      return 350;
  } else {
    if (poly[2324].contains(lat, lng))
      return 373;
    else
      return 350;
  }
  else if (lat < 49.732527) {
    if (poly[2325].contains(lat, lng)) return 320;
    if (poly[2326].contains(lat, lng)) return 350;
    if (poly[2327].contains(lat, lng)) return 350;
    if (poly[2328].contains(lat, lng)) return 350;
    if (poly[2329].contains(lat, lng))
      return 350;
    else
      return 373;
  } else {
    if (poly[2330].contains(lat, lng)) return 350;
    if (poly[2331].contains(lat, lng)) return 350;
    if (poly[2332].contains(lat, lng))
      return 360;
    else
      return 373;
  }
  else if (lat < 48.217445) if (lng < 47.582981) if (lat < 46.702364) {
    if (poly[2333].contains(lat, lng))
      return 320;
    else
      return 350;
  } else {
    if (poly[2334].contains(lat, lng)) return 219;
    if (poly[2335].contains(lat, lng)) return 265;
    if (poly[2336].contains(lat, lng))
      return 350;
    else
      return 320;
  }
  else if (lat < 46.702364) {
    if (poly[2337].contains(lat, lng)) return 219;
    if (poly[2338].contains(lat, lng))
      return 350;
    else
      return 320;
  } else {
    if (poly[2339].contains(lat, lng)) return 265;
    if (poly[2340].contains(lat, lng))
      return 320;
    else
      return 219;
  }
  else if (lng < 47.582981) if (lat < 49.732527) if (lng < 46.357081) {
    if (poly[2341].contains(lat, lng)) return 350;
    if (poly[2342].contains(lat, lng))
      return 373;
    else
      return 320;
  } else {
    if (poly[2343].contains(lat, lng)) return 219;
    if (poly[2344].contains(lat, lng)) return 320;
    if (poly[2345].contains(lat, lng))
      return 373;
    else
      return 265;
  }
  else if (lng < 46.357081) {
    if (poly[2346].contains(lat, lng))
      return 373;
    else
      return 360;
  } else {
    if (poly[2347].contains(lat, lng)) return 265;
    if (poly[2348].contains(lat, lng))
      return 360;
    else
      return 373;
  }
  else {
    if (poly[2349].contains(lat, lng))
      return 360;
    else
      return 265;
  }
  else if (lat < 45.170128) {
    if (poly[2350].contains(lat, lng))
      return 273;
    else
      return 216;
  } else if (lat < 46.520131) if (lng < 50.438264) if (lat < 45.694299)
    return 216;
  else
    return 219;
  else if (lng < 55.487919) {
    if (poly[2351].contains(lat, lng))
      return 219;
    else
      return 216;
  } else {
    if (poly[2352].contains(lat, lng)) return 217;
    if (poly[2353].contains(lat, lng))
      return 219;
    else
      return 216;
  }
  else if (lng < 53.389445) {
    if (poly[2354].contains(lat, lng))
      return 265;
    else
      return 219;
  } else if (lat < 48.883870) {
    if (poly[2355].contains(lat, lng))
      return 219;
    else
      return 217;
  } else if (lng < 55.066777) if (lat < 50.065739) {
    if (poly[2356].contains(lat, lng)) return 219;
    if (poly[2357].contains(lat, lng)) return 265;
    if (poly[2358].contains(lat, lng))
      return 265;
    else
      return 217;
  } else if (lng < 54.228111) {
    if (poly[2359].contains(lat, lng))
      return 293;
    else
      return 265;
  } else {
    if (poly[2360].contains(lat, lng)) return 217;
    if (poly[2361].contains(lat, lng))
      return 265;
    else
      return 293;
  }
  else {
    if (poly[2362].contains(lat, lng))
      return 293;
    else
      return 217;
  }
  else
    return _call34(lat, lng);
  else if (lat < 47.827727) if (lng < 61.924863) {
    if (poly[2363].contains(lat, lng)) return 217;
    if (poly[2364].contains(lat, lng))
      return 273;
    else
      return 271;
  } else if (lng < 65.941044) {
    if (poly[2365].contains(lat, lng)) return 213;
    if (poly[2366].contains(lat, lng)) return 217;
    if (poly[2367].contains(lat, lng)) return 273;
    if (poly[2368].contains(lat, lng))
      return 273;
    else
      return 271;
  } else {
    if (poly[2369].contains(lat, lng))
      return 271;
    else
      return 213;
  }
  else if (lng < 63.350667) if (lat < 51.359587) if (lng < 60.047388) if (lat <
      49.593657)
    return 217;
  else if (lng < 58.395748) {
    if (poly[2370].contains(lat, lng)) return 293;
    if (poly[2371].contains(lat, lng))
      return 293;
    else
      return 217;
  } else {
    if (poly[2372].contains(lat, lng))
      return 293;
    else
      return 217;
  }
  else if (lat < 49.593657) {
    if (poly[2373].contains(lat, lng))
      return 270;
    else
      return 217;
  } else if (lng < 61.699027) {
    if (poly[2374].contains(lat, lng)) return 217;
    if (poly[2375].contains(lat, lng))
      return 270;
    else
      return 293;
  } else {
    if (poly[2376].contains(lat, lng))
      return 217;
    else
      return 270;
  }
  else if (lng < 60.047388) {
    if (poly[2377].contains(lat, lng))
      return 270;
    else
      return 293;
  } else if (lat < 53.125516) if (lng < 61.699027) {
    if (poly[2378].contains(lat, lng))
      return 270;
    else
      return 293;
  } else {
    if (poly[2379].contains(lat, lng))
      return 293;
    else
      return 270;
  }
  else if (lng < 61.699027) if (lat < 54.008481) {
    if (poly[2380].contains(lat, lng))
      return 270;
    else
      return 293;
  } else {
    if (poly[2381].contains(lat, lng)) return 270;
    if (poly[2382].contains(lat, lng))
      return 270;
    else
      return 293;
  }
  else {
    if (poly[2383].contains(lat, lng))
      return 270;
    else
      return 293;
  }
  else if (lat < 51.359587) if (lng < 66.653946) if (lat < 49.593657) {
    if (poly[2384].contains(lat, lng)) return 213;
    if (poly[2385].contains(lat, lng))
      return 217;
    else
      return 270;
  } else {
    if (poly[2386].contains(lat, lng))
      return 213;
    else
      return 270;
  }
  else {
    if (poly[2387].contains(lat, lng))
      return 270;
    else
      return 213;
  }
  else if (lng < 66.653946) if (lat < 53.125516) {
    if (poly[2388].contains(lat, lng))
      return 270;
    else
      return 213;
  } else if (lng < 65.002307) {
    if (poly[2389].contains(lat, lng))
      return 293;
    else
      return 270;
  } else {
    if (poly[2390].contains(lat, lng)) return 213;
    if (poly[2391].contains(lat, lng))
      return 293;
    else
      return 270;
  }
  else {
    if (poly[2392].contains(lat, lng))
      return 293;
    else
      return 213;
  }
}

int _call37(num lat, num lng) {
  if (lat < 33.934308) if (lng < 74.729730) if (lat < 31.090648) {
    if (poly[2393].contains(lat, lng)) return 251;
    if (poly[2394].contains(lat, lng))
      return 251;
    else
      return 248;
  } else if (lng < 72.632080)
    return 248;
  else if (lat < 32.512478) {
    if (poly[2395].contains(lat, lng)) return 251;
    if (poly[2396].contains(lat, lng))
      return 251;
    else
      return 248;
  } else {
    if (poly[2397].contains(lat, lng))
      return 251;
    else
      return 248;
  }
  else if (lat < 31.090648)
    return 251;
  else if (lng < 76.827381) {
    if (poly[2398].contains(lat, lng))
      return 248;
    else
      return 251;
  } else if (lat < 32.512478) {
    if (poly[2399].contains(lat, lng))
      return 276;
    else
      return 251;
  } else {
    if (poly[2400].contains(lat, lng)) return 276;
    if (poly[2401].contains(lat, lng))
      return 276;
    else
      return 251;
  }
  else if (lng < 74.729730) if (lat < 36.777969) if (lng < 72.632080) if (lat <
      35.356138) {
    if (poly[2402].contains(lat, lng))
      return 246;
    else
      return 248;
  } else if (lng < 71.583255) {
    if (poly[2403].contains(lat, lng)) return 235;
    if (poly[2404].contains(lat, lng)) return 248;
    if (poly[2405].contains(lat, lng))
      return 248;
    else
      return 246;
  } else {
    if (poly[2406].contains(lat, lng)) return 235;
    if (poly[2407].contains(lat, lng))
      return 248;
    else
      return 246;
  }
  else {
    if (poly[2408].contains(lat, lng))
      return 251;
    else
      return 248;
  }
  else if (lng < 72.632080) if (lat < 38.199799) {
    if (poly[2409].contains(lat, lng)) return 235;
    if (poly[2410].contains(lat, lng))
      return 248;
    else
      return 246;
  } else if (lng < 71.583255) {
    if (poly[2411].contains(lat, lng)) return 226;
    if (poly[2412].contains(lat, lng))
      return 246;
    else
      return 235;
  } else {
    if (poly[2413].contains(lat, lng))
      return 235;
    else
      return 226;
  }
  else if (lat < 38.199799) if (lng < 73.680905) {
    if (poly[2414].contains(lat, lng)) return 235;
    if (poly[2415].contains(lat, lng)) return 235;
    if (poly[2416].contains(lat, lng))
      return 248;
    else
      return 246;
  } else if (lat < 37.488884) if (lng < 74.205318) {
    if (poly[2417].contains(lat, lng)) return 235;
    if (poly[2418].contains(lat, lng))
      return 248;
    else
      return 246;
  } else if (lat < 37.133426) {
    if (poly[2419].contains(lat, lng)) return 248;
    if (poly[2420].contains(lat, lng)) return 276;
    if (poly[2421].contains(lat, lng))
      return 287;
    else
      return 246;
  } else {
    if (poly[2422].contains(lat, lng)) return 235;
    if (poly[2423].contains(lat, lng)) return 276;
    if (poly[2424].contains(lat, lng))
      return 287;
    else
      return 246;
  }
  else
    return 235;
  else if (lng < 73.680905) {
    if (poly[2425].contains(lat, lng)) return 226;
    if (poly[2426].contains(lat, lng)) return 276;
    if (poly[2427].contains(lat, lng))
      return 287;
    else
      return 235;
  } else if (lat < 38.910714) {
    if (poly[2428].contains(lat, lng)) return 276;
    if (poly[2429].contains(lat, lng))
      return 287;
    else
      return 235;
  } else {
    if (poly[2430].contains(lat, lng)) return 226;
    if (poly[2431].contains(lat, lng)) return 235;
    if (poly[2432].contains(lat, lng))
      return 287;
    else
      return 276;
  }
  else if (lat < 36.777969) if (lng < 76.827381) if (lat < 35.356138) {
    if (poly[2433].contains(lat, lng))
      return 251;
    else
      return 248;
  } else if (lng < 75.778556) {
    if (poly[2434].contains(lat, lng)) return 276;
    if (poly[2435].contains(lat, lng))
      return 287;
    else
      return 248;
  } else if (lat < 36.067053) {
    if (poly[2436].contains(lat, lng)) return 251;
    if (poly[2437].contains(lat, lng)) return 276;
    if (poly[2438].contains(lat, lng))
      return 287;
    else
      return 248;
  } else {
    if (poly[2439].contains(lat, lng)) return 248;
    if (poly[2440].contains(lat, lng))
      return 287;
    else
      return 276;
  }
  else if (lat < 35.356138) if (lng < 77.876206) {
    if (poly[2441].contains(lat, lng))
      return 248;
    else
      return 251;
  } else if (lat < 34.645223) {
    if (poly[2442].contains(lat, lng)) return 276;
    if (poly[2443].contains(lat, lng)) return 276;
    if (poly[2444].contains(lat, lng))
      return 287;
    else
      return 251;
  } else {
    if (poly[2445].contains(lat, lng)) return 276;
    if (poly[2446].contains(lat, lng))
      return 287;
    else
      return 251;
  }
  else if (lng < 77.876206) {
    if (poly[2447].contains(lat, lng)) return 248;
    if (poly[2448].contains(lat, lng)) return 276;
    if (poly[2449].contains(lat, lng))
      return 287;
    else
      return 251;
  } else {
    if (poly[2450].contains(lat, lng)) return 251;
    if (poly[2451].contains(lat, lng))
      return 287;
    else
      return 276;
  }
  else if (lng < 76.827381) if (lat < 38.199799) if (lng < 75.778556) if (lat <
      37.488884) if (lng < 75.254143) if (lat < 37.133426) {
    if (poly[2452].contains(lat, lng)) return 276;
    if (poly[2453].contains(lat, lng))
      return 287;
    else
      return 248;
  } else {
    if (poly[2454].contains(lat, lng)) return 235;
    if (poly[2455].contains(lat, lng)) return 246;
    if (poly[2456].contains(lat, lng))
      return 287;
    else
      return 276;
  }
  else {
    if (poly[2457].contains(lat, lng)) return 248;
    if (poly[2458].contains(lat, lng))
      return 287;
    else
      return 276;
  }
  else {
    if (poly[2459].contains(lat, lng)) return 276;
    if (poly[2460].contains(lat, lng))
      return 287;
    else
      return 235;
  }
  else {
    if (poly[2461].contains(lat, lng))
      return 287;
    else
      return 276;
  }
  else {
    if (poly[2462].contains(lat, lng)) return 235;
    if (poly[2463].contains(lat, lng))
      return 287;
    else
      return 276;
  }
  else {
    if (poly[2464].contains(lat, lng))
      return 287;
    else
      return 276;
  }
}

int _call38(num lat, num lng) {
  if (lng < 80.227684) if (lat < 45.885615) if (lng < 76.683710) if (lat <
      42.753622) if (lng < 74.911723) if (lat < 41.187625) if (lng < 74.025729) {
    if (poly[2465].contains(lat, lng)) return 276;
    if (poly[2466].contains(lat, lng))
      return 287;
    else
      return 226;
  } else {
    if (poly[2467].contains(lat, lng)) return 276;
    if (poly[2468].contains(lat, lng))
      return 287;
    else
      return 226;
  }
  else {
    if (poly[2469].contains(lat, lng))
      return 213;
    else
      return 226;
  }
  else if (lat < 41.187625) if (lng < 75.797716) {
    if (poly[2470].contains(lat, lng)) return 276;
    if (poly[2471].contains(lat, lng))
      return 287;
    else
      return 226;
  } else {
    if (poly[2472].contains(lat, lng)) return 276;
    if (poly[2473].contains(lat, lng))
      return 287;
    else
      return 226;
  }
  else
    return 226;
  else {
    if (poly[2474].contains(lat, lng))
      return 226;
    else
      return 213;
  }
  else if (lat < 42.753622) if (lng < 78.455697) if (lat < 41.187625) {
    if (poly[2475].contains(lat, lng)) return 226;
    if (poly[2476].contains(lat, lng))
      return 287;
    else
      return 276;
  } else {
    if (poly[2477].contains(lat, lng)) return 276;
    if (poly[2478].contains(lat, lng))
      return 287;
    else
      return 226;
  }
  else if (lat < 41.187625) {
    if (poly[2479].contains(lat, lng))
      return 287;
    else
      return 276;
  } else if (lng < 79.341690) {
    if (poly[2480].contains(lat, lng)) return 213;
    if (poly[2481].contains(lat, lng)) return 276;
    if (poly[2482].contains(lat, lng))
      return 287;
    else
      return 226;
  } else if (lat < 41.970624) {
    if (poly[2483].contains(lat, lng)) return 226;
    if (poly[2484].contains(lat, lng))
      return 287;
    else
      return 276;
  } else if (lng < 79.784687) {
    if (poly[2485].contains(lat, lng))
      return 213;
    else
      return 226;
  } else if (lat < 42.362123) {
    if (poly[2486].contains(lat, lng)) return 213;
    if (poly[2487].contains(lat, lng)) return 276;
    if (poly[2488].contains(lat, lng))
      return 287;
    else
      return 226;
  } else {
    if (poly[2489].contains(lat, lng)) return 226;
    if (poly[2490].contains(lat, lng)) return 276;
    if (poly[2491].contains(lat, lng)) return 276;
    if (poly[2492].contains(lat, lng)) return 287;
    if (poly[2493].contains(lat, lng))
      return 287;
    else
      return 213;
  }
  else if (lng < 78.455697) {
    if (poly[2494].contains(lat, lng))
      return 226;
    else
      return 213;
  } else {
    if (poly[2495].contains(lat, lng)) return 226;
    if (poly[2496].contains(lat, lng)) return 276;
    if (poly[2497].contains(lat, lng))
      return 287;
    else
      return 213;
  }
  else {
    if (poly[2498].contains(lat, lng))
      return 224;
    else
      return 213;
  }
  else if (lat < 45.885615) if (lng < 83.771658) if (lat < 42.753622) {
    if (poly[2499].contains(lat, lng)) return 213;
    if (poly[2500].contains(lat, lng)) return 213;
    if (poly[2501].contains(lat, lng)) return 213;
    if (poly[2502].contains(lat, lng)) return 226;
    if (poly[2503].contains(lat, lng))
      return 287;
    else
      return 276;
  } else if (lng < 81.999671) if (lat < 44.319618) if (lng <
      81.113677) if (lat < 43.536620) {
    if (poly[2504].contains(lat, lng)) return 276;
    if (poly[2505].contains(lat, lng))
      return 287;
    else
      return 213;
  } else {
    if (poly[2506].contains(lat, lng)) return 276;
    if (poly[2507].contains(lat, lng))
      return 287;
    else
      return 213;
  }
  else {
    if (poly[2508].contains(lat, lng))
      return 287;
    else
      return 276;
  }
  else if (lng < 81.113677) {
    if (poly[2509].contains(lat, lng)) return 276;
    if (poly[2510].contains(lat, lng))
      return 287;
    else
      return 213;
  } else {
    if (poly[2511].contains(lat, lng)) return 276;
    if (poly[2512].contains(lat, lng))
      return 287;
    else
      return 213;
  }
  else {
    if (poly[2513].contains(lat, lng)) return 213;
    if (poly[2514].contains(lat, lng))
      return 287;
    else
      return 276;
  }
  else {
    if (poly[2515].contains(lat, lng))
      return 287;
    else
      return 276;
  }
  else if (lng < 83.771658) if (lat < 49.017607) {
    if (poly[2516].contains(lat, lng)) return 276;
    if (poly[2517].contains(lat, lng))
      return 287;
    else
      return 213;
  } else if (lng < 81.999671) {
    if (poly[2518].contains(lat, lng))
      return 224;
    else
      return 213;
  } else {
    if (poly[2519].contains(lat, lng))
      return 224;
    else
      return 213;
  }
  else if (lat < 49.017607) if (lng < 85.543645) if (lat < 47.451611) if (lng <
      84.657652) {
    if (poly[2520].contains(lat, lng)) return 276;
    if (poly[2521].contains(lat, lng))
      return 287;
    else
      return 213;
  } else {
    if (poly[2522].contains(lat, lng)) return 276;
    if (poly[2523].contains(lat, lng))
      return 287;
    else
      return 213;
  }
  else {
    if (poly[2524].contains(lat, lng)) return 276;
    if (poly[2525].contains(lat, lng))
      return 287;
    else
      return 213;
  }
  else if (lat < 47.451611) {
    if (poly[2526].contains(lat, lng)) return 213;
    if (poly[2527].contains(lat, lng))
      return 287;
    else
      return 276;
  } else {
    if (poly[2528].contains(lat, lng)) return 276;
    if (poly[2529].contains(lat, lng))
      return 287;
    else
      return 213;
  }
  else if (lng < 85.543645) {
    if (poly[2530].contains(lat, lng))
      return 224;
    else
      return 213;
  } else if (lat < 50.583604) if (lng < 86.429638) {
    if (poly[2531].contains(lat, lng))
      return 224;
    else
      return 213;
  } else {
    if (poly[2532].contains(lat, lng)) return 224;
    if (poly[2533].contains(lat, lng)) return 276;
    if (poly[2534].contains(lat, lng))
      return 287;
    else
      return 213;
  }
  else
    return 224;
}

int _call39(num lat, num lng) {
  if (lng < 98.940959) if (lat < 40.765989) {
    if (poly[2535].contains(lat, lng))
      return 276;
    else
      return 287;
  } else if (lng < 93.128295) if (lat < 46.457794) if (lng < 90.221964) {
    if (poly[2536].contains(lat, lng))
      return 287;
    else
      return 276;
  } else if (lat < 43.611892) {
    if (poly[2537].contains(lat, lng))
      return 287;
    else
      return 276;
  } else if (lng < 91.675130) {
    if (poly[2538].contains(lat, lng)) return 241;
    if (poly[2539].contains(lat, lng))
      return 287;
    else
      return 276;
  } else {
    if (poly[2540].contains(lat, lng)) return 276;
    if (poly[2541].contains(lat, lng))
      return 287;
    else
      return 241;
  }
  else if (lng < 90.221964) if (lat < 49.303697) if (lng < 88.768798) if (lat <
      47.880746) {
    if (poly[2542].contains(lat, lng))
      return 287;
    else
      return 276;
  } else if (lng < 88.042215) if (lat < 48.592222) {
    if (poly[2543].contains(lat, lng)) return 241;
    if (poly[2544].contains(lat, lng))
      return 287;
    else
      return 276;
  } else if (lng < 87.678923) {
    if (poly[2545].contains(lat, lng)) return 224;
    if (poly[2546].contains(lat, lng))
      return 276;
    else
      return 287;
  } else {
    if (poly[2547].contains(lat, lng)) return 224;
    if (poly[2548].contains(lat, lng)) return 276;
    if (poly[2549].contains(lat, lng))
      return 287;
    else
      return 241;
  }
  else {
    if (poly[2550].contains(lat, lng)) return 224;
    if (poly[2551].contains(lat, lng)) return 276;
    if (poly[2552].contains(lat, lng)) return 276;
    if (poly[2553].contains(lat, lng)) return 287;
    if (poly[2554].contains(lat, lng))
      return 287;
    else
      return 241;
  }
  else {
    if (poly[2555].contains(lat, lng)) return 241;
    if (poly[2556].contains(lat, lng))
      return 276;
    else
      return 287;
  }
  else if (lng < 88.768798) {
    if (poly[2557].contains(lat, lng)) return 241;
    if (poly[2558].contains(lat, lng))
      return 252;
    else
      return 224;
  } else if (lat < 50.726649) if (lng < 89.495381) {
    if (poly[2559].contains(lat, lng)) return 241;
    if (poly[2560].contains(lat, lng))
      return 252;
    else
      return 224;
  } else {
    if (poly[2561].contains(lat, lng)) return 241;
    if (poly[2562].contains(lat, lng))
      return 252;
    else
      return 224;
  }
  else {
    if (poly[2563].contains(lat, lng))
      return 224;
    else
      return 252;
  }
  else if (lat < 49.303697) {
    if (poly[2564].contains(lat, lng)) return 276;
    if (poly[2565].contains(lat, lng))
      return 287;
    else
      return 241;
  } else {
    if (poly[2566].contains(lat, lng))
      return 252;
    else
      return 241;
  }
  else if (lat < 46.457794) if (lng < 96.034627) if (lat < 43.611892) {
    if (poly[2567].contains(lat, lng)) return 241;
    if (poly[2568].contains(lat, lng))
      return 276;
    else
      return 287;
  } else {
    if (poly[2569].contains(lat, lng)) return 276;
    if (poly[2570].contains(lat, lng))
      return 287;
    else
      return 241;
  }
  else {
    if (poly[2571].contains(lat, lng)) return 276;
    if (poly[2572].contains(lat, lng)) return 286;
    if (poly[2573].contains(lat, lng)) return 287;
    if (poly[2574].contains(lat, lng))
      return 287;
    else
      return 241;
  }
  else if (lng < 96.034627) {
    if (poly[2575].contains(lat, lng))
      return 252;
    else
      return 241;
  } else if (lat < 49.303697) {
    if (poly[2576].contains(lat, lng)) return 286;
    if (poly[2577].contains(lat, lng))
      return 286;
    else
      return 241;
  } else if (lng < 97.487793) {
    if (poly[2578].contains(lat, lng)) return 252;
    if (poly[2579].contains(lat, lng))
      return 286;
    else
      return 241;
  } else {
    if (poly[2580].contains(lat, lng))
      return 252;
    else
      return 286;
  }
  else if (lat < 49.113709) if (lat < 39.248044)
    return 276;
  else if (lng < 107.076564) {
    if (poly[2581].contains(lat, lng)) return 241;
    if (poly[2582].contains(lat, lng))
      return 276;
    else
      return 286;
  } else if (lat < 44.180876) {
    if (poly[2583].contains(lat, lng))
      return 286;
    else
      return 276;
  } else if (lng < 111.144367)
    return 286;
  else if (lat < 46.647293) if (lng < 113.178269) {
    if (poly[2584].contains(lat, lng)) return 229;
    if (poly[2585].contains(lat, lng))
      return 276;
    else
      return 286;
  } else {
    if (poly[2586].contains(lat, lng))
      return 276;
    else
      return 229;
  }
  else {
    if (poly[2587].contains(lat, lng))
      return 286;
    else
      return 229;
  }
  else if (lng < 107.076564) if (lng < 103.008762) if (lng < 100.974860) {
    if (poly[2588].contains(lat, lng))
      return 242;
    else
      return 286;
  } else if (lat < 50.631654) {
    if (poly[2589].contains(lat, lng))
      return 242;
    else
      return 286;
  } else {
    if (poly[2590].contains(lat, lng))
      return 286;
    else
      return 242;
  }
  else {
    if (poly[2591].contains(lat, lng))
      return 242;
    else
      return 286;
  }
  else if (lng < 111.144367) if (lng < 109.110466) if (lat <
      50.631654) if (lng < 108.093515) {
    if (poly[2592].contains(lat, lng)) return 242;
    if (poly[2593].contains(lat, lng))
      return 286;
    else
      return 228;
  } else {
    if (poly[2594].contains(lat, lng)) return 242;
    if (poly[2595].contains(lat, lng))
      return 286;
    else
      return 228;
  }
  else {
    if (poly[2596].contains(lat, lng))
      return 228;
    else
      return 242;
  }
  else {
    if (poly[2597].contains(lat, lng)) return 242;
    if (poly[2598].contains(lat, lng))
      return 286;
    else
      return 228;
  }
  else {
    if (poly[2599].contains(lat, lng)) return 229;
    if (poly[2600].contains(lat, lng)) return 242;
    if (poly[2601].contains(lat, lng))
      return 286;
    else
      return 228;
  }
}

int _call40(num lat, num lng) {
  if (lat < 57.237834) if (lng < 71.677329) if (lat < 54.668015) if (lat <
      54.184945) if (lng < 71.296101) {
    if (poly[2602].contains(lat, lng))
      return 264;
    else
      return 213;
  } else {
    if (poly[2603].contains(lat, lng))
      return 213;
    else
      return 264;
  }
  else {
    if (poly[2604].contains(lat, lng))
      return 213;
    else
      return 264;
  }
  else if (lat < 56.765223) {
    if (poly[2605].contains(lat, lng))
      return 293;
    else
      return 264;
  } else {
    if (poly[2606].contains(lat, lng))
      return 293;
    else
      return 264;
  }
  else if (lng < 85.115957) if (lng < 78.396643) if (lng < 75.036986) if (lat <
      54.693717) if (lng < 73.357157) if (lat < 53.421658)
    return 213;
  else if (lng < 72.517243) {
    if (poly[2607].contains(lat, lng))
      return 264;
    else
      return 213;
  } else {
    if (poly[2608].contains(lat, lng)) return 264;
    if (poly[2609].contains(lat, lng))
      return 264;
    else
      return 213;
  }
  else {
    if (poly[2610].contains(lat, lng))
      return 264;
    else
      return 213;
  }
  else
    return 264;
  else if (lat < 54.693717) if (lng < 76.716814) {
    if (poly[2611].contains(lat, lng)) return 213;
    if (poly[2612].contains(lat, lng))
      return 264;
    else
      return 263;
  } else {
    if (poly[2613].contains(lat, lng)) return 213;
    if (poly[2614].contains(lat, lng)) return 213;
    if (poly[2615].contains(lat, lng))
      return 224;
    else
      return 263;
  }
  else if (lng < 76.716814) if (lat < 55.965775) {
    if (poly[2616].contains(lat, lng)) return 264;
    if (poly[2617].contains(lat, lng))
      return 264;
    else
      return 263;
  } else {
    if (poly[2618].contains(lat, lng)) return 264;
    if (poly[2619].contains(lat, lng))
      return 285;
    else
      return 263;
  }
  else {
    if (poly[2620].contains(lat, lng))
      return 285;
    else
      return 263;
  }
  else if (lng < 81.756300) if (lat < 54.693717) if (lng < 80.076471) {
    if (poly[2621].contains(lat, lng)) return 213;
    if (poly[2622].contains(lat, lng))
      return 263;
    else
      return 224;
  } else {
    if (poly[2623].contains(lat, lng)) return 263;
    if (poly[2624].contains(lat, lng)) return 263;
    if (poly[2625].contains(lat, lng))
      return 263;
    else
      return 224;
  }
  else {
    if (poly[2626].contains(lat, lng))
      return 285;
    else
      return 263;
  }
  else if (lat < 54.693717) if (lng < 83.436128) {
    if (poly[2627].contains(lat, lng))
      return 263;
    else
      return 224;
  } else {
    if (poly[2628].contains(lat, lng)) return 224;
    if (poly[2629].contains(lat, lng))
      return 262;
    else
      return 263;
  }
  else if (lng < 83.436128) {
    if (poly[2630].contains(lat, lng))
      return 285;
    else
      return 263;
  } else if (lat < 55.965775) if (lng < 84.276043) {
    if (poly[2631].contains(lat, lng))
      return 285;
    else
      return 263;
  } else {
    if (poly[2632].contains(lat, lng))
      return 263;
    else
      return 262;
  }
  else {
    if (poly[2633].contains(lat, lng)) return 262;
    if (poly[2634].contains(lat, lng))
      return 263;
    else
      return 285;
  }
  else if (lat < 55.866563) if (lng < 87.259300) {
    if (poly[2635].contains(lat, lng))
      return 224;
    else
      return 262;
  } else if (lat < 54.008082) if (lng < 88.330972) {
    if (poly[2636].contains(lat, lng))
      return 262;
    else
      return 224;
  } else if (lat < 53.078841) {
    if (poly[2637].contains(lat, lng)) return 224;
    if (poly[2638].contains(lat, lng))
      return 252;
    else
      return 262;
  } else {
    if (poly[2639].contains(lat, lng))
      return 262;
    else
      return 252;
  }
  else {
    if (poly[2640].contains(lat, lng))
      return 252;
    else
      return 262;
  }
  else if (lng < 87.259300) {
    if (poly[2641].contains(lat, lng))
      return 285;
    else
      return 262;
  } else if (lng < 88.330972) {
    if (poly[2642].contains(lat, lng))
      return 285;
    else
      return 262;
  } else {
    if (poly[2643].contains(lat, lng)) return 262;
    if (poly[2644].contains(lat, lng))
      return 285;
    else
      return 252;
  }
  else if (lat < 73.721756) if (lng < 80.335949) if (lat < 65.479795) if (lng <
      75.802602) {
    if (poly[2645].contains(lat, lng)) return 285;
    if (poly[2646].contains(lat, lng))
      return 293;
    else
      return 264;
  } else if (lat < 61.358814) if (lng < 78.069276) {
    if (poly[2647].contains(lat, lng)) return 264;
    if (poly[2648].contains(lat, lng))
      return 293;
    else
      return 285;
  } else {
    if (poly[2649].contains(lat, lng))
      return 293;
    else
      return 285;
  }
  else
    return 293;
  else if (lng < 75.802602)
    return 293;
  else if (lat < 69.600775) {
    if (poly[2650].contains(lat, lng))
      return 252;
    else
      return 293;
  } else if (lng < 78.069276) {
    if (poly[2651].contains(lat, lng))
      return 252;
    else
      return 293;
  } else if (lat < 71.661266) if (lng < 79.202613) {
    if (poly[2652].contains(lat, lng)) return 252;
    if (poly[2653].contains(lat, lng)) return 252;
    if (poly[2654].contains(lat, lng))
      return 252;
    else
      return 293;
  } else {
    if (poly[2655].contains(lat, lng)) return 293;
    if (poly[2656].contains(lat, lng)) return 293;
    if (poly[2657].contains(lat, lng))
      return 293;
    else
      return 252;
  }
  else {
    if (poly[2658].contains(lat, lng))
      return 293;
    else
      return 252;
  }
  else if (lat < 65.479795) if (lng < 84.869297) if (lat < 61.358814) {
    if (poly[2659].contains(lat, lng)) return 252;
    if (poly[2660].contains(lat, lng))
      return 293;
    else
      return 285;
  } else {
    if (poly[2661].contains(lat, lng)) return 252;
    if (poly[2662].contains(lat, lng))
      return 252;
    else
      return 293;
  }
  else if (lat < 61.358814) {
    if (poly[2663].contains(lat, lng)) return 285;
    if (poly[2664].contains(lat, lng))
      return 293;
    else
      return 252;
  } else if (lng < 87.135970) if (lat < 63.419305) {
    if (poly[2665].contains(lat, lng)) return 293;
    if (poly[2666].contains(lat, lng))
      return 293;
    else
      return 252;
  } else {
    if (poly[2667].contains(lat, lng))
      return 293;
    else
      return 252;
  }
  else
    return 252;
  else if (lng < 84.869297) if (lat < 69.600775) if (lng < 82.602623) if (lat <
      67.540285) {
    if (poly[2668].contains(lat, lng)) return 252;
    if (poly[2669].contains(lat, lng)) return 252;
    if (poly[2670].contains(lat, lng))
      return 252;
    else
      return 293;
  } else if (lng < 81.469286) {
    if (poly[2671].contains(lat, lng))
      return 293;
    else
      return 252;
  } else {
    if (poly[2672].contains(lat, lng)) return 293;
    if (poly[2673].contains(lat, lng)) return 293;
    if (poly[2674].contains(lat, lng))
      return 293;
    else
      return 252;
  }
  else {
    if (poly[2675].contains(lat, lng)) return 293;
    if (poly[2676].contains(lat, lng))
      return 293;
    else
      return 252;
  }
  else {
    if (poly[2677].contains(lat, lng)) return 293;
    if (poly[2678].contains(lat, lng))
      return 293;
    else
      return 252;
  }
  else
    return 252;
  else
    return 252;
}

int _call41(num lat, num lng) {
  if (lng < 102.307407) if (lat < 63.521722) if (lng < 95.855025) {
    if (poly[2679].contains(lat, lng))
      return 242;
    else
      return 252;
  } else if (lat < 57.835661) if (lng < 99.081216) if (lat <
      54.992631) if (lng < 97.468121) {
    if (poly[2680].contains(lat, lng))
      return 242;
    else
      return 252;
  } else {
    if (poly[2681].contains(lat, lng))
      return 252;
    else
      return 242;
  }
  else if (lng < 97.468121) {
    if (poly[2682].contains(lat, lng)) return 242;
    if (poly[2683].contains(lat, lng))
      return 242;
    else
      return 252;
  } else {
    if (poly[2684].contains(lat, lng)) return 252;
    if (poly[2685].contains(lat, lng))
      return 252;
    else
      return 242;
  }
  else {
    if (poly[2686].contains(lat, lng)) return 252;
    if (poly[2687].contains(lat, lng)) return 252;
    if (poly[2688].contains(lat, lng))
      return 252;
    else
      return 242;
  }
  else {
    if (poly[2689].contains(lat, lng))
      return 252;
    else
      return 242;
  }
  else
    return 252;
  else if (lat < 63.521722) if (lng < 108.759788) if (lat < 57.835661)
    return 242;
  else if (lng < 105.533598) if (lat < 60.678692) if (lng < 103.920502) {
    if (poly[2690].contains(lat, lng))
      return 242;
    else
      return 252;
  } else if (lat < 59.257177) {
    if (poly[2691].contains(lat, lng))
      return 252;
    else
      return 242;
  } else {
    if (poly[2692].contains(lat, lng))
      return 252;
    else
      return 242;
  }
  else {
    if (poly[2693].contains(lat, lng))
      return 242;
    else
      return 252;
  }
  else {
    if (poly[2694].contains(lat, lng))
      return 252;
    else
      return 242;
  }
  else if (lat < 57.835661) if (lng < 111.985979) {
    if (poly[2695].contains(lat, lng))
      return 228;
    else
      return 242;
  } else if (lat < 54.992631) if (lng < 113.599075) {
    if (poly[2696].contains(lat, lng))
      return 242;
    else
      return 228;
  } else if (lat < 53.571115) {
    if (poly[2697].contains(lat, lng))
      return 242;
    else
      return 228;
  } else {
    if (poly[2698].contains(lat, lng))
      return 228;
    else
      return 242;
  }
  else
    return 242;
  else if (lng < 111.985979) if (lat < 60.678692) if (lng < 110.372884) {
    if (poly[2699].contains(lat, lng))
      return 291;
    else
      return 242;
  } else {
    if (poly[2700].contains(lat, lng))
      return 291;
    else
      return 242;
  }
  else if (lng < 110.372884) if (lat < 62.100207) {
    if (poly[2701].contains(lat, lng)) return 291;
    if (poly[2702].contains(lat, lng))
      return 291;
    else
      return 242;
  } else {
    if (poly[2703].contains(lat, lng))
      return 291;
    else
      return 242;
  }
  else {
    if (poly[2704].contains(lat, lng))
      return 242;
    else
      return 291;
  }
  else if (lat < 60.678692) if (lng < 113.599075) {
    if (poly[2705].contains(lat, lng))
      return 291;
    else
      return 242;
  } else {
    if (poly[2706].contains(lat, lng)) return 291;
    if (poly[2707].contains(lat, lng))
      return 291;
    else
      return 242;
  }
  else
    return 291;
  else if (lng < 108.759788) if (lat < 69.207784) if (lng < 105.533598) {
    if (poly[2708].contains(lat, lng))
      return 291;
    else
      return 252;
  } else if (lat < 66.364753) if (lng < 107.146693) if (lat < 64.943238) {
    if (poly[2709].contains(lat, lng)) return 242;
    if (poly[2710].contains(lat, lng))
      return 291;
    else
      return 252;
  } else {
    if (poly[2711].contains(lat, lng))
      return 291;
    else
      return 252;
  }
  else if (lat < 64.943238) if (lng < 107.953241) {
    if (poly[2712].contains(lat, lng)) return 242;
    if (poly[2713].contains(lat, lng))
      return 291;
    else
      return 252;
  } else {
    if (poly[2714].contains(lat, lng)) return 252;
    if (poly[2715].contains(lat, lng)) return 291;
    if (poly[2716].contains(lat, lng)) return 291;
    if (poly[2717].contains(lat, lng))
      return 291;
    else
      return 242;
  }
  else
    return 291;
  else {
    if (poly[2718].contains(lat, lng))
      return 291;
    else
      return 252;
  }
  else {
    if (poly[2719].contains(lat, lng))
      return 291;
    else
      return 252;
  }
  else if (lat < 69.207784) {
    if (poly[2720].contains(lat, lng)) return 242;
    if (poly[2721].contains(lat, lng)) return 242;
    if (poly[2722].contains(lat, lng))
      return 242;
    else
      return 291;
  } else if (lng < 111.985979) if (lat < 72.050814) {
    if (poly[2723].contains(lat, lng))
      return 291;
    else
      return 252;
  } else if (lng < 110.372884) {
    if (poly[2724].contains(lat, lng)) return 291;
    if (poly[2725].contains(lat, lng))
      return 291;
    else
      return 252;
  } else if (lat < 73.472330) {
    if (poly[2726].contains(lat, lng))
      return 291;
    else
      return 252;
  } else {
    if (poly[2727].contains(lat, lng))
      return 291;
    else
      return 252;
  }
  else {
    if (poly[2728].contains(lat, lng)) return 252;
    if (poly[2729].contains(lat, lng))
      return 252;
    else
      return 291;
  }
}

int _call42(num lat, num lng) {
  if (lat < 52.149600) if (lng < 87.315632) if (lat < 39.621629) if (lng <
      70.534430) if (lat < 34.047710) if (lat < 33.798521) {
    if (poly[2730].contains(lat, lng))
      return 246;
    else
      return 248;
  } else {
    if (poly[2731].contains(lat, lng))
      return 248;
    else
      return 246;
  }
  else if (lat < 38.208711) {
    if (poly[2732].contains(lat, lng))
      return 235;
    else
      return 246;
  } else {
    if (poly[2733].contains(lat, lng))
      return 226;
    else
      return 235;
  }
  else if (lng < 78.925031)
    return _call37(lat, lng);
  else if (lat < 33.934308) if (lng < 83.120331) if (lat < 31.090648) if (lng <
      81.022681) if (lat < 29.668817) {
    if (poly[2734].contains(lat, lng))
      return 251;
    else
      return 249;
  } else {
    if (poly[2735].contains(lat, lng)) return 249;
    if (poly[2736].contains(lat, lng))
      return 276;
    else
      return 251;
  }
  else if (lat < 29.668817) {
    if (poly[2737].contains(lat, lng)) return 251;
    if (poly[2738].contains(lat, lng)) return 276;
    if (poly[2739].contains(lat, lng))
      return 276;
    else
      return 249;
  } else if (lng < 82.071506) {
    if (poly[2740].contains(lat, lng)) return 251;
    if (poly[2741].contains(lat, lng))
      return 276;
    else
      return 249;
  } else {
    if (poly[2742].contains(lat, lng)) return 249;
    if (poly[2743].contains(lat, lng))
      return 249;
    else
      return 276;
  }
  else {
    if (poly[2744].contains(lat, lng)) return 251;
    if (poly[2745].contains(lat, lng))
      return 251;
    else
      return 276;
  }
  else if (lat < 31.090648) if (lng < 85.217982) if (lat < 29.668817) if (lng <
      84.169157) {
    if (poly[2746].contains(lat, lng)) return 276;
    if (poly[2747].contains(lat, lng))
      return 276;
    else
      return 249;
  } else {
    if (poly[2748].contains(lat, lng))
      return 276;
    else
      return 249;
  }
  else
    return 276;
  else {
    if (poly[2749].contains(lat, lng))
      return 249;
    else
      return 276;
  }
  else
    return 276;
  else {
    if (poly[2750].contains(lat, lng)) return 251;
    if (poly[2751].contains(lat, lng))
      return 276;
    else
      return 287;
  }
  else if (lng < 73.139736) if (lat < 40.785252) if (lng < 70.983890) if (lat <
      39.891552) {
    if (poly[2752].contains(lat, lng))
      return 226;
    else
      return 235;
  } else if (lng < 70.470557) {
    if (poly[2753].contains(lat, lng)) return 226;
    if (poly[2754].contains(lat, lng)) return 280;
    if (poly[2755].contains(lat, lng))
      return 280;
    else
      return 235;
  } else {
    if (poly[2756].contains(lat, lng)) return 226;
    if (poly[2757].contains(lat, lng)) return 226;
    if (poly[2758].contains(lat, lng))
      return 280;
    else
      return 235;
  }
  else if (lng < 71.226069) if (lat < 40.185134) {
    if (poly[2759].contains(lat, lng))
      return 226;
    else
      return 280;
  } else if (lat < 40.267114) {
    if (poly[2760].contains(lat, lng))
      return 280;
    else
      return 226;
  } else {
    if (poly[2761].contains(lat, lng))
      return 280;
    else
      return 226;
  }
  else if (lat < 40.008003) {
    if (poly[2762].contains(lat, lng))
      return 226;
    else
      return 280;
  } else if (lng < 72.182902) {
    if (poly[2763].contains(lat, lng))
      return 226;
    else
      return 280;
  } else {
    if (poly[2764].contains(lat, lng))
      return 280;
    else
      return 226;
  }
  else if (lat < 46.467426) if (lat < 43.626339) if (lng < 71.548480) if (lat <
      42.205796) if (lng < 70.752853) if (lat < 41.495524) {
    if (poly[2765].contains(lat, lng)) return 226;
    if (poly[2766].contains(lat, lng)) return 226;
    if (poly[2767].contains(lat, lng)) return 235;
    if (poly[2768].contains(lat, lng))
      return 235;
    else
      return 280;
  } else {
    if (poly[2769].contains(lat, lng)) return 213;
    if (poly[2770].contains(lat, lng))
      return 226;
    else
      return 280;
  }
  else {
    if (poly[2771].contains(lat, lng)) return 213;
    if (poly[2772].contains(lat, lng)) return 213;
    if (poly[2773].contains(lat, lng))
      return 226;
    else
      return 280;
  }
  else {
    if (poly[2774].contains(lat, lng)) return 226;
    if (poly[2775].contains(lat, lng)) return 280;
    if (poly[2776].contains(lat, lng))
      return 280;
    else
      return 213;
  }
  else if (lat < 42.205796) {
    if (poly[2777].contains(lat, lng))
      return 280;
    else
      return 226;
  } else {
    if (poly[2778].contains(lat, lng))
      return 226;
    else
      return 213;
  }
  else
    return 213;
  else
    return 213;
  else
    return _call38(lat, lng);
  else if (lat < 29.382378) if (lng < 97.274264) if (lng < 92.294948)
    return 276;
  else if (lng < 94.784606) {
    if (poly[2779].contains(lat, lng))
      return 251;
    else
      return 276;
  } else if (lng < 96.029435) {
    if (poly[2780].contains(lat, lng))
      return 276;
    else
      return 251;
  } else {
    if (poly[2781].contains(lat, lng))
      return 251;
    else
      return 276;
  }
  else {
    if (poly[2782].contains(lat, lng))
      return 292;
    else
      return 276;
  }
  else
    return _call39(lat, lng);
  else if (lat < 74.893845) if (lng < 71.269255) if (lat < 56.046981) if (lat <
      54.609784) {
    if (poly[2783].contains(lat, lng))
      return 264;
    else
      return 213;
  } else {
    if (poly[2784].contains(lat, lng)) return 213;
    if (poly[2785].contains(lat, lng))
      return 293;
    else
      return 264;
  }
  else if (lat < 56.691085) if (lat < 56.361732) if (lng < 70.948417) if (lat <
      56.304836) {
    if (poly[2786].contains(lat, lng))
      return 264;
    else
      return 293;
  } else {
    if (poly[2787].contains(lat, lng))
      return 264;
    else
      return 293;
  }
  else if (lng < 71.092014) {
    if (poly[2788].contains(lat, lng))
      return 293;
    else
      return 264;
  } else {
    if (poly[2789].contains(lat, lng))
      return 293;
    else
      return 264;
  }
  else {
    if (poly[2790].contains(lat, lng)) return 293;
    if (poly[2791].contains(lat, lng))
      return 293;
    else
      return 264;
  }
  else {
    if (poly[2792].contains(lat, lng))
      return 264;
    else
      return 293;
  }
  else if (lng < 89.402644)
    return _call40(lat, lng);
  else
    return _call41(lat, lng);
  else
    return 252;
}

int _call43(num lat, num lng) {
  if (lng < 79.395921) if (lng < 60.054577) if (lat < 19.000000) if (lng <
      51.617770) if (lat < 14.411063) if (lng < 40.259453) {
    if (poly[2793].contains(lat, lng))
      return 5;
    else
      return 3;
  } else if (lng < 45.938612) if (lat < 10.435032) {
    if (poly[2794].contains(lat, lng))
      return 41;
    else
      return 3;
  } else if (lng < 43.099032) if (lat < 12.423047) {
    if (poly[2795].contains(lat, lng)) return 3;
    if (poly[2796].contains(lat, lng)) return 5;
    if (poly[2797].contains(lat, lng))
      return 41;
    else
      return 19;
  } else {
    if (poly[2798].contains(lat, lng)) return 3;
    if (poly[2799].contains(lat, lng)) return 19;
    if (poly[2800].contains(lat, lng)) return 19;
    if (poly[2801].contains(lat, lng))
      return 212;
    else
      return 5;
  }
  else {
    if (poly[2802].contains(lat, lng)) return 5;
    if (poly[2803].contains(lat, lng)) return 19;
    if (poly[2804].contains(lat, lng))
      return 41;
    else
      return 212;
  }
  else {
    if (poly[2805].contains(lat, lng)) return 3;
    if (poly[2806].contains(lat, lng))
      return 212;
    else
      return 41;
  }
  else if (lng < 45.922675) if (lng < 43.075128) {
    if (poly[2807].contains(lat, lng)) return 5;
    if (poly[2808].contains(lat, lng))
      return 272;
    else
      return 212;
  } else if (lat < 16.705531) {
    if (poly[2809].contains(lat, lng))
      return 272;
    else
      return 212;
  } else {
    if (poly[2810].contains(lat, lng))
      return 212;
    else
      return 272;
  }
  else {
    if (poly[2811].contains(lat, lng))
      return 272;
    else
      return 212;
  }
  else if (lat < 12.912992)
    return 212;
  else if (lng < 52.000000) {
    if (poly[2812].contains(lat, lng))
      return 272;
    else
      return 212;
  } else {
    if (poly[2813].contains(lat, lng))
      return 212;
    else
      return 260;
  }
  else if (lng < 51.873474) if (lat < 26.687244) if (lng < 46.050527)
    return 272;
  else if (lat < 22.843622)
    return 272;
  else if (lng < 48.962001)
    return 272;
  else if (lat < 24.765433) {
    if (poly[2814].contains(lat, lng)) return 234;
    if (poly[2815].contains(lat, lng))
      return 269;
    else
      return 272;
  } else {
    if (poly[2816].contains(lat, lng)) return 221;
    if (poly[2817].contains(lat, lng))
      return 272;
    else
      return 269;
  }
  else if (lng < 50.475558) {
    if (poly[2818].contains(lat, lng))
      return 282;
    else
      return 272;
  } else
    return 282;
  else if (lat < 25.008764) if (lng < 55.964026) if (lat < 22.004382) {
    if (poly[2819].contains(lat, lng))
      return 272;
    else
      return 260;
  } else {
    if (poly[2820].contains(lat, lng)) return 260;
    if (poly[2821].contains(lat, lng)) return 260;
    if (poly[2822].contains(lat, lng)) return 269;
    if (poly[2823].contains(lat, lng)) return 269;
    if (poly[2824].contains(lat, lng))
      return 272;
    else
      return 234;
  }
  else {
    if (poly[2825].contains(lat, lng)) return 234;
    if (poly[2826].contains(lat, lng))
      return 234;
    else
      return 260;
  }
  else if (lng < 53.252289) if (lat < 25.361546) if (lng < 52.455827) {
    if (poly[2827].contains(lat, lng))
      return 234;
    else
      return 269;
  } else
    return 234;
  else if (lat < 26.221460)
    return 269;
  else
    return 282;
  else if (lng < 54.461109) if (lat < 25.580043)
    return 234;
  else
    return 282;
  else if (lng < 57.257843) if (lat < 26.627876) if (lng < 55.859476) {
    if (poly[2828].contains(lat, lng))
      return 282;
    else
      return 234;
  } else {
    if (poly[2829].contains(lat, lng)) return 234;
    if (poly[2830].contains(lat, lng)) return 234;
    if (poly[2831].contains(lat, lng)) return 282;
    if (poly[2832].contains(lat, lng))
      return 282;
    else
      return 260;
  }
  else {
    if (poly[2833].contains(lat, lng))
      return 260;
    else
      return 282;
  }
  else
    return 282;
  else if (lat < 12.113083) if (lat < 7.310625)
    return 385;
  else
    return 251;
  else if (lat < 12.577255)
    return 251;
  else if (lng < 63.333270) if (lat < 26.544310) {
    if (poly[2834].contains(lat, lng))
      return 282;
    else
      return 248;
  } else {
    if (poly[2835].contains(lat, lng))
      return 282;
    else
      return 248;
  }
  else if (lng < 71.364596) if (lng < 67.348933)
    return 248;
  else if (lat < 24.345118) {
    if (poly[2836].contains(lat, lng)) return 248;
    if (poly[2837].contains(lat, lng))
      return 248;
    else
      return 251;
  } else if (lng < 69.356764)
    return 248;
  else if (lat < 26.296053) {
    if (poly[2838].contains(lat, lng)) return 251;
    if (poly[2839].contains(lat, lng))
      return 251;
    else
      return 248;
  } else {
    if (poly[2840].contains(lat, lng))
      return 251;
    else
      return 248;
  }
  else {
    if (poly[2841].contains(lat, lng))
      return 248;
    else
      return 251;
  }
  else if (lng < 109.670985) if (lng < 94.478373) if (lat < 14.389697) if (lng <
      82.081014) if (lat < 9.534601) {
    if (poly[2842].contains(lat, lng))
      return 251;
    else
      return 230;
  } else {
    if (poly[2843].contains(lat, lng))
      return 230;
    else
      return 251;
  }
  else if (lat < 13.661110)
    return 251;
  else {
    if (poly[2844].contains(lat, lng))
      return 251;
    else
      return 292;
  }
  else
    return _call29(lat, lng);
  else
    return _call31(lat, lng);
  else if (lat < 10.229958) if (lng < 112.663898)
    return 239;
  else
    return 276;
  else if (lat < 11.398160) if (lat < 11.249496) {
    if (poly[2845].contains(lat, lng))
      return 276;
    else
      return 259;
  } else
    return 239;
  else if (lng < 112.952690)
    return 276;
  else if (lng < 113.630139) {
    if (poly[2846].contains(lat, lng))
      return 276;
    else
      return 256;
  } else {
    if (poly[2847].contains(lat, lng))
      return 276;
    else
      return 240;
  }
}

int _call44(num lat, num lng) {
  if (lat < 53.560815) if (lng < 123.271244) {
    if (poly[2848].contains(lat, lng))
      return 291;
    else
      return 276;
  } else if (lat < 43.008964) if (lng < 128.951950) if (lng <
      126.111597) if (lat < 40.816221) {
    if (poly[2849].contains(lat, lng))
      return 276;
    else
      return 268;
  } else {
    if (poly[2850].contains(lat, lng))
      return 268;
    else
      return 276;
  }
  else if (lat < 40.816221)
    return 268;
  else if (lng < 127.531774) {
    if (poly[2851].contains(lat, lng))
      return 276;
    else
      return 268;
  } else {
    if (poly[2852].contains(lat, lng))
      return 276;
    else
      return 268;
  }
  else if (lng < 131.792303) if (lng < 130.372127) if (lat < 41.597391)
    return 268;
  else if (lng < 129.662038) {
    if (poly[2853].contains(lat, lng))
      return 276;
    else
      return 268;
  } else {
    if (poly[2854].contains(lat, lng))
      return 276;
    else
      return 268;
  }
  else {
    if (poly[2855].contains(lat, lng)) return 268;
    if (poly[2856].contains(lat, lng))
      return 290;
    else
      return 276;
  }
  else
    return 290;
  else if (lng < 130.145337) if (lat < 48.284889)
    return 276;
  else if (lng < 126.708291) if (lat < 50.922852)
    return 276;
  else if (lng < 124.989767) {
    if (poly[2857].contains(lat, lng))
      return 291;
    else
      return 276;
  } else {
    if (poly[2858].contains(lat, lng)) return 291;
    if (poly[2859].contains(lat, lng))
      return 291;
    else
      return 276;
  }
  else if (lat < 50.922852) if (lng < 128.426814) {
    if (poly[2860].contains(lat, lng))
      return 291;
    else
      return 276;
  } else {
    if (poly[2861].contains(lat, lng))
      return 291;
    else
      return 276;
  }
  else {
    if (poly[2862].contains(lat, lng)) return 276;
    if (poly[2863].contains(lat, lng))
      return 276;
    else
      return 291;
  }
  else if (lat < 48.284889) if (lng < 133.582384) if (lat < 45.646927) if (lng <
      131.863861) {
    if (poly[2864].contains(lat, lng))
      return 290;
    else
      return 276;
  } else {
    if (poly[2865].contains(lat, lng))
      return 276;
    else
      return 290;
  }
  else if (lng < 131.863861) {
    if (poly[2866].contains(lat, lng))
      return 276;
    else
      return 290;
  } else {
    if (poly[2867].contains(lat, lng))
      return 276;
    else
      return 290;
  }
  else if (lat < 45.646927)
    return 290;
  else if (lng < 135.300908) if (lat < 46.965908) {
    if (poly[2868].contains(lat, lng))
      return 276;
    else
      return 290;
  } else {
    if (poly[2869].contains(lat, lng))
      return 276;
    else
      return 290;
  }
  else
    return 290;
  else if (lng < 133.582384) if (lat < 50.922852) if (lng <
      131.863861) if (lat < 49.603871) {
    if (poly[2870].contains(lat, lng)) return 276;
    if (poly[2871].contains(lat, lng))
      return 291;
    else
      return 290;
  } else {
    if (poly[2872].contains(lat, lng))
      return 291;
    else
      return 290;
  }
  else
    return 290;
  else if (lng < 131.863861) {
    if (poly[2873].contains(lat, lng)) return 290;
    if (poly[2874].contains(lat, lng))
      return 290;
    else
      return 291;
  } else if (lat < 52.241834) {
    if (poly[2875].contains(lat, lng))
      return 291;
    else
      return 290;
  } else {
    if (poly[2876].contains(lat, lng))
      return 291;
    else
      return 290;
  }
  else if (lat < 50.922852) {
    if (poly[2877].contains(lat, lng))
      return 276;
    else
      return 290;
  } else if (lng < 135.300908) if (lat < 52.241834)
    return 290;
  else if (lng < 134.441646) {
    if (poly[2878].contains(lat, lng))
      return 291;
    else
      return 290;
  } else {
    if (poly[2879].contains(lat, lng))
      return 291;
    else
      return 290;
  }
  else
    return 290;
  else if (lat < 53.619653) if (lng < 134.441683) if (lng <
      131.491725) if (lat < 53.600920) {
    if (poly[2880].contains(lat, lng))
      return 290;
    else
      return 291;
  } else {
    if (poly[2881].contains(lat, lng))
      return 290;
    else
      return 291;
  }
  else {
    if (poly[2882].contains(lat, lng))
      return 291;
    else
      return 290;
  }
  else if (lng < 134.521271) {
    if (poly[2883].contains(lat, lng))
      return 291;
    else
      return 290;
  } else {
    if (poly[2884].contains(lat, lng))
      return 290;
    else
      return 291;
  }
  else if (lat < 62.894403) if (lng < 129.582626)
    return 291;
  else if (lat < 58.257028) if (lng < 133.301028) if (lat < 55.938340) if (lng <
      131.441827) {
    if (poly[2885].contains(lat, lng)) return 290;
    if (poly[2886].contains(lat, lng)) return 290;
    if (poly[2887].contains(lat, lng))
      return 290;
    else
      return 291;
  } else if (lat < 54.778997) {
    if (poly[2888].contains(lat, lng)) return 291;
    if (poly[2889].contains(lat, lng)) return 291;
    if (poly[2890].contains(lat, lng)) return 291;
    if (poly[2891].contains(lat, lng))
      return 291;
    else
      return 290;
  } else {
    if (poly[2892].contains(lat, lng))
      return 291;
    else
      return 290;
  }
  else if (lng < 131.441827) {
    if (poly[2893].contains(lat, lng)) return 290;
    if (poly[2894].contains(lat, lng)) return 290;
    if (poly[2895].contains(lat, lng))
      return 290;
    else
      return 291;
  } else if (lat < 57.097684) {
    if (poly[2896].contains(lat, lng)) return 291;
    if (poly[2897].contains(lat, lng))
      return 291;
    else
      return 290;
  } else {
    if (poly[2898].contains(lat, lng))
      return 290;
    else
      return 291;
  }
  else
    return 290;
  else if (lng < 133.301028) if (lat < 60.575716) if (lng < 131.441827)
    return 291;
  else if (lat < 59.416372) if (lng < 132.371428) {
    if (poly[2899].contains(lat, lng)) return 250;
    if (poly[2900].contains(lat, lng)) return 290;
    if (poly[2901].contains(lat, lng))
      return 290;
    else
      return 291;
  } else {
    if (poly[2902].contains(lat, lng)) return 250;
    if (poly[2903].contains(lat, lng))
      return 291;
    else
      return 290;
  }
  else {
    if (poly[2904].contains(lat, lng))
      return 291;
    else
      return 250;
  }
  else {
    if (poly[2905].contains(lat, lng))
      return 250;
    else
      return 291;
  }
  else if (lat < 60.575716) {
    if (poly[2906].contains(lat, lng))
      return 290;
    else
      return 250;
  } else if (lng < 135.160230) {
    if (poly[2907].contains(lat, lng))
      return 291;
    else
      return 250;
  } else {
    if (poly[2908].contains(lat, lng))
      return 291;
    else
      return 250;
  }
  else if (lng < 129.582626)
    return 291;
  else if (lat < 67.531778) if (lng < 133.301028) if (lat < 65.213090) if (lng <
      131.441827)
    return 291;
  else if (lat < 64.053747) {
    if (poly[2909].contains(lat, lng))
      return 250;
    else
      return 291;
  } else {
    if (poly[2910].contains(lat, lng)) return 250;
    if (poly[2911].contains(lat, lng))
      return 291;
    else
      return 290;
  }
  else {
    if (poly[2912].contains(lat, lng)) return 250;
    if (poly[2913].contains(lat, lng))
      return 291;
    else
      return 290;
  }
  else {
    if (poly[2914].contains(lat, lng)) return 290;
    if (poly[2915].contains(lat, lng))
      return 291;
    else
      return 250;
  }
  else if (lng < 133.301028) if (lat < 69.850465) {
    if (poly[2916].contains(lat, lng))
      return 291;
    else
      return 290;
  } else {
    if (poly[2917].contains(lat, lng))
      return 290;
    else
      return 291;
  }
  else {
    if (poly[2918].contains(lat, lng)) return 291;
    if (poly[2919].contains(lat, lng)) return 291;
    if (poly[2920].contains(lat, lng))
      return 291;
    else
      return 290;
  }
}

int _call45(num lat, num lng) {
  if (lng < 137.019431) if (lat < 72.169153) if (lng < 122.145820) if (lat <
      55.396315) if (lat < 47.009896) if (lat < 42.816687)
    return 276;
  else if (lng < 118.678995) {
    if (poly[2921].contains(lat, lng))
      return 276;
    else
      return 229;
  } else {
    if (poly[2922].contains(lat, lng))
      return 229;
    else
      return 276;
  }
  else if (lat < 51.203105) if (lng < 118.678995) if (lat < 49.106501) {
    if (poly[2923].contains(lat, lng))
      return 276;
    else
      return 229;
  } else {
    if (poly[2924].contains(lat, lng)) return 229;
    if (poly[2925].contains(lat, lng))
      return 276;
    else
      return 228;
  }
  else if (lat < 49.106501) {
    if (poly[2926].contains(lat, lng))
      return 229;
    else
      return 276;
  } else {
    if (poly[2927].contains(lat, lng))
      return 228;
    else
      return 276;
  }
  else if (lng < 118.678995) if (lat < 53.299710)
    return 228;
  else if (lng < 116.945583) if (lat < 54.348013) {
    if (poly[2928].contains(lat, lng))
      return 242;
    else
      return 228;
  } else {
    if (poly[2929].contains(lat, lng))
      return 242;
    else
      return 228;
  }
  else
    return 228;
  else if (lat < 53.299710) if (lng < 120.412408) {
    if (poly[2930].contains(lat, lng)) return 276;
    if (poly[2931].contains(lat, lng))
      return 276;
    else
      return 228;
  } else {
    if (poly[2932].contains(lat, lng)) return 228;
    if (poly[2933].contains(lat, lng)) return 228;
    if (poly[2934].contains(lat, lng))
      return 228;
    else
      return 276;
  }
  else if (lng < 120.412408)
    return 228;
  else if (lat < 54.348013) {
    if (poly[2935].contains(lat, lng)) return 276;
    if (poly[2936].contains(lat, lng)) return 276;
    if (poly[2937].contains(lat, lng))
      return 291;
    else
      return 228;
  } else {
    if (poly[2938].contains(lat, lng))
      return 291;
    else
      return 228;
  }
  else if (lat < 63.782734) if (lat < 59.589524) if (lng < 118.678995) if (lat <
      57.492920) if (lng < 116.945583) {
    if (poly[2939].contains(lat, lng))
      return 242;
    else
      return 228;
  } else {
    if (poly[2940].contains(lat, lng))
      return 242;
    else
      return 228;
  }
  else if (lng < 116.945583)
    return 242;
  else if (lat < 58.541222) {
    if (poly[2941].contains(lat, lng))
      return 242;
    else
      return 228;
  } else {
    if (poly[2942].contains(lat, lng)) return 291;
    if (poly[2943].contains(lat, lng)) return 291;
    if (poly[2944].contains(lat, lng))
      return 291;
    else
      return 242;
  }
  else if (lat < 57.492920) if (lng < 120.412408) if (lat < 56.444617) {
    if (poly[2945].contains(lat, lng)) return 291;
    if (poly[2946].contains(lat, lng))
      return 291;
    else
      return 228;
  } else {
    if (poly[2947].contains(lat, lng))
      return 228;
    else
      return 291;
  }
  else {
    if (poly[2948].contains(lat, lng)) return 228;
    if (poly[2949].contains(lat, lng))
      return 228;
    else
      return 291;
  }
  else if (lng < 120.412408) if (lat < 58.541222) {
    if (poly[2950].contains(lat, lng)) return 228;
    if (poly[2951].contains(lat, lng))
      return 242;
    else
      return 291;
  } else {
    if (poly[2952].contains(lat, lng)) return 242;
    if (poly[2953].contains(lat, lng))
      return 242;
    else
      return 291;
  }
  else
    return 291;
  else {
    if (poly[2954].contains(lat, lng)) return 242;
    if (poly[2955].contains(lat, lng))
      return 242;
    else
      return 291;
  }
  else
    return 291;
  else
    return _call44(lat, lng);
  else if (lng < 130.330840)
    return 291;
  else
    return 290;
  else if (lat < 55.394243) if (lat < 41.606056)
    return 284;
  else if (lng < 145.050145) if (lat < 48.500150) if (lng < 141.034788) {
    if (poly[2956].contains(lat, lng)) return 274;
    if (poly[2957].contains(lat, lng)) return 284;
    if (poly[2958].contains(lat, lng))
      return 284;
    else
      return 290;
  } else {
    if (poly[2959].contains(lat, lng))
      return 284;
    else
      return 274;
  }
  else if (lng < 141.034788)
    return 290;
  else {
    if (poly[2960].contains(lat, lng))
      return 290;
    else
      return 274;
  }
  else {
    if (poly[2961].contains(lat, lng))
      return 284;
    else
      return 288;
  }
  else if (lat < 56.593646)
    return 290;
  else if (lat < 72.761219) if (lat < 65.575894) if (lng < 141.011174) if (lat <
      61.084770) {
    if (poly[2962].contains(lat, lng))
      return 250;
    else
      return 290;
  } else if (lat < 63.330332) if (lng < 139.015303) {
    if (poly[2963].contains(lat, lng))
      return 290;
    else
      return 250;
  } else if (lat < 62.207551) {
    if (poly[2964].contains(lat, lng))
      return 250;
    else
      return 290;
  } else {
    if (poly[2965].contains(lat, lng)) return 288;
    if (poly[2966].contains(lat, lng))
      return 290;
    else
      return 250;
  }
  else if (lng < 139.015303)
    return 250;
  else if (lat < 64.453113) {
    if (poly[2967].contains(lat, lng))
      return 288;
    else
      return 250;
  } else {
    if (poly[2968].contains(lat, lng)) return 250;
    if (poly[2969].contains(lat, lng))
      return 278;
    else
      return 288;
  }
  else if (lng < 146.109588) if (lat < 61.832713) {
    if (poly[2970].contains(lat, lng)) return 257;
    if (poly[2971].contains(lat, lng)) return 288;
    if (poly[2972].contains(lat, lng))
      return 288;
    else
      return 290;
  } else if (lng < 143.560381) if (lat < 63.704303) {
    if (poly[2973].contains(lat, lng))
      return 290;
    else
      return 288;
  } else {
    if (poly[2974].contains(lat, lng))
      return 278;
    else
      return 288;
  }
  else if (lat < 63.704303) if (lng < 144.834984) {
    if (poly[2975].contains(lat, lng)) return 257;
    if (poly[2976].contains(lat, lng)) return 290;
    if (poly[2977].contains(lat, lng))
      return 290;
    else
      return 288;
  } else if (lat < 62.768508) if (lng < 145.472286) {
    if (poly[2978].contains(lat, lng)) return 288;
    if (poly[2979].contains(lat, lng))
      return 290;
    else
      return 257;
  } else {
    if (poly[2980].contains(lat, lng)) return 288;
    if (poly[2981].contains(lat, lng))
      return 290;
    else
      return 257;
  }
  else {
    if (poly[2982].contains(lat, lng))
      return 257;
    else
      return 288;
  }
  else {
    if (poly[2983].contains(lat, lng)) return 257;
    if (poly[2984].contains(lat, lng))
      return 278;
    else
      return 288;
  }
  else if (lat < 62.117818) if (lng < 148.658794) if (lat < 60.532987) {
    if (poly[2985].contains(lat, lng))
      return 290;
    else
      return 257;
  } else {
    if (poly[2986].contains(lat, lng))
      return 290;
    else
      return 257;
  }
  else
    return 257;
  else if (lng < 148.658794) {
    if (poly[2987].contains(lat, lng)) return 278;
    if (poly[2988].contains(lat, lng))
      return 288;
    else
      return 257;
  } else {
    if (poly[2989].contains(lat, lng))
      return 278;
    else
      return 257;
  }
  else if (lng < 144.113716) if (lat < 69.168556) if (lng <
      140.566574) if (lat < 67.372225) if (lng < 138.793002) {
    if (poly[2990].contains(lat, lng)) return 250;
    if (poly[2991].contains(lat, lng))
      return 278;
    else
      return 290;
  } else if (lat < 66.474060) {
    if (poly[2992].contains(lat, lng)) return 250;
    if (poly[2993].contains(lat, lng))
      return 278;
    else
      return 290;
  } else {
    if (poly[2994].contains(lat, lng)) return 290;
    if (poly[2995].contains(lat, lng))
      return 290;
    else
      return 278;
  }
  else {
    if (poly[2996].contains(lat, lng))
      return 278;
    else
      return 290;
  }
  else {
    if (poly[2997].contains(lat, lng))
      return 290;
    else
      return 278;
  }
  else if (lng < 140.566574)
    return 290;
  else if (lat < 70.964888) {
    if (poly[2998].contains(lat, lng))
      return 290;
    else
      return 278;
  } else {
    if (poly[2999].contains(lat, lng))
      return 278;
    else
      return 290;
  }
  else {
    if (poly[3000].contains(lat, lng))
      return 290;
    else
      return 278;
  }
  else
    return 290;
}

int _call46(num lat, num lng) {
  if (lat < 21.321781) if (lng < 147.443035) if (lng < 143.281718) if (lng <
      136.322421) if (lng < 126.807256) if (lng < 116.028859) if (lat < 10.238836)
    return 259;
  else
    return 276;
  else if (lat < 7.511199) if (lng < 117.166690) {
    if (poly[3001].contains(lat, lng))
      return 259;
    else
      return 254;
  } else {
    if (poly[3002].contains(lat, lng))
      return 254;
    else
      return 259;
  }
  else if (lng < 116.978217) if (lat < 14.517725)
    return 259;
  else
    return 279;
  else {
    if (poly[3003].contains(lat, lng))
      return 276;
    else
      return 259;
  }
  else if (lng < 134.771474)
    return 416;
  else
    return 284;
  else
    return 393;
  else if (lat < 13.857141) if (lat < 9.427387)
    return 393;
  else
    return 403;
  else
    return 421;
  else if (lng < 167.976848) if (lng < 152.946370)
    return 393;
  else if (lng < 162.595471) if (lng < 159.969720)
    return 418;
  else
    return 408;
  else if (lng < 166.231718)
    return 408;
  else if (lat < 9.602000) if (lng < 166.477771)
    return 408;
  else if (lat < 8.399960)
    return 408;
  else {
    if (poly[3004].contains(lat, lng))
      return 408;
    else
      return 407;
  }
  else if (lat < 15.377747)
    return 408;
  else
    return 425;
  else
    return 408;
  else if (lat < 38.623477) if (lng < 132.146781) if (lng < 123.391367) if (lat <
      25.829900) if (lng < 122.297000) if (lng < 118.546111) if (lat < 24.207778) {
    if (poly[3005].contains(lat, lng))
      return 279;
    else
      return 276;
  } else {
    if (poly[3006].contains(lat, lng))
      return 276;
    else
      return 279;
  }
  else {
    if (poly[3007].contains(lat, lng))
      return 276;
    else
      return 279;
  }
  else
    return 284;
  else if (lng < 120.076944) if (lat < 26.037778) {
    if (poly[3008].contains(lat, lng))
      return 276;
    else
      return 279;
  } else {
    if (poly[3009].contains(lat, lng))
      return 276;
    else
      return 279;
  }
  else if (lng < 120.289722) {
    if (poly[3010].contains(lat, lng))
      return 276;
    else
      return 279;
  } else {
    if (poly[3011].contains(lat, lng))
      return 279;
    else
      return 276;
  }
  else if (lat < 32.448242)
    return 284;
  else if (lng < 129.832649) if (lat < 34.891740) {
    if (poly[3012].contains(lat, lng)) return 284;
    if (poly[3013].contains(lat, lng))
      return 284;
    else
      return 275;
  } else if (lng < 128.374371) {
    if (poly[3014].contains(lat, lng))
      return 268;
    else
      return 275;
  } else {
    if (poly[3015].contains(lat, lng))
      return 268;
    else
      return 275;
  }
  else if (lat < 35.229229)
    return 284;
  else
    return 275;
  else
    return 284;
  else if (lng < 151.208001)
    return _call45(lat, lng);
  else if (lat < 55.565445) if (lng < 168.445805) if (lng <
      156.831768) if (lng < 152.619038) {
    if (poly[3016].contains(lat, lng))
      return 278;
    else
      return 288;
  } else {
    if (poly[3017].contains(lat, lng))
      return 247;
    else
      return 278;
  }
  else
    return 247;
  else
    return 53;
  else if (lat < 71.770077) if (lng < 174.518872) if (lng <
      162.863436) if (lat < 63.667761) if (lng < 157.035719) {
    if (poly[3018].contains(lat, lng))
      return 247;
    else
      return 257;
  } else if (lat < 59.616603)
    return 247;
  else if (lng < 159.949578)
    return 257;
  else if (lat < 61.642182) {
    if (poly[3019].contains(lat, lng))
      return 257;
    else
      return 247;
  } else if (lng < 161.406507)
    return 257;
  else if (lat < 62.654972) {
    if (poly[3020].contains(lat, lng))
      return 257;
    else
      return 247;
  } else {
    if (poly[3021].contains(lat, lng))
      return 247;
    else
      return 257;
  }
  else if (lng < 157.035719) if (lat < 67.718919) if (lng < 154.121860) {
    if (poly[3022].contains(lat, lng))
      return 278;
    else
      return 257;
  } else {
    if (poly[3023].contains(lat, lng))
      return 257;
    else
      return 278;
  }
  else
    return 278;
  else if (lat < 67.471376) if (lng < 159.949578) if (lat < 65.569569) {
    if (poly[3024].contains(lat, lng))
      return 215;
    else
      return 257;
  } else if (lng < 158.492648) {
    if (poly[3025].contains(lat, lng)) return 215;
    if (poly[3026].contains(lat, lng)) return 215;
    if (poly[3027].contains(lat, lng)) return 257;
    if (poly[3028].contains(lat, lng))
      return 257;
    else
      return 278;
  } else {
    if (poly[3029].contains(lat, lng)) return 257;
    if (poly[3030].contains(lat, lng)) return 278;
    if (poly[3031].contains(lat, lng)) return 278;
    if (poly[3032].contains(lat, lng))
      return 278;
    else
      return 215;
  }
  else {
    if (poly[3033].contains(lat, lng)) return 215;
    if (poly[3034].contains(lat, lng)) return 247;
    if (poly[3035].contains(lat, lng))
      return 247;
    else
      return 257;
  }
  else if (lng < 159.949578) {
    if (poly[3036].contains(lat, lng))
      return 215;
    else
      return 278;
  } else {
    if (poly[3037].contains(lat, lng))
      return 215;
    else
      return 278;
  }
  else if (lat < 63.303423) if (lng < 168.691154) {
    if (poly[3038].contains(lat, lng))
      return 215;
    else
      return 247;
  } else if (lng < 171.605013) if (lat < 61.516254)
    return 247;
  else if (lng < 170.148084) {
    if (poly[3039].contains(lat, lng)) return 215;
    if (poly[3040].contains(lat, lng))
      return 215;
    else
      return 247;
  } else {
    if (poly[3041].contains(lat, lng)) return 247;
    if (poly[3042].contains(lat, lng))
      return 247;
    else
      return 215;
  }
  else if (lng < 173.061943) {
    if (poly[3043].contains(lat, lng))
      return 215;
    else
      return 247;
  } else {
    if (poly[3044].contains(lat, lng))
      return 215;
    else
      return 247;
  }
  else if (lng < 168.691154) if (lat < 67.050994) if (lng <
      165.777295) if (lat < 65.177208) if (lng < 164.320366) {
    if (poly[3045].contains(lat, lng)) return 215;
    if (poly[3046].contains(lat, lng)) return 257;
    if (poly[3047].contains(lat, lng)) return 257;
    if (poly[3048].contains(lat, lng))
      return 257;
    else
      return 247;
  } else {
    if (poly[3049].contains(lat, lng))
      return 247;
    else
      return 215;
  }
  else
    return 215;
  else {
    if (poly[3050].contains(lat, lng))
      return 247;
    else
      return 215;
  }
  else {
    if (poly[3051].contains(lat, lng))
      return 278;
    else
      return 215;
  }
  else {
    if (poly[3052].contains(lat, lng))
      return 247;
    else
      return 215;
  }
  else
    return 215;
  else
    return 290;
}

class _TzPolygon {
  List<num> pts;

  _TzPolygon(List<num> D) {
    pts = D;
  }

  bool contains(num testy, num testx) {
    bool inside = false;
    int n = pts.length;
    num yj = pts[n - 2];
    num xj = pts[n - 1];
    for (int i = 0; i < n;) {
      num yi = pts[i++];
      num xi = pts[i++];
      if (((yi > testy) != (yj > testy)) &&
          (testx < (xj - xi) * (testy - yi) / (yj - yi) + xi - 0.0001))
        inside = !inside;
      xj = xi;
      yj = yi;
    }
    return inside;
  }
}

List<_TzPolygon> poly = initPolyArray();

class _Initializer1 {
  static void _init() {
    poly[0] = _TzPolygon([
      -66.000000,
      -74.790449,
      -86.000000,
      -74.790449,
      -86.000000,
      -80.000000,
      -66.000000,
      -80.000000
    ]);
    poly[1] = _TzPolygon([
      -48.582229,
      -76.021890,
      -48.582229,
      -74.972849,
      -48.738531,
      -75.261755,
      -48.720811,
      -75.356684,
      -48.784858,
      -75.570161,
      -48.788603,
      -76.033525
    ]);
    poly[2] = _TzPolygon([
      -48.631255,
      -74.790449,
      -48.620484,
      -74.906588,
      -48.582229,
      -74.972849,
      -48.582229,
      -74.790449
    ]);
    poly[3] = _TzPolygon([
      -4.463281,
      -79.713051,
      -4.492013,
      -79.812846,
      -4.413311,
      -79.870644,
      -4.386225,
      -79.918504,
      -4.398133,
      -79.952250,
      -4.380940,
      -79.991687,
      -4.310753,
      -80.061277,
      -4.285451,
      -80.135403,
      -4.304381,
      -80.156057,
      -4.293735,
      -80.176870,
      -4.334799,
      -80.185641,
      -4.340057,
      -80.206549,
      -4.350423,
      -80.195138,
      -4.353266,
      -80.219057,
      -4.411501,
      -80.263507,
      -4.406661,
      -80.282523,
      -4.465321,
      -80.329256,
      -4.486128,
      -80.388354,
      -4.448243,
      -80.449079,
      -4.367830,
      -80.445962,
      -4.199935,
      -80.306395,
      -4.220630,
      -80.353907,
      -4.197227,
      -80.368469,
      -4.218131,
      -80.410353,
      -4.196347,
      -80.432743,
      -4.209630,
      -80.450183,
      -4.121701,
      -80.446824,
      -4.127627,
      -80.467175,
      -4.054915,
      -80.481935,
      -3.997205,
      -80.445923,
      -3.980779,
      -80.398050,
      -4.017149,
      -80.300771,
      -4.008033,
      -80.272693,
      -3.948370,
      -80.234984,
      -3.956656,
      -80.216493,
      -3.895305,
      -80.126404,
      -3.870365,
      -80.159502,
      -3.802971,
      -80.160109,
      -3.775000,
      -80.192845,
      -3.756035,
      -80.192045,
      -3.756035,
      -79.713051
    ]);
    poly[4] = _TzPolygon([
      -4.463281,
      -79.713051,
      -3.756035,
      -79.713051,
      -3.756035,
      -78.405503,
      -3.782391,
      -78.409367,
      -3.827533,
      -78.465873,
      -3.933821,
      -78.488826,
      -3.937264,
      -78.524505,
      -3.991963,
      -78.565713,
      -4.045100,
      -78.567689,
      -4.061588,
      -78.537225,
      -4.134865,
      -78.581154,
      -4.195549,
      -78.577281,
      -4.226094,
      -78.608955,
      -4.257924,
      -78.598544,
      -4.332513,
      -78.652273,
      -4.415164,
      -78.634094,
      -4.425148,
      -78.600263,
      -4.530081,
      -78.661123,
      -4.584883,
      -78.655819,
      -4.623949,
      -78.706040,
      -4.638181,
      -78.805147,
      -4.666990,
      -78.855937,
      -4.721660,
      -78.891204,
      -4.765025,
      -78.890487,
      -4.780080,
      -78.914861,
      -4.808531,
      -78.891006,
      -4.851854,
      -78.915138,
      -4.897899,
      -78.892858,
      -4.894209,
      -78.972616,
      -5.015931,
      -79.015405,
      -4.969755,
      -79.075886,
      -4.966255,
      -79.266950,
      -4.898674,
      -79.306087,
      -4.880440,
      -79.351995,
      -4.837345,
      -79.365552,
      -4.832450,
      -79.395264,
      -4.794079,
      -79.421263,
      -4.627291,
      -79.487973,
      -4.530312,
      -79.487787,
      -4.515554,
      -79.562108,
      -4.439105,
      -79.629079
    ]);
    poly[5] = _TzPolygon([
      -3.756035,
      -84.520219,
      -3.392125,
      -84.439430,
      -3.392255,
      -80.306572,
      -3.438116,
      -80.221080,
      -3.485750,
      -80.245823,
      -3.500634,
      -80.215877,
      -3.574856,
      -80.218529,
      -3.601287,
      -80.190584,
      -3.756035,
      -80.192598
    ]);
    poly[6] = _TzPolygon([
      -3.756035,
      -78.405503,
      -3.735388,
      -78.402476,
      -3.693202,
      -78.423437,
      -3.677180,
      -78.393217,
      -3.560102,
      -78.391188,
      -3.529699,
      -78.364930,
      -3.427103,
      -78.341385,
      -3.367933,
      -78.349831,
      -3.395347,
      -78.313688,
      -3.398582,
      -78.246726,
      -3.502763,
      -78.231455,
      -3.500079,
      -78.187079,
      -3.462695,
      -78.146753,
      -3.362668,
      -78.197809,
      -3.278806,
      -78.108674,
      -3.216360,
      -78.091812,
      -3.227392,
      -78.064909,
      -3.190982,
      -78.036072,
      -3.190622,
      -78.010772,
      -3.158505,
      -78.011297,
      -3.069962,
      -77.948023,
      -3.000373,
      -77.843934,
      -2.591136,
      -76.632708,
      -2.124938,
      -76.044356,
      -1.549618,
      -75.584994,
      -1.562957,
      -75.559159,
      -1.143227,
      -75.442469,
      -1.143227,
      -74.790449,
      -3.756035,
      -74.790449
    ]);
    poly[7] = _TzPolygon([
      0.362697,
      -77.222892,
      0.363221,
      -77.287580,
      0.400756,
      -77.370810,
      0.387642,
      -77.389058,
      0.438737,
      -77.430783,
      0.401243,
      -77.526461,
      0.530696,
      -77.521218,
      0.605000,
      -77.480821,
      0.655921,
      -77.479623,
      0.650276,
      -77.559835,
      0.705188,
      -77.666112,
      0.737207,
      -77.675385,
      0.741574,
      -77.697898,
      0.814530,
      -77.664002,
      0.840051,
      -77.694756,
      0.841134,
      -77.774507,
      0.802178,
      -77.842696,
      0.823435,
      -77.960655,
      0.856020,
      -77.988569,
      0.896853,
      -78.087861,
      0.932248,
      -78.111768,
      0.925229,
      -78.158653,
      0.946954,
      -78.199205,
      0.997163,
      -78.202313,
      1.055852,
      -78.281830,
      1.099505,
      -78.251070,
      1.111425,
      -78.282216,
      1.191146,
      -78.310583,
      1.160018,
      -78.417561,
      1.139925,
      -78.429633,
      1.189810,
      -78.432084,
      1.187404,
      -78.515771,
      1.212827,
      -78.514394,
      1.250518,
      -78.552504,
      1.248514,
      -78.619176,
      1.319855,
      -78.663472,
      1.469581,
      -78.868686,
      1.469581,
      -77.222892
    ]);
    poly[8] = _TzPolygon([
      -1.143227,
      -75.442469,
      -0.933777,
      -75.384239,
      -0.984452,
      -75.313749,
      -0.971293,
      -75.192504,
      -0.933832,
      -75.233515,
      -0.869167,
      -75.221241,
      -0.834452,
      -75.252397,
      -0.800810,
      -75.241754,
      -0.787322,
      -75.268450,
      -0.763563,
      -75.253256,
      -0.731465,
      -75.276087,
      -0.695247,
      -75.249136,
      -0.664658,
      -75.274243,
      -0.628358,
      -75.223306,
      -0.601047,
      -75.240701,
      -0.550304,
      -75.227940,
      -0.518237,
      -75.247103,
      -0.530454,
      -75.268558,
      -0.501426,
      -75.270691,
      -0.494676,
      -75.312973,
      -0.490025,
      -75.314318,
      -0.490025,
      -74.790449,
      -1.143227,
      -74.790449
    ]);
    poly[9] = _TzPolygon([
      0.163177,
      -75.899058,
      0.163177,
      -74.790449,
      -0.193865,
      -74.790449,
      -0.188798,
      -74.793490,
      -0.243279,
      -74.883279,
      -0.202360,
      -74.912032,
      -0.225712,
      -74.927919,
      -0.154980,
      -74.972685,
      -0.148687,
      -75.011932,
      -0.081799,
      -75.077451,
      -0.044719,
      -75.162138,
      -0.049238,
      -75.211292,
      -0.125137,
      -75.273418,
      -0.086488,
      -75.428461,
      -0.018885,
      -75.530051,
      -0.026579,
      -75.574527,
      0.014277,
      -75.581909,
      0.047608,
      -75.632203,
      0.031271,
      -75.652118,
      0.050840,
      -75.806614,
      0.132488,
      -75.854585,
      0.118397,
      -75.878275,
      0.138809,
      -75.881988,
      0.139542,
      -75.905475,
      0.162248,
      -75.897766
    ]);
    poly[10] = _TzPolygon([
      -0.490025,
      -75.314318,
      -0.452706,
      -75.325107,
      -0.463605,
      -75.349219,
      -0.434213,
      -75.388171,
      -0.186747,
      -75.535764,
      -0.190039,
      -75.602184,
      -0.113675,
      -75.615531,
      -0.131836,
      -75.568956,
      -0.114357,
      -75.516197,
      -0.169952,
      -75.406389,
      -0.146061,
      -75.364741,
      -0.163719,
      -75.353155,
      -0.160093,
      -75.312890,
      -0.126345,
      -75.259923,
      -0.039282,
      -75.192752,
      -0.081799,
      -75.077451,
      -0.148687,
      -75.011932,
      -0.154980,
      -74.972685,
      -0.225712,
      -74.927919,
      -0.202360,
      -74.912032,
      -0.243279,
      -74.883279,
      -0.188798,
      -74.793490,
      -0.193865,
      -74.790449,
      -0.490025,
      -74.790449
    ]);
    poly[11] = _TzPolygon([
      0.362697,
      -77.222892,
      0.362635,
      -77.215207,
      0.389524,
      -77.166031,
      0.372330,
      -77.113308,
      0.284301,
      -77.076109,
      0.277374,
      -77.027441,
      0.294349,
      -77.006691,
      0.266003,
      -76.985718,
      0.276764,
      -76.933267,
      0.246030,
      -76.907590,
      0.238961,
      -76.845635,
      0.264371,
      -76.797537,
      0.248242,
      -76.756071,
      0.263500,
      -76.767363,
      0.288619,
      -76.732950,
      0.268980,
      -76.712534,
      0.270672,
      -76.655712,
      0.251075,
      -76.653151,
      0.261912,
      -76.625590,
      0.218660,
      -76.586342,
      0.258652,
      -76.532835,
      0.236406,
      -76.504040,
      0.239446,
      -76.446771,
      0.257735,
      -76.434586,
      0.234402,
      -76.427007,
      0.240654,
      -76.412699,
      0.379616,
      -76.411361,
      0.382987,
      -76.339841,
      0.433886,
      -76.314210,
      0.421223,
      -76.296878,
      0.437080,
      -76.278335,
      0.376830,
      -76.226437,
      0.388252,
      -76.158492,
      0.371158,
      -76.132942,
      0.315884,
      -76.113372,
      0.335968,
      -76.067882,
      0.296487,
      -76.003681,
      0.256318,
      -75.982395,
      0.247925,
      -76.005430,
      0.238294,
      -75.959221,
      0.203104,
      -75.954586,
      0.163177,
      -75.899058,
      0.163177,
      -77.222892
    ]);
    poly[12] = _TzPolygon([
      11.948729,
      -86.810568,
      11.948729,
      -83.615384,
      11.614625,
      -83.545675,
      11.505393,
      -83.624088,
      11.460968,
      -83.697600,
      11.391315,
      -83.718428,
      11.362488,
      -83.769886,
      11.283199,
      -83.769886,
      11.068048,
      -83.695149,
      10.997920,
      -83.628370,
      10.928172,
      -83.669225,
      10.939851,
      -83.698032,
      10.818222,
      -83.660670,
      10.787861,
      -83.694237,
      10.770588,
      -83.789630,
      10.717579,
      -83.862686,
      10.707657,
      -83.931193,
      10.791619,
      -84.021017,
      10.759754,
      -84.070279,
      10.764361,
      -84.125135,
      10.787002,
      -84.136952,
      10.781758,
      -84.202708,
      10.815617,
      -84.237621,
      10.840680,
      -84.214727,
      10.873430,
      -84.225262,
      10.918032,
      -84.322876,
      10.995846,
      -84.358676,
      10.955404,
      -84.420252,
      10.960891,
      -84.450192,
      11.051070,
      -84.574811,
      11.038395,
      -84.606084,
      11.084402,
      -84.680546,
      10.943439,
      -84.910233,
      11.126204,
      -85.357171,
      11.128836,
      -85.423656,
      11.168113,
      -85.523283,
      11.210044,
      -85.560395,
      11.219568,
      -85.609900,
      11.069014,
      -85.706119,
      11.075878,
      -85.897878,
      11.683930,
      -86.626954,
      11.923883,
      -86.799320
    ]);
    poly[13] = _TzPolygon([
      7.420856,
      -82.506021,
      7.935534,
      -82.945565,
      8.051847,
      -82.890467,
      8.176042,
      -82.902863,
      8.210353,
      -82.935811,
      8.272782,
      -82.941755,
      8.289329,
      -82.974950,
      8.271259,
      -82.989611,
      8.333426,
      -83.051724,
      8.372535,
      -82.984046,
      8.435004,
      -82.930922,
      8.439673,
      -82.868383,
      8.480288,
      -82.839579,
      8.635995,
      -82.830006,
      8.765126,
      -82.919159,
      8.773740,
      -82.885445,
      8.817389,
      -82.862470,
      8.829270,
      -82.884344,
      8.852720,
      -82.860890,
      8.878409,
      -82.773262,
      8.922259,
      -82.711897,
      8.985499,
      -82.741726,
      9.003611,
      -82.801389,
      9.087904,
      -82.887118,
      9.078469,
      -82.935930,
      9.473125,
      -82.936078,
      9.501413,
      -82.842580,
      9.566924,
      -82.884793,
      9.621591,
      -82.854201,
      9.588903,
      -82.743867,
      9.494122,
      -82.671230,
      9.511394,
      -82.654801,
      9.493644,
      -82.639056,
      9.504265,
      -82.605838,
      9.559461,
      -82.599976,
      9.541496,
      -82.553144,
      9.571984,
      -82.565013,
      9.653892,
      -82.506021
    ]);
    poly[14] = _TzPolygon([
      7.779632,
      -78.641949,
      7.779632,
      -77.347444,
      7.765696,
      -77.342224,
      7.772445,
      -77.399046,
      7.725306,
      -77.398005,
      7.658417,
      -77.440411,
      7.662741,
      -77.465686,
      7.567106,
      -77.491171,
      7.582727,
      -77.516615,
      7.507785,
      -77.564858,
      7.541663,
      -77.612279,
      7.651469,
      -77.645202,
      7.700040,
      -77.728579,
      7.613535,
      -77.748587,
      7.506937,
      -77.701464,
      7.461479,
      -77.754389,
      7.472481,
      -77.818185,
      7.228372,
      -77.889065,
      7.050936,
      -78.036406,
      7.404444,
      -78.370364
    ]);
    poly[15] = _TzPolygon([
      7.779632,
      -78.641949,
      7.788317,
      -78.648235,
      9.802818,
      -78.648235,
      9.796949,
      -78.571137,
      9.550708,
      -78.211930,
      9.381695,
      -77.846530,
      9.122927,
      -77.524482,
      8.810513,
      -77.324431,
      8.641568,
      -77.364481,
      8.645401,
      -77.408923,
      8.588352,
      -77.393845,
      8.554959,
      -77.444862,
      8.509577,
      -77.457435,
      8.472170,
      -77.447701,
      8.475002,
      -77.411968,
      8.402126,
      -77.358884,
      8.297812,
      -77.350241,
      8.266749,
      -77.329596,
      8.272291,
      -77.301273,
      8.253016,
      -77.284217,
      8.209045,
      -77.279740,
      8.175348,
      -77.246796,
      8.156526,
      -77.258195,
      8.135652,
      -77.227087,
      8.037238,
      -77.219039,
      8.025575,
      -77.235168,
      7.954198,
      -77.139378,
      7.959057,
      -77.178952,
      7.929365,
      -77.153308,
      7.933343,
      -77.177377,
      7.917464,
      -77.178741,
      7.893640,
      -77.334815,
      7.830457,
      -77.366481,
      7.779632,
      -77.347444
    ]);
    poly[16] = _TzPolygon([
      -9.887332,
      40.227580,
      -10.151458,
      40.556614,
      -10.318695,
      40.658407,
      -10.414722,
      40.492778,
      -10.565456,
      40.352060,
      -10.596228,
      40.233184,
      -10.603183,
      40.227580
    ]);
    poly[17] = _TzPolygon([
      -12.379027,
      45.079938,
      -12.410517,
      45.203578,
      -12.480122,
      45.314879,
      -12.591196,
      45.434785,
      -12.663742,
      45.482985,
      -12.782931,
      45.507035,
      -13.072467,
      45.436904,
      -13.150354,
      45.395022,
      -13.241990,
      45.266931,
      -13.273255,
      45.136061,
      -13.237377,
      44.975470,
      -13.110506,
      44.823538,
      -12.919092,
      44.749889,
      -12.760359,
      44.770136,
      -12.661548,
      44.743668,
      -12.577477,
      44.760477,
      -12.496259,
      44.821940,
      -12.396000,
      44.990042
    ]);
    poly[18] = _TzPolygon([
      1.448202,
      40.227580,
      1.448202,
      40.990761,
      -0.833975,
      40.993376,
      -1.598574,
      41.558912,
      -1.662078,
      41.559365,
      -1.803197,
      41.718166,
      -1.912243,
      41.650687,
      -2.252429,
      41.345545,
      -2.763425,
      40.751201,
      -3.085740,
      40.418741,
      -3.369973,
      40.335936,
      -3.562595,
      40.227580
    ]);
    poly[19] = _TzPolygon([
      1.448202,
      40.990761,
      2.828298,
      40.989180,
      3.141237,
      41.312053,
      4.016664,
      41.943017,
      4.055481,
      41.946277,
      4.179113,
      42.087372,
      4.202464,
      42.525584,
      4.260387,
      42.702992,
      4.266755,
      42.824904,
      4.380478,
      42.951970,
      4.559042,
      43.034761,
      4.626329,
      43.115314,
      4.794544,
      43.434687,
      4.902107,
      43.809025,
      4.950439,
      44.153985,
      4.930188,
      44.770743,
      1.466525,
      44.770743,
      1.448202,
      44.746692
    ]);
    poly[20] = _TzPolygon([
      4.055009,
      40.227580,
      4.104848,
      40.387772,
      4.245001,
      40.717448,
      4.284943,
      40.759583,
      4.246260,
      40.844100,
      4.212840,
      40.882380,
      4.154620,
      40.904160,
      4.132070,
      40.965080,
      3.942580,
      41.169266,
      3.958885,
      41.235302,
      3.938760,
      41.326310,
      3.962760,
      41.391250,
      3.944940,
      41.430190,
      3.954630,
      41.509770,
      3.982140,
      41.545160,
      3.966667,
      41.566898,
      3.983294,
      41.627705,
      3.959925,
      41.674412,
      3.992460,
      41.720593,
      3.982106,
      41.791788,
      3.958645,
      41.796766,
      3.946486,
      41.833158,
      3.982684,
      41.906750,
      3.141237,
      41.312053,
      2.828298,
      40.989180,
      1.448202,
      40.990761,
      1.448202,
      40.227580
    ]);
    poly[21] = _TzPolygon([
      6.459000,
      46.438637,
      5.956573,
      45.845200,
      5.536382,
      45.410930,
      4.923383,
      44.978011,
      4.927753,
      44.770743,
      6.459000,
      44.770743
    ]);
    poly[22] = _TzPolygon([
      -9.403320,
      141.647501,
      -9.409858,
      141.592780,
      -9.391659,
      141.480826,
      -9.351343,
      141.394594,
      -9.425916,
      141.241107,
      -9.426205,
      141.075589,
      -9.386877,
      140.998300,
      -9.304719,
      140.915152,
      -9.135556,
      141.019444,
      -6.892357,
      141.020035,
      -6.904320,
      140.991514,
      -6.889404,
      140.966846,
      -6.910453,
      140.955612,
      -6.891885,
      140.940378,
      -6.857220,
      140.953987,
      -6.872289,
      140.917147,
      -6.849062,
      140.900264,
      -6.814838,
      140.916903,
      -6.792055,
      140.870037,
      -6.751125,
      140.899477,
      -6.719801,
      140.846202,
      -6.621837,
      140.877066,
      -6.610606,
      140.841655,
      -6.605671,
      140.890850,
      -6.573283,
      140.911744,
      -6.561471,
      140.891027,
      -6.560800,
      140.937194,
      -6.500474,
      140.921753,
      -6.487509,
      140.961667,
      -6.452098,
      140.955223,
      -6.467034,
      140.925173,
      -6.445165,
      140.938942,
      -6.422390,
      140.917346,
      -6.434850,
      140.952162,
      -6.412401,
      140.942045,
      -6.390252,
      140.982301,
      -6.382644,
      140.941958,
      -6.365823,
      140.977049,
      -6.325355,
      140.959981,
      -6.322308,
      140.999973,
      -2.387415,
      141.000000,
      -2.475376,
      141.366527,
      -2.612818,
      141.647501
    ]);
    poly[23] = _TzPolygon([
      -9.187956,
      142.216109,
      -9.266242,
      142.345755,
      -9.320820,
      142.329236,
      -9.347593,
      142.274239,
      -9.317351,
      142.096032,
      -9.260461,
      142.059440,
      -9.212404,
      142.108052
    ]);
    poly[24] = _TzPolygon([
      -9.484383,
      142.526835,
      -9.466246,
      142.490176,
      -9.409206,
      142.471923,
      -9.366124,
      142.495602,
      -9.374335,
      142.558892,
      -9.322311,
      142.806531,
      -9.378369,
      142.851886,
      -9.453762,
      142.821507,
      -9.482153,
      142.784947,
      -9.459837,
      142.585351,
      -9.484383,
      142.536451
    ]);
    poly[25] = _TzPolygon([
      -9.484383,
      143.248626,
      -9.474107,
      143.253530,
      -9.459675,
      143.297032,
      -9.484383,
      143.338933
    ]);
    poly[26] = _TzPolygon([
      -6.107149,
      154.622311,
      -6.086762,
      154.603872,
      -5.931626,
      154.533882,
      -5.892219,
      154.450641,
      -5.824350,
      154.390926,
      -5.722738,
      154.366089,
      -5.608977,
      154.404508,
      -5.531492,
      154.398887,
      -5.301336,
      154.333958,
      -5.085948,
      153.021059,
      -5.100781,
      153.369546,
      -2.983921,
      154.622311
    ]);
    poly[27] = _TzPolygon([
      -6.377546,
      154.865967,
      -6.377546,
      156.153225,
      -6.444858,
      156.173819,
      -6.550000,
      156.035833,
      -6.658333,
      156.039722,
      -6.847222,
      155.923056,
      -6.925833,
      155.693611,
      -6.925833,
      155.593889,
      -7.097516,
      155.336184,
      -7.017480,
      155.297466,
      -6.653692,
      155.002257
    ]);
    poly[28] = _TzPolygon([
      54.891446,
      53.543209,
      54.978258,
      53.475110,
      55.024998,
      53.372300,
      55.021895,
      53.318393,
      55.044701,
      53.317278,
      55.040976,
      53.276384,
      55.070675,
      53.294045,
      55.102723,
      53.258799,
      55.109103,
      53.164626,
      55.165582,
      53.157844,
      55.173110,
      53.371333,
      55.191883,
      53.398238,
      55.202065,
      53.362239,
      55.230037,
      53.426972,
      55.214323,
      53.616626,
      55.262642,
      53.602269,
      55.277042,
      53.685629,
      55.327133,
      53.690385,
      55.365909,
      53.861956,
      55.354651,
      53.895764,
      55.394366,
      53.872761,
      55.442170,
      53.915395,
      54.891446,
      53.915395,
      54.891446,
      53.639235,
      54.906586,
      53.649304,
      54.891446,
      53.597580
    ]);
    poly[29] = _TzPolygon([
      55.175889,
      59.150751,
      55.162808,
      59.172064,
      55.142427,
      59.158175,
      55.153803,
      59.113569
    ]);
    poly[30] = _TzPolygon([
      55.210021,
      69.957225,
      55.210093,
      69.950516,
      55.299966,
      69.862930,
      55.345583,
      69.745073,
      55.342093,
      69.441769,
      55.352208,
      69.402974,
      55.384553,
      69.411653,
      55.386983,
      69.363908,
      55.351354,
      69.317696,
      55.330115,
      69.199475,
      55.390437,
      69.160572,
      55.442027,
      68.932686,
      55.365332,
      68.915885,
      55.365765,
      68.983669,
      55.288464,
      69.001168,
      55.327362,
      68.956225,
      55.318490,
      68.928963,
      55.378842,
      68.748654,
      55.288836,
      68.696868,
      55.265379,
      68.635116,
      55.235735,
      68.657829,
      55.198213,
      68.619795,
      55.219408,
      68.594980,
      55.196495,
      68.444642,
      55.206463,
      68.358804,
      55.180954,
      68.353543,
      55.203531,
      68.304201,
      55.187150,
      68.239630,
      55.198793,
      68.177148,
      55.154756,
      68.218666,
      55.151440,
      68.189505,
      55.076629,
      68.315193,
      55.054098,
      68.237586,
      55.014808,
      68.237811,
      54.990182,
      68.196709,
      54.968959,
      68.234743,
      54.950457,
      68.032268,
      54.983669,
      67.910619,
      54.971376,
      67.819274,
      54.891446,
      67.776503,
      54.891446,
      59.172064,
      55.442170,
      59.172064,
      55.442170,
      69.957225
    ]);
    poly[31] = _TzPolygon([
      26.179962,
      -107.815375,
      26.196484,
      -107.853967,
      26.438910,
      -108.012728,
      26.470118,
      -107.969609,
      26.472102,
      -107.985476,
      26.493996,
      -107.957081,
      26.526811,
      -107.960858,
      26.615880,
      -108.031607,
      26.641929,
      -108.081652,
      26.689668,
      -108.011685,
      26.729418,
      -108.008305,
      26.729418,
      -107.815375
    ]);
    poly[32] = _TzPolygon([
      26.729418,
      -109.999802,
      26.729418,
      -108.600314,
      26.727223,
      -108.601024,
      26.718387,
      -108.628385,
      26.676573,
      -108.630366,
      26.642889,
      -108.678988,
      26.587015,
      -108.678831,
      26.593568,
      -108.734293,
      26.551071,
      -108.873152,
      26.489595,
      -108.891317,
      26.479540,
      -108.914670,
      26.487217,
      -108.847480,
      26.472523,
      -108.837762,
      26.447576,
      -108.876108,
      26.432770,
      -108.860339,
      26.406252,
      -108.881392,
      26.421715,
      -108.910115,
      26.390180,
      -108.936522,
      26.402370,
      -109.006443,
      26.297015,
      -109.125378,
      26.344966,
      -109.202603,
      26.316185,
      -109.246826,
      26.310512,
      -109.508033,
      26.403716,
      -109.477396,
      26.473497,
      -109.534853,
      26.478136,
      -109.728538,
      26.544417,
      -109.894124,
      26.634176,
      -109.999802
    ]);
    poly[33] = _TzPolygon([
      27.764211,
      -108.907589,
      27.784752,
      -108.920341,
      27.798298,
      -108.907589
    ]);
    poly[34] = _TzPolygon([
      27.851368,
      -108.907589,
      27.853703,
      -108.914848,
      27.940495,
      -108.926480,
      28.018227,
      -109.031995,
      28.148745,
      -109.073038,
      28.272489,
      -109.074984,
      28.278261,
      -109.022484,
      28.255884,
      -108.993813,
      28.298515,
      -108.992104,
      28.250867,
      -108.921264,
      28.255657,
      -108.907589
    ]);
    poly[35] = _TzPolygon([
      27.531508,
      -108.907589,
      27.531508,
      -108.653029,
      27.465206,
      -108.661652,
      27.317990,
      -108.590990,
      27.220165,
      -108.663025,
      27.177111,
      -108.653412,
      27.154082,
      -108.611415,
      27.036985,
      -108.602179,
      27.045866,
      -108.562399,
      27.012599,
      -108.571999,
      26.997077,
      -108.551576,
      26.976230,
      -108.424271,
      26.970702,
      -108.466978,
      26.823753,
      -108.557043,
      26.798429,
      -108.536912,
      26.779857,
      -108.554034,
      26.789577,
      -108.580849,
      26.729418,
      -108.600314,
      26.729418,
      -108.907589
    ]);
    poly[36] = _TzPolygon([
      26.729418,
      -108.600314,
      26.789577,
      -108.580849,
      26.779857,
      -108.554034,
      26.798429,
      -108.536912,
      26.823753,
      -108.557043,
      26.970702,
      -108.466978,
      26.976230,
      -108.424271,
      26.987366,
      -108.502429,
      27.036581,
      -108.486977,
      27.013419,
      -108.409530,
      27.022604,
      -108.350083,
      27.004510,
      -108.333373,
      27.034043,
      -108.317576,
      27.012384,
      -108.284344,
      27.042249,
      -108.242392,
      27.034770,
      -108.197788,
      27.000149,
      -108.180209,
      26.958793,
      -108.234966,
      26.905629,
      -108.230258,
      26.881351,
      -108.174710,
      26.907204,
      -108.142117,
      26.867579,
      -108.144261,
      26.870410,
      -108.094161,
      26.798426,
      -108.026810,
      26.769822,
      -108.037698,
      26.760987,
      -108.005620,
      26.729418,
      -108.008305
    ]);
    poly[37] = _TzPolygon([
      28.333599,
      -108.636200,
      28.292471,
      -108.641052,
      28.303060,
      -108.687952,
      28.266951,
      -108.797343,
      28.253495,
      -108.791585,
      28.265560,
      -108.879318,
      28.255657,
      -108.907589,
      28.333599,
      -108.907589
    ]);
    poly[38] = _TzPolygon([
      27.851368,
      -108.907589,
      27.839032,
      -108.869241,
      27.798298,
      -108.907589
    ]);
    poly[39] = _TzPolygon([
      27.764211,
      -108.907589,
      27.744740,
      -108.895501,
      27.730490,
      -108.784424,
      27.601137,
      -108.739929,
      27.537834,
      -108.652206,
      27.531508,
      -108.653029,
      27.531508,
      -108.907589
    ]);
    poly[40] = _TzPolygon([
      28.333599,
      -108.521428,
      28.317737,
      -108.550519,
      28.333599,
      -108.579013
    ]);
    poly[41] = _TzPolygon([
      25.579947,
      -106.723162,
      25.571661,
      -106.873310,
      25.644091,
      -106.893301,
      25.661685,
      -106.994438,
      25.668331,
      -106.966940,
      25.697879,
      -106.965323,
      25.714924,
      -106.990299,
      25.691459,
      -107.010680,
      25.699875,
      -107.046144,
      25.757368,
      -107.057905,
      25.924793,
      -107.296128,
      26.001977,
      -107.276346,
      26.076402,
      -107.304890,
      26.109523,
      -107.346528,
      26.142860,
      -107.431043,
      26.104227,
      -107.520020,
      26.170640,
      -107.582027,
      26.154578,
      -107.635749,
      26.174413,
      -107.711075,
      26.134506,
      -107.755043,
      26.136865,
      -107.780674,
      26.168627,
      -107.788898,
      26.179962,
      -107.815375,
      26.729418,
      -107.815375,
      26.729418,
      -106.723162
    ]);
    poly[42] = _TzPolygon([
      25.125236,
      -107.127206,
      25.186640,
      -107.124918,
      25.224548,
      -107.148775,
      25.243111,
      -107.121057,
      25.331564,
      -107.207816,
      25.326358,
      -107.171551,
      25.417101,
      -107.210132,
      25.441992,
      -107.158690,
      25.489565,
      -107.139295,
      25.515176,
      -107.178117,
      25.556553,
      -107.173879,
      25.550414,
      -107.124565,
      25.629570,
      -106.973290,
      25.661685,
      -106.994438,
      25.644091,
      -106.893301,
      25.571661,
      -106.873310,
      25.579947,
      -106.723162,
      25.125236,
      -106.723162
    ]);
    poly[43] = _TzPolygon([
      25.579947,
      -106.723162,
      25.581085,
      -106.702539,
      25.597082,
      -106.705617,
      25.579332,
      -106.681968,
      25.602195,
      -106.707722,
      25.558657,
      -106.652569,
      25.647396,
      -106.591666,
      25.728722,
      -106.463376,
      25.691778,
      -106.555806,
      25.952097,
      -106.546964,
      25.972486,
      -106.455447,
      26.004822,
      -106.444522,
      26.005396,
      -106.470406,
      26.027765,
      -106.453244,
      26.060420,
      -106.471186,
      26.096989,
      -106.455996,
      26.344723,
      -106.307962,
      26.334746,
      -106.287001,
      26.367243,
      -106.275112,
      26.364574,
      -106.295961,
      26.440288,
      -106.255964,
      26.531569,
      -106.279921,
      26.558754,
      -106.233085,
      26.678178,
      -106.207824,
      26.674407,
      -106.188134,
      26.705337,
      -106.172046,
      26.700708,
      -106.130625,
      26.727674,
      -106.176449,
      26.729418,
      -106.176495,
      26.729418,
      -105.846806,
      26.660915,
      -105.775777,
      26.698729,
      -105.794199,
      26.713838,
      -105.746274,
      26.617649,
      -105.674854,
      26.615930,
      -105.630949,
      25.125236,
      -105.630949,
      25.125236,
      -106.723162
    ]);
    poly[44] = _TzPolygon([
      26.729418,
      -106.176495,
      26.772195,
      -106.177626,
      26.779321,
      -106.125304,
      26.759285,
      -106.100652,
      26.844788,
      -106.047366,
      26.763234,
      -105.939209,
      26.747387,
      -105.865438,
      26.729418,
      -105.846806
    ]);
    poly[45] = _TzPolygon([
      29.937781,
      -109.999802,
      29.937781,
      -108.625878,
      29.847115,
      -108.607142,
      29.829767,
      -108.635880,
      29.800790,
      -108.618695,
      29.796156,
      -108.541220,
      29.752337,
      -108.534622,
      29.717686,
      -108.592385,
      29.716169,
      -108.659375,
      29.660587,
      -108.618210,
      29.649450,
      -108.655006,
      29.588850,
      -108.641317,
      29.584534,
      -108.659416,
      29.558283,
      -108.638501,
      29.544517,
      -108.661996,
      29.501171,
      -108.625259,
      29.466534,
      -108.717789,
      29.308136,
      -108.669724,
      29.267289,
      -108.682081,
      29.254683,
      -108.761902,
      29.218582,
      -108.735641,
      29.163668,
      -108.746024,
      29.171978,
      -108.729462,
      29.128502,
      -108.698212,
      29.096232,
      -108.729563,
      29.082692,
      -108.708999,
      29.069873,
      -108.724498,
      28.889599,
      -108.709645,
      28.809963,
      -108.657700,
      28.806503,
      -108.624062,
      28.766033,
      -108.643456,
      28.740751,
      -108.583717,
      28.632463,
      -108.580083,
      28.508553,
      -108.507500,
      28.426272,
      -108.515572,
      28.369551,
      -108.479701,
      28.364595,
      -108.521719,
      28.334455,
      -108.519859,
      28.333599,
      -108.579013,
      28.347390,
      -108.603786,
      28.335144,
      -108.636018,
      28.333599,
      -108.636200,
      28.333599,
      -109.999802
    ]);
    poly[46] = _TzPolygon([
      31.541963,
      -108.907589,
      31.332579,
      -108.907589,
      31.332409,
      -109.050040,
      31.541963,
      -109.049820
    ]);
    poly[47] = _TzPolygon([
      30.728570,
      -108.907589,
      30.739321,
      -108.918753,
      30.736901,
      -108.948073,
      30.907403,
      -108.939335,
      30.906651,
      -108.907589
    ]);
    poly[48] = _TzPolygon([
      31.541963,
      -109.999802,
      31.541963,
      -109.049753,
      31.332409,
      -109.050040,
      31.332316,
      -109.999802
    ]);
    poly[49] = _TzPolygon([
      29.937781,
      -108.625878,
      29.952826,
      -108.628987,
      30.028856,
      -108.606895,
      30.235941,
      -108.617516,
      30.179691,
      -108.505364,
      30.264100,
      -108.501728,
      30.304283,
      -108.475600,
      30.302227,
      -108.441409,
      30.343762,
      -108.436022,
      30.339935,
      -108.383076,
      30.398221,
      -108.343965,
      30.376967,
      -108.201381,
      30.415196,
      -108.219793,
      30.445844,
      -108.173685,
      30.479270,
      -108.230143,
      30.532806,
      -108.190001,
      30.529081,
      -108.160252,
      30.560915,
      -108.171521,
      30.602961,
      -108.074088,
      30.675447,
      -108.110090,
      30.680564,
      -108.057912,
      30.651517,
      -108.038244,
      30.662162,
      -107.935088,
      30.739872,
      -107.960395,
      30.739872,
      -107.815375,
      29.937781,
      -107.815375
    ]);
    poly[50] = _TzPolygon([
      30.728570,
      -108.907589,
      30.689491,
      -108.867005,
      30.624622,
      -108.876403,
      30.587375,
      -108.762111,
      30.594338,
      -108.726843,
      30.556825,
      -108.677771,
      30.468183,
      -108.664397,
      30.465022,
      -108.603785,
      30.416670,
      -108.648543,
      30.340095,
      -108.622119,
      30.337395,
      -108.580057,
      30.283485,
      -108.541986,
      30.266254,
      -108.550290,
      30.298292,
      -108.620178,
      30.028856,
      -108.606895,
      29.952826,
      -108.628987,
      29.937781,
      -108.625878,
      29.937781,
      -108.907589
    ]);
    poly[51] = _TzPolygon([
      30.739872,
      -107.960395,
      30.811527,
      -107.983731,
      30.844713,
      -107.912255,
      30.805122,
      -107.929070,
      30.853452,
      -107.815375,
      30.739872,
      -107.815375
    ]);
    poly[52] = _TzPolygon([
      31.541963,
      -108.208443,
      31.333416,
      -108.208486,
      31.332579,
      -108.907589,
      31.541963,
      -108.907589
    ]);
    poly[53] = _TzPolygon([
      31.332504,
      -108.907589,
      31.332522,
      -108.756413,
      31.239548,
      -108.816833,
      31.239252,
      -108.879829,
      31.207691,
      -108.906609,
      31.219437,
      -108.860603,
      31.195032,
      -108.848264,
      31.192955,
      -108.805352,
      31.135466,
      -108.845643,
      31.103098,
      -108.769974,
      31.074432,
      -108.767906,
      31.052816,
      -108.729630,
      31.034138,
      -108.752808,
      31.033695,
      -108.683968,
      31.006334,
      -108.683456,
      31.004482,
      -108.803316,
      30.904154,
      -108.802248,
      30.906651,
      -108.907589
    ]);
    poly[54] = _TzPolygon([
      29.504712,
      -105.630949,
      29.504744,
      -105.633806,
      29.591481,
      -105.633176,
      29.591683,
      -105.681598,
      29.646829,
      -105.679455,
      29.649659,
      -105.848966,
      29.613394,
      -105.858715,
      29.654463,
      -105.866291,
      29.666227,
      -105.909903,
      29.700950,
      -105.909055,
      29.701067,
      -105.827056,
      29.747349,
      -105.817962,
      29.777500,
      -105.879554,
      29.783177,
      -105.805710,
      29.881759,
      -105.809753,
      29.881982,
      -105.767952,
      29.937781,
      -105.769718,
      29.937781,
      -105.630949
    ]);
    poly[55] = _TzPolygon([
      31.163909,
      -106.723162,
      31.160276,
      -106.745603,
      31.137931,
      -106.745776,
      31.119957,
      -106.821288,
      31.152077,
      -106.894815,
      31.085365,
      -106.894857,
      31.086114,
      -107.044916,
      30.954102,
      -107.046640,
      30.955263,
      -107.073691,
      30.886460,
      -107.100737,
      30.871980,
      -107.085933,
      30.864996,
      -107.157143,
      30.801074,
      -107.189321,
      30.805192,
      -107.238520,
      30.756192,
      -107.262858,
      30.836259,
      -107.350690,
      30.758402,
      -107.399507,
      30.758388,
      -107.525538,
      30.782971,
      -107.526230,
      30.719639,
      -107.615953,
      30.721180,
      -107.634799,
      30.764479,
      -107.629097,
      30.805867,
      -107.704097,
      30.825616,
      -107.695370,
      30.814186,
      -107.766258,
      30.859257,
      -107.801720,
      30.853452,
      -107.815375,
      31.541963,
      -107.815375,
      31.541963,
      -106.723162
    ]);
    poly[56] = _TzPolygon([
      31.163948,
      -106.723162,
      31.174292,
      -106.659025,
      31.151993,
      -106.614689,
      31.152545,
      -106.501491,
      31.187330,
      -106.507416,
      31.187602,
      -106.390768,
      31.159046,
      -106.396831,
      31.154706,
      -106.373991,
      31.187146,
      -106.366934,
      31.151251,
      -106.304914,
      31.037517,
      -106.272760,
      31.000450,
      -106.178335,
      30.952941,
      -106.193684,
      30.956392,
      -106.133256,
      30.985189,
      -106.132447,
      30.985119,
      -106.091190,
      30.898958,
      -106.075025,
      30.905024,
      -106.030028,
      30.896337,
      -106.054355,
      30.819754,
      -106.053611,
      30.819615,
      -105.880975,
      30.846669,
      -105.876796,
      30.846553,
      -105.819675,
      30.770464,
      -105.709927,
      30.656690,
      -105.728331,
      30.641962,
      -105.684838,
      30.505157,
      -105.685915,
      30.500295,
      -105.630949,
      30.309088,
      -105.630949,
      30.281711,
      -105.692197,
      30.239118,
      -105.680874,
      30.238848,
      -105.630949,
      30.190877,
      -105.630949,
      30.219026,
      -105.687126,
      30.049876,
      -105.905345,
      30.029513,
      -105.900957,
      30.028342,
      -105.772584,
      29.937781,
      -105.769718,
      29.937781,
      -106.723162
    ]);
    poly[57] = _TzPolygon([
      31.096774,
      -105.630949,
      31.166800,
      -105.773040,
      31.288640,
      -105.868940,
      31.318310,
      -105.938190,
      31.364890,
      -105.953960,
      31.398640,
      -106.080580,
      31.466260,
      -106.206680,
      31.541963,
      -106.256292,
      31.541963,
      -105.630949
    ]);
    poly[58] = _TzPolygon([
      26.729418,
      -105.630949,
      26.729418,
      -104.290028,
      26.725375,
      -104.286510,
      26.656494,
      -104.330316,
      26.604514,
      -104.434783,
      26.465779,
      -104.502852,
      26.414550,
      -104.501052,
      26.340468,
      -104.574451,
      26.380411,
      -104.593865,
      26.368825,
      -104.620117,
      26.391046,
      -104.654134,
      26.478283,
      -104.727430,
      26.508488,
      -104.809174,
      26.510015,
      -104.898922,
      26.473341,
      -104.963210,
      26.449248,
      -104.963102,
      26.454910,
      -105.000564,
      26.419309,
      -105.056632,
      26.521373,
      -105.101637,
      26.462020,
      -105.264634,
      26.487511,
      -105.279249,
      26.462255,
      -105.316769,
      26.478864,
      -105.352776,
      26.504531,
      -105.342611,
      26.534245,
      -105.368624,
      26.517496,
      -105.403561,
      26.527937,
      -105.470215,
      26.508686,
      -105.471556,
      26.542861,
      -105.496133,
      26.546552,
      -105.548990,
      26.683504,
      -105.619556,
      26.614753,
      -105.600891,
      26.615930,
      -105.630949
    ]);
    poly[59] = _TzPolygon([
      26.729418,
      -103.701283,
      26.725256,
      -103.699094,
      26.729418,
      -103.742509
    ]);
    poly[60] = _TzPolygon([
      27.531508,
      -104.538735,
      27.531508,
      -103.856280,
      27.311592,
      -103.876876,
      27.298294,
      -103.832123,
      27.213476,
      -103.798427,
      27.124730,
      -103.799398,
      27.077920,
      -103.752461,
      27.022522,
      -103.740834,
      26.934619,
      -103.852089,
      26.935813,
      -103.835919,
      26.896134,
      -103.851701,
      26.829573,
      -103.753968,
      26.729418,
      -103.701283,
      26.729418,
      -103.742509,
      26.753517,
      -103.993921,
      26.777517,
      -103.995129,
      26.774330,
      -104.033296,
      26.742827,
      -104.045792,
      26.777095,
      -104.227863,
      26.842300,
      -104.273037,
      26.799023,
      -104.315295,
      26.760715,
      -104.317265,
      26.729418,
      -104.290028,
      26.729418,
      -104.538735
    ]);
    poly[61] = _TzPolygon([
      27.048310,
      -103.446522,
      27.053160,
      -103.453794,
      27.182641,
      -103.530715,
      27.281639,
      -103.521528,
      27.281630,
      -103.462132,
      27.300733,
      -103.446522
    ]);
    poly[62] = _TzPolygon([
      27.425605,
      -103.446522,
      27.435105,
      -103.506027,
      27.531508,
      -103.496270,
      27.531508,
      -103.446522
    ]);
    poly[63] = _TzPolygon([
      28.333599,
      -103.736782,
      27.971357,
      -103.926692,
      27.957490,
      -103.877716,
      27.914023,
      -103.892886,
      27.950821,
      -103.954973,
      27.835309,
      -103.960002,
      27.826857,
      -103.900844,
      27.797553,
      -103.935650,
      27.739186,
      -103.881145,
      27.740557,
      -103.896692,
      27.656549,
      -103.897263,
      27.549433,
      -103.854601,
      27.531508,
      -103.856280,
      27.531508,
      -104.538735,
      28.333599,
      -104.538735
    ]);
    poly[64] = _TzPolygon([
      27.531508,
      -103.446522,
      27.531508,
      -103.496270,
      27.764753,
      -103.472662,
      27.780422,
      -103.493997,
      27.828017,
      -103.446522
    ]);
    poly[65] = _TzPolygon([
      27.857730,
      -103.446522,
      27.863472,
      -103.449645,
      27.867085,
      -103.506989,
      27.907812,
      -103.504929,
      27.879970,
      -103.537427,
      27.902833,
      -103.604406,
      27.864562,
      -103.634013,
      28.333599,
      -103.456882,
      28.333592,
      -103.446522
    ]);
    poly[66] = _TzPolygon([
      27.300733,
      -103.446522,
      27.411194,
      -103.356256,
      27.425605,
      -103.446522,
      27.828017,
      -103.446522,
      27.838502,
      -103.436063,
      27.857730,
      -103.446522,
      28.333592,
      -103.446522,
      28.332868,
      -102.436574,
      28.289561,
      -102.492944,
      28.147617,
      -102.412415,
      28.015507,
      -102.384525,
      27.973875,
      -102.354308,
      27.256342,
      -102.354308,
      27.262001,
      -102.365845,
      27.192400,
      -102.411886,
      27.148235,
      -102.354308,
      27.017671,
      -102.354308,
      27.026899,
      -102.442863,
      27.080604,
      -102.485629,
      27.160036,
      -102.640201,
      27.064374,
      -102.695282,
      27.083463,
      -102.728071,
      27.044990,
      -102.743664,
      27.048355,
      -102.782713,
      27.080955,
      -102.808391,
      26.873131,
      -102.799681,
      26.979568,
      -102.987568,
      26.963190,
      -102.988784,
      26.977935,
      -103.027151,
      26.973928,
      -103.334998,
      27.048310,
      -103.446522
    ]);
    poly[67] = _TzPolygon([
      27.973875,
      -102.354308,
      27.964631,
      -102.347599,
      28.005032,
      -102.282384,
      27.947977,
      -102.215023,
      27.897244,
      -102.254101,
      27.887145,
      -102.300301,
      27.848216,
      -102.265327,
      27.863911,
      -102.246937,
      27.851511,
      -102.201336,
      27.818064,
      -102.157031,
      27.692404,
      -102.199515,
      27.657046,
      -102.182351,
      27.695147,
      -102.136961,
      27.567978,
      -102.090081,
      27.420001,
      -101.939623,
      27.316847,
      -101.893455,
      27.247850,
      -101.971419,
      27.263171,
      -102.011111,
      27.236389,
      -102.034447,
      27.248705,
      -102.124223,
      27.278843,
      -102.144687,
      27.272775,
      -102.316681,
      27.231634,
      -102.303942,
      27.256342,
      -102.354308
    ]);
    poly[68] = _TzPolygon([
      27.148235,
      -102.354308,
      27.131519,
      -102.332516,
      27.011473,
      -102.294823,
      27.017671,
      -102.354308
    ]);
    poly[69] = _TzPolygon([
      29.705406,
      -104.538735,
      29.771360,
      -104.565900,
      29.920780,
      -104.679970,
      29.937781,
      -104.683579,
      29.937781,
      -104.538735
    ]);
    poly[70] = _TzPolygon([
      29.504712,
      -105.630949,
      29.502590,
      -105.442803,
      29.463725,
      -105.480325,
      29.409735,
      -105.454257,
      29.419804,
      -105.365860,
      29.400512,
      -105.349754,
      29.376317,
      -105.364724,
      29.363606,
      -105.320328,
      29.239636,
      -105.202371,
      29.204732,
      -105.140956,
      29.212777,
      -105.068600,
      29.184177,
      -105.045365,
      29.126619,
      -105.063648,
      29.101846,
      -105.107714,
      29.049377,
      -105.132393,
      28.977980,
      -105.061755,
      28.995968,
      -105.037765,
      28.983849,
      -104.954996,
      29.007072,
      -104.916317,
      28.973901,
      -104.896897,
      28.994769,
      -104.840074,
      28.776479,
      -104.662185,
      28.768787,
      -104.685402,
      28.735336,
      -104.672181,
      28.755700,
      -104.617408,
      28.726497,
      -104.617233,
      28.757786,
      -104.538735,
      28.333599,
      -104.538735,
      28.333599,
      -105.630949
    ]);
    poly[71] = _TzPolygon([
      28.590302,
      -103.992628,
      28.558964,
      -104.021831,
      28.600631,
      -104.058121,
      28.635285,
      -104.050598,
      28.677296,
      -104.077218,
      28.708047,
      -104.118999,
      28.678387,
      -104.144749,
      28.704321,
      -104.172031,
      28.686855,
      -104.184089,
      28.707638,
      -104.222449,
      28.648461,
      -104.260774,
      28.634995,
      -104.243302,
      28.583460,
      -104.293057,
      28.617322,
      -104.327302,
      28.595588,
      -104.348409,
      28.631426,
      -104.419645,
      28.684855,
      -104.370940,
      28.689200,
      -104.417721,
      28.753239,
      -104.465437,
      28.766659,
      -104.516474,
      28.757786,
      -104.538735,
      29.135690,
      -104.538735,
      29.135690,
      -103.992628
    ]);
    poly[72] = _TzPolygon([
      29.056642,
      -103.446522,
      29.135690,
      -103.530062,
      29.135690,
      -103.446522
    ]);
    poly[73] = _TzPolygon([
      28.590302,
      -103.992628,
      28.607326,
      -103.976764,
      28.605142,
      -103.926493,
      28.577443,
      -103.925458,
      28.603799,
      -103.841361,
      28.558061,
      -103.722494,
      28.602846,
      -103.705747,
      28.592591,
      -103.628556,
      28.512462,
      -103.643011,
      28.333599,
      -103.736782,
      28.333599,
      -103.992628
    ]);
    poly[74] = _TzPolygon([
      28.333599,
      -103.456882,
      28.361033,
      -103.446522,
      28.333599,
      -103.446522
    ]);
    poly[75] = _TzPolygon([
      28.463727,
      -103.446522,
      28.554505,
      -103.637501,
      28.590834,
      -103.591916,
      28.598195,
      -103.616046,
      28.639475,
      -103.596374,
      28.640639,
      -103.572659,
      28.611281,
      -103.557295,
      28.664998,
      -103.514512,
      28.776250,
      -103.446522
    ]);
    poly[76] = _TzPolygon([
      28.333599,
      -103.747051,
      28.554505,
      -103.637501,
      28.463727,
      -103.446522,
      28.361033,
      -103.446522,
      28.333599,
      -103.456882
    ]);
    poly[77] = _TzPolygon([
      29.705890,
      -104.538735,
      29.632490,
      -104.508280,
      29.519700,
      -104.337460,
      29.532840,
      -104.315550,
      29.484720,
      -104.213780,
      29.456250,
      -104.217590,
      29.393220,
      -104.165840,
      29.319800,
      -104.037710,
      29.265453,
      -103.783930,
      29.226715,
      -103.781918,
      29.221830,
      -103.742320,
      29.180810,
      -103.718490,
      29.156680,
      -103.650480,
      29.158000,
      -103.553640,
      29.135690,
      -103.530062,
      29.135690,
      -104.538735
    ]);
    poly[78] = _TzPolygon([
      29.937781,
      -103.446522,
      29.937781,
      -104.683579,
      30.049900,
      -104.707380,
      30.098380,
      -104.684960,
      30.234910,
      -104.706290,
      30.332840,
      -104.811610,
      30.375440,
      -104.816610,
      30.390310,
      -104.859480,
      30.419770,
      -104.847780,
      30.570530,
      -104.898870,
      30.605100,
      -104.924690,
      30.625300,
      -104.980750,
      30.663569,
      -104.917229,
      30.836004,
      -104.907465,
      31.541963,
      -104.914266,
      31.541963,
      -103.446522
    ]);
    poly[79] = _TzPolygon([
      30.500295,
      -105.630949,
      30.497250,
      -105.596524,
      30.393175,
      -105.607176,
      30.324669,
      -105.563671,
      30.331094,
      -105.624822,
      30.311720,
      -105.625060,
      30.309088,
      -105.630949
    ]);
    poly[80] = _TzPolygon([
      30.238848,
      -105.630949,
      30.238818,
      -105.625328,
      30.188135,
      -105.625477,
      30.190877,
      -105.630949
    ]);
    poly[81] = _TzPolygon([
      31.096774,
      -105.630949,
      31.541963,
      -105.630949,
      31.541963,
      -104.914266,
      30.836004,
      -104.907465,
      30.663569,
      -104.917229,
      30.629398,
      -104.979553,
      30.686090,
      -105.006590,
      30.685870,
      -105.061750,
      30.749859,
      -105.118055,
      30.752160,
      -105.161460,
      30.769830,
      -105.156270,
      30.792300,
      -105.195200,
      30.783400,
      -105.216410,
      30.805910,
      -105.215010,
      30.794280,
      -105.257470,
      30.825850,
      -105.290780,
      30.810850,
      -105.316670,
      30.840350,
      -105.339130,
      30.851990,
      -105.399860,
      30.889310,
      -105.400040,
      30.989680,
      -105.557190,
      31.083700,
      -105.604420
    ]);
    poly[82] = _TzPolygon([
      29.135690,
      -103.446522,
      29.135690,
      -103.016866,
      29.101332,
      -103.033514,
      29.060690,
      -103.100560,
      28.984610,
      -103.115960,
      28.972230,
      -103.163880,
      28.996100,
      -103.267240,
      28.976780,
      -103.285930,
      29.024490,
      -103.307560,
      29.020650,
      -103.338970,
      29.043120,
      -103.330430,
      29.018470,
      -103.360710,
      29.043450,
      -103.432580,
      29.056642,
      -103.446522
    ]);
    poly[83] = _TzPolygon([
      28.463727,
      -103.446522,
      28.448098,
      -103.413642,
      28.361033,
      -103.446522
    ]);
    poly[84] = _TzPolygon([
      28.333599,
      -102.436717,
      28.590584,
      -102.486892,
      28.582313,
      -102.505720,
      28.638292,
      -102.569600,
      28.670648,
      -102.552839,
      28.696971,
      -102.638040,
      29.064056,
      -102.404698,
      29.054158,
      -102.354308,
      28.333599,
      -102.354308
    ]);
    poly[85] = _TzPolygon([
      29.056642,
      -103.446522,
      29.043450,
      -103.432580,
      29.018470,
      -103.360710,
      29.046290,
      -103.342800,
      29.018760,
      -103.337160,
      29.022950,
      -103.306690,
      28.869254,
      -103.403650,
      28.833529,
      -103.396347,
      28.813180,
      -103.431663,
      28.786604,
      -103.446522
    ]);
    poly[86] = _TzPolygon([
      29.135690,
      -103.016866,
      29.179270,
      -102.995750,
      29.173600,
      -102.950690,
      29.219420,
      -102.912160,
      29.223440,
      -102.867660,
      29.260000,
      -102.906350,
      29.347860,
      -102.884150,
      29.358940,
      -102.839430,
      29.399390,
      -102.812750,
      29.410450,
      -102.833440,
      29.486280,
      -102.800850,
      29.522900,
      -102.808560,
      29.548280,
      -102.771280,
      29.595190,
      -102.768410,
      29.598250,
      -102.740200,
      29.633090,
      -102.742070,
      29.676720,
      -102.693660,
      29.743910,
      -102.675150,
      29.734130,
      -102.630600,
      29.771460,
      -102.568660,
      29.744650,
      -102.548180,
      29.783580,
      -102.517580,
      29.786640,
      -102.487020,
      29.761240,
      -102.387640,
      29.845560,
      -102.364450,
      29.852712,
      -102.354308,
      29.135690,
      -102.354308
    ]);
    poly[87] = _TzPolygon([
      29.621589,
      -101.262095,
      29.619206,
      -101.280274,
      29.572092,
      -101.289445,
      29.580233,
      -101.307423,
      29.653060,
      -101.303835,
      29.650452,
      -101.362276,
      29.699634,
      -101.371818,
      29.746460,
      -101.416220,
      29.771200,
      -101.401120,
      29.749890,
      -101.447700,
      29.789970,
      -101.461870,
      29.758070,
      -101.536210,
      29.812130,
      -101.544540,
      29.769680,
      -101.574740,
      29.754210,
      -101.645040,
      29.771120,
      -101.661680,
      29.780230,
      -101.804760,
      29.811750,
      -101.818080,
      29.787380,
      -101.823810,
      29.807890,
      -101.852560,
      29.782660,
      -101.929060,
      29.815910,
      -101.976470,
      29.796750,
      -101.987530,
      29.786450,
      -102.072900,
      29.803220,
      -102.143360,
      29.848520,
      -102.186640,
      29.840520,
      -102.223340,
      29.880030,
      -102.315570,
      29.852712,
      -102.354308,
      29.937781,
      -102.354308,
      29.937781,
      -101.262095
    ]);
    poly[88] = _TzPolygon([
      29.054158,
      -102.354308,
      28.984014,
      -101.997202,
      28.509111,
      -101.716974,
      28.388718,
      -101.262095,
      28.333599,
      -101.262095,
      28.333599,
      -102.354308
    ]);
    poly[89] = _TzPolygon([
      31.541963,
      -104.914266,
      32.000263,
      -104.918681,
      32.000391,
      -103.064631,
      36.500453,
      -103.041654,
      36.500439,
      -103.002461,
      37.000087,
      -103.002441,
      36.993128,
      -102.042127,
      37.738541,
      -102.041990,
      37.736435,
      -101.527054,
      37.958689,
      -101.536806,
      37.958689,
      -101.262095,
      31.541963,
      -101.262095
    ]);
    poly[90] = _TzPolygon([
      31.541963,
      -108.208443,
      31.783627,
      -108.208394,
      31.783777,
      -106.528064,
      31.748190,
      -106.489450,
      31.764530,
      -106.452090,
      31.732710,
      -106.382070,
      31.541963,
      -106.256511
    ]);
    poly[91] = _TzPolygon([
      35.167602,
      -109.999802,
      35.170948,
      -109.625725,
      35.257645,
      -109.624168,
      35.231499,
      -109.198677,
      35.167481,
      -109.199326,
      35.166000,
      -109.046017,
      34.785265,
      -109.045316,
      31.541963,
      -109.049753,
      31.541963,
      -109.999802
    ]);
    poly[92] = _TzPolygon([
      26.634176,
      -109.999802,
      26.654086,
      -110.023243,
      26.887078,
      -110.138212,
      26.973159,
      -110.404644,
      27.085607,
      -110.549517,
      27.161088,
      -110.747029,
      27.287664,
      -110.826696,
      27.489820,
      -110.818454,
      27.639274,
      -110.858023,
      27.652650,
      -110.972247,
      27.781493,
      -111.250195,
      27.753843,
      -111.392089,
      27.808468,
      -111.529387,
      27.870635,
      -111.584902,
      27.950008,
      -111.615637,
      28.000000,
      -111.612786,
      28.000000,
      -109.999802
    ]);
    poly[93] = _TzPolygon([
      28.000000,
      -109.999802,
      28.000000,
      -111.612786,
      28.036767,
      -111.610689,
      28.111808,
      -111.567429,
      28.149497,
      -111.588820,
      28.233032,
      -111.663923,
      28.313718,
      -111.871268,
      28.485754,
      -111.967032,
      28.595942,
      -112.100765,
      28.532976,
      -112.178086,
      28.463692,
      -112.123679,
      28.376445,
      -112.104044,
      28.292679,
      -112.124144,
      28.221931,
      -112.177706,
      28.176310,
      -112.255965,
      28.162148,
      -112.345842,
      28.181032,
      -112.436117,
      28.230172,
      -112.510459,
      28.341794,
      -112.568834,
      28.467195,
      -112.545488,
      28.460757,
      -112.593460,
      29.400000,
      -112.880000,
      31.700000,
      -114.623000,
      31.812000,
      -114.755000,
      31.819726,
      -114.815697,
      31.864083,
      -114.843193,
      31.867601,
      -114.910636,
      31.890713,
      -114.942025,
      31.921465,
      -114.965560,
      32.177995,
      -114.975318,
      32.245174,
      -115.053022,
      32.338794,
      -114.966592,
      32.481751,
      -114.935118,
      32.492249,
      -114.881545,
      32.473424,
      -114.848304,
      32.494077,
      -114.813581,
      31.332239,
      -111.074825,
      31.332370,
      -109.999802
    ]);
    poly[94] = _TzPolygon([
      32.494077,
      -114.802170,
      32.494077,
      -109.999802,
      31.332316,
      -109.999802,
      31.332214,
      -111.044352
    ]);
    poly[95] = _TzPolygon([
      32.494077,
      -117.526144,
      32.523540,
      -117.519113,
      32.590387,
      -117.464899,
      32.567155,
      -117.338623,
      32.494077,
      -117.338623
    ]);
    poly[96] = _TzPolygon([
      32.567155,
      -117.338623,
      32.553400,
      -117.263858,
      32.527498,
      -117.239059,
      32.634105,
      -115.834170,
      32.494077,
      -115.834170,
      32.494077,
      -117.338623
    ]);
    poly[97] = _TzPolygon([
      33.860230,
      -115.834170,
      33.860230,
      -114.521907,
      33.856915,
      -114.530169,
      33.814693,
      -114.528190,
      33.707365,
      -114.494090,
      33.672877,
      -114.531799,
      33.659529,
      -114.513934,
      33.590246,
      -114.540740,
      33.552743,
      -114.524246,
      33.499417,
      -114.591601,
      33.419683,
      -114.638815,
      33.404830,
      -114.725598,
      33.353167,
      -114.698053,
      33.301714,
      -114.731136,
      33.259266,
      -114.672236,
      33.088846,
      -114.706820,
      33.032735,
      -114.661775,
      33.049023,
      -114.645142,
      33.026980,
      -114.616547,
      33.022000,
      -114.509589,
      32.971920,
      -114.493121,
      32.968357,
      -114.467703,
      32.844391,
      -114.469154,
      32.794697,
      -114.530232,
      32.757160,
      -114.526846,
      32.728646,
      -114.616324,
      32.745539,
      -114.701322,
      32.718655,
      -114.719960,
      32.634105,
      -115.834170
    ]);
    poly[98] = _TzPolygon([
      32.634105,
      -115.834170,
      32.718655,
      -114.719960,
      32.643121,
      -114.765186,
      32.622349,
      -114.810505,
      32.557377,
      -114.812952,
      32.556393,
      -114.791494,
      32.494077,
      -114.812235,
      32.494077,
      -115.834170
    ]);
    poly[99] = _TzPolygon([
      33.860230,
      -114.521907,
      33.867817,
      -114.502999,
      33.900790,
      -114.526019,
      33.903155,
      -114.508138,
      33.938167,
      -114.534388,
      34.021841,
      -114.438544,
      34.107010,
      -114.416720,
      34.144165,
      -114.329716,
      33.860230,
      -114.329716
    ]);
  }
}

class _Initializer2 {
  static void _init() {
    poly[100] = _TzPolygon([
      34.446382,
      -114.329716,
      34.450197,
      -114.335722,
      34.456905,
      -114.385776,
      34.528222,
      -114.380706,
      34.593823,
      -114.435934,
      34.710430,
      -114.469869,
      34.766647,
      -114.552212,
      34.874225,
      -114.634609,
      35.024760,
      -114.637787,
      35.068942,
      -114.602813,
      35.102257,
      -114.646277,
      35.128552,
      -114.579302,
      35.185522,
      -114.569735,
      35.226383,
      -114.577646,
      35.226383,
      -114.329716
    ]);
    poly[101] = _TzPolygon([
      35.226383,
      -114.329716,
      35.226383,
      -114.577646,
      35.341945,
      -114.600019,
      35.497924,
      -114.678812,
      35.606492,
      -114.653150,
      35.651132,
      -114.689197,
      35.806757,
      -114.711442,
      35.850909,
      -114.705164,
      35.872349,
      -114.662208,
      35.943217,
      -114.730521,
      36.008333,
      -114.743174,
      36.026910,
      -114.723234,
      36.090705,
      -114.753638,
      36.142306,
      -114.631716,
      36.150956,
      -114.511721,
      36.128796,
      -114.502172,
      36.125970,
      -114.446605,
      36.147371,
      -114.405475,
      36.143114,
      -114.372106,
      36.102724,
      -114.329716
    ]);
    poly[102] = _TzPolygon([
      34.446382,
      -114.329716,
      34.348447,
      -114.175550,
      34.261939,
      -114.130782,
      34.259526,
      -114.165133,
      34.187081,
      -114.229223,
      34.138304,
      -114.329716
    ]);
    poly[103] = _TzPolygon([
      37.000667,
      -112.825262,
      37.000191,
      -114.050052,
      37.958689,
      -114.048396,
      37.958689,
      -112.825262
    ]);
    poly[104] = _TzPolygon([
      37.958689,
      -114.043838,
      36.196659,
      -114.043982,
      36.111576,
      -114.123144,
      36.023862,
      -114.154130,
      36.020193,
      -114.252651,
      36.059494,
      -114.315557,
      36.082443,
      -114.308430,
      36.102724,
      -114.329716,
      37.958689,
      -114.329716
    ]);
    poly[105] = _TzPolygon([
      37.000667,
      -112.825262,
      37.001241,
      -111.350160,
      36.990246,
      -111.402107,
      36.933144,
      -111.320808,
      36.966995,
      -111.376945,
      36.946236,
      -111.395546,
      36.954151,
      -111.438675,
      36.874314,
      -111.425088,
      36.873032,
      -111.557213,
      36.841702,
      -111.545898,
      36.855499,
      -111.600449,
      36.714771,
      -111.701080,
      36.670296,
      -111.685768,
      36.685810,
      -111.724724,
      36.613300,
      -111.745621,
      36.565331,
      -111.797348,
      36.551251,
      -111.784210,
      36.551289,
      -111.809410,
      36.519093,
      -111.811783,
      36.504170,
      -111.841583,
      36.450172,
      -111.819389,
      36.424374,
      -111.858337,
      36.393040,
      -111.828102,
      36.368607,
      -111.873871,
      36.223370,
      -111.801117,
      36.206963,
      -111.759529,
      36.008282,
      -111.760162,
      35.979126,
      -111.705681,
      35.848061,
      -111.722649,
      35.825745,
      -111.688690,
      35.746346,
      -111.689018,
      35.746018,
      -111.741722,
      35.672962,
      -111.740837,
      35.672699,
      -111.640633,
      35.641388,
      -111.640778,
      35.640183,
      -111.553062,
      35.758530,
      -111.531952,
      35.758414,
      -111.320808,
      35.226383,
      -111.320808,
      35.226383,
      -112.825262
    ]);
    poly[106] = _TzPolygon([
      35.809635,
      -110.146202,
      35.809341,
      -110.100975,
      35.782558,
      -110.102875,
      35.792759,
      -110.083420,
      35.702568,
      -110.081573,
      35.692028,
      -110.213905,
      35.719730,
      -110.236206
    ]);
    poly[107] = _TzPolygon([
      36.430649,
      -111.320808,
      36.430649,
      -109.999802,
      35.167602,
      -109.999802,
      35.156540,
      -111.236458,
      35.497009,
      -111.242088,
      35.572510,
      -111.268478,
      35.613194,
      -111.317871,
      35.758411,
      -111.315582,
      35.758414,
      -111.320808
    ]);
    poly[108] = _TzPolygon([
      36.933975,
      -111.320808,
      36.871849,
      -111.231049,
      36.905846,
      -111.320808,
      36.933144,
      -111.320808
    ]);
    poly[109] = _TzPolygon([
      21.090935,
      -105.533986,
      20.931792,
      -105.323035,
      20.870667,
      -105.372315,
      20.854136,
      -105.350380,
      20.949437,
      -105.232058,
      20.953800,
      -105.109835,
      20.973182,
      -105.096655,
      20.986428,
      -105.001698,
      20.952914,
      -104.957415,
      20.909026,
      -104.968822,
      20.909171,
      -105.031613,
      20.934386,
      -105.047440,
      20.919434,
      -105.098641,
      20.857415,
      -105.160563,
      20.767711,
      -105.173397,
      20.777171,
      -105.196961,
      20.747351,
      -105.239916,
      20.703907,
      -105.242773,
      20.647539,
      -105.300929,
      20.624302,
      -105.403923,
      20.626920,
      -105.572490,
      20.685482,
      -105.883254,
      20.799501,
      -105.835389,
      20.866533,
      -105.727601
    ]);
    poly[110] = _TzPolygon([
      20.163373,
      -104.519534,
      20.163373,
      -105.788186,
      20.290646,
      -105.884183,
      20.410648,
      -105.908205,
      20.488740,
      -105.891141,
      20.554270,
      -105.843279,
      20.685482,
      -105.883254,
      20.626920,
      -105.572490,
      20.634775,
      -105.330481,
      20.703907,
      -105.242773,
      20.747351,
      -105.239916,
      20.777171,
      -105.196961,
      20.767711,
      -105.173397,
      20.887167,
      -105.141857,
      20.931471,
      -105.080337,
      20.909508,
      -104.967244,
      20.946341,
      -104.900526,
      21.020009,
      -104.838099,
      21.012288,
      -104.729989,
      20.983154,
      -104.729363,
      20.943841,
      -104.681000,
      20.924152,
      -104.556922,
      20.867750,
      -104.519534
    ]);
    poly[111] = _TzPolygon([
      20.867750,
      -104.519534,
      21.436715,
      -104.519534,
      21.436715,
      -103.729129,
      21.425431,
      -103.720895,
      21.410304,
      -103.764403,
      21.388433,
      -103.767333,
      21.374055,
      -103.741332,
      21.336709,
      -103.749352,
      21.281041,
      -103.820346,
      21.248435,
      -103.819391,
      21.226490,
      -103.898363,
      21.262547,
      -103.931057,
      21.234572,
      -103.924020,
      21.256328,
      -103.973454,
      21.194673,
      -104.027969,
      21.205413,
      -104.052838,
      21.186773,
      -104.068586,
      21.205361,
      -104.085659,
      21.176611,
      -104.219398,
      21.118601,
      -104.210860,
      21.027332,
      -104.242713,
      20.936373,
      -104.206588,
      20.887796,
      -104.290916,
      20.845496,
      -104.295416,
      20.840931,
      -104.361768,
      20.811644,
      -104.350402,
      20.784073,
      -104.375892,
      20.798098,
      -104.328322,
      20.770795,
      -104.297617,
      20.783481,
      -104.282856,
      20.713434,
      -104.241816,
      20.603221,
      -104.254146,
      20.628993,
      -104.282011,
      20.689157,
      -104.288487,
      20.838187,
      -104.499938
    ]);
    poly[112] = _TzPolygon([
      23.280975,
      -105.661076,
      23.280975,
      -105.473049,
      23.124277,
      -105.473049,
      23.128012,
      -105.501978,
      23.098887,
      -105.554309,
      23.141768,
      -105.643991,
      23.235581,
      -105.630317,
      23.276479,
      -105.643208
    ]);
    poly[113] = _TzPolygon([
      25.020496,
      -107.061817,
      25.025255,
      -107.063571,
      25.053139,
      -107.129892,
      25.125236,
      -107.127206,
      25.125236,
      -107.061817
    ]);
    poly[114] = _TzPolygon([
      23.280975,
      -105.661076,
      23.287520,
      -105.687084,
      23.340569,
      -105.694005,
      23.374897,
      -105.730690,
      23.420171,
      -105.700289,
      23.445206,
      -105.738865,
      23.474840,
      -105.723445,
      23.502959,
      -105.760338,
      23.556465,
      -105.769302,
      23.611029,
      -105.811644,
      23.603256,
      -105.845516,
      23.583695,
      -105.845186,
      23.590394,
      -105.884318,
      23.552645,
      -105.892655,
      23.588270,
      -105.908905,
      23.684136,
      -105.926634,
      23.739399,
      -105.906093,
      23.840742,
      -105.961265,
      23.908585,
      -105.953662,
      23.875243,
      -105.867241,
      23.899296,
      -105.857588,
      23.943921,
      -105.899919,
      23.948026,
      -105.945415,
      23.997534,
      -105.912136,
      24.043383,
      -105.998720,
      24.114390,
      -105.989724,
      24.203106,
      -106.034856,
      24.203106,
      -105.473049,
      23.280975,
      -105.473049
    ]);
    poly[115] = _TzPolygon([
      25.020496,
      -107.061817,
      24.909908,
      -107.021053,
      24.928241,
      -107.000575,
      24.880536,
      -106.934508,
      24.866624,
      -106.927080,
      24.859024,
      -106.951418,
      24.820917,
      -106.930662,
      24.822955,
      -106.865853,
      24.665262,
      -106.705948,
      24.528979,
      -106.645461,
      24.524897,
      -106.622607,
      24.506503,
      -106.630067,
      24.472711,
      -106.560016,
      24.414566,
      -106.601588,
      24.286984,
      -106.517093,
      24.277857,
      -106.469655,
      24.301941,
      -106.367545,
      24.355695,
      -106.336330,
      24.374755,
      -106.268869,
      24.338786,
      -106.151760,
      24.271389,
      -106.075843,
      24.220201,
      -106.069948,
      24.220850,
      -106.043883,
      24.203106,
      -106.034856,
      24.203106,
      -107.061817
    ]);
    poly[116] = _TzPolygon([
      21.565542,
      -103.884281,
      21.581986,
      -103.919235,
      21.618676,
      -103.907699,
      21.641914,
      -103.930249,
      21.697818,
      -103.887725,
      21.727744,
      -103.895913,
      21.743381,
      -103.931828,
      21.771802,
      -103.923482,
      21.790451,
      -104.130382,
      21.809841,
      -104.161748,
      21.850772,
      -104.197000,
      21.871319,
      -104.172233,
      21.891478,
      -104.201041,
      21.963393,
      -104.173699,
      21.985420,
      -104.193319,
      21.966938,
      -104.246005,
      22.002761,
      -104.294077,
      21.975369,
      -104.326863,
      21.976038,
      -104.371164,
      22.102564,
      -104.373191,
      22.245359,
      -104.328679,
      22.298801,
      -104.284496,
      22.356366,
      -104.285740,
      22.358845,
      -104.289479,
      22.358845,
      -103.884281
    ]);
    poly[117] = _TzPolygon([
      22.358845,
      -104.524205,
      22.358845,
      -104.485358,
      22.351617,
      -104.481210,
      22.345099,
      -104.506377
    ]);
    poly[118] = _TzPolygon([
      22.565595,
      -104.678665,
      22.568718,
      -104.759812,
      22.648711,
      -104.793992,
      22.634249,
      -104.814677,
      22.648327,
      -104.858397,
      22.607070,
      -104.862493,
      22.498727,
      -104.987912,
      22.585672,
      -105.007553,
      22.656498,
      -105.072368,
      22.678414,
      -105.068422,
      22.737409,
      -104.892720,
      22.748538,
      -104.915637,
      22.819781,
      -104.918389,
      22.813605,
      -104.958967,
      22.836049,
      -104.988405,
      22.976983,
      -105.003139,
      22.941330,
      -105.323570,
      23.060575,
      -105.350471,
      23.116897,
      -105.415892,
      23.124277,
      -105.473049,
      23.280975,
      -105.473049,
      23.280975,
      -104.678665
    ]);
    poly[119] = _TzPolygon([
      22.564336,
      -104.678665,
      22.565262,
      -104.669998,
      22.462155,
      -104.655292,
      22.460508,
      -104.602561,
      22.411955,
      -104.593085,
      22.358845,
      -104.524247,
      22.358845,
      -104.678665
    ]);
    poly[120] = _TzPolygon([
      22.358845,
      -104.485358,
      22.376324,
      -104.495390,
      22.421659,
      -104.371512,
      22.386405,
      -104.350041,
      22.365131,
      -104.293127,
      22.358845,
      -104.292364
    ]);
    poly[121] = _TzPolygon([
      22.358845,
      -103.884281,
      22.358845,
      -104.289479,
      22.401315,
      -104.353533,
      22.472989,
      -104.296126,
      22.537397,
      -104.325824,
      22.586203,
      -104.261407,
      22.645610,
      -104.289966,
      22.736539,
      -104.266344,
      22.779250,
      -104.221141,
      22.757995,
      -104.181975,
      22.766617,
      -104.080475,
      22.810311,
      -104.111485,
      22.905118,
      -104.112644,
      22.924830,
      -104.153321,
      22.982445,
      -104.173614,
      23.128408,
      -104.172132,
      23.182214,
      -104.129023,
      23.280975,
      -104.118616,
      23.280975,
      -103.884281
    ]);
    poly[122] = _TzPolygon([
      21.565542,
      -103.884281,
      21.552365,
      -103.856272,
      21.524750,
      -103.859925,
      21.493047,
      -103.823713,
      21.498381,
      -103.774129,
      21.436715,
      -103.729129,
      21.436715,
      -103.884281
    ]);
    poly[123] = _TzPolygon([
      23.280975,
      -104.118616,
      23.351205,
      -104.111215,
      23.463493,
      -104.065977,
      23.556983,
      -103.925313,
      23.589175,
      -103.921469,
      23.579828,
      -103.890087,
      23.601871,
      -103.906867,
      23.592965,
      -103.884281,
      23.280975,
      -103.884281
    ]);
    poly[124] = _TzPolygon([
      25.125236,
      -102.295513,
      25.115916,
      -102.463325,
      24.999515,
      -102.446763,
      25.066637,
      -102.669694,
      25.008322,
      -102.628885,
      24.978648,
      -102.642955,
      24.978818,
      -102.672984,
      24.942752,
      -102.673061,
      24.902221,
      -102.566236,
      24.709721,
      -102.512182,
      24.428014,
      -102.480267,
      24.411169,
      -102.606593,
      24.373972,
      -102.699904,
      24.376983,
      -102.756654,
      24.406248,
      -102.788852,
      24.384692,
      -102.831736,
      24.461156,
      -102.891880,
      24.428500,
      -102.900148,
      24.457704,
      -102.967440,
      24.433257,
      -102.983573,
      24.466501,
      -103.043150,
      24.401627,
      -103.098527,
      24.435198,
      -103.165259,
      24.417103,
      -103.222833,
      24.447254,
      -103.253532,
      24.428837,
      -103.282645,
      24.430488,
      -103.419332,
      24.332600,
      -103.448340,
      24.287964,
      -103.506755,
      24.286371,
      -103.568350,
      24.193789,
      -103.559536,
      24.117465,
      -103.622007,
      24.110293,
      -103.635969,
      24.149326,
      -103.660361,
      24.021974,
      -103.813274,
      24.007022,
      -103.872386,
      23.964909,
      -103.818360,
      23.874616,
      -103.853112,
      23.807700,
      -103.816198,
      23.752679,
      -103.862295,
      23.679570,
      -103.850983,
      23.676516,
      -103.785059,
      23.630855,
      -103.793542,
      23.613649,
      -103.811302,
      23.640082,
      -103.849178,
      23.628970,
      -103.877429,
      23.592271,
      -103.882522,
      23.592965,
      -103.884281,
      25.125236,
      -103.884281
    ]);
    poly[125] = _TzPolygon(
        [22.449519, -99.252157, 22.477554, -99.263872, 22.477554, -99.252157]);
    poly[126] = _TzPolygon([
      24.512808,
      -100.773835,
      24.556186,
      -100.799934,
      24.583918,
      -100.902234,
      24.542684,
      -100.958793,
      24.591185,
      -101.080495,
      24.623362,
      -101.127620,
      24.775168,
      -101.215039,
      24.813353,
      -101.342142,
      24.736757,
      -101.461639,
      24.758983,
      -101.622270,
      24.800704,
      -101.640767,
      24.789664,
      -101.609012,
      24.835563,
      -101.601261,
      24.860793,
      -101.656332,
      24.840013,
      -101.685149,
      24.875535,
      -101.773463,
      25.017624,
      -101.848810,
      25.125236,
      -102.295513,
      25.125236,
      -100.773835
    ]);
    poly[127] = _TzPolygon([
      22.729605,
      -100.012996,
      22.725925,
      -100.022343,
      22.751265,
      -100.094060,
      22.824394,
      -100.029384,
      22.917892,
      -100.044239,
      22.916714,
      -100.110384,
      22.975719,
      -100.110847,
      22.968757,
      -100.089421,
      23.013091,
      -100.097455,
      22.997357,
      -100.071656,
      23.039844,
      -100.062097,
      23.063095,
      -100.012996
    ]);
    poly[128] = _TzPolygon([
      23.064888,
      -100.012996,
      23.095942,
      -100.069029,
      23.121156,
      -100.068743,
      23.125990,
      -100.115597,
      23.231532,
      -100.103811,
      23.250443,
      -100.228242,
      23.307108,
      -100.206322,
      23.310328,
      -100.278379,
      23.260916,
      -100.306212,
      23.265317,
      -100.374235,
      23.189021,
      -100.363793,
      23.195604,
      -100.323538,
      23.162665,
      -100.331774,
      23.194326,
      -100.479881,
      23.366237,
      -100.456791,
      23.421147,
      -100.517143,
      23.528028,
      -100.494347,
      23.511158,
      -100.458950,
      23.567026,
      -100.472450,
      23.568178,
      -100.491747,
      23.696636,
      -100.446996,
      23.688910,
      -100.466503,
      23.736296,
      -100.497707,
      23.798710,
      -100.497605,
      23.801395,
      -100.500858,
      23.801395,
      -100.012996
    ]);
    poly[129] = _TzPolygon([
      23.064888,
      -100.012996,
      23.063921,
      -100.011252,
      23.063095,
      -100.012996
    ]);
    poly[130] = _TzPolygon([
      22.729605,
      -100.012996,
      22.751667,
      -99.956958,
      22.749862,
      -99.882397,
      22.730557,
      -99.842819,
      22.678435,
      -99.847923,
      22.660766,
      -99.814029,
      22.659608,
      -99.724085,
      22.681125,
      -99.682535,
      22.641220,
      -99.560638,
      22.612765,
      -99.534692,
      22.620869,
      -99.494536,
      22.744140,
      -99.544327,
      22.742053,
      -99.479220,
      22.663616,
      -99.442053,
      22.670268,
      -99.385553,
      22.629078,
      -99.373200,
      22.634888,
      -99.329618,
      22.477554,
      -99.263872,
      22.477554,
      -100.012996
    ]);
    poly[131] = _TzPolygon([
      24.512808,
      -100.773835,
      24.460435,
      -100.742324,
      24.491517,
      -100.711201,
      24.401300,
      -100.603533,
      24.225979,
      -100.633068,
      24.223929,
      -100.585085,
      24.178193,
      -100.593516,
      24.173944,
      -100.613400,
      24.139897,
      -100.516820,
      24.118521,
      -100.538676,
      24.071443,
      -100.523757,
      23.919641,
      -100.562411,
      23.888384,
      -100.539837,
      23.842200,
      -100.550303,
      23.801395,
      -100.500858,
      23.801395,
      -100.773835
    ]);
    poly[132] = _TzPolygon([
      25.125236,
      -97.595507,
      25.125236,
      -97.228502,
      24.979410,
      -97.305319,
      25.041955,
      -97.517400
    ]);
    poly[133] = _TzPolygon([
      22.449519,
      -99.252157,
      25.125236,
      -99.252157,
      25.125236,
      -97.595507,
      25.041955,
      -97.517400,
      24.979410,
      -97.305319,
      24.662461,
      -97.410828,
      24.314511,
      -97.486963,
      23.421640,
      -97.544067,
      22.877531,
      -97.544115,
      22.560543,
      -97.636164,
      22.420218,
      -97.621037,
      22.313607,
      -97.574497,
      22.260351,
      -97.792415,
      22.206966,
      -97.844888,
      22.239131,
      -97.917282,
      22.293892,
      -97.956708,
      22.297432,
      -98.000324,
      22.328050,
      -97.970510,
      22.350864,
      -97.990020,
      22.347161,
      -98.072781,
      22.395303,
      -98.113536,
      22.423869,
      -98.187485,
      22.469559,
      -98.194995,
      22.471657,
      -98.247931,
      22.447291,
      -98.272937,
      22.468562,
      -98.316823,
      22.390740,
      -98.318781,
      22.388703,
      -98.352272,
      22.407446,
      -98.355225,
      22.389284,
      -98.387809,
      22.424293,
      -98.388644,
      22.399927,
      -98.409543,
      22.432864,
      -98.433766,
      22.412192,
      -98.460959,
      22.429472,
      -98.505040,
      22.393945,
      -98.574935,
      22.414524,
      -98.638156,
      22.366313,
      -98.758935,
      22.355094,
      -98.889997,
      22.392775,
      -98.931973,
      22.415269,
      -99.060399,
      22.412862,
      -99.236839
    ]);
    poly[134] = _TzPolygon([
      26.729418,
      -99.215680,
      26.729418,
      -99.077668,
      26.400223,
      -99.077668,
      26.397977,
      -99.084530,
      26.432890,
      -99.113680,
      26.475480,
      -99.091690,
      26.499260,
      -99.104380,
      26.541680,
      -99.171040,
      26.724800,
      -99.208790
    ]);
    poly[135] = _TzPolygon([
      26.729418,
      -101.262095,
      26.729418,
      -99.630095,
      26.670365,
      -99.659164,
      26.664596,
      -99.538335,
      26.596566,
      -99.396825,
      26.351301,
      -99.430946,
      26.304799,
      -99.401236,
      26.329270,
      -99.364150,
      26.306358,
      -99.333667,
      26.252822,
      -99.332448,
      26.139388,
      -99.401278,
      25.993512,
      -99.334251,
      25.914420,
      -99.332288,
      25.925399,
      -99.312818,
      25.898677,
      -99.296170,
      25.916133,
      -99.265911,
      25.887817,
      -99.241249,
      25.895526,
      -99.191334,
      25.978378,
      -99.171397,
      25.999519,
      -99.194641,
      26.073133,
      -99.190903,
      26.053597,
      -99.128094,
      26.068582,
      -99.131355,
      26.071799,
      -99.077668,
      25.125236,
      -99.077668,
      25.125236,
      -101.262095
    ]);
    poly[136] = _TzPolygon([
      28.176561,
      -100.169882,
      28.190920,
      -100.208560,
      28.232910,
      -100.220950,
      28.276300,
      -100.291990,
      28.311900,
      -100.286370,
      28.333599,
      -100.302489,
      28.333599,
      -100.169882
    ]);
    poly[137] = _TzPolygon([
      28.333599,
      -101.262095,
      28.333098,
      -100.596915,
      28.231953,
      -100.629959,
      28.226969,
      -100.669642,
      28.134438,
      -100.641997,
      28.119405,
      -100.545554,
      28.066741,
      -100.591912,
      28.028624,
      -100.538123,
      27.998503,
      -100.546631,
      28.005144,
      -100.571968,
      27.974393,
      -100.580259,
      27.978203,
      -100.601954,
      27.821439,
      -100.658516,
      27.730947,
      -100.286180,
      27.684599,
      -100.350610,
      27.392685,
      -100.421909,
      27.371055,
      -100.385777,
      27.340108,
      -100.399729,
      27.245413,
      -100.283131,
      27.245470,
      -100.252726,
      27.218432,
      -100.252757,
      27.218465,
      -100.182026,
      27.137164,
      -100.171862,
      27.137166,
      -100.169882,
      26.729418,
      -100.169882,
      26.729418,
      -101.262095
    ]);
    poly[138] = _TzPolygon([
      26.729418,
      -99.215680,
      26.745750,
      -99.240050,
      26.843320,
      -99.268680,
      26.878630,
      -99.328470,
      26.919370,
      -99.328460,
      26.937680,
      -99.384490,
      27.010210,
      -99.408580,
      27.021600,
      -99.445830,
      27.175660,
      -99.426200,
      27.250230,
      -99.441660,
      27.263230,
      -99.491410,
      27.300420,
      -99.491570,
      27.316850,
      -99.538070,
      27.339220,
      -99.504230,
      27.479380,
      -99.478720,
      27.498160,
      -99.528100,
      27.531508,
      -99.521371,
      27.531508,
      -99.077668,
      26.729418,
      -99.077668
    ]);
    poly[139] = _TzPolygon([
      27.137166,
      -100.169882,
      27.137215,
      -100.121473,
      27.101066,
      -100.121314,
      27.101117,
      -100.101018,
      27.028904,
      -100.121326,
      27.028914,
      -100.090843,
      27.008686,
      -100.090800,
      27.024427,
      -100.012000,
      27.008824,
      -99.959846,
      26.956230,
      -100.019211,
      26.846425,
      -99.968660,
      26.873775,
      -99.936141,
      26.858309,
      -99.929156,
      26.888278,
      -99.849232,
      26.871581,
      -99.804021,
      26.886714,
      -99.810009,
      26.912156,
      -99.744346,
      26.890694,
      -99.630806,
      26.829475,
      -99.580842,
      26.729418,
      -99.630095,
      26.729418,
      -100.169882
    ]);
    poly[140] = _TzPolygon([
      28.176561,
      -100.169882,
      28.144840,
      -100.084440,
      27.993510,
      -99.990440,
      27.980620,
      -99.931380,
      27.941500,
      -99.937500,
      27.899070,
      -99.893360,
      27.797560,
      -99.876260,
      27.763150,
      -99.835870,
      27.774450,
      -99.813340,
      27.657690,
      -99.710500,
      27.659220,
      -99.667100,
      27.626700,
      -99.639120,
      27.639690,
      -99.596020,
      27.603060,
      -99.583540,
      27.614400,
      -99.554800,
      27.566550,
      -99.511810,
      27.531508,
      -99.520157,
      27.531508,
      -100.169882
    ]);
    poly[141] = _TzPolygon([
      25.927327,
      -98.584548,
      25.927327,
      -97.999794,
      25.439381,
      -97.999794,
      25.425929,
      -98.058666,
      25.446437,
      -98.058691,
      25.445959,
      -98.239454,
      25.504373,
      -98.262637,
      25.460292,
      -98.328027,
      25.458482,
      -98.374614,
      25.489787,
      -98.377552,
      25.496790,
      -98.432247,
      25.489362,
      -98.581751
    ]);
    poly[142] = _TzPolygon([
      26.060184,
      -97.999794,
      26.067050,
      -98.027660,
      26.041290,
      -98.038840,
      26.036340,
      -98.076550,
      26.071180,
      -98.080420,
      26.074200,
      -98.132130,
      26.049080,
      -98.146520,
      26.075270,
      -98.176840,
      26.053390,
      -98.194920,
      26.104460,
      -98.288210,
      26.120910,
      -98.266400,
      26.103180,
      -98.305760,
      26.166160,
      -98.335910,
      26.157730,
      -98.386520,
      26.200430,
      -98.443820,
      26.224440,
      -98.444580,
      26.219890,
      -98.481310,
      26.200900,
      -98.481830,
      26.235780,
      -98.522400,
      26.225440,
      -98.534880,
      26.248120,
      -98.556250,
      26.224140,
      -98.561470,
      26.256810,
      -98.583140,
      26.259950,
      -98.622920,
      26.236710,
      -98.670100,
      26.262830,
      -98.680990,
      26.272730,
      -98.719880,
      26.287280,
      -98.702910,
      26.295680,
      -98.750560,
      26.330910,
      -98.750320,
      26.330680,
      -98.789100,
      26.368080,
      -98.805540,
      26.353160,
      -98.896530,
      26.394360,
      -98.926280,
      26.369380,
      -98.943610,
      26.401170,
      -98.973870,
      26.392330,
      -99.011250,
      26.413510,
      -99.037080,
      26.400223,
      -99.077668,
      26.729418,
      -99.077668,
      26.729418,
      -97.999794
    ]);
    poly[143] = _TzPolygon([
      26.071799,
      -99.077668,
      26.104057,
      -99.023971,
      25.968323,
      -98.900752,
      26.047649,
      -98.823226,
      26.017918,
      -98.585126,
      25.927327,
      -98.584548,
      25.927327,
      -99.077668
    ]);
    poly[144] = _TzPolygon([
      26.060184,
      -97.999794,
      26.729418,
      -97.999794,
      26.729418,
      -97.093120,
      26.333947,
      -96.975299,
      26.092049,
      -96.924648,
      25.975653,
      -96.924030,
      25.949020,
      -97.157130,
      25.965930,
      -97.175370,
      25.959430,
      -97.284000,
      25.935230,
      -97.276660,
      25.915310,
      -97.368890,
      25.867330,
      -97.356610,
      25.837060,
      -97.394230,
      25.862150,
      -97.408600,
      25.840840,
      -97.412880,
      25.853890,
      -97.453850,
      25.884230,
      -97.455880,
      25.886930,
      -97.522270,
      25.930720,
      -97.537180,
      25.933020,
      -97.582970,
      25.952440,
      -97.567900,
      25.957190,
      -97.601940,
      25.990340,
      -97.634550,
      26.002720,
      -97.618650,
      26.010530,
      -97.649240,
      26.023190,
      -97.639030,
      26.019270,
      -97.667990,
      26.038150,
      -97.662600,
      26.018900,
      -97.691520,
      26.037850,
      -97.707260,
      26.025660,
      -97.761430,
      26.047320,
      -97.767680,
      26.029160,
      -97.777450,
      26.060250,
      -97.801110,
      26.045850,
      -97.834560,
      26.070160,
      -97.861610,
      26.051730,
      -97.965480
    ]);
    poly[145] = _TzPolygon([
      25.439381,
      -97.999794,
      25.444071,
      -97.979270,
      25.425992,
      -97.979277,
      25.425991,
      -97.949462,
      25.381327,
      -97.949385,
      25.375792,
      -97.899803,
      25.396303,
      -97.877987,
      25.346776,
      -97.803283,
      25.125236,
      -97.595507,
      25.125236,
      -97.999794
    ]);
    poly[146] = _TzPolygon([
      28.333599,
      -100.302489,
      28.390140,
      -100.344490,
      28.442510,
      -100.337440,
      28.476360,
      -100.368360,
      28.499290,
      -100.333890,
      28.515280,
      -100.388530,
      28.550070,
      -100.411090,
      28.585310,
      -100.398700,
      28.609380,
      -100.447310,
      28.641850,
      -100.446460,
      28.661954,
      -100.500474,
      28.805220,
      -100.535220,
      28.828190,
      -100.574340,
      28.901320,
      -100.600700,
      28.914850,
      -100.640910,
      29.100380,
      -100.674590,
      29.168350,
      -100.772640,
      29.195280,
      -100.766820,
      29.263600,
      -100.813790,
      29.280580,
      -100.877800,
      29.307590,
      -100.886290,
      29.368310,
      -101.009890,
      29.458581,
      -101.059875,
      29.475390,
      -101.148530,
      29.515992,
      -101.176844,
      29.522332,
      -101.256804,
      29.623352,
      -101.248643,
      29.621589,
      -101.262095,
      31.541963,
      -101.262095,
      31.541963,
      -96.893242,
      28.333599,
      -96.893242
    ]);
    poly[147] = _TzPolygon([
      28.388718,
      -101.262095,
      28.376462,
      -101.215787,
      28.400328,
      -100.962720,
      28.432214,
      -100.938136,
      28.453480,
      -100.868834,
      28.424450,
      -100.808265,
      28.380950,
      -100.809663,
      28.377465,
      -100.612040,
      28.333599,
      -100.597086,
      28.333599,
      -101.262095
    ]);
    poly[148] = _TzPolygon([
      42.449100,
      -117.975222,
      42.448522,
      -118.215030,
      44.212483,
      -118.233641,
      44.256083,
      -118.232140,
      44.270682,
      -118.152639,
      44.299583,
      -118.152340,
      44.328683,
      -118.092239,
      44.415183,
      -118.031442,
      44.441623,
      -117.975222
    ]);
    poly[149] = _TzPolygon([
      41.998206,
      -117.009258,
      41.998206,
      -111.596724,
      41.989104,
      -113.796082,
      41.998127,
      -117.009255
    ]);
    poly[150] = _TzPolygon([
      37.958689,
      -114.048396,
      40.726167,
      -114.043613,
      40.725489,
      -114.112847,
      40.755668,
      -114.112976,
      40.755583,
      -114.043787,
      41.993725,
      -114.041735,
      41.998206,
      -112.055845,
      41.998206,
      -111.043564,
      37.958689,
      -111.043564
    ]);
    poly[151] = _TzPolygon([
      42.449100,
      -117.975222,
      42.451386,
      -117.026585,
      41.999890,
      -117.026197,
      41.998206,
      -116.210977,
      41.998206,
      -117.975222
    ]);
    poly[152] = _TzPolygon([
      45.027844,
      -117.975222,
      45.027844,
      -116.842641,
      45.022184,
      -116.848241,
      44.977287,
      -116.857775,
      44.983586,
      -116.825925,
      44.887449,
      -116.852490,
      44.783881,
      -116.934700,
      44.727143,
      -117.062273,
      44.536151,
      -117.149242,
      44.482346,
      -117.225076,
      44.427161,
      -117.215068,
      44.390974,
      -117.243032,
      44.336585,
      -117.189769,
      44.313024,
      -117.203323,
      44.301420,
      -117.486153,
      44.387696,
      -117.485899,
      44.415491,
      -117.569880,
      44.444461,
      -117.590992,
      44.443328,
      -117.971596,
      44.441623,
      -117.975222
    ]);
    poly[153] = _TzPolygon([
      45.027844,
      -116.842641,
      45.142091,
      -116.729607,
      45.321511,
      -116.673793,
      45.602785,
      -116.463635,
      45.691734,
      -116.535396,
      45.752735,
      -116.549085,
      45.778541,
      -116.593004,
      45.781998,
      -116.665344,
      45.826267,
      -116.711822,
      45.816167,
      -116.759787,
      45.833471,
      -116.789066,
      45.897457,
      -116.728745,
      45.966591,
      -116.744606,
      45.999191,
      -116.698494,
      45.995495,
      -116.646637,
      46.037723,
      -116.624678,
      46.008703,
      -116.618920,
      45.973879,
      -116.548728,
      45.965206,
      -116.447740,
      45.913085,
      -116.428483,
      45.889411,
      -116.329110,
      45.858297,
      -116.295897,
      45.743131,
      -116.326849,
      45.729009,
      -116.302297,
      45.669580,
      -116.319038,
      45.665777,
      -116.280340,
      45.624209,
      -116.304596,
      45.599579,
      -116.272220,
      45.570729,
      -116.305819,
      45.411253,
      -116.310825,
      45.422497,
      -116.283944,
      45.409289,
      -116.242308,
      45.027844,
      -116.242308
    ]);
    poly[154] = _TzPolygon([
      45.409289,
      -116.242308,
      45.399042,
      -116.210006,
      45.427701,
      -116.143235,
      45.403502,
      -116.093058,
      45.459824,
      -115.929634,
      45.468106,
      -115.801938,
      45.375652,
      -115.509351,
      45.456062,
      -115.430206,
      45.475202,
      -115.354640,
      45.523603,
      -115.314175,
      45.569747,
      -115.214077,
      45.492904,
      -114.982064,
      45.393282,
      -114.813764,
      45.394949,
      -114.736576,
      45.440014,
      -114.795133,
      45.512612,
      -114.787738,
      45.471015,
      -114.664329,
      45.557710,
      -114.564936,
      45.562198,
      -114.509393,
      44.017964,
      -114.509393,
      44.017964,
      -116.242308
    ]);
    poly[155] = _TzPolygon([
      45.560021,
      -114.509393,
      45.557710,
      -114.564936,
      45.606592,
      -114.537944,
      45.637621,
      -114.563987,
      45.656918,
      -114.509393
    ]);
    poly[156] = _TzPolygon([
      45.717820,
      -114.509393,
      45.773310,
      -114.566465,
      45.845373,
      -114.509393
    ]);
    poly[157] = _TzPolygon([
      41.998206,
      -112.055845,
      42.000484,
      -111.046280,
      44.017964,
      -111.048477,
      44.017964,
      -111.043564,
      41.998206,
      -111.043564
    ]);
    poly[158] = _TzPolygon([
      45.027844,
      -113.449499,
      45.027844,
      -112.776478,
      44.486011,
      -112.776478,
      44.484660,
      -112.780810,
      44.424714,
      -112.839890,
      44.377142,
      -112.812208,
      44.359588,
      -112.854267,
      44.405938,
      -112.889557,
      44.452827,
      -113.004506,
      44.495512,
      -113.026824,
      44.525776,
      -113.006530,
      44.599663,
      -113.088292,
      44.634542,
      -113.050722,
      44.772758,
      -113.131459,
      44.822973,
      -113.246894,
      44.784664,
      -113.341276,
      44.835239,
      -113.377567,
      44.865424,
      -113.455071,
      44.942203,
      -113.498818,
      44.959380,
      -113.443939
    ]);
    poly[159] = _TzPolygon([
      45.562198,
      -114.509393,
      45.565223,
      -114.471946,
      45.509911,
      -114.424683,
      45.459722,
      -114.330047,
      45.484552,
      -114.269892,
      45.545813,
      -114.248450,
      45.536372,
      -114.193608,
      45.591464,
      -114.086102,
      45.652766,
      -114.015270,
      45.695901,
      -114.015482,
      45.695565,
      -113.937462,
      45.622007,
      -113.904691,
      45.601630,
      -113.806431,
      45.520657,
      -113.834778,
      45.520621,
      -113.766022,
      45.408477,
      -113.776043,
      45.390811,
      -113.733475,
      45.329409,
      -113.738661,
      45.278886,
      -113.680279,
      45.262503,
      -113.691887,
      45.184779,
      -113.592133,
      45.123851,
      -113.569884,
      45.116129,
      -113.511249,
      45.091388,
      -113.522187,
      45.059174,
      -113.452044,
      45.027844,
      -113.449499,
      45.027844,
      -114.509393
    ]);
    poly[160] = _TzPolygon([
      46.037723,
      -114.503066,
      46.031464,
      -114.507504,
      46.030349,
      -114.480347,
      45.992902,
      -114.479992,
      45.977870,
      -114.411755,
      45.936040,
      -114.431396,
      45.883926,
      -114.387868,
      45.851573,
      -114.409654,
      45.845373,
      -114.509393,
      46.037723,
      -114.509393
    ]);
    poly[161] = _TzPolygon([
      45.717820,
      -114.509393,
      45.703970,
      -114.495148,
      45.657535,
      -114.507646,
      45.656918,
      -114.509393
    ]);
    poly[162] = _TzPolygon([
      44.486011,
      -112.776478,
      44.504273,
      -112.717930,
      44.462766,
      -112.500642,
      44.479297,
      -112.472687,
      44.447308,
      -112.386524,
      44.538021,
      -112.352509,
      44.568559,
      -112.286568,
      44.520569,
      -112.106400,
      44.566621,
      -111.869319,
      44.508941,
      -111.821530,
      44.560148,
      -111.703164,
      44.538951,
      -111.468002,
      44.604553,
      -111.525678,
      44.643997,
      -111.516310,
      44.666190,
      -111.472483,
      44.705643,
      -111.488784,
      44.710739,
      -111.414273,
      44.754954,
      -111.384824,
      44.729548,
      -111.324378,
      44.667512,
      -111.266804,
      44.651265,
      -111.278477,
      44.622521,
      -111.219319,
      44.614525,
      -111.240889,
      44.576687,
      -111.227631,
      44.532429,
      -111.131382,
      44.497620,
      -111.127383,
      44.474072,
      -111.048974,
      44.017964,
      -111.047565,
      44.017964,
      -112.776478
    ]);
    poly[163] = _TzPolygon([
      46.037723,
      -124.253042,
      46.069884,
      -124.233775,
      46.130190,
      -124.314789,
      46.231659,
      -124.373345,
      46.543051,
      -124.353284,
      46.789352,
      -124.394747,
      46.895178,
      -124.469131,
      47.155984,
      -124.493524,
      47.381145,
      -124.682064,
      47.522715,
      -124.680650,
      47.599851,
      -124.767041,
      47.697041,
      -124.789722,
      47.775106,
      -124.890912,
      47.918860,
      -125.008005,
      48.048003,
      -125.017077,
      48.184511,
      -125.084094,
      48.307783,
      -125.021213,
      48.384212,
      -125.046421,
      48.459790,
      -125.028928,
      48.495179,
      -125.003617,
      48.503672,
      -124.915809,
      48.493444,
      -124.727250,
      48.296667,
      -124.012056,
      48.240000,
      -123.679056,
      48.224556,
      -123.541222,
      48.284028,
      -123.248444,
      48.422833,
      -123.115139,
      48.548722,
      -123.218944,
      48.694000,
      -123.267889,
      48.767111,
      -123.008500,
      48.831222,
      -123.008500,
      49.002072,
      -123.322240,
      49.001597,
      -120.508865,
      46.037723,
      -120.508865
    ]);
    poly[164] = _TzPolygon([
      49.000013,
      -118.142540,
      49.000954,
      -120.508865,
      49.527092,
      -120.508865,
      49.527092,
      -118.142540
    ]);
    poly[165] = _TzPolygon([
      47.739643,
      -115.776215,
      47.757334,
      -115.797498,
      47.755036,
      -115.830910,
      47.782407,
      -115.838954,
      47.782407,
      -115.776215
    ]);
    poly[166] = _TzPolygon([
      47.782407,
      -115.776215,
      47.782407,
      -115.838954,
      47.827857,
      -115.852312,
      47.853620,
      -115.918885,
      47.976842,
      -116.049108,
      49.000845,
      -116.049232,
      49.000823,
      -115.776215
    ]);
    poly[167] = _TzPolygon([
      49.000636,
      -115.776215,
      49.000873,
      -116.026933,
      49.199791,
      -116.027056,
      49.200096,
      -116.097580,
      49.260965,
      -116.066537,
      49.292839,
      -116.104873,
      49.289447,
      -116.168980,
      49.366738,
      -116.160073,
      49.421277,
      -116.238356,
      49.523009,
      -116.297379,
      49.515337,
      -116.361749,
      49.527092,
      -116.394144,
      49.527092,
      -115.776215
    ]);
    poly[168] = _TzPolygon([
      49.527092,
      -116.433699,
      49.492916,
      -116.465347,
      49.457535,
      -116.557321,
      49.472428,
      -116.662892,
      49.527092,
      -116.627919
    ]);
    poly[169] = _TzPolygon([
      49.001198,
      -118.142540,
      49.000845,
      -116.049232,
      47.976842,
      -116.049108,
      47.853620,
      -115.918885,
      47.827857,
      -115.852312,
      47.782407,
      -115.838954,
      47.782407,
      -118.142540
    ]);
    poly[170] = _TzPolygon([
      49.000013,
      -118.142540,
      49.527092,
      -118.142540,
      49.527092,
      -116.813730,
      49.348400,
      -116.760300,
      49.271900,
      -116.683700,
      49.177500,
      -116.830200,
      49.213500,
      -116.861000,
      49.182600,
      -116.940100,
      49.149900,
      -116.940200,
      49.167300,
      -116.988900,
      49.155800,
      -117.039200,
      49.059400,
      -117.038600,
      49.064000,
      -116.909500,
      49.037500,
      -116.886300,
      48.999528,
      -116.921458
    ]);
    poly[171] = _TzPolygon([
      51.776200,
      -118.142540,
      51.786500,
      -118.184600,
      51.852215,
      -118.142540
    ]);
    poly[172] = _TzPolygon([
      51.896556,
      -118.142540,
      51.895800,
      -118.159000,
      51.950400,
      -118.192600,
      51.986800,
      -118.288100,
      51.980800,
      -118.389500,
      52.031100,
      -118.400400,
      52.012600,
      -118.438900,
      52.054500,
      -118.512000,
      52.054100,
      -118.588400,
      52.104900,
      -118.607000,
      52.149966,
      -118.677906,
      52.189168,
      -118.579368,
      52.290461,
      -118.544295,
      52.287695,
      -118.502246,
      52.310741,
      -118.494032,
      52.334744,
      -118.389253,
      52.364032,
      -118.357355,
      52.361045,
      -118.306694,
      52.332877,
      -118.296382,
      52.384621,
      -118.219630,
      52.443856,
      -118.252459,
      52.485118,
      -118.198350,
      52.504579,
      -118.263188,
      52.539208,
      -118.290633,
      52.564545,
      -118.271993,
      52.577725,
      -118.328762,
      52.615241,
      -118.356640,
      52.678963,
      -118.288358,
      52.709582,
      -118.344445,
      52.737868,
      -118.328466,
      52.773778,
      -118.418889,
      52.847163,
      -118.384140,
      52.855392,
      -118.453112,
      52.886945,
      -118.453059,
      52.905830,
      -118.498212,
      52.881268,
      -118.615493,
      52.935640,
      -118.610602,
      52.978385,
      -118.672863,
      52.998701,
      -118.640158,
      53.016461,
      -118.648599,
      53.016461,
      -118.142540
    ]);
    poly[173] = _TzPolygon([
      50.808455,
      -116.959377,
      50.814770,
      -117.039935,
      50.858427,
      -117.045993,
      50.861598,
      -117.085543,
      50.958134,
      -117.039984,
      50.980840,
      -117.167425,
      51.022617,
      -117.135796,
      51.066500,
      -117.217300,
      51.271777,
      -117.326945,
      51.271777,
      -116.959377
    ]);
    poly[174] = _TzPolygon([
      49.527092,
      -116.813730,
      49.589200,
      -116.832300,
      49.637700,
      -116.911100,
      49.809200,
      -116.869700,
      49.798000,
      -116.719900,
      49.814500,
      -116.705800,
      49.737174,
      -116.586983,
      49.696965,
      -116.588644,
      49.641902,
      -116.677949,
      49.627647,
      -116.644628,
      49.573010,
      -116.685648,
      49.536360,
      -116.621989,
      49.527092,
      -116.627894
    ]);
    poly[175] = _TzPolygon([
      49.527092,
      -116.433699,
      49.537835,
      -116.423751,
      49.527092,
      -116.394144
    ]);
    poly[176] = _TzPolygon([
      50.808455,
      -116.959377,
      50.771388,
      -116.884687,
      50.784988,
      -116.813401,
      50.735411,
      -116.821000,
      50.678786,
      -116.749901,
      50.678398,
      -116.657584,
      50.641557,
      -116.578436,
      50.597275,
      -116.655905,
      50.466497,
      -116.718835,
      50.410002,
      -116.640500,
      50.317287,
      -116.620543,
      50.319355,
      -116.542133,
      50.216599,
      -116.561653,
      50.155409,
      -116.452936,
      50.065647,
      -116.499981,
      49.987453,
      -116.442456,
      49.965879,
      -116.461073,
      49.986438,
      -116.511892,
      49.953028,
      -116.580360,
      49.887545,
      -116.633889,
      49.876084,
      -116.695151,
      49.802979,
      -116.679400,
      49.809200,
      -116.869700,
      49.637700,
      -116.911100,
      49.589200,
      -116.832300,
      49.527092,
      -116.813730,
      49.527092,
      -116.959377
    ]);
    poly[177] = _TzPolygon([
      51.896556,
      -118.142540,
      51.897900,
      -118.113300,
      51.852215,
      -118.142540
    ]);
    poly[178] = _TzPolygon([
      51.776200,
      -118.142540,
      51.773300,
      -118.130700,
      51.732600,
      -118.109700,
      51.721400,
      -118.031700,
      51.748600,
      -118.012600,
      51.722100,
      -117.943000,
      51.656000,
      -117.913300,
      51.623800,
      -117.980100,
      51.530500,
      -117.940300,
      51.473200,
      -117.976000,
      51.451400,
      -117.923700,
      51.488200,
      -117.847500,
      51.453200,
      -117.815800,
      51.418300,
      -117.717400,
      51.467100,
      -117.432000,
      51.412200,
      -117.420400,
      51.401700,
      -117.373600,
      51.367700,
      -117.361800,
      51.361100,
      -117.249300,
      51.329200,
      -117.201200,
      51.300000,
      -117.235100,
      51.273500,
      -117.217300,
      51.283300,
      -117.333100,
      51.271777,
      -117.326945,
      51.271777,
      -118.142540
    ]);
    poly[179] = _TzPolygon([
      49.000636,
      -115.776215,
      53.016461,
      -115.776215,
      53.016461,
      -111.043564,
      48.997664,
      -111.043564,
      48.996667,
      -111.575694
    ]);
    poly[180] = _TzPolygon([
      47.739643,
      -115.776215,
      47.695118,
      -115.722648,
      47.653811,
      -115.736508,
      47.595300,
      -115.687758,
      47.547933,
      -115.755620,
      47.531375,
      -115.698314,
      47.484940,
      -115.686264,
      47.479610,
      -115.629488,
      47.423862,
      -115.759304,
      47.367404,
      -115.577639,
      47.299244,
      -115.528509,
      47.281444,
      -115.482264,
      47.256684,
      -115.319786,
      47.188334,
      -115.300577,
      47.101911,
      -115.144130,
      46.970036,
      -115.048789,
      46.971901,
      -115.001274,
      46.918681,
      -114.925143,
      46.860009,
      -114.948261,
      46.801630,
      -114.895189,
      46.814529,
      -114.865779,
      46.782711,
      -114.829306,
      46.780145,
      -114.784904,
      46.696902,
      -114.766786,
      46.739234,
      -114.665376,
      46.707262,
      -114.620787,
      46.672912,
      -114.642563,
      46.635900,
      -114.605732,
      46.649992,
      -114.541822,
      46.631801,
      -114.466834,
      46.671138,
      -114.358224,
      46.653417,
      -114.324615,
      46.519652,
      -114.342016,
      46.498811,
      -114.403184,
      46.436795,
      -114.368527,
      46.387046,
      -114.422447,
      46.283766,
      -114.427289,
      46.266041,
      -114.470720,
      46.169273,
      -114.444091,
      46.167680,
      -114.514858,
      46.145411,
      -114.527359,
      46.097790,
      -114.460475,
      46.037723,
      -114.503066,
      46.037723,
      -115.776215
    ]);
    poly[181] = _TzPolygon([
      49.000441,
      -111.043564,
      49.000262,
      -108.824497,
      37.958689,
      -108.824497,
      37.958689,
      -111.043564
    ]);
    poly[182] = _TzPolygon([
      48.999483,
      -108.824497,
      48.999609,
      -110.005078,
      52.667270,
      -110.005465,
      52.675360,
      -109.440797,
      52.696460,
      -109.440597,
      52.696660,
      -109.396297,
      52.739960,
      -109.396397,
      52.739860,
      -109.312397,
      52.820260,
      -109.323897,
      52.820160,
      -109.251297,
      52.929661,
      -109.252297,
      52.935861,
      -109.130497,
      52.885460,
      -109.130797,
      52.885360,
      -109.009697,
      52.804660,
      -109.009397,
      52.804260,
      -108.888597,
      52.929261,
      -108.912897,
      52.929361,
      -108.888397,
      53.016461,
      -108.888497,
      53.016461,
      -108.824497
    ]);
    poly[183] = _TzPolygon([
      60.001555,
      -129.974167,
      60.001555,
      -129.932869,
      59.998637,
      -129.932869,
      59.998620,
      -129.974167
    ]);
    poly[184] = _TzPolygon([
      63.201980,
      -129.932869,
      63.190038,
      -129.974167,
      63.201980,
      -129.974167
    ]);
    poly[185] = _TzPolygon([
      57.500087,
      -124.290734,
      57.499693,
      -124.309273,
      57.516526,
      -124.298417,
      57.551822,
      -124.407750,
      57.648435,
      -124.449058,
      57.684766,
      -124.592565,
      57.665623,
      -124.605847,
      57.739478,
      -124.763796,
      57.723380,
      -124.790544,
      57.822323,
      -124.885614,
      57.836473,
      -124.944816,
      57.979296,
      -124.913315,
      58.000000,
      -124.942122,
      58.000000,
      -124.290734
    ]);
    poly[186] = _TzPolygon([
      54.609562,
      -121.469667,
      54.651573,
      -121.531422,
      54.725058,
      -121.474411,
      54.796900,
      -121.525390,
      54.888683,
      -121.731934,
      54.841374,
      -121.783560,
      54.867867,
      -121.872446,
      54.927442,
      -121.848671,
      55.006678,
      -121.945442,
      55.099977,
      -122.107156,
      55.099358,
      -122.173484,
      55.137837,
      -122.192281,
      55.131633,
      -122.265848,
      55.171451,
      -122.294529,
      55.191848,
      -122.247787,
      55.210211,
      -122.262707,
      55.227090,
      -122.332827,
      55.315386,
      -122.431956,
      55.315093,
      -122.486368,
      55.408543,
      -122.595507,
      55.335409,
      -122.677471,
      55.380355,
      -122.792078,
      55.378117,
      -122.853772,
      55.420145,
      -122.890478,
      55.402029,
      -122.994077,
      55.462939,
      -122.999615,
      55.460728,
      -122.932832,
      55.501073,
      -122.966086,
      55.508230,
      -122.962461,
      55.508230,
      -121.469667
    ]);
    poly[187] = _TzPolygon([
      56.754115,
      -124.290734,
      56.754115,
      -123.784835,
      56.740579,
      -123.764521,
      56.685251,
      -123.761567,
      56.651708,
      -123.664181,
      56.589994,
      -123.670062,
      56.569416,
      -123.741461,
      56.534067,
      -123.678057,
      56.509162,
      -123.698476,
      56.512687,
      -123.604406,
      56.463774,
      -123.553875,
      56.413104,
      -123.559602,
      56.384363,
      -123.634151,
      56.352997,
      -123.618851,
      56.354077,
      -123.568948,
      56.321116,
      -123.529377,
      56.319171,
      -123.569541,
      56.258324,
      -123.574784,
      56.203269,
      -123.487451,
      56.177603,
      -123.513816,
      56.029904,
      -123.448476,
      55.968118,
      -123.478223,
      55.939265,
      -123.428016,
      55.883908,
      -123.453080,
      55.860694,
      -123.367078,
      55.835225,
      -123.385219,
      55.797587,
      -123.316687,
      55.756780,
      -123.310986,
      55.742275,
      -123.350080,
      55.713065,
      -123.330306,
      55.698971,
      -123.259977,
      55.738808,
      -123.160278,
      55.693927,
      -123.125509,
      55.641474,
      -123.150716,
      55.625635,
      -123.073132,
      55.584715,
      -123.079741,
      55.559763,
      -123.037867,
      55.583635,
      -122.967799,
      55.569548,
      -122.931404,
      55.508230,
      -122.962461,
      55.508230,
      -124.290734
    ]);
    poly[188] = _TzPolygon([
      57.500087,
      -124.290734,
      57.502457,
      -124.179184,
      57.455189,
      -124.183588,
      57.449636,
      -124.122223,
      57.404765,
      -124.134182,
      57.319517,
      -124.075250,
      57.294044,
      -124.180698,
      57.264720,
      -124.188497,
      57.204084,
      -124.094305,
      57.163792,
      -124.083458,
      57.163211,
      -124.038763,
      57.104594,
      -123.940030,
      57.055017,
      -123.923670,
      57.045236,
      -123.973385,
      57.013821,
      -123.983490,
      56.994375,
      -123.898045,
      56.938183,
      -123.889162,
      56.925831,
      -123.817463,
      56.893254,
      -123.852654,
      56.809357,
      -123.769783,
      56.769287,
      -123.807603,
      56.754115,
      -123.784835,
      56.754115,
      -124.290734
    ]);
    poly[189] = _TzPolygon([
      54.609562,
      -121.469667,
      54.566114,
      -121.405799,
      54.533009,
      -121.398970,
      54.539964,
      -121.363540,
      54.512274,
      -121.315076,
      54.517307,
      -121.270480,
      54.553350,
      -121.251945,
      54.549179,
      -121.127353,
      54.484455,
      -121.130910,
      54.449283,
      -121.075100,
      54.472775,
      -121.066068,
      54.452714,
      -121.044504,
      54.465825,
      -121.003519,
      54.449591,
      -120.935729,
      54.461752,
      -120.881575,
      54.490958,
      -120.877018,
      54.493932,
      -120.825910,
      54.471601,
      -120.792051,
      54.402535,
      -120.786132,
      54.409204,
      -120.733983,
      54.358546,
      -120.659741,
      54.299221,
      -120.729893,
      54.277301,
      -120.591339,
      54.212813,
      -120.561853,
      54.177733,
      -120.587031,
      54.144836,
      -120.551624,
      54.104937,
      -120.329175,
      54.116807,
      -120.183039,
      54.046444,
      -120.176987,
      54.029607,
      -120.207310,
      54.040745,
      -120.235835,
      53.981655,
      -120.263416,
      53.974365,
      -120.207471,
      53.934123,
      -120.195457,
      53.978469,
      -120.136553,
      53.979505,
      -120.077971,
      53.901899,
      -120.068654,
      53.894953,
      -120.059133,
      53.016461,
      -120.059133,
      53.016461,
      -121.469667
    ]);
    poly[190] = _TzPolygon([
      53.894953,
      -120.059133,
      55.508230,
      -120.059133,
      55.508230,
      -120.005964,
      53.796623,
      -120.009187,
      53.826173,
      -120.050849,
      53.863339,
      -120.015798
    ]);
    poly[191] = _TzPolygon([
      53.016461,
      -118.648599,
      53.034386,
      -118.657119,
      53.058119,
      -118.731233,
      53.046366,
      -118.778164,
      53.113450,
      -118.729147,
      53.236820,
      -118.948138,
      53.223281,
      -119.025825,
      53.205269,
      -118.993313,
      53.162950,
      -119.030079,
      53.141323,
      -118.994030,
      53.123837,
      -119.027356,
      53.190957,
      -119.147879,
      53.195370,
      -119.228791,
      53.176646,
      -119.261305,
      53.359374,
      -119.390954,
      53.348927,
      -119.447432,
      53.384764,
      -119.605757,
      53.363171,
      -119.606564,
      53.370171,
      -119.680946,
      53.429392,
      -119.767044,
      53.491508,
      -119.784937,
      53.518526,
      -119.835438,
      53.500232,
      -119.865523,
      53.516435,
      -119.901082,
      53.553155,
      -119.861881,
      53.614537,
      -119.921757,
      53.589973,
      -119.770267,
      53.612598,
      -119.716458,
      53.703248,
      -119.792713,
      53.711566,
      -119.912208,
      53.776398,
      -119.888731,
      53.798712,
      -120.001273,
      55.508230,
      -120.001292,
      55.508230,
      -118.648599
    ]);
    poly[192] = _TzPolygon([
      55.508230,
      -118.648599,
      55.508230,
      -120.001292,
      58.000000,
      -120.001319,
      58.000000,
      -118.648599
    ]);
    poly[193] = _TzPolygon([
      59.134960,
      -127.111802,
      59.132744,
      -127.141734,
      59.197095,
      -127.194471,
      59.218994,
      -127.164005,
      59.260890,
      -127.227862,
      59.329319,
      -127.179103,
      59.342593,
      -127.205980,
      59.308087,
      -127.310661,
      59.364413,
      -127.332888,
      59.354323,
      -127.392039,
      59.408338,
      -127.376578,
      59.416795,
      -127.465680,
      59.512000,
      -127.477920,
      59.524209,
      -127.501076,
      59.507448,
      -127.540002,
      59.562730,
      -127.553902,
      59.626277,
      -127.742770,
      59.758374,
      -127.818283,
      59.797371,
      -127.813098,
      59.816325,
      -127.738828,
      59.828759,
      -127.765922,
      59.839404,
      -127.734219,
      60.001447,
      -127.734219,
      60.001586,
      -127.111802
    ]);
    poly[194] = _TzPolygon([
      60.600990,
      -129.932869,
      60.600990,
      -127.111802,
      59.999812,
      -127.111802,
      59.998637,
      -129.932869
    ]);
    poly[195] = _TzPolygon([
      62.084156,
      -128.522335,
      62.141059,
      -128.597625,
      62.111014,
      -128.632946,
      62.133021,
      -128.682743,
      62.101634,
      -128.713194,
      62.099735,
      -128.762459,
      62.048279,
      -128.774238,
      62.072238,
      -128.804039,
      62.058904,
      -128.856075,
      62.088321,
      -128.825743,
      62.121495,
      -128.893622,
      62.098094,
      -128.939848,
      62.128740,
      -128.999833,
      62.106751,
      -129.137352,
      62.150810,
      -129.281073,
      62.212151,
      -129.200479,
      62.269447,
      -129.304358,
      62.317173,
      -129.316514,
      62.370281,
      -129.257695,
      62.369418,
      -129.216628,
      62.396224,
      -129.313901,
      62.451104,
      -129.268522,
      62.463767,
      -129.178176,
      62.487925,
      -129.181481,
      62.534214,
      -129.356156,
      62.584692,
      -129.426396,
      62.574034,
      -129.558339,
      62.633154,
      -129.484114,
      62.708855,
      -129.621296,
      62.826890,
      -129.693888,
      62.873125,
      -129.785333,
      62.895744,
      -129.765795,
      62.891367,
      -129.710237,
      62.922406,
      -129.740677,
      63.043350,
      -129.602501,
      63.079622,
      -129.628897,
      63.063638,
      -129.709518,
      63.083287,
      -129.845781,
      63.128604,
      -129.829297,
      63.138125,
      -129.888985,
      63.201980,
      -129.932869,
      63.201980,
      -128.522335
    ]);
    poly[196] = _TzPolygon([
      61.098579,
      -127.111802,
      61.128763,
      -127.122044,
      61.132862,
      -127.111802
    ]);
    poly[197] = _TzPolygon([
      61.375065,
      -127.111802,
      61.386643,
      -127.135873,
      61.462900,
      -127.139774,
      61.469889,
      -127.222032,
      61.511903,
      -127.277600,
      61.495980,
      -127.519343,
      61.539847,
      -127.655194,
      61.595701,
      -127.697716,
      61.608125,
      -127.798063,
      61.685714,
      -127.893347,
      61.750643,
      -128.072204,
      61.793776,
      -128.053860,
      61.809614,
      -127.994068,
      61.844229,
      -128.019165,
      61.865864,
      -128.073338,
      61.861287,
      -128.158830,
      61.841081,
      -128.180799,
      61.854643,
      -128.215617,
      61.936793,
      -128.256095,
      61.951490,
      -128.319803,
      61.991193,
      -128.382488,
      62.024138,
      -128.375379,
      62.062202,
      -128.493287,
      62.084156,
      -128.522335,
      63.201980,
      -128.522335,
      63.201980,
      -127.111802
    ]);
    poly[198] = _TzPolygon([
      59.134960,
      -127.111802,
      59.140147,
      -127.041720,
      59.121215,
      -126.964096,
      59.052940,
      -126.979742,
      58.952928,
      -126.914871,
      58.841031,
      -127.061170,
      58.789592,
      -127.011064,
      58.806974,
      -126.920182,
      58.735981,
      -126.797325,
      58.680132,
      -126.819675,
      58.682193,
      -126.872428,
      58.652628,
      -126.932485,
      58.652477,
      -126.865450,
      58.628428,
      -126.832358,
      58.667150,
      -126.795756,
      58.672062,
      -126.738829,
      58.585702,
      -126.592079,
      58.581367,
      -126.508815,
      58.607309,
      -126.482643,
      58.623935,
      -126.338791,
      58.536868,
      -126.342991,
      58.545530,
      -126.266698,
      58.449588,
      -126.092431,
      58.447042,
      -125.975342,
      58.395569,
      -125.938903,
      58.413119,
      -125.902789,
      58.403543,
      -125.853908,
      58.359153,
      -125.831458,
      58.349679,
      -125.780804,
      58.321222,
      -125.787302,
      58.306566,
      -125.701268,
      58.000000,
      -125.701268,
      58.000000,
      -127.111802
    ]);
    poly[199] = _TzPolygon([
      60.600990,
      -125.701268,
      60.000400,
      -125.701268,
      59.999812,
      -127.111802,
      60.600990,
      -127.111802
    ]);
  }
}

class _Initializer3 {
  static void _init() {
    poly[200] = _TzPolygon([
      58.306566,
      -125.701268,
      58.299330,
      -125.658792,
      58.325333,
      -125.555207,
      58.291177,
      -125.492480,
      58.339250,
      -125.443725,
      58.277112,
      -125.335263,
      58.328046,
      -125.297529,
      58.282567,
      -125.260531,
      58.236740,
      -125.143153,
      58.262606,
      -125.015366,
      58.236364,
      -124.982126,
      58.228591,
      -124.887139,
      58.163701,
      -124.880071,
      58.140954,
      -124.832919,
      58.059751,
      -124.925310,
      58.029630,
      -124.909559,
      58.024265,
      -124.967866,
      58.000000,
      -124.938431,
      58.000000,
      -125.701268
    ]);
    poly[201] = _TzPolygon([
      60.600990,
      -124.526163,
      60.534285,
      -124.417930,
      60.465877,
      -124.424106,
      60.458380,
      -124.290734,
      60.000987,
      -124.290734,
      60.000400,
      -125.701268,
      60.600990,
      -125.701268
    ]);
    poly[202] = _TzPolygon([
      60.458380,
      -124.290734,
      60.465877,
      -124.424106,
      60.534285,
      -124.417930,
      60.600990,
      -124.526163,
      60.600990,
      -124.290734
    ]);
    poly[203] = _TzPolygon([
      60.799632,
      -125.701268,
      60.803724,
      -125.732209,
      60.910558,
      -125.841816,
      60.848800,
      -125.976755,
      60.796041,
      -126.005355,
      60.813119,
      -126.108151,
      60.865971,
      -126.125686,
      60.853459,
      -126.268592,
      60.812973,
      -126.219674,
      60.780234,
      -126.262177,
      60.788491,
      -126.325003,
      60.767920,
      -126.375071,
      60.813244,
      -126.527952,
      60.767728,
      -126.627862,
      60.781473,
      -126.735869,
      60.760727,
      -126.848129,
      60.814075,
      -126.846336,
      60.861265,
      -126.929000,
      60.882574,
      -126.897556,
      61.027472,
      -126.950669,
      61.053027,
      -126.924797,
      61.065920,
      -127.012355,
      61.033035,
      -127.028398,
      61.028536,
      -127.088034,
      61.098579,
      -127.111802,
      61.132862,
      -127.111802,
      61.175393,
      -127.005531,
      61.223110,
      -126.986682,
      61.230850,
      -127.040194,
      61.346055,
      -127.051490,
      61.375065,
      -127.111802,
      63.201980,
      -127.111802,
      63.201980,
      -125.701268
    ]);
    poly[204] = _TzPolygon([
      60.600990,
      -124.526163,
      60.652280,
      -124.609385,
      60.702459,
      -124.635939,
      60.777842,
      -124.482961,
      60.818855,
      -124.542906,
      60.952339,
      -124.579364,
      60.947770,
      -124.746953,
      60.969209,
      -124.824610,
      60.920867,
      -124.883331,
      60.855727,
      -124.863968,
      60.854465,
      -124.979423,
      60.815728,
      -125.050927,
      60.843882,
      -125.086084,
      60.847677,
      -125.183877,
      60.776801,
      -125.325919,
      60.778620,
      -125.439963,
      60.831871,
      -125.573393,
      60.795592,
      -125.670721,
      60.799632,
      -125.701268,
      63.201980,
      -125.701268,
      63.201980,
      -124.290734,
      60.600990,
      -124.290734
    ]);
    poly[205] = _TzPolygon([
      58.000000,
      -118.648599,
      58.000000,
      -120.001319,
      60.000422,
      -120.001341,
      60.000289,
      -118.648599
    ]);
    poly[206] = _TzPolygon([
      60.002217,
      -124.290734,
      60.000422,
      -120.001341,
      58.000000,
      -120.001273,
      58.000000,
      -124.290734
    ]);
    poly[207] = _TzPolygon([
      60.458380,
      -124.290734,
      60.453515,
      -124.204178,
      60.371080,
      -124.232784,
      60.236863,
      -124.111698,
      60.198656,
      -124.121020,
      60.146014,
      -124.004868,
      60.074828,
      -123.992124,
      60.001187,
      -123.811471,
      60.000987,
      -124.290734
    ]);
    poly[208] = _TzPolygon([
      53.016461,
      -108.824497,
      53.229461,
      -109.073097,
      53.279061,
      -109.079897,
      53.333061,
      -109.241897,
      53.395661,
      -109.294297,
      53.375461,
      -109.465697,
      53.429561,
      -109.571597,
      53.488761,
      -109.549797,
      53.520761,
      -109.622297,
      53.587161,
      -109.643997,
      53.599461,
      -109.769097,
      53.551761,
      -109.839797,
      53.598902,
      -110.005616,
      59.999441,
      -110.006365,
      59.999511,
      -108.824497
    ]);
    poly[209] = _TzPolygon([
      59.999412,
      -118.648599,
      63.201980,
      -118.648599,
      63.201980,
      -108.824497,
      59.998641,
      -108.824497,
      59.998120,
      -114.891600
    ]);
    poly[210] = _TzPolygon([
      63.573302,
      -129.974167,
      63.561576,
      -129.914470,
      63.459813,
      -129.812706,
      63.467646,
      -129.915012,
      63.425950,
      -129.943454,
      63.381111,
      -129.897083,
      63.340261,
      -129.939362,
      63.330730,
      -129.974167
    ]);
    poly[211] = _TzPolygon([
      63.611464,
      -129.974167,
      63.610948,
      -129.956640,
      63.588796,
      -129.974167
    ]);
    poly[212] = _TzPolygon([
      64.791916,
      -108.824497,
      64.833631,
      -109.334405,
      65.500330,
      -110.667836,
      65.500314,
      -112.501267,
      66.757706,
      -116.616223,
      68.000283,
      -120.682778,
      69.558178,
      -120.683021,
      69.647998,
      -116.836275,
      69.631901,
      -116.638083,
      69.889305,
      -117.146563,
      70.000422,
      -117.118821,
      70.000460,
      -112.885251,
      69.833787,
      -112.885242,
      69.833789,
      -112.651894,
      69.882660,
      -112.633449,
      69.851674,
      -112.613155,
      69.852618,
      -112.519225,
      69.877909,
      -112.485232,
      69.854287,
      -112.507635,
      69.869615,
      -112.457630,
      69.853036,
      -112.483153,
      69.849592,
      -112.438355,
      69.880621,
      -112.342125,
      69.894573,
      -112.393529,
      69.896912,
      -112.322306,
      69.899178,
      -112.554541,
      69.866361,
      -112.563508,
      69.899007,
      -112.561049,
      69.910823,
      -112.655539,
      69.911882,
      -112.501887,
      70.000463,
      -112.501893,
      70.000492,
      -110.001642,
      79.129982,
      -110.002733,
      79.257032,
      -108.824497
    ]);
    poly[213] = _TzPolygon([
      53.375000,
      -107.756288,
      49.384490,
      -107.756288,
      49.384490,
      -108.824497,
      53.375000,
      -108.824497
    ]);
    poly[214] = _TzPolygon([
      49.530211,
      -101.392420,
      49.532731,
      -101.392564,
      49.532714,
      -101.417774,
      49.886670,
      -101.417546,
      49.886660,
      -101.447198,
      50.240543,
      -101.447153,
      50.240506,
      -101.476721,
      50.594388,
      -101.476995,
      50.594393,
      -101.508729,
      50.948485,
      -101.508695,
      50.948581,
      -101.538983,
      51.301712,
      -101.539110,
      51.301876,
      -101.570544,
      51.968568,
      -101.577230,
      51.968581,
      -101.609311,
      52.318158,
      -101.609055,
      52.318150,
      -101.637813,
      52.667274,
      -101.637705,
      52.667261,
      -101.671588,
      53.365781,
      -101.700606,
      53.365808,
      -101.735544,
      53.375000,
      -101.735532,
      53.375000,
      -101.392420
    ]);
    poly[215] = _TzPolygon([
      49.384490,
      -90.462040,
      49.500000,
      -90.000000,
      50.750000,
      -90.000000,
      51.000000,
      -90.500000,
      51.250000,
      -90.750000,
      51.500000,
      -90.750000,
      51.750000,
      -90.500000,
      52.000000,
      -90.000000,
      52.750000,
      -90.000000,
      52.750000,
      -89.000000,
      53.000000,
      -89.000000,
      53.375000,
      -88.500000,
      49.384490,
      -88.500000
    ]);
    poly[216] = _TzPolygon([
      53.375000,
      -101.735532,
      53.710706,
      -101.735099,
      53.375000,
      -101.735099
    ]);
    poly[217] = _TzPolygon([
      53.710706,
      -101.735099,
      53.710899,
      -101.770647,
      54.064403,
      -101.771323,
      54.064406,
      -101.810434,
      54.096808,
      -101.810446,
      54.259194,
      -102.264514,
      54.509138,
      -102.514514,
      54.759082,
      -102.514514,
      55.009026,
      -102.264514,
      55.111547,
      -101.924050,
      55.809401,
      -101.963723,
      55.809383,
      -102.004034,
      59.999220,
      -102.007591,
      59.999217,
      -101.735099
    ]);
    poly[218] = _TzPolygon([
      59.999511,
      -108.824497,
      59.999226,
      -102.000476,
      59.998641,
      -108.824497
    ]);
    poly[219] = _TzPolygon(
        [56.652520, -88.500000, 56.687256, -88.640613, 56.687256, -88.500000]);
    poly[220] = _TzPolygon([
      53.625000,
      -88.500000,
      54.000000,
      -89.000000,
      54.000000,
      -90.000000,
      56.229664,
      -89.999805,
      56.687256,
      -89.251433,
      56.687256,
      -88.640613,
      56.652520,
      -88.500000
    ]);
    poly[221] = _TzPolygon([
      58.343286,
      -93.017141,
      58.343286,
      -91.808775,
      57.089577,
      -91.808775,
      57.054292,
      -91.966190,
      57.049549,
      -92.123103,
      57.072747,
      -92.217068,
      57.047274,
      -92.443205,
      56.925189,
      -92.735427,
      56.940144,
      -92.753898,
      57.107378,
      -92.540321,
      57.237401,
      -92.448994,
      57.363230,
      -92.426660,
      57.525070,
      -92.498610,
      57.541890,
      -92.542170,
      57.799665,
      -92.728444,
      58.171787,
      -92.864617,
      58.200530,
      -92.918490
    ]);
    poly[222] = _TzPolygon([
      59.999143,
      -95.117549,
      59.999140,
      -94.826000,
      59.882520,
      -94.833267,
      59.787196,
      -94.773046,
      59.741779,
      -94.827901,
      59.726902,
      -94.788920,
      59.709594,
      -94.835799,
      59.700915,
      -94.794429,
      59.614267,
      -94.837809,
      59.568414,
      -94.764675,
      59.543643,
      -94.811212,
      59.383558,
      -94.707734,
      59.341757,
      -94.728630,
      59.351033,
      -94.662928,
      59.266971,
      -94.802273,
      59.008965,
      -94.797971,
      59.018478,
      -94.757136,
      58.988168,
      -94.691164,
      58.946576,
      -94.687268,
      58.942458,
      -94.596273,
      58.894701,
      -94.585133,
      58.887734,
      -94.618200,
      58.792745,
      -94.473451,
      58.707081,
      -94.430336,
      58.719674,
      -94.324465,
      58.781337,
      -94.293490,
      58.817005,
      -94.215553,
      58.777255,
      -94.146512,
      58.751561,
      -93.889687,
      58.763348,
      -93.838240,
      58.799372,
      -93.828922,
      58.769313,
      -93.813121,
      58.770561,
      -93.744063,
      58.800685,
      -93.754397,
      58.765807,
      -93.592723,
      58.767452,
      -93.529447,
      58.780939,
      -93.535915,
      58.754302,
      -93.486184,
      58.720328,
      -93.495224,
      58.698533,
      -93.432278,
      58.761426,
      -93.336548,
      58.756287,
      -93.230929,
      58.777508,
      -93.241429,
      58.724411,
      -93.162284,
      58.476360,
      -93.109101,
      58.343286,
      -93.017141,
      58.343286,
      -95.117549
    ]);
    poly[223] = _TzPolygon([
      56.687256,
      -89.251433,
      56.846610,
      -88.990816,
      56.839485,
      -88.912742,
      56.859364,
      -88.882881,
      56.827580,
      -88.860802,
      56.838909,
      -88.823349,
      56.797432,
      -88.831207,
      56.688774,
      -88.646759,
      56.687256,
      -88.640613
    ]);
    poly[224] = _TzPolygon([
      57.089577,
      -91.808775,
      57.268330,
      -91.011308,
      57.231216,
      -90.623676,
      57.189723,
      -90.517952,
      57.192989,
      -90.434857,
      57.162074,
      -90.420956,
      57.002819,
      -89.956692,
      56.928488,
      -89.385498,
      56.874093,
      -89.193315,
      56.846610,
      -88.990816,
      56.687256,
      -89.251433,
      56.687256,
      -91.808775
    ]);
    poly[225] = _TzPolygon([
      64.791916,
      -108.824497,
      79.257032,
      -108.824497,
      79.545902,
      -106.145572,
      80.123024,
      -102.001012,
      73.429675,
      -102.001534,
      72.242433,
      -93.894588,
      71.878142,
      -92.166233,
      70.017888,
      -89.606081,
      69.260324,
      -89.000000,
      67.000000,
      -89.000000,
      67.000000,
      -102.000000,
      64.233664,
      -102.000596
    ]);
    poly[226] = _TzPolygon([
      59.999511,
      -88.500000,
      59.999511,
      -102.000476,
      67.000000,
      -102.000000,
      67.000000,
      -89.000000,
      69.260324,
      -89.000000,
      70.017888,
      -89.606081,
      71.878142,
      -92.166233,
      72.242433,
      -93.894588,
      73.429675,
      -102.001534,
      80.123024,
      -102.001012,
      80.325468,
      -100.308415,
      80.513782,
      -97.549389,
      80.741941,
      -97.269837,
      81.457997,
      -95.359116,
      81.860549,
      -92.769392,
      82.090244,
      -91.567800,
      82.276869,
      -88.777954,
      82.303898,
      -88.500000
    ]);
    poly[227] = _TzPolygon([
      64.791916,
      -108.824497,
      64.233664,
      -102.000596,
      59.999511,
      -102.000476,
      59.999511,
      -108.824497
    ]);
    poly[228] = _TzPolygon([
      56.187094,
      -87.694290,
      56.095921,
      -87.629822,
      56.042232,
      -87.480354,
      55.998974,
      -87.430969,
      55.939842,
      -87.238563,
      55.916050,
      -86.908066,
      55.764652,
      -86.372040,
      55.707176,
      -86.260002,
      55.662723,
      -86.055709,
      55.655434,
      -85.902816,
      55.570255,
      -85.652534,
      55.405380,
      -85.399285,
      55.375016,
      -85.229233,
      55.290497,
      -85.072612,
      49.384490,
      -85.072612,
      49.384490,
      -88.500000,
      56.187094,
      -88.500000
    ]);
    poly[229] = _TzPolygon([
      52.496773,
      -81.645224,
      52.609474,
      -81.768943,
      52.664745,
      -81.883857,
      52.759502,
      -81.951309,
      52.764469,
      -82.000000,
      52.777893,
      -81.959579,
      52.785792,
      -81.971196,
      52.785792,
      -81.645224
    ]);
    poly[230] = _TzPolygon([
      52.785792,
      -81.645224,
      52.785792,
      -81.971196,
      52.882942,
      -82.114074,
      52.947357,
      -82.263153,
      53.117104,
      -82.281006,
      53.193077,
      -82.232246,
      53.267982,
      -82.112938,
      53.587864,
      -82.215851,
      53.819817,
      -82.126320,
      54.027718,
      -82.232956,
      54.164105,
      -82.394898,
      54.254684,
      -82.436592,
      54.508911,
      -82.316246,
      54.655407,
      -82.288452,
      54.803795,
      -82.197815,
      54.873863,
      -82.207588,
      54.860290,
      -82.239777,
      54.912853,
      -82.267212,
      55.109474,
      -82.253173,
      55.159210,
      -82.348266,
      55.054394,
      -82.311096,
      55.069969,
      -82.404572,
      55.116223,
      -82.453315,
      55.090477,
      -82.517067,
      55.180107,
      -82.680206,
      55.140431,
      -82.708428,
      55.128262,
      -82.803322,
      55.146702,
      -82.884864,
      55.221966,
      -82.958915,
      55.198608,
      -83.338745,
      55.267910,
      -83.692787,
      55.212089,
      -83.630547,
      55.294983,
      -83.886490,
      55.251080,
      -84.082718,
      55.278450,
      -84.171348,
      55.278042,
      -84.306732,
      55.236660,
      -84.550964,
      55.236389,
      -84.787575,
      55.271791,
      -84.999891,
      56.187094,
      -84.999905,
      56.187094,
      -81.645224
    ]);
    poly[231] = _TzPolygon([
      55.283933,
      -85.072612,
      56.187094,
      -85.072612,
      56.187094,
      -84.999905,
      55.271791,
      -84.999891,
      55.268990,
      -85.008796
    ]);
    poly[232] = _TzPolygon([
      56.187094,
      -81.645224,
      56.187094,
      -84.999905,
      62.989698,
      -85.000012,
      62.989698,
      -81.645224
    ]);
    poly[233] = _TzPolygon([
      56.187094,
      -87.694290,
      56.231095,
      -87.725403,
      56.389561,
      -87.925156,
      56.462406,
      -87.972641,
      56.538315,
      -88.278473,
      56.652520,
      -88.500000,
      62.989698,
      -88.500000,
      62.989698,
      -85.000012,
      56.187094,
      -84.999905
    ]);
    poly[234] = _TzPolygon([
      56.652520,
      -88.500000,
      56.538315,
      -88.278473,
      56.462406,
      -87.972641,
      56.389561,
      -87.925156,
      56.231095,
      -87.725403,
      56.187094,
      -87.694290,
      56.187094,
      -88.500000
    ]);
    poly[235] = _TzPolygon([
      52.496773,
      -81.645224,
      52.489052,
      -81.636749,
      52.443180,
      -81.545707,
      52.351895,
      -81.553116,
      52.291229,
      -81.478386,
      52.116081,
      -81.384544,
      52.041309,
      -81.160148,
      52.037338,
      -81.110115,
      52.058304,
      -81.080452,
      52.027325,
      -81.060181,
      52.040215,
      -81.043808,
      52.011433,
      -80.989090,
      51.898689,
      -80.881111,
      51.905666,
      -80.850395,
      51.880283,
      -80.823792,
      51.892727,
      -80.795173,
      51.813232,
      -80.708428,
      51.846146,
      -80.688545,
      51.805630,
      -80.688645,
      51.701687,
      -80.565765,
      51.549820,
      -80.513710,
      51.464264,
      -80.431786,
      51.382744,
      -80.432815,
      51.339314,
      -80.384712,
      51.308449,
      -80.292457,
      51.291893,
      -80.116425,
      51.243858,
      -79.990204,
      51.200288,
      -79.931531,
      49.384490,
      -79.931531,
      49.384490,
      -81.645224
    ]);
    poly[236] = _TzPolygon([
      51.200288,
      -79.931531,
      51.167770,
      -79.887741,
      51.157154,
      -79.799064,
      51.280308,
      -79.686867,
      51.329529,
      -79.744552,
      51.370861,
      -79.734863,
      51.380703,
      -79.707832,
      51.353138,
      -79.722573,
      51.343563,
      -79.674132,
      51.403736,
      -79.681580,
      51.416210,
      -79.611130,
      51.465935,
      -79.573998,
      51.465185,
      -79.501413,
      51.561030,
      -79.541538,
      51.679863,
      -79.329116,
      51.655965,
      -79.217186,
      51.577089,
      -79.244534,
      51.534057,
      -79.201320,
      51.538646,
      -79.103023,
      51.520714,
      -79.074684,
      51.085141,
      -79.074684,
      51.085141,
      -79.931531
    ]);
    poly[237] = _TzPolygon([
      52.785792,
      -78.756715,
      52.757078,
      -78.777712,
      52.775094,
      -78.836660,
      52.734555,
      -78.875524,
      52.711989,
      -78.783749,
      52.680263,
      -78.827034,
      52.669888,
      -78.730156,
      52.634225,
      -78.819098,
      52.602644,
      -78.710368,
      52.551186,
      -78.773927,
      52.491496,
      -78.552801,
      52.332117,
      -78.521438,
      52.289708,
      -78.584187,
      52.177735,
      -78.569691,
      52.057764,
      -78.673175,
      52.053581,
      -78.724436,
      51.989208,
      -78.722474,
      51.925380,
      -78.893032,
      51.841019,
      -78.862177,
      51.767592,
      -79.050736,
      51.613192,
      -78.880770,
      51.516140,
      -78.844912,
      51.481797,
      -78.795898,
      51.384082,
      -78.907835,
      51.333614,
      -78.879230,
      51.248244,
      -78.933198,
      51.167462,
      -78.867142,
      51.222862,
      -78.951008,
      51.286496,
      -78.936212,
      51.459908,
      -78.978590,
      51.520714,
      -79.074684,
      52.785792,
      -79.074684
    ]);
    poly[238] = _TzPolygon(
        [53.431739, -79.074684, 53.500475, -79.138578, 53.516867, -79.074684]);
    poly[239] = _TzPolygon([
      53.682954,
      -79.074684,
      53.694123,
      -79.159220,
      53.716022,
      -79.143230,
      53.713831,
      -79.090599,
      53.766074,
      -79.084248,
      53.769699,
      -79.074684
    ]);
    poly[240] = _TzPolygon(
        [53.792604, -79.074684, 53.795064, -79.082299, 53.795765, -79.074684]);
    poly[241] = _TzPolygon(
        [53.858173, -79.074684, 53.870221, -79.083484, 53.861974, -79.074684]);
    poly[242] = _TzPolygon(
        [53.885670, -79.074684, 53.902374, -79.105364, 53.898251, -79.074684]);
    poly[243] = _TzPolygon(
        [53.929164, -79.074684, 53.948967, -79.155066, 53.939203, -79.074684]);
    poly[244] = _TzPolygon(
        [53.942596, -79.074684, 53.949705, -79.107135, 53.952761, -79.074684]);
    poly[245] = _TzPolygon(
        [53.965376, -79.074684, 53.973700, -79.105658, 53.977333, -79.074684]);
    poly[246] = _TzPolygon([
      54.026383,
      -79.074684,
      54.023992,
      -79.103719,
      54.044557,
      -79.090647,
      54.080907,
      -79.177888,
      54.105004,
      -79.163409,
      54.100495,
      -79.074684
    ]);
    poly[247] = _TzPolygon([
      54.104149,
      -79.074684,
      54.130158,
      -79.124059,
      54.159808,
      -79.090832,
      54.137714,
      -79.244784,
      54.152630,
      -79.274953,
      54.174814,
      -79.237437,
      54.175454,
      -79.401392,
      54.231533,
      -79.310222,
      54.300164,
      -79.488423,
      54.345332,
      -79.470036,
      54.367055,
      -79.521034,
      54.437280,
      -79.487026,
      54.460543,
      -79.538528,
      54.486443,
      -79.509164,
      54.486443,
      -79.074684
    ]);
    poly[248] = _TzPolygon([
      52.785792,
      -78.761862,
      52.798727,
      -78.757741,
      52.806984,
      -78.794238,
      52.845271,
      -78.748980,
      52.851152,
      -78.834542,
      52.872690,
      -78.841376,
      52.861020,
      -78.888206,
      52.906982,
      -78.881033,
      52.913341,
      -78.921321,
      52.975727,
      -78.839387,
      52.981157,
      -78.934591,
      53.013113,
      -78.995149,
      53.030630,
      -78.955085,
      53.037203,
      -78.990952,
      53.055609,
      -78.931147,
      53.072022,
      -78.993482,
      53.140181,
      -78.946581,
      53.163901,
      -78.943088,
      53.169947,
      -78.976959,
      53.198555,
      -78.915338,
      53.211446,
      -78.944841,
      53.227688,
      -78.908604,
      53.232356,
      -78.953843,
      53.258470,
      -78.918921,
      53.269851,
      -78.972079,
      53.306830,
      -78.953331,
      53.327062,
      -78.999752,
      53.349197,
      -78.941323,
      53.385821,
      -78.952611,
      53.399133,
      -78.889535,
      53.410932,
      -79.064980,
      53.438931,
      -79.043155,
      53.426835,
      -79.070125,
      53.431739,
      -79.074684,
      53.516867,
      -79.074684,
      53.529227,
      -79.026505,
      53.564842,
      -79.031348,
      53.552378,
      -78.916538,
      53.567090,
      -78.985261,
      53.585092,
      -78.981675,
      53.585015,
      -79.074351,
      53.636117,
      -79.062641,
      53.636117,
      -78.217837,
      52.785792,
      -78.217837
    ]);
    poly[249] = _TzPolygon(
        [54.104149, -79.074684, 54.100105, -79.067007, 54.100495, -79.074684]);
    poly[250] = _TzPolygon([
      54.026383,
      -79.074684,
      54.029108,
      -79.041584,
      53.995529,
      -78.971581,
      54.000023,
      -79.068420,
      53.978142,
      -79.067791,
      53.977333,
      -79.074684
    ]);
    poly[251] = _TzPolygon(
        [53.965376, -79.074684, 53.956034, -79.039920, 53.952761, -79.074684]);
    poly[252] = _TzPolygon(
        [53.942596, -79.074684, 53.934980, -79.039917, 53.939203, -79.074684]);
    poly[253] = _TzPolygon([
      53.929501,
      -79.074684,
      53.899608,
      -78.951247,
      53.884680,
      -78.973691,
      53.898071,
      -79.074684
    ]);
    poly[254] = _TzPolygon([
      53.885557,
      -79.074684,
      53.873662,
      -79.052629,
      53.856420,
      -79.068757,
      53.861974,
      -79.074684
    ]);
    poly[255] = _TzPolygon([
      53.858173,
      -79.074684,
      53.842375,
      -79.063144,
      53.837120,
      -78.948760,
      53.806826,
      -78.954581,
      53.795765,
      -79.074684
    ]);
    poly[256] = _TzPolygon(
        [53.792604, -79.074684, 53.782064, -79.042058, 53.769699, -79.074684]);
    poly[257] = _TzPolygon([
      53.682954,
      -79.074684,
      53.680034,
      -79.052578,
      53.636117,
      -79.062641,
      53.636117,
      -79.074684
    ]);
    poly[258] = _TzPolygon([
      54.486443,
      -79.509164,
      54.489501,
      -79.505697,
      54.494865,
      -79.549013,
      54.523457,
      -79.536319,
      54.550978,
      -79.592823,
      54.565808,
      -79.530049,
      54.604806,
      -79.548519,
      54.624100,
      -79.584818,
      54.605398,
      -79.645531,
      54.628028,
      -79.665656,
      54.614821,
      -79.761573,
      54.635567,
      -79.774135,
      54.728733,
      -79.554477,
      54.860159,
      -78.973520,
      55.000000,
      -78.540218,
      55.043133,
      -78.315652,
      55.104528,
      -78.217837,
      54.486443,
      -78.217837
    ]);
    poly[259] = _TzPolygon([
      56.187094,
      -76.641539,
      56.146650,
      -76.642281,
      56.047835,
      -76.691017,
      56.000810,
      -76.799522,
      55.929778,
      -76.830164,
      55.827933,
      -76.978543,
      55.820223,
      -76.948683,
      55.822805,
      -76.993321,
      55.752620,
      -77.076064,
      55.749124,
      -77.052486,
      55.667230,
      -77.197289,
      55.719814,
      -77.078288,
      55.666792,
      -77.114831,
      55.395865,
      -77.554265,
      55.357940,
      -77.672390,
      55.271615,
      -77.783284,
      55.126956,
      -78.182104,
      55.104528,
      -78.217837,
      56.187094,
      -78.217837
    ]);
    poly[260] = _TzPolygon([
      58.482664,
      -78.217837,
      58.511207,
      -78.257790,
      58.520749,
      -78.330109,
      58.613431,
      -78.392553,
      58.608917,
      -78.437192,
      58.577533,
      -78.451993,
      58.568850,
      -78.385153,
      58.531613,
      -78.371605,
      58.557419,
      -78.470689,
      58.630370,
      -78.514551,
      58.670122,
      -78.615404,
      58.718865,
      -78.520381,
      58.772922,
      -78.592399,
      58.819216,
      -78.548171,
      58.933493,
      -78.599530,
      58.951266,
      -78.558708,
      58.913771,
      -78.450987,
      58.925913,
      -78.397117,
      58.992424,
      -78.302715,
      59.060478,
      -78.333443,
      59.072711,
      -78.299118,
      59.047947,
      -78.237732,
      59.114693,
      -78.270564,
      59.107473,
      -78.217837
    ]);
    poly[261] = _TzPolygon(
        [60.791479, -78.217837, 60.789666, -78.230859, 60.817553, -78.217837]);
    poly[262] = _TzPolygon([
      56.187094,
      -76.641539,
      56.190207,
      -76.641482,
      56.193783,
      -76.670324,
      56.202846,
      -76.615197,
      56.236862,
      -76.626536,
      56.287832,
      -76.557255,
      56.379708,
      -76.527154,
      56.555942,
      -76.556748,
      56.913180,
      -76.531624,
      56.924034,
      -76.570023,
      57.094678,
      -76.577184,
      57.326327,
      -76.669408,
      57.490789,
      -76.802190,
      57.705407,
      -76.904868,
      58.000000,
      -77.213234,
      58.018617,
      -77.198699,
      58.158863,
      -77.543660,
      58.217559,
      -77.522669,
      58.377964,
      -78.071282,
      58.482664,
      -78.217837,
      59.107473,
      -78.217837,
      59.097294,
      -78.143506,
      59.143958,
      -78.206220,
      59.184423,
      -78.138085,
      59.208883,
      -78.171467,
      59.236762,
      -78.038235,
      59.371311,
      -77.868729,
      59.390858,
      -77.765021,
      59.421604,
      -77.771880,
      59.384612,
      -77.927306,
      59.417150,
      -77.974331,
      59.448718,
      -77.951112,
      59.438065,
      -77.866118,
      59.487791,
      -77.937091,
      59.581917,
      -77.776548,
      59.588396,
      -77.781198,
      59.588396,
      -74.790449,
      56.187094,
      -74.790449
    ]);
    poly[263] = _TzPolygon([
      59.588396,
      -77.781198,
      59.679840,
      -77.846834,
      59.719928,
      -77.835025,
      59.718660,
      -77.744044,
      59.691713,
      -77.701196,
      59.708982,
      -77.541054,
      59.738460,
      -77.601258,
      59.761884,
      -77.592001,
      59.759707,
      -77.505192,
      59.827796,
      -77.377503,
      59.900326,
      -77.418596,
      59.912658,
      -77.487471,
      60.000000,
      -77.567627,
      60.030820,
      -77.519119,
      60.061857,
      -77.651135,
      60.167127,
      -77.563688,
      60.313822,
      -77.608406,
      60.327766,
      -77.660538,
      60.365224,
      -77.667988,
      60.386478,
      -77.787308,
      60.531371,
      -77.599743,
      60.589748,
      -77.799286,
      60.638313,
      -77.844850,
      60.701988,
      -77.711881,
      60.769083,
      -77.680461,
      60.743406,
      -77.789232,
      60.786172,
      -77.777507,
      60.749669,
      -77.926934,
      60.770647,
      -77.892165,
      60.790615,
      -77.923515,
      60.777451,
      -77.999847,
      60.803803,
      -78.129341,
      60.791479,
      -78.217837,
      60.817553,
      -78.217837,
      60.862435,
      -78.196879,
      60.931501,
      -78.100054,
      61.044457,
      -77.916374,
      61.060078,
      -77.837189,
      61.150087,
      -77.829425,
      61.197063,
      -77.723022,
      61.240859,
      -77.800614,
      61.246539,
      -77.762456,
      61.289047,
      -77.774125,
      61.289047,
      -76.504143,
      59.588396,
      -76.504143
    ]);
    poly[264] = _TzPolygon([
      61.289047,
      -77.774125,
      61.460909,
      -77.821303,
      61.438745,
      -77.737902,
      61.466286,
      -77.725944,
      61.477650,
      -77.573674,
      61.522204,
      -77.716286,
      61.576126,
      -77.655797,
      61.601315,
      -77.746094,
      61.679934,
      -77.798489,
      61.686870,
      -77.974057,
      61.728739,
      -78.032375,
      62.013718,
      -78.170000,
      62.157075,
      -78.204159,
      62.227340,
      -78.169823,
      62.258438,
      -78.204239,
      62.356690,
      -78.105247,
      62.473114,
      -77.725256,
      62.508673,
      -77.692929,
      62.517479,
      -77.594785,
      62.576849,
      -77.523886,
      62.580486,
      -77.430618,
      62.555074,
      -77.335162,
      62.516955,
      -76.773380,
      62.457502,
      -76.504143,
      61.289047,
      -76.504143
    ]);
    poly[265] = _TzPolygon([
      62.457502,
      -76.504143,
      62.352392,
      -76.028143,
      62.354351,
      -75.933517,
      62.266374,
      -75.506512,
      62.319052,
      -75.363516,
      62.258424,
      -74.916669,
      62.205728,
      -74.803039,
      62.208265,
      -74.790449,
      59.588396,
      -74.790449,
      59.588396,
      -76.504143
    ]);
    poly[266] = _TzPolygon([
      65.531634,
      -86.076901,
      65.531634,
      -85.256208,
      65.452991,
      -85.072612,
      63.144018,
      -85.072612,
      63.106410,
      -85.211020,
      63.114330,
      -85.369300,
      63.096020,
      -85.435830,
      63.128320,
      -85.562400,
      63.207040,
      -85.632730,
      63.399450,
      -85.662680,
      63.498310,
      -85.594500,
      63.546760,
      -85.630830,
      63.637670,
      -85.588190,
      63.688400,
      -85.636100,
      63.682670,
      -86.033400,
      63.632350,
      -86.261720,
      63.662600,
      -86.559180,
      63.641390,
      -86.660190,
      63.574840,
      -86.767180,
      63.545730,
      -86.935990,
      63.561420,
      -87.130440,
      63.656710,
      -87.218660,
      63.714790,
      -87.207280,
      63.911330,
      -86.900300,
      64.019440,
      -86.459100,
      64.065430,
      -86.353080,
      64.091360,
      -86.170960,
      64.166890,
      -86.183360,
      64.225570,
      -86.303820,
      64.260750,
      -86.280580,
      64.303840,
      -86.361640,
      64.406260,
      -86.329690,
      64.430280,
      -86.383260,
      64.579680,
      -86.392680,
      64.823390,
      -86.177340,
      64.873610,
      -86.195050,
      64.918740,
      -86.125310,
      64.985710,
      -86.210710,
      65.100830,
      -86.126310,
      65.286170,
      -86.158060,
      65.358840,
      -86.077620,
      65.373250,
      -86.135660,
      65.505980,
      -86.093380
    ]);
    poly[267] = _TzPolygon([
      65.531634,
      -86.076901,
      65.764210,
      -85.927510,
      65.923670,
      -85.515080,
      65.791890,
      -85.456630,
      65.794780,
      -85.389170,
      65.814540,
      -85.420360,
      65.833550,
      -85.354910,
      65.826080,
      -85.258070,
      65.761780,
      -85.140430,
      65.725650,
      -85.114440,
      65.719940,
      -85.171390,
      65.647503,
      -85.072612,
      65.570505,
      -85.072612,
      65.544510,
      -85.196050,
      65.567710,
      -85.277210,
      65.541290,
      -85.278750,
      65.531634,
      -85.256208
    ]);
    poly[268] = _TzPolygon([
      65.735862,
      -85.072612,
      65.744510,
      -85.099380,
      65.988620,
      -85.158770,
      66.030715,
      -85.083198,
      66.029979,
      -85.072612
    ]);
    poly[269] = _TzPolygon([
      62.989698,
      -85.000012,
      63.159975,
      -85.000015,
      63.227170,
      -84.775260,
      63.295750,
      -84.647710,
      63.285160,
      -84.565580,
      63.312430,
      -84.573510,
      63.371240,
      -84.453930,
      63.481820,
      -84.440090,
      63.606110,
      -84.282290,
      63.633470,
      -84.294360,
      63.592100,
      -84.083620,
      63.651760,
      -84.003480,
      63.718068,
      -83.814951,
      63.773079,
      -83.764209,
      63.763943,
      -83.605438,
      63.923014,
      -83.593896,
      64.006607,
      -83.663054,
      64.033190,
      -83.581481,
      64.101868,
      -83.532530,
      64.121058,
      -83.438072,
      64.097277,
      -83.393315,
      64.111508,
      -83.358918,
      62.989698,
      -83.358918
    ]);
    poly[270] = _TzPolygon([
      63.144078,
      -85.072612,
      63.159975,
      -85.000015,
      62.989698,
      -85.000012,
      62.989698,
      -85.072612
    ]);
    poly[271] = _TzPolygon([
      65.109593,
      -83.358918,
      65.140670,
      -83.397030,
      65.166980,
      -83.557870,
      65.154600,
      -83.690310,
      65.132750,
      -83.697890,
      65.167350,
      -83.699680,
      65.161200,
      -83.903130,
      65.193320,
      -83.872560,
      65.181760,
      -84.008530,
      65.207030,
      -84.056880,
      65.202980,
      -84.111580,
      65.220610,
      -84.084040,
      65.218160,
      -84.142850,
      65.270060,
      -84.235610,
      65.274360,
      -84.185050,
      65.336130,
      -84.128830,
      65.377010,
      -84.263010,
      65.374430,
      -84.347930,
      65.469880,
      -84.467530,
      65.475640,
      -84.553180,
      65.350710,
      -84.711860,
      65.213200,
      -84.771910,
      65.213600,
      -84.906580,
      65.329800,
      -84.986110,
      65.531634,
      -84.993627,
      65.531634,
      -83.358918
    ]);
    poly[272] = _TzPolygon([
      65.531634,
      -85.072612,
      65.531634,
      -85.000060,
      65.421008,
      -85.000094,
      65.452311,
      -85.072612
    ]);
    poly[273] = _TzPolygon([
      64.260666,
      -83.358918,
      64.260666,
      -81.718752,
      64.220211,
      -81.645224,
      64.104269,
      -81.645224,
      64.079860,
      -81.706690,
      64.041490,
      -82.010350,
      63.987200,
      -82.001400,
      63.979760,
      -81.865460,
      64.006527,
      -81.645224,
      63.566442,
      -81.645224,
      63.565810,
      -81.667540,
      63.591420,
      -81.660670,
      63.632890,
      -81.756530,
      63.624310,
      -81.910980,
      63.642760,
      -81.908700,
      63.686070,
      -82.063950,
      63.680660,
      -82.199140,
      63.656280,
      -82.253380,
      63.668230,
      -82.276370,
      63.643650,
      -82.293110,
      63.662670,
      -82.470180,
      63.705930,
      -82.468100,
      63.737790,
      -82.528360,
      63.788820,
      -82.491790,
      63.835930,
      -82.303370,
      63.874450,
      -82.397110,
      63.864240,
      -82.340350,
      63.893760,
      -82.356270,
      63.956490,
      -82.530380,
      63.955660,
      -82.782880,
      63.981251,
      -82.890824,
      63.938755,
      -83.064721,
      63.965734,
      -83.137686,
      64.007572,
      -83.138837,
      64.131145,
      -82.933088,
      64.178801,
      -83.002014,
      64.174996,
      -83.092989,
      64.149374,
      -83.161197,
      64.110323,
      -83.165030,
      64.143178,
      -83.282370,
      64.111508,
      -83.358918
    ]);
    poly[274] = _TzPolygon([
      65.109593,
      -83.358918,
      65.066500,
      -83.306070,
      65.003940,
      -83.302910,
      64.932310,
      -83.183600,
      64.913440,
      -83.001680,
      64.788010,
      -82.725490,
      64.747740,
      -82.525900,
      64.735520,
      -82.545560,
      64.761240,
      -82.346910,
      64.710160,
      -82.188920,
      64.683640,
      -82.211060,
      64.676060,
      -82.065260,
      64.633540,
      -82.038850,
      64.544127,
      -81.815612,
      64.461210,
      -81.731320,
      64.436710,
      -81.770630,
      64.267350,
      -81.730900,
      64.260666,
      -81.718752,
      64.260666,
      -83.358918
    ]);
    poly[275] = _TzPolygon([
      65.647503,
      -85.072612,
      65.610130,
      -85.021650,
      65.573030,
      -85.060620,
      65.570505,
      -85.072612
    ]);
    poly[276] = _TzPolygon([
      65.735862,
      -85.072612,
      66.029979,
      -85.072612,
      66.024293,
      -84.990774,
      65.990840,
      -85.008230,
      66.023677,
      -84.983878,
      66.018781,
      -84.915926,
      65.972920,
      -84.837040,
      65.941360,
      -84.848480,
      65.950770,
      -84.899730,
      65.907810,
      -84.791200,
      65.867060,
      -84.768460,
      65.869750,
      -84.725720,
      65.859730,
      -84.810330,
      65.832800,
      -84.700900,
      65.787900,
      -84.709270,
      65.767920,
      -84.640680,
      65.632450,
      -84.551420,
      65.557220,
      -84.631370,
      65.540330,
      -84.714370,
      65.585620,
      -84.819510,
      65.672380,
      -84.876110
    ]);
    poly[277] = _TzPolygon([
      68.073571,
      -85.000142,
      66.023903,
      -85.000090,
      66.024522,
      -85.072612,
      68.073571,
      -85.072612
    ]);
    poly[278] = _TzPolygon([
      65.570505,
      -85.072612,
      65.573030,
      -85.060620,
      65.610130,
      -85.021650,
      65.647503,
      -85.072612,
      65.740562,
      -85.072612,
      65.702961,
      -85.000008,
      65.531634,
      -85.000060,
      65.531634,
      -85.072612
    ]);
    poly[279] = _TzPolygon([
      73.157443,
      -85.000270,
      68.073571,
      -85.000142,
      68.073571,
      -88.500000,
      73.157443,
      -88.500000
    ]);
    poly[280] = _TzPolygon([
      64.220211,
      -81.645224,
      64.231510,
      -81.628300,
      64.128880,
      -81.583250,
      64.104269,
      -81.645224
    ]);
    poly[281] = _TzPolygon([
      64.006527,
      -81.645224,
      64.025380,
      -81.490110,
      64.044240,
      -81.429160,
      64.074870,
      -81.450660,
      64.085030,
      -81.389460,
      64.062430,
      -81.418340,
      64.074000,
      -81.288230,
      64.041540,
      -81.277980,
      64.021070,
      -81.074260,
      63.969242,
      -80.933669,
      63.985499,
      -80.904690,
      64.047430,
      -80.978030,
      64.079642,
      -80.912829,
      64.115282,
      -80.960017,
      64.119020,
      -80.918290,
      64.059730,
      -80.740660,
      64.005170,
      -80.695410,
      63.988620,
      -80.741600,
      64.001380,
      -80.608050,
      63.980200,
      -80.536720,
      63.944830,
      -80.513760,
      63.939380,
      -80.571410,
      63.911730,
      -80.562540,
      63.895590,
      -80.475710,
      63.872400,
      -80.580260,
      63.901230,
      -80.690530,
      63.875680,
      -80.664330,
      63.861120,
      -80.494040,
      63.819460,
      -80.315310,
      63.791230,
      -80.295170,
      63.800990,
      -80.204660,
      63.757900,
      -80.183920,
      63.786240,
      -80.175010,
      63.768960,
      -80.149500,
      63.724550,
      -80.212000,
      63.740140,
      -80.208690,
      63.718770,
      -80.489660,
      63.633220,
      -80.571720,
      63.566440,
      -80.791340,
      63.529410,
      -80.831150,
      63.525900,
      -80.910820,
      63.457620,
      -80.933320,
      63.445600,
      -81.048200,
      63.570010,
      -81.519280,
      63.566442,
      -81.645224
    ]);
    poly[282] = _TzPolygon([
      82.303898,
      -88.500000,
      82.356200,
      -87.962165,
      82.594807,
      -86.904367,
      82.771835,
      -85.000513,
      73.157443,
      -85.000270,
      73.157443,
      -88.500000
    ]);
    poly[283] = _TzPolygon([
      47.575298,
      -103.437448,
      47.527050,
      -103.434273,
      47.515476,
      -103.609627,
      47.575298,
      -103.610132
    ]);
    poly[284] = _TzPolygon([
      47.575298,
      -103.093448,
      47.570328,
      -103.183258,
      47.575298,
      -103.219296
    ]);
    poly[285] = _TzPolygon([
      47.575298,
      -102.432684,
      47.565319,
      -102.444198,
      47.515064,
      -102.438293,
      47.511234,
      -102.505493,
      47.544117,
      -102.599647,
      47.529018,
      -102.678001,
      47.574188,
      -102.693779,
      47.575298,
      -102.700876
    ]);
    poly[286] = _TzPolygon([
      42.766993,
      -102.432684,
      42.766993,
      -100.845588,
      42.755013,
      -100.845704,
      42.755328,
      -100.890666,
      42.611364,
      -100.890920,
      42.610367,
      -100.773315,
      42.438517,
      -100.775008,
      42.438502,
      -100.829514,
      42.351938,
      -100.829514,
      42.352040,
      -100.810093,
      42.205074,
      -100.808526,
      42.204855,
      -100.750189,
      42.088661,
      -100.750147,
      42.089584,
      -100.844398,
      41.740372,
      -100.843887,
      41.743195,
      -101.404457,
      41.395439,
      -101.405487,
      41.395943,
      -101.270180,
      41.048794,
      -101.268829,
      41.047630,
      -101.248695,
      40.697426,
      -101.245575,
      40.697338,
      -101.343185,
      40.002728,
      -101.322486,
      40.003062,
      -102.051756,
      39.568170,
      -102.049764,
      39.568550,
      -101.390160,
      39.134537,
      -101.391281,
      39.133850,
      -101.477890,
      38.700176,
      -101.484985,
      38.700375,
      -101.569351,
      37.958689,
      -101.536806,
      37.958689,
      -102.432684
    ]);
    poly[287] = _TzPolygon([
      45.171146,
      -102.432684,
      45.171146,
      -100.292771,
      45.095367,
      -100.328568,
      45.023617,
      -100.280991,
      45.025558,
      -100.371338,
      44.984058,
      -100.426239,
      44.860802,
      -100.398048,
      44.759071,
      -100.558273,
      44.831036,
      -100.691536,
      44.798576,
      -100.730042,
      44.767117,
      -100.716438,
      44.722065,
      -100.623131,
      44.577450,
      -100.637611,
      44.541946,
      -100.515800,
      44.493130,
      -100.579178,
      44.449493,
      -100.560533,
      44.168328,
      -100.848518,
      44.168338,
      -101.046893,
      43.846847,
      -101.068008,
      43.841442,
      -101.136740,
      43.820253,
      -101.141949,
      43.829918,
      -101.165590,
      43.808797,
      -101.169310,
      43.812404,
      -101.206887,
      43.785232,
      -101.233552,
      42.997896,
      -101.227692,
      42.997902,
      -100.901392,
      42.813727,
      -100.899765,
      42.813867,
      -100.865008,
      42.784552,
      -100.845418,
      42.766993,
      -100.845588,
      42.766993,
      -102.432684
    ]);
    poly[288] = _TzPolygon([
      45.171146,
      -100.291356,
      45.233192,
      -100.260887,
      45.312309,
      -100.316345,
      45.383984,
      -100.277863,
      45.499245,
      -100.363174,
      45.536617,
      -100.486488,
      45.594879,
      -100.430214,
      45.653843,
      -100.420937,
      45.654686,
      -100.339493,
      45.702648,
      -100.298958,
      45.816643,
      -100.387428,
      45.861507,
      -100.357803,
      45.878887,
      -100.426544,
      45.914410,
      -100.423439,
      45.909294,
      -100.473274,
      45.943654,
      -100.511793,
      45.944165,
      -101.324059,
      46.127716,
      -101.310051,
      46.149441,
      -101.189552,
      46.186039,
      -101.196503,
      46.215271,
      -101.116653,
      46.271698,
      -101.096138,
      46.277943,
      -101.025177,
      46.303230,
      -100.999718,
      46.320118,
      -101.017609,
      46.325314,
      -100.974876,
      46.373222,
      -100.924683,
      46.373222,
      -100.260872,
      45.171146,
      -100.260872
    ]);
    poly[289] = _TzPolygon([
      46.373222,
      -101.299215,
      46.373222,
      -100.924683,
      46.325314,
      -100.974876,
      46.320118,
      -101.017609,
      46.303230,
      -100.999718,
      46.275612,
      -101.036331,
      46.370392,
      -101.048958,
      46.370533,
      -101.299210
    ]);
    poly[290] = _TzPolygon([
      47.300749,
      -101.346778,
      47.366879,
      -101.362907,
      47.462914,
      -101.441185,
      47.519905,
      -101.374985,
      47.563206,
      -101.435257,
      47.527866,
      -101.611702,
      47.530487,
      -101.737099,
      47.495255,
      -101.817497,
      47.534542,
      -102.022751,
      47.572887,
      -102.029465,
      47.566730,
      -102.183136,
      47.575298,
      -102.194947,
      47.575298,
      -101.346778
    ]);
    poly[291] = _TzPolygon([
      47.560222,
      -102.432684,
      47.575298,
      -102.423863,
      47.575298,
      -102.205561,
      47.573383,
      -102.203430,
      47.329155,
      -102.207764,
      47.327629,
      -102.144234,
      46.982182,
      -102.144226,
      46.980900,
      -102.096992,
      46.717060,
      -102.093910,
      46.717266,
      -101.715202,
      46.631027,
      -101.716919,
      46.630083,
      -101.346778,
      46.373222,
      -101.346778,
      46.373222,
      -102.432684
    ]);
    poly[292] = _TzPolygon([
      47.242036,
      -101.346778,
      46.981875,
      -101.346778,
      46.982071,
      -101.763321,
      47.242020,
      -101.763672
    ]);
    poly[293] = _TzPolygon([
      46.630083,
      -101.346778,
      46.631027,
      -101.716919,
      46.717266,
      -101.715202,
      46.717060,
      -102.093910,
      46.980900,
      -102.096992,
      46.981981,
      -101.346778
    ]);
    poly[294] = _TzPolygon([
      46.630083,
      -101.346778,
      46.629963,
      -101.299706,
      46.373222,
      -101.299215,
      46.373222,
      -101.346778
    ]);
    poly[295] = _TzPolygon([
      47.300749,
      -101.346778,
      47.291618,
      -101.344551,
      47.268230,
      -101.256798,
      47.242039,
      -101.257156,
      47.242036,
      -101.346778
    ]);
    poly[296] = _TzPolygon([
      47.242036,
      -101.346778,
      47.242039,
      -101.257156,
      47.268230,
      -101.256798,
      47.246471,
      -101.201141,
      47.278255,
      -101.184792,
      47.295284,
      -101.078110,
      47.257961,
      -100.985664,
      47.185822,
      -100.988464,
      47.025436,
      -100.879517,
      46.982574,
      -100.935104,
      46.981875,
      -101.346778
    ]);
    poly[297] = _TzPolygon([
      46.373222,
      -101.299215,
      46.629963,
      -101.299706,
      46.630083,
      -101.346778,
      46.981981,
      -101.346778,
      46.982574,
      -100.935104,
      46.904800,
      -100.908463,
      46.806805,
      -100.817108,
      46.749069,
      -100.834251,
      46.731529,
      -100.774475,
      46.691620,
      -100.788506,
      46.689583,
      -100.742447,
      46.656368,
      -100.734642,
      46.677670,
      -100.639626,
      46.634357,
      -100.661606,
      46.593048,
      -100.565109,
      46.574833,
      -100.586197,
      46.531155,
      -100.543213,
      46.417394,
      -100.608800,
      46.412235,
      -100.681858,
      46.380089,
      -100.720617,
      46.400154,
      -100.734940,
      46.385326,
      -100.815903,
      46.407135,
      -100.889153,
      46.373222,
      -100.924683
    ]);
    poly[298] = _TzPolygon([
      38.511610,
      -87.528698,
      38.518406,
      -87.540489,
      38.491661,
      -87.540695,
      38.499451,
      -87.583733,
      38.450817,
      -87.598877,
      38.458000,
      -87.655998,
      38.432560,
      -87.662056,
      38.414097,
      -87.744130,
      38.475069,
      -87.739522,
      38.511911,
      -87.654166,
      38.568198,
      -87.652334,
      38.590988,
      -87.613831,
      38.641171,
      -87.619362,
      38.682720,
      -87.532755,
      38.689590,
      -87.528698
    ]);
    poly[299] = _TzPolygon([
      38.829184,
      -87.528698,
      38.863344,
      -87.553384,
      38.895093,
      -87.544089,
      38.895871,
      -87.528698
    ]);
  }
}

class _Initializer4 {
  static void _init() {
    poly[300] = _TzPolygon([
      38.397577,
      -86.679886,
      38.397579,
      -86.681435,
      38.444052,
      -86.681713,
      38.444052,
      -86.679886
    ]);
    poly[301] = _TzPolygon(
        [38.263424, -86.679886, 38.397579, -86.681435, 38.397577, -86.679886]);
    poly[302] = _TzPolygon([
      38.444052,
      -87.444677,
      38.444052,
      -87.072437,
      38.232304,
      -87.072975,
      38.231949,
      -87.298546,
      38.377327,
      -87.315987,
      38.379398,
      -87.407593,
      38.436062,
      -87.407120,
      38.436230,
      -87.444725
    ]);
    poly[303] = _TzPolygon([
      37.958689,
      -86.782360,
      37.998324,
      -86.813712,
      38.015083,
      -86.797275,
      37.998108,
      -86.772720,
      38.029007,
      -86.766540,
      38.040944,
      -86.786442,
      38.101456,
      -86.769600,
      38.143066,
      -86.806618,
      38.249157,
      -86.793579,
      38.256984,
      -86.679886,
      37.958689,
      -86.679886
    ]);
    poly[304] = _TzPolygon([
      38.444052,
      -87.072377,
      38.444052,
      -86.681250,
      38.248470,
      -86.679886,
      38.249157,
      -86.793579,
      38.207005,
      -86.793411,
      38.206470,
      -87.072777
    ]);
    poly[305] = _TzPolygon(
        [38.929415, -87.523497, 38.917917, -87.528698, 38.929415, -87.528698]);
    poly[306] = _TzPolygon([
      38.829184,
      -87.528698,
      38.788429,
      -87.499245,
      38.743126,
      -87.497078,
      38.689590,
      -87.528698
    ]);
    poly[307] = _TzPolygon([
      38.498743,
      -87.528698,
      38.495663,
      -87.495476,
      38.532169,
      -87.464203,
      38.466904,
      -87.463936,
      38.467056,
      -87.444534,
      38.444052,
      -87.444677,
      38.444052,
      -87.528698
    ]);
    poly[308] = _TzPolygon([
      38.444052,
      -86.679886,
      38.444052,
      -86.681713,
      38.907909,
      -86.684486,
      38.905399,
      -87.528698,
      38.929415,
      -87.520966,
      38.929402,
      -86.679886
    ]);
    poly[309] = _TzPolygon([
      38.444052,
      -87.444677,
      38.467056,
      -87.444534,
      38.466904,
      -87.463936,
      38.532169,
      -87.464203,
      38.539093,
      -87.387802,
      38.512032,
      -87.369240,
      38.544285,
      -87.358444,
      38.510220,
      -87.302177,
      38.552521,
      -87.203186,
      38.515636,
      -87.151665,
      38.537617,
      -87.107735,
      38.514671,
      -87.072258,
      38.444052,
      -87.072437
    ]);
    poly[310] = _TzPolygon([
      37.958689,
      -86.512997,
      38.027879,
      -86.524969,
      38.045672,
      -86.490685,
      37.958689,
      -86.371197
    ]);
    poly[311] = _TzPolygon([
      38.397182,
      -86.361189,
      38.397577,
      -86.679886,
      38.444045,
      -86.679886,
      38.444045,
      -86.361189
    ]);
    poly[312] = _TzPolygon([
      38.256984,
      -86.679886,
      38.264446,
      -86.571495,
      38.208244,
      -86.572021,
      38.208260,
      -86.461319,
      38.106781,
      -86.466217,
      38.078303,
      -86.430516,
      38.050490,
      -86.452192,
      38.038327,
      -86.521825,
      37.958689,
      -86.511647,
      37.958689,
      -86.679886
    ]);
    poly[313] = _TzPolygon([
      37.958689,
      -86.371197,
      38.045672,
      -86.490685,
      38.067171,
      -86.432789,
      38.124531,
      -86.457115,
      38.105040,
      -86.401407,
      38.129274,
      -86.379775,
      38.130577,
      -86.361189,
      37.958689,
      -86.361189
    ]);
    poly[314] = _TzPolygon(
        [38.166943, -86.361189, 38.171395, -86.375225, 38.196502, -86.361189]);
    poly[315] = _TzPolygon([
      38.397182,
      -86.361189,
      38.444045,
      -86.361189,
      38.444045,
      -86.042493,
      38.419053,
      -86.042493,
      38.422497,
      -86.309082,
      38.397114,
      -86.306793
    ]);
    poly[316] = _TzPolygon([
      37.958689,
      -86.043516,
      38.008641,
      -86.094663,
      38.011308,
      -86.178983,
      38.052721,
      -86.261273,
      38.137874,
      -86.271802,
      38.180989,
      -86.331092,
      38.201748,
      -86.290321,
      38.291420,
      -86.253128,
      38.316414,
      -86.289413,
      38.361698,
      -86.270500,
      38.360294,
      -86.248199,
      38.422401,
      -86.254448,
      38.419165,
      -86.042493,
      37.960669,
      -86.042493
    ]);
    poly[317] = _TzPolygon([
      38.130577,
      -86.361189,
      38.132877,
      -86.328398,
      38.156236,
      -86.327439,
      38.166943,
      -86.361189,
      38.196728,
      -86.361063,
      38.137874,
      -86.271802,
      38.052721,
      -86.261273,
      38.011308,
      -86.178983,
      38.008641,
      -86.094663,
      37.958840,
      -86.045374,
      37.963889,
      -86.042493,
      37.958689,
      -86.042493,
      37.958689,
      -86.361189
    ]);
    poly[318] = _TzPolygon([
      38.929392,
      -86.042493,
      38.929382,
      -85.405100,
      38.736694,
      -85.405100,
      38.736431,
      -85.416435,
      38.691794,
      -85.456733,
      38.586773,
      -85.428366,
      38.586138,
      -85.478087,
      38.606736,
      -85.496666,
      38.604641,
      -85.793938,
      38.563095,
      -85.821411,
      38.547020,
      -85.866867,
      38.503147,
      -85.884888,
      38.488686,
      -85.993774,
      38.418438,
      -85.994843,
      38.419053,
      -86.042493
    ]);
    poly[319] = _TzPolygon([
      37.963889,
      -86.042493,
      37.994708,
      -86.024907,
      37.997100,
      -85.934216,
      38.040669,
      -85.882564,
      38.085315,
      -85.719773,
      38.073924,
      -85.556654,
      38.118173,
      -85.429050,
      38.263586,
      -85.405100,
      37.958689,
      -85.405100,
      37.958689,
      -86.042493
    ]);
    poly[320] = _TzPolygon([
      38.263586,
      -85.405100,
      38.380139,
      -85.637879,
      38.440837,
      -85.604147,
      38.467992,
      -85.499305,
      38.537747,
      -85.417766,
      38.686032,
      -85.456647,
      38.727023,
      -85.437593,
      38.729917,
      -85.405100
    ]);
    poly[321] = _TzPolygon([
      38.929382,
      -85.405100,
      38.929379,
      -85.203407,
      38.691010,
      -85.201473,
      38.739879,
      -85.267691,
      38.736694,
      -85.405100
    ]);
    poly[322] = _TzPolygon([
      38.929415,
      -85.135857,
      38.903080,
      -85.140245,
      38.900969,
      -84.870672,
      38.874978,
      -84.784609,
      38.830370,
      -84.829928,
      38.783935,
      -84.815615,
      38.778147,
      -84.992287,
      38.687508,
      -85.188442,
      38.929379,
      -85.203407
    ]);
    poly[323] = _TzPolygon([
      38.929415,
      -87.520966,
      38.954417,
      -87.512187,
      38.988786,
      -87.578319,
      39.057286,
      -87.572588,
      39.144900,
      -87.645990,
      39.218404,
      -87.574558,
      39.282050,
      -87.609779,
      39.333649,
      -87.588813,
      39.347706,
      -87.531375,
      40.736892,
      -87.526046,
      40.736495,
      -87.096788,
      40.839874,
      -87.099533,
      40.840809,
      -86.987160,
      40.913391,
      -86.987656,
      40.909332,
      -86.467178,
      41.432968,
      -86.466603,
      41.432869,
      -86.524672,
      41.433800,
      -86.524674,
      41.433800,
      -86.466347,
      38.929415,
      -86.466347
    ]);
    poly[324] = _TzPolygon([
      41.433800,
      -86.641510,
      41.432968,
      -86.466603,
      41.374874,
      -86.466347,
      41.171120,
      -86.467056,
      41.172207,
      -86.930870,
      41.237099,
      -86.930038,
      41.285160,
      -86.784241,
      41.400585,
      -86.702057
    ]);
    poly[325] = _TzPolygon([
      41.172783,
      -86.698959,
      41.171120,
      -86.467056,
      40.997345,
      -86.466530,
      40.909332,
      -86.467178,
      40.913601,
      -86.929291,
      41.085999,
      -86.930954,
      41.172207,
      -86.930870
    ]);
    poly[326] = _TzPolygon([
      38.929415,
      -85.135368,
      39.308182,
      -85.065224,
      39.305186,
      -84.819389,
      41.433800,
      -84.807396,
      41.433800,
      -74.790449,
      38.929415,
      -74.790449
    ]);
    poly[327] = _TzPolygon([
      47.575298,
      -89.766677,
      46.566360,
      -90.418620,
      46.533768,
      -90.395069,
      46.553432,
      -90.332230,
      46.516896,
      -90.316554,
      46.501768,
      -90.216811,
      46.336992,
      -90.120263,
      46.138388,
      -89.091741,
      46.051242,
      -88.888320,
      44.504549,
      -88.888320,
      44.504549,
      -90.512970,
      47.575298,
      -90.512970
    ]);
    poly[328] = _TzPolygon([
      46.417681,
      -88.888320,
      46.417449,
      -88.992379,
      46.330379,
      -88.991730,
      46.332202,
      -89.365776,
      46.503688,
      -89.364647,
      46.506355,
      -89.738465,
      46.591235,
      -89.737343,
      46.592727,
      -89.865685,
      46.767847,
      -89.862763,
      46.671753,
      -90.035311,
      46.608837,
      -90.332711,
      46.566360,
      -90.418620,
      47.575298,
      -89.766677,
      47.575298,
      -88.888320
    ]);
    poly[329] = _TzPolygon(
        [45.782041, -88.075995, 45.809708, -88.130129, 45.866410, -88.075995]);
    poly[330] = _TzPolygon([
      45.874787,
      -88.075995,
      45.882282,
      -88.101264,
      45.921546,
      -88.102461,
      45.963532,
      -88.246894,
      45.955215,
      -88.327464,
      45.991765,
      -88.380503,
      45.975092,
      -88.416381,
      45.999514,
      -88.458672,
      45.991367,
      -88.489355,
      46.020019,
      -88.514692,
      46.017770,
      -88.601178,
      45.987896,
      -88.615957,
      45.988547,
      -88.670827,
      46.013699,
      -88.679073,
      46.015157,
      -88.780220,
      46.033645,
      -88.796557,
      46.020340,
      -88.816187,
      46.039924,
      -88.861900,
      46.039924,
      -88.075995
    ]);
    poly[331] = _TzPolygon(
        [45.874787, -88.075995, 45.872938, -88.069763, 45.866410, -88.075995]);
    poly[332] = _TzPolygon([
      45.782041,
      -88.075995,
      45.780085,
      -88.072167,
      45.795393,
      -87.991447,
      45.758220,
      -87.963452,
      45.754379,
      -87.876898,
      45.681483,
      -87.781419,
      45.652987,
      -87.825129,
      45.588498,
      -87.777199,
      45.563055,
      -87.792372,
      45.561045,
      -87.833733,
      45.499967,
      -87.792769,
      45.434473,
      -87.861697,
      45.403872,
      -87.849322,
      45.354697,
      -87.888052,
      45.349442,
      -87.754104,
      45.389893,
      -87.693956,
      45.368754,
      -87.657350,
      45.339396,
      -87.648126,
      45.197469,
      -87.741810,
      45.107512,
      -87.659952,
      45.076434,
      -87.442508,
      45.201969,
      -87.405694,
      45.240657,
      -87.315422,
      45.280796,
      -87.263670,
      44.504549,
      -87.263670,
      44.504549,
      -88.075995
    ]);
    poly[333] = _TzPolygon([
      45.280796,
      -87.263670,
      45.240657,
      -87.315422,
      45.201969,
      -87.405694,
      45.076434,
      -87.442508,
      45.094765,
      -87.591660,
      45.150084,
      -87.599895,
      45.293051,
      -87.436172,
      45.539402,
      -87.263670
    ]);
    poly[334] = _TzPolygon([
      45.539402,
      -87.263670,
      45.549538,
      -87.330078,
      45.898045,
      -87.329216,
      45.897785,
      -87.370407,
      45.984730,
      -87.370888,
      45.985188,
      -87.620338,
      46.039924,
      -87.620033,
      46.039924,
      -87.263670
    ]);
    poly[335] = _TzPolygon(
        [46.051242, -88.888320, 46.039924, -88.861900, 46.039924, -88.888320]);
    poly[336] = _TzPolygon([
      46.039924,
      -88.861900,
      46.051242,
      -88.888320,
      46.417681,
      -88.888320,
      46.419403,
      -88.117409,
      46.247120,
      -88.117798,
      46.247551,
      -87.618874,
      46.039924,
      -87.620033
    ]);
    poly[337] = _TzPolygon([
      45.280796,
      -87.263670,
      45.352540,
      -87.171170,
      45.444230,
      -87.101133,
      45.443610,
      -86.754236,
      45.236125,
      -86.249548,
      45.080800,
      -86.499930,
      44.881002,
      -86.686288,
      44.131905,
      -87.013234,
      43.734111,
      -87.114102,
      43.379859,
      -87.147166,
      42.493800,
      -87.019861,
      41.760956,
      -87.207774,
      41.759659,
      -86.524217,
      41.650224,
      -86.526638,
      41.649516,
      -86.487267,
      41.570473,
      -86.486484,
      41.523012,
      -86.499957,
      41.519988,
      -86.524839,
      41.433800,
      -86.524674,
      41.433800,
      -87.263670
    ]);
    poly[338] = _TzPolygon([
      41.433800,
      -86.524674,
      41.519988,
      -86.524839,
      41.523012,
      -86.499957,
      41.577677,
      -86.486173,
      41.649516,
      -86.487267,
      41.650224,
      -86.526638,
      41.759659,
      -86.524217,
      41.760216,
      -84.805883,
      41.433800,
      -84.804620
    ]);
    poly[339] = _TzPolygon([
      41.433800,
      -84.807396,
      41.696046,
      -84.805919,
      41.713984,
      -84.145365,
      41.433800,
      -84.145365
    ]);
    poly[340] = _TzPolygon([
      46.531101,
      -84.145365,
      46.534056,
      -84.225889,
      46.492944,
      -84.276250,
      46.500583,
      -84.421139,
      46.452861,
      -84.475639,
      46.460806,
      -84.556833,
      46.634306,
      -84.762833,
      46.888917,
      -84.860139,
      47.575298,
      -86.560039,
      47.575298,
      -84.145365
    ]);
    poly[341] = _TzPolygon([
      46.531101,
      -84.145365,
      46.530500,
      -84.129000,
      46.504222,
      -84.111139,
      46.420470,
      -84.145365
    ]);
    poly[342] = _TzPolygon([
      46.415536,
      -84.145365,
      46.241444,
      -84.108250,
      46.187333,
      -84.077139,
      46.149444,
      -84.005972,
      46.056750,
      -83.955472,
      46.060444,
      -83.903528,
      46.118861,
      -83.826333,
      46.105778,
      -83.571944,
      45.998167,
      -83.433778,
      45.821278,
      -83.597167,
      45.338639,
      -82.518611,
      43.591194,
      -82.122806,
      42.925812,
      -82.456027,
      42.761906,
      -82.467667,
      42.609849,
      -82.521568,
      42.550978,
      -82.589981,
      42.541746,
      -82.661886,
      42.373492,
      -82.830250,
      42.308680,
      -83.079419,
      42.238412,
      -83.126361,
      42.125263,
      -83.119228,
      42.041000,
      -83.149694,
      41.959410,
      -83.112460,
      41.733794,
      -83.415851,
      41.713984,
      -84.145365
    ]);
    poly[343] = _TzPolygon([
      41.713984,
      -84.145365,
      41.733794,
      -83.415851,
      41.959410,
      -83.112460,
      41.863583,
      -83.069111,
      41.676556,
      -82.679722,
      41.676556,
      -82.397472,
      42.207556,
      -81.245722,
      42.242444,
      -81.027060,
      41.433800,
      -81.027060,
      41.433800,
      -84.145365
    ]);
    poly[344] = _TzPolygon([
      45.006278,
      -74.790449,
      45.015861,
      -74.826528,
      44.977500,
      -74.992806,
      44.772167,
      -75.413722,
      44.515278,
      -75.766917,
      44.432056,
      -75.821389,
      44.367806,
      -75.912833,
      44.280722,
      -76.161806,
      44.239833,
      -76.164306,
      44.215000,
      -76.206833,
      44.199056,
      -76.312722,
      44.134333,
      -76.352861,
      44.094056,
      -76.438944,
      43.631139,
      -76.796694,
      43.631139,
      -78.690389,
      43.450472,
      -79.200667,
      43.254667,
      -79.055944,
      43.143667,
      -79.042333,
      43.077861,
      -79.074111,
      43.057885,
      -79.000418,
      42.984056,
      -79.016418,
      42.933576,
      -78.909411,
      42.828304,
      -78.935381,
      42.393556,
      -80.079944,
      42.242444,
      -81.027060,
      47.575298,
      -81.027060,
      47.575298,
      -74.790449
    ]);
    poly[345] = _TzPolygon([
      49.000262,
      -108.824497,
      48.999877,
      -104.048736,
      47.997105,
      -104.044118,
      47.959892,
      -103.965942,
      47.848114,
      -103.965576,
      47.848930,
      -103.800613,
      47.675797,
      -103.799232,
      47.675842,
      -103.738724,
      47.588871,
      -103.737091,
      47.589474,
      -103.610252,
      47.575298,
      -103.610132,
      47.575298,
      -108.824497
    ]);
    poly[346] = _TzPolygon([
      47.575298,
      -103.436537,
      47.591843,
      -103.438537,
      47.576626,
      -103.069450,
      47.633202,
      -103.020645,
      47.669712,
      -103.038185,
      47.674011,
      -103.004082,
      47.600971,
      -102.865021,
      47.575298,
      -102.711964
    ]);
    poly[347] = _TzPolygon([
      48.999474,
      -102.711964,
      48.999483,
      -108.824497,
      49.384490,
      -108.824497,
      49.384490,
      -102.711964
    ]);
    poly[348] = _TzPolygon([
      47.575298,
      -102.423863,
      47.590809,
      -102.414787,
      47.615253,
      -102.250025,
      47.575298,
      -102.250025
    ]);
    poly[349] = _TzPolygon([
      47.615253,
      -102.250025,
      47.575298,
      -102.205561,
      47.575298,
      -102.250025
    ]);
    poly[350] = _TzPolygon([
      48.999891,
      -102.711964,
      48.999968,
      -95.153150,
      47.615253,
      -95.153150,
      47.615253,
      -102.711964
    ]);
    poly[351] = _TzPolygon([
      49.384490,
      -95.153422,
      48.999968,
      -95.153150,
      48.999472,
      -101.361990,
      49.384490,
      -101.384065
    ]);
    poly[352] = _TzPolygon([
      49.384401,
      -95.153150,
      49.353250,
      -95.058306,
      49.370194,
      -94.957389,
      49.321389,
      -94.816278,
      48.884111,
      -94.683444,
      48.789444,
      -94.694389,
      48.741222,
      -94.641278,
      48.692389,
      -94.452389,
      48.710972,
      -94.415833,
      48.707806,
      -94.291194,
      48.649444,
      -94.224194,
      48.630222,
      -93.844361,
      48.516306,
      -93.793361,
      48.546444,
      -93.467389,
      48.591639,
      -93.465472,
      48.642806,
      -93.254667,
      48.623250,
      -93.178389,
      48.631556,
      -92.954778,
      48.608361,
      -92.950000,
      48.539389,
      -92.728417,
      48.542556,
      -92.634889,
      48.503278,
      -92.627028,
      48.494833,
      -92.698694,
      48.462972,
      -92.712694,
      48.436472,
      -92.656222,
      48.442630,
      -92.576575,
      47.575298,
      -92.576575,
      47.575298,
      -95.153150
    ]);
    poly[353] = _TzPolygon(
        [48.736900, -94.540200, 48.705211, -94.540403, 48.736900, -94.618618]);
    poly[354] = _TzPolygon([
      48.442630,
      -92.576575,
      48.447972,
      -92.507472,
      48.414083,
      -92.456444,
      48.352083,
      -92.469778,
      48.220278,
      -92.369917,
      48.248194,
      -92.269583,
      48.316250,
      -92.306167,
      48.354917,
      -92.262556,
      48.359361,
      -92.055222,
      48.321083,
      -92.000111,
      48.265417,
      -92.006528,
      48.252250,
      -91.954111,
      48.233139,
      -91.958361,
      48.237972,
      -91.893111,
      48.206944,
      -91.864361,
      48.199500,
      -91.715361,
      48.114639,
      -91.711750,
      48.122500,
      -91.682111,
      48.097111,
      -91.639917,
      48.108583,
      -91.559111,
      48.043778,
      -91.567500,
      48.068389,
      -91.488194,
      48.048667,
      -91.429583,
      48.074848,
      -91.288287,
      47.575298,
      -91.288287,
      47.575298,
      -92.576575
    ]);
    poly[355] = _TzPolygon([
      49.384450,
      -92.576575,
      49.384474,
      -91.288287,
      49.000000,
      -91.288287,
      49.000000,
      -91.752800,
      48.661400,
      -91.752800,
      48.647400,
      -91.924900,
      48.617100,
      -92.012400,
      48.560600,
      -92.097900,
      48.545500,
      -92.178500,
      48.464100,
      -92.267200,
      48.464100,
      -92.219900,
      48.405600,
      -92.150900,
      48.405600,
      -91.955800,
      48.377600,
      -91.955800,
      48.353878,
      -92.051986,
      48.354917,
      -92.262556,
      48.316250,
      -92.306167,
      48.248194,
      -92.269583,
      48.220167,
      -92.369139,
      48.352083,
      -92.469778,
      48.414083,
      -92.456444,
      48.447972,
      -92.507472,
      48.442630,
      -92.576575
    ]);
    poly[356] = _TzPolygon([
      48.074848,
      -91.288287,
      48.078833,
      -91.266778,
      48.181139,
      -91.082472,
      48.245944,
      -90.885750,
      48.239556,
      -90.839306,
      48.177028,
      -90.836389,
      48.163833,
      -90.777944,
      48.136889,
      -90.798222,
      48.090972,
      -90.751583,
      48.123806,
      -90.579667,
      48.095917,
      -90.556694,
      48.108750,
      -90.467389,
      48.090917,
      -90.374278,
      48.112611,
      -90.140833,
      48.084833,
      -90.023333,
      48.040013,
      -90.000000,
      47.575298,
      -90.000000,
      47.575298,
      -91.288287
    ]);
    poly[357] = _TzPolygon([
      48.250000,
      -90.000000,
      48.500000,
      -90.963900,
      49.000000,
      -90.963900,
      49.000000,
      -91.000000,
      49.250000,
      -91.000000,
      49.384490,
      -90.462040,
      49.384490,
      -90.000000
    ]);
    poly[358] = _TzPolygon([
      49.384474,
      -91.288287,
      49.384490,
      -90.462040,
      49.250000,
      -91.000000,
      49.000000,
      -91.000000,
      49.000000,
      -91.288287
    ]);
    poly[359] = _TzPolygon([
      48.040013,
      -90.000000,
      48.028167,
      -89.993833,
      47.987667,
      -89.897194,
      48.022944,
      -89.775361,
      48.003694,
      -89.650861,
      48.018000,
      -89.610694,
      47.996028,
      -89.580972,
      48.013716,
      -89.483385,
      47.575298,
      -89.766677,
      47.575298,
      -90.000000
    ]);
    poly[360] = _TzPolygon([
      47.575298,
      -89.766677,
      48.013716,
      -89.483385,
      47.974261,
      -89.337550,
      48.245397,
      -88.677442,
      48.306063,
      -88.369862,
      47.575298,
      -86.560039
    ]);
    poly[361] = _TzPolygon([
      48.515693,
      -89.241770,
      48.514520,
      -89.182575,
      48.483230,
      -89.182238,
      48.498834,
      -89.152530,
      48.475771,
      -89.151415,
      48.337464,
      -89.203006,
      48.354095,
      -89.289440,
      48.289425,
      -89.338349,
      48.289522,
      -89.388614,
      48.514883,
      -89.427850
    ]);
    poly[362] = _TzPolygon([
      48.515693,
      -74.790449,
      48.515693,
      -90.000000,
      49.384490,
      -90.000000,
      49.384490,
      -74.790449
    ]);
    poly[363] = _TzPolygon([
      16.259052,
      -92.524388,
      16.259052,
      -90.424127,
      16.249459,
      -90.456243,
      16.233535,
      -90.429012,
      16.208770,
      -90.458378,
      16.163874,
      -90.426029,
      16.149302,
      -90.452232,
      16.137619,
      -90.429320,
      16.111279,
      -90.458890,
      16.092712,
      -90.454985,
      16.103160,
      -90.426183,
      16.073805,
      -90.442155,
      16.073893,
      -91.731518,
      15.260624,
      -92.210543,
      15.069636,
      -92.059330,
      15.021265,
      -92.085653,
      14.989379,
      -92.150485,
      14.891650,
      -92.136216,
      14.828263,
      -92.184847,
      14.690168,
      -92.142914,
      14.575174,
      -92.184044,
      14.388624,
      -92.374389,
      14.534506,
      -92.524388
    ]);
    poly[364] = _TzPolygon(
        [16.259052, -90.424127, 16.298406, -90.437307, 16.298406, -90.424127]);
    poly[365] = _TzPolygon([
      14.277527,
      -90.424127,
      14.277527,
      -89.540646,
      14.219981,
      -89.525447,
      14.185392,
      -89.666846,
      14.119336,
      -89.725527,
      14.031734,
      -89.737473,
      14.058552,
      -89.855956,
      13.939036,
      -90.023241,
      13.897435,
      -90.036101,
      13.834582,
      -90.112175,
      13.782988,
      -90.117143,
      13.753666,
      -90.093049,
      13.747068,
      -90.135096,
      13.634580,
      -90.179097,
      13.730129,
      -90.424127
    ]);
    poly[366] = _TzPolygon([
      14.145074,
      -88.763006,
      14.164585,
      -88.798875,
      14.118432,
      -88.807631,
      14.104579,
      -88.831290,
      14.178619,
      -88.866682,
      14.205668,
      -88.902709,
      14.213175,
      -88.972326,
      14.258578,
      -88.991514,
      14.271430,
      -89.025804,
      14.277527,
      -89.025307,
      14.277527,
      -88.763006
    ]);
    poly[367] = _TzPolygon([
      13.100948,
      -88.763006,
      14.145074,
      -88.763006,
      14.131238,
      -88.737571,
      14.010135,
      -88.683569,
      14.022820,
      -88.627710,
      13.978223,
      -88.569002,
      13.985429,
      -88.528992,
      13.966999,
      -88.499758,
      13.910913,
      -88.510959,
      13.848557,
      -88.468004,
      13.885732,
      -88.418651,
      13.870320,
      -88.356406,
      13.896078,
      -88.345368,
      13.889904,
      -88.317336,
      13.914481,
      -88.265897,
      13.937240,
      -88.265183,
      13.937823,
      -88.226871,
      13.999938,
      -88.230003,
      13.992271,
      -88.072735,
      13.871008,
      -88.014784,
      13.902854,
      -87.959032,
      13.884478,
      -87.922072,
      13.920512,
      -87.799886,
      13.892242,
      -87.798994,
      13.804020,
      -87.708407,
      13.689278,
      -87.755454,
      13.603910,
      -87.754399,
      13.524001,
      -87.793452,
      13.505334,
      -87.720768,
      13.467370,
      -87.716363,
      13.442394,
      -87.723823,
      13.405345,
      -87.821631,
      13.348959,
      -87.743498,
      13.197257,
      -87.635139,
      13.127742,
      -87.662906,
      13.055135,
      -87.811139,
      12.976046,
      -87.901532,
      13.040801,
      -88.149177,
      13.028296,
      -88.402676
    ]);
    poly[368] = _TzPolygon([
      12.256649,
      -87.101885,
      12.335098,
      -87.236893,
      12.676029,
      -87.588116,
      12.781743,
      -87.741651,
      12.976046,
      -87.901532,
      13.108935,
      -87.720047,
      13.167505,
      -87.543216,
      13.078127,
      -87.479358,
      12.994697,
      -87.376361,
      13.001460,
      -87.101885
    ]);
    poly[369] = _TzPolygon([
      14.277527,
      -89.540646,
      14.295730,
      -89.545454,
      14.311504,
      -89.592266,
      14.347040,
      -89.587545,
      14.351679,
      -89.563425,
      14.416928,
      -89.573916,
      14.416140,
      -89.542585,
      14.379612,
      -89.529608,
      14.419990,
      -89.491408,
      14.412105,
      -89.434759,
      14.451049,
      -89.392882,
      14.427541,
      -89.385231,
      14.438066,
      -89.334515,
      14.364758,
      -89.181962,
      14.402375,
      -89.097665,
      14.341079,
      -89.082640,
      14.314239,
      -89.022311,
      14.277527,
      -89.025307
    ]);
    poly[370] = _TzPolygon([
      14.277527,
      -89.025307,
      14.314239,
      -89.022311,
      14.341079,
      -89.082640,
      14.402375,
      -89.097665,
      14.367367,
      -89.194944,
      14.438066,
      -89.334515,
      14.420616,
      -89.355987,
      14.466834,
      -89.356821,
      14.493859,
      -89.301905,
      14.584726,
      -89.238782,
      14.584238,
      -89.153547,
      14.671379,
      -89.157208,
      14.712619,
      -89.131294,
      14.731076,
      -89.165396,
      14.775031,
      -89.168907,
      14.834737,
      -89.223766,
      14.882547,
      -89.228084,
      14.928755,
      -89.172682,
      14.979754,
      -89.156632,
      15.002481,
      -89.184430,
      15.068276,
      -89.153596,
      15.136248,
      -88.973842,
      15.287732,
      -88.763006,
      14.277527,
      -88.763006
    ]);
    poly[371] = _TzPolygon([
      16.298406,
      -88.763006,
      15.966730,
      -88.763006,
      15.958374,
      -88.770630,
      15.887454,
      -88.922818,
      15.894432,
      -89.019023,
      15.917339,
      -89.054640,
      15.895775,
      -89.114966,
      15.913280,
      -89.176491,
      15.885729,
      -89.222330,
      15.896013,
      -89.227325,
      16.298406,
      -89.200533
    ]);
    poly[372] = _TzPolygon([
      16.298406,
      -88.308067,
      16.069956,
      -88.498377,
      16.050990,
      -88.686124,
      15.966730,
      -88.763006,
      16.298406,
      -88.763006
    ]);
    poly[373] = _TzPolygon([
      15.966730,
      -88.763006,
      16.050990,
      -88.686124,
      16.069956,
      -88.498377,
      15.907558,
      -88.175585,
      15.723487,
      -88.221558,
      15.720511,
      -88.250984,
      15.688664,
      -88.248414,
      15.672459,
      -88.324726,
      15.618539,
      -88.344576,
      15.426124,
      -88.570391,
      15.287732,
      -88.763006
    ]);
    poly[374] = _TzPolygon([
      16.298406,
      -90.437307,
      16.304503,
      -90.439349,
      16.339694,
      -90.382597,
      16.363924,
      -90.410369,
      16.363477,
      -90.372459,
      16.394145,
      -90.403333,
      16.413297,
      -90.389878,
      16.423064,
      -90.485338,
      16.460803,
      -90.479847,
      16.457908,
      -90.529304,
      16.482848,
      -90.546729,
      16.478371,
      -90.631161,
      16.502727,
      -90.605928,
      16.521325,
      -90.615713,
      16.517957,
      -90.646068,
      16.560845,
      -90.646977,
      16.577744,
      -90.626069,
      16.595848,
      -90.641200,
      16.581823,
      -90.667110,
      16.640335,
      -90.658118,
      16.727064,
      -90.714251,
      16.775668,
      -90.802141,
      16.798266,
      -90.804094,
      16.821935,
      -90.921765,
      16.859326,
      -90.933639,
      16.863626,
      -90.974055,
      16.884474,
      -90.954509,
      16.901500,
      -90.965009,
      16.897954,
      -90.985063,
      16.863085,
      -90.987831,
      16.902858,
      -91.065627,
      17.003384,
      -91.122759,
      17.015704,
      -91.175253,
      17.095059,
      -91.226958,
      17.107878,
      -91.266943,
      17.170133,
      -91.266447,
      17.182747,
      -91.324450,
      17.160025,
      -91.349162,
      17.190517,
      -91.354455,
      17.209295,
      -91.418817,
      17.250000,
      -91.439759,
      17.251299,
      -90.987446,
      17.575193,
      -90.987601,
      17.575193,
      -90.371441,
      16.298406,
      -90.371441
    ]);
    poly[375] = _TzPolygon([
      17.575193,
      -90.987601,
      17.815344,
      -90.987716,
      17.816509,
      -90.371441,
      17.575193,
      -90.371441
    ]);
    poly[376] = _TzPolygon([
      18.849401,
      -92.524388,
      18.851981,
      -92.511081,
      18.619346,
      -92.466890,
      18.561630,
      -92.427845,
      18.485672,
      -92.412844,
      18.442230,
      -92.353757,
      18.473050,
      -92.322530,
      18.455438,
      -92.310338,
      18.458227,
      -92.176022,
      18.274024,
      -92.183284,
      18.210378,
      -92.148868,
      18.155359,
      -92.160887,
      18.096940,
      -92.127485,
      18.097877,
      -92.039638,
      18.077910,
      -92.041963,
      18.015899,
      -91.966637,
      18.012147,
      -91.900430,
      17.939001,
      -91.762300,
      17.957731,
      -91.760483,
      17.872736,
      -91.638158,
      17.913322,
      -91.614159,
      18.059632,
      -91.619246,
      18.109727,
      -91.589369,
      18.121264,
      -91.604321,
      18.137312,
      -91.572335,
      18.157642,
      -91.579693,
      18.170173,
      -91.509666,
      18.116099,
      -91.504344,
      18.063101,
      -91.384947,
      18.061876,
      -91.327121,
      17.974344,
      -91.217261,
      17.962393,
      -90.987969,
      17.575193,
      -90.987684,
      17.575193,
      -92.524388
    ]);
    poly[377] = _TzPolygon([
      16.298406,
      -89.200533,
      17.057407,
      -89.149998,
      17.939527,
      -89.151957,
      17.972034,
      -89.132705,
      18.005122,
      -89.037521,
      17.984429,
      -89.000621,
      17.947284,
      -88.987224,
      17.959130,
      -88.944780,
      17.910595,
      -88.913682,
      17.894461,
      -88.859766,
      17.925191,
      -88.859435,
      17.979861,
      -88.784455,
      18.034298,
      -88.766652,
      18.050158,
      -88.736663,
      16.298406,
      -88.736663
    ]);
    poly[378] = _TzPolygon([
      17.816509,
      -90.371441,
      17.815629,
      -89.151901,
      17.057407,
      -89.149998,
      16.298406,
      -89.198679,
      16.298406,
      -90.371441
    ]);
    poly[379] = _TzPolygon([
      17.812455,
      -90.371441,
      18.851981,
      -90.371441,
      18.851981,
      -89.148766,
      18.451059,
      -89.150238,
      18.450625,
      -89.125490,
      18.385850,
      -89.121229,
      18.385544,
      -89.138214,
      18.293403,
      -89.132359,
      18.293563,
      -89.151674,
      18.145820,
      -89.143066,
      18.144629,
      -89.200237,
      18.083276,
      -89.202458,
      18.082443,
      -89.144383,
      18.057699,
      -89.144753,
      18.057885,
      -89.163361,
      18.018517,
      -89.163004,
      18.021080,
      -89.206739,
      17.992649,
      -89.207414,
      17.954100,
      -89.205872,
      17.953610,
      -89.152170,
      17.815629,
      -89.151901,
      17.812425,
      -90.365047
    ]);
    poly[380] = _TzPolygon([
      18.851981,
      -87.129834,
      18.770071,
      -87.101885,
      18.667023,
      -87.124465,
      18.550777,
      -87.117376,
      18.439605,
      -87.182276,
      18.377497,
      -87.307357,
      18.393330,
      -87.441241,
      18.478926,
      -87.538576,
      18.351753,
      -87.561545,
      18.246657,
      -87.620556,
      18.198073,
      -87.384787,
      17.916751,
      -87.374960,
      17.924180,
      -87.434822,
      18.198662,
      -87.864800,
      18.150168,
      -87.910739,
      18.170324,
      -87.932531,
      18.167524,
      -88.031167,
      18.414794,
      -88.030366,
      18.415552,
      -88.249634,
      18.473072,
      -88.250094,
      18.490429,
      -88.326816,
      18.478804,
      -88.380268,
      18.496001,
      -88.401988,
      18.475466,
      -88.447752,
      18.493721,
      -88.477921,
      18.461118,
      -88.519442,
      18.360991,
      -88.544032,
      18.291741,
      -88.605832,
      18.241034,
      -88.604686,
      18.187040,
      -88.694135,
      18.160635,
      -88.679938,
      18.108941,
      -88.718544,
      18.060831,
      -88.716481,
      18.050158,
      -88.736663,
      18.851981,
      -88.736663
    ]);
    poly[381] = _TzPolygon([
      13.720672,
      -87.101885,
      13.720672,
      -86.774558,
      13.662250,
      -86.786064,
      13.639266,
      -86.748981,
      13.576901,
      -86.769896,
      13.565278,
      -86.749444,
      13.456838,
      -86.723426,
      13.401947,
      -86.744380,
      13.365078,
      -86.706584,
      13.302806,
      -86.705795,
      13.267457,
      -86.754339,
      13.313278,
      -86.829022,
      13.268786,
      -86.909146,
      13.179331,
      -86.932968,
      13.155258,
      -86.913404,
      13.125607,
      -86.934448,
      13.092221,
      -86.918100,
      13.030384,
      -86.963393,
      12.980849,
      -87.050016,
      13.002376,
      -87.064708,
      13.001460,
      -87.101885
    ]);
    poly[382] = _TzPolygon([
      13.720672,
      -86.774558,
      13.766650,
      -86.765502,
      13.805277,
      -86.538446,
      13.769475,
      -86.490754,
      13.789847,
      -86.453698,
      13.759092,
      -86.416965,
      13.769130,
      -86.332264,
      13.816086,
      -86.296220,
      13.853328,
      -86.298805,
      13.955358,
      -86.186003,
      13.984034,
      -86.190698,
      13.999506,
      -86.140736,
      14.035004,
      -86.152978,
      14.056080,
      -86.087047,
      13.720672,
      -86.087047
    ]);
    poly[383] = _TzPolygon([
      14.559175,
      -85.072210,
      14.552383,
      -85.085021,
      14.585950,
      -85.122754,
      14.571808,
      -85.151605,
      14.516122,
      -85.138886,
      14.467860,
      -85.184048,
      14.428347,
      -85.181168,
      14.376760,
      -85.220760,
      14.302328,
      -85.153396,
      14.250447,
      -85.184492,
      14.248847,
      -85.339429,
      14.213072,
      -85.360887,
      14.221559,
      -85.382688,
      14.182618,
      -85.374620,
      14.123121,
      -85.404112,
      14.114386,
      -85.453907,
      14.076191,
      -85.493674,
      14.087987,
      -85.505505,
      14.047456,
      -85.519395,
      14.065053,
      -85.573277,
      14.009205,
      -85.624677,
      14.012045,
      -85.663904,
      13.979960,
      -85.676409,
      13.992992,
      -85.706770,
      13.967796,
      -85.753368,
      13.884232,
      -85.764078,
      13.861490,
      -85.733329,
      13.832231,
      -85.752179,
      13.849245,
      -85.819735,
      13.917630,
      -85.845418,
      13.929565,
      -85.881971,
      13.904389,
      -85.892264,
      13.908462,
      -85.913741,
      13.937596,
      -85.918517,
      13.996174,
      -86.042070,
      14.080251,
      -86.011436,
      14.056080,
      -86.087047,
      15.033118,
      -86.087047,
      15.033118,
      -85.072210
    ]);
    poly[384] = _TzPolygon([
      15.033118,
      -84.057372,
      14.768870,
      -84.057372,
      14.757257,
      -84.080363,
      14.786595,
      -84.081890,
      14.790840,
      -84.109833,
      14.730143,
      -84.095786,
      14.714501,
      -84.166838,
      14.733676,
      -84.227982,
      14.760610,
      -84.235393,
      14.734407,
      -84.271861,
      14.678450,
      -84.257886,
      14.662151,
      -84.276870,
      14.684466,
      -84.309845,
      14.679823,
      -84.349403,
      14.716600,
      -84.363387,
      14.641557,
      -84.414640,
      14.615845,
      -84.468591,
      14.630248,
      -84.530006,
      14.656355,
      -84.524823,
      14.672595,
      -84.665449,
      14.693937,
      -84.671846,
      14.664427,
      -84.701532,
      14.692135,
      -84.703552,
      14.715354,
      -84.744812,
      14.748499,
      -84.742977,
      14.749021,
      -84.771452,
      14.769684,
      -84.749964,
      14.816129,
      -84.790005,
      14.815225,
      -84.898119,
      14.758801,
      -84.927052,
      14.756339,
      -84.960370,
      14.702999,
      -85.028408,
      14.673460,
      -85.027047,
      14.660705,
      -85.050771,
      14.637776,
      -85.024545,
      14.610495,
      -85.043113,
      14.608882,
      -85.021580,
      14.574834,
      -85.042675,
      14.559175,
      -85.072210,
      15.033118,
      -85.072210
    ]);
    poly[385] = _TzPolygon([
      15.033118,
      -83.067713,
      14.982508,
      -83.232472,
      14.987660,
      -83.277698,
      15.005997,
      -83.276406,
      15.010115,
      -83.344316,
      14.995260,
      -83.348309,
      15.029703,
      -83.402169,
      14.990321,
      -83.420436,
      14.980954,
      -83.461915,
      15.011168,
      -83.498172,
      14.993470,
      -83.528232,
      14.950065,
      -83.529020,
      14.957165,
      -83.548585,
      14.942244,
      -83.537973,
      14.939113,
      -83.559893,
      14.912364,
      -83.560000,
      14.919717,
      -83.598627,
      14.874506,
      -83.615744,
      14.880117,
      -83.694040,
      14.853365,
      -83.722334,
      14.851292,
      -83.700325,
      14.824157,
      -83.701593,
      14.841167,
      -83.732111,
      14.819170,
      -83.732036,
      14.831578,
      -83.753157,
      14.806214,
      -83.763669,
      14.823592,
      -83.783414,
      14.773029,
      -83.843796,
      14.777283,
      -83.936435,
      14.747678,
      -83.923560,
      14.760857,
      -83.997235,
      14.746565,
      -84.033344,
      14.774676,
      -84.045877,
      14.768870,
      -84.057372,
      15.033118,
      -84.057372
    ]);
    poly[386] = _TzPolygon([
      18.851981,
      -89.148766,
      19.423862,
      -89.146667,
      19.551174,
      -89.296562,
      19.608022,
      -89.219556,
      19.636657,
      -89.222869,
      19.644006,
      -89.189203,
      19.637399,
      -89.144862,
      19.581249,
      -89.149521,
      19.581996,
      -89.122003,
      18.851981,
      -89.122003
    ]);
    poly[387] = _TzPolygon([
      19.613575,
      -89.122003,
      19.614632,
      -89.133641,
      19.703424,
      -89.123398,
      19.703018,
      -89.122003
    ]);
    poly[388] = _TzPolygon([
      21.568334,
      -89.122003,
      21.594353,
      -88.923560,
      21.622503,
      -88.822025,
      21.715895,
      -88.686540,
      21.767420,
      -88.437039,
      21.766912,
      -88.313606,
      21.817224,
      -88.214802,
      21.830571,
      -88.137432,
      21.802200,
      -87.908309,
      21.736884,
      -87.730326,
      21.690434,
      -87.510980,
      21.490226,
      -87.534927,
      20.999602,
      -87.533145,
      20.653787,
      -87.744259,
      20.446706,
      -87.962742,
      20.447316,
      -87.995065,
      20.417993,
      -87.992960,
      20.281372,
      -88.136490,
      20.290342,
      -88.264634,
      20.269120,
      -88.266815,
      20.253510,
      -88.308788,
      20.252097,
      -88.409128,
      20.239489,
      -88.402892,
      20.238150,
      -88.443426,
      20.192328,
      -88.519930,
      20.190078,
      -88.502345,
      20.143391,
      -88.507621,
      20.148078,
      -88.576681,
      20.089856,
      -88.690609,
      20.010357,
      -88.700176,
      20.008180,
      -88.783503,
      19.879926,
      -88.825926,
      19.861114,
      -88.900488,
      19.790949,
      -88.929512,
      19.818101,
      -88.974452,
      19.772007,
      -89.004087,
      19.776710,
      -89.025163,
      19.721493,
      -89.048827,
      19.727440,
      -88.994741,
      19.704884,
      -88.997529,
      19.708832,
      -89.030524,
      19.678040,
      -89.036200,
      19.703018,
      -89.122003
    ]);
    poly[389] = _TzPolygon([
      19.613575,
      -89.122003,
      19.612339,
      -89.108392,
      19.582349,
      -89.109024,
      19.581996,
      -89.122003
    ]);
    poly[390] = _TzPolygon([
      37.958689,
      -86.782360,
      37.958689,
      -86.511647,
      37.928829,
      -86.507831,
      37.921159,
      -86.588581,
      37.858272,
      -86.604624,
      37.841425,
      -86.648028,
      37.908621,
      -86.647081,
      37.894340,
      -86.731460
    ]);
    poly[391] = _TzPolygon([
      19.973824,
      -75.166823,
      19.973820,
      -75.086645,
      19.871762,
      -75.086563,
      19.869741,
      -75.232488,
      19.934591,
      -75.232020
    ]);
    poly[392] = _TzPolygon([
      21.151443,
      -74.790449,
      22.032971,
      -77.214826,
      22.432278,
      -77.820528,
      22.596111,
      -78.115444,
      22.875357,
      -78.790845,
      23.301043,
      -79.595880,
      23.481697,
      -80.377255,
      23.481697,
      -74.790449
    ]);
    poly[393] = _TzPolygon([
      31.530347,
      -86.493266,
      31.530347,
      -85.044373,
      31.364576,
      -85.092167,
      31.295026,
      -85.089774,
      31.276459,
      -85.115002,
      31.186451,
      -85.107516,
      31.108192,
      -85.035615,
      30.975908,
      -85.005734,
      30.883588,
      -84.934424,
      30.765990,
      -84.920123,
      30.696945,
      -84.857970,
      30.621382,
      -84.905951,
      30.580353,
      -84.965686,
      30.476521,
      -85.004434,
      30.444532,
      -84.980511,
      30.420581,
      -85.032729,
      30.409785,
      -85.013683,
      30.338185,
      -85.050313,
      30.312492,
      -85.034069,
      30.170786,
      -85.139824,
      30.117562,
      -85.129544,
      30.095280,
      -85.152987,
      30.043015,
      -85.135569,
      29.987685,
      -85.029921,
      29.950987,
      -85.017954,
      29.910286,
      -85.053762,
      29.818844,
      -85.019326,
      29.779549,
      -85.039964,
      29.774351,
      -85.104830,
      29.827949,
      -85.190491,
      29.877006,
      -85.210854,
      29.968375,
      -85.371508,
      30.027346,
      -85.391303,
      29.924309,
      -85.388447,
      29.810239,
      -85.646555,
      29.894167,
      -85.745172,
      30.094399,
      -86.111887,
      30.170999,
      -86.366191,
      30.182735,
      -86.493266
    ]);
    poly[394] = _TzPolygon([
      31.530347,
      -85.044373,
      31.540987,
      -85.041305,
      31.620227,
      -85.058169,
      31.694965,
      -85.125530,
      31.782181,
      -85.141876,
      31.892160,
      -85.134131,
      31.940159,
      -85.078930,
      32.021701,
      -85.048825,
      32.132486,
      -85.062060,
      32.194989,
      -84.964281,
      32.217477,
      -84.972658,
      32.219851,
      -84.928227,
      32.250149,
      -84.924427,
      32.260885,
      -84.888417,
      32.324018,
      -85.003768,
      32.356819,
      -84.988710,
      32.339000,
      -85.031000,
      32.355000,
      -85.073000,
      32.444000,
      -85.119000,
      32.514000,
      -85.214000,
      32.571000,
      -85.182000,
      32.656000,
      -85.198000,
      32.847000,
      -85.282000,
      32.954000,
      -85.237000,
      32.968098,
      -85.204399,
      33.673127,
      -85.344545,
      33.673127,
      -84.575844,
      31.530347,
      -84.575844
    ]);
    poly[395] = _TzPolygon([
      33.673127,
      -85.344545,
      34.984610,
      -85.605242,
      34.983184,
      -85.473875,
      35.047222,
      -85.381691,
      35.087975,
      -85.361694,
      35.109035,
      -85.395241,
      35.146053,
      -85.388221,
      35.455822,
      -85.168365,
      35.446598,
      -85.148132,
      35.476330,
      -85.117310,
      35.491520,
      -85.146507,
      35.545612,
      -85.096718,
      35.571564,
      -85.107719,
      35.773621,
      -84.905212,
      35.815908,
      -84.799654,
      35.815908,
      -84.575844,
      33.673127,
      -84.575844
    ]);
    poly[396] = _TzPolygon([
      36.887299,
      -86.493266,
      36.887299,
      -85.011997,
      36.858303,
      -85.064011,
      36.756046,
      -85.003731,
      36.703972,
      -85.021294,
      36.633614,
      -85.003380,
      36.616868,
      -84.988565,
      36.603372,
      -84.785341,
      36.394909,
      -84.659531,
      36.376568,
      -84.724442,
      36.336815,
      -84.739395,
      36.334450,
      -84.774277,
      36.298820,
      -84.794266,
      36.289600,
      -84.872047,
      36.208321,
      -84.912613,
      36.151085,
      -84.903748,
      36.084179,
      -84.832413,
      36.090717,
      -84.805550,
      35.994560,
      -84.720062,
      35.907455,
      -84.679497,
      35.823681,
      -84.780251,
      35.815908,
      -84.799654,
      35.815908,
      -86.493266
    ]);
    poly[397] = _TzPolygon([
      36.887299,
      -85.011997,
      36.887299,
      -84.609821,
      36.880714,
      -84.604774,
      36.887299,
      -84.596516,
      36.887299,
      -84.584413,
      36.847397,
      -84.575844,
      36.840290,
      -84.595482,
      36.803455,
      -84.581558,
      36.809513,
      -84.603325,
      36.754250,
      -84.674629,
      36.603205,
      -84.778269,
      36.616868,
      -84.988565,
      36.693539,
      -85.020210,
      36.756046,
      -85.003731,
      36.858303,
      -85.064011
    ]);
    poly[398] = _TzPolygon([
      37.958689,
      -86.371197,
      37.798916,
      -86.151718,
      37.593296,
      -86.275375,
      37.556240,
      -86.180351,
      37.566570,
      -86.113098,
      37.483006,
      -86.051506,
      37.448532,
      -86.056473,
      37.422054,
      -85.656998,
      37.471039,
      -85.633911,
      37.470631,
      -85.584618,
      37.432098,
      -85.584579,
      37.363678,
      -85.479118,
      37.242134,
      -85.388390,
      37.224472,
      -85.410957,
      37.221268,
      -85.372246,
      37.192234,
      -85.353226,
      37.246124,
      -85.312653,
      37.272629,
      -85.192299,
      37.312031,
      -85.176514,
      37.256798,
      -85.056480,
      37.196941,
      -85.053368,
      37.102242,
      -84.954109,
      37.116501,
      -84.901482,
      37.047607,
      -84.905495,
      36.997822,
      -84.835594,
      36.945606,
      -84.908035,
      36.960281,
      -84.944199,
      36.915924,
      -84.960648,
      36.887299,
      -85.011997,
      36.887299,
      -86.493266,
      37.958689,
      -86.493266
    ]);
    poly[399] = _TzPolygon([
      36.887299,
      -85.011997,
      36.915924,
      -84.960648,
      36.960281,
      -84.944199,
      36.945606,
      -84.908035,
      36.997822,
      -84.835594,
      36.958000,
      -84.770294,
      36.982834,
      -84.683052,
      36.887299,
      -84.609821
    ]);
  }
}

class _Initializer5 {
  static void _init() {
    poly[400] = _TzPolygon(
        [36.887299, -84.596516, 36.895538, -84.586182, 36.887299, -84.584413]);
    poly[401] = _TzPolygon([
      23.481697,
      -74.790449,
      23.481697,
      -80.377255,
      23.506421,
      -80.484193,
      23.592825,
      -80.581646,
      23.910715,
      -80.700194,
      24.065363,
      -80.633744,
      24.143564,
      -80.524446,
      24.247967,
      -80.003586,
      25.004520,
      -79.363241,
      25.204628,
      -79.370973,
      25.322585,
      -79.406819,
      25.520448,
      -79.514367,
      25.638981,
      -79.536084,
      25.811223,
      -79.504861,
      26.091627,
      -79.316140,
      27.020753,
      -79.315421,
      27.128711,
      -79.210116,
      27.450706,
      -78.525181,
      27.473455,
      -78.419224,
      27.424560,
      -78.182860,
      27.274784,
      -77.906548,
      27.234373,
      -77.702998,
      27.140405,
      -77.461399,
      26.757829,
      -76.863673,
      26.649623,
      -76.761429,
      25.276453,
      -75.948835,
      24.821016,
      -75.514130,
      24.507391,
      -74.790449
    ]);
    poly[402] = _TzPolygon([
      53.299009,
      -169.047661,
      53.299009,
      -166.534963,
      53.286358,
      -166.560593,
      53.247220,
      -166.728682,
      53.238927,
      -166.987814,
      53.099691,
      -167.309782,
      53.042476,
      -167.563720,
      53.039564,
      -167.701567,
      53.088390,
      -167.867361,
      53.082363,
      -167.959214,
      53.028831,
      -168.052475,
      52.898702,
      -168.109744,
      52.822271,
      -168.248691,
      52.794237,
      -168.360580,
      52.791331,
      -168.493636,
      52.605965,
      -169.059824,
      52.575956,
      -169.247046,
      52.591763,
      -169.375135,
      52.634709,
      -169.479863,
      53.098748,
      -169.331542,
      53.128878,
      -169.178205,
      53.169365,
      -169.122974,
      53.296048,
      -169.052268
    ]);
    poly[403] = _TzPolygon([
      65.467585,
      -168.924586,
      65.480794,
      -169.016222,
      65.985947,
      -168.924586
    ]);
    poly[404] = _TzPolygon([
      60.306013,
      -141.000000,
      60.306369,
      -141.001980,
      69.845880,
      -141.002750,
      69.845643,
      -141.000000
    ]);
    poly[405] = _TzPolygon([
      55.300967,
      -131.568369,
      55.181496,
      -131.293888,
      55.138156,
      -131.338965,
      55.028623,
      -131.342120,
      54.993297,
      -131.375685,
      55.011397,
      -131.539044,
      54.979030,
      -131.654746,
      55.040000,
      -131.674000,
      55.128513,
      -131.614941,
      55.137965,
      -131.667861,
      55.195295,
      -131.602997,
      55.272598,
      -131.626116
    ]);
    poly[406] = _TzPolygon([
      54.456000,
      -129.974167,
      54.456000,
      -131.357994,
      54.475000,
      -131.382748,
      54.567000,
      -131.435757,
      54.689553,
      -131.435100,
      54.707474,
      -130.615673,
      54.763058,
      -130.659038,
      54.917729,
      -130.345938,
      55.062842,
      -130.187563,
      55.192602,
      -130.102842,
      55.281919,
      -129.974167
    ]);
    poly[407] = _TzPolygon([
      55.281919,
      -129.974167,
      55.300967,
      -129.983957,
      55.300967,
      -129.974167
    ]);
    poly[408] = _TzPolygon([
      56.539643,
      -135.487083,
      56.624920,
      -135.690659,
      56.742436,
      -135.856861,
      56.811287,
      -135.906463,
      56.847669,
      -136.050838,
      56.911249,
      -136.158681,
      56.996578,
      -136.210248,
      57.148574,
      -136.188711,
      57.347892,
      -136.236105,
      57.474854,
      -136.497218,
      57.648721,
      -136.628120,
      57.826110,
      -136.878354,
      57.835869,
      -136.026713,
      58.001387,
      -135.899839,
      57.852394,
      -135.487083
    ]);
    poly[409] = _TzPolygon([
      59.798041,
      -135.487083,
      59.795767,
      -135.487083,
      59.662166,
      -135.952645,
      59.640027,
      -136.192904,
      59.600556,
      -136.346389,
      59.559413,
      -136.239830,
      59.524326,
      -136.238504,
      59.464518,
      -136.305022,
      59.448960,
      -136.368244,
      59.465824,
      -136.477156,
      59.284079,
      -136.469247,
      59.165854,
      -136.584444,
      59.159960,
      -136.828728,
      58.999998,
      -137.282847,
      58.908349,
      -137.451726,
      58.906372,
      -137.526114,
      58.985395,
      -137.500000,
      59.243803,
      -137.607356,
      59.768581,
      -138.626202,
      59.798041,
      -138.643563
    ]);
    poly[410] = _TzPolygon([
      59.798041,
      -141.000000,
      59.798041,
      -138.643563,
      59.768581,
      -138.626202,
      59.243803,
      -137.607356,
      58.985395,
      -137.500000,
      58.906375,
      -137.526120,
      58.721171,
      -138.269402,
      58.824302,
      -138.314402,
      58.893917,
      -138.458509,
      58.965197,
      -138.784073,
      59.086790,
      -139.084818,
      59.223491,
      -139.607996,
      59.518837,
      -140.421484,
      59.563240,
      -141.000000
    ]);
    poly[411] = _TzPolygon([
      57.549504,
      -134.746823,
      57.549504,
      -132.730625,
      57.413174,
      -132.730625,
      57.396855,
      -132.788898,
      57.360620,
      -132.810782,
      57.368219,
      -132.873036,
      57.330823,
      -132.986359,
      57.235539,
      -133.029298,
      57.191261,
      -133.099723,
      57.188390,
      -133.155382,
      57.238076,
      -133.292546,
      57.175290,
      -133.472112,
      57.152141,
      -133.776532,
      57.160638,
      -134.048801,
      56.967539,
      -134.335319,
      56.863970,
      -134.567591,
      57.005599,
      -134.682174,
      57.229242,
      -134.744610,
      57.318061,
      -134.702750,
      57.456667,
      -134.709610
    ]);
    poly[412] = _TzPolygon([
      57.852394,
      -135.487083,
      57.765158,
      -135.245415,
      57.790108,
      -134.843268,
      57.549504,
      -134.746823,
      57.549504,
      -135.487083
    ]);
    poly[413] = _TzPolygon([
      57.699405,
      -132.730625,
      57.839713,
      -132.869368,
      58.000341,
      -133.070096,
      58.153676,
      -133.172311,
      58.387723,
      -133.461504,
      58.430548,
      -133.377303,
      58.612274,
      -133.707118,
      58.729444,
      -133.840507,
      58.861036,
      -134.258074,
      58.923414,
      -134.336464,
      58.962182,
      -134.313489,
      58.979210,
      -134.407149,
      59.038763,
      -134.381877,
      59.131603,
      -134.483395,
      59.131124,
      -134.565566,
      59.192275,
      -134.679117,
      59.249011,
      -134.700716,
      59.280926,
      -134.959905,
      59.346348,
      -135.030526,
      59.387129,
      -134.989744,
      59.427531,
      -135.101019,
      59.474738,
      -135.027562,
      59.563659,
      -135.028902,
      59.662776,
      -135.219845,
      59.696143,
      -135.233668,
      59.798041,
      -135.479161,
      59.798041,
      -132.730625
    ]);
    poly[414] = _TzPolygon([
      59.798041,
      -135.479161,
      59.795767,
      -135.487083,
      59.798041,
      -135.487083
    ]);
    poly[415] = _TzPolygon([
      57.684968,
      -132.730625,
      57.349747,
      -132.369791,
      57.354227,
      -132.487307,
      57.400554,
      -132.518317,
      57.425137,
      -132.687905,
      57.413174,
      -132.730625
    ]);
    poly[416] = _TzPolygon([
      55.300967,
      -129.983957,
      55.581035,
      -130.127904,
      55.682902,
      -130.111658,
      55.766287,
      -130.152406,
      55.907437,
      -130.003784,
      56.008075,
      -130.003485,
      56.122798,
      -130.103799,
      56.096411,
      -130.246219,
      56.141561,
      -130.426006,
      56.243053,
      -130.467870,
      56.266878,
      -130.623308,
      56.366844,
      -130.781981,
      56.406005,
      -131.087349,
      56.612232,
      -131.581067,
      56.599203,
      -131.835327,
      56.753675,
      -131.901072,
      56.805995,
      -131.872876,
      56.873648,
      -132.123567,
      57.045059,
      -132.045191,
      57.091513,
      -132.368983,
      57.211253,
      -132.247921,
      57.699405,
      -132.730625,
      59.798041,
      -132.730625,
      59.798041,
      -129.974167,
      55.300967,
      -129.974167
    ]);
    poly[417] = _TzPolygon([
      59.798041,
      -135.479161,
      59.798041,
      -138.643563,
      59.906325,
      -138.707377,
      59.994837,
      -139.053671,
      60.001780,
      -134.659300,
      60.001555,
      -129.974167,
      59.798041,
      -129.974167
    ]);
    poly[418] = _TzPolygon([
      60.306010,
      -141.000000,
      60.219819,
      -140.520424,
      60.308085,
      -140.458206,
      60.181966,
      -139.981094,
      60.335224,
      -139.692981,
      60.352505,
      -139.074819,
      60.088296,
      -139.198846,
      59.994837,
      -139.053671,
      59.906325,
      -138.707377,
      59.798041,
      -138.643563,
      59.798041,
      -141.000000
    ]);
    poly[419] = _TzPolygon([
      63.190038,
      -129.974167,
      63.188462,
      -129.979617,
      63.246923,
      -130.038880,
      63.250958,
      -130.192256,
      63.274312,
      -130.146680,
      63.305679,
      -130.158684,
      63.337384,
      -130.078992,
      63.319110,
      -130.016604,
      63.330730,
      -129.974167
    ]);
    poly[420] = _TzPolygon([
      63.573302,
      -129.974167,
      63.575386,
      -129.984777,
      63.588796,
      -129.974167
    ]);
    poly[421] = _TzPolygon([
      69.845643,
      -141.000000,
      69.790045,
      -140.355601,
      69.833426,
      -139.277500,
      63.588796,
      -139.277500,
      63.588796,
      -141.000000
    ]);
    poly[422] = _TzPolygon([
      67.002069,
      -134.625833,
      67.006029,
      -136.168098,
      67.108444,
      -136.229742,
      67.149174,
      -136.189630,
      67.181670,
      -136.238151,
      67.234842,
      -136.125963,
      67.277941,
      -136.145480,
      67.307565,
      -136.083943,
      67.360455,
      -136.167313,
      67.370146,
      -136.132584,
      67.402233,
      -136.221465,
      67.507958,
      -136.170255,
      67.532731,
      -136.223181,
      67.618359,
      -136.227612,
      67.661179,
      -136.445060,
      68.893609,
      -136.448351,
      69.403107,
      -136.588001,
      69.612833,
      -136.287181,
      69.817398,
      -135.744358,
      69.882458,
      -135.131838,
      69.965882,
      -134.625833
    ]);
    poly[423] = _TzPolygon([
      64.758700,
      -132.300000,
      64.798081,
      -132.412569,
      64.782028,
      -132.429971,
      64.798076,
      -132.515580,
      64.775463,
      -132.556591,
      64.828351,
      -132.632429,
      64.905917,
      -132.453769,
      64.963457,
      -132.519324,
      65.037033,
      -132.342518,
      65.073335,
      -132.338202,
      65.090608,
      -132.357331,
      65.087625,
      -132.528829,
      65.126014,
      -132.568842,
      65.162941,
      -132.517614,
      65.191932,
      -132.547201,
      65.161913,
      -132.736135,
      65.188369,
      -132.794449,
      65.208603,
      -132.714240,
      65.230638,
      -132.788122,
      65.237692,
      -132.694163,
      65.283688,
      -132.647805,
      65.286184,
      -132.561719,
      65.308012,
      -132.551448,
      65.308012,
      -132.300000
    ]);
    poly[424] = _TzPolygon([
      65.946828,
      -133.462917,
      65.961271,
      -133.513271,
      65.956831,
      -133.631821,
      66.007868,
      -133.646702,
      66.028727,
      -133.563056,
      66.059295,
      -133.621030,
      66.054154,
      -133.707154,
      66.086180,
      -133.703550,
      66.153550,
      -133.560458,
      66.244104,
      -133.572204,
      66.293514,
      -133.645711,
      66.291943,
      -133.802543,
      66.318045,
      -133.847763,
      66.365162,
      -133.773507,
      66.405956,
      -133.795503,
      66.469360,
      -133.715983,
      66.509433,
      -133.728307,
      66.557757,
      -133.576743,
      66.624401,
      -133.788934,
      66.680806,
      -133.879432,
      66.703954,
      -134.012230,
      66.721496,
      -133.969848,
      66.711217,
      -133.866940,
      66.751234,
      -133.772432,
      66.784767,
      -133.766112,
      66.898661,
      -133.899261,
      66.910482,
      -134.046184,
      66.953285,
      -134.103319,
      66.983321,
      -134.062184,
      67.000000,
      -133.820084,
      67.002069,
      -134.625833,
      67.027228,
      -134.625833,
      67.027228,
      -133.462917
    ]);
    poly[425] = _TzPolygon([
      65.946828,
      -133.462917,
      65.937353,
      -133.429885,
      65.952146,
      -133.348015,
      65.990579,
      -133.361160,
      65.977454,
      -133.245181,
      66.003503,
      -133.252665,
      66.042315,
      -132.983071,
      66.004858,
      -132.910722,
      65.930263,
      -132.996870,
      65.900829,
      -132.883580,
      65.985537,
      -132.766081,
      66.022087,
      -132.653942,
      66.026617,
      -132.555541,
      65.969415,
      -132.504177,
      65.993611,
      -132.428524,
      65.989097,
      -132.332660,
      65.958445,
      -132.321690,
      65.897956,
      -132.529776,
      65.841561,
      -132.563965,
      65.777356,
      -132.367381,
      65.737327,
      -132.300000,
      65.691328,
      -132.302510,
      65.689975,
      -132.300000,
      65.484842,
      -132.300000,
      65.440722,
      -132.344745,
      65.372708,
      -132.521007,
      65.308012,
      -132.551448,
      65.308012,
      -133.462917
    ]);
    poly[426] = _TzPolygon([
      63.611464,
      -129.974167,
      63.615214,
      -130.101682,
      63.694346,
      -130.143735,
      63.655518,
      -130.289682,
      63.704922,
      -130.360304,
      63.734050,
      -130.325948,
      63.721008,
      -130.251193,
      63.755094,
      -130.231241,
      63.752822,
      -130.145240,
      63.855361,
      -130.133862,
      63.876849,
      -130.257033,
      63.845543,
      -130.265736,
      63.823792,
      -130.355707,
      63.858328,
      -130.392365,
      63.858554,
      -130.444751,
      63.876672,
      -130.421266,
      63.912101,
      -130.485095,
      63.972067,
      -130.773419,
      64.041247,
      -130.749978,
      64.037662,
      -130.882385,
      64.093192,
      -130.892566,
      64.104755,
      -130.967660,
      64.131189,
      -130.983478,
      64.181287,
      -130.853326,
      64.193824,
      -130.947033,
      64.238210,
      -130.946453,
      64.274373,
      -131.080527,
      64.324087,
      -131.033072,
      64.353567,
      -131.107474,
      64.372205,
      -131.083249,
      64.416726,
      -131.150320,
      64.463309,
      -131.392664,
      64.449366,
      -131.457136,
      64.398615,
      -131.446325,
      64.397767,
      -131.534435,
      64.381353,
      -131.530278,
      64.380663,
      -131.851287,
      64.454239,
      -131.804679,
      64.489395,
      -131.690782,
      64.532855,
      -131.691129,
      64.547372,
      -131.796649,
      64.529087,
      -131.844544,
      64.559011,
      -131.837734,
      64.614157,
      -131.975993,
      64.698909,
      -132.038756,
      64.709651,
      -132.159794,
      64.758700,
      -132.300000,
      65.308012,
      -132.300000,
      65.308012,
      -129.974167
    ]);
    poly[427] = _TzPolygon([
      65.737327,
      -132.300000,
      65.731287,
      -132.289833,
      65.699239,
      -132.300000
    ]);
    poly[428] = _TzPolygon([
      65.689975,
      -132.300000,
      65.617466,
      -132.165499,
      65.484842,
      -132.300000
    ]);
    poly[429] = _TzPolygon([
      68.416500,
      -133.730000,
      68.346400,
      -133.634300,
      68.316600,
      -133.388800,
      68.298200,
      -133.384300,
      68.290000,
      -133.471900,
      68.317600,
      -133.677200,
      68.416100,
      -133.799100
    ]);
    poly[430] = _TzPolygon([
      -44.937760,
      -71.919683,
      -44.903700,
      -71.978940,
      -44.901660,
      -72.039107,
      -44.876883,
      -72.064814,
      -44.862147,
      -72.041330,
      -44.849365,
      -72.069454,
      -44.805833,
      -72.027225,
      -44.780712,
      -72.073832,
      -44.760691,
      -72.066814,
      -44.789423,
      -71.919683
    ]);
    poly[431] = _TzPolygon([
      -43.450540,
      -71.919683,
      -43.450118,
      -71.934083,
      -43.426062,
      -71.919683
    ]);
    poly[432] = _TzPolygon([
      -43.407818,
      -71.919683,
      -43.387401,
      -71.932538,
      -43.384856,
      -71.919683
    ]);
    poly[433] = _TzPolygon([
      -43.108377,
      -71.919683,
      -43.102889,
      -71.935144,
      -43.054373,
      -71.934999,
      -43.030259,
      -72.012970,
      -42.900149,
      -72.142236,
      -42.878891,
      -72.118163,
      -42.800208,
      -72.164844,
      -42.777249,
      -72.130211,
      -42.733782,
      -72.132065,
      -42.696778,
      -72.181059,
      -42.670973,
      -72.172841,
      -42.672613,
      -72.123207,
      -42.641728,
      -72.100731,
      -42.603345,
      -72.119550,
      -42.569681,
      -72.053384,
      -42.417665,
      -72.023000,
      -42.386228,
      -72.073812,
      -42.384200,
      -72.133207,
      -42.323603,
      -72.121135,
      -42.260489,
      -72.168079,
      -42.199138,
      -72.155889,
      -42.165247,
      -72.187818,
      -42.138140,
      -72.168850,
      -42.148259,
      -72.066025,
      -42.114259,
      -72.057871,
      -42.141013,
      -71.957761,
      -42.189237,
      -71.923944,
      -42.186256,
      -71.919683
    ]);
    poly[434] = _TzPolygon([
      -45.999874,
      -71.647592,
      -45.964079,
      -71.614162,
      -45.889973,
      -71.652406,
      -45.846380,
      -71.769355,
      -45.806990,
      -71.740723,
      -45.719439,
      -71.801496,
      -45.695895,
      -71.772534,
      -45.666100,
      -71.795858,
      -45.640808,
      -71.772528,
      -45.628222,
      -71.801670,
      -45.608035,
      -71.741499,
      -45.575394,
      -71.727421,
      -45.560370,
      -71.763621,
      -45.513821,
      -71.681619,
      -45.523648,
      -71.560532,
      -45.493948,
      -71.469224,
      -45.433267,
      -71.534182,
      -45.396634,
      -71.531639,
      -45.395827,
      -71.438287,
      -45.367671,
      -71.448474,
      -45.322056,
      -71.336173,
      -45.241396,
      -71.333005,
      -45.157815,
      -71.417629,
      -45.144106,
      -71.487469,
      -45.107916,
      -71.491583,
      -45.103136,
      -71.526583,
      -45.071205,
      -71.505133,
      -45.032566,
      -71.556488,
      -44.997937,
      -71.559021,
      -44.997937,
      -70.484300,
      -45.999874,
      -70.484300
    ]);
    poly[435] = _TzPolygon([
      -44.997937,
      -71.559021,
      -44.978630,
      -71.560434,
      -44.969419,
      -71.684356,
      -44.953635,
      -71.741502,
      -44.926900,
      -71.753607,
      -44.941353,
      -71.778080,
      -44.920689,
      -71.814042,
      -44.960567,
      -71.880003,
      -44.937760,
      -71.919683,
      -44.789423,
      -71.919683,
      -44.801768,
      -71.856464,
      -44.793873,
      -71.815151,
      -44.774285,
      -71.824510,
      -44.751000,
      -71.783607,
      -44.788055,
      -71.657045,
      -44.737528,
      -71.469694,
      -44.790183,
      -71.395839,
      -44.813615,
      -71.292316,
      -44.790817,
      -71.237041,
      -44.736692,
      -71.201928,
      -44.681534,
      -71.197913,
      -44.638174,
      -71.235040,
      -44.591460,
      -71.200751,
      -44.589879,
      -71.100093,
      -44.535024,
      -71.091156,
      -44.503523,
      -71.158828,
      -44.471103,
      -71.132255,
      -44.440417,
      -71.173253,
      -44.417687,
      -71.239757,
      -44.429603,
      -71.330812,
      -44.389504,
      -71.364869,
      -44.409691,
      -71.654704,
      -44.379885,
      -71.714270,
      -44.416558,
      -71.814521,
      -44.349941,
      -71.840270,
      -44.339507,
      -71.798213,
      -44.312054,
      -71.790529,
      -44.268978,
      -71.806458,
      -44.265162,
      -71.833327,
      -44.223837,
      -71.779062,
      -44.157109,
      -71.850289,
      -44.112455,
      -71.849623,
      -44.096547,
      -71.754574,
      -43.996000,
      -71.684303,
      -43.996000,
      -70.484300,
      -44.997937,
      -70.484300
    ]);
    poly[436] = _TzPolygon([
      -43.996000,
      -71.684303,
      -43.945517,
      -71.649021,
      -43.901891,
      -71.665629,
      -43.894048,
      -71.706875,
      -43.855401,
      -71.708285,
      -43.840936,
      -71.762882,
      -43.789400,
      -71.753917,
      -43.703084,
      -71.661473,
      -43.696297,
      -71.599339,
      -43.676267,
      -71.611322,
      -43.651773,
      -71.580847,
      -43.623324,
      -71.626241,
      -43.624920,
      -71.701600,
      -43.584148,
      -71.707474,
      -43.583989,
      -71.759675,
      -43.538705,
      -71.776608,
      -43.553602,
      -71.871443,
      -43.510950,
      -71.891549,
      -43.479397,
      -71.850140,
      -43.451676,
      -71.880868,
      -43.450540,
      -71.919683,
      -43.426062,
      -71.919683,
      -43.416710,
      -71.914084,
      -43.407818,
      -71.919683,
      -43.384856,
      -71.919683,
      -43.379790,
      -71.894086,
      -43.322316,
      -71.904845,
      -43.335170,
      -71.842502,
      -43.296951,
      -71.786197,
      -43.313571,
      -71.734554,
      -43.228069,
      -71.757181,
      -43.201172,
      -71.729822,
      -43.164496,
      -71.761569,
      -43.108377,
      -71.919683,
      -42.186256,
      -71.919683,
      -42.154558,
      -71.874373,
      -42.147377,
      -71.780778,
      -42.110137,
      -71.726125,
      -42.046242,
      -71.728250,
      -41.999919,
      -71.773859,
      -41.996752,
      -69.048916,
      -43.996000,
      -69.048916
    ]);
    poly[437] = _TzPolygon([
      -42.000147,
      -69.048916,
      -41.999919,
      -71.773859,
      -41.992126,
      -71.774964,
      -41.992126,
      -69.048916
    ]);
    poly[438] = _TzPolygon([
      -42.000147,
      -69.048916,
      -41.992126,
      -69.048916,
      -41.992126,
      -63.307384,
      -41.997100,
      -63.313482,
      -42.000390,
      -66.132587
    ]);
    poly[439] = _TzPolygon([
      -41.992126,
      -71.774964,
      -41.841797,
      -71.796270,
      -41.824908,
      -71.751344,
      -41.793720,
      -71.773993,
      -41.787129,
      -71.754059,
      -41.720446,
      -71.810346,
      -41.694816,
      -71.794039,
      -41.605156,
      -71.885877,
      -41.565628,
      -71.844851,
      -41.575015,
      -71.817310,
      -41.533090,
      -71.848952,
      -41.433489,
      -71.834729,
      -41.340735,
      -71.912070,
      -41.307959,
      -71.876051,
      -41.255404,
      -71.899037,
      -41.271283,
      -71.834181,
      -41.161285,
      -71.887783,
      -41.149792,
      -71.840766,
      -41.098685,
      -71.851529,
      -41.060383,
      -71.819600,
      -40.985164,
      -71.905199,
      -40.960733,
      -71.902452,
      -40.955989,
      -71.857240,
      -40.882583,
      -71.858421,
      -40.857764,
      -71.908006,
      -40.821790,
      -71.934099,
      -40.783198,
      -71.923456,
      -40.745139,
      -71.966608,
      -40.609908,
      -71.837613,
      -40.578130,
      -71.825051,
      -40.592662,
      -71.855085,
      -40.556004,
      -71.890498,
      -40.555364,
      -71.859178,
      -40.525324,
      -71.842910,
      -40.420480,
      -71.824579,
      -40.407410,
      -71.791620,
      -40.434462,
      -71.735315,
      -40.397606,
      -71.687936,
      -40.373939,
      -71.693601,
      -40.364261,
      -71.657037,
      -40.292268,
      -71.694585,
      -40.292268,
      -69.592084,
      -41.992126,
      -69.592084
    ]);
    poly[440] = _TzPolygon([
      -40.292268,
      -71.722758,
      -40.305599,
      -71.751628,
      -40.292268,
      -71.764493
    ]);
    poly[441] = _TzPolygon([
      -39.442339,
      -71.997768,
      -39.442339,
      -71.448113,
      -39.450620,
      -71.447085,
      -39.493267,
      -71.472945,
      -39.530408,
      -71.534381,
      -39.560380,
      -71.503986,
      -39.553265,
      -71.470769,
      -39.583070,
      -71.461172,
      -39.637216,
      -71.503057,
      -39.627961,
      -71.610174,
      -39.592122,
      -71.624765,
      -39.565057,
      -71.677809,
      -39.587348,
      -71.698628,
      -39.648336,
      -71.715547,
      -39.682569,
      -71.669381,
      -39.724555,
      -71.712570,
      -39.808066,
      -71.666822,
      -39.842739,
      -71.690854,
      -39.901234,
      -71.592664,
      -39.973362,
      -71.620473,
      -39.970337,
      -71.645021,
      -40.032482,
      -71.688575,
      -40.104349,
      -71.674343,
      -40.117153,
      -71.699331,
      -40.088110,
      -71.825609,
      -40.135898,
      -71.799688,
      -40.172052,
      -71.828818,
      -40.187324,
      -71.798486,
      -40.213284,
      -71.829213,
      -40.292268,
      -71.762832,
      -40.292268,
      -71.997768
    ]);
    poly[442] = _TzPolygon([
      -40.292268,
      -71.736145,
      -40.276651,
      -71.718007,
      -40.292268,
      -71.689459
    ]);
    poly[443] = _TzPolygon([
      -38.592410,
      -70.828719,
      -38.596271,
      -70.827741,
      -38.666806,
      -70.904130,
      -38.700038,
      -70.884218,
      -38.762976,
      -70.925245,
      -38.753867,
      -71.095039,
      -38.814403,
      -71.185219,
      -38.801357,
      -71.237374,
      -38.871179,
      -71.296032,
      -38.928944,
      -71.433604,
      -38.981027,
      -71.441512,
      -39.045635,
      -71.396008,
      -39.151075,
      -71.421186,
      -39.211327,
      -71.381073,
      -39.283159,
      -71.374093,
      -39.350604,
      -71.400364,
      -39.370570,
      -71.457023,
      -39.442339,
      -71.448113,
      -39.442339,
      -71.997768,
      -38.592410,
      -71.997768
    ]);
    poly[444] = _TzPolygon([
      -37.145169,
      -69.592084,
      -37.070623,
      -69.754073,
      -36.964614,
      -69.778684,
      -36.892553,
      -69.763706,
      -36.892553,
      -69.592084
    ]);
    poly[445] = _TzPolygon([
      -36.892553,
      -71.900482,
      -36.892553,
      -71.129248,
      -36.929041,
      -71.144752,
      -36.936060,
      -71.087143,
      -36.971392,
      -71.106434,
      -36.978198,
      -71.222584,
      -36.998543,
      -71.165024,
      -37.069278,
      -71.140863,
      -37.114556,
      -71.092349,
      -37.141238,
      -71.134576,
      -37.206543,
      -71.114566,
      -37.225151,
      -71.170163,
      -37.276358,
      -71.188188,
      -37.274983,
      -71.220728,
      -37.382493,
      -71.198138,
      -37.402646,
      -71.149771,
      -37.489083,
      -71.116255,
      -37.539055,
      -71.150244,
      -37.587738,
      -71.127798,
      -37.648579,
      -71.206464,
      -37.699197,
      -71.209509,
      -37.757481,
      -71.155998,
      -37.784852,
      -71.169856,
      -37.819789,
      -71.123698,
      -37.857139,
      -71.183413,
      -37.859489,
      -71.140299,
      -37.901348,
      -71.099198,
      -37.953027,
      -71.114662,
      -37.970444,
      -71.061648,
      -38.045348,
      -71.052981,
      -38.087883,
      -70.988759,
      -38.104769,
      -70.982923,
      -38.123813,
      -71.043691,
      -38.171872,
      -70.996141,
      -38.249871,
      -71.032228,
      -38.297540,
      -70.997857,
      -38.430118,
      -70.983953,
      -38.538020,
      -70.842504,
      -38.592410,
      -70.828719,
      -38.592410,
      -71.900482
    ]);
    poly[446] = _TzPolygon([
      -36.892553,
      -71.129248,
      -36.869386,
      -71.119405,
      -36.842014,
      -71.180291,
      -36.814730,
      -71.131786,
      -36.679597,
      -71.113579,
      -36.677695,
      -71.085840,
      -36.714316,
      -71.065648,
      -36.690988,
      -71.009397,
      -36.618051,
      -71.057355,
      -36.475799,
      -71.037270,
      -36.503574,
      -70.972881,
      -36.493759,
      -70.935051,
      -36.466067,
      -70.888735,
      -36.396050,
      -70.883911,
      -36.416230,
      -70.850867,
      -36.396336,
      -70.815848,
      -36.428800,
      -70.787352,
      -36.405731,
      -70.747012,
      -36.892553,
      -70.746283
    ]);
    poly[447] = _TzPolygon([
      -36.892553,
      -69.763706,
      -36.870052,
      -69.759029,
      -36.844760,
      -69.851068,
      -36.792385,
      -69.921661,
      -36.720063,
      -69.947434,
      -36.694280,
      -70.011634,
      -36.571453,
      -70.120752,
      -36.454693,
      -70.200582,
      -36.326955,
      -70.225365,
      -36.338549,
      -70.327956,
      -36.309376,
      -70.359017,
      -36.126311,
      -70.398953,
      -36.042624,
      -70.383605,
      -36.042624,
      -69.592084,
      -36.892553,
      -69.592084
    ]);
    poly[448] = _TzPolygon([
      -36.042624,
      -70.746283,
      -36.042624,
      -70.376976,
      -36.061411,
      -70.412772,
      -36.155683,
      -70.420834,
      -36.178934,
      -70.490668,
      -36.142783,
      -70.531284,
      -36.138486,
      -70.577804,
      -36.174799,
      -70.571281,
      -36.217051,
      -70.633251,
      -36.238653,
      -70.632221,
      -36.272291,
      -70.705005,
      -36.304669,
      -70.684749,
      -36.342290,
      -70.712336,
      -36.389426,
      -70.679377,
      -36.426866,
      -70.712851,
      -36.429767,
      -70.739287,
      -36.408000,
      -70.746283
    ]);
    poly[449] = _TzPolygon([
      -36.042624,
      -70.383605,
      -35.994661,
      -70.374808,
      -35.972432,
      -70.423109,
      -35.923763,
      -70.366686,
      -35.906072,
      -70.425712,
      -35.874225,
      -70.420906,
      -35.812880,
      -70.307611,
      -35.787241,
      -70.379363,
      -35.748938,
      -70.358249,
      -35.640074,
      -70.423773,
      -35.606864,
      -70.386523,
      -35.526123,
      -70.412155,
      -35.521194,
      -70.367930,
      -35.463523,
      -70.446621,
      -35.391565,
      -70.452286,
      -35.354411,
      -70.418624,
      -35.318422,
      -70.432013,
      -35.322442,
      -70.500328,
      -35.278311,
      -70.583584,
      -35.199376,
      -70.536720,
      -35.203077,
      -70.470457,
      -35.192695,
      -70.438253,
      -35.192695,
      -69.592084,
      -36.042624,
      -69.592084
    ]);
    poly[450] = _TzPolygon([
      -37.149128,
      -69.592084,
      -37.174413,
      -69.528537,
      -37.144655,
      -69.272757,
      -37.178046,
      -69.215052,
      -37.178112,
      -69.169509,
      -37.251359,
      -69.038914,
      -37.364905,
      -69.025673,
      -37.374370,
      -68.902336,
      -37.401370,
      -68.862791,
      -37.367106,
      -68.764790,
      -37.388558,
      -68.722475,
      -37.443122,
      -68.693162,
      -37.456163,
      -68.500516,
      -37.543807,
      -68.438250,
      -37.574553,
      -68.258624,
      -36.173761,
      -68.250425,
      -36.173175,
      -68.296416,
      -35.997567,
      -68.296021,
      -35.999085,
      -65.107859,
      -35.192695,
      -65.105515,
      -35.192695,
      -64.780716,
      -41.992126,
      -64.780716,
      -41.992126,
      -69.592084
    ]);
    poly[451] = _TzPolygon([
      -35.192695,
      -66.493081,
      -35.192695,
      -65.101402,
      -35.999085,
      -65.107859,
      -36.000631,
      -66.637783,
      -35.850454,
      -66.622515,
      -35.638322,
      -66.547656,
      -35.581173,
      -66.570442,
      -35.538946,
      -66.524995,
      -35.311285,
      -66.495403,
      -35.274264,
      -66.519915,
      -35.240645,
      -66.484147
    ]);
    poly[452] = _TzPolygon([
      -33.492837,
      -70.677005,
      -33.492837,
      -69.831024,
      -33.515205,
      -69.835131,
      -33.539648,
      -69.871767,
      -33.683244,
      -69.884780,
      -33.717046,
      -69.864440,
      -33.774146,
      -69.904299,
      -33.847444,
      -69.898932,
      -33.892520,
      -69.855283,
      -33.963630,
      -69.905739,
      -33.962891,
      -69.853246,
      -34.014171,
      -69.822212,
      -34.055811,
      -69.852897,
      -34.085956,
      -69.833671,
      -34.132561,
      -69.873521,
      -34.208546,
      -69.790780,
      -34.243036,
      -69.795071,
      -34.264177,
      -69.897038,
      -34.291940,
      -69.909921,
      -34.250105,
      -69.970842,
      -34.288053,
      -70.030944,
      -34.413892,
      -70.010890,
      -34.482265,
      -70.127276,
      -34.611448,
      -70.216827,
      -34.683329,
      -70.215968,
      -34.746332,
      -70.306176,
      -34.770308,
      -70.307957,
      -34.798152,
      -70.248756,
      -34.937568,
      -70.331477,
      -34.991588,
      -70.334395,
      -35.005933,
      -70.365634,
      -35.172661,
      -70.376109,
      -35.192695,
      -70.438253,
      -35.192695,
      -70.677005
    ]);
    poly[453] = _TzPolygon([
      -33.492837,
      -69.831024,
      -33.432467,
      -69.819938,
      -33.423330,
      -69.795747,
      -33.396175,
      -69.807077,
      -33.348334,
      -69.771014,
      -33.287473,
      -69.800816,
      -33.273438,
      -69.903898,
      -33.244897,
      -69.918237,
      -33.266887,
      -69.917260,
      -33.322926,
      -70.001214,
      -33.286100,
      -70.006063,
      -33.270107,
      -70.038872,
      -33.235968,
      -70.026222,
      -33.201745,
      -70.064707,
      -33.138333,
      -70.049858,
      -33.052378,
      -70.094115,
      -33.006253,
      -70.019406,
      -32.969223,
      -70.028604,
      -32.900978,
      -69.989360,
      -32.800298,
      -70.108007,
      -32.728104,
      -70.147603,
      -32.642908,
      -70.157320,
      -32.642908,
      -69.694290,
      -33.492837,
      -69.694290
    ]);
    poly[454] = _TzPolygon([
      -32.642908,
      -70.157320,
      -32.597133,
      -70.162541,
      -32.576464,
      -70.122556,
      -32.625500,
      -70.065400,
      -32.528300,
      -70.004200,
      -32.570600,
      -69.847300,
      -32.544000,
      -69.821600,
      -32.546800,
      -69.790900,
      -32.509400,
      -69.756100,
      -32.496400,
      -69.705000,
      -32.451526,
      -69.694290,
      -32.642908,
      -69.694290
    ]);
    poly[455] = _TzPolygon([
      -32.425619,
      -69.694290,
      -32.390600,
      -69.733200,
      -32.330800,
      -69.728900,
      -32.305770,
      -69.694290
    ]);
    poly[456] = _TzPolygon([
      -31.792980,
      -70.462729,
      -31.844106,
      -70.459989,
      -31.885702,
      -70.375317,
      -31.884090,
      -70.279949,
      -31.957688,
      -70.210597,
      -32.051326,
      -70.288532,
      -32.025551,
      -70.353892,
      -32.044032,
      -70.388251,
      -32.070225,
      -70.335379,
      -32.109746,
      -70.341559,
      -32.136083,
      -70.304072,
      -32.267821,
      -70.322918,
      -32.332929,
      -70.217856,
      -32.428944,
      -70.236390,
      -32.487452,
      -70.136059,
      -32.576341,
      -70.126033,
      -32.621210,
      -70.172135,
      -32.642908,
      -70.153784,
      -32.642908,
      -70.677005,
      -31.792980,
      -70.677005
    ]);
    poly[457] = _TzPolygon([
      -32.451526,
      -69.694290,
      -32.430200,
      -69.689200,
      -32.425619,
      -69.694290,
      -32.305770,
      -69.694290,
      -32.260000,
      -69.631000,
      -32.143100,
      -69.596500,
      -32.141000,
      -69.531100,
      -32.074700,
      -69.454800,
      -32.066500,
      -69.415700,
      -32.091100,
      -69.314200,
      -32.016100,
      -69.244500,
      -31.999400,
      -69.128400,
      -32.116500,
      -69.011600,
      -32.114700,
      -68.917600,
      -32.338000,
      -68.917600,
      -32.337264,
      -68.711575,
      -33.492837,
      -68.711575,
      -33.492837,
      -69.694290
    ]);
    poly[458] = _TzPolygon([
      -31.792980,
      -70.462962,
      -31.700467,
      -70.467607,
      -31.689659,
      -70.513247,
      -31.651984,
      -70.506949,
      -31.600158,
      -70.566913,
      -31.511025,
      -70.551812,
      -31.474014,
      -70.569681,
      -31.448298,
      -70.548502,
      -31.420066,
      -70.560293,
      -31.407302,
      -70.532098,
      -31.314451,
      -70.547065,
      -31.122358,
      -70.497540,
      -31.084345,
      -70.456309,
      -31.167701,
      -70.401453,
      -31.135156,
      -70.360892,
      -31.111198,
      -70.369315,
      -31.044317,
      -70.321813,
      -31.043402,
      -70.269070,
      -31.020345,
      -70.297286,
      -30.970388,
      -70.293156,
      -30.929746,
      -70.323277,
      -30.831139,
      -70.279648,
      -30.787889,
      -70.288494,
      -30.728616,
      -70.246190,
      -30.634681,
      -70.247118,
      -30.551636,
      -70.189708,
      -30.491682,
      -70.195167,
      -30.431020,
      -70.117187,
      -30.346107,
      -70.154266,
      -30.352241,
      -70.106388,
      -30.394708,
      -70.063151,
      -30.385750,
      -69.955176,
      -30.357675,
      -69.934877,
      -30.350671,
      -69.891951,
      -30.319989,
      -69.908130,
      -30.219544,
      -69.885365,
      -30.219247,
      -69.834038,
      -30.178744,
      -69.816872,
      -30.125901,
      -69.824940,
      -30.105855,
      -69.899270,
      -30.120407,
      -69.935662,
      -30.093122,
      -69.957838,
      -30.093122,
      -68.711575,
      -31.792980,
      -68.711575
    ]);
    poly[459] = _TzPolygon([
      -29.243193,
      -68.982018,
      -29.243193,
      -68.711575,
      -29.629941,
      -68.711575,
      -29.625400,
      -68.735100,
      -29.635100,
      -68.863100,
      -29.593400,
      -68.885500,
      -29.619800,
      -68.935600,
      -29.651600,
      -68.938300,
      -29.639100,
      -69.014100,
      -29.533000,
      -69.033700,
      -29.456500,
      -68.975200,
      -29.399700,
      -69.002200,
      -29.287300,
      -68.956700,
      -29.274000,
      -68.989100
    ]);
    poly[460] = _TzPolygon([
      -29.243193,
      -70.265666,
      -29.243193,
      -69.940028,
      -29.250524,
      -69.938337,
      -29.285201,
      -69.996486,
      -29.330257,
      -70.020377,
      -29.383526,
      -70.021589,
      -29.414629,
      -69.966769,
      -29.452154,
      -69.981427,
      -29.486015,
      -69.949034,
      -29.653552,
      -69.940033,
      -29.724618,
      -69.879718,
      -29.806791,
      -69.913479,
      -29.862028,
      -69.875928,
      -30.037139,
      -69.923156,
      -30.084682,
      -69.964698,
      -30.093122,
      -69.957838,
      -30.093122,
      -70.265666
    ]);
    poly[461] = _TzPolygon([
      -29.243193,
      -68.982018,
      -29.230500,
      -68.979100,
      -29.186600,
      -69.001200,
      -29.146300,
      -68.969600,
      -29.166400,
      -68.935000,
      -29.128200,
      -68.911700,
      -29.044900,
      -68.908500,
      -28.941500,
      -68.961300,
      -28.861000,
      -68.908200,
      -28.761100,
      -69.162000,
      -28.681600,
      -69.209800,
      -28.596172,
      -69.203350,
      -28.412000,
      -69.316300,
      -28.448500,
      -69.375900,
      -28.451800,
      -69.425500,
      -28.415500,
      -69.469700,
      -28.431900,
      -69.516200,
      -28.405800,
      -69.555200,
      -28.419000,
      -69.605700,
      -28.393264,
      -69.642201,
      -28.393264,
      -68.711575,
      -29.243193,
      -68.711575
    ]);
    poly[462] = _TzPolygon([
      -28.393264,
      -69.639844,
      -28.396123,
      -69.649809,
      -28.430365,
      -69.632647,
      -28.471286,
      -69.680883,
      -28.532384,
      -69.651206,
      -28.581472,
      -69.664657,
      -28.595848,
      -69.693449,
      -28.685000,
      -69.731142,
      -28.736055,
      -69.729325,
      -28.772686,
      -69.692879,
      -28.900330,
      -69.765448,
      -28.984360,
      -69.754620,
      -29.050635,
      -69.792815,
      -29.130055,
      -69.787113,
      -29.138358,
      -69.874577,
      -29.189048,
      -69.952518,
      -29.243193,
      -69.940028,
      -29.243193,
      -70.265666,
      -28.393264,
      -70.265666
    ]);
    poly[463] = _TzPolygon([
      -34.572276,
      -66.746146,
      -34.551384,
      -66.765254,
      -34.442918,
      -66.754309,
      -34.411427,
      -66.795099,
      -34.379339,
      -66.764022,
      -34.345083,
      -66.812008,
      -34.305136,
      -66.802346,
      -34.298080,
      -66.775686,
      -34.257298,
      -66.801351,
      -34.233715,
      -66.785475,
      -34.221414,
      -66.746146
    ]);
    poly[464] = _TzPolygon([
      -33.909971,
      -66.746146,
      -33.832403,
      -66.873865,
      -33.769567,
      -66.882522,
      -33.667774,
      -67.004156,
      -33.632675,
      -66.998327,
      -33.492837,
      -67.112968,
      -33.492837,
      -66.746146
    ]);
    poly[465] = _TzPolygon([
      -32.229795,
      -67.728860,
      -32.222929,
      -67.736544,
      -32.226135,
      -67.831806,
      -32.175304,
      -67.916499,
      -32.113721,
      -67.938574,
      -32.121118,
      -67.959774,
      -32.096041,
      -67.971025,
      -32.070956,
      -68.052321,
      -32.098873,
      -68.073004,
      -32.084566,
      -68.080622,
      -32.119329,
      -68.151981,
      -32.109170,
      -68.188468,
      -32.127798,
      -68.206085,
      -32.091599,
      -68.247830,
      -32.137700,
      -68.304100,
      -32.137800,
      -68.463000,
      -32.237700,
      -68.462900,
      -32.337100,
      -68.665700,
      -32.337264,
      -68.711575,
      -31.792980,
      -68.711575,
      -31.792980,
      -67.728860
    ]);
    poly[466] = _TzPolygon([
      -31.858814,
      -66.746146,
      -31.811800,
      -66.802400,
      -31.792980,
      -66.810050,
      -31.792980,
      -66.746146
    ]);
    poly[467] = _TzPolygon([
      -32.229795,
      -67.728860,
      -32.245914,
      -67.710822,
      -32.225171,
      -67.675937,
      -32.246021,
      -67.597144,
      -32.220883,
      -67.523543,
      -32.306719,
      -67.472865,
      -32.350470,
      -67.331906,
      -32.443006,
      -67.289186,
      -32.536352,
      -67.297263,
      -32.552589,
      -67.262771,
      -32.625623,
      -67.256806,
      -32.682074,
      -67.225003,
      -32.697483,
      -67.187776,
      -32.758705,
      -67.166420,
      -32.769350,
      -67.185911,
      -32.820146,
      -67.177832,
      -32.886632,
      -67.232281,
      -33.003292,
      -67.179549,
      -33.043992,
      -67.198048,
      -33.077062,
      -67.174153,
      -33.252109,
      -67.180232,
      -33.464962,
      -67.135820,
      -33.492837,
      -67.112968,
      -33.492837,
      -67.728860
    ]);
    poly[468] = _TzPolygon([
      -32.229795,
      -67.728860,
      -31.792980,
      -67.728860,
      -31.792980,
      -66.810050,
      -31.811800,
      -66.802400,
      -31.855347,
      -66.746146,
      -31.912213,
      -66.746146,
      -31.897700,
      -66.885700,
      -31.833800,
      -67.137000,
      -31.880800,
      -67.241800,
      -31.859900,
      -67.467200,
      -31.941500,
      -67.438000,
      -32.133000,
      -67.471500,
      -32.199400,
      -67.430100,
      -32.292300,
      -67.278200,
      -32.359800,
      -67.265500,
      -32.318742,
      -67.452448,
      -32.220883,
      -67.523543,
      -32.246021,
      -67.597144,
      -32.225171,
      -67.675937,
      -32.245914,
      -67.710822
    ]);
    poly[469] = _TzPolygon([
      -33.492837,
      -65.125889,
      -33.492837,
      -64.780716,
      -35.012896,
      -64.780716,
      -35.015368,
      -65.105000,
      -34.073550,
      -65.092441
    ]);
    poly[470] = _TzPolygon([
      -33.909971,
      -66.746146,
      -33.958553,
      -66.666152,
      -34.136302,
      -66.733531,
      -34.147375,
      -66.711233,
      -34.212982,
      -66.719187,
      -34.221414,
      -66.746146
    ]);
    poly[471] = _TzPolygon([
      -34.572276,
      -66.746146,
      -34.619559,
      -66.702900,
      -34.690619,
      -66.690698,
      -34.719168,
      -66.639689,
      -34.757754,
      -66.650427,
      -34.774623,
      -66.606691,
      -34.832940,
      -66.561509,
      -34.910866,
      -66.554941,
      -34.943145,
      -66.524305,
      -35.016032,
      -66.539498,
      -35.140901,
      -66.477856,
      -35.172705,
      -66.496806,
      -35.192695,
      -66.493081,
      -35.192695,
      -66.746146
    ]);
    poly[472] = _TzPolygon([
      -35.192695,
      -65.105515,
      -35.015368,
      -65.105000,
      -35.012896,
      -64.780716,
      -35.192695,
      -64.780716
    ]);
    poly[473] = _TzPolygon([
      -33.492837,
      -65.125889,
      -33.195969,
      -65.142988,
      -33.135487,
      -65.045959,
      -33.100020,
      -65.059240,
      -33.002992,
      -64.998826,
      -32.975542,
      -65.022924,
      -32.867559,
      -64.965825,
      -32.805044,
      -64.970672,
      -32.679179,
      -64.916186,
      -32.614742,
      -64.924121,
      -32.570774,
      -64.882720,
      -32.485182,
      -64.895502,
      -32.466736,
      -64.919786,
      -32.298352,
      -64.941396,
      -32.321508,
      -64.977267,
      -32.325382,
      -65.211604,
      -32.088938,
      -65.245786,
      -31.898895,
      -65.627618,
      -31.889084,
      -65.769911,
      -31.792980,
      -65.770147,
      -31.792980,
      -64.780716,
      -33.492837,
      -64.780716
    ]);
    poly[474] = _TzPolygon([
      -31.858814,
      -66.746146,
      -31.792980,
      -66.746146,
      -31.792980,
      -65.770147,
      -31.889084,
      -65.769911,
      -31.910932,
      -65.888102,
      -31.889163,
      -65.979249,
      -31.936728,
      -66.070545,
      -31.970135,
      -66.078569,
      -31.938470,
      -66.141267,
      -31.939420,
      -66.161047,
      -31.963644,
      -66.158434,
      -31.930546,
      -66.299695,
      -31.944018,
      -66.337841,
      -31.998235,
      -66.349970,
      -31.898800,
      -66.698300
    ]);
    poly[475] = _TzPolygon([
      -31.855347,
      -66.746146,
      -31.921039,
      -66.661283,
      -31.912213,
      -66.746146
    ]);
    poly[476] = _TzPolygon([
      -29.629941,
      -68.711575,
      -29.670546,
      -68.501226,
      -29.664182,
      -68.403665,
      -29.746899,
      -68.258500,
      -29.780700,
      -68.253800,
      -29.781100,
      -68.199000,
      -29.885400,
      -68.158800,
      -29.900300,
      -68.054300,
      -30.074300,
      -67.898300,
      -30.298100,
      -67.590900,
      -30.403000,
      -67.578600,
      -30.536300,
      -67.494800,
      -30.627500,
      -67.410100,
      -30.695300,
      -67.282800,
      -30.895600,
      -67.128800,
      -30.914200,
      -67.085300,
      -31.005600,
      -67.112200,
      -31.060800,
      -67.092200,
      -31.160700,
      -67.125700,
      -31.227400,
      -67.075300,
      -31.382800,
      -67.109100,
      -31.632700,
      -66.958500,
      -31.632700,
      -66.875200,
      -31.792980,
      -66.810050,
      -31.792980,
      -68.711575
    ]);
    poly[477] = _TzPolygon([
      -31.792980,
      -65.770147,
      -31.044523,
      -65.771984,
      -30.485877,
      -65.521213,
      -30.119411,
      -65.422828,
      -30.046920,
      -65.158100,
      -29.911402,
      -65.008098,
      -29.846962,
      -64.939024,
      -29.596008,
      -64.964324,
      -29.574265,
      -64.824647,
      -29.473738,
      -64.825969,
      -29.405442,
      -64.786067,
      -29.311780,
      -64.841868,
      -29.274007,
      -64.824691,
      -29.267794,
      -64.780716,
      -31.792980,
      -64.780716
    ]);
    poly[478] = _TzPolygon([
      -29.267794,
      -64.780716,
      -29.198162,
      -64.854485,
      -29.016049,
      -64.863470,
      -28.931650,
      -64.906800,
      -28.838502,
      -64.901298,
      -28.738725,
      -65.016846,
      -28.716365,
      -65.126770,
      -28.647445,
      -65.136304,
      -28.623595,
      -65.187454,
      -28.600273,
      -65.184619,
      -28.611516,
      -65.125641,
      -28.471149,
      -65.097055,
      -28.393264,
      -65.101266,
      -28.393264,
      -64.780716
    ]);
    poly[479] = _TzPolygon([
      -28.393264,
      -66.537674,
      -28.468125,
      -66.514020,
      -28.531510,
      -66.530901,
      -28.531341,
      -66.496285,
      -28.621755,
      -66.496364,
      -28.721267,
      -66.351460,
      -28.814721,
      -66.411309,
      -28.858168,
      -66.402357,
      -28.944016,
      -66.099378,
      -29.180995,
      -65.814712,
      -29.269552,
      -65.814566,
      -29.269873,
      -65.748386,
      -29.328488,
      -65.717348,
      -29.411858,
      -65.719177,
      -30.119411,
      -65.422828,
      -30.485877,
      -65.521213,
      -31.044523,
      -65.771984,
      -31.792980,
      -65.770147,
      -31.792980,
      -66.746146,
      -28.393264,
      -66.746146
    ]);
    poly[480] = _TzPolygon([
      -41.422645,
      -62.609179,
      -40.979576,
      -62.803051,
      -40.824446,
      -62.949850,
      -40.722183,
      -63.184310,
      -40.729561,
      -63.285669,
      -40.707682,
      -63.308176,
      -40.710189,
      -63.379351,
      -34.383197,
      -63.392673,
      -34.384361,
      -62.609179
    ]);
    poly[481] = _TzPolygon([
      -29.267794,
      -64.780716,
      -28.393264,
      -64.780716,
      -28.393264,
      -62.609179,
      -34.384361,
      -62.609179,
      -34.383197,
      -63.392673,
      -35.002259,
      -63.385587,
      -35.012896,
      -64.780716
    ]);
    poly[482] = _TzPolygon([
      -33.261612,
      -62.609179,
      -33.261612,
      -60.260223,
      -33.350734,
      -60.323943,
      -33.412296,
      -60.335279,
      -33.467725,
      -60.410192,
      -33.544790,
      -60.413768,
      -33.582330,
      -60.457442,
      -33.634118,
      -60.462784,
      -33.646610,
      -60.557088,
      -33.585511,
      -60.683778,
      -33.579018,
      -60.781886,
      -33.540342,
      -60.818173,
      -33.554681,
      -60.879007,
      -33.588514,
      -60.918209,
      -33.653787,
      -60.934192,
      -34.385686,
      -61.717681,
      -34.384361,
      -62.609179
    ]);
    poly[483] = _TzPolygon([
      -33.261612,
      -58.393042,
      -33.279634,
      -58.390545,
      -33.363561,
      -58.431758,
      -33.537643,
      -58.443426,
      -33.583747,
      -58.494708,
      -33.720379,
      -58.434701,
      -33.916298,
      -58.423567,
      -33.988897,
      -58.389303,
      -34.037763,
      -58.644680,
      -33.946724,
      -58.758230,
      -33.950878,
      -58.839899,
      -33.890547,
      -58.898328,
      -33.872694,
      -58.972866,
      -33.841388,
      -58.994148,
      -33.847661,
      -59.132850,
      -33.806264,
      -59.172134,
      -33.811717,
      -59.236545,
      -33.726239,
      -59.246894,
      -33.727338,
      -59.442301,
      -33.631734,
      -59.508333,
      -33.689206,
      -59.613589,
      -33.619980,
      -59.661319,
      -33.608489,
      -59.776325,
      -33.589510,
      -59.808616,
      -33.531851,
      -59.824989,
      -33.474139,
      -59.934303,
      -33.448112,
      -60.041166,
      -33.261612,
      -60.260223
    ]);
    poly[484] = _TzPolygon([
      -35.782448,
      -55.703699,
      -35.632191,
      -55.868778,
      -35.173238,
      -56.705143,
      -35.189034,
      -57.000023,
      -34.862980,
      -57.327981,
      -34.780799,
      -57.508238,
      -34.684798,
      -57.934353,
      -34.451896,
      -57.934502,
      -34.232874,
      -58.180331,
      -34.178090,
      -58.295066,
      -34.006821,
      -58.344293,
      -33.999879,
      -58.377075,
      -33.916298,
      -58.423567,
      -33.720379,
      -58.434701,
      -33.585550,
      -58.494773,
      -33.537643,
      -58.443426,
      -33.363561,
      -58.431758,
      -33.279634,
      -58.390545,
      -33.261612,
      -58.393042,
      -33.261612,
      -55.703699
    ]);
    poly[485] = _TzPolygon([
      -33.261612,
      -53.521037,
      -33.261612,
      -52.467132,
      -33.422913,
      -52.615046,
      -33.868906,
      -53.181090,
      -33.743132,
      -53.371292,
      -33.739471,
      -53.430525,
      -33.693469,
      -53.439511,
      -33.688801,
      -53.532282
    ]);
    poly[486] = _TzPolygon([
      -30.085396,
      -58.087644,
      -31.821977,
      -58.087644,
      -31.871076,
      -58.206771,
      -32.001816,
      -58.138307,
      -32.159083,
      -58.183411,
      -32.259358,
      -58.099923,
      -32.309612,
      -58.103217,
      -32.375891,
      -58.182913,
      -32.460549,
      -58.204637,
      -32.572425,
      -58.160297,
      -32.735830,
      -58.149444,
      -32.989410,
      -58.087644,
      -33.004866,
      -58.087644,
      -33.076862,
      -58.175869,
      -33.129049,
      -58.370649,
      -33.180003,
      -58.404350,
      -33.261612,
      -58.393042,
      -33.261612,
      -62.609179,
      -30.085396,
      -62.609179
    ]);
    poly[487] = _TzPolygon([
      -31.673504,
      -58.087644,
      -31.673504,
      -58.010677,
      -31.759526,
      -58.038331,
      -31.821977,
      -58.087644
    ]);
    poly[488] = _TzPolygon([
      -32.989410,
      -58.087644,
      -33.002302,
      -58.084502,
      -33.004866,
      -58.087644
    ]);
    poly[489] = _TzPolygon([
      -30.085396,
      -57.459256,
      -30.144845,
      -57.514628,
      -30.181515,
      -57.644876,
      -30.255777,
      -57.615244,
      -30.341805,
      -57.642850,
      -30.510438,
      -57.889465,
      -30.587582,
      -57.887298,
      -30.695359,
      -57.809018,
      -30.856258,
      -57.799648,
      -30.916870,
      -57.831591,
      -30.920869,
      -57.915001,
      -31.034678,
      -57.861428,
      -31.130403,
      -57.919249,
      -31.217075,
      -57.914210,
      -31.320029,
      -57.981463,
      -31.361873,
      -57.997148,
      -31.390503,
      -57.980542,
      -31.456470,
      -58.082018,
      -31.488800,
      -58.078247,
      -31.531375,
      -58.004356,
      -31.580292,
      -57.980711,
      -31.673504,
      -58.010677,
      -31.673504,
      -58.087644,
      -30.085396,
      -58.087644
    ]);
    poly[490] = _TzPolygon([
      -30.088811,
      -57.067189,
      -30.086311,
      -57.070451,
      -30.121088,
      -57.090699,
      -30.114028,
      -57.116121,
      -30.135258,
      -57.105867,
      -30.198088,
      -57.167975,
      -30.234495,
      -57.155317,
      -30.289278,
      -57.220813,
      -30.289306,
      -57.249536,
      -30.267152,
      -57.259779,
      -30.294000,
      -57.284000,
      -30.257821,
      -57.313501,
      -30.285000,
      -57.353000,
      -30.274854,
      -57.372651,
      -30.304737,
      -57.392294,
      -30.266052,
      -57.464850,
      -30.285693,
      -57.524310,
      -30.258991,
      -57.566485,
      -30.211343,
      -57.560874,
      -30.193907,
      -57.648930,
      -30.123146,
      -57.480465,
      -30.085396,
      -57.451407,
      -30.085396,
      -57.067189
    ]);
    poly[491] = _TzPolygon([
      -30.085816,
      -57.067189,
      -30.105533,
      -57.045369,
      -30.085929,
      -56.994090,
      -30.113550,
      -56.904972,
      -30.086300,
      -56.874611,
      -30.103859,
      -56.807048,
      -30.162906,
      -56.777510,
      -30.176418,
      -56.705347,
      -30.204946,
      -56.697355,
      -30.203456,
      -56.646280,
      -30.218447,
      -56.667991,
      -30.265656,
      -56.610565,
      -30.300545,
      -56.618695,
      -30.288816,
      -56.576438,
      -30.312907,
      -56.541147,
      -30.359455,
      -56.547058,
      -30.360171,
      -56.518673,
      -30.398418,
      -56.489872,
      -30.384864,
      -56.461264,
      -30.422556,
      -56.453448,
      -30.449495,
      -56.397126,
      -30.499556,
      -56.381765,
      -30.491212,
      -56.355912,
      -30.531342,
      -56.322242,
      -30.519674,
      -56.291926,
      -30.585086,
      -56.260953,
      -30.574071,
      -56.235674,
      -30.607509,
      -56.219200,
      -30.615174,
      -56.170739,
      -30.731972,
      -56.132185,
      -30.757247,
      -56.088586,
      -30.746795,
      -56.068270,
      -30.775368,
      -56.046735,
      -31.673504,
      -56.046735,
      -31.673504,
      -57.067189
    ]);
    poly[492] = _TzPolygon([
      -30.775368,
      -56.046735,
      -30.848082,
      -55.991930,
      -30.944896,
      -56.015329,
      -31.082440,
      -56.009655,
      -31.076539,
      -55.883372,
      -31.014676,
      -55.812486,
      -31.015541,
      -55.776576,
      -30.979391,
      -55.728147,
      -30.942747,
      -55.723757,
      -30.953968,
      -55.666062,
      -30.911597,
      -55.642266,
      -30.863997,
      -55.658342,
      -30.833089,
      -55.577415,
      -30.947598,
      -55.486825,
      -30.959731,
      -55.441381,
      -31.018229,
      -55.423056,
      -31.039216,
      -55.349811,
      -31.067541,
      -55.359921,
      -31.088192,
      -55.327731,
      -31.131436,
      -55.340373,
      -31.142264,
      -55.291184,
      -31.260616,
      -55.240034,
      -31.269459,
      -55.169329,
      -31.332155,
      -55.074459,
      -31.269806,
      -55.031921,
      -31.266919,
      -55.007233,
      -31.331934,
      -54.953276,
      -31.351489,
      -54.960215,
      -31.356503,
      -54.935218,
      -31.380685,
      -54.940871,
      -31.377302,
      -54.886225,
      -31.442003,
      -54.836702,
      -31.424458,
      -54.752240,
      -31.456563,
      -54.586765,
      -31.510194,
      -54.515704,
      -31.599585,
      -54.452798,
      -31.651707,
      -54.456406,
      -31.928245,
      -54.100193,
      -31.895427,
      -54.032779,
      -31.904928,
      -54.005825,
      -33.261612,
      -54.005825,
      -33.261612,
      -56.046735
    ]);
    poly[493] = _TzPolygon([
      -31.904928,
      -54.005825,
      -31.917655,
      -53.969722,
      -31.955318,
      -53.960733,
      -32.000642,
      -53.849776,
      -32.055240,
      -53.833751,
      -32.096148,
      -53.725216,
      -32.151877,
      -53.735001,
      -32.296989,
      -53.642800,
      -32.383854,
      -53.645205,
      -32.451918,
      -53.583210,
      -32.488540,
      -53.527662,
      -32.484461,
      -53.464232,
      -32.565058,
      -53.432604,
      -32.581443,
      -53.400987,
      -32.569735,
      -53.370158,
      -32.621013,
      -53.290780,
      -32.604096,
      -53.249925,
      -32.740881,
      -53.075583,
      -32.788350,
      -53.085802,
      -32.792023,
      -53.145689,
      -32.850431,
      -53.184956,
      -32.899314,
      -53.294539,
      -32.918431,
      -53.309312,
      -32.934454,
      -53.244292,
      -33.052961,
      -53.444381,
      -33.153425,
      -53.518189,
      -33.261612,
      -53.521037,
      -33.261612,
      -54.005825
    ]);
    poly[494] = _TzPolygon([
      -30.085396,
      -57.451407,
      -30.036842,
      -57.414032,
      -29.992845,
      -57.337128,
      -29.876115,
      -57.326184,
      -29.787937,
      -57.241912,
      -29.764937,
      -57.120912,
      -29.641533,
      -56.969840,
      -29.581211,
      -56.951748,
      -29.435326,
      -56.777379,
      -29.377679,
      -56.766182,
      -29.359128,
      -56.701637,
      -29.258538,
      -56.648079,
      -29.196069,
      -56.643787,
      -29.125164,
      -56.593147,
      -29.075000,
      -56.418000,
      -28.974798,
      -56.407753,
      -28.896137,
      -56.299950,
      -28.802720,
      -56.296511,
      -28.759238,
      -56.178580,
      -28.687041,
      -56.126224,
      -28.607182,
      -56.009843,
      -28.508726,
      -56.012491,
      -28.479231,
      -55.883574,
      -30.085396,
      -55.883574
    ]);
    poly[495] = _TzPolygon([
      -28.479231,
      -55.883574,
      -28.412177,
      -55.903229,
      -28.393264,
      -55.893571,
      -28.393264,
      -55.883574
    ]);
    poly[496] = _TzPolygon([
      -28.393264,
      -55.686687,
      -28.422043,
      -55.694328,
      -28.423401,
      -55.717674,
      -28.393264,
      -55.737148
    ]);
    poly[497] = _TzPolygon([
      -27.383750,
      -57.601072,
      -27.326978,
      -57.694530,
      -27.334160,
      -57.814500,
      -27.275266,
      -57.874817,
      -27.263060,
      -57.919449,
      -27.275954,
      -58.171500,
      -27.256324,
      -58.171500,
      -27.256324,
      -57.554695,
      -27.383750,
      -57.554695
    ]);
    poly[498] = _TzPolygon([
      -25.443098,
      -58.171500,
      -25.443098,
      -57.554695,
      -25.559345,
      -57.573697,
      -25.568896,
      -57.604913,
      -25.616495,
      -57.617611,
      -25.596409,
      -57.674058,
      -25.659830,
      -57.675280,
      -25.653057,
      -57.743434,
      -25.700523,
      -57.767600,
      -25.716286,
      -57.727301,
      -25.757760,
      -57.773986,
      -25.754312,
      -57.825696,
      -25.822344,
      -57.793985,
      -25.859709,
      -57.866551,
      -25.913766,
      -57.833879,
      -25.955799,
      -57.894598,
      -25.987296,
      -57.853409,
      -26.009143,
      -57.855737,
      -26.107376,
      -58.024308,
      -26.111846,
      -58.084733,
      -26.186362,
      -58.119694,
      -26.182690,
      -58.159751,
      -26.228508,
      -58.103866,
      -26.265295,
      -58.164025,
      -26.344982,
      -58.156659,
      -26.358070,
      -58.171500
    ]);
    poly[499] = _TzPolygon([
      -25.443098,
      -57.554695,
      -25.322178,
      -57.702950,
      -25.285932,
      -57.694460,
      -25.220289,
      -57.759005,
      -25.176271,
      -57.753587,
      -25.131514,
      -57.836738,
      -25.081396,
      -57.861350,
      -25.086165,
      -57.975387,
      -25.033567,
      -58.008680,
      -25.045757,
      -58.068912,
      -25.008685,
      -58.090843,
      -25.011547,
      -58.137737,
      -24.975004,
      -58.150026,
      -24.971517,
      -58.171500,
      -24.971517,
      -57.554695
    ]);
  }
}

class _Initializer6 {
  static void _init() {
    poly[500] = _TzPolygon([
      -27.383750,
      -56.217655,
      -27.341657,
      -56.173053,
      -27.308452,
      -56.087277,
      -27.312518,
      -56.037036,
      -27.355114,
      -55.978926,
      -27.342731,
      -55.896275,
      -27.383750,
      -55.859440
    ]);
    poly[501] = _TzPolygon([
      -27.383750,
      -55.687280,
      -27.378466,
      -55.683009,
      -27.337499,
      -55.598931,
      -27.279151,
      -55.600264,
      -27.250778,
      -55.575678,
      -27.182156,
      -55.621590,
      -27.162407,
      -55.605701,
      -27.163545,
      -55.564983,
      -27.108297,
      -55.562511,
      -27.104263,
      -55.454485,
      -27.017810,
      -55.441962,
      -26.966312,
      -55.378406,
      -26.962682,
      -55.305832,
      -26.936886,
      -55.260090,
      -26.969489,
      -55.203597,
      -26.948583,
      -55.135102,
      -26.896237,
      -55.150208,
      -26.852751,
      -55.127892,
      -26.797297,
      -55.052361,
      -26.783279,
      -54.958271,
      -26.682626,
      -54.941124,
      -26.655576,
      -54.869006,
      -26.674343,
      -54.823364,
      -26.631112,
      -54.786945,
      -26.537220,
      -54.801541,
      -26.498955,
      -54.761145,
      -27.383750,
      -54.761145
    ]);
    poly[502] = _TzPolygon([
      -26.780692,
      -54.761145,
      -26.780692,
      -53.714771,
      -26.782261,
      -53.717054,
      -26.847212,
      -53.694725,
      -26.858288,
      -53.662850,
      -26.860147,
      -53.696837,
      -26.869946,
      -53.680010,
      -26.887078,
      -53.695742,
      -26.894434,
      -53.670997,
      -26.929831,
      -53.696783,
      -26.942484,
      -53.671250,
      -26.934136,
      -53.709196,
      -26.960650,
      -53.703444,
      -26.974462,
      -53.737083,
      -26.990344,
      -53.717999,
      -26.991551,
      -53.743074,
      -27.014724,
      -53.740819,
      -27.008282,
      -53.763594,
      -27.032184,
      -53.747302,
      -27.045352,
      -53.763900,
      -27.026738,
      -53.785853,
      -27.065428,
      -53.760874,
      -27.040278,
      -53.802327,
      -27.073971,
      -53.771876,
      -27.078250,
      -53.805549,
      -27.103307,
      -53.776503,
      -27.102786,
      -53.818939,
      -27.122901,
      -53.804543,
      -27.133247,
      -53.824389,
      -27.146289,
      -53.798789,
      -27.145887,
      -53.828245,
      -27.169915,
      -53.836237,
      -27.127411,
      -53.879053,
      -27.176463,
      -53.909972,
      -27.152051,
      -53.951170,
      -27.194912,
      -53.960253,
      -27.200409,
      -54.009892,
      -27.248372,
      -54.021074,
      -27.301126,
      -54.088891,
      -27.296190,
      -54.156185,
      -27.254000,
      -54.172000,
      -27.383750,
      -54.216578,
      -27.383750,
      -54.761145
    ]);
    poly[503] = _TzPolygon([
      -26.177634,
      -54.657362,
      -26.216938,
      -54.618744,
      -26.264725,
      -54.679579,
      -26.311794,
      -54.648801,
      -26.378675,
      -54.697155,
      -26.446046,
      -54.705291,
      -26.498955,
      -54.761145,
      -26.177634,
      -54.761145
    ]);
    poly[504] = _TzPolygon([
      -26.780692,
      -53.662850,
      -26.780692,
      -53.714771,
      -26.769594,
      -53.698622,
      -26.764284,
      -53.743730,
      -26.750711,
      -53.714038,
      -26.720368,
      -53.757889,
      -26.717058,
      -53.734567,
      -26.681349,
      -53.743391,
      -26.684779,
      -53.717338,
      -26.650887,
      -53.720252,
      -26.640985,
      -53.759459,
      -26.644077,
      -53.739709,
      -26.560856,
      -53.707507,
      -26.566543,
      -53.736356,
      -26.545145,
      -53.741750,
      -26.539159,
      -53.720189,
      -26.500921,
      -53.729022,
      -26.508924,
      -53.704851,
      -26.490330,
      -53.695893,
      -26.470614,
      -53.715186,
      -26.430905,
      -53.687262,
      -26.387569,
      -53.709996,
      -26.313342,
      -53.662850
    ]);
    poly[505] = _TzPolygon([
      -26.192786,
      -53.662850,
      -26.177634,
      -53.678390,
      -26.177634,
      -53.662850
    ]);
    poly[506] = _TzPolygon([
      -25.574576,
      -54.761145,
      -25.574576,
      -54.597496,
      -25.662630,
      -54.581235,
      -25.659618,
      -54.640807,
      -25.687650,
      -54.657778,
      -25.830428,
      -54.587047,
      -25.914252,
      -54.622306,
      -25.978180,
      -54.610621,
      -25.995239,
      -54.679330,
      -26.093444,
      -54.643010,
      -26.164874,
      -54.669899,
      -26.177634,
      -54.657362,
      -26.177634,
      -54.761145
    ]);
    poly[507] = _TzPolygon([
      -25.574576,
      -54.233143,
      -25.593000,
      -54.235000,
      -25.596189,
      -54.255077,
      -25.574576,
      -54.272006
    ]);
    poly[508] = _TzPolygon([
      -25.574576,
      -54.332331,
      -25.606749,
      -54.348221,
      -25.597471,
      -54.383946,
      -25.697560,
      -54.432884,
      -25.618096,
      -54.492703,
      -25.628665,
      -54.526420,
      -25.588129,
      -54.552575,
      -25.592753,
      -54.593535,
      -25.574576,
      -54.596904
    ]);
    poly[509] = _TzPolygon([
      -26.177634,
      -53.678390,
      -26.115572,
      -53.742040,
      -26.043181,
      -53.734204,
      -25.970178,
      -53.836770,
      -25.898539,
      -53.819509,
      -25.883663,
      -53.850008,
      -25.872236,
      -53.823501,
      -25.839815,
      -53.850120,
      -25.793767,
      -53.822137,
      -25.790655,
      -53.843452,
      -25.780858,
      -53.830917,
      -25.766052,
      -53.857018,
      -25.751379,
      -53.834066,
      -25.744423,
      -53.866200,
      -25.707706,
      -53.879314,
      -25.687327,
      -53.842542,
      -25.658641,
      -53.862687,
      -25.661073,
      -53.890301,
      -25.622236,
      -53.892777,
      -25.636287,
      -53.912308,
      -25.616174,
      -53.916511,
      -25.611325,
      -53.947738,
      -25.643519,
      -53.962366,
      -25.600909,
      -53.970265,
      -25.574576,
      -54.005036,
      -25.574576,
      -53.662850,
      -26.177634,
      -53.662850
    ]);
    poly[510] = _TzPolygon([
      -25.574576,
      -54.034108,
      -25.585000,
      -54.049000,
      -25.574576,
      -54.063594
    ]);
    poly[511] = _TzPolygon([
      -25.574576,
      -54.087118,
      -25.619000,
      -54.098000,
      -25.574576,
      -54.120212
    ]);
    poly[512] = _TzPolygon([
      -25.574576,
      -54.184137,
      -25.584000,
      -54.178000,
      -25.574576,
      -54.201407
    ]);
    poly[513] = _TzPolygon([
      -25.574576,
      -54.332331,
      -25.553935,
      -54.288173,
      -25.574576,
      -54.272006
    ]);
    poly[514] = _TzPolygon([
      -25.574576,
      -54.233143,
      -25.562296,
      -54.231905,
      -25.574576,
      -54.201407
    ]);
    poly[515] = _TzPolygon([
      -25.574576,
      -54.184137,
      -25.541000,
      -54.206000,
      -25.541000,
      -54.161000,
      -25.495000,
      -54.099000,
      -25.567000,
      -54.124000,
      -25.574576,
      -54.120212
    ]);
    poly[516] = _TzPolygon([
      -25.574576,
      -54.082008,
      -25.557657,
      -54.075917,
      -25.574576,
      -54.059262
    ]);
    poly[517] = _TzPolygon([
      -25.574576,
      -54.026414,
      -25.567000,
      -54.010000,
      -25.574576,
      -54.004839
    ]);
    poly[518] = _TzPolygon([
      -24.971517,
      -54.439441,
      -25.084088,
      -54.458136,
      -25.159149,
      -54.429502,
      -25.313138,
      -54.499111,
      -25.454309,
      -54.619705,
      -25.574576,
      -54.597496,
      -25.574576,
      -54.761145,
      -24.971517,
      -54.761145
    ]);
    poly[519] = _TzPolygon([
      -26.183765,
      -53.662850,
      -26.194481,
      -53.650406,
      -26.249652,
      -53.637451,
      -26.297939,
      -53.662850
    ]);
    poly[520] = _TzPolygon([
      -26.857392,
      -53.662850,
      -26.858157,
      -53.660456,
      -26.858288,
      -53.662850
    ]);
    poly[521] = _TzPolygon([
      -22.204843,
      -56.330086,
      -22.169491,
      -56.364855,
      -22.151733,
      -56.370302,
      -22.151733,
      -56.330086
    ]);
    poly[522] = _TzPolygon([
      -22.151733,
      -56.534711,
      -22.196549,
      -56.556748,
      -22.244041,
      -56.642261,
      -22.263407,
      -56.637053,
      -22.216928,
      -56.703442,
      -22.264792,
      -56.720261,
      -22.235719,
      -56.746996,
      -22.260414,
      -56.776571,
      -22.242379,
      -56.793443,
      -22.283327,
      -56.802691,
      -22.301554,
      -56.842854,
      -22.277699,
      -56.879965,
      -22.247554,
      -56.883430,
      -22.266490,
      -56.905510,
      -22.242727,
      -56.987088,
      -22.222459,
      -56.996705,
      -22.251128,
      -57.082446,
      -22.225389,
      -57.110259,
      -22.236582,
      -57.183505,
      -22.210984,
      -57.201353,
      -22.251348,
      -57.237664,
      -22.218526,
      -57.294484,
      -22.245548,
      -57.320437,
      -22.232043,
      -57.374403,
      -22.197581,
      -57.407338,
      -22.191154,
      -57.489628,
      -22.168151,
      -57.522847,
      -22.175344,
      -57.580396,
      -22.151733,
      -57.589229
    ]);
    poly[523] = _TzPolygon([
      -23.561625,
      -55.528616,
      -23.561625,
      -54.488672,
      -23.893027,
      -54.488672,
      -23.874332,
      -54.568497,
      -23.837194,
      -54.584378,
      -23.851482,
      -54.609508,
      -23.812615,
      -54.669779,
      -23.864520,
      -54.705325,
      -23.856643,
      -54.759408,
      -23.906000,
      -54.849000,
      -23.898000,
      -54.890000,
      -23.922000,
      -54.925000,
      -23.959000,
      -54.924000,
      -23.956000,
      -54.998000,
      -23.993353,
      -55.062233,
      -23.961918,
      -55.107174,
      -24.013828,
      -55.229072,
      -23.965061,
      -55.304168,
      -23.994601,
      -55.345433,
      -23.964524,
      -55.414243,
      -23.916803,
      -55.446252,
      -23.716646,
      -55.436730,
      -23.711937,
      -55.463962,
      -23.640051,
      -55.484196,
      -23.625015,
      -55.539906,
      -23.567313,
      -55.526385
    ]);
    poly[524] = _TzPolygon([
      -22.204843,
      -56.330086,
      -22.218290,
      -56.316860,
      -22.236588,
      -56.238030,
      -22.278052,
      -56.209831,
      -22.288342,
      -56.165897,
      -22.270323,
      -56.117682,
      -22.294616,
      -56.010168,
      -22.280328,
      -55.853190,
      -22.384601,
      -55.789394,
      -22.384393,
      -55.746947,
      -22.459117,
      -55.735159,
      -22.476824,
      -55.752465,
      -22.551948,
      -55.723408,
      -22.655211,
      -55.614320,
      -22.767498,
      -55.618404,
      -22.791663,
      -55.650634,
      -22.852446,
      -55.665833,
      -23.149926,
      -55.596348,
      -23.156100,
      -55.541986,
      -23.197334,
      -55.523560,
      -23.220467,
      -55.546021,
      -23.259790,
      -55.522720,
      -23.279613,
      -55.553132,
      -23.316532,
      -55.555814,
      -23.378879,
      -55.504574,
      -23.477278,
      -55.544994,
      -23.476213,
      -55.562115,
      -23.561625,
      -55.528616,
      -23.561625,
      -56.330086
    ]);
    poly[525] = _TzPolygon([
      -22.151733,
      -57.589229,
      -22.094620,
      -57.610596,
      -22.107062,
      -57.652655,
      -22.091108,
      -57.707512,
      -22.113653,
      -57.716975,
      -22.102818,
      -57.738089,
      -22.134756,
      -57.739127,
      -22.125232,
      -57.779792,
      -22.150722,
      -57.801829,
      -22.120511,
      -57.827396,
      -22.135925,
      -57.865322,
      -22.120213,
      -57.929674,
      -22.082807,
      -57.942248,
      -22.090233,
      -57.993842,
      -22.063451,
      -57.984244,
      -22.040378,
      -58.009461,
      -22.004996,
      -57.965827,
      -21.922796,
      -57.934951,
      -21.901296,
      -57.948684,
      -21.882660,
      -57.912806,
      -21.850453,
      -57.966028,
      -21.773548,
      -57.908658,
      -21.744133,
      -57.947143,
      -21.689028,
      -57.883287,
      -21.650365,
      -57.934365,
      -21.622382,
      -57.942888,
      -21.590213,
      -57.913865,
      -21.563112,
      -57.959699,
      -21.524324,
      -57.967953,
      -21.331091,
      -57.853501,
      -21.280379,
      -57.921613,
      -21.224075,
      -57.850665,
      -21.140036,
      -57.864535,
      -21.097767,
      -57.846373,
      -21.044168,
      -57.868337,
      -20.979564,
      -57.816504,
      -20.940665,
      -57.819191,
      -20.948466,
      -57.863820,
      -20.906372,
      -57.889070,
      -20.900364,
      -57.928365,
      -20.834026,
      -57.855199,
      -20.788720,
      -57.898631,
      -20.791600,
      -57.961828,
      -20.745653,
      -57.934779,
      -20.749987,
      -57.868689,
      -20.741840,
      -57.868044,
      -20.741840,
      -57.250793,
      -22.151733,
      -57.250793
    ]);
    poly[526] = _TzPolygon([
      -22.151733,
      -56.534711,
      -22.095609,
      -56.507114,
      -22.074341,
      -56.394040,
      -22.151733,
      -56.370302
    ]);
    poly[527] = _TzPolygon([
      -20.015895,
      -58.171500,
      -20.120085,
      -58.137864,
      -20.172900,
      -58.168832,
      -20.192460,
      -58.121521,
      -20.228588,
      -58.164614,
      -20.259525,
      -58.162164,
      -20.271832,
      -58.143519,
      -20.254451,
      -58.095960,
      -20.355544,
      -58.093394,
      -20.435512,
      -57.998465,
      -20.515276,
      -58.019236,
      -20.561592,
      -57.995242,
      -20.610685,
      -58.013809,
      -20.642557,
      -57.970485,
      -20.698787,
      -57.988482,
      -20.704233,
      -57.954870,
      -20.663920,
      -57.924136,
      -20.725585,
      -57.869891,
      -20.741840,
      -57.869090,
      -20.741840,
      -58.171500
    ]);
    poly[528] = _TzPolygon([
      -19.822709,
      -58.171500,
      -19.827268,
      -58.163854,
      -19.834362,
      -58.171500
    ]);
    poly[529] = _TzPolygon([
      -19.834362,
      -58.171500,
      -19.827268,
      -58.163854,
      -19.822709,
      -58.171500,
      -19.331948,
      -58.171500,
      -19.331948,
      -57.927083,
      -19.758000,
      -58.131000,
      -19.970298,
      -57.857957,
      -20.042071,
      -57.902481,
      -20.020944,
      -57.953465,
      -20.056803,
      -57.979452,
      -20.063580,
      -58.032649,
      -20.107267,
      -58.050440,
      -20.108881,
      -58.092529,
      -20.145690,
      -58.115620,
      -20.167124,
      -58.169687,
      -20.120085,
      -58.137864,
      -20.015895,
      -58.171500
    ]);
    poly[530] = _TzPolygon([
      -23.893027,
      -54.488672,
      -23.904464,
      -54.439840,
      -23.986686,
      -54.383689,
      -24.004536,
      -54.321982,
      -24.073356,
      -54.282230,
      -24.116326,
      -54.333898,
      -24.154425,
      -54.344197,
      -24.242406,
      -54.324971,
      -24.357000,
      -54.258000,
      -24.470729,
      -54.327141,
      -24.660587,
      -54.324373,
      -24.802806,
      -54.395372,
      -24.947694,
      -54.435485,
      -24.971517,
      -54.439441,
      -24.971517,
      -54.488672
    ]);
    poly[531] = _TzPolygon([
      -22.151733,
      -54.488672,
      -22.151733,
      -52.422733,
      -22.218000,
      -52.489000,
      -22.343000,
      -52.745000,
      -22.439000,
      -52.854000,
      -22.493000,
      -52.998000,
      -22.553000,
      -53.077000,
      -22.621000,
      -53.105000,
      -22.728000,
      -53.198000,
      -22.775000,
      -53.352000,
      -22.890000,
      -53.546000,
      -22.951000,
      -53.607000,
      -22.998000,
      -53.634000,
      -23.125000,
      -53.636000,
      -23.319000,
      -53.730000,
      -23.372000,
      -53.771000,
      -23.456000,
      -53.981000,
      -23.764000,
      -54.075000,
      -23.951000,
      -54.101000,
      -24.073356,
      -54.282230,
      -24.004536,
      -54.321982,
      -24.007722,
      -54.351711,
      -23.958277,
      -54.414604,
      -23.904464,
      -54.439840,
      -23.893027,
      -54.488672
    ]);
    poly[532] = _TzPolygon([
      -22.151733,
      -52.422733,
      -22.106000,
      -52.377000,
      -21.942000,
      -52.301000,
      -21.846000,
      -52.190000,
      -21.770000,
      -52.161000,
      -21.714000,
      -52.076000,
      -21.643000,
      -52.049000,
      -21.570222,
      -52.101899,
      -21.534828,
      -52.094192,
      -21.505372,
      -52.052602,
      -21.503978,
      -51.970244,
      -21.343515,
      -51.861946,
      -21.266071,
      -51.848440,
      -21.197840,
      -51.880415,
      -21.137189,
      -51.878549,
      -21.102000,
      -51.789000,
      -20.974041,
      -51.721317,
      -20.942271,
      -51.623105,
      -20.753127,
      -51.634210,
      -20.643000,
      -51.594000,
      -20.459000,
      -51.409000,
      -20.353000,
      -51.341000,
      -20.295000,
      -51.132000,
      -20.233189,
      -51.058263,
      -20.088925,
      -50.998257,
      -19.959000,
      -51.020000,
      -19.906000,
      -50.999000,
      -19.729000,
      -51.045000,
      -19.589000,
      -50.987000,
      -19.576000,
      -50.923000,
      -19.500000,
      -50.962000,
      -19.467000,
      -50.934000,
      -19.398676,
      -51.026459,
      -19.345499,
      -51.044461,
      -19.331948,
      -51.060215,
      -19.331948,
      -50.806078,
      -22.151733,
      -50.805961
    ]);
    poly[533] = _TzPolygon([
      -17.922055,
      -58.171500,
      -17.922055,
      -57.670833,
      -18.046000,
      -57.600000,
      -18.131000,
      -57.574000,
      -18.231000,
      -57.453000,
      -18.240000,
      -57.557000,
      -18.797186,
      -57.735232,
      -18.899000,
      -57.766000,
      -18.899000,
      -57.719000,
      -18.978110,
      -57.719215,
      -19.010883,
      -57.691608,
      -19.034630,
      -57.710212,
      -19.033000,
      -57.784000,
      -19.331948,
      -57.927083,
      -19.331948,
      -58.171500
    ]);
    poly[534] = _TzPolygon([
      -16.512163,
      -57.250793,
      -17.792638,
      -57.250793,
      -17.793511,
      -57.254453,
      -17.796948,
      -57.250793,
      -17.812406,
      -57.250793,
      -17.810532,
      -57.309295,
      -17.838163,
      -57.345326,
      -17.826823,
      -57.380877,
      -17.903297,
      -57.456586,
      -17.860189,
      -57.477550,
      -17.863367,
      -57.515847,
      -17.800217,
      -57.577931,
      -17.803411,
      -57.605243,
      -17.717797,
      -57.640721,
      -17.730895,
      -57.664558,
      -17.716536,
      -57.684588,
      -17.673987,
      -57.668216,
      -17.531012,
      -57.725031,
      -17.550931,
      -57.745913,
      -17.449000,
      -57.883000,
      -17.515000,
      -57.996000,
      -17.492000,
      -58.043000,
      -17.450000,
      -58.060000,
      -17.447000,
      -58.120000,
      -17.384000,
      -58.151000,
      -17.388221,
      -58.171500,
      -16.512163,
      -58.171500
    ]);
    poly[535] = _TzPolygon([
      -17.388221,
      -58.171500,
      -17.384000,
      -58.151000,
      -17.451000,
      -58.116000,
      -17.450000,
      -58.060000,
      -17.492000,
      -58.043000,
      -17.515000,
      -57.996000,
      -17.449000,
      -57.883000,
      -17.550931,
      -57.745913,
      -17.560008,
      -57.795670,
      -17.597972,
      -57.774028,
      -17.642698,
      -57.782167,
      -17.729884,
      -57.709642,
      -17.774842,
      -57.713482,
      -17.810412,
      -57.684982,
      -17.830634,
      -57.684920,
      -17.830740,
      -57.723019,
      -17.922055,
      -57.670833,
      -17.922055,
      -58.171500
    ]);
    poly[536] = _TzPolygon([
      -17.286252,
      -56.330086,
      -17.288908,
      -56.339132,
      -17.267412,
      -56.360492,
      -17.331709,
      -56.445067,
      -17.297111,
      -56.492154,
      -17.332128,
      -56.579387,
      -17.317294,
      -56.647131,
      -17.340205,
      -56.648235,
      -17.321808,
      -56.657354,
      -17.340703,
      -56.663864,
      -17.317013,
      -56.683381,
      -17.310246,
      -56.735108,
      -17.390810,
      -56.789239,
      -17.392755,
      -56.831907,
      -17.459604,
      -56.826042,
      -17.465538,
      -56.850469,
      -17.532183,
      -56.875661,
      -17.532406,
      -56.911001,
      -17.580121,
      -56.983146,
      -17.610696,
      -56.982684,
      -17.614478,
      -56.960688,
      -17.733244,
      -57.048119,
      -17.782021,
      -57.118695,
      -17.768437,
      -57.149329,
      -17.792638,
      -57.250793,
      -16.512163,
      -57.250793,
      -16.512163,
      -56.330086
    ]);
    poly[537] = _TzPolygon([
      -17.796948,
      -57.250793,
      -17.812952,
      -57.233748,
      -17.812406,
      -57.250793
    ]);
    poly[538] = _TzPolygon([
      -17.513359,
      -55.409379,
      -17.512463,
      -55.444798,
      -17.479223,
      -55.473057,
      -17.482895,
      -55.525220,
      -17.421675,
      -55.590446,
      -17.373521,
      -55.586883,
      -17.365211,
      -55.627677,
      -17.340052,
      -55.642151,
      -17.359681,
      -55.647660,
      -17.338200,
      -55.658584,
      -17.354321,
      -55.704277,
      -17.337410,
      -55.709644,
      -17.329940,
      -55.787747,
      -17.298000,
      -55.806000,
      -17.300699,
      -55.843553,
      -17.269039,
      -55.875432,
      -17.285149,
      -55.888516,
      -17.273792,
      -55.903853,
      -17.264107,
      -55.888359,
      -17.257880,
      -55.928746,
      -17.278610,
      -55.942337,
      -17.249953,
      -55.952470,
      -17.257964,
      -55.988578,
      -17.240256,
      -56.011925,
      -17.204994,
      -56.007192,
      -17.171000,
      -56.045000,
      -17.186907,
      -56.054462,
      -17.167453,
      -56.114841,
      -17.191339,
      -56.140422,
      -17.188883,
      -56.187843,
      -17.227306,
      -56.211171,
      -17.220108,
      -56.254994,
      -17.277225,
      -56.299346,
      -17.286252,
      -56.330086,
      -16.512163,
      -56.330086,
      -16.512163,
      -55.409379
    ]);
    poly[539] = _TzPolygon([
      -17.513359,
      -55.409379,
      -16.512163,
      -55.409379,
      -16.512163,
      -54.488672,
      -17.487529,
      -54.488672,
      -17.488178,
      -54.556466,
      -17.467265,
      -54.581596,
      -17.521462,
      -54.746686,
      -17.567703,
      -54.762737,
      -17.624247,
      -54.861871,
      -17.608776,
      -54.942455,
      -17.639097,
      -54.991591,
      -17.642427,
      -55.062736,
      -17.626088,
      -55.098549,
      -17.654082,
      -55.125875,
      -17.615924,
      -55.223875,
      -17.540589,
      -55.294693,
      -17.548175,
      -55.351021,
      -17.514195,
      -55.376344
    ]);
    poly[540] = _TzPolygon([
      -17.922055,
      -53.865324,
      -17.922055,
      -53.121210,
      -17.990463,
      -53.064478,
      -18.034632,
      -53.072785,
      -18.041560,
      -53.173775,
      -18.007000,
      -53.237000,
      -18.008000,
      -53.380000,
      -17.983000,
      -53.439000,
      -18.039000,
      -53.472000,
      -18.005000,
      -53.557000,
      -18.012000,
      -53.589000,
      -17.976000,
      -53.616000,
      -17.977000,
      -53.661000,
      -18.013000,
      -53.692000,
      -17.994000,
      -53.786000
    ]);
    poly[541] = _TzPolygon([
      -17.922055,
      -53.937743,
      -17.923000,
      -53.948000,
      -17.922055,
      -53.948127
    ]);
    poly[542] = _TzPolygon([
      -17.922055,
      -53.121210,
      -17.922055,
      -52.647375,
      -18.690325,
      -52.647375,
      -18.692000,
      -52.747000,
      -18.637000,
      -52.918000,
      -18.540000,
      -52.962000,
      -18.465000,
      -52.880000,
      -18.426000,
      -52.873000,
      -18.414000,
      -52.798000,
      -18.350000,
      -52.759000,
      -18.313000,
      -52.805000,
      -18.296000,
      -52.935000,
      -18.303000,
      -52.976000,
      -18.351000,
      -53.027000,
      -18.310000,
      -53.101000,
      -18.081000,
      -53.143000,
      -18.051548,
      -53.076822,
      -17.990463,
      -53.064478
    ]);
    poly[543] = _TzPolygon([
      -17.922055,
      -53.948127,
      -17.871000,
      -53.955000,
      -17.702000,
      -53.855000,
      -17.672000,
      -53.806000,
      -17.663000,
      -53.704000,
      -17.254250,
      -53.679614,
      -17.227590,
      -53.705129,
      -17.294510,
      -53.819352,
      -17.355727,
      -53.831169,
      -17.374013,
      -53.877432,
      -17.458649,
      -53.950309,
      -17.506048,
      -54.054051,
      -17.563118,
      -54.051916,
      -17.618726,
      -54.078639,
      -17.603664,
      -54.181012,
      -17.653837,
      -54.273177,
      -17.662472,
      -54.336167,
      -17.633457,
      -54.388019,
      -17.572391,
      -54.382000,
      -17.528627,
      -54.466883,
      -17.487463,
      -54.481728,
      -17.487529,
      -54.488672,
      -16.512163,
      -54.488672,
      -16.512163,
      -53.568023,
      -17.922055,
      -53.568023,
      -17.922055,
      -53.865324,
      -17.916000,
      -53.872000
    ]);
    poly[544] = _TzPolygon([
      -17.922055,
      -53.121210,
      -17.915589,
      -53.126573,
      -17.835524,
      -53.131687,
      -17.765526,
      -53.164122,
      -17.689788,
      -53.244229,
      -17.440000,
      -53.233000,
      -17.380000,
      -53.196000,
      -17.298512,
      -53.218654,
      -17.113281,
      -53.118068,
      -17.070266,
      -53.055208,
      -17.050489,
      -53.071337,
      -16.963150,
      -53.055882,
      -16.861268,
      -53.014093,
      -16.867190,
      -52.963615,
      -16.841093,
      -52.952854,
      -16.840394,
      -52.926685,
      -16.803295,
      -52.933357,
      -16.818458,
      -52.923662,
      -16.776455,
      -52.884701,
      -16.742593,
      -52.786521,
      -16.714075,
      -52.785547,
      -16.704761,
      -52.760051,
      -16.672697,
      -52.754996,
      -16.669686,
      -52.771375,
      -16.657553,
      -52.740419,
      -16.631082,
      -52.746632,
      -16.640311,
      -52.715364,
      -16.589863,
      -52.740000,
      -16.599613,
      -52.705274,
      -16.571281,
      -52.704770,
      -16.584674,
      -52.672726,
      -16.551074,
      -52.668255,
      -16.562030,
      -52.650701,
      -16.558407,
      -52.647375,
      -17.922055,
      -52.647375
    ]);
    poly[545] = _TzPolygon([
      -18.690325,
      -52.647375,
      -18.689381,
      -52.591203,
      -18.658000,
      -52.531000,
      -18.691000,
      -52.449000,
      -18.822000,
      -52.344000,
      -18.847000,
      -52.181000,
      -18.888000,
      -52.157000,
      -18.899000,
      -52.111000,
      -18.942217,
      -52.093024,
      -18.962996,
      -52.017978,
      -18.981996,
      -52.014978,
      -18.969106,
      -51.938996,
      -19.050484,
      -51.857555,
      -19.137546,
      -51.657844,
      -19.126233,
      -51.576605,
      -19.161373,
      -51.498006,
      -19.166266,
      -51.419890,
      -19.221444,
      -51.369190,
      -19.218000,
      -51.307000,
      -19.239268,
      -51.306705,
      -19.273673,
      -51.251378,
      -19.260845,
      -51.202478,
      -19.307639,
      -51.088474,
      -19.331948,
      -51.060215,
      -19.331948,
      -52.647375
    ]);
    poly[546] = _TzPolygon([
      -16.512163,
      -52.634540,
      -16.536613,
      -52.627370,
      -16.558407,
      -52.647375,
      -16.512163,
      -52.647375
    ]);
    poly[547] = _TzPolygon([
      -16.411179,
      -52.647258,
      -16.398783,
      -52.687634,
      -16.302392,
      -52.682701,
      -16.284558,
      -52.647258
    ]);
    poly[548] = _TzPolygon([
      -16.512163,
      -52.634540,
      -16.502772,
      -52.637294,
      -16.502464,
      -52.613314,
      -16.464419,
      -52.604659,
      -16.412343,
      -52.643465,
      -16.411179,
      -52.647258,
      -16.284558,
      -52.647258,
      -16.249429,
      -52.577441,
      -16.261424,
      -52.547034,
      -16.229966,
      -52.570158,
      -16.222389,
      -52.545170,
      -16.165320,
      -52.549163,
      -16.133644,
      -52.515641,
      -16.072111,
      -52.329673,
      -15.891669,
      -52.251835,
      -15.886575,
      -52.011033,
      -15.845026,
      -51.983958,
      -15.838689,
      -51.954299,
      -15.810756,
      -51.950499,
      -15.828855,
      -51.882751,
      -15.636294,
      -51.758111,
      -15.538431,
      -51.778275,
      -15.531099,
      -51.760258,
      -15.560050,
      -51.740094,
      -15.509225,
      -51.735833,
      -15.490610,
      -51.700465,
      -15.410000,
      -51.697000,
      -15.371000,
      -51.671000,
      -15.322703,
      -51.691462,
      -15.263230,
      -51.645667,
      -15.250822,
      -51.672313,
      -15.176968,
      -51.651204,
      -15.156079,
      -51.596553,
      -15.102270,
      -51.558619,
      -15.102270,
      -50.806254,
      -16.512163,
      -50.806196
    ]);
    poly[549] = _TzPolygon([
      -15.102270,
      -51.558619,
      -15.062881,
      -51.530851,
      -15.045546,
      -51.457640,
      -15.005412,
      -51.419805,
      -15.009343,
      -51.365788,
      -14.969595,
      -51.328306,
      -15.037921,
      -51.284888,
      -15.027660,
      -51.227856,
      -14.984968,
      -51.156704,
      -14.944533,
      -51.146034,
      -14.920177,
      -51.085964,
      -14.840000,
      -51.089000,
      -14.789864,
      -51.042482,
      -14.750995,
      -51.057154,
      -14.524072,
      -50.961122,
      -14.416032,
      -50.998238,
      -14.326515,
      -50.965715,
      -14.294160,
      -50.978501,
      -14.169324,
      -50.913568,
      -14.114261,
      -50.918252,
      -14.125615,
      -50.865533,
      -14.089000,
      -50.833000,
      -13.966628,
      -50.867697,
      -13.914455,
      -50.839952,
      -13.733000,
      -50.871000,
      -13.694158,
      -50.806313,
      -15.102270,
      -50.806254
    ]);
    poly[550] = _TzPolygon([
      -14.163903,
      -46.188044,
      -14.164359,
      -46.190346,
      -14.119259,
      -46.219416,
      -14.098000,
      -46.265000,
      -14.072912,
      -46.226926,
      -14.056365,
      -46.248040,
      -14.014522,
      -46.210017,
      -13.973713,
      -46.219008,
      -13.945039,
      -46.267438,
      -13.845046,
      -46.233460,
      -13.796000,
      -46.282000,
      -13.767154,
      -46.223718,
      -13.745072,
      -46.237194,
      -13.740874,
      -46.284595,
      -13.717227,
      -46.238295,
      -13.692378,
      -46.257237,
      -13.692378,
      -46.188044
    ]);
    poly[551] = _TzPolygon([
      -15.102270,
      -46.029482,
      -15.102270,
      -45.711891,
      -15.112535,
      -45.721285,
      -15.113383,
      -45.818321,
      -15.157685,
      -45.872560,
      -15.138779,
      -45.954580,
      -15.194220,
      -45.984762,
      -15.199072,
      -46.027124,
      -15.260701,
      -46.054929,
      -15.262861,
      -46.078810,
      -15.193932,
      -46.120362,
      -15.165456,
      -46.048563,
      -15.118000,
      -46.043000
    ]);
    poly[552] = _TzPolygon([
      -14.163903,
      -46.188044,
      -14.153000,
      -46.133000,
      -14.204396,
      -46.096657,
      -14.194000,
      -46.061000,
      -14.237967,
      -46.054406,
      -14.257891,
      -45.994421,
      -14.343453,
      -45.942258,
      -14.354970,
      -45.906633,
      -14.415000,
      -45.935000,
      -14.432994,
      -45.978709,
      -14.406268,
      -46.008943,
      -14.418405,
      -46.016882,
      -14.516805,
      -46.004082,
      -14.537950,
      -45.977668,
      -14.542956,
      -45.996508,
      -14.626000,
      -45.985000,
      -14.660318,
      -45.990821,
      -14.681224,
      -46.029448,
      -14.711000,
      -46.001000,
      -14.794000,
      -46.008000,
      -14.831000,
      -46.052000,
      -14.975295,
      -45.965961,
      -15.039224,
      -45.975302,
      -15.102270,
      -46.029482,
      -15.102270,
      -46.188044
    ]);
    poly[553] = _TzPolygon([
      -15.102270,
      -45.711838,
      -14.943665,
      -45.565870,
      -14.953873,
      -45.455014,
      -14.921417,
      -45.435350,
      -14.918441,
      -45.400226,
      -14.871816,
      -45.365008,
      -14.851651,
      -45.317438,
      -14.831457,
      -45.317233,
      -14.833255,
      -45.285795,
      -14.744673,
      -45.206240,
      -14.732347,
      -45.164566,
      -14.749430,
      -45.083684,
      -14.679972,
      -45.040591,
      -14.578955,
      -44.843245,
      -14.570419,
      -44.859403,
      -14.537801,
      -44.824346,
      -14.498007,
      -44.833433,
      -14.448189,
      -44.701404,
      -14.415356,
      -44.689291,
      -14.415782,
      -44.657995,
      -14.393708,
      -44.658116,
      -14.388206,
      -44.648778,
      -15.102270,
      -44.648778
    ]);
    poly[554] = _TzPolygon([
      -14.388206,
      -44.648778,
      -14.338780,
      -44.564892,
      -14.328167,
      -44.486893,
      -14.238936,
      -44.315862,
      -14.259006,
      -44.246736,
      -14.231821,
      -44.214855,
      -14.267655,
      -44.170566,
      -14.262761,
      -44.137111,
      -14.281434,
      -44.134166,
      -14.257371,
      -44.113295,
      -14.288946,
      -44.034514,
      -14.264585,
      -43.997740,
      -14.304928,
      -43.942296,
      -14.292739,
      -43.893193,
      -14.311868,
      -43.881644,
      -14.311640,
      -43.819612,
      -14.337740,
      -43.777256,
      -14.377760,
      -43.815158,
      -14.525676,
      -43.873942,
      -14.653924,
      -43.884509,
      -14.675197,
      -43.859908,
      -14.698811,
      -43.725615,
      -14.730188,
      -43.719516,
      -14.722008,
      -43.686412,
      -14.760473,
      -43.615171,
      -14.750715,
      -43.580667,
      -14.784546,
      -43.535883,
      -14.816515,
      -43.530319,
      -14.787809,
      -43.469488,
      -14.768151,
      -43.481646,
      -14.723202,
      -43.434649,
      -14.669957,
      -43.311732,
      -14.650731,
      -43.177183,
      -14.684120,
      -43.109512,
      -16.217122,
      -43.109512,
      -16.217122,
      -44.648778
    ]);
    poly[555] = _TzPolygon([
      -14.684120,
      -43.109512,
      -14.696519,
      -43.084382,
      -14.682940,
      -43.037621,
      -14.707717,
      -42.939187,
      -14.744336,
      -42.927253,
      -14.764760,
      -42.870308,
      -14.885865,
      -42.722981,
      -14.944884,
      -42.626253,
      -14.923721,
      -42.598581,
      -15.017000,
      -42.476000,
      -15.022714,
      -42.436958,
      -15.062776,
      -42.440807,
      -15.071000,
      -42.374000,
      -15.098000,
      -42.355000,
      -15.080000,
      -42.331000,
      -15.125383,
      -42.265014,
      -15.086086,
      -42.173022,
      -15.186476,
      -42.091443,
      -15.158829,
      -41.997362,
      -15.174000,
      -41.932000,
      -15.115000,
      -41.870000,
      -15.100254,
      -41.801819,
      -15.307070,
      -41.570246,
      -16.217122,
      -41.570246,
      -16.217122,
      -43.109512
    ]);
    poly[556] = _TzPolygon([
      -18.099873,
      -40.030979,
      -17.979559,
      -40.222818,
      -17.922000,
      -40.263000,
      -17.851000,
      -40.174000,
      -17.795000,
      -40.218000,
      -17.737604,
      -40.219773,
      -17.726033,
      -40.276257,
      -17.619177,
      -40.342947,
      -17.644276,
      -40.355390,
      -17.612651,
      -40.372507,
      -17.625000,
      -40.396000,
      -17.609393,
      -40.415076,
      -17.567462,
      -40.412154,
      -17.568525,
      -40.460551,
      -17.520939,
      -40.488961,
      -17.489472,
      -40.482978,
      -17.445462,
      -40.519939,
      -17.406000,
      -40.623000,
      -17.389631,
      -40.598750,
      -17.326000,
      -40.609000,
      -17.284202,
      -40.547143,
      -17.251867,
      -40.571343,
      -17.199830,
      -40.551596,
      -17.163427,
      -40.578032,
      -17.102900,
      -40.556944,
      -17.062101,
      -40.570851,
      -16.885069,
      -40.492081,
      -16.899000,
      -40.417000,
      -16.874000,
      -40.366000,
      -16.907828,
      -40.331036,
      -16.901000,
      -40.281000,
      -16.846176,
      -40.247825,
      -16.805402,
      -40.258563,
      -16.785793,
      -40.345059,
      -16.736000,
      -40.310000,
      -16.586744,
      -40.283582,
      -16.556677,
      -40.234308,
      -16.579364,
      -40.157947,
      -16.524098,
      -40.170751,
      -16.421373,
      -40.097901,
      -16.463845,
      -40.083629,
      -16.459018,
      -40.066769,
      -16.390046,
      -40.030979
    ]);
    poly[557] = _TzPolygon([
      -16.217122,
      -39.906950,
      -16.244563,
      -39.936510,
      -16.284049,
      -39.916383,
      -16.327000,
      -39.966000,
      -16.313000,
      -39.991000,
      -16.390046,
      -40.030979,
      -16.217122,
      -40.030979
    ]);
    poly[558] = _TzPolygon([
      -18.099873,
      -40.030979,
      -18.329545,
      -39.664770,
      -18.348003,
      -39.669190,
      -18.367914,
      -39.471719,
      -18.529939,
      -39.522997,
      -18.741865,
      -39.541482,
      -18.741865,
      -40.030979
    ]);
    poly[559] = _TzPolygon([
      -15.307070,
      -41.570246,
      -15.498402,
      -41.356010,
      -15.741560,
      -41.329993,
      -15.737000,
      -41.215000,
      -15.770375,
      -41.140869,
      -15.719000,
      -41.077000,
      -15.712733,
      -41.005300,
      -15.648000,
      -40.963000,
      -15.694000,
      -40.881000,
      -15.683000,
      -40.842000,
      -15.646550,
      -40.823399,
      -15.714079,
      -40.767664,
      -15.703647,
      -40.739861,
      -15.680251,
      -40.741362,
      -15.668618,
      -40.699072,
      -15.728888,
      -40.644889,
      -15.716115,
      -40.629307,
      -15.736542,
      -40.606841,
      -15.802973,
      -40.561329,
      -15.797049,
      -40.517949,
      -15.769205,
      -40.510730,
      -15.774532,
      -40.479574,
      -15.753304,
      -40.460755,
      -15.807039,
      -40.423885,
      -15.823203,
      -40.376211,
      -15.803000,
      -40.231000,
      -15.861859,
      -40.200518,
      -15.868317,
      -40.164855,
      -15.904000,
      -40.175000,
      -15.912193,
      -40.106020,
      -15.896720,
      -40.084818,
      -15.921773,
      -40.085297,
      -15.911452,
      -40.065745,
      -15.940758,
      -40.079607,
      -15.989493,
      -40.023510,
      -15.997616,
      -39.916689,
      -16.025079,
      -39.933982,
      -16.113385,
      -39.856783,
      -16.141000,
      -39.897000,
      -16.195207,
      -39.883343,
      -16.217122,
      -39.906950,
      -16.217122,
      -41.570246
    ]);
    poly[560] = _TzPolygon([
      -27.782686,
      -69.003680,
      -27.794759,
      -69.095210,
      -27.717576,
      -69.093372,
      -27.696915,
      -69.044483,
      -27.616953,
      -69.053169,
      -27.580538,
      -69.003680
    ]);
    poly[561] = _TzPolygon([
      -28.393264,
      -69.642201,
      -28.327687,
      -69.522826,
      -28.183574,
      -69.456789,
      -28.226797,
      -69.391459,
      -28.184372,
      -69.383819,
      -28.128662,
      -69.308756,
      -28.069677,
      -69.299612,
      -28.046693,
      -69.263974,
      -28.010287,
      -69.267303,
      -27.967557,
      -69.236306,
      -27.972151,
      -69.177358,
      -27.948475,
      -69.155857,
      -27.794759,
      -69.095210,
      -27.782686,
      -69.003680,
      -28.393264,
      -69.003680
    ]);
    poly[562] = _TzPolygon([
      -27.782686,
      -69.003680,
      -27.755690,
      -68.799005,
      -27.788574,
      -68.725469,
      -27.815204,
      -68.716028,
      -27.791687,
      -68.624253,
      -27.819721,
      -68.582389,
      -27.709766,
      -68.543315,
      -27.838393,
      -68.514690,
      -27.873642,
      -68.440297,
      -28.015468,
      -68.456798,
      -28.004064,
      -68.396931,
      -28.037611,
      -68.335776,
      -28.026398,
      -68.286295,
      -28.068440,
      -68.295457,
      -28.095039,
      -68.274729,
      -28.071128,
      -68.246233,
      -28.085952,
      -68.182998,
      -28.110730,
      -68.164544,
      -28.101796,
      -68.141220,
      -28.173396,
      -68.107445,
      -28.124791,
      -68.022451,
      -28.114089,
      -67.914895,
      -28.172261,
      -67.930269,
      -28.259096,
      -67.894188,
      -28.313786,
      -67.840776,
      -28.375508,
      -67.846359,
      -28.375937,
      -67.815551,
      -28.348498,
      -67.806108,
      -28.351398,
      -67.770677,
      -28.393264,
      -67.770677,
      -28.393264,
      -69.003680
    ]);
    poly[563] = _TzPolygon([
      -26.780915,
      -69.003680,
      -26.780915,
      -68.367225,
      -26.916228,
      -68.263802,
      -26.925767,
      -68.291511,
      -26.982490,
      -68.318325,
      -27.033590,
      -68.295992,
      -27.064374,
      -68.430905,
      -27.094585,
      -68.451061,
      -27.057879,
      -68.483650,
      -27.120923,
      -68.476926,
      -27.135139,
      -68.496384,
      -27.113794,
      -68.555859,
      -27.175202,
      -68.572847,
      -27.169898,
      -68.618377,
      -27.103758,
      -68.668674,
      -27.100259,
      -68.703959,
      -27.113087,
      -68.751080,
      -27.098868,
      -68.778190,
      -27.152634,
      -68.806971,
      -27.154640,
      -68.841202,
      -27.260622,
      -68.868393,
      -27.301107,
      -68.808478,
      -27.317038,
      -68.868668,
      -27.398370,
      -68.887598,
      -27.411229,
      -68.930027,
      -27.444406,
      -68.936618,
      -27.430293,
      -68.966849,
      -27.446770,
      -68.988719,
      -27.523250,
      -68.942310,
      -27.523604,
      -68.987525,
      -27.560637,
      -68.976634,
      -27.580538,
      -69.003680
    ]);
    poly[564] = _TzPolygon([
      -28.351398,
      -67.770677,
      -28.352621,
      -67.755728,
      -28.329947,
      -67.760686,
      -28.311741,
      -67.695856,
      -28.384185,
      -67.376695,
      -28.383546,
      -67.155801,
      -28.270403,
      -67.075075,
      -28.254312,
      -67.015427,
      -28.288509,
      -66.570774,
      -28.393264,
      -66.537674,
      -28.393264,
      -67.770677
    ]);
    poly[565] = _TzPolygon([
      -26.352551,
      -66.537674,
      -26.352209,
      -66.539941,
      -26.292376,
      -66.560733,
      -26.266479,
      -66.538503,
      -26.248621,
      -66.567514,
      -26.160946,
      -66.584423,
      -26.107103,
      -66.660490,
      -26.076675,
      -66.660705,
      -26.080992,
      -66.704221,
      -26.048108,
      -66.778636,
      -25.980363,
      -66.839408,
      -25.916577,
      -66.852794,
      -25.796273,
      -66.847582,
      -25.764648,
      -66.872170,
      -25.712538,
      -66.842623,
      -25.698772,
      -66.794708,
      -25.711919,
      -66.648731,
      -25.629397,
      -66.606717,
      -25.620942,
      -66.563845,
      -25.585588,
      -66.571655,
      -25.539160,
      -66.537674
    ]);
    poly[566] = _TzPolygon([
      -25.372480,
      -66.537674,
      -25.362215,
      -66.599851,
      -25.298643,
      -66.559343,
      -25.241243,
      -66.879499,
      -25.237685,
      -67.864494,
      -25.168567,
      -68.507223,
      -25.168567,
      -66.537674
    ]);
    poly[567] = _TzPolygon([
      -25.168567,
      -68.507223,
      -25.207084,
      -68.501416,
      -25.298507,
      -68.545775,
      -25.314192,
      -68.522283,
      -25.374353,
      -68.522605,
      -25.414405,
      -68.589953,
      -25.448390,
      -68.589256,
      -25.574439,
      -68.514951,
      -25.630461,
      -68.545780,
      -25.708099,
      -68.478917,
      -26.178220,
      -68.381075,
      -26.287103,
      -68.557536,
      -26.492936,
      -68.587336,
      -26.780915,
      -68.367225,
      -26.780915,
      -69.003680,
      -25.168567,
      -69.003680
    ]);
    poly[568] = _TzPolygon([
      -27.046989,
      -66.537674,
      -27.046989,
      -65.958290,
      -27.261056,
      -66.140793,
      -27.333128,
      -65.971895,
      -27.525227,
      -65.970733,
      -27.669067,
      -65.915372,
      -27.688848,
      -65.865655,
      -27.851059,
      -65.832287,
      -27.806610,
      -65.793683,
      -27.768394,
      -65.802504,
      -27.768864,
      -65.750367,
      -27.818009,
      -65.702254,
      -27.970182,
      -65.667817,
      -27.971455,
      -65.618279,
      -28.013268,
      -65.569823,
      -27.929197,
      -65.506348,
      -27.845797,
      -65.365251,
      -27.946457,
      -65.171045,
      -28.186361,
      -65.112451,
      -28.393264,
      -65.101266,
      -28.393264,
      -66.537674
    ]);
    poly[569] = _TzPolygon([
      -28.393264,
      -65.101266,
      -28.186361,
      -65.112451,
      -27.906972,
      -65.167722,
      -27.879171,
      -65.039730,
      -27.791474,
      -65.016099,
      -27.739157,
      -65.032738,
      -27.733876,
      -64.988228,
      -27.586819,
      -65.029798,
      -27.546087,
      -64.955768,
      -27.466251,
      -65.012245,
      -27.344999,
      -64.932636,
      -27.318417,
      -64.854573,
      -27.046989,
      -64.776507,
      -27.046989,
      -64.268303,
      -28.393264,
      -64.268303
    ]);
    poly[570] = _TzPolygon([
      -26.352551,
      -66.537674,
      -26.364106,
      -66.461085,
      -26.416701,
      -66.382141,
      -26.149217,
      -66.230607,
      -26.133847,
      -66.170712,
      -26.216600,
      -66.099200,
      -26.377030,
      -66.118984,
      -26.401326,
      -66.158466,
      -26.471495,
      -66.177693,
      -26.628931,
      -66.172285,
      -26.600379,
      -66.042152,
      -26.744211,
      -65.830078,
      -26.863778,
      -65.900524,
      -26.901214,
      -65.857630,
      -26.929072,
      -65.857759,
      -27.046989,
      -65.958290,
      -27.046989,
      -66.537674
    ]);
    poly[571] = _TzPolygon([
      -25.700714,
      -65.402989,
      -26.091851,
      -65.402989,
      -26.109000,
      -65.424400,
      -26.087500,
      -65.548100,
      -26.123500,
      -65.613600,
      -26.117300,
      -65.688500,
      -26.352800,
      -65.719400,
      -26.238700,
      -66.071400,
      -26.142263,
      -66.158509,
      -26.130860,
      -66.196383,
      -26.229432,
      -66.292427,
      -26.416701,
      -66.382141,
      -26.364106,
      -66.461085,
      -26.352551,
      -66.537674,
      -25.700714,
      -66.537674
    ]);
    poly[572] = _TzPolygon([
      -27.046989,
      -64.776507,
      -26.966038,
      -64.753224,
      -26.973659,
      -64.710900,
      -26.800420,
      -64.672192,
      -26.809138,
      -64.622092,
      -26.660523,
      -64.590135,
      -26.676681,
      -64.504552,
      -26.409361,
      -64.534125,
      -26.307450,
      -64.481687,
      -26.239168,
      -64.502526,
      -26.113450,
      -64.412142,
      -26.031169,
      -64.403658,
      -25.700714,
      -64.268303,
      -27.046989,
      -64.268303
    ]);
    poly[573] = _TzPolygon([
      -25.700714,
      -64.268303,
      -26.031169,
      -64.403658,
      -26.113450,
      -64.412142,
      -26.219265,
      -64.495279,
      -26.224100,
      -64.622300,
      -26.244200,
      -64.662100,
      -26.223700,
      -64.790400,
      -26.306800,
      -64.951200,
      -26.276900,
      -64.973700,
      -26.287542,
      -65.040056,
      -26.229700,
      -65.040200,
      -26.170876,
      -65.275608,
      -26.081700,
      -65.297900,
      -26.058300,
      -65.361100,
      -26.091851,
      -65.402989,
      -25.700714,
      -65.402989
    ]);
    poly[574] = _TzPolygon([
      -25.726228,
      -64.150670,
      -25.700714,
      -64.268303,
      -25.700714,
      -64.150670
    ]);
    poly[575] = _TzPolygon([
      -25.372480,
      -66.537674,
      -25.436570,
      -66.519277,
      -25.539160,
      -66.537674
    ]);
    poly[576] = _TzPolygon([
      -19.430473,
      -74.790449,
      -19.430473,
      -72.976999,
      -19.973439,
      -73.753272,
      -20.198447,
      -73.730717,
      -19.656660,
      -74.263954,
      -19.558613,
      -74.466513,
      -19.432884,
      -74.790449
    ]);
    poly[577] = _TzPolygon([
      -24.077061,
      -66.810615,
      -24.064601,
      -66.830268,
      -23.972529,
      -66.882126,
      -23.967109,
      -66.949692,
      -23.886303,
      -66.996817,
      -23.734043,
      -67.168374,
      -23.734043,
      -66.810615
    ]);
    poly[578] = _TzPolygon([
      -23.734043,
      -69.470560,
      -23.734043,
      -67.225926,
      -24.034400,
      -67.322308,
      -24.402228,
      -68.259580,
      -24.491762,
      -68.308504,
      -24.484188,
      -68.387240,
      -24.606416,
      -68.434809,
      -24.623236,
      -68.468454,
      -24.599304,
      -68.493270,
      -24.617438,
      -68.503098,
      -24.663959,
      -68.491838,
      -24.724546,
      -68.544280,
      -24.797393,
      -68.567891,
      -24.873808,
      -68.519556,
      -24.905808,
      -68.431730,
      -25.028830,
      -68.406908,
      -25.034205,
      -68.376830,
      -25.110627,
      -68.343297,
      -25.145304,
      -68.409274,
      -25.125956,
      -68.459405,
      -25.168567,
      -68.507223,
      -25.168567,
      -69.470560
    ]);
    poly[579] = _TzPolygon([
      -23.734043,
      -66.810615,
      -23.734043,
      -67.168374,
      -23.694512,
      -67.212916,
      -23.000436,
      -66.990519,
      -22.813803,
      -67.180656,
      -22.722333,
      -67.128376,
      -22.655016,
      -67.013697,
      -22.540892,
      -67.028274,
      -22.540943,
      -66.973014,
      -22.492479,
      -66.927949,
      -22.448361,
      -66.810615
    ]);
    poly[580] = _TzPolygon([
      -23.734043,
      -67.225639,
      -23.694512,
      -67.212916,
      -23.734043,
      -67.168374
    ]);
    poly[581] = _TzPolygon([
      -22.299520,
      -67.938783,
      -22.381526,
      -67.942563,
      -22.440794,
      -67.884638,
      -22.508057,
      -67.887483,
      -22.536328,
      -67.839975,
      -22.557295,
      -67.853085,
      -22.580914,
      -67.833538,
      -22.628357,
      -67.883389,
      -22.666053,
      -67.888670,
      -22.680214,
      -67.867612,
      -22.719023,
      -67.890315,
      -22.743450,
      -67.867301,
      -22.832767,
      -67.883268,
      -22.845747,
      -67.825129,
      -22.880826,
      -67.798672,
      -22.898274,
      -67.567386,
      -22.813803,
      -67.180656,
      -23.000436,
      -66.990519,
      -23.734043,
      -67.225926,
      -23.734043,
      -69.470560,
      -22.299520,
      -69.470560
    ]);
    poly[582] = _TzPolygon([
      -24.077061,
      -66.810615,
      -24.092795,
      -66.785796,
      -24.092230,
      -66.740709,
      -24.173147,
      -66.647443,
      -24.213219,
      -66.483154,
      -24.182940,
      -66.477624,
      -24.161790,
      -66.420628,
      -24.118392,
      -66.417934,
      -24.116644,
      -66.377731,
      -23.984214,
      -66.339483,
      -23.971236,
      -66.367570,
      -23.734043,
      -66.370107,
      -23.734043,
      -66.002629,
      -23.921816,
      -66.015472,
      -23.981704,
      -65.991011,
      -23.969984,
      -65.938585,
      -24.007483,
      -65.946186,
      -24.003366,
      -65.867307,
      -24.060610,
      -65.747039,
      -24.186886,
      -65.725493,
      -24.251856,
      -65.671120,
      -24.306585,
      -65.682524,
      -24.376821,
      -65.656936,
      -24.380918,
      -65.622646,
      -24.448646,
      -65.543330,
      -24.456639,
      -65.506560,
      -24.427423,
      -65.486854,
      -24.431500,
      -65.480642,
      -25.168567,
      -65.480642,
      -25.168567,
      -66.810615
    ]);
    poly[583] = _TzPolygon([
      -24.431500,
      -65.480642,
      -24.461721,
      -65.434596,
      -24.462419,
      -65.357790,
      -24.497258,
      -65.346508,
      -24.485594,
      -65.227311,
      -24.467885,
      -65.228113,
      -24.459077,
      -65.193704,
      -24.562181,
      -65.079231,
      -24.599575,
      -64.927400,
      -24.581862,
      -64.887918,
      -24.520592,
      -64.885280,
      -24.466996,
      -64.842861,
      -24.529602,
      -64.725892,
      -24.607830,
      -64.664922,
      -24.604255,
      -64.573233,
      -24.507952,
      -64.536756,
      -24.506592,
      -64.500085,
      -24.400752,
      -64.421167,
      -24.427212,
      -64.318140,
      -24.407536,
      -64.285151,
      -24.221540,
      -64.162156,
      -23.734043,
      -64.158059,
      -23.734043,
      -64.150670,
      -25.168567,
      -64.150670,
      -25.168567,
      -65.480642
    ]);
    poly[584] = _TzPolygon([
      -23.734043,
      -66.370107,
      -23.694365,
      -66.370531,
      -23.660197,
      -66.333359,
      -23.573691,
      -66.316807,
      -23.556752,
      -66.260991,
      -23.414402,
      -66.177146,
      -23.509763,
      -65.987288,
      -23.734043,
      -66.002629
    ]);
    poly[585] = _TzPolygon([
      -22.299520,
      -66.752239,
      -22.437778,
      -66.782470,
      -22.448361,
      -66.810615,
      -22.299520,
      -66.810615
    ]);
    poly[586] = _TzPolygon([
      -23.734043,
      -64.158059,
      -23.518844,
      -64.156251,
      -23.518502,
      -64.358095,
      -23.569915,
      -64.396397,
      -23.606765,
      -64.391345,
      -23.641135,
      -64.444824,
      -23.520329,
      -64.533374,
      -23.484739,
      -64.654206,
      -23.452306,
      -64.682720,
      -23.495359,
      -64.788775,
      -23.483960,
      -64.863831,
      -23.446114,
      -64.868534,
      -23.423052,
      -64.906843,
      -23.334341,
      -64.899479,
      -23.269653,
      -64.946806,
      -23.278869,
      -65.021934,
      -23.227181,
      -65.038384,
      -23.232009,
      -65.077141,
      -23.162159,
      -65.045770,
      -23.138159,
      -65.070652,
      -23.041337,
      -65.068223,
      -23.016782,
      -65.102674,
      -23.016782,
      -64.150670,
      -23.734043,
      -64.150670
    ]);
    poly[587] = _TzPolygon([
      -22.299520,
      -65.233489,
      -22.319964,
      -65.226495,
      -22.338963,
      -65.263209,
      -22.540006,
      -65.350277,
      -22.602184,
      -65.350649,
      -22.649567,
      -65.271318,
      -22.723370,
      -65.304734,
      -22.789876,
      -65.274307,
      -22.895065,
      -65.273441,
      -23.016782,
      -65.102674,
      -23.016782,
      -65.480642,
      -22.299520,
      -65.480642
    ]);
    poly[588] = _TzPolygon([
      -22.444452,
      -64.150670,
      -22.453911,
      -64.152920,
      -22.560393,
      -64.243321,
      -22.848522,
      -64.283604,
      -22.883319,
      -64.337563,
      -22.749618,
      -64.339603,
      -22.723634,
      -64.362432,
      -22.719351,
      -64.404070,
      -22.689530,
      -64.393685,
      -22.638778,
      -64.441803,
      -22.634205,
      -64.423330,
      -22.580247,
      -64.432201,
      -22.541250,
      -64.411857,
      -22.480188,
      -64.483290,
      -22.436528,
      -64.491473,
      -22.446284,
      -64.521276,
      -22.412671,
      -64.513125,
      -22.379515,
      -64.563966,
      -22.323793,
      -64.564044,
      -22.299520,
      -64.542897,
      -22.299520,
      -64.150670
    ]);
    poly[589] = _TzPolygon([
      -19.430473,
      -68.417472,
      -19.605476,
      -68.572539,
      -19.701042,
      -68.622898,
      -19.738608,
      -68.695972,
      -19.784349,
      -68.625138,
      -19.828161,
      -68.599252,
      -19.845412,
      -68.528356,
      -19.889553,
      -68.542671,
      -19.924297,
      -68.521515,
      -20.050071,
      -68.566444,
      -20.078454,
      -68.762269,
      -20.129665,
      -68.773703,
      -20.134778,
      -68.704422,
      -20.178006,
      -68.690748,
      -20.193747,
      -68.712570,
      -20.246582,
      -68.711883,
      -20.319119,
      -68.660608,
      -20.357690,
      -68.676166,
      -20.368370,
      -68.741533,
      -20.456822,
      -68.738743,
      -20.572261,
      -68.580885,
      -20.569618,
      -68.534772,
      -20.604798,
      -68.515007,
      -20.635425,
      -68.441541,
      -20.728351,
      -68.553277,
      -20.907739,
      -68.541641,
      -20.945975,
      -68.493032,
      -20.934386,
      -68.412277,
      -21.302424,
      -68.179023,
      -21.604440,
      -68.180480,
      -21.779405,
      -68.059776,
      -21.978756,
      -68.071379,
      -22.053709,
      -67.964668,
      -22.107803,
      -67.939179,
      -22.176829,
      -67.955562,
      -22.272537,
      -67.915549,
      -22.273550,
      -67.937586,
      -22.299520,
      -67.938783,
      -22.299520,
      -69.470560,
      -19.430473,
      -69.470560
    ]);
    poly[590] = _TzPolygon([
      -22.299520,
      -66.752239,
      -22.238931,
      -66.738991,
      -22.209470,
      -66.685838,
      -22.226261,
      -66.638020,
      -22.197673,
      -66.623098,
      -22.128252,
      -66.347745,
      -22.088384,
      -66.325189,
      -22.087361,
      -66.288770,
      -21.944643,
      -66.274767,
      -21.852784,
      -66.235983,
      -21.793512,
      -66.242730,
      -21.781168,
      -66.219601,
      -21.834929,
      -66.075885,
      -21.871931,
      -66.043355,
      -21.918857,
      -66.047693,
      -21.933078,
      -65.924809,
      -22.075601,
      -65.804134,
      -22.109120,
      -65.747639,
      -22.098643,
      -65.589204,
      -22.076192,
      -65.574395,
      -22.095662,
      -65.483397,
      -22.084788,
      -65.187155,
      -22.279416,
      -65.240366,
      -22.299520,
      -65.233489
    ]);
    poly[591] = _TzPolygon([
      -22.299520,
      -65.233489,
      -22.279416,
      -65.240366,
      -22.149602,
      -65.214669,
      -22.146733,
      -65.193007,
      -22.084788,
      -65.187155,
      -22.082389,
      -64.993217,
      -22.121060,
      -64.923784,
      -22.121810,
      -64.861674,
      -22.193896,
      -64.736477,
      -22.205437,
      -64.616719,
      -22.291366,
      -64.535793,
      -22.299520,
      -64.542897
    ]);
    poly[592] = _TzPolygon([
      -17.372583,
      -69.470560,
      -17.291425,
      -69.576246,
      -17.281588,
      -69.645007,
      -17.159275,
      -69.556902,
      -17.118663,
      -69.470560
    ]);
    poly[593] = _TzPolygon([
      -19.430473,
      -70.457793,
      -19.338000,
      -70.494553,
      -19.170000,
      -70.490174,
      -18.805000,
      -70.571088,
      -18.475301,
      -70.544414,
      -18.350117,
      -70.590836,
      -18.350117,
      -70.376316,
      -18.308981,
      -70.301978,
      -18.319383,
      -70.149435,
      -18.269245,
      -70.050462,
      -18.262180,
      -69.965901,
      -18.116881,
      -69.816359,
      -17.989266,
      -69.754684,
      -17.947296,
      -69.750212,
      -17.865486,
      -69.799199,
      -17.762180,
      -69.800853,
      -17.743975,
      -69.822199,
      -17.646393,
      -69.796210,
      -17.660275,
      -69.666536,
      -17.500098,
      -69.470560,
      -19.430473,
      -69.470560
    ]);
    poly[594] = _TzPolygon([
      -16.561425,
      -69.470560,
      -16.561425,
      -69.036328,
      -16.572260,
      -69.040135,
      -16.656576,
      -68.996102,
      -16.727535,
      -69.170014,
      -16.797555,
      -69.186187,
      -16.915841,
      -69.304675,
      -16.980265,
      -69.335429,
      -17.020568,
      -69.393578,
      -17.073123,
      -69.373739,
      -17.118663,
      -69.470560
    ]);
    poly[595] = _TzPolygon([
      -17.372583,
      -69.470560,
      -17.374129,
      -69.468546,
      -17.498400,
      -69.468482,
      -17.500098,
      -69.470560
    ]);
    poly[596] = _TzPolygon([
      -17.500098,
      -69.470560,
      -17.498400,
      -69.468482,
      -17.604902,
      -69.467882,
      -17.729089,
      -69.338005,
      -17.967576,
      -69.283499,
      -17.954071,
      -69.255892,
      -17.988994,
      -69.231087,
      -18.005083,
      -69.121173,
      -18.061221,
      -69.056633,
      -18.163056,
      -69.145836,
      -18.233729,
      -69.063270,
      -18.292339,
      -69.075078,
      -18.323380,
      -69.037871,
      -18.426443,
      -69.047454,
      -18.483649,
      -69.001469,
      -18.600809,
      -69.006764,
      -18.600259,
      -69.025493,
      -18.629068,
      -69.032739,
      -18.667313,
      -68.991002,
      -18.890331,
      -68.911704,
      -18.936518,
      -68.950333,
      -19.060144,
      -68.870850,
      -19.083672,
      -68.805928,
      -19.276484,
      -68.619797,
      -19.296801,
      -68.542572,
      -19.416186,
      -68.404813,
      -19.430473,
      -68.417472,
      -19.430473,
      -69.470560
    ]);
    poly[597] = _TzPolygon([
      -15.126902,
      -69.470560,
      -15.126902,
      -69.226735,
      -15.158776,
      -69.190451,
      -15.259031,
      -69.119623,
      -15.261360,
      -69.176296,
      -15.315039,
      -69.194793,
      -15.374036,
      -69.260329,
      -15.460393,
      -69.240827,
      -15.436880,
      -69.290072,
      -15.518037,
      -69.314461,
      -15.606007,
      -69.401826,
      -16.168108,
      -69.196402,
      -16.225659,
      -69.098314,
      -16.197362,
      -69.055259,
      -16.219953,
      -69.011519,
      -16.194424,
      -68.961323,
      -16.331411,
      -68.795489,
      -16.349205,
      -68.800674,
      -16.425356,
      -68.988514,
      -16.561425,
      -69.036328,
      -16.561425,
      -69.470560
    ]);
    poly[598] = _TzPolygon([
      -13.692378,
      -69.055115,
      -13.739293,
      -69.025947,
      -13.760588,
      -68.974455,
      -13.787004,
      -68.994823,
      -13.814172,
      -68.917236,
      -13.878670,
      -68.950965,
      -13.894712,
      -68.982528,
      -13.948670,
      -68.963301,
      -13.976530,
      -68.978893,
      -14.046605,
      -68.890320,
      -14.111057,
      -68.871129,
      -14.144873,
      -68.833289,
      -14.162668,
      -68.856180,
      -14.215607,
      -68.826756,
      -14.220055,
      -68.962406,
      -14.237115,
      -68.985006,
      -14.265625,
      -68.979249,
      -14.314709,
      -69.015243,
      -14.374663,
      -68.985407,
      -14.521618,
      -69.154032,
      -14.580314,
      -69.150030,
      -14.581788,
      -69.221352,
      -14.654161,
      -69.227901,
      -14.683977,
      -69.258373,
      -14.739025,
      -69.224871,
      -14.759474,
      -69.239940,
      -14.765299,
      -69.301204,
      -14.801666,
      -69.353797,
      -14.961061,
      -69.360574,
      -15.109902,
      -69.277285,
      -15.112206,
      -69.243463,
      -15.126902,
      -69.226735,
      -15.126902,
      -69.470560,
      -13.692378,
      -69.470560
    ]);
    poly[599] = _TzPolygon([
      -27.275954,
      -58.171500,
      -27.258423,
      -58.265314,
      -27.299843,
      -58.599045,
      -27.224191,
      -58.594278,
      -27.183188,
      -58.662932,
      -27.120433,
      -58.641416,
      -27.109543,
      -58.555318,
      -27.037184,
      -58.558339,
      -27.053219,
      -58.500788,
      -27.003907,
      -58.519555,
      -26.992541,
      -58.468062,
      -26.924073,
      -58.502427,
      -26.930316,
      -58.463422,
      -26.893179,
      -58.386097,
      -26.865161,
      -58.372597,
      -26.865100,
      -58.322831,
      -26.809223,
      -58.333850,
      -26.796475,
      -58.284550,
      -26.755903,
      -58.290727,
      -26.750848,
      -58.246533,
      -26.646407,
      -58.261373,
      -26.650242,
      -58.192021,
      -26.620781,
      -58.209703,
      -26.563218,
      -58.198888,
      -26.537573,
      -58.223435,
      -26.499634,
      -58.206784,
      -26.472285,
      -58.233907,
      -26.456538,
      -58.180865,
      -26.402963,
      -58.222406,
      -26.358070,
      -58.171500
    ]);
  }
}

class _Initializer7 {
  static void _init() {
    poly[600] = _TzPolygon([
      -22.822858,
      -64.150670,
      -22.822858,
      -62.339850,
      -24.392029,
      -62.342550,
      -25.709830,
      -63.476092,
      -25.673305,
      -64.007785,
      -25.753393,
      -64.025421,
      -25.726228,
      -64.150670
    ]);
    poly[601] = _TzPolygon([
      -23.283992,
      -61.609799,
      -23.285982,
      -61.670247,
      -23.259524,
      -61.682731,
      -23.241704,
      -61.731940,
      -23.158105,
      -61.765560,
      -23.156684,
      -61.804137,
      -23.090000,
      -61.855278,
      -23.070921,
      -61.927299,
      -23.025124,
      -61.955613,
      -23.024627,
      -61.979655,
      -22.995122,
      -62.006408,
      -22.930366,
      -61.998486,
      -22.922438,
      -62.031331,
      -22.888649,
      -62.019873,
      -22.837876,
      -62.058679,
      -22.850539,
      -62.071361,
      -22.822858,
      -62.080078,
      -22.822858,
      -61.609799
    ]);
    poly[602] = _TzPolygon([
      -24.634697,
      -59.068928,
      -24.617010,
      -59.130078,
      -24.519732,
      -59.257440,
      -24.483067,
      -59.350429,
      -24.422807,
      -59.373140,
      -24.408775,
      -59.421626,
      -24.335533,
      -59.471118,
      -24.011556,
      -60.039414,
      -24.044308,
      -60.183953,
      -24.037979,
      -60.308834,
      -24.024001,
      -60.373532,
      -23.994124,
      -60.388548,
      -23.950938,
      -60.477805,
      -23.967793,
      -60.513667,
      -23.958512,
      -60.589396,
      -23.916188,
      -60.588872,
      -23.901629,
      -60.613986,
      -23.902871,
      -60.692979,
      -23.872222,
      -60.732222,
      -23.873889,
      -60.849167,
      -23.823056,
      -60.921389,
      -23.818080,
      -60.989898,
      -23.655600,
      -61.099693,
      -23.613928,
      -61.088235,
      -23.554722,
      -61.182500,
      -23.555278,
      -61.224722,
      -23.487455,
      -61.282880,
      -23.498656,
      -61.294727,
      -23.447948,
      -61.351702,
      -23.460453,
      -61.387071,
      -23.420126,
      -61.445123,
      -23.423756,
      -61.486890,
      -23.380556,
      -61.520278,
      -23.349881,
      -61.509387,
      -23.340833,
      -61.560278,
      -23.283635,
      -61.598948,
      -23.283992,
      -61.609799,
      -22.822858,
      -61.609799,
      -22.822858,
      -59.068928
    ]);
    poly[603] = _TzPolygon([
      -21.055253,
      -62.880235,
      -21.999945,
      -62.880235,
      -21.999362,
      -63.665262,
      -22.054048,
      -63.681019,
      -22.000000,
      -63.709034,
      -22.000000,
      -63.931395,
      -22.085959,
      -63.957993,
      -22.080671,
      -63.978457,
      -22.107794,
      -64.000351,
      -22.242970,
      -64.033402,
      -22.238189,
      -64.062247,
      -22.257858,
      -64.073288,
      -22.404860,
      -64.117498,
      -22.406972,
      -64.141755,
      -22.444452,
      -64.150670,
      -21.055253,
      -64.150670
    ]);
    poly[604] = _TzPolygon([
      -22.822858,
      -62.342080,
      -22.477492,
      -62.341976,
      -22.471414,
      -62.327056,
      -22.487823,
      -62.309576,
      -22.473193,
      -62.289784,
      -22.519123,
      -62.296320,
      -22.539006,
      -62.245017,
      -22.578156,
      -62.245017,
      -22.604080,
      -62.260934,
      -22.610522,
      -62.245017,
      -22.822858,
      -62.245017
    ]);
    poly[605] = _TzPolygon([
      -22.610522,
      -62.245017,
      -22.604080,
      -62.260934,
      -22.578156,
      -62.245017
    ]);
    poly[606] = _TzPolygon([
      -22.539006,
      -62.245017,
      -22.519123,
      -62.296320,
      -22.472757,
      -62.290565,
      -22.486861,
      -62.316745,
      -22.457852,
      -62.361714,
      -22.482385,
      -62.377845,
      -22.421146,
      -62.421270,
      -22.418333,
      -62.453522,
      -22.375473,
      -62.471972,
      -22.374468,
      -62.542928,
      -22.315121,
      -62.567664,
      -22.305578,
      -62.628385,
      -22.259003,
      -62.621333,
      -22.249285,
      -62.644204,
      -21.939056,
      -62.544338,
      -21.939056,
      -62.245017
    ]);
    poly[607] = _TzPolygon([
      -21.939056,
      -62.880235,
      -21.939056,
      -62.549774,
      -22.255576,
      -62.653620,
      -22.190992,
      -62.690657,
      -22.211473,
      -62.717276,
      -22.154671,
      -62.757694,
      -22.175177,
      -62.778095,
      -22.156169,
      -62.795285,
      -22.111813,
      -62.813562,
      -22.000000,
      -62.806171,
      -21.999945,
      -62.880235
    ]);
    poly[608] = _TzPolygon([
      -22.539006,
      -62.245017,
      -22.546531,
      -62.225599,
      -22.578156,
      -62.245017
    ]);
    poly[609] = _TzPolygon([
      -22.610522,
      -62.245017,
      -22.614610,
      -62.234916,
      -22.647081,
      -62.237122,
      -22.661385,
      -62.197413,
      -22.704176,
      -62.206711,
      -22.711304,
      -62.172490,
      -22.761224,
      -62.157012,
      -22.759870,
      -62.130424,
      -22.791447,
      -62.134790,
      -22.822858,
      -62.104343,
      -22.822858,
      -62.245017
    ]);
    poly[610] = _TzPolygon([
      -22.822858,
      -62.102779,
      -22.811879,
      -62.083536,
      -22.822858,
      -62.080078
    ]);
    poly[611] = _TzPolygon([
      -21.055253,
      -62.260956,
      -21.058628,
      -62.260919,
      -21.939056,
      -62.549774,
      -21.939056,
      -62.880235,
      -21.055253,
      -62.880235
    ]);
    poly[612] = _TzPolygon([
      -21.055253,
      -62.260956,
      -20.563156,
      -62.266342,
      -20.089211,
      -61.922536,
      -19.634406,
      -61.735211,
      -19.614692,
      -61.609799,
      -21.055253,
      -61.609799
    ]);
    poly[613] = _TzPolygon([
      -19.287647,
      -59.068928,
      -19.294686,
      -59.977778,
      -19.456639,
      -60.604325,
      -19.614692,
      -61.609799,
      -19.287647,
      -61.609799
    ]);
    poly[614] = _TzPolygon([
      -24.634697,
      -59.068928,
      -24.634697,
      -58.171500,
      -24.971517,
      -58.171500,
      -24.967885,
      -58.193873,
      -24.926937,
      -58.225028,
      -24.998939,
      -58.336562,
      -24.859956,
      -58.475772,
      -24.821145,
      -58.573077,
      -24.831925,
      -58.672428,
      -24.774619,
      -58.726066,
      -24.772553,
      -58.807349,
      -24.663181,
      -58.970453
    ]);
    poly[615] = _TzPolygon([
      -20.015895,
      -58.171500,
      -19.969757,
      -58.186395,
      -19.953383,
      -58.214042,
      -19.862692,
      -58.202032,
      -19.834362,
      -58.171500
    ]);
    poly[616] = _TzPolygon([
      -19.822709,
      -58.171500,
      -19.287647,
      -59.068928,
      -19.287647,
      -58.171500
    ]);
    poly[617] = _TzPolygon([
      -16.490012,
      -58.333013,
      -16.490012,
      -58.171500,
      -17.388221,
      -58.171500,
      -17.391000,
      -58.185000,
      -17.357000,
      -58.202000,
      -17.352000,
      -58.254000,
      -17.300000,
      -58.276000,
      -17.298000,
      -58.298000,
      -17.270000,
      -58.303000,
      -17.181000,
      -58.396000,
      -17.111000,
      -58.386000,
      -17.112000,
      -58.425000,
      -17.086000,
      -58.434000,
      -16.989000,
      -58.423000,
      -16.935000,
      -58.474000,
      -16.703000,
      -58.470000,
      -16.592000,
      -58.436000
    ]);
    poly[618] = _TzPolygon([
      -16.490012,
      -58.333013,
      -16.428000,
      -58.356000,
      -16.389000,
      -58.344000,
      -16.371723,
      -58.307860,
      -16.265589,
      -58.322265,
      -16.261849,
      -58.389374,
      -16.296911,
      -58.394969,
      -16.322642,
      -58.430595,
      -16.266729,
      -60.173820,
      -15.474916,
      -60.239205,
      -15.097731,
      -60.575185,
      -15.097430,
      -60.245003,
      -14.620958,
      -60.273591,
      -14.610391,
      -60.322870,
      -14.510836,
      -60.339543,
      -14.413522,
      -60.407937,
      -14.364526,
      -60.395794,
      -14.314043,
      -60.453983,
      -14.265170,
      -60.467183,
      -14.239832,
      -60.450148,
      -14.191783,
      -60.472829,
      -14.189024,
      -60.493331,
      -14.095456,
      -60.480378,
      -14.078328,
      -60.440767,
      -13.987325,
      -60.381705,
      -13.968806,
      -60.423993,
      -13.937610,
      -60.418394,
      -13.936950,
      -60.450972,
      -13.883367,
      -60.450938,
      -13.885982,
      -60.476060,
      -13.854459,
      -60.456275,
      -13.855991,
      -60.492913,
      -13.794120,
      -60.468127,
      -13.793774,
      -60.526921,
      -13.771066,
      -60.519104,
      -13.782221,
      -60.549243,
      -13.717455,
      -60.619710,
      -13.736553,
      -60.656088,
      -13.692378,
      -60.703664,
      -13.692378,
      -58.171500,
      -16.490012,
      -58.171500
    ]);
    poly[619] = _TzPolygon([
      -1.366227,
      -61.909707,
      -1.366227,
      -61.594025,
      -1.402377,
      -61.615412,
      -1.433000,
      -61.538000,
      -1.504762,
      -61.507665,
      -1.527000,
      -61.473000,
      -1.593865,
      -61.473624,
      -1.448000,
      -61.604000,
      -1.379000,
      -61.790000,
      -1.403115,
      -61.831168,
      -1.395000,
      -61.896000
    ]);
    poly[620] = _TzPolygon([
      -1.366227,
      -61.909707,
      -1.141000,
      -62.017000,
      -1.099000,
      -62.062000,
      -1.093264,
      -62.103405,
      -1.048956,
      -62.122674,
      -0.983000,
      -62.203000,
      -0.976000,
      -62.259000,
      -0.948000,
      -62.293000,
      -0.861650,
      -62.380483,
      -0.836000,
      -62.376000,
      -0.813599,
      -62.399561,
      -0.778678,
      -62.504653,
      -0.710415,
      -62.509547,
      -0.677902,
      -62.488306,
      -0.689511,
      -62.426989,
      -0.722672,
      -62.403551,
      -0.703115,
      -62.357128,
      -0.667218,
      -62.369081,
      -0.647664,
      -62.292633,
      -0.599381,
      -62.289916,
      -0.545005,
      -62.318344,
      -0.531214,
      -62.300139,
      -0.511357,
      -62.308548,
      -0.393000,
      -62.202000,
      -0.369216,
      -62.196715,
      -0.369216,
      -61.358472,
      -0.606717,
      -61.358472,
      -0.634050,
      -61.433980,
      -0.652760,
      -61.430204,
      -0.660141,
      -61.465738,
      -0.719189,
      -61.486852,
      -0.761929,
      -61.538865,
      -0.848781,
      -61.538350,
      -0.936661,
      -61.582296,
      -0.985062,
      -61.577661,
      -0.992958,
      -61.542127,
      -1.012696,
      -61.560151,
      -1.068648,
      -61.544530,
      -1.084438,
      -61.579034,
      -1.182609,
      -61.570794,
      -1.298723,
      -61.629695,
      -1.346681,
      -61.582462,
      -1.366227,
      -61.594025
    ]);
    poly[621] = _TzPolygon([
      0.627796,
      -62.524958,
      0.584000,
      -62.518000,
      0.509000,
      -62.532000,
      0.444000,
      -62.518000,
      0.454000,
      -62.485000,
      0.379000,
      -62.446000,
      0.276000,
      -62.468000,
      0.174000,
      -62.428000,
      0.092000,
      -62.424000,
      0.031466,
      -62.342454,
      -0.102000,
      -62.319000,
      -0.181000,
      -62.241000,
      -0.302000,
      -62.248000,
      -0.330000,
      -62.188000,
      -0.369216,
      -62.196715,
      -0.369216,
      -62.673840,
      0.627796,
      -62.673840
    ]);
    poly[622] = _TzPolygon([
      -7.348293,
      -58.134040,
      -7.315468,
      -58.171994,
      -7.213957,
      -58.173580,
      -7.130226,
      -58.210419,
      -7.075617,
      -58.279850,
      -6.976311,
      -58.350852,
      -6.934052,
      -58.415396,
      -6.765320,
      -58.480628,
      -6.699516,
      -58.474791,
      -6.606761,
      -58.424666,
      -6.466749,
      -58.260191,
      -3.360249,
      -56.820941,
      -3.360249,
      -56.097000,
      -7.348293,
      -56.097000
    ]);
    poly[623] = _TzPolygon([
      -0.369216,
      -61.358472,
      -0.369216,
      -60.332285,
      -0.405687,
      -60.351627,
      -0.437621,
      -60.346076,
      -0.459581,
      -60.382616,
      -0.514811,
      -60.405361,
      -0.569483,
      -60.376522,
      -0.576563,
      -60.389225,
      -0.632871,
      -60.314599,
      -0.717102,
      -60.309574,
      -0.743536,
      -60.363690,
      -0.731435,
      -60.374161,
      -0.771600,
      -60.425960,
      -0.761387,
      -60.474326,
      -0.825711,
      -60.518743,
      -0.840773,
      -60.502264,
      -0.869523,
      -60.535780,
      -0.842746,
      -60.586463,
      -0.866176,
      -60.596248,
      -0.851157,
      -60.619165,
      -0.887760,
      -60.668947,
      -0.865489,
      -60.683795,
      -0.866691,
      -60.734994,
      -0.853131,
      -60.727698,
      -0.863644,
      -60.760700,
      -0.792455,
      -60.756065,
      -0.782027,
      -60.787694,
      -0.754564,
      -60.771944,
      -0.740189,
      -60.806448,
      -0.694187,
      -60.807649,
      -0.685347,
      -60.856573,
      -0.644838,
      -60.861637,
      -0.618060,
      -60.920173,
      -0.547683,
      -60.933820,
      -0.561758,
      -60.982486,
      -0.545966,
      -61.048404,
      -0.499000,
      -61.096000,
      -0.498847,
      -61.160327,
      -0.516272,
      -61.167645,
      -0.499560,
      -61.220948,
      -0.560817,
      -61.231674,
      -0.606717,
      -61.358472
    ]);
    poly[624] = _TzPolygon([
      -0.369216,
      -60.332285,
      -0.294744,
      -60.292790,
      -0.210339,
      -60.303390,
      -0.209996,
      -60.280559,
      -0.141452,
      -60.220349,
      -0.113471,
      -60.239746,
      -0.039537,
      -60.212924,
      0.027637,
      -60.132491,
      0.082084,
      -60.116841,
      0.104379,
      -60.133974,
      0.163000,
      -60.059000,
      0.235977,
      -60.043104,
      -0.369216,
      -60.043104
    ]);
    poly[625] = _TzPolygon([
      0.627796,
      -60.043104,
      0.627796,
      -58.895329,
      0.263472,
      -58.895360,
      0.264000,
      -60.037000,
      0.235977,
      -60.043104
    ]);
    poly[626] = _TzPolygon(
        [-0.638058, -58.727736, -0.617468, -58.737889, -0.592110, -58.727736]);
    poly[627] = _TzPolygon(
        [-0.495544, -58.727736, -0.470858, -58.737045, -0.445679, -58.727736]);
    poly[628] = _TzPolygon([
      -0.436739,
      -58.727736,
      -0.343000,
      -58.872000,
      -0.196000,
      -58.881000,
      -0.078000,
      -58.863000,
      -0.017000,
      -58.897000,
      0.627796,
      -58.896108,
      0.627796,
      -58.727736
    ]);
    poly[629] = _TzPolygon([
      -1.679157,
      -57.412368,
      -1.691837,
      -57.435135,
      -1.665392,
      -57.440393,
      -1.679408,
      -57.472273,
      -1.642286,
      -57.505138,
      -1.656029,
      -57.526062,
      -1.629638,
      -57.521296,
      -1.600947,
      -57.594531,
      -1.572201,
      -57.602199,
      -1.595253,
      -57.677789,
      -1.576637,
      -57.703917,
      -1.503593,
      -57.712024,
      -1.510224,
      -57.779572,
      -1.485753,
      -57.772569,
      -1.486656,
      -57.795603,
      -1.438536,
      -57.822891,
      -1.403253,
      -57.958180,
      -1.381710,
      -57.953525,
      -1.366227,
      -57.967688,
      -1.366227,
      -57.412368
    ]);
    poly[630] = _TzPolygon([
      -1.679157,
      -57.412368,
      -1.675028,
      -57.404954,
      -1.724940,
      -57.391535,
      -1.715060,
      -57.370695,
      -1.737619,
      -57.352739,
      -1.716048,
      -57.328769,
      -1.733502,
      -57.304717,
      -1.708720,
      -57.289726,
      -1.722964,
      -57.263862,
      -1.697523,
      -57.256613,
      -1.727327,
      -57.232644,
      -1.711684,
      -57.203485,
      -1.736055,
      -57.200519,
      -1.719588,
      -57.165759,
      -1.769399,
      -57.163700,
      -1.765200,
      -57.129599,
      -1.793274,
      -57.113949,
      -1.779443,
      -57.086520,
      -1.811817,
      -57.060469,
      -1.855827,
      -57.067342,
      -1.917416,
      -57.029716,
      -1.919155,
      -56.975094,
      -2.025184,
      -56.843962,
      -2.016952,
      -56.748248,
      -2.070808,
      -56.727491,
      -2.162767,
      -56.764019,
      -2.212436,
      -56.684748,
      -2.210293,
      -56.609332,
      -2.174588,
      -56.599288,
      -2.177560,
      -56.573280,
      -2.139280,
      -56.526455,
      -2.170338,
      -56.480104,
      -2.153685,
      -56.448229,
      -2.180459,
      -56.396334,
      -2.143235,
      -56.381742,
      -2.145636,
      -56.323721,
      -2.102865,
      -56.300666,
      -2.056947,
      -56.227762,
      -2.026784,
      -56.121429,
      -2.037000,
      -56.097000,
      -2.195000,
      -56.220000,
      -2.270000,
      -56.384000,
      -2.423000,
      -56.465000,
      -2.456000,
      -56.402000,
      -3.360249,
      -56.820941,
      -3.360249,
      -57.412368
    ]);
    poly[631] = _TzPolygon(
        [-0.436739, -58.727736, -0.438471, -58.725071, -0.445679, -58.727736]);
    poly[632] = _TzPolygon(
        [-0.495544, -58.727736, -0.545273, -58.708983, -0.592110, -58.727736]);
    poly[633] = _TzPolygon([
      -0.638058,
      -58.727736,
      -0.678864,
      -58.707615,
      -0.719265,
      -58.634010,
      -0.830798,
      -58.533013,
      -0.832605,
      -58.490268,
      -0.860142,
      -58.489151,
      -0.875027,
      -58.439229,
      -0.924412,
      -58.451297,
      -0.981398,
      -58.410379,
      -1.028423,
      -58.427164,
      -1.070662,
      -58.364022,
      -1.145423,
      -58.321541,
      -1.131290,
      -58.255488,
      -1.232774,
      -58.154804,
      -1.187805,
      -58.117596,
      -1.163623,
      -58.123192,
      -1.161687,
      -58.092947,
      -1.105890,
      -58.057572,
      -1.103964,
      -58.017407,
      -1.139550,
      -58.009262,
      -1.168897,
      -57.966032,
      -1.222422,
      -57.958287,
      -1.332166,
      -57.998844,
      -1.366227,
      -57.967688,
      -1.366227,
      -58.727736
    ]);
    poly[634] = _TzPolygon([
      1.022021,
      -66.619944,
      0.744944,
      -66.310320,
      0.781614,
      -66.197375,
      0.747627,
      -66.145467,
      0.761742,
      -66.077833,
      0.812300,
      -66.070240,
      0.815110,
      -65.967121,
      0.890962,
      -65.940926,
      0.906682,
      -65.889908,
      0.941589,
      -65.883691,
      0.958591,
      -65.772612,
      1.001253,
      -65.742103,
      1.003858,
      -65.696614,
      0.986337,
      -65.685226,
      1.012854,
      -65.658303,
      0.988290,
      -65.628455,
      1.014253,
      -65.626907,
      1.004706,
      -65.588935,
      0.980814,
      -65.585695,
      0.991692,
      -65.557660,
      0.970345,
      -65.564435,
      0.968894,
      -65.543116,
      0.874150,
      -65.496240,
      0.835078,
      -65.504478,
      0.714009,
      -65.604905,
      0.647529,
      -65.545664,
      0.668961,
      -65.529746,
      0.689212,
      -65.444985,
      0.753059,
      -65.417190,
      0.756917,
      -65.392132,
      0.824145,
      -65.411977,
      0.864883,
      -65.355922,
      0.935960,
      -65.327341,
      0.931863,
      -65.304576,
      0.627796,
      -65.304576,
      0.627796,
      -66.619944
    ]);
    poly[635] = _TzPolygon([
      0.931863,
      -65.304576,
      0.912741,
      -65.198311,
      1.003139,
      -65.149040,
      1.015569,
      -65.175308,
      1.050778,
      -65.156590,
      1.121978,
      -65.160728,
      1.155616,
      -65.106491,
      1.152782,
      -65.071857,
      1.111193,
      -65.061985,
      1.109051,
      -65.013614,
      1.164238,
      -64.975114,
      1.202878,
      -64.974445,
      1.218630,
      -64.922581,
      1.251532,
      -64.904386,
      1.227132,
      -64.869656,
      1.272313,
      -64.856395,
      1.315271,
      -64.800533,
      1.263669,
      -64.786377,
      1.225695,
      -64.744461,
      1.284620,
      -64.694983,
      1.340406,
      -64.578896,
      1.377408,
      -64.578593,
      1.443222,
      -64.526079,
      1.470064,
      -64.435855,
      1.529006,
      -64.393901,
      1.529209,
      -64.351112,
      1.495083,
      -64.347774,
      1.403010,
      -64.410191,
      1.388532,
      -64.356572,
      1.361619,
      -64.337527,
      1.456166,
      -64.313597,
      1.502218,
      -64.260607,
      1.520713,
      -64.197073,
      1.573374,
      -64.172984,
      1.578509,
      -64.125929,
      1.624807,
      -64.091502,
      1.624807,
      -63.989208,
      0.627796,
      -63.989208,
      0.627796,
      -65.304576
    ]);
    poly[636] = _TzPolygon([
      2.621818,
      -64.005575,
      2.621818,
      -63.989208,
      2.474252,
      -63.989208,
      2.478498,
      -64.001457,
      2.461232,
      -64.017998,
      2.496452,
      -64.056427,
      2.572773,
      -64.044083
    ]);
    poly[637] = _TzPolygon([
      1.624807,
      -64.091502,
      1.649020,
      -64.073497,
      1.703084,
      -64.061182,
      1.756558,
      -64.079629,
      1.822586,
      -64.049933,
      1.852356,
      -64.069413,
      1.924849,
      -64.061159,
      1.982990,
      -63.991577,
      1.983235,
      -63.989208,
      1.624807,
      -63.989208
    ]);
    poly[638] = _TzPolygon(
        [2.621818, -64.005575, 2.642662, -63.989208, 2.621818, -63.989208]);
    poly[639] = _TzPolygon(
        [2.661162, -63.989208, 2.707019, -64.001671, 2.716763, -63.989208]);
    poly[640] = _TzPolygon([
      2.729521,
      -63.989208,
      2.737009,
      -64.000634,
      2.810795,
      -64.014519,
      2.872615,
      -64.077088,
      2.921416,
      -64.071556,
      2.990477,
      -64.123489,
      2.982431,
      -64.157540,
      3.034593,
      -64.145917,
      3.123560,
      -64.226417,
      3.201207,
      -64.197945,
      3.430363,
      -64.244400,
      3.506585,
      -64.178619,
      3.568408,
      -64.174370,
      3.670885,
      -64.269570,
      3.709279,
      -64.280998,
      3.783569,
      -64.416146,
      3.788714,
      -64.470924,
      3.857134,
      -64.543565,
      3.918042,
      -64.572939,
      3.980677,
      -64.648101,
      4.117745,
      -64.722389,
      4.174225,
      -64.802033,
      4.235124,
      -64.819365,
      4.270475,
      -64.811229,
      4.287000,
      -64.780000,
      4.253229,
      -64.695220,
      4.135000,
      -64.623000,
      4.105295,
      -64.556502,
      4.144000,
      -64.289000,
      4.116000,
      -64.218000,
      4.127000,
      -64.164000,
      4.092000,
      -64.112000,
      3.950000,
      -64.050000,
      3.933000,
      -64.001000,
      3.912284,
      -63.989208
    ]);
    poly[641] = _TzPolygon([
      1.460506,
      -62.673840,
      1.489000,
      -62.720000,
      1.530000,
      -62.736000,
      1.592000,
      -62.805000,
      1.624807,
      -62.797429,
      1.624807,
      -62.673840
    ]);
    poly[642] = _TzPolygon([
      2.181656,
      -63.331524,
      2.197000,
      -63.359000,
      2.226424,
      -63.387432,
      2.269454,
      -63.367336,
      2.350475,
      -63.384354,
      2.376965,
      -63.363266,
      2.410748,
      -63.370765,
      2.451019,
      -63.421234,
      2.396839,
      -63.460358,
      2.430556,
      -63.494709,
      2.418073,
      -63.557991,
      2.445727,
      -63.563976,
      2.439943,
      -63.768047,
      2.477101,
      -63.797341,
      2.491598,
      -63.843575,
      2.454598,
      -63.932503,
      2.474252,
      -63.989208,
      2.621818,
      -63.989208,
      2.621818,
      -63.331524
    ]);
    poly[643] = _TzPolygon([
      1.983235,
      -63.989208,
      1.993044,
      -63.894188,
      1.966443,
      -63.835555,
      1.995643,
      -63.821943,
      1.979750,
      -63.790947,
      2.000405,
      -63.741867,
      2.049404,
      -63.699535,
      2.018614,
      -63.665009,
      2.065108,
      -63.663867,
      2.073436,
      -63.635837,
      2.112221,
      -63.626795,
      2.140846,
      -63.546560,
      2.111508,
      -63.511129,
      2.141322,
      -63.473962,
      2.125998,
      -63.440594,
      2.150706,
      -63.400852,
      2.197183,
      -63.404118,
      2.212712,
      -63.378949,
      2.183992,
      -63.331524,
      1.624807,
      -63.331524,
      1.624807,
      -63.989208
    ]);
    poly[644] = _TzPolygon([
      2.183992,
      -63.331524,
      2.154000,
      -63.282000,
      2.182000,
      -63.194000,
      2.173000,
      -63.141000,
      2.080000,
      -63.107000,
      2.015000,
      -63.023000,
      2.031000,
      -62.948000,
      2.017000,
      -62.838000,
      1.954000,
      -62.719000,
      1.912000,
      -62.698000,
      1.819000,
      -62.731000,
      1.713000,
      -62.723000,
      1.631000,
      -62.796000,
      1.624807,
      -62.797429,
      1.624807,
      -63.331524
    ]);
    poly[645] = _TzPolygon([
      1.460506,
      -62.673840,
      1.439000,
      -62.639000,
      1.089000,
      -62.529000,
      1.087000,
      -62.471000,
      1.028000,
      -62.477000,
      0.959000,
      -62.442000,
      0.867000,
      -62.486000,
      0.786000,
      -62.457000,
      0.691000,
      -62.535000,
      0.627796,
      -62.524958,
      0.627796,
      -62.673840
    ]);
    poly[646] = _TzPolygon([
      3.618829,
      -62.997578,
      3.618829,
      -62.953170,
      3.608000,
      -62.960000,
      3.612000,
      -62.990000
    ]);
    poly[647] = _TzPolygon(
        [2.729521, -63.989208, 2.723703, -63.980331, 2.716763, -63.989208]);
    poly[648] = _TzPolygon(
        [2.661162, -63.989208, 2.647419, -63.985473, 2.642662, -63.989208]);
    poly[649] = _TzPolygon([
      3.618829,
      -62.997578,
      3.694000,
      -63.081000,
      3.748000,
      -63.059000,
      3.794000,
      -63.103000,
      3.812000,
      -63.204000,
      3.836000,
      -63.226000,
      3.882000,
      -63.233000,
      3.952000,
      -63.204000,
      3.956000,
      -63.280000,
      3.982000,
      -63.311000,
      3.961000,
      -63.312000,
      3.957000,
      -63.338000,
      3.977000,
      -63.428000,
      3.956000,
      -63.452000,
      3.912000,
      -63.411000,
      3.865000,
      -63.434000,
      3.874000,
      -63.489000,
      3.840000,
      -63.497000,
      3.865000,
      -63.551000,
      3.891000,
      -63.554000,
      3.886000,
      -63.591000,
      3.929000,
      -63.592000,
      4.019000,
      -63.676000,
      3.950000,
      -63.700000,
      3.922000,
      -63.663000,
      3.908000,
      -63.682000,
      3.915000,
      -63.738000,
      3.941000,
      -63.755000,
      3.950000,
      -63.850000,
      3.925000,
      -63.928000,
      3.868000,
      -63.964000,
      3.912284,
      -63.989208,
      4.615840,
      -63.989208,
      4.615840,
      -62.673840,
      4.043097,
      -62.673840,
      4.032000,
      -62.753000,
      4.007000,
      -62.768000,
      3.975000,
      -62.743000,
      3.930000,
      -62.786000,
      3.894000,
      -62.788000,
      3.850000,
      -62.753000,
      3.834000,
      -62.771000,
      3.805000,
      -62.729000,
      3.674000,
      -62.743000,
      3.739000,
      -62.835000,
      3.673000,
      -62.919000,
      3.618829,
      -62.953170
    ]);
    poly[650] = _TzPolygon([
      4.424350,
      -61.358472,
      4.439000,
      -61.448000,
      4.406000,
      -61.513000,
      4.342000,
      -61.527000,
      4.322000,
      -61.508000,
      4.252000,
      -61.560000,
      4.261000,
      -61.608000,
      4.238000,
      -61.642000,
      4.263000,
      -61.670000,
      4.245000,
      -61.725000,
      4.270000,
      -61.724000,
      4.250000,
      -61.774000,
      4.232000,
      -61.764000,
      4.229000,
      -61.802000,
      4.164000,
      -61.824000,
      4.161264,
      -61.922128,
      4.120087,
      -61.931749,
      4.181000,
      -61.982000,
      4.150000,
      -62.029000,
      4.154000,
      -62.076000,
      4.126000,
      -62.071000,
      4.118000,
      -62.117000,
      4.088000,
      -62.114000,
      4.077683,
      -62.143085,
      4.130000,
      -62.252000,
      4.135000,
      -62.329000,
      4.178000,
      -62.389000,
      4.178000,
      -62.462000,
      4.139000,
      -62.465000,
      4.137000,
      -62.531000,
      4.118000,
      -62.523000,
      4.109000,
      -62.552000,
      4.081000,
      -62.558000,
      4.046000,
      -62.533000,
      4.037000,
      -62.562000,
      4.019000,
      -62.555000,
      4.047000,
      -62.646000,
      4.043097,
      -62.673840,
      4.615840,
      -62.673840,
      4.615840,
      -61.358472
    ]);
    poly[651] = _TzPolygon(
        [5.906735, -61.358472, 5.970795, -61.414905, 5.968886, -61.358472]);
    poly[652] = _TzPolygon([
      1.624807,
      -59.471719,
      1.624807,
      -58.727736,
      1.225498,
      -58.727736,
      1.199901,
      -58.739558,
      1.171002,
      -58.821226,
      1.239000,
      -58.912000,
      1.261000,
      -58.886000,
      1.290000,
      -58.922000,
      1.317000,
      -58.918000,
      1.302000,
      -58.978000,
      1.327000,
      -58.993000,
      1.323000,
      -59.048000,
      1.389000,
      -59.253000,
      1.411000,
      -59.282000,
      1.450000,
      -59.284000,
      1.464000,
      -59.327000,
      1.514000,
      -59.329000,
      1.507000,
      -59.381000,
      1.556000,
      -59.396000,
      1.567000,
      -59.431000,
      1.620000,
      -59.447000
    ]);
    poly[653] = _TzPolygon([
      0.627796,
      -58.896108,
      1.227222,
      -58.895278,
      1.171002,
      -58.821226,
      1.199901,
      -58.739558,
      1.225498,
      -58.727736,
      0.627796,
      -58.727736
    ]);
    poly[654] = _TzPolygon([
      1.624807,
      -59.471719,
      1.627000,
      -59.483000,
      1.674000,
      -59.493000,
      1.669000,
      -59.511000,
      1.723000,
      -59.539000,
      1.736000,
      -59.566000,
      1.716000,
      -59.617000,
      1.741000,
      -59.632000,
      1.757000,
      -59.690000,
      1.844000,
      -59.649000,
      1.871000,
      -59.663000,
      1.839000,
      -59.677000,
      1.852000,
      -59.746000,
      1.901000,
      -59.759000,
      2.027253,
      -59.720829,
      2.069024,
      -59.742676,
      2.103465,
      -59.721762,
      2.162506,
      -59.741968,
      2.276153,
      -59.723133,
      2.292947,
      -59.741033,
      2.283860,
      -59.787475,
      2.360148,
      -59.871394,
      2.361454,
      -59.898170,
      2.480606,
      -59.897068,
      2.551856,
      -59.938399,
      2.569108,
      -59.929107,
      2.593102,
      -59.972060,
      2.609302,
      -59.957947,
      2.621818,
      -59.963447,
      2.621818,
      -58.727736,
      1.624807,
      -58.727736
    ]);
    poly[655] = _TzPolygon([
      4.615840,
      -61.358472,
      4.615840,
      -60.939428,
      4.587000,
      -60.932000,
      4.584000,
      -60.956000,
      4.544000,
      -60.964000,
      4.519000,
      -60.994000,
      4.522000,
      -61.095000,
      4.480165,
      -61.145587,
      4.536000,
      -61.217000,
      4.535000,
      -61.323000,
      4.504000,
      -61.322000,
      4.478000,
      -61.278000,
      4.458000,
      -61.288000,
      4.458000,
      -61.313000,
      4.421000,
      -61.338000,
      4.424350,
      -61.358472
    ]);
    poly[656] = _TzPolygon([
      4.489584,
      -60.043104,
      4.493306,
      -60.070660,
      4.521072,
      -60.064533,
      4.517340,
      -60.086478,
      4.533560,
      -60.087813,
      4.502028,
      -60.117787,
      4.517726,
      -60.161141,
      4.572475,
      -60.157246,
      4.564866,
      -60.136429,
      4.605011,
      -60.123420,
      4.615840,
      -60.075142,
      4.615840,
      -60.043104
    ]);
    poly[657] = _TzPolygon([
      2.621818,
      -59.963447,
      2.686097,
      -59.991696,
      2.834642,
      -59.991799,
      2.929589,
      -59.984212,
      2.998348,
      -59.946973,
      3.079086,
      -59.956466,
      3.121481,
      -59.921639,
      3.112883,
      -59.908214,
      3.211569,
      -59.908379,
      3.224461,
      -59.874551,
      3.241465,
      -59.888066,
      3.330522,
      -59.827869,
      3.352633,
      -59.834000,
      3.360666,
      -59.804188,
      3.428356,
      -59.813131,
      3.428754,
      -59.841628,
      3.505126,
      -59.803358,
      3.563853,
      -59.873038,
      3.604489,
      -59.850645,
      3.618829,
      -59.793717,
      3.618829,
      -58.727736,
      2.621818,
      -58.727736
    ]);
    poly[658] = _TzPolygon([
      4.489584,
      -60.043104,
      4.480105,
      -59.972916,
      4.509552,
      -59.970943,
      4.500043,
      -59.935587,
      4.460430,
      -59.909406,
      4.487172,
      -59.874831,
      4.452403,
      -59.861538,
      4.447086,
      -59.812241,
      4.465541,
      -59.795027,
      4.448072,
      -59.794522,
      4.376295,
      -59.669479,
      4.285869,
      -59.731895,
      4.268761,
      -59.709454,
      4.233904,
      -59.739486,
      4.180764,
      -59.730691,
      4.131660,
      -59.618177,
      4.069432,
      -59.654058,
      4.051935,
      -59.617841,
      4.007373,
      -59.607250,
      4.000591,
      -59.579431,
      3.968513,
      -59.584169,
      3.979132,
      -59.544684,
      3.944925,
      -59.515301,
      3.885385,
      -59.592788,
      3.817196,
      -59.577449,
      3.814975,
      -59.597272,
      3.793864,
      -59.596307,
      3.781259,
      -59.665547,
      3.702775,
      -59.668415,
      3.626282,
      -59.764127,
      3.618829,
      -59.793717,
      3.618829,
      -60.043104
    ]);
    poly[659] = _TzPolygon([
      2.621818,
      -57.412368,
      1.911660,
      -57.412368,
      1.905976,
      -57.433428,
      1.826814,
      -57.437760,
      1.786088,
      -57.501869,
      1.700495,
      -57.537597,
      1.682369,
      -57.650421,
      1.730931,
      -57.705090,
      1.715455,
      -57.718397,
      1.729727,
      -57.774307,
      1.726644,
      -57.792257,
      1.685210,
      -57.799789,
      1.688899,
      -57.844171,
      1.667820,
      -57.852056,
      1.680292,
      -57.877119,
      1.644809,
      -57.926757,
      1.658439,
      -57.990093,
      1.645678,
      -58.002615,
      1.633206,
      -57.980311,
      1.572779,
      -57.978559,
      1.503026,
      -58.004228,
      1.525341,
      -58.060927,
      1.507337,
      -58.069449,
      1.498895,
      -58.129425,
      1.560114,
      -58.160643,
      1.572218,
      -58.193035,
      1.546687,
      -58.236003,
      1.570732,
      -58.262255,
      1.568437,
      -58.317139,
      1.597015,
      -58.322366,
      1.538017,
      -58.363087,
      1.526512,
      -58.394723,
      1.481573,
      -58.371754,
      1.469988,
      -58.385587,
      1.462946,
      -58.508726,
      1.403166,
      -58.505113,
      1.371452,
      -58.457871,
      1.267963,
      -58.496224,
      1.277631,
      -58.512890,
      1.257909,
      -58.522891,
      1.294603,
      -58.564559,
      1.262124,
      -58.585393,
      1.297324,
      -58.694563,
      1.225498,
      -58.727736,
      2.621818,
      -58.727736
    ]);
    poly[660] = _TzPolygon([
      2.114745,
      -56.754684,
      2.205278,
      -56.819451,
      2.265556,
      -56.826396,
      2.297222,
      -56.884174,
      2.362222,
      -56.887507,
      2.393056,
      -56.932229,
      2.436111,
      -56.930007,
      2.465000,
      -56.956118,
      2.515000,
      -56.950007,
      2.509444,
      -56.996674,
      2.555278,
      -56.996951,
      2.592222,
      -57.027229,
      2.621818,
      -57.020653,
      2.621818,
      -56.754684
    ]);
    poly[661] = _TzPolygon([
      1.911660,
      -57.412368,
      1.923722,
      -57.367678,
      1.956381,
      -57.369118,
      1.996653,
      -57.307117,
      1.937587,
      -57.229228,
      1.978665,
      -57.199895,
      2.026442,
      -57.086676,
      1.955966,
      -57.063931,
      1.914893,
      -57.014207,
      1.902949,
      -56.976097,
      1.930360,
      -56.919708,
      1.899327,
      -56.893482,
      1.872539,
      -56.798850,
      1.853358,
      -56.797930,
      1.894066,
      -56.754684,
      1.624807,
      -56.754684,
      1.624807,
      -57.412368
    ]);
    poly[662] = _TzPolygon([
      2.114745,
      -56.754684,
      2.026667,
      -56.691674,
      2.023889,
      -56.562785,
      1.949182,
      -56.468954,
      1.905880,
      -56.579760,
      1.945878,
      -56.621453,
      1.917116,
      -56.651043,
      1.925815,
      -56.720956,
      1.894066,
      -56.754684
    ]);
    poly[663] = _TzPolygon([
      1.847551,
      -56.097000,
      1.850973,
      -56.117621,
      1.900481,
      -56.170899,
      1.898611,
      -56.234460,
      1.878080,
      -56.244042,
      1.937101,
      -56.334934,
      1.928265,
      -56.411816,
      2.023889,
      -56.562785,
      2.026667,
      -56.691674,
      2.114745,
      -56.754684,
      2.621818,
      -56.754684,
      2.621818,
      -56.097000,
      2.317191,
      -56.097000,
      2.265745,
      -56.138873,
      2.249186,
      -56.097000
    ]);
    poly[664] = _TzPolygon([
      2.621818,
      -57.020653,
      2.634722,
      -57.017785,
      2.637500,
      -57.060285,
      2.687500,
      -57.065007,
      2.734722,
      -57.102785,
      2.771667,
      -57.090285,
      2.770833,
      -57.137785,
      2.826389,
      -57.127507,
      2.816111,
      -57.182785,
      2.847500,
      -57.206118,
      2.903056,
      -57.223896,
      2.951667,
      -57.183618,
      2.960556,
      -57.228063,
      3.017222,
      -57.228063,
      3.025556,
      -57.204729,
      3.070000,
      -57.215007,
      3.097500,
      -57.250840,
      3.141111,
      -57.238340,
      3.139722,
      -57.285007,
      3.278611,
      -57.294729,
      3.324444,
      -57.278896,
      3.384167,
      -57.300007,
      3.358056,
      -57.357785,
      3.382778,
      -57.421951,
      3.356667,
      -57.430285,
      3.338333,
      -57.473340,
      3.364722,
      -57.520563,
      3.341667,
      -57.597507,
      3.364167,
      -57.650278,
      3.395556,
      -57.666389,
      3.461389,
      -57.636389,
      3.523611,
      -57.656389,
      3.559167,
      -57.709722,
      3.610278,
      -57.734444,
      3.669167,
      -57.838611,
      3.809444,
      -57.876111,
      3.906389,
      -57.943333,
      3.998056,
      -58.043333,
      4.159444,
      -58.070833,
      4.288056,
      -57.953611,
      4.403333,
      -57.958611,
      4.615840,
      -57.855057,
      4.615840,
      -56.097000,
      2.621818,
      -56.097000
    ]);
    poly[665] = _TzPolygon([
      5.612851,
      -61.358472,
      5.612851,
      -61.103245,
      5.187423,
      -60.732828,
      5.189000,
      -60.680000,
      5.115000,
      -60.656000,
      5.118000,
      -60.642000,
      5.057000,
      -60.644000,
      4.956000,
      -60.584000,
      4.774000,
      -60.726000,
      4.749000,
      -60.806000,
      4.704000,
      -60.852000,
      4.704000,
      -60.911000,
      4.665000,
      -60.917000,
      4.653000,
      -60.949000,
      4.615840,
      -60.939428,
      4.615840,
      -61.358472
    ]);
    poly[666] = _TzPolygon([
      4.615840,
      -60.075142,
      4.616881,
      -60.070500,
      4.655482,
      -60.075425,
      4.688334,
      -60.043104,
      4.615840,
      -60.043104
    ]);
    poly[667] = _TzPolygon([
      5.113468,
      -60.043104,
      5.140000,
      -60.094000,
      5.249000,
      -60.135000,
      5.227000,
      -60.172000,
      5.239150,
      -60.193167,
      5.270477,
      -60.179332,
      5.283457,
      -60.208247,
      5.208000,
      -60.319000,
      5.222000,
      -60.384000,
      5.182000,
      -60.434000,
      5.203000,
      -60.451000,
      5.196000,
      -60.569000,
      5.231000,
      -60.652000,
      5.201898,
      -60.737554,
      5.612851,
      -61.099578,
      5.612851,
      -60.043104
    ]);
    poly[668] = _TzPolygon([
      5.612851,
      -60.043104,
      5.612851,
      -61.099578,
      5.906735,
      -61.358472,
      5.968868,
      -61.357940,
      6.109637,
      -61.269881,
      6.126312,
      -61.231619,
      6.111978,
      -61.209290,
      6.187074,
      -61.179252,
      6.176566,
      -61.138135,
      6.193698,
      -61.124543,
      6.216256,
      -61.142361,
      6.271364,
      -61.114036,
      6.271478,
      -61.136250,
      6.330127,
      -61.184163,
      6.429151,
      -61.143160,
      6.464443,
      -61.152354,
      6.471753,
      -61.182564,
      6.519451,
      -61.172420,
      6.537371,
      -61.196469,
      6.525839,
      -61.222189,
      6.549317,
      -61.209746,
      6.570472,
      -61.231959,
      6.609862,
      -61.207568,
      6.609862,
      -60.043104
    ]);
    poly[669] = _TzPolygon([
      5.121578,
      -60.043104,
      5.063345,
      -59.969842,
      4.801084,
      -60.034442,
      4.706496,
      -60.025235,
      4.688334,
      -60.043104
    ]);
    poly[670] = _TzPolygon([
      7.606873,
      -61.358472,
      7.606873,
      -60.629404,
      7.577579,
      -60.638868,
      7.578202,
      -60.689439,
      7.558105,
      -60.687675,
      7.538838,
      -60.720363,
      7.479065,
      -60.697637,
      7.447242,
      -60.639214,
      7.418389,
      -60.643110,
      7.393565,
      -60.607224,
      7.314277,
      -60.588135,
      7.245995,
      -60.637953,
      7.125722,
      -60.546525,
      7.188799,
      -60.501536,
      7.204774,
      -60.459505,
      7.173308,
      -60.409424,
      7.184794,
      -60.367115,
      7.133533,
      -60.293551,
      7.071217,
      -60.289386,
      7.023396,
      -60.317861,
      6.997910,
      -60.366295,
      6.941111,
      -60.368291,
      6.929940,
      -60.380253,
      6.950662,
      -60.408802,
      6.859000,
      -60.548259,
      6.829960,
      -60.663613,
      6.755505,
      -60.718501,
      6.794204,
      -60.809728,
      6.782302,
      -60.853540,
      6.816601,
      -60.913886,
      6.789455,
      -60.925577,
      6.755681,
      -60.900600,
      6.719501,
      -60.946184,
      6.729470,
      -61.075910,
      6.703515,
      -61.087913,
      6.721511,
      -61.138434,
      6.609862,
      -61.207568,
      6.609862,
      -61.358472
    ]);
    poly[671] = _TzPolygon([
      7.606873,
      -60.629404,
      7.642679,
      -60.617837,
      7.631478,
      -60.590323,
      7.673901,
      -60.593377,
      7.705602,
      -60.568138,
      7.734219,
      -60.583635,
      7.795094,
      -60.532231,
      7.815728,
      -60.540174,
      7.838321,
      -60.466966,
      7.820792,
      -60.404816,
      7.839812,
      -60.379498,
      7.831281,
      -60.348252,
      7.910702,
      -60.247768,
      7.957744,
      -60.219113,
      7.989915,
      -60.140796,
      8.028875,
      -60.121934,
      8.032776,
      -60.043104,
      7.606873,
      -60.043104
    ]);
    poly[672] = _TzPolygon([
      8.603884,
      -59.773739,
      8.528377,
      -59.986725,
      8.300833,
      -59.809167,
      8.275000,
      -59.801389,
      8.236111,
      -59.825556,
      8.213463,
      -59.946031,
      8.158201,
      -59.993405,
      8.132711,
      -59.980625,
      8.033331,
      -60.031897,
      8.032776,
      -60.043104,
      8.603884,
      -60.043104
    ]);
    poly[673] = _TzPolygon([
      4.615840,
      -57.855057,
      4.643889,
      -57.841389,
      4.764722,
      -57.884444,
      4.805000,
      -57.926389,
      4.924444,
      -57.843889,
      4.925278,
      -57.766667,
      4.964167,
      -57.749444,
      5.011944,
      -57.682500,
      4.991944,
      -57.607778,
      5.014800,
      -57.532020,
      4.990503,
      -57.475431,
      4.991430,
      -57.414780,
      5.037302,
      -57.329364,
      5.016247,
      -57.290717,
      5.072050,
      -57.326120,
      5.174420,
      -57.298400,
      5.187330,
      -57.253920,
      5.134100,
      -57.223040,
      5.164670,
      -57.183960,
      5.262110,
      -57.226940,
      5.269060,
      -57.264490,
      5.229880,
      -57.251100,
      5.222130,
      -57.276560,
      5.252485,
      -57.296625,
      5.321587,
      -57.291879,
      5.310301,
      -57.329199,
      5.325376,
      -57.341382,
      5.390490,
      -57.274320,
      5.481500,
      -57.264330,
      5.550620,
      -57.199000,
      5.623860,
      -57.165060,
      5.699400,
      -57.160320,
      5.743740,
      -57.183490,
      5.895350,
      -57.135010,
      6.051360,
      -57.162573,
      6.084519,
      -57.078722,
      6.225000,
      -57.014948,
      6.197000,
      -56.999074,
      6.172000,
      -56.814039,
      6.175000,
      -56.621948,
      6.114000,
      -56.485443,
      6.040202,
      -56.097000,
      4.615840,
      -56.097000
    ]);
    poly[674] = _TzPolygon([
      -9.893535,
      -71.171189,
      -9.969890,
      -71.220414,
      -9.963139,
      -71.253107,
      -9.992411,
      -71.298085,
      -9.966986,
      -71.342658,
      -10.000447,
      -71.377955,
      -10.000447,
      -72.181027,
      -9.966337,
      -72.149987,
      -9.930934,
      -72.174337,
      -9.893535,
      -72.148719
    ]);
    poly[675] = _TzPolygon([
      -11.792956,
      -71.171189,
      -11.792956,
      -69.045107,
      -11.912991,
      -68.970408,
      -12.050486,
      -68.895567,
      -13.436012,
      -68.895567,
      -13.437068,
      -68.905998,
      -13.461260,
      -68.896076,
      -13.525328,
      -68.919338,
      -13.522282,
      -68.940827,
      -13.604400,
      -68.952473,
      -13.624119,
      -69.005045,
      -13.651779,
      -68.994666,
      -13.640283,
      -69.037215,
      -13.673305,
      -69.066973,
      -13.692378,
      -69.055115,
      -13.692378,
      -71.171189
    ]);
    poly[676] = _TzPolygon([
      -11.792956,
      -68.895567,
      -11.792956,
      -69.045025,
      -10.945535,
      -69.571811,
      -10.936061,
      -69.501293,
      -10.954960,
      -69.478218,
      -10.925411,
      -69.417032,
      -10.956595,
      -69.374900,
      -10.936109,
      -69.354269,
      -10.954965,
      -69.274481,
      -10.939780,
      -69.233539,
      -10.958306,
      -69.215522,
      -10.954668,
      -69.152192,
      -10.981331,
      -69.121091,
      -10.976506,
      -69.038752,
      -11.011387,
      -68.992406,
      -10.989628,
      -68.952953,
      -11.012023,
      -68.947901,
      -11.022079,
      -68.910738,
      -11.017936,
      -68.895567
    ]);
    poly[677] = _TzPolygon([
      -9.893535,
      -70.623237,
      -10.999821,
      -70.621025,
      -10.934652,
      -70.530334,
      -10.996571,
      -70.452647,
      -11.039102,
      -70.437674,
      -11.070776,
      -70.308595,
      -11.042771,
      -70.158254,
      -10.985336,
      -70.092229,
      -10.993700,
      -70.064460,
      -10.921232,
      -69.933490,
      -10.930320,
      -69.769138,
      -10.975219,
      -69.739438,
      -10.976892,
      -69.715094,
      -10.942590,
      -69.574303,
      -11.792956,
      -69.045107,
      -11.792956,
      -71.171189,
      -9.893535,
      -71.171189
    ]);
    poly[678] = _TzPolygon([
      -12.050486,
      -68.895567,
      -12.497969,
      -68.651991,
      -12.533810,
      -68.655077,
      -12.522822,
      -68.683331,
      -12.552034,
      -68.674421,
      -12.634311,
      -68.741917,
      -12.680656,
      -68.712658,
      -12.693365,
      -68.736138,
      -12.712466,
      -68.728794,
      -12.756566,
      -68.803953,
      -12.808618,
      -68.807631,
      -12.823897,
      -68.839373,
      -12.857839,
      -68.834799,
      -12.870592,
      -68.870701,
      -12.947768,
      -68.860212,
      -12.940760,
      -68.878171,
      -12.957629,
      -68.882162,
      -12.981303,
      -68.861675,
      -12.988866,
      -68.879776,
      -13.046449,
      -68.848919,
      -13.047595,
      -68.863877,
      -13.113288,
      -68.859242,
      -13.136203,
      -68.878020,
      -13.150525,
      -68.858089,
      -13.181356,
      -68.872132,
      -13.246693,
      -68.845287,
      -13.329378,
      -68.878788,
      -13.359242,
      -68.868797,
      -13.383186,
      -68.891678,
      -13.435396,
      -68.889486,
      -13.436012,
      -68.895567
    ]);
    poly[679] = _TzPolygon([
      -11.017936,
      -68.895567,
      -10.989867,
      -68.792765,
      -11.014583,
      -68.788831,
      -10.998151,
      -68.780276,
      -11.009527,
      -68.747675,
      -11.066239,
      -68.766218,
      -11.109409,
      -68.722234,
      -11.146802,
      -68.716798,
      -11.108874,
      -68.544474,
      -11.036712,
      -68.436482,
      -11.056709,
      -68.402229,
      -11.020733,
      -68.385525,
      -11.015862,
      -68.331872,
      -10.961179,
      -68.236716,
      -10.859659,
      -68.195758,
      -10.776926,
      -68.103738,
      -10.715023,
      -68.105227,
      -10.655779,
      -68.033002,
      -10.640681,
      -67.864593,
      -10.710828,
      -67.708251,
      -10.605166,
      -67.675718,
      -10.615549,
      -67.658637,
      -10.598069,
      -67.640275,
      -10.502796,
      -67.579247,
      -10.454920,
      -67.443611,
      -10.427200,
      -67.413252,
      -10.373864,
      -67.407166,
      -10.393682,
      -67.355283,
      -10.376375,
      -67.311168,
      -10.319971,
      -67.316745,
      -10.332934,
      -67.265323,
      -10.315086,
      -67.224393,
      -10.339232,
      -67.177450,
      -10.316553,
      -67.129032,
      -10.290478,
      -67.126105,
      -10.258725,
      -67.015759,
      -10.221624,
      -66.988812,
      -10.199018,
      -66.996851,
      -10.188858,
      -66.952801,
      -10.082680,
      -66.875097,
      -10.083996,
      -66.837600,
      -9.999258,
      -66.763564,
      -9.967507,
      -66.675414,
      -9.936871,
      -66.662925,
      -9.950054,
      -66.637146,
      -9.893535,
      -66.619944,
      -11.792956,
      -66.619944,
      -11.792956,
      -68.895567
    ]);
    poly[680] = _TzPolygon([
      -9.411841,
      -72.982482,
      -9.411396,
      -73.200439,
      -9.363223,
      -73.188760,
      -9.354101,
      -73.148366,
      -9.318317,
      -73.131406,
      -9.308117,
      -73.101434,
      -9.275348,
      -73.107328,
      -9.234607,
      -73.073518,
      -9.222365,
      -73.009298,
      -9.195447,
      -73.003343,
      -9.177857,
      -73.026124,
      -9.155477,
      -72.982482
    ]);
    poly[681] = _TzPolygon([
      -8.951741,
      -72.982482,
      -8.917781,
      -72.999307,
      -8.905774,
      -73.058886,
      -8.698298,
      -73.167241,
      -8.690216,
      -73.255472,
      -8.681076,
      -73.262825,
      -8.681076,
      -72.982482
    ]);
    poly[682] = _TzPolygon([
      -8.681076,
      -72.982482,
      -8.681076,
      -73.262825,
      -8.610906,
      -73.319275,
      -8.616784,
      -73.341042,
      -8.474035,
      -73.331831,
      -8.470240,
      -73.388115,
      -8.431291,
      -73.406715,
      -8.350223,
      -73.541908,
      -8.270786,
      -73.526262,
      -8.240861,
      -73.587386,
      -8.223660,
      -73.571412,
      -8.164561,
      -73.595695,
      -8.128678,
      -73.584471,
      -8.057460,
      -73.626253,
      -8.034250,
      -73.616851,
      -8.006529,
      -73.639248,
      -8.013148,
      -73.668023,
      -7.954732,
      -73.705605,
      -7.965846,
      -73.726783,
      -7.909164,
      -73.772256,
      -7.860600,
      -73.761543,
      -7.878811,
      -73.735451,
      -7.859643,
      -73.679223,
      -7.781441,
      -73.678747,
      -7.742386,
      -73.714799,
      -7.715760,
      -73.819818,
      -7.666871,
      -73.839180,
      -7.676240,
      -73.866539,
      -7.640228,
      -73.900459,
      -7.603553,
      -73.889023,
      -7.561471,
      -73.978568,
      -7.534734,
      -73.983062,
      -7.533434,
      -73.941711,
      -7.472988,
      -73.909759,
      -7.468617,
      -73.911326,
      -7.468617,
      -72.982482
    ]);
    poly[683] = _TzPolygon([
      -7.715415,
      -71.174515,
      -7.552000,
      -72.584719,
      -7.468617,
      -72.815278,
      -7.468617,
      -71.174515
    ]);
    poly[684] = _TzPolygon([
      -8.951741,
      -72.982482,
      -8.981013,
      -72.967980,
      -8.984940,
      -72.940911,
      -9.012099,
      -72.963071,
      -9.093248,
      -72.939994,
      -9.143024,
      -72.958197,
      -9.155477,
      -72.982482
    ]);
    poly[685] = _TzPolygon([
      -9.409531,
      -72.982482,
      -9.412383,
      -72.717037,
      -9.439365,
      -72.695146,
      -9.455868,
      -72.576780,
      -9.491281,
      -72.519535,
      -9.477154,
      -72.407492,
      -9.494598,
      -72.356876,
      -9.543794,
      -72.318586,
      -9.539953,
      -72.282898,
      -9.603158,
      -72.288209,
      -9.616334,
      -72.252818,
      -9.750855,
      -72.262955,
      -9.797416,
      -72.151361,
      -9.830402,
      -72.162833,
      -9.874872,
      -72.135935,
      -9.893535,
      -72.148719,
      -9.893535,
      -72.982482
    ]);
    poly[686] = _TzPolygon([
      -7.408148,
      -72.982482,
      -7.113061,
      -73.798420,
      -7.046760,
      -73.757100,
      -6.977730,
      -73.761280,
      -6.964160,
      -73.743890,
      -6.935830,
      -73.760790,
      -6.754150,
      -73.638260,
      -6.722033,
      -73.561792,
      -6.676141,
      -73.521927,
      -6.635760,
      -73.379917,
      -6.593267,
      -73.352809,
      -6.588843,
      -73.227413,
      -6.564429,
      -73.221791,
      -6.577113,
      -73.206692,
      -6.545779,
      -73.181677,
      -6.523016,
      -73.187967,
      -6.531325,
      -73.163387,
      -6.510461,
      -73.135226,
      -6.406664,
      -73.104726,
      -6.380259,
      -73.135576,
      -6.276668,
      -73.160705,
      -6.219577,
      -73.220285,
      -6.183181,
      -73.216272,
      -6.149625,
      -73.246638,
      -6.043992,
      -73.238213,
      -6.005125,
      -73.186802,
      -5.944716,
      -73.186950,
      -5.867960,
      -73.152068,
      -5.864329,
      -73.117020,
      -5.833184,
      -73.114216,
      -5.795170,
      -73.053029,
      -5.733411,
      -73.027531,
      -5.728522,
      -73.000465,
      -5.661276,
      -72.985570,
      -5.660764,
      -72.982482
    ]);
    poly[687] = _TzPolygon([
      -7.468617,
      -73.911326,
      -7.357483,
      -73.951172,
      -7.389247,
      -73.863548,
      -7.354310,
      -73.853662,
      -7.338618,
      -73.821097,
      -7.336904,
      -73.761626,
      -7.353786,
      -73.754640,
      -7.322462,
      -73.700394,
      -7.227558,
      -73.716619,
      -7.206423,
      -73.752076,
      -7.113061,
      -73.798420,
      -7.408148,
      -72.982482,
      -7.468617,
      -72.982482
    ]);
    poly[688] = _TzPolygon([
      -5.043700,
      -72.618503,
      -5.051804,
      -72.621198,
      -5.051993,
      -72.727648,
      -5.088593,
      -72.739860,
      -5.076617,
      -72.756367,
      -5.113442,
      -72.785947,
      -5.102776,
      -72.818312,
      -5.139117,
      -72.815473,
      -5.136013,
      -72.850853,
      -5.164011,
      -72.887570,
      -5.179063,
      -72.869027,
      -5.271167,
      -72.860525,
      -5.466129,
      -72.958885,
      -5.521978,
      -72.960594,
      -5.541280,
      -72.938574,
      -5.612911,
      -72.973678,
      -5.656891,
      -72.959116,
      -5.660764,
      -72.982482,
      -5.043700,
      -72.982482
    ]);
    poly[689] = _TzPolygon(
        [-7.408148, -72.982482, -7.468617, -72.815278, -7.468617, -72.982482]);
    poly[690] = _TzPolygon([
      -5.043700,
      -69.578418,
      -9.541382,
      -67.558582,
      -9.049000,
      -68.647000,
      -7.845148,
      -70.054979,
      -7.715415,
      -71.174515,
      -5.043700,
      -71.174515
    ]);
    poly[691] = _TzPolygon([
      -9.893535,
      -71.171189,
      -9.872365,
      -71.157541,
      -9.815836,
      -71.051225,
      -9.817209,
      -70.993912,
      -9.748912,
      -70.963367,
      -9.741298,
      -70.923827,
      -9.643235,
      -70.836149,
      -9.638462,
      -70.793319,
      -9.604253,
      -70.757241,
      -9.560426,
      -70.750669,
      -9.570256,
      -70.729797,
      -9.525963,
      -70.662115,
      -9.441795,
      -70.596273,
      -9.424320,
      -70.494616,
      -9.463667,
      -70.503759,
      -9.467837,
      -70.523908,
      -9.505566,
      -70.505061,
      -9.490329,
      -70.514887,
      -9.518518,
      -70.528105,
      -9.514688,
      -70.546001,
      -9.536463,
      -70.538898,
      -9.531469,
      -70.567973,
      -9.570573,
      -70.553318,
      -9.568042,
      -70.586281,
      -9.548644,
      -70.590215,
      -9.560193,
      -70.600832,
      -9.640840,
      -70.584701,
      -9.714978,
      -70.525230,
      -9.765840,
      -70.536629,
      -9.820545,
      -70.623383,
      -9.893535,
      -70.623237
    ]);
    poly[692] = _TzPolygon(
        [-9.541382, -67.558582, -5.043700, -69.578418, -5.043700, -67.558582]);
    poly[693] = _TzPolygon([
      -5.043700,
      -72.618503,
      -4.983427,
      -72.598459,
      -4.997965,
      -72.584674,
      -4.955561,
      -72.551936,
      -4.960019,
      -72.522168,
      -4.932872,
      -72.521159,
      -4.950802,
      -72.482029,
      -4.915688,
      -72.451348,
      -4.891863,
      -72.471133,
      -4.900978,
      -72.415656,
      -4.875994,
      -72.421856,
      -4.888655,
      -72.406110,
      -4.871989,
      -72.381433,
      -4.833670,
      -72.389878,
      -4.823771,
      -72.359661,
      -4.805187,
      -72.371524,
      -4.793564,
      -72.339800,
      -4.812081,
      -72.323540,
      -4.780377,
      -72.327698,
      -4.790807,
      -72.307322,
      -4.771412,
      -72.278864,
      -4.798737,
      -72.271971,
      -4.765845,
      -72.256540,
      -4.781745,
      -72.244328,
      -4.747845,
      -72.210096,
      -4.763333,
      -72.193182,
      -4.711893,
      -72.141173,
      -4.733985,
      -72.125928,
      -4.669055,
      -72.081098,
      -4.669646,
      -72.078499,
      -5.043700,
      -72.078499
    ]);
    poly[694] = _TzPolygon([
      -4.399647,
      -71.174515,
      -4.396812,
      -71.185122,
      -4.424710,
      -71.194220,
      -4.379868,
      -71.202632,
      -4.408622,
      -71.226149,
      -4.385687,
      -71.229754,
      -4.385003,
      -71.269751,
      -4.442167,
      -71.277819,
      -4.420089,
      -71.320906,
      -4.462876,
      -71.307517,
      -4.427278,
      -71.350261,
      -4.430932,
      -71.395505,
      -4.470577,
      -71.425620,
      -4.449698,
      -71.432143,
      -4.438402,
      -71.412402,
      -4.428818,
      -71.434375,
      -4.450211,
      -71.436950,
      -4.434979,
      -71.478663,
      -4.458426,
      -71.485530,
      -4.439087,
      -71.507159,
      -4.487006,
      -71.494284,
      -4.464416,
      -71.537028,
      -4.529275,
      -71.596251,
      -4.515243,
      -71.633502,
      -4.468695,
      -71.615477,
      -4.503948,
      -71.650325,
      -4.472460,
      -71.654788,
      -4.502066,
      -71.659079,
      -4.511649,
      -71.708175,
      -4.468866,
      -71.751090,
      -4.504462,
      -71.766368,
      -4.485295,
      -71.796752,
      -4.527222,
      -71.864215,
      -4.516441,
      -71.907302,
      -4.537473,
      -71.885404,
      -4.529240,
      -71.919000,
      -4.608216,
      -71.947347,
      -4.609404,
      -71.994551,
      -4.626396,
      -71.982021,
      -4.645667,
      -72.006804,
      -4.623288,
      -72.043260,
      -4.673738,
      -72.060487,
      -4.669646,
      -72.078499,
      -3.831241,
      -72.078499,
      -3.831241,
      -71.174515
    ]);
    poly[695] = _TzPolygon([
      -1.406323,
      -73.556708,
      -1.406323,
      -72.982482,
      -2.350880,
      -72.982482,
      -2.360334,
      -73.002868,
      -2.313681,
      -73.032737,
      -2.361020,
      -73.058143,
      -2.324239,
      -73.096201,
      -2.327231,
      -73.119598,
      -2.288982,
      -73.115650,
      -2.236749,
      -73.165279,
      -2.189651,
      -73.170876,
      -2.179995,
      -73.128718,
      -2.130656,
      -73.116508,
      -2.093259,
      -73.069301,
      -2.071816,
      -73.113590,
      -2.041623,
      -73.092132,
      -1.991572,
      -73.130061,
      -1.885846,
      -73.108268,
      -1.859253,
      -73.152385,
      -1.805410,
      -73.146250,
      -1.788564,
      -73.194442,
      -1.748586,
      -73.217788,
      -1.802633,
      -73.235469,
      -1.806408,
      -73.256069,
      -1.782387,
      -73.246627,
      -1.777476,
      -73.299939,
      -1.827512,
      -73.315120,
      -1.772092,
      -73.386703,
      -1.790505,
      -73.427816,
      -1.741894,
      -73.454338,
      -1.708092,
      -73.531585,
      -1.639972,
      -73.516307,
      -1.575345,
      -73.457267,
      -1.570809,
      -73.490333,
      -1.483625,
      -73.490870,
      -1.473274,
      -73.524592,
      -1.432336,
      -73.536049,
      -1.428228,
      -73.579887,
      -1.416935,
      -73.552378
    ]);
    poly[696] = _TzPolygon([
      -1.173431,
      -73.886466,
      -1.116461,
      -73.912072,
      -1.131146,
      -73.958164,
      -1.081770,
      -73.964794,
      -1.106432,
      -73.978420,
      -1.098880,
      -74.006057,
      -1.061496,
      -74.026829,
      -1.005684,
      -74.018074,
      -1.053569,
      -74.064937,
      -0.978803,
      -74.272582,
      -0.941148,
      -74.262176,
      -0.899061,
      -74.279334,
      -0.880733,
      -74.320458,
      -0.865144,
      -74.301540,
      -0.880632,
      -74.270255,
      -0.820764,
      -74.243390,
      -0.828187,
      -74.279471,
      -0.779011,
      -74.279074,
      -0.793354,
      -74.312505,
      -0.754230,
      -74.315735,
      -0.758349,
      -74.344370,
      -0.727968,
      -74.375129,
      -0.677503,
      -74.337879,
      -0.653729,
      -74.373906,
      -0.630128,
      -74.359508,
      -0.541905,
      -74.392301,
      -0.559922,
      -74.420448,
      -0.499335,
      -74.422357,
      -0.472673,
      -74.473673,
      -0.487655,
      -74.497009,
      -0.461907,
      -74.497867,
      -0.458603,
      -74.537143,
      -0.407690,
      -74.553708,
      -0.377606,
      -74.616322,
      -0.352047,
      -74.608074,
      -0.374482,
      -74.660370,
      -0.331104,
      -74.679142,
      -0.342786,
      -74.728383,
      -0.296944,
      -74.728580,
      -0.193865,
      -74.790449,
      -0.193865,
      -73.886466
    ]);
    poly[697] = _TzPolygon([
      -1.173431,
      -73.886466,
      -1.229316,
      -73.861347,
      -1.239441,
      -73.783069,
      -1.261580,
      -73.770195,
      -1.200483,
      -73.743930,
      -1.248366,
      -73.726936,
      -1.240621,
      -73.673925,
      -1.267244,
      -73.648487,
      -1.263779,
      -73.619401,
      -1.318729,
      -73.611065,
      -1.326609,
      -73.567157,
      -1.346173,
      -73.581254,
      -1.406323,
      -73.556708,
      -1.406323,
      -73.886466
    ]);
    poly[698] = _TzPolygon([
      -2.350880,
      -72.982482,
      -2.337008,
      -72.952572,
      -2.457193,
      -72.930932,
      -2.434744,
      -72.895970,
      -2.439674,
      -72.857277,
      -2.385305,
      -72.777111,
      -2.427668,
      -72.744495,
      -2.386411,
      -72.711663,
      -2.451965,
      -72.681166,
      -2.358493,
      -72.635193,
      -2.401084,
      -72.566311,
      -2.433671,
      -72.448551,
      -2.414152,
      -72.408039,
      -2.490781,
      -72.368557,
      -2.459568,
      -72.259208,
      -2.432243,
      -72.259325,
      -2.448763,
      -72.216476,
      -2.426484,
      -72.171379,
      -2.479944,
      -72.157303,
      -2.410003,
      -72.128917,
      -2.365397,
      -72.078499,
      -2.618782,
      -72.078499,
      -2.618782,
      -72.982482
    ]);
    poly[699] = _TzPolygon([
      -2.365397,
      -72.078499,
      -2.335737,
      -72.044975,
      -2.370565,
      -72.005417,
      -2.355801,
      -71.944900,
      -2.380674,
      -71.922409,
      -2.316111,
      -71.939317,
      -2.314149,
      -71.887093,
      -2.187379,
      -71.828935,
      -2.204826,
      -71.796548,
      -2.140985,
      -71.734454,
      -2.230949,
      -71.720944,
      -2.199914,
      -71.652362,
      -2.239037,
      -71.599166,
      -2.249117,
      -71.520206,
      -2.354049,
      -71.493369,
      -2.334144,
      -71.479206,
      -2.276206,
      -71.495101,
      -2.279992,
      -71.452743,
      -2.355119,
      -71.391803,
      -2.391994,
      -71.406910,
      -2.410497,
      -71.393220,
      -2.379474,
      -71.353523,
      -2.379131,
      -71.316616,
      -2.336268,
      -71.296353,
      -2.348429,
      -71.275589,
      -2.389421,
      -71.280910,
      -2.336793,
      -71.231967,
      -2.382218,
      -71.176197,
      -2.376547,
      -71.174515,
      -2.618782,
      -71.174515,
      -2.618782,
      -72.078499
    ]);
  }
}

class _Initializer8 {
  static void _init() {
    poly[700] = _TzPolygon([
      -3.831241,
      -70.722524,
      -4.182248,
      -70.722524,
      -4.159443,
      -70.759012,
      -4.218722,
      -70.845805,
      -4.230047,
      -70.816768,
      -4.254721,
      -70.831595,
      -4.252452,
      -70.864474,
      -4.279054,
      -70.844829,
      -4.293282,
      -70.877915,
      -4.323554,
      -70.876647,
      -4.359157,
      -70.934325,
      -4.384318,
      -70.935698,
      -4.345335,
      -70.997411,
      -4.386543,
      -70.993892,
      -4.402118,
      -71.037837,
      -4.369940,
      -71.049510,
      -4.397668,
      -71.076976,
      -4.375075,
      -71.079894,
      -4.377643,
      -71.106158,
      -4.411189,
      -71.114913,
      -4.381579,
      -71.144782,
      -4.405713,
      -71.151820,
      -4.399647,
      -71.174515,
      -3.831241,
      -71.174515
    ]);
    poly[701] = _TzPolygon(
        [-3.850772, -70.270532, -3.831241, -70.280274, -3.831241, -70.270532]);
    poly[702] = _TzPolygon(
        [-3.831241, -70.414129, -3.880750, -70.514873, -3.831241, -70.563175]);
    poly[703] = _TzPolygon(
        [-3.831241, -70.598734, -3.843484, -70.616453, -3.831241, -70.633439]);
    poly[704] = _TzPolygon([
      -4.182248,
      -70.722524,
      -4.207908,
      -70.681467,
      -4.145624,
      -70.670715,
      -4.163278,
      -70.652130,
      -4.130113,
      -70.647931,
      -4.126403,
      -70.626711,
      -4.182852,
      -70.632233,
      -4.173730,
      -70.565433,
      -4.211693,
      -70.573570,
      -4.198921,
      -70.552914,
      -4.137579,
      -70.551982,
      -4.148242,
      -70.510363,
      -4.200981,
      -70.504167,
      -4.161321,
      -70.485349,
      -4.176260,
      -70.466986,
      -4.161929,
      -70.433474,
      -4.132082,
      -70.436507,
      -4.133409,
      -70.380232,
      -4.179968,
      -70.338920,
      -4.142062,
      -70.322808,
      -4.165548,
      -70.287693,
      -4.230233,
      -70.278605,
      -4.253304,
      -70.310002,
      -4.287935,
      -70.288808,
      -4.282352,
      -70.270532,
      -4.437470,
      -70.270532,
      -4.437470,
      -70.722524
    ]);
    poly[705] = _TzPolygon([
      -3.850772,
      -70.270532,
      -3.831241,
      -70.270532,
      -3.831241,
      -69.865871,
      -4.231687,
      -69.947926,
      -4.082699,
      -70.061874,
      -4.017346,
      -70.140324,
      -3.930636,
      -70.180320,
      -3.896726,
      -70.247611
    ]);
    poly[706] = _TzPolygon([
      -4.282352,
      -70.270532,
      -4.274836,
      -70.245930,
      -4.296561,
      -70.269516,
      -4.309799,
      -70.256061,
      -4.317158,
      -70.224486,
      -4.298687,
      -70.213252,
      -4.361791,
      -70.191940,
      -4.327869,
      -70.151365,
      -4.306448,
      -70.172021,
      -4.273079,
      -70.155083,
      -4.285850,
      -70.117489,
      -4.254540,
      -70.108814,
      -4.289969,
      -70.093941,
      -4.294089,
      -70.041889,
      -4.314275,
      -70.079482,
      -4.332400,
      -70.043128,
      -4.367283,
      -70.049590,
      -4.372119,
      -70.029160,
      -4.330904,
      -70.011218,
      -4.322103,
      -69.985673,
      -4.347836,
      -69.985809,
      -4.311148,
      -69.951998,
      -4.226664,
      -69.945336,
      -5.043700,
      -69.578418,
      -5.043700,
      -70.270532
    ]);
    poly[707] = _TzPolygon([
      -5.043700,
      -69.366549,
      -5.043700,
      -69.578418,
      -4.226664,
      -69.945336,
      -3.831241,
      -69.874686,
      -3.831241,
      -69.366549
    ]);
    poly[708] = _TzPolygon([
      -3.831241,
      -70.280274,
      -3.823764,
      -70.284003,
      -3.802059,
      -70.354747,
      -3.831241,
      -70.414129,
      -3.831241,
      -70.563175,
      -3.816565,
      -70.577493,
      -3.831241,
      -70.598734,
      -3.831241,
      -70.633439,
      -3.793988,
      -70.685123,
      -3.796515,
      -70.713192,
      -2.757270,
      -70.058827,
      -2.649478,
      -70.084389,
      -2.703760,
      -70.135544,
      -2.690883,
      -70.160356,
      -2.636548,
      -70.165381,
      -2.658533,
      -70.196160,
      -2.645342,
      -70.219087,
      -2.618782,
      -70.226957,
      -2.618782,
      -69.651572,
      -3.686152,
      -69.836141,
      -3.831241,
      -69.865871
    ]);
    poly[709] = _TzPolygon([
      -3.831241,
      -69.366549,
      -3.831241,
      -69.874686,
      -2.618782,
      -69.658056,
      -2.618782,
      -69.366549
    ]);
    poly[710] = _TzPolygon([
      -2.376547,
      -71.174515,
      -2.332908,
      -71.161577,
      -2.338824,
      -71.128818,
      -2.285882,
      -71.132694,
      -2.264898,
      -71.046077,
      -2.306579,
      -70.993892,
      -2.229297,
      -71.020411,
      -2.210196,
      -71.000842,
      -2.255293,
      -70.941536,
      -2.223825,
      -70.898111,
      -2.225961,
      -70.863430,
      -2.294655,
      -70.832486,
      -2.297831,
      -70.767814,
      -2.328755,
      -70.750527,
      -2.354964,
      -70.663394,
      -2.405389,
      -70.677332,
      -2.395762,
      -70.627168,
      -2.474660,
      -70.631687,
      -2.472088,
      -70.557701,
      -2.448946,
      -70.553166,
      -2.421737,
      -70.597764,
      -2.418407,
      -70.570404,
      -2.476375,
      -70.508606,
      -2.454072,
      -70.471916,
      -2.524110,
      -70.432971,
      -2.491761,
      -70.367958,
      -2.501497,
      -70.302945,
      -2.520656,
      -70.295093,
      -2.542641,
      -70.348171,
      -2.568081,
      -70.353510,
      -2.577189,
      -70.314565,
      -2.552063,
      -70.246726,
      -2.618782,
      -70.224282,
      -2.618782,
      -71.174515
    ]);
    poly[711] = _TzPolygon([
      -2.618782,
      -69.658056,
      -1.491186,
      -69.456589,
      -1.454204,
      -69.432630,
      -1.406323,
      -69.435648,
      -1.406323,
      -69.366549,
      -2.618782,
      -69.366549
    ]);
    poly[712] = _TzPolygon([
      -1.406323,
      -69.435648,
      -1.400921,
      -69.435989,
      -1.365080,
      -69.397303,
      -1.227562,
      -69.430557,
      -1.125548,
      -69.395234,
      -1.071399,
      -69.432867,
      -1.043847,
      -69.418584,
      -1.024110,
      -69.444890,
      -0.998273,
      -69.418606,
      -0.993870,
      -69.458816,
      -0.957450,
      -69.471154,
      -0.925137,
      -69.527995,
      -0.867949,
      -69.525818,
      -0.839166,
      -69.572676,
      -0.806730,
      -69.564087,
      -0.746671,
      -69.624907,
      -0.636925,
      -69.561785,
      -0.595312,
      -69.602974,
      -0.561210,
      -69.591131,
      -0.534324,
      -69.613651,
      -0.500798,
      -69.607832,
      -0.375686,
      -69.828161,
      -0.337321,
      -69.844601,
      -0.325734,
      -69.920535,
      -0.193865,
      -70.039716,
      -0.193865,
      -69.366549,
      -1.406323,
      -69.366549
    ]);
    poly[713] = _TzPolygon([
      -9.888653,
      -66.619944,
      -9.814051,
      -66.805868,
      -9.753091,
      -66.775364,
      -9.756072,
      -66.725390,
      -9.673151,
      -66.619944
    ]);
    poly[714] = _TzPolygon([
      -9.541196,
      -67.558582,
      -9.560000,
      -67.517000,
      -9.592159,
      -67.324086,
      -9.893535,
      -66.619944,
      -9.893535,
      -67.558582
    ]);
    poly[715] = _TzPolygon([
      0.905854,
      -70.705196,
      0.905854,
      -69.179018,
      0.872042,
      -69.135762,
      0.842691,
      -69.166146,
      0.767511,
      -69.148809,
      0.740563,
      -69.190007,
      0.644840,
      -69.115632,
      0.649818,
      -69.194253,
      0.605905,
      -69.199748,
      0.603894,
      -69.294839,
      0.649971,
      -69.289139,
      0.626157,
      -69.319670,
      0.642779,
      -69.336054,
      0.614160,
      -69.352767,
      0.712581,
      -69.433377,
      0.735768,
      -69.480024,
      0.702136,
      -69.532043,
      0.678919,
      -69.535206,
      0.683962,
      -69.561559,
      0.654202,
      -69.597007,
      0.613280,
      -69.605289,
      0.667593,
      -69.671096,
      0.571624,
      -69.802724,
      0.591255,
      -69.822683,
      0.576893,
      -69.887408,
      0.590043,
      -69.916320,
      0.552661,
      -69.935642,
      0.577818,
      -69.977812,
      0.573760,
      -70.000136,
      0.544125,
      -70.005508,
      0.562842,
      -70.047046,
      -0.189979,
      -70.043228,
      -0.193865,
      -70.039716,
      -0.193865,
      -70.705196
    ]);
    poly[716] = _TzPolygon([
      0.905854,
      -69.179018,
      0.913236,
      -69.188462,
      0.941556,
      -69.164602,
      0.972451,
      -69.216787,
      0.999741,
      -69.197732,
      1.056552,
      -69.244939,
      1.052433,
      -69.287339,
      1.088647,
      -69.320298,
      1.087938,
      -69.376410,
      1.042650,
      -69.423124,
      1.073887,
      -69.439431,
      1.070798,
      -69.561998,
      1.098258,
      -69.609891,
      1.069939,
      -69.677182,
      1.075060,
      -69.703862,
      1.118167,
      -69.709626,
      1.103407,
      -69.773656,
      1.063625,
      -69.806272,
      1.072719,
      -69.842658,
      1.718929,
      -69.839717,
      1.692438,
      -69.782358,
      1.729548,
      -69.745033,
      1.723046,
      -69.628558,
      1.776907,
      -69.534643,
      1.729351,
      -69.391089,
      1.729409,
      -68.662570,
      0.905854,
      -68.662570
    ]);
    poly[717] = _TzPolygon([
      2.005573,
      -68.201985,
      1.956761,
      -68.212268,
      1.830840,
      -68.285547,
      1.829184,
      -68.226881,
      1.770444,
      -68.239542,
      1.779700,
      -68.192071,
      1.766068,
      -68.177758,
      1.737491,
      -68.193263,
      1.729448,
      -68.164499,
      1.729409,
      -68.662570,
      2.005573,
      -68.662570
    ]);
    poly[718] = _TzPolygon([
      2.005573,
      -67.765601,
      1.972597,
      -67.813851,
      1.902332,
      -67.836638,
      1.862142,
      -67.890349,
      1.811652,
      -67.901623,
      1.891214,
      -68.033517,
      1.897741,
      -68.090429,
      1.978541,
      -68.144166,
      1.976705,
      -68.180335,
      2.005573,
      -68.188036
    ]);
    poly[719] = _TzPolygon([
      1.022021,
      -66.619944,
      1.228959,
      -66.851191,
      1.286597,
      -66.881212,
      1.321385,
      -66.855383,
      1.369762,
      -66.854919,
      1.423585,
      -66.911048,
      1.530999,
      -66.919057,
      1.591217,
      -66.963943,
      1.632035,
      -66.959682,
      1.786412,
      -67.033072,
      1.920567,
      -67.065320,
      1.976886,
      -67.122996,
      2.005573,
      -67.113034,
      2.005573,
      -66.619944
    ]);
    poly[720] = _TzPolygon([
      2.005480,
      -67.641257,
      2.005265,
      -67.352973,
      1.941575,
      -67.330830,
      1.841269,
      -67.228307,
      1.831497,
      -67.153836,
      1.675037,
      -67.159221,
      1.639863,
      -67.127255,
      1.603527,
      -67.140431,
      1.454411,
      -67.082601,
      1.385457,
      -67.080170,
      1.320017,
      -67.139231,
      1.258288,
      -67.099555,
      1.167036,
      -67.086753,
      1.228959,
      -66.851191,
      1.022021,
      -66.619944,
      0.905854,
      -66.619944,
      0.905854,
      -67.641257
    ]);
    poly[721] = _TzPolygon([
      2.005573,
      -67.113034,
      2.051286,
      -67.097158,
      2.119304,
      -67.108022,
      2.136991,
      -67.121726,
      2.132836,
      -67.161579,
      2.254247,
      -67.221971,
      2.350310,
      -67.187902,
      2.398596,
      -67.221757,
      2.441948,
      -67.297092,
      2.522512,
      -67.342544,
      2.619430,
      -67.467627,
      2.663118,
      -67.490134,
      2.656898,
      -67.563265,
      2.723099,
      -67.563176,
      2.811550,
      -67.614386,
      2.795834,
      -67.655755,
      2.837544,
      -67.750423,
      2.831265,
      -67.815380,
      2.794256,
      -67.837145,
      2.789438,
      -67.864103,
      2.866229,
      -67.864331,
      3.105291,
      -67.595727,
      3.105291,
      -66.619944,
      2.005573,
      -66.619944
    ]);
    poly[722] = _TzPolygon(
        [2.005573, -68.201985, 2.034791, -68.195830, 2.005573, -68.188036]);
    poly[723] = _TzPolygon([
      2.005573,
      -67.765601,
      2.028504,
      -67.732048,
      2.047692,
      -67.550949,
      2.163124,
      -67.495186,
      2.169604,
      -67.449229,
      2.221272,
      -67.436904,
      2.230110,
      -67.400800,
      2.208507,
      -67.367659,
      2.156881,
      -67.349555,
      2.099980,
      -67.358983,
      2.063872,
      -67.326716,
      2.005573,
      -67.352835
    ]);
    poly[724] = _TzPolygon([
      3.105291,
      -67.595727,
      3.248472,
      -67.434853,
      3.245540,
      -67.382722,
      3.292584,
      -67.381603,
      3.377893,
      -67.310785,
      3.451022,
      -67.339150,
      3.479997,
      -67.401468,
      3.585236,
      -67.444072,
      3.676484,
      -67.447957,
      3.767449,
      -67.501286,
      3.752120,
      -67.606820,
      3.785550,
      -67.634427,
      4.122886,
      -67.733203,
      4.205010,
      -67.782280,
      4.205010,
      -66.619944,
      3.105291,
      -66.619944
    ]);
    poly[725] = _TzPolygon([
      7.100381,
      -70.705196,
      7.053014,
      -70.918155,
      7.023692,
      -70.921564,
      7.016364,
      -70.969778,
      6.974293,
      -71.022217,
      6.989928,
      -71.111671,
      7.008627,
      -71.103602,
      7.033085,
      -71.130990,
      7.011829,
      -71.240949,
      7.032726,
      -71.264332,
      7.015352,
      -71.369846,
      7.038959,
      -71.424624,
      7.011895,
      -71.465137,
      7.035017,
      -71.527137,
      7.015544,
      -71.588288,
      7.055197,
      -71.587724,
      7.032467,
      -71.705005,
      7.066263,
      -71.766985,
      7.062664,
      -71.814381,
      7.025662,
      -71.834959,
      7.009577,
      -71.942171,
      7.039104,
      -72.047582,
      7.252104,
      -72.173822,
      7.326996,
      -72.153844,
      7.384214,
      -72.196454,
      7.375931,
      -72.325715,
      7.396781,
      -72.353855,
      7.403337,
      -72.439423,
      7.461801,
      -72.447039,
      7.487851,
      -72.475982,
      7.559729,
      -72.452763,
      7.632628,
      -72.476482,
      7.758592,
      -72.473818,
      7.857611,
      -72.444417,
      7.943689,
      -72.487692,
      7.995381,
      -72.419223,
      8.033886,
      -72.416235,
      8.005170,
      -72.349250,
      8.080027,
      -72.350903,
      8.105806,
      -72.373707,
      8.157498,
      -72.352263,
      8.252426,
      -72.393697,
      8.357292,
      -72.391599,
      8.603884,
      -72.644071,
      8.603884,
      -70.705196
    ]);
    poly[726] = _TzPolygon([
      6.135795,
      -68.662570,
      6.152103,
      -68.706721,
      6.147410,
      -68.792712,
      6.179966,
      -68.829880,
      6.167374,
      -68.882490,
      6.192929,
      -69.014164,
      6.221698,
      -69.046177,
      6.191071,
      -69.123509,
      6.079534,
      -69.238609,
      6.088653,
      -69.308869,
      6.139971,
      -69.342134,
      6.107798,
      -69.430461,
      6.404447,
      -69.664337,
      6.404447,
      -68.662570
    ]);
    poly[727] = _TzPolygon([
      6.135795,
      -68.662570,
      6.129146,
      -68.644571,
      6.166326,
      -68.588469,
      6.148979,
      -68.541996,
      6.179067,
      -68.510085,
      6.187729,
      -68.448568,
      6.162990,
      -68.306973,
      6.228675,
      -68.141854,
      6.227096,
      -68.077686,
      6.196109,
      -68.027538,
      6.236215,
      -67.930040,
      6.324304,
      -67.810260,
      6.291432,
      -67.762033,
      6.291350,
      -67.625259,
      6.262523,
      -67.586635,
      6.266314,
      -67.547452,
      6.209354,
      -67.466974,
      6.193307,
      -67.456846,
      6.130940,
      -67.494642,
      5.994295,
      -67.410130,
      5.904291,
      -67.532367,
      5.828245,
      -67.597147,
      5.675008,
      -67.637930,
      5.565994,
      -67.620100,
      5.544089,
      -67.598886,
      5.475957,
      -67.624970,
      5.303958,
      -67.849507,
      5.196136,
      -67.824443,
      5.135225,
      -67.854283,
      5.054005,
      -67.805927,
      4.943478,
      -67.838732,
      4.707233,
      -67.817844,
      4.531179,
      -67.857593,
      4.486982,
      -67.801068,
      4.437064,
      -67.797825,
      4.418997,
      -67.773182,
      4.349345,
      -67.761610,
      4.327285,
      -67.804012,
      4.229666,
      -67.797014,
      4.205010,
      -67.782280,
      4.205010,
      -68.662570
    ]);
    poly[728] = _TzPolygon([
      7.100381,
      -70.705196,
      7.104381,
      -70.687214,
      7.068769,
      -70.641943,
      7.079320,
      -70.556335,
      7.005668,
      -70.502337,
      7.007284,
      -70.431107,
      6.980871,
      -70.416671,
      6.980913,
      -70.372112,
      6.934568,
      -70.322388,
      6.941242,
      -70.265846,
      6.974720,
      -70.224333,
      6.979704,
      -70.117865,
      6.404447,
      -69.664337,
      6.404447,
      -70.705196
    ]);
    poly[729] = _TzPolygon([
      -13.692378,
      -50.805843,
      -13.530000,
      -50.763000,
      -13.442000,
      -50.665000,
      -13.376000,
      -50.665000,
      -13.307251,
      -50.607191,
      -13.217988,
      -50.584456,
      -13.187212,
      -50.604685,
      -13.118421,
      -50.592583,
      -13.118421,
      -50.101268,
      -13.692378,
      -50.101268
    ]);
    poly[730] = _TzPolygon([
      -12.544463,
      -50.468292,
      -12.706064,
      -50.468292,
      -12.710000,
      -50.478000,
      -12.725828,
      -50.468292,
      -12.733038,
      -50.468292,
      -12.744726,
      -50.487505,
      -12.755740,
      -50.468292,
      -12.861631,
      -50.509999,
      -12.829146,
      -50.517369,
      -12.845080,
      -50.534703,
      -12.830615,
      -50.593800,
      -12.798472,
      -50.580290,
      -12.821762,
      -50.623139,
      -12.774642,
      -50.611026,
      -12.775077,
      -50.636405,
      -12.732780,
      -50.623559,
      -12.679842,
      -50.654099,
      -12.653363,
      -50.645172,
      -12.644985,
      -50.684379,
      -12.607890,
      -50.707507,
      -12.586891,
      -50.679523,
      -12.567997,
      -50.689554,
      -12.544463,
      -50.676937
    ]);
    poly[731] = _TzPolygon([
      -13.118421,
      -50.592583,
      -13.112156,
      -50.591481,
      -13.064000,
      -50.611000,
      -13.039000,
      -50.569000,
      -13.002000,
      -50.593000,
      -12.976000,
      -50.525000,
      -12.784283,
      -50.493323,
      -12.755337,
      -50.468292,
      -13.118421,
      -50.468292
    ]);
    poly[732] = _TzPolygon([
      -12.754846,
      -50.468292,
      -12.744726,
      -50.487505,
      -12.733038,
      -50.468292
    ]);
    poly[733] = _TzPolygon([
      -12.725828,
      -50.468292,
      -12.710000,
      -50.478000,
      -12.706064,
      -50.468292
    ]);
    poly[734] = _TzPolygon([
      -12.903812,
      -50.101268,
      -12.897403,
      -50.183773,
      -12.853795,
      -50.231186,
      -12.838560,
      -50.292882,
      -12.798000,
      -50.311000,
      -12.717862,
      -50.283283,
      -12.680382,
      -50.299023,
      -12.682268,
      -50.265269,
      -12.579000,
      -50.238000,
      -12.564000,
      -50.193000,
      -12.544463,
      -50.214966,
      -12.544463,
      -50.101268
    ]);
    poly[735] = _TzPolygon([
      -12.544463,
      -50.364278,
      -12.545529,
      -50.365971,
      -12.611371,
      -50.390847,
      -12.624000,
      -50.418000,
      -12.650000,
      -50.413000,
      -12.652568,
      -50.440568,
      -12.691635,
      -50.432703,
      -12.706064,
      -50.468292,
      -12.544463,
      -50.468292
    ]);
    poly[736] = _TzPolygon([
      -12.725828,
      -50.468292,
      -12.731079,
      -50.465071,
      -12.733038,
      -50.468292
    ]);
    poly[737] = _TzPolygon([
      -11.396548,
      -50.731113,
      -11.444062,
      -50.741266,
      -11.581178,
      -50.717363,
      -11.594947,
      -50.656029,
      -11.671917,
      -50.661652,
      -11.733760,
      -50.724586,
      -11.855669,
      -50.687458,
      -11.886264,
      -50.637101,
      -11.921628,
      -50.666557,
      -11.974898,
      -50.658634,
      -11.990321,
      -50.685454,
      -12.091635,
      -50.668908,
      -12.207605,
      -50.686814,
      -12.222432,
      -50.645252,
      -12.249838,
      -50.654032,
      -12.277155,
      -50.628237,
      -12.302526,
      -50.652000,
      -12.451132,
      -50.619130,
      -12.455111,
      -50.651143,
      -12.478694,
      -50.641675,
      -12.544463,
      -50.676937,
      -12.544463,
      -51.569364,
      -11.396548,
      -51.569364
    ]);
    poly[738] = _TzPolygon([
      -12.544463,
      -50.364278,
      -12.431000,
      -50.184000,
      -12.413000,
      -50.196000,
      -12.423000,
      -50.175000,
      -12.397384,
      -50.148585,
      -12.531378,
      -50.229678,
      -12.544463,
      -50.214966
    ]);
    poly[739] = _TzPolygon([
      -12.903812,
      -50.101268,
      -11.396548,
      -50.101268,
      -11.396548,
      -48.633171,
      -13.031307,
      -48.633171,
      -12.994000,
      -48.675000,
      -13.002000,
      -48.717000,
      -12.921000,
      -48.736000,
      -12.803221,
      -48.870228,
      -12.957000,
      -48.975000,
      -12.907000,
      -49.023000,
      -12.904000,
      -49.077000,
      -12.847000,
      -49.067000,
      -12.836000,
      -49.106000,
      -12.790000,
      -49.121000,
      -12.884000,
      -49.237000,
      -13.103000,
      -49.354000,
      -13.253000,
      -49.340000,
      -13.274000,
      -49.369000,
      -12.964831,
      -49.912520,
      -12.935833,
      -50.039331,
      -12.905512,
      -50.079382
    ]);
    poly[740] = _TzPolygon([
      -9.100719,
      -51.569364,
      -9.100719,
      -49.873703,
      -9.185186,
      -49.910029,
      -9.228289,
      -49.986131,
      -9.308229,
      -50.047940,
      -9.379342,
      -50.048412,
      -9.439678,
      -50.092159,
      -9.577659,
      -50.105153,
      -9.621562,
      -50.138851,
      -9.702951,
      -50.136405,
      -9.744136,
      -50.187627,
      -9.839025,
      -50.207568,
      -9.749611,
      -51.569364
    ]);
    poly[741] = _TzPolygon([
      -9.748706,
      -51.569364,
      -9.839025,
      -50.207568,
      -9.897629,
      -50.265472,
      -10.014416,
      -50.291609,
      -10.069593,
      -50.325337,
      -10.126163,
      -50.388527,
      -10.215457,
      -50.384970,
      -10.354558,
      -50.424904,
      -10.410928,
      -50.475486,
      -10.488920,
      -50.481633,
      -10.498349,
      -50.509408,
      -10.595520,
      -50.532919,
      -10.662516,
      -50.604279,
      -10.731887,
      -50.574772,
      -10.835137,
      -50.619708,
      -10.898648,
      -50.602726,
      -10.932006,
      -50.631639,
      -11.073347,
      -50.607809,
      -11.103888,
      -50.644832,
      -11.159169,
      -50.665274,
      -11.258700,
      -50.660784,
      -11.372569,
      -50.725989,
      -11.396548,
      -50.731113,
      -11.396548,
      -51.569364
    ]);
    poly[742] = _TzPolygon([
      -13.031307,
      -48.633171,
      -13.060000,
      -48.601000,
      -13.123000,
      -48.577000,
      -13.152000,
      -48.596000,
      -13.207000,
      -48.579000,
      -13.238000,
      -48.600000,
      -13.317000,
      -48.586000,
      -13.302000,
      -48.553000,
      -13.205000,
      -48.554000,
      -13.192000,
      -48.530000,
      -13.128000,
      -48.508000,
      -13.134000,
      -48.475000,
      -13.234814,
      -48.475659,
      -13.292320,
      -48.441832,
      -13.271128,
      -48.430019,
      -13.248304,
      -48.340170,
      -13.228226,
      -48.342154,
      -13.236999,
      -48.307785,
      -13.168814,
      -48.230914,
      -13.152548,
      -48.143361,
      -13.186969,
      -48.165129,
      -13.305000,
      -48.165000,
      -13.288000,
      -48.083000,
      -13.235000,
      -48.062000,
      -13.274000,
      -48.032000,
      -13.276000,
      -47.986000,
      -13.315000,
      -47.966000,
      -13.290000,
      -47.935000,
      -13.310698,
      -47.899123,
      -13.692378,
      -47.899123,
      -13.692378,
      -48.633171
    ]);
    poly[743] = _TzPolygon([
      -13.310698,
      -47.899123,
      -13.320000,
      -47.883000,
      -13.311000,
      -47.824000,
      -13.467000,
      -47.679000,
      -13.368806,
      -47.622118,
      -13.349036,
      -47.650216,
      -13.302845,
      -47.661556,
      -13.264403,
      -47.639744,
      -13.210806,
      -47.667725,
      -13.178216,
      -47.654164,
      -13.166202,
      -47.668819,
      -13.149696,
      -47.643778,
      -13.102477,
      -47.633138,
      -13.119460,
      -47.564005,
      -13.185144,
      -47.561570,
      -13.184793,
      -47.478689,
      -13.220402,
      -47.485932,
      -13.233309,
      -47.431772,
      -13.248632,
      -47.454347,
      -13.290161,
      -47.429135,
      -13.228877,
      -47.376328,
      -13.265073,
      -47.281528,
      -13.194785,
      -47.229772,
      -13.187514,
      -47.183209,
      -13.204812,
      -47.183917,
      -13.208176,
      -47.165075,
      -13.692378,
      -47.165075,
      -13.692378,
      -47.899123
    ]);
    poly[744] = _TzPolygon([
      -13.208176,
      -47.165075,
      -13.210202,
      -47.153726,
      -13.177967,
      -47.132268,
      -13.181853,
      -47.087744,
      -13.121655,
      -47.002117,
      -13.131810,
      -46.978878,
      -13.053000,
      -46.892000,
      -13.067711,
      -46.854772,
      -13.002000,
      -46.819000,
      -12.969000,
      -46.750000,
      -12.971000,
      -46.454000,
      -12.879016,
      -46.431026,
      -13.692378,
      -46.431026,
      -13.692378,
      -47.165075
    ]);
    poly[745] = _TzPolygon([
      -12.544659,
      -46.431026,
      -12.544706,
      -46.256623,
      -12.583927,
      -46.286191,
      -12.636623,
      -46.296309,
      -12.652466,
      -46.260647,
      -12.691911,
      -46.296018,
      -12.714567,
      -46.267086,
      -12.783000,
      -46.283000,
      -12.833092,
      -46.268089,
      -12.863353,
      -46.300430,
      -12.949406,
      -46.304598,
      -12.943699,
      -46.216981,
      -12.909066,
      -46.135060,
      -12.921853,
      -46.117176,
      -12.991000,
      -46.364000,
      -12.863297,
      -46.365778,
      -12.822720,
      -46.416966,
      -12.879016,
      -46.431026
    ]);
    poly[746] = _TzPolygon([
      -12.879016,
      -46.431026,
      -12.822720,
      -46.416966,
      -12.863297,
      -46.365778,
      -12.991000,
      -46.364000,
      -12.956000,
      -46.194000,
      -12.917252,
      -46.114515,
      -12.960931,
      -46.126225,
      -13.010559,
      -46.275942,
      -13.094043,
      -46.330551,
      -13.139390,
      -46.299340,
      -13.250501,
      -46.331131,
      -13.255000,
      -46.298000,
      -13.304257,
      -46.315638,
      -13.314405,
      -46.288966,
      -13.347395,
      -46.279267,
      -13.262093,
      -46.066965,
      -13.277839,
      -46.040892,
      -13.375547,
      -46.134984,
      -13.427123,
      -46.241372,
      -13.465506,
      -46.206111,
      -13.481000,
      -46.230000,
      -13.560361,
      -46.236191,
      -13.567620,
      -46.184156,
      -13.592107,
      -46.162055,
      -13.687374,
      -46.261051,
      -13.692378,
      -46.257237,
      -13.692378,
      -46.431026
    ]);
    poly[747] = _TzPolygon([
      -12.544463,
      -46.255883,
      -12.511466,
      -46.155314,
      -12.483000,
      -46.153000,
      -12.500969,
      -46.250034,
      -12.415971,
      -46.269885,
      -12.406541,
      -46.310777,
      -12.379000,
      -46.285000,
      -12.337000,
      -46.352000,
      -12.303000,
      -46.323000,
      -12.289000,
      -46.374000,
      -12.247000,
      -46.380000,
      -12.224000,
      -46.359000,
      -12.193000,
      -46.391000,
      -12.111000,
      -46.366000,
      -12.036639,
      -46.397316,
      -11.958000,
      -46.325000,
      -11.929000,
      -46.192000,
      -11.900796,
      -46.171040,
      -11.883759,
      -46.190540,
      -11.898000,
      -46.318000,
      -11.872006,
      -46.373243,
      -11.836000,
      -46.373000,
      -11.836032,
      -46.349033,
      -11.770619,
      -46.322708,
      -11.751000,
      -46.373000,
      -11.737000,
      -46.329000,
      -11.692000,
      -46.294000,
      -11.629372,
      -46.313570,
      -11.621000,
      -46.256000,
      -11.656607,
      -46.154109,
      -11.636000,
      -46.083000,
      -11.607222,
      -46.114549,
      -11.602000,
      -46.202000,
      -11.567665,
      -46.230860,
      -11.540957,
      -46.305643,
      -11.541518,
      -46.411000,
      -11.516339,
      -46.479091,
      -11.483052,
      -46.520390,
      -11.396548,
      -46.544406,
      -11.396548,
      -45.696978,
      -12.544463,
      -45.696978
    ]);
    poly[748] = _TzPolygon([
      -11.396548,
      -46.544406,
      -11.380000,
      -46.549000,
      -11.347000,
      -46.601000,
      -11.289000,
      -46.617000,
      -11.255000,
      -46.609000,
      -11.191000,
      -46.472000,
      -10.994000,
      -46.399000,
      -10.906000,
      -46.283000,
      -10.867000,
      -46.297000,
      -10.822576,
      -46.281481,
      -10.797311,
      -46.231065,
      -10.768737,
      -46.228183,
      -10.759787,
      -46.256394,
      -10.718882,
      -46.194125,
      -10.658943,
      -46.207015,
      -10.487598,
      -45.845218,
      -10.367447,
      -45.827029,
      -10.346000,
      -45.743000,
      -10.263000,
      -45.697000,
      -11.396548,
      -45.696978
    ]);
    poly[749] = _TzPolygon([
      -10.248634,
      -45.848099,
      -10.248634,
      -45.764744,
      -10.267000,
      -45.793000
    ]);
    poly[750] = _TzPolygon([
      -10.248634,
      -45.929960,
      -10.262038,
      -46.003648,
      -10.248634,
      -46.007856
    ]);
    poly[751] = _TzPolygon([
      -10.072974,
      -46.431026,
      -10.047000,
      -46.457000,
      -9.988000,
      -46.477000,
      -9.877000,
      -46.472000,
      -9.870000,
      -46.491000,
      -9.855000,
      -46.480000,
      -9.801000,
      -46.509000,
      -9.805000,
      -46.577000,
      -9.758000,
      -46.575000,
      -9.733000,
      -46.646000,
      -9.693000,
      -46.653000,
      -9.665000,
      -46.613000,
      -9.587000,
      -46.592000,
      -9.557000,
      -46.536000,
      -9.517000,
      -46.575000,
      -9.484000,
      -46.561000,
      -9.457000,
      -46.640000,
      -9.411000,
      -46.632000,
      -9.392000,
      -46.666000,
      -9.410000,
      -46.761000,
      -9.365000,
      -46.768000,
      -9.304000,
      -46.813000,
      -9.292000,
      -46.847000,
      -9.260000,
      -46.819000,
      -9.194000,
      -46.827000,
      -9.191000,
      -46.850000,
      -9.154000,
      -46.852000,
      -9.122000,
      -46.893000,
      -9.128000,
      -46.931000,
      -9.100719,
      -46.927536,
      -9.100719,
      -46.431026
    ]);
    poly[752] = _TzPolygon([
      -10.248634,
      -45.697459,
      -10.184369,
      -45.699510,
      -10.155000,
      -45.723000,
      -10.144635,
      -45.696978,
      -10.248634,
      -45.696978
    ]);
    poly[753] = _TzPolygon([
      -10.248634,
      -46.007856,
      -10.176344,
      -46.030550,
      -10.213038,
      -46.098648,
      -10.214038,
      -46.164648,
      -10.169000,
      -46.210000,
      -10.183000,
      -46.327000,
      -10.168000,
      -46.367000,
      -10.120000,
      -46.384000,
      -10.072974,
      -46.431026,
      -9.100719,
      -46.431026,
      -9.100719,
      -45.696978,
      -10.146481,
      -45.696978,
      -10.156000,
      -45.726000,
      -10.228000,
      -45.733000,
      -10.248634,
      -45.764744,
      -10.248634,
      -45.848099,
      -10.239000,
      -45.877000,
      -10.248634,
      -45.929960
    ]);
    poly[754] = _TzPolygon([
      -9.100719,
      -49.873703,
      -9.027000,
      -49.842000,
      -8.906170,
      -49.745053,
      -8.856482,
      -49.684323,
      -8.839499,
      -49.592377,
      -8.612505,
      -49.451439,
      -8.580010,
      -49.409856,
      -8.451000,
      -49.374000,
      -8.379565,
      -49.283292,
      -8.175498,
      -49.209552,
      -8.050561,
      -49.174851,
      -7.976973,
      -49.181999,
      -7.807000,
      -49.148000,
      -7.677804,
      -49.328050,
      -7.546167,
      -49.383926,
      -7.497000,
      -49.378000,
      -7.325000,
      -49.231000,
      -7.235182,
      -49.185257,
      -6.925000,
      -49.209000,
      -6.784000,
      -49.018000,
      -6.754000,
      -48.832000,
      -6.678000,
      -48.682000,
      -6.639963,
      -48.651939,
      -6.570583,
      -48.664336,
      -6.507020,
      -48.645319,
      -6.493425,
      -48.633171,
      -9.100719,
      -48.633171
    ]);
    poly[755] = _TzPolygon([
      -5.406690,
      -48.633171,
      -5.352899,
      -48.756746,
      -5.351000,
      -48.708000,
      -5.305000,
      -48.679000,
      -5.324462,
      -48.633171
    ]);
    poly[756] = _TzPolygon([
      -5.324462,
      -48.633171,
      -5.305000,
      -48.679000,
      -5.351000,
      -48.708000,
      -5.349680,
      -48.756078,
      -5.253833,
      -48.633171
    ]);
    poly[757] = _TzPolygon([
      -7.878427,
      -47.165075,
      -7.855996,
      -47.175725,
      -7.816251,
      -47.245438,
      -7.758117,
      -47.246762,
      -7.760829,
      -47.267205,
      -7.730288,
      -47.275092,
      -7.730635,
      -47.314195,
      -7.690078,
      -47.302592,
      -7.666745,
      -47.338576,
      -7.659538,
      -47.315140,
      -7.616037,
      -47.358027,
      -7.624544,
      -47.373729,
      -7.648132,
      -47.353403,
      -7.654268,
      -47.382371,
      -7.568361,
      -47.399248,
      -7.556380,
      -47.439519,
      -7.527798,
      -47.425125,
      -7.518483,
      -47.461732,
      -7.533825,
      -47.475309,
      -7.439870,
      -47.501588,
      -7.439316,
      -47.591812,
      -7.372367,
      -47.487733,
      -7.298306,
      -47.496660,
      -7.267826,
      -47.532880,
      -7.265102,
      -47.588670,
      -7.305968,
      -47.647722,
      -7.249436,
      -47.680166,
      -7.202985,
      -47.747027,
      -7.161428,
      -47.742392,
      -7.142181,
      -47.715956,
      -7.144396,
      -47.643000,
      -6.985452,
      -47.531935,
      -6.907237,
      -47.506701,
      -6.833442,
      -47.529703,
      -6.804889,
      -47.516896,
      -6.804889,
      -47.165075
    ]);
    poly[758] = _TzPolygon([
      -7.878427,
      -47.165075,
      -7.924883,
      -47.143017,
      -7.937121,
      -47.108279,
      -7.990091,
      -47.107681,
      -7.998242,
      -47.067543,
      -8.053163,
      -47.045541,
      -8.066565,
      -46.997502,
      -8.005942,
      -46.953601,
      -7.985700,
      -46.895493,
      -7.955249,
      -46.872846,
      -7.964359,
      -46.830455,
      -7.922890,
      -46.756394,
      -7.896000,
      -46.614000,
      -7.920000,
      -46.562000,
      -8.012000,
      -46.477000,
      -8.074000,
      -46.467000,
      -8.166000,
      -46.514000,
      -8.200000,
      -46.487000,
      -8.270000,
      -46.507000,
      -8.319000,
      -46.543000,
      -8.321000,
      -46.641000,
      -8.351000,
      -46.706000,
      -8.383000,
      -46.726000,
      -8.368000,
      -46.782000,
      -8.399000,
      -46.787000,
      -8.399000,
      -46.806000,
      -8.446000,
      -46.796000,
      -8.476000,
      -46.851000,
      -8.533000,
      -46.846000,
      -8.595000,
      -46.916000,
      -8.601000,
      -46.897000,
      -8.648000,
      -46.916000,
      -8.686000,
      -46.887000,
      -8.726000,
      -46.931000,
      -8.778000,
      -46.904000,
      -8.847000,
      -46.913000,
      -8.880000,
      -46.993000,
      -8.914000,
      -46.970000,
      -8.953000,
      -47.018000,
      -8.988000,
      -47.021000,
      -8.979000,
      -47.035000,
      -9.012000,
      -47.068000,
      -9.026000,
      -47.043000,
      -9.063000,
      -47.068000,
      -9.082000,
      -47.007000,
      -9.065000,
      -46.923000,
      -9.100719,
      -46.927536,
      -9.100719,
      -47.165075
    ]);
    poly[759] = _TzPolygon([
      -5.656975,
      -48.633171,
      -5.656975,
      -48.156071,
      -5.709958,
      -48.173579,
      -5.725504,
      -48.272526,
      -5.751209,
      -48.293495,
      -5.839441,
      -48.290797,
      -5.946152,
      -48.231613,
      -6.004288,
      -48.334699,
      -6.038282,
      -48.332694,
      -6.070405,
      -48.285771,
      -6.116904,
      -48.303836,
      -6.177306,
      -48.431919,
      -6.298599,
      -48.417104,
      -6.328617,
      -48.381163,
      -6.375638,
      -48.381301,
      -6.350940,
      -48.500196,
      -6.453741,
      -48.613134,
      -6.496713,
      -48.633171
    ]);
    poly[760] = _TzPolygon([
      -6.804889,
      -47.516896,
      -6.753839,
      -47.493998,
      -6.661265,
      -47.496229,
      -6.488004,
      -47.417265,
      -6.429839,
      -47.433230,
      -6.266000,
      -47.377000,
      -6.112000,
      -47.433000,
      -6.039000,
      -47.428000,
      -5.993000,
      -47.448000,
      -5.869000,
      -47.431000,
      -5.730000,
      -47.493000,
      -5.662000,
      -47.473000,
      -5.656975,
      -47.473990,
      -5.656975,
      -47.165075,
      -6.804889,
      -47.165075
    ]);
    poly[761] = _TzPolygon([
      -5.656975,
      -48.149720,
      -5.618144,
      -48.132234,
      -5.554253,
      -48.212586,
      -5.523020,
      -48.300691,
      -5.395996,
      -48.381593,
      -5.429833,
      -48.513886,
      -5.422558,
      -48.596716,
      -5.406690,
      -48.633171,
      -5.324462,
      -48.633171,
      -5.336000,
      -48.606000,
      -5.283000,
      -48.568000,
      -5.230000,
      -48.561000,
      -5.193000,
      -48.523000,
      -5.168000,
      -48.363000,
      -5.260000,
      -48.178000,
      -5.275000,
      -48.079000,
      -5.234000,
      -48.004000,
      -5.260000,
      -47.885000,
      -5.376000,
      -47.843000,
      -5.380000,
      -47.744000,
      -5.459000,
      -47.618000,
      -5.465000,
      -47.555000,
      -5.565000,
      -47.483000,
      -5.656975,
      -47.473518
    ]);
    poly[762] = _TzPolygon([
      -4.509060,
      -47.577612,
      -4.557372,
      -47.611933,
      -4.608632,
      -47.679948,
      -4.586425,
      -47.792559,
      -5.070390,
      -48.396258,
      -5.073671,
      -48.440315,
      -5.098137,
      -48.433519,
      -5.253833,
      -48.633171,
      -4.509060,
      -48.633171
    ]);
    poly[763] = _TzPolygon([
      -5.397041,
      -48.633171,
      -5.422558,
      -48.596716,
      -5.429833,
      -48.513886,
      -5.395996,
      -48.381593,
      -5.523020,
      -48.300691,
      -5.602704,
      -48.138137,
      -5.656975,
      -48.156071,
      -5.656975,
      -48.633171
    ]);
    poly[764] = _TzPolygon([
      -4.509060,
      -47.577612,
      -4.403721,
      -47.502780,
      -4.315058,
      -47.474727,
      -4.245600,
      -47.371761,
      -4.048590,
      -47.320411,
      -4.058926,
      -47.304202,
      -3.997500,
      -47.240367,
      -3.983435,
      -47.188670,
      -3.923936,
      -47.172673,
      -3.918023,
      -47.165075,
      -4.509060,
      -47.165075
    ]);
    poly[765] = _TzPolygon([
      -3.361145,
      -47.165075,
      -3.361145,
      -46.911764,
      -3.377694,
      -46.943736,
      -3.477093,
      -46.947728,
      -3.494726,
      -46.981203,
      -3.529812,
      -46.975664,
      -3.562288,
      -47.038954,
      -3.599278,
      -47.027046,
      -3.655079,
      -47.056735,
      -3.668470,
      -47.037169,
      -3.855893,
      -47.085241,
      -3.918023,
      -47.165075
    ]);
    poly[766] = _TzPolygon([
      -3.361145,
      -46.911764,
      -3.310148,
      -46.813238,
      -3.297896,
      -46.826665,
      -3.243889,
      -46.804763,
      -3.215703,
      -46.754245,
      -3.178230,
      -46.771359,
      -3.189384,
      -46.750557,
      -3.165592,
      -46.748191,
      -3.157460,
      -46.720290,
      -3.122403,
      -46.747861,
      -3.109215,
      -46.719025,
      -3.126579,
      -46.705322,
      -3.101247,
      -46.706478,
      -3.094763,
      -46.675825,
      -3.034810,
      -46.677751,
      -3.012059,
      -46.657500,
      -2.998650,
      -46.672964,
      -2.996397,
      -46.651171,
      -2.970537,
      -46.646776,
      -2.948735,
      -46.670899,
      -2.931028,
      -46.653691,
      -2.882774,
      -46.679822,
      -2.880112,
      -46.633950,
      -2.851671,
      -46.639798,
      -2.858185,
      -46.612505,
      -2.829515,
      -46.613419,
      -2.842045,
      -46.574537,
      -2.789393,
      -46.601788,
      -2.805077,
      -46.619194,
      -2.792297,
      -46.637056,
      -2.754124,
      -46.635727,
      -2.758107,
      -46.650516,
      -2.729103,
      -46.652260,
      -2.733211,
      -46.673820,
      -2.705767,
      -46.669487,
      -2.684148,
      -46.632723,
      -2.643855,
      -46.616895,
      -2.665516,
      -46.591347,
      -2.633383,
      -46.580935,
      -2.615871,
      -46.505995,
      -2.536897,
      -46.488630,
      -2.534345,
      -46.431026,
      -3.361145,
      -46.431026
    ]);
    poly[767] = _TzPolygon(
        [-2.473229, -46.431026, -2.418928, -46.441536, -2.403426, -46.431026]);
    poly[768] = _TzPolygon(
        [-2.372118, -46.431026, -2.374343, -46.466752, -2.332935, -46.431026]);
    poly[769] = _TzPolygon([
      -2.213230,
      -46.344550,
      -2.249627,
      -46.382844,
      -2.237261,
      -46.431026,
      -2.213230,
      -46.431026
    ]);
    poly[770] = _TzPolygon(
        [-2.237850, -46.431026, -2.270263, -46.415345, -2.332935, -46.431026]);
    poly[771] = _TzPolygon(
        [-2.372118, -46.431026, -2.370737, -46.408864, -2.403426, -46.431026]);
    poly[772] = _TzPolygon(
        [-2.473229, -46.431026, -2.533826, -46.419298, -2.534345, -46.431026]);
    poly[773] = _TzPolygon([
      -2.213230,
      -46.344550,
      -2.154732,
      -46.283003,
      -2.140406,
      -46.302664,
      -2.119064,
      -46.271699,
      -2.055695,
      -46.274354,
      -1.914142,
      -46.222282,
      -1.882624,
      -46.244494,
      -1.832465,
      -46.210261,
      -1.795441,
      -46.255300,
      -1.805730,
      -46.311426,
      -1.761297,
      -46.322212,
      -1.728546,
      -46.303525,
      -1.732026,
      -46.221973,
      -1.681433,
      -46.156636,
      -1.629189,
      -46.164451,
      -1.579437,
      -46.133064,
      -1.517989,
      -46.143580,
      -1.474909,
      -46.175964,
      -1.441682,
      -46.138480,
      -1.420988,
      -46.153623,
      -1.337668,
      -46.103532,
      -1.332389,
      -46.130347,
      -1.285547,
      -46.160436,
      -1.247109,
      -46.139842,
      -1.227820,
      -46.151203,
      -1.201486,
      -46.094943,
      -0.759383,
      -45.943794,
      -0.832976,
      -45.696978,
      -2.213230,
      -45.696978
    ]);
    poly[774] = _TzPolygon([
      -10.477527,
      -45.422756,
      -10.477527,
      -44.026742,
      -10.582053,
      -44.074150,
      -10.644000,
      -44.153000,
      -10.615000,
      -44.208000,
      -10.624000,
      -44.264000,
      -10.548000,
      -44.333000,
      -10.606000,
      -44.398000,
      -10.606193,
      -44.452010,
      -10.650000,
      -44.504000,
      -10.626000,
      -44.577000,
      -10.670695,
      -44.617842,
      -10.682000,
      -44.666000,
      -10.761741,
      -44.669426,
      -10.775770,
      -44.743468,
      -10.804000,
      -44.759000,
      -10.808000,
      -44.788000,
      -10.900000,
      -44.844000,
      -10.883040,
      -44.859037,
      -10.928056,
      -44.931457,
      -10.840268,
      -45.073164,
      -10.822000,
      -45.248000,
      -10.775873,
      -45.268381,
      -10.732000,
      -45.358000,
      -10.653676,
      -45.382851,
      -10.629463,
      -45.432561,
      -10.559340,
      -45.446847,
      -10.507000,
      -45.447000
    ]);
    poly[775] = _TzPolygon([
      -10.477527,
      -45.422756,
      -10.445000,
      -45.396000,
      -10.421081,
      -45.426411,
      -10.360000,
      -45.430000,
      -10.281999,
      -45.520890,
      -10.111557,
      -45.590503,
      -10.146481,
      -45.696978,
      -7.262677,
      -45.696978,
      -7.262677,
      -42.929790,
      -9.521088,
      -42.929790,
      -9.518000,
      -42.946000,
      -9.405803,
      -42.975005,
      -9.419000,
      -43.057000,
      -9.394160,
      -43.062035,
      -9.371000,
      -43.119000,
      -9.378729,
      -43.160720,
      -9.420000,
      -43.191000,
      -9.399618,
      -43.213944,
      -9.424215,
      -43.280005,
      -9.356036,
      -43.369740,
      -9.272000,
      -43.427000,
      -9.265000,
      -43.485000,
      -9.414411,
      -43.680771,
      -9.446293,
      -43.776005,
      -9.550014,
      -43.851280,
      -9.637000,
      -43.842000,
      -9.692000,
      -43.799000,
      -9.762000,
      -43.785000,
      -9.839000,
      -43.653000,
      -9.913000,
      -43.709000,
      -9.929000,
      -43.690000,
      -9.966000,
      -43.703000,
      -10.008968,
      -43.661865,
      -10.077000,
      -43.693000,
      -10.079821,
      -43.765831,
      -10.179861,
      -43.779005,
      -10.250661,
      -43.837480,
      -10.304000,
      -43.838000,
      -10.383785,
      -43.914419,
      -10.428977,
      -43.918148,
      -10.432416,
      -43.973781,
      -10.407645,
      -44.023301,
      -10.477527,
      -44.026742
    ]);
    poly[776] = _TzPolygon([
      -9.522465,
      -42.929790,
      -9.526000,
      -42.904000,
      -9.563117,
      -42.873630,
      -9.550000,
      -42.837000,
      -9.620605,
      -42.819823,
      -9.619662,
      -42.771478,
      -9.558000,
      -42.718000,
      -9.531000,
      -42.720000,
      -9.549000,
      -42.680000,
      -9.541604,
      -42.623740,
      -9.496000,
      -42.586000,
      -9.493000,
      -42.491000,
      -9.462000,
      -42.489000,
      -9.456000,
      -42.440000,
      -9.411307,
      -42.420782,
      -9.377000,
      -42.359000,
      -9.316404,
      -42.316777,
      -9.283625,
      -42.234362,
      -9.286630,
      -42.132157,
      -9.249000,
      -42.022000,
      -9.266000,
      -42.000000,
      -9.248000,
      -41.972000,
      -9.278845,
      -41.921380,
      -9.237000,
      -41.870000,
      -9.242000,
      -41.838000,
      -9.148000,
      -41.800000,
      -9.094000,
      -41.735000,
      -9.016255,
      -41.726838,
      -9.012000,
      -41.680000,
      -8.957000,
      -41.605000,
      -8.959892,
      -41.546196,
      -10.477527,
      -41.546196,
      -10.477527,
      -42.929790
    ]);
    poly[777] = _TzPolygon([
      -8.870102,
      -41.505075,
      -8.960000,
      -41.544000,
      -8.959892,
      -41.546196,
      -8.870102,
      -41.546196
    ]);
    poly[778] = _TzPolygon([
      -8.870102,
      -40.899999,
      -8.870102,
      -40.162602,
      -9.087664,
      -40.162602,
      -9.053620,
      -40.226410,
      -9.064809,
      -40.257343,
      -9.355719,
      -40.340339,
      -9.373324,
      -40.380828,
      -9.353749,
      -40.423192,
      -9.420253,
      -40.466160,
      -9.405802,
      -40.516439,
      -9.458309,
      -40.555593,
      -9.476359,
      -40.619373,
      -9.444059,
      -40.721872,
      -9.448434,
      -40.775842,
      -9.401902,
      -40.742315,
      -9.336000,
      -40.737000,
      -9.313000,
      -40.755000,
      -9.278000,
      -40.687000,
      -9.233162,
      -40.694383,
      -9.159000,
      -40.667000,
      -9.081863,
      -40.819049,
      -8.952000,
      -40.851000
    ]);
    poly[779] = _TzPolygon([
      -8.870102,
      -41.505075,
      -8.863000,
      -41.502000,
      -8.802000,
      -41.424000,
      -8.707000,
      -41.381000,
      -8.736100,
      -41.281538,
      -8.704702,
      -41.226978,
      -8.703797,
      -41.113710,
      -8.752674,
      -41.124569,
      -8.781964,
      -41.101761,
      -8.785876,
      -41.036234,
      -8.843561,
      -41.021241,
      -8.823417,
      -40.979094,
      -8.843379,
      -40.955093,
      -8.835000,
      -40.921000,
      -8.870102,
      -40.899999
    ]);
    poly[780] = _TzPolygon([
      -8.066389,
      -41.546196,
      -8.066389,
      -40.590084,
      -8.095330,
      -40.603123,
      -8.138808,
      -40.589698,
      -8.139449,
      -40.633951,
      -8.223494,
      -40.707256,
      -8.253304,
      -40.782482,
      -8.301933,
      -40.779880,
      -8.321909,
      -40.819509,
      -8.363494,
      -40.820098,
      -8.380528,
      -40.850212,
      -8.357310,
      -40.893472,
      -8.421627,
      -40.901535,
      -8.446326,
      -40.925149,
      -8.400300,
      -40.999953,
      -8.436657,
      -41.043718,
      -8.480474,
      -41.051099,
      -8.472503,
      -41.078927,
      -8.518533,
      -41.095584,
      -8.541956,
      -41.126733,
      -8.533119,
      -41.149250,
      -8.583091,
      -41.168746,
      -8.601820,
      -41.212288,
      -8.644155,
      -41.213543,
      -8.660839,
      -41.287434,
      -8.708357,
      -41.336917,
      -8.707000,
      -41.381000,
      -8.802000,
      -41.424000,
      -8.863000,
      -41.502000,
      -8.870102,
      -41.505075,
      -8.870102,
      -41.546196
    ]);
    poly[781] = _TzPolygon([
      -8.066389,
      -40.590084,
      -7.964597,
      -40.544222,
      -7.845993,
      -40.540459,
      -7.808759,
      -40.568405,
      -7.764829,
      -40.672072,
      -7.651360,
      -40.621990,
      -7.484437,
      -40.715536,
      -7.456356,
      -40.701201,
      -7.392691,
      -40.548464,
      -7.318450,
      -40.523723,
      -7.368168,
      -40.393878,
      -7.303000,
      -40.318000,
      -7.301000,
      -40.263000,
      -7.358000,
      -40.195000,
      -7.365500,
      -40.162602,
      -8.066389,
      -40.162602
    ]);
    poly[782] = _TzPolygon([
      -10.996508,
      -38.150959,
      -10.989100,
      -38.169865,
      -10.943094,
      -38.180882,
      -10.915598,
      -38.227116,
      -10.823000,
      -38.245000,
      -10.760454,
      -38.209420,
      -10.711876,
      -38.209194,
      -10.713416,
      -38.150959
    ]);
    poly[783] = _TzPolygon([
      -10.477527,
      -37.830002,
      -10.507128,
      -37.812934,
      -10.549990,
      -37.840595,
      -10.691000,
      -37.814000,
      -10.759000,
      -37.985000,
      -10.696816,
      -38.049217,
      -10.715615,
      -38.067819,
      -10.713416,
      -38.150959,
      -10.477527,
      -38.150959
    ]);
    poly[784] = _TzPolygon([
      -10.996508,
      -38.150959,
      -11.015465,
      -38.102576,
      -11.171866,
      -38.062035,
      -11.193788,
      -37.973766,
      -11.271176,
      -37.986544,
      -11.285007,
      -38.014922,
      -11.374263,
      -37.969081,
      -11.392738,
      -37.977837,
      -11.394521,
      -37.952903,
      -11.424283,
      -37.944280,
      -11.401494,
      -37.927887,
      -11.407926,
      -37.905827,
      -11.438341,
      -37.898936,
      -11.426324,
      -37.867360,
      -11.433506,
      -37.880199,
      -11.443227,
      -37.847884,
      -11.466675,
      -37.864241,
      -11.496979,
      -37.808704,
      -11.516852,
      -37.812183,
      -11.525184,
      -37.757500,
      -11.553604,
      -37.726724,
      -11.540075,
      -37.702440,
      -11.566795,
      -37.689527,
      -11.564462,
      -37.669953,
      -11.516666,
      -37.651076,
      -11.538825,
      -37.614597,
      -11.531555,
      -37.580674,
      -11.551977,
      -37.578490,
      -11.548601,
      -37.519892,
      -11.443058,
      -37.345636,
      -11.566876,
      -37.188891,
      -12.342119,
      -37.602013,
      -12.758442,
      -37.896682,
      -13.023639,
      -38.150959
    ]);
    poly[785] = _TzPolygon([
      -8.870102,
      -39.900631,
      -8.946297,
      -39.881876,
      -9.050080,
      -39.960302,
      -9.058922,
      -40.066717,
      -9.104982,
      -40.130142,
      -9.087664,
      -40.162602,
      -8.870102,
      -40.162602
    ]);
    poly[786] = _TzPolygon([
      -10.477527,
      -37.830002,
      -10.427441,
      -37.858882,
      -10.378628,
      -37.838096,
      -10.332944,
      -37.734469,
      -10.003340,
      -37.827808,
      -9.971000,
      -37.957000,
      -9.916000,
      -37.997000,
      -9.816323,
      -37.966554,
      -9.770450,
      -38.032473,
      -9.697284,
      -38.045032,
      -9.673815,
      -38.017995,
      -9.673815,
      -37.395413,
      -10.477527,
      -37.395413
    ]);
    poly[787] = _TzPolygon([
      -9.440806,
      -38.087210,
      -9.441517,
      -38.153353,
      -9.417717,
      -38.204447,
      -9.384757,
      -38.194388,
      -9.329000,
      -38.237000,
      -9.284869,
      -38.173426,
      -9.217604,
      -38.144180,
      -9.174213,
      -38.093824,
      -9.173042,
      -38.087210
    ]);
    poly[788] = _TzPolygon([
      -8.870102,
      -38.087210,
      -9.173042,
      -38.087210,
      -9.174213,
      -38.093824,
      -9.217604,
      -38.144180,
      -9.284869,
      -38.173426,
      -9.329000,
      -38.237000,
      -9.141890,
      -38.313040,
      -9.076336,
      -38.318599,
      -9.043619,
      -38.285984,
      -9.013298,
      -38.297412,
      -8.987093,
      -38.331130,
      -9.044636,
      -38.398937,
      -9.020046,
      -38.472949,
      -8.960360,
      -38.510792,
      -8.870102,
      -38.480187
    ]);
    poly[789] = _TzPolygon([
      -8.870102,
      -38.587455,
      -8.936987,
      -38.605652,
      -8.988009,
      -38.647331,
      -8.967323,
      -38.679775,
      -8.870102,
      -38.700880
    ]);
    poly[790] = _TzPolygon([
      -9.440806,
      -38.087210,
      -9.440725,
      -38.079699,
      -9.498061,
      -37.999748,
      -9.599740,
      -38.040243,
      -9.647294,
      -37.987442,
      -9.673815,
      -38.017995,
      -9.673815,
      -38.087210
    ]);
    poly[791] = _TzPolygon([
      -8.870102,
      -37.798192,
      -8.884960,
      -37.825003,
      -8.974046,
      -37.834476,
      -9.154820,
      -37.984325,
      -9.173042,
      -38.087210,
      -8.870102,
      -38.087210
    ]);
    poly[792] = _TzPolygon([
      -9.025042,
      -37.395413,
      -9.009283,
      -37.410992,
      -8.993360,
      -37.493205,
      -8.968132,
      -37.499862,
      -8.959930,
      -37.531377,
      -8.969040,
      -37.597362,
      -9.003746,
      -37.637978,
      -8.991062,
      -37.698244,
      -8.974468,
      -37.672228,
      -8.870102,
      -37.739949,
      -8.870102,
      -37.395413
    ]);
    poly[793] = _TzPolygon([
      -8.870102,
      -39.900631,
      -8.859220,
      -39.903309,
      -8.827261,
      -39.891612,
      -8.785954,
      -39.675018,
      -8.659776,
      -39.694122,
      -8.656109,
      -39.610345,
      -8.526006,
      -39.383090,
      -8.556779,
      -39.344434,
      -8.568614,
      -39.274847,
      -8.687226,
      -39.216939,
      -8.681626,
      -39.182950,
      -8.709840,
      -39.146651,
      -8.734273,
      -39.036960,
      -8.798403,
      -38.953875,
      -8.783810,
      -38.793415,
      -8.796716,
      -38.779007,
      -8.870102,
      -38.779007
    ]);
    poly[794] = _TzPolygon([
      -7.365500,
      -40.162602,
      -7.383000,
      -40.087000,
      -7.325210,
      -39.851448,
      -7.335000,
      -39.715000,
      -7.372000,
      -39.653000,
      -7.425000,
      -39.629000,
      -7.430746,
      -39.571274,
      -7.483942,
      -39.545853,
      -7.464000,
      -39.502000,
      -7.474000,
      -39.458000,
      -7.538000,
      -39.485000,
      -7.575000,
      -39.472000,
      -7.573000,
      -39.435000,
      -7.604000,
      -39.419000,
      -7.614000,
      -39.372000,
      -7.666000,
      -39.305000,
      -7.660159,
      -39.272504,
      -7.705000,
      -39.252000,
      -7.689000,
      -39.208000,
      -7.723549,
      -39.135682,
      -7.775792,
      -39.099994,
      -7.857991,
      -39.091019,
      -7.819305,
      -39.053756,
      -7.812238,
      -39.015771,
      -7.840219,
      -39.001137,
      -7.844007,
      -38.961835,
      -7.758000,
      -38.939000,
      -7.747000,
      -38.881000,
      -7.711000,
      -38.869000,
      -7.719000,
      -38.828000,
      -7.664000,
      -38.819000,
      -7.661922,
      -38.779007,
      -8.066389,
      -38.779007,
      -8.066389,
      -40.162602
    ]);
    poly[795] = _TzPolygon(
        [-8.796716, -38.779007, -8.870102, -38.697086, -8.870102, -38.779007]);
    poly[796] = _TzPolygon([
      -8.870102,
      -38.596874,
      -8.859881,
      -38.594353,
      -8.821451,
      -38.556775,
      -8.819460,
      -38.526378,
      -8.861840,
      -38.477386,
      -8.870102,
      -38.481186
    ]);
    poly[797] = _TzPolygon([
      -7.357409,
      -37.395413,
      -7.364822,
      -37.496038,
      -7.395054,
      -37.486958,
      -7.472953,
      -37.533067,
      -7.532511,
      -37.630378,
      -7.523137,
      -37.659530,
      -7.550584,
      -37.706506,
      -7.619522,
      -37.755848,
      -7.662889,
      -37.750648,
      -7.625798,
      -37.785828,
      -7.651969,
      -37.857159,
      -7.694737,
      -37.902747,
      -7.713626,
      -37.894335,
      -7.715112,
      -37.923935,
      -7.777577,
      -37.970600,
      -7.748000,
      -38.039000,
      -7.772324,
      -38.069478,
      -7.830000,
      -38.077000,
      -7.779909,
      -38.164219,
      -7.830726,
      -38.238571,
      -7.830922,
      -38.285707,
      -7.763196,
      -38.299817,
      -7.764607,
      -38.316760,
      -7.716313,
      -38.312029,
      -7.677162,
      -38.357496,
      -7.730493,
      -38.409508,
      -7.717581,
      -38.455018,
      -7.751482,
      -38.500548,
      -7.755681,
      -38.589958,
      -7.677637,
      -38.642084,
      -7.621919,
      -38.715113,
      -7.660000,
      -38.742000,
      -7.661922,
      -38.779007,
      -7.262677,
      -38.779007,
      -7.262677,
      -37.395413
    ]);
    poly[798] = _TzPolygon(
        [-8.870102, -37.798287, -8.846362, -37.755354, -8.870102, -37.739949]);
    poly[799] = _TzPolygon([
      -8.870102,
      -37.395413,
      -8.870102,
      -35.918307,
      -8.902397,
      -35.963395,
      -8.915000,
      -36.064000,
      -8.955000,
      -36.126000,
      -9.017000,
      -36.111000,
      -9.044786,
      -36.195725,
      -9.103490,
      -36.236458,
      -9.103924,
      -36.268391,
      -9.171277,
      -36.262445,
      -9.172362,
      -36.309791,
      -9.220000,
      -36.353000,
      -9.229569,
      -36.419799,
      -9.212100,
      -36.437004,
      -9.262408,
      -36.491338,
      -9.292583,
      -36.571840,
      -9.332135,
      -36.567469,
      -9.341508,
      -36.605047,
      -9.271457,
      -36.761772,
      -9.288628,
      -36.836041,
      -9.268084,
      -36.871259,
      -9.299021,
      -36.915820,
      -9.383022,
      -36.946486,
      -9.352613,
      -37.003364,
      -9.315715,
      -37.024290,
      -9.317540,
      -37.057584,
      -9.281788,
      -37.057200,
      -9.246362,
      -37.090672,
      -9.240931,
      -37.116475,
      -9.275705,
      -37.164334,
      -9.239102,
      -37.158947,
      -9.215482,
      -37.198315,
      -9.240000,
      -37.234000,
      -9.160000,
      -37.262000,
      -9.025042,
      -37.395413
    ]);
  }
}

class _Initializer9 {
  static void _init() {
    poly[800] = _TzPolygon([
      -8.870102,
      -34.914857,
      -8.989445,
      -34.963436,
      -8.913959,
      -35.154664,
      -8.890561,
      -35.171232,
      -8.870102,
      -35.288689
    ]);
    poly[801] = _TzPolygon([
      -8.870102,
      -35.614737,
      -8.882510,
      -35.633650,
      -8.916685,
      -35.748088,
      -8.897076,
      -35.782670,
      -8.870102,
      -35.777838
    ]);
    poly[802] = _TzPolygon(
        [-8.870102, -35.837774, -8.872459, -35.842204, -8.870102, -35.849200]);
    poly[803] = _TzPolygon([
      -8.066389,
      -37.146464,
      -8.066389,
      -36.641486,
      -8.079809,
      -36.658682,
      -8.111050,
      -36.628612,
      -8.140773,
      -36.693862,
      -8.155679,
      -36.687036,
      -8.150965,
      -36.722810,
      -8.167316,
      -36.715781,
      -8.196294,
      -36.761570,
      -8.190509,
      -36.797395,
      -8.240820,
      -36.895950,
      -8.299273,
      -36.954629,
      -8.302955,
      -36.991154,
      -8.264560,
      -37.043334,
      -8.266374,
      -37.081202,
      -8.230102,
      -37.067418,
      -8.233707,
      -37.100428,
      -8.209066,
      -37.122915,
      -8.175352,
      -37.118260,
      -8.165762,
      -37.163616,
      -8.117945,
      -37.142558
    ]);
    poly[804] = _TzPolygon([
      -7.357409,
      -37.395413,
      -7.356694,
      -37.385714,
      -7.337028,
      -37.349512,
      -7.288283,
      -37.330586,
      -7.272954,
      -37.241907,
      -7.336595,
      -37.165341,
      -7.386044,
      -37.025623,
      -7.440197,
      -37.021226,
      -7.482262,
      -36.984226,
      -7.518336,
      -37.087455,
      -7.574715,
      -37.163569,
      -7.635298,
      -37.197946,
      -7.741934,
      -37.140003,
      -7.779844,
      -37.151951,
      -7.819002,
      -37.243656,
      -7.842250,
      -37.222093,
      -7.846804,
      -37.247150,
      -7.874900,
      -37.244648,
      -7.910502,
      -37.322172,
      -7.934176,
      -37.308976,
      -7.946644,
      -37.349904,
      -7.974956,
      -37.357368,
      -7.960598,
      -37.192676,
      -7.982867,
      -37.193395,
      -8.015264,
      -37.150338,
      -8.066389,
      -37.146464,
      -8.066389,
      -37.395413
    ]);
    poly[805] = _TzPolygon([
      -8.066389,
      -36.641486,
      -8.055749,
      -36.627852,
      -7.947897,
      -36.611877,
      -7.957434,
      -36.573482,
      -7.900998,
      -36.563879,
      -7.924763,
      -36.480136,
      -7.915283,
      -36.444110,
      -7.815778,
      -36.424048,
      -7.806687,
      -36.309131,
      -7.832077,
      -36.261333,
      -7.817681,
      -36.240012,
      -7.792145,
      -36.252000,
      -7.764104,
      -36.216634,
      -7.789903,
      -36.200958,
      -7.779056,
      -36.080932,
      -7.807344,
      -36.011819,
      -8.066389,
      -36.011819
    ]);
    poly[806] = _TzPolygon([
      -7.500578,
      -34.628225,
      -7.579204,
      -34.634021,
      -7.538311,
      -34.959296,
      -7.461997,
      -34.985000,
      -7.398000,
      -35.070000,
      -7.397943,
      -35.190783,
      -7.374681,
      -35.248589,
      -7.406804,
      -35.335021,
      -7.440261,
      -35.351103,
      -7.471900,
      -35.414605,
      -7.453411,
      -35.450370,
      -7.482206,
      -35.494312,
      -7.580643,
      -35.537272,
      -7.585021,
      -35.515194,
      -7.621666,
      -35.531687,
      -7.643247,
      -35.515070,
      -7.654818,
      -35.532812,
      -7.653779,
      -35.609662,
      -7.695248,
      -35.646429,
      -7.707551,
      -35.683556,
      -7.691000,
      -35.700000,
      -7.738000,
      -35.780000,
      -7.750055,
      -35.873721,
      -7.792000,
      -35.905000,
      -7.789000,
      -35.970000,
      -7.813000,
      -35.998000,
      -7.807344,
      -36.011819,
      -7.262677,
      -36.011819,
      -7.262677,
      -34.628225
    ]);
    poly[807] = _TzPolygon(
        [-8.870102, -35.918555, -8.854268, -35.896200, -8.870102, -35.849200]);
    poly[808] = _TzPolygon([
      -8.870102,
      -35.837928,
      -8.846933,
      -35.795899,
      -8.857991,
      -35.775669,
      -8.870102,
      -35.777838
    ]);
    poly[809] = _TzPolygon([
      -8.870102,
      -35.614737,
      -8.820224,
      -35.538710,
      -8.813128,
      -35.470125,
      -8.841230,
      -35.454446,
      -8.870102,
      -35.288689
    ]);
    poly[810] = _TzPolygon([
      -12.365968,
      -64.499112,
      -12.352837,
      -64.513848,
      -12.307635,
      -64.499112
    ]);
    poly[811] = _TzPolygon([
      -12.271131,
      -64.499112,
      -12.224617,
      -64.512818,
      -12.240862,
      -64.553698,
      -12.209966,
      -64.576442,
      -12.182029,
      -64.704142,
      -12.106357,
      -64.709650,
      -12.106357,
      -64.499112
    ]);
    poly[812] = _TzPolygon([
      -12.106357,
      -64.727094,
      -12.153883,
      -64.762605,
      -12.106357,
      -64.759576
    ]);
    poly[813] = _TzPolygon([
      -12.106357,
      -64.499112,
      -12.106357,
      -64.709650,
      -12.085084,
      -64.711199,
      -12.106357,
      -64.727094,
      -12.106357,
      -64.759576,
      -12.096270,
      -64.758933,
      -12.086325,
      -64.803680,
      -12.009934,
      -64.841233,
      -12.026686,
      -64.917729,
      -11.992795,
      -64.946952,
      -12.018429,
      -64.977854,
      -11.996007,
      -65.033496,
      -11.962479,
      -65.042237,
      -11.925706,
      -65.020423,
      -11.888924,
      -65.029705,
      -11.872954,
      -65.070546,
      -11.791463,
      -65.059477,
      -11.708204,
      -65.086718,
      -11.722659,
      -65.189838,
      -11.756092,
      -65.182161,
      -11.710531,
      -65.259304,
      -11.647631,
      -65.215687,
      -11.604841,
      -65.234130,
      -11.528565,
      -65.211777,
      -11.496155,
      -65.308524,
      -11.336877,
      -65.332515,
      -11.320296,
      -65.290214,
      -11.304439,
      -65.346360,
      -11.220303,
      -65.359926,
      -11.195782,
      -65.312944,
      -11.186160,
      -65.352080,
      -11.146774,
      -65.362137,
      -11.115156,
      -65.343426,
      -11.090091,
      -65.282689,
      -11.031416,
      -65.300713,
      -10.985063,
      -65.250529,
      -10.954286,
      -65.272973,
      -10.873020,
      -65.274764,
      -10.797576,
      -65.366613,
      -10.767308,
      -65.343226,
      -10.681551,
      -65.346670,
      -10.639345,
      -65.405689,
      -10.574560,
      -65.399380,
      -10.520335,
      -65.417995,
      -10.520335,
      -64.499112
    ]);
    poly[814] = _TzPolygon([
      -12.607694,
      -63.438697,
      -12.607484,
      -63.440830,
      -12.580776,
      -63.438697
    ]);
    poly[815] = _TzPolygon([
      -12.564317,
      -63.438697,
      -12.565669,
      -63.504103,
      -12.505207,
      -63.556113,
      -12.427762,
      -63.785395,
      -12.462080,
      -63.834380,
      -12.445841,
      -63.889051,
      -12.503000,
      -63.901022,
      -12.529773,
      -63.955007,
      -12.501491,
      -63.992648,
      -12.516684,
      -64.038730,
      -12.483483,
      -64.093717,
      -12.505066,
      -64.124276,
      -12.476336,
      -64.132904,
      -12.513517,
      -64.167248,
      -12.466398,
      -64.173935,
      -12.453638,
      -64.230675,
      -12.501809,
      -64.290626,
      -12.457403,
      -64.294789,
      -12.444235,
      -64.411279,
      -12.365968,
      -64.499112,
      -12.307635,
      -64.499112,
      -12.290305,
      -64.493463,
      -12.271131,
      -64.499112,
      -12.106357,
      -64.499112,
      -12.106357,
      -63.438697
    ]);
    poly[816] = _TzPolygon([
      -13.137830,
      -62.378281,
      -13.134210,
      -62.392789,
      -13.112436,
      -62.398914,
      -13.127748,
      -62.415131,
      -13.061647,
      -62.458321,
      -13.082214,
      -62.504195,
      -13.042912,
      -62.609928,
      -13.015035,
      -62.599686,
      -13.014799,
      -62.630778,
      -12.964470,
      -62.648866,
      -13.002801,
      -62.701571,
      -13.008484,
      -62.780986,
      -12.940761,
      -62.805431,
      -12.948139,
      -62.847673,
      -12.923906,
      -62.843354,
      -12.908358,
      -62.872382,
      -12.855820,
      -62.894137,
      -12.839220,
      -62.927814,
      -12.859513,
      -62.976143,
      -12.835793,
      -63.011697,
      -12.741199,
      -63.046459,
      -12.723104,
      -63.081902,
      -12.686117,
      -63.061626,
      -12.682390,
      -63.098465,
      -12.655099,
      -63.084272,
      -12.624739,
      -63.114698,
      -12.637820,
      -63.146179,
      -12.612935,
      -63.160901,
      -12.642617,
      -63.168152,
      -12.623117,
      -63.193972,
      -12.657564,
      -63.198600,
      -12.663512,
      -63.248008,
      -12.689157,
      -63.235712,
      -12.682514,
      -63.296871,
      -12.658589,
      -63.374306,
      -12.610331,
      -63.411864,
      -12.607694,
      -63.438697,
      -12.564290,
      -63.437380,
      -12.564317,
      -63.438697,
      -12.106357,
      -63.438697,
      -12.106357,
      -62.378281
    ]);
    poly[817] = _TzPolygon([
      -9.727325,
      -66.619944,
      -9.727325,
      -65.559528,
      -9.806452,
      -65.559528,
      -9.811317,
      -65.565034,
      -9.845653,
      -65.560742,
      -9.843351,
      -65.597146,
      -9.825378,
      -65.599841,
      -9.838042,
      -65.627003,
      -9.781288,
      -65.669630,
      -9.813695,
      -65.688837,
      -9.808573,
      -65.710231,
      -9.769413,
      -65.708825,
      -9.767458,
      -65.680474,
      -9.749925,
      -65.683947,
      -9.782964,
      -65.743200,
      -9.734417,
      -65.770134,
      -9.792952,
      -65.794374,
      -9.772557,
      -65.813511,
      -9.757469,
      -65.799052,
      -9.755513,
      -65.816488,
      -9.791136,
      -65.841153,
      -9.793231,
      -65.870355,
      -9.767248,
      -65.862487,
      -9.752230,
      -65.886090,
      -9.771736,
      -65.968240,
      -9.803461,
      -65.964420,
      -9.810112,
      -65.982222,
      -9.794689,
      -66.002436,
      -9.813292,
      -66.023539,
      -9.785443,
      -66.036673,
      -9.782774,
      -66.069937,
      -9.814000,
      -66.093000,
      -9.782092,
      -66.103191,
      -9.784161,
      -66.152512,
      -9.804644,
      -66.195089,
      -9.835108,
      -66.203793,
      -9.812807,
      -66.235559,
      -9.844470,
      -66.285110,
      -9.838167,
      -66.347211,
      -9.865348,
      -66.358922,
      -9.863209,
      -66.404375,
      -9.899325,
      -66.427963,
      -9.865207,
      -66.436588,
      -9.879904,
      -66.562275,
      -9.904283,
      -66.580991,
      -9.888653,
      -66.619944
    ]);
    poly[818] = _TzPolygon([
      -9.673151,
      -66.619944,
      -9.664898,
      -66.609449,
      -9.673559,
      -66.586307,
      -9.633564,
      -66.500613,
      -9.601583,
      -66.494917,
      -9.500480,
      -66.392414,
      -9.406947,
      -66.408858,
      -9.436845,
      -66.307497,
      -9.409763,
      -66.267804,
      -9.434419,
      -66.173633,
      -9.408779,
      -66.123891,
      -9.413160,
      -65.970301,
      -9.483750,
      -65.912634,
      -9.530091,
      -65.825077,
      -9.585644,
      -65.791522,
      -9.553623,
      -65.750327,
      -9.559057,
      -65.723548,
      -9.500407,
      -65.680998,
      -9.451393,
      -65.679435,
      -9.413865,
      -65.596776,
      -9.427832,
      -65.559528,
      -9.727325,
      -65.559528,
      -9.727325,
      -66.619944
    ]);
    poly[819] = _TzPolygon([
      -9.844841,
      -65.559528,
      -9.844976,
      -65.556107,
      -9.832076,
      -65.559528,
      -9.806452,
      -65.559528,
      -9.782153,
      -65.532028,
      -9.785605,
      -65.500489,
      -9.730284,
      -65.501347,
      -9.696275,
      -65.446169,
      -9.668944,
      -65.444294,
      -9.700200,
      -65.372874,
      -9.853466,
      -65.284297,
      -9.965000,
      -65.333000,
      -10.214544,
      -65.288429,
      -10.301000,
      -65.324000,
      -10.372842,
      -65.391526,
      -10.433469,
      -65.382564,
      -10.485047,
      -65.430109,
      -10.520335,
      -65.417995,
      -10.520335,
      -65.559528
    ]);
    poly[820] = _TzPolygon([
      -8.977581,
      -64.499112,
      -8.978271,
      -64.550124,
      -9.016452,
      -64.611074,
      -9.014796,
      -64.671376,
      -8.988262,
      -64.699267,
      -9.020748,
      -64.753570,
      -8.986403,
      -64.791627,
      -8.994111,
      -64.839324,
      -9.043141,
      -64.917267,
      -9.124566,
      -64.939930,
      -9.220280,
      -64.919683,
      -9.255811,
      -64.936078,
      -9.304614,
      -65.000515,
      -9.343529,
      -65.005847,
      -9.432516,
      -65.097850,
      -9.446812,
      -65.142881,
      -9.427032,
      -65.185463,
      -9.385448,
      -65.173544,
      -9.375263,
      -65.196158,
      -9.285633,
      -65.208025,
      -9.257664,
      -65.246661,
      -9.338031,
      -65.385211,
      -9.316376,
      -65.447018,
      -9.401209,
      -65.456600,
      -9.466333,
      -65.434716,
      -9.473664,
      -65.492801,
      -9.447698,
      -65.506550,
      -9.427832,
      -65.559528,
      -8.934314,
      -65.559528,
      -8.934314,
      -64.499112
    ]);
    poly[821] = _TzPolygon([
      -8.977581,
      -64.499112,
      -8.976870,
      -64.446574,
      -8.928861,
      -64.323400,
      -8.996471,
      -64.311318,
      -8.992308,
      -64.233205,
      -8.958937,
      -64.149452,
      -8.843167,
      -64.158203,
      -8.805163,
      -64.129459,
      -8.776447,
      -64.144762,
      -8.722160,
      -64.130868,
      -8.715666,
      -64.027869,
      -8.693558,
      -64.035482,
      -8.585634,
      -63.986210,
      -8.609485,
      -63.945954,
      -8.575525,
      -63.924569,
      -8.487238,
      -63.974505,
      -8.452264,
      -63.940838,
      -8.420133,
      -63.977895,
      -8.387826,
      -63.945373,
      -8.331188,
      -63.944122,
      -8.328525,
      -63.910836,
      -8.288820,
      -63.870759,
      -8.333215,
      -63.791231,
      -8.320733,
      -63.773508,
      -8.249499,
      -63.722761,
      -8.198583,
      -63.747034,
      -8.121743,
      -63.669898,
      -8.081603,
      -63.667000,
      -8.029611,
      -63.621779,
      -7.969294,
      -63.620789,
      -7.975000,
      -62.866000,
      -8.093000,
      -62.692000,
      -8.145000,
      -62.673000,
      -8.173000,
      -62.686000,
      -8.229000,
      -62.654000,
      -8.284000,
      -62.561000,
      -8.358000,
      -62.551000,
      -8.383000,
      -62.526000,
      -8.339000,
      -62.465000,
      -8.372000,
      -62.432000,
      -8.387234,
      -62.378281,
      -10.520335,
      -62.378281,
      -10.520335,
      -64.499112
    ]);
    poly[822] = _TzPolygon([
      -13.506974,
      -61.317865,
      -13.554391,
      -61.469123,
      -13.518000,
      -61.572000,
      -13.487156,
      -61.578408,
      -13.516922,
      -61.624930,
      -13.499180,
      -61.694920,
      -13.527512,
      -61.731490,
      -13.519548,
      -61.754158,
      -13.540950,
      -61.758579,
      -13.516062,
      -61.773419,
      -13.537000,
      -61.784000,
      -13.521547,
      -61.825910,
      -13.538209,
      -61.856028,
      -13.428100,
      -61.895816,
      -13.407237,
      -61.969467,
      -13.368082,
      -61.974567,
      -13.357314,
      -62.013069,
      -13.327000,
      -62.017000,
      -13.259315,
      -62.114773,
      -13.157411,
      -62.116838,
      -13.163114,
      -62.150019,
      -13.113436,
      -62.167454,
      -13.153345,
      -62.193053,
      -13.110534,
      -62.215510,
      -13.157298,
      -62.274155,
      -13.133860,
      -62.313733,
      -13.151783,
      -62.322354,
      -13.137830,
      -62.378281,
      -12.106357,
      -62.378281,
      -12.106357,
      -61.317865
    ]);
    poly[823] = _TzPolygon([
      -13.692378,
      -60.703664,
      -13.681474,
      -60.715408,
      -13.576999,
      -60.633702,
      -13.561629,
      -60.566220,
      -13.515625,
      -60.527812,
      -13.449131,
      -60.383553,
      -13.314490,
      -60.371922,
      -13.254758,
      -60.326648,
      -13.178671,
      -60.305838,
      -13.147531,
      -60.269076,
      -13.080327,
      -60.284207,
      -13.059614,
      -60.257449,
      -13.692378,
      -60.257449
    ]);
    poly[824] = _TzPolygon([
      -13.506974,
      -61.317865,
      -13.503506,
      -61.306803,
      -13.477885,
      -61.299322,
      -13.506025,
      -61.279501,
      -13.496628,
      -61.246240,
      -13.526062,
      -61.233959,
      -13.536951,
      -61.194749,
      -13.506021,
      -61.183493,
      -13.532031,
      -61.149166,
      -13.531713,
      -61.103781,
      -13.491797,
      -61.095334,
      -13.512637,
      -61.056557,
      -13.500042,
      -61.035846,
      -13.485916,
      -61.048506,
      -13.488399,
      -61.015182,
      -13.501097,
      -60.988398,
      -13.509369,
      -61.010018,
      -13.550627,
      -61.007620,
      -13.541634,
      -60.921551,
      -13.619847,
      -60.877575,
      -13.659827,
      -60.773806,
      -13.683296,
      -60.768435,
      -13.690981,
      -60.707804,
      -13.692378,
      -60.707010,
      -13.692378,
      -61.317865
    ]);
    poly[825] = _TzPolygon([
      -11.099787,
      -60.257449,
      -11.095172,
      -60.277004,
      -11.057011,
      -60.299105,
      -11.074154,
      -60.347466,
      -11.108762,
      -60.348078,
      -11.092829,
      -60.392020,
      -11.043414,
      -60.414142,
      -11.042306,
      -60.446343,
      -11.018485,
      -60.437461,
      -10.989132,
      -60.459159,
      -10.986000,
      -61.550000,
      -10.949000,
      -61.519000,
      -10.794000,
      -61.511000,
      -10.797000,
      -61.473000,
      -10.736000,
      -61.488000,
      -10.715000,
      -61.472000,
      -10.700000,
      -61.498000,
      -10.520335,
      -61.474259,
      -10.520335,
      -60.257449
    ]);
    poly[826] = _TzPolygon([
      -11.099787,
      -60.257449,
      -11.113682,
      -60.198581,
      -11.095185,
      -60.158166,
      -11.110225,
      -60.098000,
      -11.096554,
      -60.083326,
      -11.124512,
      -60.064788,
      -11.130166,
      -60.024745,
      -11.114233,
      -59.982762,
      -11.155365,
      -59.995712,
      -11.188908,
      -59.963182,
      -11.234010,
      -59.983333,
      -11.295597,
      -59.958885,
      -11.323153,
      -59.919644,
      -11.398475,
      -59.920234,
      -11.589060,
      -60.113932,
      -11.713352,
      -60.120458,
      -11.799353,
      -60.095094,
      -11.838985,
      -60.108377,
      -11.895409,
      -60.060225,
      -11.912337,
      -59.983142,
      -12.027704,
      -59.978271,
      -12.117000,
      -59.899000,
      -12.186000,
      -59.910000,
      -12.245000,
      -59.892000,
      -12.340956,
      -59.774353,
      -12.401399,
      -59.832549,
      -12.472052,
      -59.847975,
      -12.487084,
      -59.935226,
      -12.613183,
      -60.067942,
      -12.727950,
      -60.090551,
      -12.889304,
      -60.081283,
      -12.959556,
      -60.117165,
      -12.971143,
      -60.189278,
      -13.026981,
      -60.215292,
      -13.059614,
      -60.257449
    ]);
    poly[827] = _TzPolygon([
      -8.934314,
      -62.378281,
      -8.934314,
      -61.476608,
      -9.092000,
      -61.555000,
      -9.191000,
      -61.520000,
      -9.242000,
      -61.524000,
      -9.237000,
      -61.575000,
      -9.270000,
      -61.633000,
      -9.279000,
      -61.612000,
      -9.363017,
      -61.625118,
      -9.387068,
      -61.552081,
      -9.472912,
      -61.578226,
      -9.502664,
      -61.526441,
      -9.515855,
      -61.550012,
      -9.528991,
      -61.513039,
      -9.614911,
      -61.503290,
      -9.629468,
      -61.476681,
      -9.694114,
      -61.506750,
      -9.720390,
      -61.574614,
      -9.740763,
      -61.530186,
      -9.789105,
      -61.547923,
      -9.797984,
      -61.524793,
      -9.888045,
      -61.507478,
      -9.989046,
      -61.531009,
      -10.060565,
      -61.584533,
      -10.153708,
      -61.602022,
      -10.198264,
      -61.551418,
      -10.226150,
      -61.576724,
      -10.307000,
      -61.553000,
      -10.420000,
      -61.461000,
      -10.520335,
      -61.474259,
      -10.520335,
      -62.378281
    ]);
    poly[828] = _TzPolygon([
      -8.934314,
      -61.476608,
      -8.917000,
      -61.468000,
      -8.818000,
      -61.523000,
      -8.798000,
      -61.583000,
      -8.795372,
      -60.257449,
      -8.934314,
      -60.257449
    ]);
    poly[829] = _TzPolygon([
      -7.348293,
      -60.257449,
      -8.795372,
      -60.257449,
      -8.798000,
      -61.583000,
      -8.794000,
      -61.606000,
      -8.722000,
      -61.630000,
      -8.707000,
      -61.705000,
      -8.687000,
      -61.713000,
      -8.695000,
      -61.741000,
      -8.748000,
      -61.774000,
      -8.732000,
      -61.836000,
      -8.853000,
      -61.860000,
      -8.878000,
      -61.985000,
      -8.799000,
      -62.031000,
      -8.801000,
      -62.124000,
      -8.679000,
      -62.165000,
      -8.644000,
      -62.200000,
      -8.628000,
      -62.174000,
      -8.590000,
      -62.188000,
      -8.575000,
      -62.268000,
      -8.605000,
      -62.294000,
      -8.638000,
      -62.281000,
      -8.609000,
      -62.335000,
      -8.563000,
      -62.325000,
      -8.493000,
      -62.366000,
      -8.391000,
      -62.365000,
      -8.387234,
      -62.378281,
      -7.348293,
      -62.378281
    ]);
    poly[830] = _TzPolygon([
      -7.348293,
      -58.136618,
      -7.433057,
      -58.214826,
      -7.553880,
      -58.220718,
      -7.619386,
      -58.199253,
      -7.699793,
      -58.279950,
      -7.772465,
      -58.296936,
      -7.840018,
      -58.386491,
      -7.907399,
      -58.376803,
      -8.093244,
      -58.285527,
      -8.130725,
      -58.287026,
      -8.172392,
      -58.323713,
      -8.321075,
      -58.315512,
      -8.344705,
      -58.349897,
      -8.393233,
      -58.354812,
      -8.490757,
      -58.418472,
      -8.571692,
      -58.410872,
      -8.600714,
      -58.388627,
      -8.695925,
      -58.440913,
      -8.721038,
      -58.413618,
      -8.704239,
      -58.357314,
      -8.720000,
      -58.326000,
      -8.791710,
      -58.409868,
      -8.795372,
      -60.257449,
      -7.348293,
      -60.257449
    ]);
    poly[831] = _TzPolygon([
      -9.507748,
      -54.852991,
      -9.367000,
      -56.671000,
      -9.405829,
      -56.760717,
      -9.249875,
      -56.816135,
      -9.218699,
      -56.964107,
      -9.233879,
      -56.995826,
      -9.185018,
      -57.061119,
      -9.099051,
      -57.037578,
      -8.922048,
      -57.205291,
      -8.913569,
      -57.297473,
      -8.885925,
      -57.315498,
      -8.875409,
      -57.395492,
      -8.859975,
      -57.417979,
      -8.782793,
      -57.425704,
      -8.784829,
      -57.465015,
      -8.744620,
      -57.529388,
      -8.761640,
      -57.556745,
      -8.748818,
      -57.615558,
      -8.694541,
      -57.595336,
      -8.640954,
      -57.625396,
      -8.591889,
      -57.620883,
      -8.576383,
      -57.648568,
      -8.518282,
      -57.633337,
      -8.405803,
      -57.690749,
      -8.211994,
      -57.639431,
      -8.152524,
      -57.720447,
      -8.095886,
      -57.726088,
      -7.971690,
      -57.832370,
      -7.671277,
      -57.898862,
      -7.652735,
      -57.939681,
      -7.534771,
      -57.973042,
      -7.422430,
      -58.048319,
      -7.348293,
      -58.134040,
      -7.348293,
      -54.852991
    ]);
    poly[832] = _TzPolygon([
      -9.509851,
      -54.852991,
      -9.645000,
      -53.133000,
      -9.748706,
      -51.569364,
      -13.692378,
      -51.569364,
      -13.692378,
      -54.852991
    ]);
    poly[833] = _TzPolygon([
      -9.507748,
      -54.852991,
      -7.348293,
      -54.852991,
      -7.348293,
      -52.593568,
      -7.385987,
      -52.644412,
      -7.476279,
      -52.691968,
      -7.511084,
      -52.665881,
      -7.583271,
      -52.664690,
      -7.648235,
      -52.735344,
      -7.817867,
      -52.755433,
      -7.866048,
      -52.797975,
      -8.052924,
      -52.698243,
      -8.087284,
      -52.714635,
      -8.201856,
      -52.669478,
      -8.222074,
      -52.626713,
      -8.420269,
      -52.649199,
      -8.542102,
      -52.547414,
      -8.571108,
      -52.477278,
      -8.566137,
      -52.388256,
      -8.626850,
      -52.294708,
      -8.714351,
      -52.267517,
      -8.827187,
      -52.277259,
      -8.849137,
      -52.258365,
      -8.854096,
      -52.197701,
      -8.925626,
      -52.108253,
      -9.092381,
      -52.046481,
      -9.163788,
      -52.071205,
      -9.187722,
      -52.059151,
      -9.189832,
      -52.025997,
      -9.219322,
      -52.034532,
      -9.273992,
      -52.001480,
      -9.349514,
      -52.085728,
      -9.403502,
      -52.099967,
      -9.427780,
      -52.148118,
      -9.495018,
      -52.147860,
      -9.644281,
      -52.202728,
      -9.664709,
      -52.255465,
      -9.648736,
      -52.383533,
      -9.587321,
      -52.534129,
      -9.601578,
      -52.568405,
      -9.647512,
      -52.574291,
      -9.648147,
      -52.603277,
      -9.680658,
      -52.619543
    ]);
    poly[834] = _TzPolygon([
      -5.656006,
      -53.833182,
      -5.656006,
      -52.684397,
      -5.735777,
      -52.658330,
      -5.816239,
      -52.546868,
      -5.871674,
      -52.554452,
      -5.909746,
      -52.603296,
      -6.024220,
      -52.600740,
      -6.084128,
      -52.566542,
      -6.128161,
      -52.509823,
      -6.276077,
      -52.489279,
      -6.305916,
      -52.471132,
      -6.323532,
      -52.409736,
      -6.404354,
      -52.350037,
      -6.564949,
      -52.277660,
      -6.591612,
      -52.218639,
      -6.547637,
      -52.081771,
      -6.710313,
      -51.974096,
      -6.886320,
      -52.023831,
      -6.897053,
      -52.095773,
      -6.935059,
      -52.131256,
      -6.964548,
      -52.334717,
      -7.001692,
      -52.423267,
      -7.105024,
      -52.459563,
      -7.142700,
      -52.539952,
      -7.206091,
      -52.575448,
      -7.330391,
      -52.569421,
      -7.348293,
      -52.593568,
      -7.348293,
      -53.833182
    ]);
    poly[835] = _TzPolygon([
      -3.963720,
      -52.599364,
      -3.972148,
      -52.605578,
      -4.083343,
      -52.583367,
      -4.165500,
      -52.634832,
      -4.190043,
      -52.630723,
      -4.227341,
      -52.695795,
      -4.325072,
      -52.733871,
      -4.364305,
      -52.723838,
      -4.438751,
      -52.652791,
      -4.483196,
      -52.709086,
      -4.656596,
      -52.724191,
      -4.750731,
      -52.754854,
      -4.825731,
      -52.829882,
      -4.897750,
      -52.837800,
      -5.005157,
      -52.921855,
      -5.082516,
      -52.929976,
      -5.189791,
      -52.898913,
      -5.377332,
      -52.889760,
      -5.408598,
      -52.864065,
      -5.458191,
      -52.734948,
      -5.509346,
      -52.678722,
      -5.571225,
      -52.672022,
      -5.617383,
      -52.697018,
      -5.656006,
      -52.684397,
      -5.656006,
      -53.833182,
      -3.963720,
      -53.833182
    ]);
    poly[836] = _TzPolygon([
      -2.271433,
      -53.833182,
      -2.271433,
      -52.145543,
      -2.565518,
      -51.994041,
      -2.619703,
      -51.991087,
      -2.702329,
      -52.029778,
      -2.835458,
      -52.011159,
      -2.916001,
      -51.902196,
      -3.101009,
      -51.794203,
      -3.130921,
      -51.657439,
      -3.155150,
      -51.659226,
      -3.153172,
      -51.608760,
      -3.196974,
      -51.620406,
      -3.242465,
      -51.691153,
      -3.260383,
      -51.678926,
      -3.266332,
      -51.709922,
      -3.318269,
      -51.715497,
      -3.333299,
      -51.760567,
      -3.358228,
      -51.722862,
      -3.412265,
      -51.743584,
      -3.481349,
      -51.688111,
      -3.510755,
      -51.745207,
      -3.614334,
      -51.838303,
      -3.528187,
      -51.948544,
      -3.433605,
      -51.945626,
      -3.375168,
      -52.004348,
      -3.280065,
      -52.029321,
      -3.234228,
      -52.076816,
      -3.216840,
      -52.130684,
      -3.236033,
      -52.189470,
      -3.339631,
      -52.185738,
      -3.401562,
      -52.210671,
      -3.419109,
      -52.225259,
      -3.410395,
      -52.262579,
      -3.484153,
      -52.264744,
      -3.644003,
      -52.373578,
      -3.789506,
      -52.578465,
      -3.864336,
      -52.596051,
      -3.941910,
      -52.583283,
      -3.963720,
      -52.599364,
      -3.963720,
      -53.833182
    ]);
    poly[837] = _TzPolygon([
      -0.579146,
      -52.652003,
      -0.593881,
      -52.639497,
      -0.579146,
      -52.591262,
      -0.579146,
      -52.553743,
      -0.592654,
      -52.526124,
      -0.732208,
      -52.495204,
      -0.787399,
      -52.526122,
      -0.817069,
      -52.514779,
      -0.853933,
      -52.545021,
      -0.826316,
      -52.453710,
      -0.877000,
      -52.403000,
      -0.914382,
      -52.400854,
      -0.935710,
      -52.437259,
      -1.009000,
      -52.414000,
      -1.050000,
      -52.427000,
      -1.062000,
      -52.358000,
      -1.116000,
      -52.333000,
      -1.146000,
      -52.120000,
      -1.218000,
      -52.109000,
      -1.236000,
      -52.070000,
      -1.219000,
      -52.047000,
      -1.186000,
      -52.064000,
      -1.171000,
      -51.991000,
      -1.116814,
      -51.979523,
      -1.167000,
      -51.961000,
      -1.132000,
      -51.926000,
      -1.166000,
      -51.882000,
      -1.180968,
      -51.909927,
      -1.280889,
      -51.900380,
      -1.434735,
      -51.955011,
      -1.490627,
      -51.926051,
      -1.516168,
      -51.846453,
      -1.598946,
      -52.024070,
      -1.618971,
      -52.159274,
      -1.661343,
      -52.187387,
      -1.692092,
      -52.252444,
      -1.734757,
      -52.263777,
      -1.811579,
      -52.230718,
      -2.089464,
      -52.211863,
      -2.192955,
      -52.185972,
      -2.271433,
      -52.145543,
      -2.271433,
      -53.833182,
      -0.579146,
      -53.833182
    ]);
    poly[838] = _TzPolygon([
      1.848602,
      -56.097000,
      1.835521,
      -55.983212,
      1.888028,
      -55.903854,
      1.986466,
      -55.936349,
      1.990519,
      -55.913739,
      2.041078,
      -55.903102,
      2.057741,
      -55.932820,
      2.078634,
      -55.929095,
      2.088428,
      -55.966816,
      2.167602,
      -56.003072,
      2.184641,
      -56.055046,
      2.227783,
      -56.042880,
      2.249186,
      -56.097000,
      2.317191,
      -56.097000,
      2.321170,
      -56.093761,
      2.372277,
      -56.090122,
      2.334981,
      -56.050601,
      2.342469,
      -56.021814,
      2.366272,
      -56.039965,
      2.420327,
      -55.987015,
      2.452820,
      -56.011511,
      2.489609,
      -55.977487,
      2.504548,
      -55.992877,
      2.527329,
      -55.978236,
      2.530541,
      -55.924157,
      2.462176,
      -55.838819,
      2.455237,
      -55.766629,
      2.410445,
      -55.746961,
      2.399167,
      -55.716944,
      2.421543,
      -55.698344,
      2.443237,
      -55.499712,
      2.418360,
      -55.385327,
      2.447988,
      -55.345572,
      2.475558,
      -55.356155,
      2.515368,
      -55.320184,
      2.503380,
      -55.234736,
      2.559342,
      -55.172796,
      2.567624,
      -55.123404,
      2.525640,
      -55.103017,
      2.590930,
      -55.003738,
      2.585203,
      -54.965091,
      1.113140,
      -54.965091,
      1.113140,
      -56.097000
    ]);
    poly[839] = _TzPolygon([
      1.393358,
      -53.833182,
      1.393595,
      -53.854160,
      1.408963,
      -53.848838,
      1.404903,
      -53.888092,
      1.440462,
      -53.876888,
      1.456625,
      -53.894259,
      1.437492,
      -53.934754,
      1.470758,
      -53.922421,
      1.478050,
      -53.991568,
      1.523632,
      -54.005169,
      1.493483,
      -54.083125,
      1.533970,
      -54.082824,
      1.563517,
      -54.116933,
      1.598703,
      -54.100725,
      1.601860,
      -54.135773,
      1.611747,
      -54.120618,
      1.651893,
      -54.146340,
      1.664937,
      -54.182404,
      1.632608,
      -54.190920,
      1.749627,
      -54.312001,
      1.747108,
      -54.345319,
      1.773908,
      -54.376831,
      1.755641,
      -54.387811,
      1.770375,
      -54.464637,
      1.754175,
      -54.495435,
      1.795369,
      -54.575081,
      1.774899,
      -54.670153,
      1.786782,
      -54.745970,
      1.809181,
      -54.757742,
      1.841569,
      -54.736527,
      1.950768,
      -54.777325,
      1.959283,
      -54.769780,
      1.959283,
      -53.833182
    ]);
    poly[840] = _TzPolygon([
      2.209549,
      -54.399136,
      2.210833,
      -54.463889,
      2.265556,
      -54.537778,
      2.289722,
      -54.515000,
      2.316389,
      -54.541944,
      2.333698,
      -54.602780,
      2.354270,
      -54.572203,
      2.338536,
      -54.505196,
      2.392735,
      -54.504504,
      2.433976,
      -54.473760,
      2.436233,
      -54.420328,
      2.457414,
      -54.399136
    ]);
    poly[841] = _TzPolygon([
      2.805427,
      -54.399136,
      2.461419,
      -54.399136,
      2.436233,
      -54.420328,
      2.433976,
      -54.473760,
      2.392735,
      -54.504504,
      2.338536,
      -54.505196,
      2.332285,
      -54.526094,
      2.354270,
      -54.572203,
      2.321111,
      -54.628889,
      2.324722,
      -54.688611,
      2.378611,
      -54.712500,
      2.403333,
      -54.683889,
      2.453889,
      -54.689167,
      2.471667,
      -54.753611,
      2.435556,
      -54.806389,
      2.439886,
      -54.868459,
      2.518489,
      -54.935354,
      2.583595,
      -54.954239,
      2.585203,
      -54.965091,
      2.805427,
      -54.965091
    ]);
    poly[842] = _TzPolygon([
      2.585203,
      -54.965091,
      2.583595,
      -54.954239,
      2.518489,
      -54.935354,
      2.313064,
      -54.793775,
      2.266709,
      -54.810946,
      2.206311,
      -54.769949,
      2.150586,
      -54.813071,
      2.078793,
      -54.818782,
      2.034643,
      -54.807204,
      1.976553,
      -54.754478,
      1.959283,
      -54.769780,
      1.959283,
      -54.965091
    ]);
    poly[843] = _TzPolygon([
      2.210239,
      -54.399136,
      2.208889,
      -54.365833,
      2.164444,
      -54.328056,
      2.146667,
      -54.249167,
      2.172500,
      -54.180556,
      2.113611,
      -54.123333,
      2.135556,
      -54.079444,
      2.194444,
      -54.057500,
      2.181389,
      -54.013056,
      2.219167,
      -53.940833,
      2.271944,
      -53.931944,
      2.267778,
      -53.886667,
      2.302778,
      -53.866944,
      2.307330,
      -53.833182,
      1.959283,
      -53.833182,
      1.959283,
      -54.399136
    ]);
    poly[844] = _TzPolygon([
      2.805427,
      -54.206802,
      2.776701,
      -54.205764,
      2.629595,
      -54.317442,
      2.521251,
      -54.348794,
      2.461419,
      -54.399136,
      2.805427,
      -54.399136
    ]);
    poly[845] = _TzPolygon([
      1.113140,
      -53.833182,
      1.113140,
      -53.463759,
      1.080004,
      -53.460914,
      1.036818,
      -53.427382,
      0.930899,
      -53.420126,
      0.854371,
      -53.302163,
      0.770775,
      -53.200589,
      0.694640,
      -53.150290,
      0.679830,
      -53.109991,
      0.584389,
      -53.155590,
      0.475490,
      -53.159951,
      0.445116,
      -53.181115,
      0.391775,
      -53.165252,
      0.365235,
      -53.184311,
      0.257047,
      -53.092774,
      0.230959,
      -53.108450,
      0.193677,
      -53.096309,
      0.080780,
      -53.005777,
      0.049990,
      -53.018130,
      0.018448,
      -52.984895,
      -0.034665,
      -52.987842,
      -0.144973,
      -52.937093,
      -0.151066,
      -52.841204,
      -0.285729,
      -52.740119,
      -0.315273,
      -52.684399,
      -0.369728,
      -52.678157,
      -0.385292,
      -52.707545,
      -0.425759,
      -52.677554,
      -0.460133,
      -52.703562,
      -0.549633,
      -52.677052,
      -0.579146,
      -52.652003,
      -0.579146,
      -53.833182
    ]);
    poly[846] = _TzPolygon(
        [-0.579146, -52.591262, -0.572092, -52.568168, -0.579146, -52.553743]);
    poly[847] = _TzPolygon([
      2.805427,
      -52.701273,
      2.354921,
      -52.701273,
      2.281581,
      -52.858262,
      2.186179,
      -52.902663,
      2.194554,
      -52.934445,
      2.167271,
      -52.983894,
      2.222500,
      -53.105000,
      2.208333,
      -53.239167,
      2.186027,
      -53.278992,
      2.253333,
      -53.216667,
      2.353333,
      -53.328333,
      2.316389,
      -53.352222,
      2.257500,
      -53.458611,
      2.249167,
      -53.529722,
      2.312222,
      -53.733889,
      2.344444,
      -53.719444,
      2.373056,
      -53.751111,
      2.350556,
      -53.802500,
      2.309444,
      -53.817500,
      2.307330,
      -53.833182,
      2.805427,
      -53.833182
    ]);
    poly[848] = _TzPolygon([
      1.393358,
      -53.833182,
      1.393107,
      -53.810961,
      1.415809,
      -53.825925,
      1.425581,
      -53.809119,
      1.387243,
      -53.738435,
      1.432833,
      -53.723336,
      1.422835,
      -53.700326,
      1.383820,
      -53.717320,
      1.373071,
      -53.682054,
      1.408928,
      -53.652728,
      1.340896,
      -53.661150,
      1.358111,
      -53.598287,
      1.337633,
      -53.578931,
      1.341015,
      -53.543594,
      1.320646,
      -53.539534,
      1.301254,
      -53.568781,
      1.263370,
      -53.528933,
      1.211581,
      -53.542918,
      1.250216,
      -53.435630,
      1.163398,
      -53.406083,
      1.134909,
      -53.465628,
      1.113140,
      -53.463759,
      1.113140,
      -53.833182
    ]);
    poly[849] = _TzPolygon([
      2.805427,
      -52.460509,
      2.658948,
      -52.526181,
      2.636944,
      -52.555107,
      2.580248,
      -52.526030,
      2.550042,
      -52.560563,
      2.521360,
      -52.550583,
      2.474813,
      -52.618508,
      2.451998,
      -52.609433,
      2.432128,
      -52.644964,
      2.373960,
      -52.660520,
      2.354921,
      -52.701273,
      2.805427,
      -52.701273
    ]);
    poly[850] = _TzPolygon([
      4.497713,
      -56.097000,
      4.497713,
      -54.450728,
      4.419722,
      -54.440556,
      4.416207,
      -54.415744,
      4.377058,
      -54.417878,
      4.350923,
      -54.385724,
      4.202654,
      -54.396180,
      4.144626,
      -54.323096,
      4.049060,
      -54.357870,
      4.015002,
      -54.318865,
      3.933333,
      -54.289373,
      3.908455,
      -54.248859,
      3.860055,
      -54.236573,
      3.846573,
      -54.191432,
      3.806615,
      -54.198437,
      3.797916,
      -54.126840,
      3.715196,
      -54.078994,
      3.675445,
      -54.083339,
      3.634973,
      -54.050979,
      3.649319,
      -54.007628,
      3.607456,
      -53.979968,
      3.537236,
      -54.009320,
      3.427073,
      -54.011871,
      3.383789,
      -54.059835,
      3.307490,
      -54.066584,
      3.286256,
      -54.128097,
      3.150779,
      -54.214045,
      3.126416,
      -54.210407,
      3.135435,
      -54.183599,
      3.108115,
      -54.173808,
      3.072313,
      -54.174362,
      3.064080,
      -54.194711,
      3.015218,
      -54.169726,
      2.984569,
      -54.181711,
      2.968434,
      -54.160540,
      2.920989,
      -54.191982,
      2.854723,
      -54.179848,
      2.829119,
      -54.207658,
      2.805427,
      -54.206802,
      2.805427,
      -56.097000
    ]);
    poly[851] = _TzPolygon([
      4.497713,
      -54.450728,
      4.509167,
      -54.452222,
      4.593333,
      -54.420000,
      4.714167,
      -54.435833,
      4.747778,
      -54.477500,
      4.898611,
      -54.486389,
      4.936571,
      -54.445255,
      5.084167,
      -54.405556,
      5.240556,
      -54.296667,
      5.315000,
      -54.193056,
      5.551073,
      -54.007772,
      5.629444,
      -54.025278,
      5.688611,
      -54.009444,
      5.978000,
      -53.843336,
      5.973019,
      -53.833182,
      4.497713,
      -53.833182
    ]);
    poly[852] = _TzPolygon([
      2.805427,
      -52.460509,
      2.891049,
      -52.422122,
      2.917353,
      -52.377061,
      2.947570,
      -52.393193,
      3.078800,
      -52.325965,
      3.126440,
      -52.352973,
      3.171378,
      -52.331107,
      3.173522,
      -52.301351,
      3.227270,
      -52.292286,
      3.253042,
      -52.261923,
      3.239441,
      -52.236381,
      3.298745,
      -52.189622,
      3.627774,
      -51.988706,
      3.706957,
      -51.971035,
      3.724219,
      -51.921484,
      3.781984,
      -51.919006,
      3.888877,
      -51.797307,
      3.974056,
      -51.777827,
      4.052762,
      -51.658667,
      4.235524,
      -51.614710,
      4.394939,
      -51.645669,
      4.508337,
      -51.637160,
      4.587060,
      -51.569364,
      2.805427,
      -51.569364
    ]);
    poly[853] = _TzPolygon([
      9.128479,
      -72.858752,
      9.132962,
      -72.881197,
      9.102942,
      -72.887292,
      9.091651,
      -72.947697,
      9.142360,
      -72.986913,
      9.181240,
      -72.955915,
      9.220787,
      -72.996219,
      9.252937,
      -72.985821,
      9.291294,
      -73.010613,
      9.263387,
      -73.073045,
      9.225558,
      -73.090361,
      9.228309,
      -73.131298,
      9.177167,
      -73.176580,
      9.183647,
      -73.213782,
      9.158209,
      -73.250146,
      9.173405,
      -73.347262,
      9.217530,
      -73.352963,
      9.213054,
      -73.333753,
      9.402898,
      -73.240894,
      9.445538,
      -73.189263,
      9.469263,
      -73.203259,
      9.480631,
      -73.172017,
      9.550467,
      -73.136668,
      9.556277,
      -73.085190,
      9.678263,
      -73.054816,
      9.837627,
      -72.945436,
      9.875025,
      -72.992808,
      9.888767,
      -72.977466,
      9.923865,
      -72.999036,
      10.066003,
      -72.954089,
      10.112724,
      -72.911633,
      10.446657,
      -72.893301,
      10.475010,
      -72.858752
    ]);
    poly[854] = _TzPolygon([
      8.603884,
      -72.644071,
      8.614665,
      -72.655109,
      9.105581,
      -72.766384,
      9.103230,
      -72.796340,
      9.140538,
      -72.821919,
      9.121627,
      -72.824447,
      9.128479,
      -72.858752,
      10.475010,
      -72.858752,
      10.485797,
      -72.845609,
      10.570206,
      -72.820645,
      10.651463,
      -72.735114,
      10.740116,
      -72.716567,
      10.763971,
      -72.679952,
      10.879546,
      -72.648966,
      10.882702,
      -72.612404,
      10.940204,
      -72.553774,
      11.059113,
      -72.481635,
      11.085886,
      -72.497640,
      11.127658,
      -72.443589,
      11.151373,
      -72.349314,
      11.140186,
      -72.249416,
      11.646267,
      -71.971363,
      11.686839,
      -71.782694,
      11.812129,
      -71.378405,
      11.830439,
      -71.386725,
      11.849232,
      -71.341823,
      11.961238,
      -70.927056,
      8.603884,
      -70.927056
    ]);
    poly[855] = _TzPolygon([
      12.157405,
      -70.927056,
      12.287395,
      -71.048794,
      12.401962,
      -71.079828,
      12.523406,
      -71.146887,
      12.599194,
      -71.122362,
      12.662434,
      -71.070873,
      12.702673,
      -71.002730,
      12.716034,
      -70.927056
    ]);
    poly[856] = _TzPolygon([
      12.157405,
      -70.927056,
      12.716034,
      -70.927056,
      12.716688,
      -70.923351,
      12.558597,
      -70.416674,
      12.350026,
      -70.416662,
      12.350000,
      -70.164167,
      12.365000,
      -70.140278,
      12.262778,
      -69.736667,
      12.218782,
      -69.661226,
      8.603884,
      -69.661226,
      8.603884,
      -70.927056,
      11.961238,
      -70.927056
    ]);
    poly[857] = _TzPolygon([
      12.218782,
      -69.661226,
      11.879296,
      -69.079095,
      11.758230,
      -68.954252,
      11.741638,
      -68.829117,
      11.666679,
      -68.600038,
      11.666678,
      -67.990797,
      8.603884,
      -67.990797,
      8.603884,
      -69.661226
    ]);
    poly[858] = _TzPolygon([
      12.592000,
      -69.147203,
      12.524000,
      -68.966469,
      12.466000,
      -68.904144,
      12.376000,
      -68.857011,
      12.356000,
      -68.767062,
      12.292000,
      -68.672990,
      11.932000,
      -68.441347,
      11.818000,
      -68.518527,
      11.777000,
      -68.645296,
      11.864000,
      -68.912221,
      12.043000,
      -69.210695,
      12.211000,
      -69.342189,
      12.381000,
      -69.367349,
      12.463000,
      -69.349015,
      12.532000,
      -69.300835,
      12.578000,
      -69.229781
    ]);
    poly[859] = _TzPolygon([
      11.562837,
      -67.990797,
      11.562837,
      -62.803121,
      10.947917,
      -61.729444,
      10.714445,
      -61.802778,
      10.588889,
      -61.802778,
      10.588611,
      -61.862500,
      10.046111,
      -62.083056,
      9.986667,
      -61.855000,
      9.970000,
      -61.500000,
      9.874531,
      -61.207427,
      9.799487,
      -61.093013,
      9.751163,
      -60.900960,
      8.685788,
      -59.542708,
      8.603884,
      -59.773739,
      8.603884,
      -67.990797
    ]);
    poly[860] = _TzPolygon([
      12.324735,
      -61.861472,
      12.494000,
      -61.702626,
      12.596653,
      -61.665747,
      12.530136,
      -61.382722,
      12.516655,
      -61.173214,
      12.404000,
      -61.207000,
      12.324735,
      -61.280369
    ]);
    poly[861] = _TzPolygon([
      13.583000,
      -61.133776,
      13.583000,
      -60.791134,
      13.536000,
      -60.837991,
      13.508000,
      -60.950006,
      13.580148,
      -61.130393
    ]);
    poly[862] = _TzPolygon([
      -28.570615,
      16.475659,
      -28.572880,
      16.468250,
      -28.632768,
      16.453131,
      -28.800418,
      16.333521,
      -28.685516,
      16.158932,
      -28.570615,
      16.040387
    ]);
    poly[863] = _TzPolygon([
      -28.570615,
      17.396573,
      -28.570615,
      19.544312,
      -28.587130,
      19.536050,
      -28.601000,
      19.503870,
      -28.706090,
      19.466820,
      -28.736820,
      19.403650,
      -28.743930,
      19.267700,
      -28.812590,
      19.239190,
      -28.869640,
      19.265030,
      -28.885420,
      19.296390,
      -28.908180,
      19.285380,
      -28.902520,
      19.245200,
      -28.949980,
      19.191380,
      -28.969450,
      19.118470,
      -28.929020,
      19.008740,
      -28.870530,
      18.972240,
      -28.844400,
      18.855710,
      -28.840450,
      18.632120,
      -28.889460,
      18.512180,
      -28.900820,
      18.423470,
      -28.879390,
      18.263490,
      -28.916150,
      18.188440,
      -28.870650,
      18.083120,
      -28.874270,
      18.046070,
      -28.809500,
      17.993520,
      -28.764090,
      17.917600,
      -28.739910,
      17.749510,
      -28.773690,
      17.647070,
      -28.760670,
      17.616110,
      -28.694650,
      17.598860,
      -28.685590,
      17.568380,
      -28.722870,
      17.420360,
      -28.574220,
      17.431770
    ]);
    poly[864] = _TzPolygon([
      -34.965818,
      19.544312,
      -28.570615,
      19.544312,
      -28.570615,
      29.455710,
      -32.001322,
      29.455710,
      -32.217014,
      29.260385,
      -32.701593,
      28.732420,
      -32.855333,
      28.529802,
      -32.957649,
      28.321425,
      -33.061846,
      28.238536,
      -33.200424,
      28.049854,
      -33.285753,
      27.878084,
      -33.691140,
      27.245590,
      -33.747017,
      27.121748,
      -34.029603,
      26.372758,
      -34.240225,
      25.691531,
      -34.413295,
      24.856936,
      -34.294419,
      22.990015,
      -34.378139,
      22.260436,
      -34.530805,
      22.031103,
      -34.570496,
      21.890081,
      -34.668559,
      20.916269,
      -35.009194,
      20.125081,
      -35.033759,
      20.010019
    ]);
    poly[865] = _TzPolygon([
      -28.570615,
      16.475659,
      -28.533880,
      16.595830,
      -28.472350,
      16.672430,
      -28.499450,
      16.724770,
      -28.453020,
      16.768930,
      -28.396840,
      16.768960,
      -28.361950,
      16.808440,
      -28.272790,
      16.754490,
      -28.269020,
      16.824740,
      -28.222020,
      16.803060,
      -28.211690,
      16.856060,
      -28.166680,
      16.831280,
      -28.172880,
      16.887930,
      -28.074550,
      16.898460,
      -28.058730,
      16.973810,
      -28.075480,
      17.002030,
      -28.032820,
      17.078510,
      -28.034887,
      17.080560,
      -28.570615,
      17.080560
    ]);
    poly[866] = _TzPolygon([
      -28.570615,
      17.396573,
      -28.568940,
      17.380220,
      -28.475540,
      17.333100,
      -28.439030,
      17.348670,
      -28.436960,
      17.384800,
      -28.399580,
      17.410000,
      -28.570615,
      17.410000
    ]);
    poly[867] = _TzPolygon([
      -28.399580,
      17.410000,
      -28.295600,
      17.382140,
      -28.225790,
      17.333270,
      -28.247790,
      17.214560,
      -28.203430,
      17.182450,
      -28.108230,
      17.191930,
      -28.093060,
      17.138230,
      -28.032820,
      17.080727,
      -28.032820,
      17.410000
    ]);
    poly[868] = _TzPolygon([
      -17.390082,
      17.410000,
      -17.391599,
      14.216120,
      -17.410048,
      14.212641,
      -17.438732,
      14.102125,
      -17.414675,
      14.015962,
      -17.433032,
      13.955744,
      -17.361674,
      13.899746,
      -17.141411,
      13.517756,
      -17.091584,
      13.521684,
      -17.010657,
      13.462121,
      -16.974122,
      13.352983,
      -17.001320,
      13.246339,
      -16.963485,
      13.168592,
      -16.982309,
      12.983381,
      -17.171882,
      12.713012,
      -17.172918,
      12.672225,
      -17.231577,
      12.605614,
      -17.247705,
      12.541325,
      -17.241959,
      12.478201,
      -17.264055,
      12.445918,
      -17.222583,
      12.436147,
      -17.206483,
      12.405918,
      -17.233798,
      12.369511,
      -17.218725,
      12.351356,
      -17.240072,
      12.249843,
      -17.161959,
      12.161349,
      -17.141877,
      12.079883,
      -17.181981,
      11.941650,
      -17.273769,
      11.794818,
      -17.250000,
      11.748939,
      -17.250000,
      11.542102,
      -16.839570,
      11.566921,
      -16.681235,
      11.490233,
      -16.554324,
      11.460979,
      -16.467022,
      11.476127,
      -16.204559,
      11.589178,
      -16.052299,
      11.586924,
      -15.948462,
      11.531774,
      -15.827162,
      11.531171,
      -15.662271,
      11.610470,
      -15.609703,
      11.702113,
      -15.609703,
      17.410000
    ]);
    poly[869] = _TzPolygon([
      -28.570615,
      19.544312,
      -28.527680,
      19.565790,
      -28.510930,
      19.625200,
      -28.531090,
      19.668340,
      -28.485740,
      19.738630,
      -28.508300,
      19.813250,
      -28.442730,
      19.877050,
      -28.427820,
      19.999160,
      -25.330387,
      19.999077,
      -25.330387,
      20.421428,
      -28.570615,
      20.421428
    ]);
    poly[870] = _TzPolygon([
      -26.140444,
      20.858664,
      -26.140444,
      21.927141,
      -26.668094,
      21.927141,
      -26.659689,
      21.823459,
      -26.675893,
      21.787415,
      -26.695158,
      21.769098,
      -26.770724,
      21.793350,
      -26.802320,
      21.780990,
      -26.861270,
      21.694700,
      -26.866650,
      21.626880,
      -26.839900,
      21.575570,
      -26.861840,
      21.525380,
      -26.822130,
      21.404200,
      -26.873652,
      21.133666,
      -26.796300,
      20.898120,
      -26.819270,
      20.820700,
      -26.841660,
      20.816340,
      -26.866350,
      20.763510,
      -26.870140,
      20.714980,
      -26.905967,
      20.687731,
      -26.840039,
      20.682511,
      -26.828786,
      20.644931,
      -26.786523,
      20.621967,
      -26.592177,
      20.632371,
      -26.514271,
      20.604604,
      -26.443589,
      20.617644,
      -26.397360,
      20.693374
    ]);
    poly[871] = _TzPolygon([
      -25.330387,
      20.549922,
      -25.389223,
      20.562036,
      -25.394550,
      20.601450,
      -25.428003,
      20.603086,
      -25.425072,
      20.630937,
      -25.461874,
      20.622275,
      -25.450100,
      20.672970,
      -25.475252,
      20.636163,
      -25.519582,
      20.629782,
      -25.592363,
      20.698419,
      -25.635752,
      20.651556,
      -25.635006,
      20.687540,
      -25.686363,
      20.677122,
      -25.716297,
      20.716710,
      -25.770017,
      20.730998,
      -25.780633,
      20.762952,
      -25.822917,
      20.739748,
      -25.801138,
      20.786729,
      -25.853770,
      20.783002,
      -25.868332,
      20.812756,
      -25.920194,
      20.803538,
      -25.959447,
      20.840679,
      -26.007501,
      20.816594,
      -26.081693,
      20.842087,
      -26.105367,
      20.821092,
      -26.133663,
      20.863027,
      -26.140444,
      20.858664,
      -26.140444,
      20.421428,
      -25.330387,
      20.421428
    ]);
    poly[872] = _TzPolygon([
      -25.330387,
      23.011181,
      -25.335860,
      23.011320,
      -25.339860,
      22.977940,
      -25.381140,
      22.970000,
      -25.422310,
      22.909950,
      -25.468390,
      22.885740,
      -25.486850,
      22.900440,
      -25.490170,
      22.846370,
      -25.533510,
      22.853490,
      -25.582420,
      22.814070,
      -25.615170,
      22.853370,
      -25.632770,
      22.800420,
      -25.657770,
      22.830210,
      -25.690470,
      22.821480,
      -25.732840,
      22.769320,
      -25.788660,
      22.759330,
      -25.793660,
      22.734580,
      -25.823267,
      22.781717,
      -25.892960,
      22.712030,
      -25.918000,
      22.749240,
      -25.950090,
      22.723900,
      -26.015240,
      22.724745,
      -26.017900,
      22.665710,
      -26.073460,
      22.673118,
      -26.094500,
      22.631720,
      -26.149219,
      22.604859,
      -26.142098,
      22.578233,
      -26.223450,
      22.555180,
      -26.199990,
      22.473360,
      -26.227900,
      22.454130,
      -26.224420,
      22.420060,
      -26.272700,
      22.402910,
      -26.285780,
      22.363110,
      -26.325530,
      22.362950,
      -26.349940,
      22.242330,
      -26.401133,
      22.189983,
      -26.424780,
      22.200240,
      -26.508589,
      22.163480,
      -26.581345,
      22.077259,
      -26.632661,
      22.051473,
      -26.669849,
      21.948791,
      -26.668094,
      21.927141,
      -25.330387,
      21.927141
    ]);
    poly[873] = _TzPolygon(
        [-25.330387, 23.080325, -25.331970, 23.078690, -25.330387, 23.075817]);
    poly[874] = _TzPolygon([
      -25.330387,
      19.999077,
      -24.763751,
      19.999062,
      -24.833057,
      20.090539,
      -24.884963,
      20.121596,
      -24.923600,
      20.259120,
      -24.980620,
      20.296510,
      -25.034375,
      20.384046,
      -25.061750,
      20.378830,
      -25.082270,
      20.412355,
      -25.154503,
      20.431441,
      -25.156696,
      20.469348,
      -25.199160,
      20.446570,
      -25.228420,
      20.498940,
      -25.268980,
      20.496440,
      -25.286170,
      20.545880,
      -25.317140,
      20.513900,
      -25.320472,
      20.547881,
      -25.330387,
      20.549922
    ]);
    poly[875] = _TzPolygon([
      -25.330387,
      23.011181,
      -25.297230,
      23.010340,
      -25.312930,
      23.030790,
      -25.289940,
      23.058420,
      -25.318610,
      23.054440,
      -25.330387,
      23.075817
    ]);
    poly[876] = _TzPolygon([
      -25.330387,
      23.080325,
      -25.304180,
      23.107390,
      -25.317420,
      23.134540,
      -25.273420,
      23.212020,
      -25.274100,
      23.278050,
      -25.294090,
      23.295010,
      -25.285140,
      23.355550,
      -25.315800,
      23.414300,
      -25.290004,
      23.432855,
      -25.330387,
      23.432855
    ]);
    poly[877] = _TzPolygon([
      -22.090159,
      19.999147,
      -25.330387,
      19.999154,
      -25.330387,
      17.410000,
      -22.090159,
      17.410000
    ]);
    poly[878] = _TzPolygon([
      -25.330387,
      23.495008,
      -25.330387,
      25.692772,
      -25.469921,
      25.662603,
      -25.637943,
      25.581280,
      -25.684239,
      25.513883,
      -25.771152,
      25.337117,
      -25.764394,
      25.121306,
      -25.721419,
      25.038116,
      -25.811055,
      24.897122,
      -25.825693,
      24.794257,
      -25.803883,
      24.728325,
      -25.823921,
      24.683178,
      -25.733024,
      24.447024,
      -25.762427,
      24.400992,
      -25.758313,
      24.357220,
      -25.711003,
      24.326735,
      -25.726032,
      24.285461,
      -25.693234,
      24.287879,
      -25.706748,
      24.260671,
      -25.643839,
      24.226944,
      -25.620144,
      24.191010,
      -25.630058,
      24.160052,
      -25.608195,
      24.157015,
      -25.643005,
      24.085964,
      -25.630771,
      24.067605,
      -25.651297,
      24.061944,
      -25.634072,
      24.030093,
      -25.650899,
      24.005307,
      -25.624664,
      24.012229,
      -25.614548,
      23.969961,
      -25.638234,
      23.928121,
      -25.576443,
      23.879240,
      -25.567294,
      23.839465,
      -25.540935,
      23.835751,
      -25.545718,
      23.809251,
      -25.511608,
      23.820083,
      -25.503013,
      23.762938,
      -25.446292,
      23.729332,
      -25.462722,
      23.703385,
      -25.441387,
      23.666577,
      -25.416255,
      23.669049,
      -25.431580,
      23.637460,
      -25.383920,
      23.616000,
      -25.396460,
      23.589310,
      -25.354660,
      23.559590,
      -25.351570,
      23.496180
    ]);
    poly[879] = _TzPolygon([
      -25.290004,
      23.432855,
      -25.276970,
      23.442230,
      -25.276750,
      23.465790,
      -25.297740,
      23.458140,
      -25.317950,
      23.494320,
      -25.330387,
      23.495008,
      -25.330387,
      23.432855
    ]);
    poly[880] = _TzPolygon([
      -25.330387,
      25.692772,
      -25.289181,
      25.701681,
      -24.924003,
      25.860018,
      -24.914933,
      25.882476,
      -24.753761,
      25.848101,
      -24.747680,
      25.955827,
      -24.645859,
      26.409067,
      -24.614160,
      26.444282,
      -25.330387,
      26.444282
    ]);
    poly[881] = _TzPolygon([
      -23.710273,
      26.444282,
      -23.710273,
      26.970650,
      -23.830736,
      26.958347,
      -23.851342,
      26.932503,
      -23.874114,
      26.955132,
      -24.089470,
      26.884820,
      -24.106560,
      26.860200,
      -24.160110,
      26.879130,
      -24.179130,
      26.864480,
      -24.189501,
      26.883142,
      -24.263576,
      26.856211,
      -24.306752,
      26.785935,
      -24.304237,
      26.733484,
      -24.344145,
      26.675676,
      -24.381112,
      26.663636,
      -24.410788,
      26.587263,
      -24.487944,
      26.509944,
      -24.590480,
      26.470590,
      -24.614160,
      26.444282
    ]);
    poly[882] = _TzPolygon([
      -23.710273,
      26.970650,
      -23.702807,
      26.971413,
      -23.688023,
      27.002312,
      -23.637959,
      27.010103,
      -23.682676,
      27.036909,
      -23.670908,
      27.070547,
      -23.643300,
      27.081145,
      -23.612665,
      27.059168,
      -23.597763,
      27.105162,
      -23.559323,
      27.114118,
      -23.568466,
      27.154126,
      -23.523971,
      27.134548,
      -23.534205,
      27.201212,
      -23.498038,
      27.192819,
      -23.462998,
      27.302833,
      -23.400352,
      27.337171,
      -23.427003,
      27.374634,
      -23.399249,
      27.377333,
      -23.389208,
      27.408208,
      -23.413236,
      27.400950,
      -23.426753,
      27.421567,
      -23.384650,
      27.441615,
      -23.385613,
      27.528416,
      -23.340585,
      27.567361,
      -23.217113,
      27.600830,
      -23.225453,
      27.649987,
      -23.196191,
      27.689376,
      -23.229943,
      27.742540,
      -23.169113,
      27.785435,
      -23.133751,
      27.766923,
      -23.134732,
      27.809310,
      -23.106227,
      27.814230,
      -23.051971,
      27.935635,
      -22.963211,
      27.935178,
      -22.955850,
      27.949996,
      -23.710273,
      27.949996
    ]);
    poly[883] = _TzPolygon([
      -22.090159,
      29.275771,
      -22.195471,
      29.375304,
      -22.178705,
      29.217704,
      -22.215824,
      29.150273,
      -22.217134,
      29.035870,
      -22.305773,
      28.967072,
      -22.376079,
      28.971935,
      -22.460798,
      28.917836,
      -22.453557,
      28.849292,
      -22.488344,
      28.831407,
      -22.588510,
      28.514880,
      -22.571035,
      28.479876,
      -22.574276,
      28.339595,
      -22.687179,
      28.180886,
      -22.774948,
      28.145566,
      -22.833355,
      28.041534,
      -22.911897,
      28.038480,
      -22.954934,
      27.949996,
      -22.090159,
      27.949996
    ]);
    poly[884] = _TzPolygon([
      -22.090159,
      29.275521,
      -22.090159,
      29.455710,
      -22.168830,
      29.455710,
      -22.195188,
      29.373921
    ]);
    poly[885] = _TzPolygon([
      -18.849931,
      17.410000,
      -18.849931,
      20.998919,
      -22.000342,
      20.998739,
      -21.999917,
      19.999147,
      -22.090159,
      19.999147,
      -22.090159,
      17.410000
    ]);
    poly[886] = _TzPolygon([
      -17.390082,
      17.410000,
      -17.389601,
      18.421455,
      -17.582071,
      18.562916,
      -17.601183,
      18.619015,
      -17.635835,
      18.623853,
      -17.736887,
      18.742493,
      -17.735681,
      18.775409,
      -17.765779,
      18.789060,
      -17.772233,
      18.835955,
      -17.819614,
      18.903182,
      -17.836911,
      19.115675,
      -17.808967,
      19.134979,
      -17.805992,
      19.173952,
      -17.833923,
      19.329107,
      -17.854777,
      19.327430,
      -17.874623,
      19.547385,
      -17.849466,
      19.673821,
      -17.911057,
      19.756734,
      -17.867960,
      19.809121,
      -17.883527,
      19.863068,
      -17.862427,
      19.924904,
      -17.905667,
      20.027787,
      -17.885410,
      20.057999,
      -17.910927,
      20.108000,
      -17.876535,
      20.172501,
      -17.892762,
      20.245282,
      -17.866589,
      20.267479,
      -17.862287,
      20.326055,
      -17.897477,
      20.369971,
      -17.907796,
      20.421428,
      -18.849931,
      20.421428,
      -18.849931,
      17.410000
    ]);
    poly[887] = _TzPolygon([
      -18.849931,
      20.998919,
      -18.317569,
      20.998950,
      -18.317647,
      21.453045,
      -18.000819,
      23.098367,
      -18.000786,
      23.296928,
      -18.051877,
      23.334834,
      -18.082758,
      23.324181,
      -18.174641,
      23.402951,
      -18.208107,
      23.397462,
      -18.211625,
      23.432855,
      -18.849931,
      23.432855
    ]);
    poly[888] = _TzPolygon([
      -17.229817,
      22.935474,
      -17.229817,
      23.432855,
      -17.636332,
      23.432855,
      -17.636669,
      23.431158,
      -17.576314,
      23.393338,
      -17.546646,
      23.241295,
      -17.474858,
      23.177693,
      -17.466567,
      23.136133,
      -17.422660,
      23.128194,
      -17.413513,
      23.087139,
      -17.337742,
      23.058643,
      -17.346696,
      23.043989,
      -17.298122,
      22.997069,
      -17.284124,
      23.008831
    ]);
    poly[889] = _TzPolygon([
      -17.907796,
      20.421428,
      -17.914814,
      20.456425,
      -17.950348,
      20.474354,
      -17.981770,
      20.540024,
      -17.976794,
      20.645468,
      -18.037477,
      20.802701,
      -18.029747,
      20.866687,
      -18.003492,
      20.864135,
      -17.957942,
      20.976990,
      -17.928941,
      21.210167,
      -18.026577,
      21.422779,
      -17.633635,
      23.432855,
      -18.211625,
      23.432855,
      -18.208107,
      23.397462,
      -18.174641,
      23.402951,
      -18.082758,
      23.324181,
      -18.051877,
      23.334834,
      -18.000786,
      23.296928,
      -18.000819,
      23.098367,
      -18.317647,
      21.453045,
      -18.317569,
      20.998950,
      -18.849931,
      20.998919,
      -18.849931,
      20.421428
    ]);
    poly[890] = _TzPolygon([
      -17.229817,
      22.935474,
      -17.201125,
      22.896718,
      -17.165340,
      22.801894,
      -17.119929,
      22.791612,
      -16.835108,
      22.492155,
      -16.814755,
      22.496796,
      -16.698761,
      22.350822,
      -16.574116,
      22.252594,
      -16.573296,
      22.218053,
      -16.489624,
      22.149993,
      -16.490233,
      22.120844,
      -16.475143,
      22.148257,
      -16.445372,
      22.125382,
      -16.439482,
      22.139753,
      -16.348122,
      22.120447,
      -16.290252,
      22.070685,
      -16.260905,
      22.081255,
      -16.206397,
      21.999351,
      -15.609703,
      22.000165,
      -15.609703,
      23.432855,
      -17.229817,
      23.432855
    ]);
    poly[891] = _TzPolygon([
      -19.748102,
      26.444282,
      -19.744697,
      26.432339,
      -19.671146,
      26.391709,
      -19.664215,
      26.328035,
      -19.614851,
      26.358608,
      -19.576126,
      26.312335,
      -19.585689,
      26.246967,
      -19.546352,
      26.170226,
      -19.272018,
      26.072390,
      -19.107931,
      25.964528,
      -19.066674,
      25.965343,
      -19.031537,
      25.996584,
      -18.912961,
      25.951755,
      -18.849931,
      25.846455,
      -18.849931,
      26.444282
    ]);
    poly[892] = _TzPolygon([
      -19.748102,
      26.444282,
      -19.781724,
      26.562198,
      -19.881291,
      26.618882,
      -19.887721,
      26.702768,
      -19.939910,
      26.726518,
      -19.961765,
      26.851407,
      -20.014502,
      26.978865,
      -20.008846,
      27.040349,
      -20.079619,
      27.143292,
      -20.081983,
      27.205938,
      -20.296348,
      27.300136,
      -20.498942,
      27.288662,
      -20.468192,
      27.362311,
      -20.482061,
      27.433806,
      -20.467510,
      27.471402,
      -20.494201,
      27.576629,
      -20.486707,
      27.683318,
      -20.513677,
      27.723918,
      -20.652845,
      27.702610,
      -20.703761,
      27.733261,
      -20.759789,
      27.732685,
      -20.866187,
      27.693343,
      -20.934278,
      27.689445,
      -20.957827,
      27.710313,
      -21.086888,
      27.693030,
      -21.153116,
      27.750364,
      -21.175350,
      27.805314,
      -21.302692,
      27.904565,
      -21.456975,
      27.977740,
      -21.472804,
      27.957344,
      -21.484932,
      27.983699,
      -21.517502,
      27.970217,
      -21.516316,
      28.002192,
      -21.573912,
      28.018628,
      -21.603347,
      28.199135,
      -21.589378,
      28.293977,
      -21.602516,
      28.365542,
      -21.668870,
      28.502779,
      -21.629399,
      28.579114,
      -21.755742,
      28.862319,
      -21.771061,
      28.999486,
      -21.817848,
      29.076979,
      -21.914718,
      29.020665,
      -22.022263,
      29.053826,
      -22.072104,
      29.139108,
      -22.059798,
      29.247076,
      -22.090159,
      29.275771,
      -22.090159,
      26.444282
    ]);
    poly[893] = _TzPolygon([
      -18.039874,
      23.432855,
      -18.039874,
      24.175314,
      -18.110516,
      24.108073,
      -18.110019,
      24.051326,
      -18.138270,
      24.048775,
      -18.204400,
      23.931496,
      -18.250542,
      23.932093,
      -18.273432,
      23.876851,
      -18.326792,
      23.844551,
      -18.339950,
      23.802913,
      -18.384526,
      23.786992,
      -18.435161,
      23.720056,
      -18.430790,
      23.686975,
      -18.502334,
      23.616093,
      -18.480732,
      23.567644,
      -18.337226,
      23.558774,
      -18.321951,
      23.528879,
      -18.273114,
      23.525821,
      -18.241818,
      23.500418,
      -18.236191,
      23.453127,
      -18.212885,
      23.445530,
      -18.211625,
      23.432855
    ]);
    poly[894] = _TzPolygon([
      -18.039874,
      24.593143,
      -18.073872,
      24.575423,
      -18.051251,
      24.522129,
      -18.064622,
      24.505998,
      -18.039874,
      24.494100
    ]);
    poly[895] = _TzPolygon([
      -18.039874,
      24.173869,
      -18.019824,
      24.192544,
      -18.011292,
      24.268679,
      -18.036635,
      24.294548,
      -17.949924,
      24.370599,
      -17.951792,
      24.423463,
      -17.963502,
      24.457381,
      -18.039874,
      24.494100
    ]);
    poly[896] = _TzPolygon([
      -18.039874,
      24.593143,
      -17.994370,
      24.616861,
      -17.942878,
      24.699233,
      -17.884268,
      24.739569,
      -17.894948,
      24.757183,
      -17.810075,
      24.911118,
      -17.819921,
      24.931953,
      -17.812516,
      24.938569,
      -18.039874,
      24.938569
    ]);
    poly[897] = _TzPolygon(
        [-17.635802, 23.432855, -17.637867, 23.434227, -17.638132, 23.432855]);
    poly[898] = _TzPolygon([
      -17.549689,
      24.938569,
      -17.554446,
      24.907727,
      -17.527279,
      24.879981,
      -17.536660,
      24.794303,
      -17.509190,
      24.782527,
      -17.497208,
      24.708301,
      -17.539443,
      24.563933,
      -17.509323,
      24.545566,
      -17.513252,
      24.512092,
      -17.479853,
      24.453040,
      -17.470193,
      24.387809,
      -17.491693,
      24.269802,
      -17.474161,
      24.248638,
      -17.636332,
      23.432855,
      -17.229817,
      23.432855,
      -17.229817,
      24.938569
    ]);
    poly[899] = _TzPolygon([
      -18.849931,
      25.846455,
      -18.837364,
      25.825460,
      -18.624486,
      25.782445,
      -18.573010,
      25.692199,
      -18.496100,
      25.647495,
      -18.477895,
      25.603795,
      -18.383926,
      25.523552,
      -18.152886,
      25.415663,
      -18.078031,
      25.319001,
      -18.039874,
      25.300513,
      -18.039874,
      26.444282,
      -18.849931,
      26.444282
    ]);
  }
}

class _Initializer10 {
  static void _init() {
    poly[900] = _TzPolygon([
      -17.812516,
      24.938569,
      -17.788046,
      24.960429,
      -17.792741,
      24.982176,
      -17.804521,
      24.964545,
      -17.825925,
      24.976372,
      -17.815657,
      25.004148,
      -17.838283,
      25.013392,
      -17.807759,
      25.054174,
      -17.841003,
      25.066116,
      -17.807969,
      25.143938,
      -17.778137,
      25.163303,
      -17.791365,
      25.262940,
      -17.912609,
      25.237413,
      -18.039874,
      25.300155,
      -18.039874,
      24.938569
    ]);
    poly[901] = _TzPolygon([
      -18.039874,
      25.300513,
      -17.909412,
      25.237300,
      -17.791365,
      25.262940,
      -17.852310,
      25.379105,
      -17.843568,
      25.455194,
      -17.865503,
      25.515618,
      -17.839720,
      25.546672,
      -17.847747,
      25.591566,
      -17.809454,
      25.687795,
      -17.815563,
      25.691426,
      -18.039874,
      25.691426
    ]);
    poly[902] = _TzPolygon([
      -17.811541,
      25.691426,
      -17.847747,
      25.591566,
      -17.838300,
      25.551086,
      -17.865503,
      25.515618,
      -17.843568,
      25.455194,
      -17.852310,
      25.379105,
      -17.769096,
      25.227601,
      -17.766644,
      25.188462,
      -17.693179,
      25.131022,
      -17.709795,
      25.095413,
      -17.665325,
      25.104993,
      -17.615653,
      25.065729,
      -17.629176,
      25.044002,
      -17.589939,
      25.047172,
      -17.594884,
      25.001807,
      -17.553996,
      24.980040,
      -17.568836,
      24.944715,
      -17.548708,
      24.944930,
      -17.549689,
      24.938569,
      -17.229817,
      24.938569,
      -17.229817,
      25.691426
    ]);
    poly[903] = _TzPolygon([
      -17.811541,
      25.691426,
      -17.229817,
      25.691426,
      -17.229817,
      26.444282,
      -17.957490,
      26.444282,
      -17.936171,
      26.402297,
      -17.917886,
      26.245236,
      -17.884155,
      26.219680,
      -17.934365,
      26.088939,
      -17.950508,
      26.106232,
      -17.980926,
      26.091825,
      -17.976652,
      26.002708,
      -18.002807,
      25.970460,
      -17.974732,
      25.857411,
      -17.911686,
      25.861065,
      -17.852037,
      25.771967,
      -17.838625,
      25.705132,
      -17.810851,
      25.693328
    ]);
    poly[904] = _TzPolygon([
      -17.957490,
      26.444282,
      -15.609703,
      26.444282,
      -15.609703,
      29.455710,
      -15.689937,
      29.455710,
      -15.686468,
      29.415739,
      -15.773155,
      29.213496,
      -15.896434,
      29.048008,
      -15.946526,
      29.013369,
      -15.946578,
      28.928440,
      -16.049160,
      28.845647,
      -16.106913,
      28.869877,
      -16.169391,
      28.838791,
      -16.244067,
      28.857844,
      -16.309486,
      28.820368,
      -16.374302,
      28.851126,
      -16.485549,
      28.815597,
      -16.554306,
      28.735598,
      -16.571297,
      28.642126,
      -16.717970,
      28.269093,
      -16.824720,
      28.135280,
      -16.962498,
      27.829325,
      -17.246623,
      27.630024,
      -17.332630,
      27.624358,
      -17.423784,
      27.543205,
      -17.598943,
      27.311201,
      -17.806452,
      27.144094,
      -17.837013,
      27.152956,
      -17.960873,
      27.042654,
      -17.990846,
      26.836527,
      -18.023852,
      26.803076,
      -18.031394,
      26.732018,
      -18.076594,
      26.695784,
      -18.048905,
      26.598637,
      -17.987772,
      26.563328,
      -17.990030,
      26.508368
    ]);
    poly[905] = _TzPolygon([
      -26.920943,
      33.102357,
      -26.857967,
      32.902228,
      -26.863920,
      32.331050,
      -26.832830,
      32.219200,
      -26.863190,
      32.183970,
      -26.840262,
      32.134622,
      -26.527250,
      32.134992,
      -26.405646,
      32.077418,
      -26.161684,
      32.105350,
      -26.008525,
      32.087300,
      -25.996945,
      32.003050,
      -25.840770,
      31.930550,
      -25.645194,
      32.006099,
      -25.474690,
      31.977400,
      -25.382500,
      32.015280,
      -25.132539,
      32.033716,
      -24.302200,
      31.987130,
      -24.181792,
      31.908179,
      -23.952489,
      31.880591,
      -23.884862,
      31.767769,
      -23.805513,
      31.733502,
      -23.805513,
      33.102357
    ]);
    poly[906] = _TzPolygon([
      -25.718760,
      31.416300,
      -25.999600,
      31.867860,
      -25.952646,
      31.975191,
      -25.996945,
      32.003050,
      -26.008525,
      32.087300,
      -26.161684,
      32.105350,
      -26.405646,
      32.077418,
      -26.527250,
      32.134992,
      -26.840262,
      32.134622,
      -26.804590,
      32.098240,
      -26.810195,
      32.011348,
      -27.116410,
      31.974550,
      -27.317520,
      31.977760,
      -27.315160,
      31.493690,
      -27.202080,
      31.150550,
      -27.036980,
      30.984760,
      -26.992129,
      30.958326,
      -26.908210,
      30.973560,
      -26.859930,
      30.907420,
      -26.785060,
      30.891910,
      -26.844427,
      30.813209,
      -26.712290,
      30.790800,
      -26.466671,
      30.805060,
      -26.320820,
      30.891860,
      -26.261732,
      30.961438,
      -25.921150,
      31.126570,
      -25.743040,
      31.315940
    ]);
    poly[907] = _TzPolygon([
      -21.756560,
      29.455710,
      -21.756560,
      31.982437,
      -22.181870,
      31.574497,
      -22.424110,
      31.307377,
      -22.367550,
      31.268500,
      -22.368690,
      31.213100,
      -22.330700,
      31.171570,
      -22.349164,
      31.088906,
      -22.292080,
      30.839170,
      -22.310960,
      30.663260,
      -22.336290,
      30.631680,
      -22.316350,
      30.489390,
      -22.356250,
      30.290240,
      -22.295860,
      30.231140,
      -22.311050,
      30.126170,
      -22.253630,
      30.025630,
      -22.228940,
      30.017600,
      -22.224170,
      29.969890,
      -22.189930,
      29.925720,
      -22.194560,
      29.884530,
      -22.141420,
      29.773590,
      -22.125110,
      29.656710,
      -22.155690,
      29.610240,
      -22.140900,
      29.580220,
      -22.152660,
      29.539250,
      -22.178000,
      29.527960,
      -22.166120,
      29.464120,
      -22.168830,
      29.455710
    ]);
    poly[908] = _TzPolygon([
      -23.805513,
      31.733502,
      -23.721890,
      31.697390,
      -23.625529,
      31.689984,
      -23.481960,
      31.561020,
      -23.198230,
      31.563600,
      -22.424110,
      31.307377,
      -22.181870,
      31.574497,
      -21.756560,
      31.982437,
      -21.756560,
      33.102357,
      -23.805513,
      33.102357
    ]);
    poly[909] = _TzPolygon([
      -21.756560,
      31.982437,
      -21.315388,
      32.405591,
      -21.328108,
      32.480015,
      -21.206570,
      32.399330,
      -21.169890,
      32.405830,
      -21.136680,
      32.366720,
      -21.011780,
      32.468410,
      -20.914370,
      32.516840,
      -20.618550,
      32.492050,
      -20.560860,
      32.567070,
      -20.556175,
      32.668133,
      -20.339190,
      32.807845,
      -20.287060,
      32.863990,
      -20.234604,
      32.871498,
      -20.221889,
      32.846421,
      -20.195573,
      32.847788,
      -20.187260,
      32.875544,
      -20.124425,
      32.867089,
      -20.126717,
      32.923628,
      -20.038560,
      32.949518,
      -20.034564,
      33.028814,
      -19.776760,
      33.062782,
      -19.723096,
      32.958720,
      -19.707608,
      32.962356,
      -19.707608,
      33.102357,
      -21.756560,
      33.102357
    ]);
    poly[910] = _TzPolygon([
      -19.707608,
      32.962356,
      -19.651273,
      32.975583,
      -19.684140,
      32.892098,
      -19.673529,
      32.834432,
      -19.618549,
      32.857374,
      -19.483646,
      32.845370,
      -19.459900,
      32.777187,
      -19.361320,
      32.776410,
      -19.293630,
      32.849840,
      -19.097870,
      32.877400,
      -19.016390,
      32.833460,
      -19.025069,
      32.713745,
      -18.938757,
      32.698944,
      -18.927924,
      32.735110,
      -18.833630,
      32.711910,
      -18.781340,
      32.813740,
      -18.796280,
      32.892420,
      -18.766280,
      32.927790,
      -18.690190,
      32.954120,
      -18.579074,
      32.885902,
      -18.514440,
      32.887024,
      -18.473269,
      32.978940,
      -18.503376,
      32.984589,
      -18.497591,
      33.020476,
      -18.421125,
      33.018644,
      -18.348660,
      33.068341,
      -18.298522,
      33.016154,
      -18.228579,
      33.021657,
      -18.136801,
      32.972197,
      -18.112054,
      32.982062,
      -18.029428,
      32.950907,
      -18.032621,
      32.936014,
      -18.000010,
      32.955700,
      -17.984939,
      32.937601,
      -17.917999,
      32.983420,
      -17.913181,
      32.953000,
      -17.814939,
      32.960563,
      -17.802794,
      33.018321,
      -17.748261,
      33.029597,
      -17.731547,
      33.007278,
      -17.722220,
      33.029071,
      -17.688635,
      33.015737,
      -17.658655,
      33.029451,
      -17.658655,
      33.102357,
      -19.707608,
      33.102357
    ]);
    poly[911] = _TzPolygon([
      -15.609703,
      30.409697,
      -15.622543,
      30.418988,
      -15.655607,
      30.354065,
      -15.627950,
      30.260218,
      -15.668572,
      30.215112,
      -15.618760,
      30.162200,
      -15.643534,
      29.970554,
      -15.609937,
      29.824518,
      -15.692642,
      29.486878,
      -15.689937,
      29.455710,
      -15.609703,
      29.455710
    ]);
    poly[912] = _TzPolygon([
      -16.005896,
      31.279033,
      -16.007075,
      31.188227,
      -15.983640,
      31.140415,
      -16.016002,
      31.072365,
      -15.996799,
      31.063163,
      -16.060462,
      30.992286,
      -15.999772,
      30.922465,
      -15.999772,
      30.424565,
      -15.628041,
      30.425125,
      -15.609703,
      30.413147,
      -15.609703,
      31.279033
    ]);
    poly[913] = _TzPolygon([
      -16.005896,
      31.279033,
      -16.047333,
      31.344566,
      -16.137150,
      31.404530,
      -16.143692,
      31.434638,
      -16.160553,
      31.427516,
      -16.179633,
      31.630136,
      -16.236710,
      31.770810,
      -16.312560,
      31.835850,
      -16.336470,
      31.893790,
      -16.412870,
      31.913480,
      -16.442370,
      32.037540,
      -16.449170,
      32.344180,
      -16.599970,
      32.709160,
      -16.685540,
      32.709180,
      -16.719202,
      32.887977,
      -16.696047,
      32.923133,
      -16.706877,
      32.978682,
      -16.894220,
      32.912210,
      -16.920759,
      32.835674,
      -17.179280,
      32.986520,
      -17.308570,
      32.997410,
      -17.342273,
      33.052393,
      -17.398695,
      33.004403,
      -17.453704,
      33.000103,
      -17.479926,
      32.965432,
      -17.559455,
      32.983556,
      -17.604780,
      33.054097,
      -17.658655,
      33.029451,
      -17.658655,
      31.279033
    ]);
    poly[914] = _TzPolygon([
      -16.684630,
      34.883663,
      -16.675904,
      34.858255,
      -16.607233,
      34.842530,
      -16.585916,
      34.772473,
      -16.549196,
      34.777199,
      -16.512777,
      34.752435,
      -16.502974,
      34.682276,
      -16.438471,
      34.681017,
      -16.453223,
      34.652059,
      -16.417862,
      34.593880,
      -16.314358,
      34.570420,
      -16.279880,
      34.524020,
      -16.296385,
      34.490161,
      -16.264299,
      34.430902,
      -16.185296,
      34.397689,
      -16.043250,
      34.430168,
      -16.026037,
      34.388325,
      -15.964151,
      34.355377,
      -15.920721,
      34.260136,
      -15.896627,
      34.251476,
      -15.796756,
      34.271990,
      -15.744283,
      34.326264,
      -15.742514,
      34.364462,
      -15.685952,
      34.391429,
      -15.664698,
      34.435165,
      -15.619143,
      34.433392,
      -15.609703,
      34.456021,
      -15.609703,
      34.883663
    ]);
    poly[915] = _TzPolygon([
      -16.684630,
      34.883663,
      -15.609703,
      34.883663,
      -15.609703,
      35.836385,
      -15.964683,
      35.805229,
      -16.027691,
      35.817639,
      -16.101207,
      35.712291,
      -16.095725,
      35.673002,
      -16.133709,
      35.593852,
      -16.121635,
      35.557502,
      -16.168212,
      35.523250,
      -16.120582,
      35.486620,
      -16.113850,
      35.429637,
      -16.229426,
      35.297298,
      -16.325814,
      35.278330,
      -16.345718,
      35.302873,
      -16.398664,
      35.263227,
      -16.474995,
      35.261919,
      -16.562337,
      35.143452,
      -16.619576,
      35.166977,
      -16.646504,
      35.228464,
      -16.710325,
      35.288627,
      -16.796314,
      35.289518,
      -16.830480,
      35.314675,
      -16.940035,
      35.263092,
      -16.981560,
      35.304862,
      -17.034534,
      35.291951,
      -17.062452,
      35.313826,
      -17.123229,
      35.309137,
      -17.129603,
      35.097395,
      -17.107984,
      35.077968,
      -17.087249,
      35.108522,
      -17.049395,
      35.056540,
      -17.010473,
      35.051049,
      -16.937869,
      35.171517,
      -16.873946,
      35.146241,
      -16.839772,
      35.157457,
      -16.818120,
      35.135828,
      -16.828814,
      35.041798,
      -16.789006,
      34.990092,
      -16.748933,
      34.984715,
      -16.747367,
      34.919660,
      -16.693700,
      34.910070
    ]);
    poly[916] = _TzPolygon([
      -15.609703,
      22.000165,
      -12.999688,
      22.003724,
      -13.000767,
      24.058127,
      -12.896038,
      23.981923,
      -12.893796,
      23.939792,
      -12.840515,
      23.893522,
      -12.761026,
      23.899034,
      -12.698194,
      23.932934,
      -12.668182,
      23.923162,
      -12.593419,
      23.959855,
      -12.537001,
      23.947902,
      -12.424420,
      24.065636,
      -12.380775,
      24.077272,
      -12.333960,
      24.043014,
      -12.310366,
      24.066851,
      -12.269437,
      24.062446,
      -12.208033,
      23.999944,
      -12.136440,
      23.980392,
      -11.855963,
      23.998018,
      -11.829245,
      24.023031,
      -11.660648,
      23.960555,
      -11.531225,
      24.037901,
      -11.446033,
      24.024138,
      -11.404498,
      24.087886,
      -15.609703,
      24.087886
    ]);
    poly[917] = _TzPolygon([
      -5.867515,
      14.907735,
      -5.877845,
      14.699551,
      -5.904712,
      14.595772,
      -5.891823,
      14.347963,
      -5.857074,
      14.282713,
      -5.880785,
      14.238951,
      -5.869412,
      14.197609,
      -5.840477,
      14.187767,
      -5.852343,
      14.039940,
      -5.826426,
      13.999907,
      -5.850908,
      13.959918,
      -5.867939,
      13.587086,
      -5.886523,
      13.560470,
      -5.862452,
      13.514261,
      -5.860113,
      13.430998,
      -5.872514,
      13.377478,
      -5.908990,
      13.354151,
      -5.861911,
      13.222670,
      -5.903476,
      13.113667,
      -5.872514,
      13.088219,
      -5.863608,
      13.042413,
      -5.912383,
      12.951224,
      -5.924259,
      12.855794,
      -5.998058,
      12.751033,
      -6.078219,
      12.444385,
      -6.068181,
      12.389689,
      -6.005789,
      12.312360,
      -5.990189,
      12.114648,
      -5.889632,
      12.039074,
      -5.752477,
      12.219062,
      -5.742117,
      12.528415,
      -5.149089,
      12.533084,
      -5.149089,
      14.907735
    ]);
    poly[918] = _TzPolygon([
      -6.712941,
      16.771898,
      -6.712941,
      17.967785,
      -8.087427,
      17.967785,
      -8.080841,
      17.870074,
      -8.113420,
      17.796611,
      -8.100739,
      17.678324,
      -8.131037,
      17.612268,
      -8.128663,
      17.566153,
      -8.079336,
      17.504682,
      -8.045711,
      17.532371,
      -8.002273,
      17.481941,
      -7.949277,
      17.481474,
      -7.942796,
      17.450823,
      -7.870888,
      17.449754,
      -7.866007,
      17.422205,
      -7.834279,
      17.424047,
      -7.840260,
      17.392525,
      -7.813750,
      17.395307,
      -7.823937,
      17.378225,
      -7.776850,
      17.380859,
      -7.779502,
      17.331442,
      -7.752041,
      17.318778,
      -7.719129,
      17.333772,
      -7.692851,
      17.290026,
      -7.622997,
      17.295933,
      -7.580912,
      17.218914,
      -7.497431,
      17.196353,
      -7.470029,
      17.150176,
      -7.427987,
      17.179530,
      -7.403985,
      17.139190,
      -7.424072,
      17.107089,
      -7.349848,
      17.106231,
      -7.295705,
      17.026065,
      -7.292640,
      16.980403,
      -7.233893,
      16.940578,
      -7.203291,
      16.956607,
      -7.105302,
      16.915687,
      -7.117396,
      16.951564,
      -7.053344,
      16.966670,
      -7.021144,
      16.932166,
      -7.023700,
      16.906074,
      -6.909536,
      16.910709,
      -6.879201,
      16.879295,
      -6.881417,
      16.841014,
      -6.824491,
      16.841358,
      -6.800458,
      16.807712,
      -6.731419,
      16.800331
    ]);
    poly[919] = _TzPolygon([
      -5.867515,
      14.907735,
      -5.865682,
      14.944686,
      -5.870391,
      16.424045,
      -5.844012,
      16.491970,
      -5.873342,
      16.577215,
      -5.941343,
      16.576990,
      -5.949734,
      16.603515,
      -6.031511,
      16.587894,
      -6.037144,
      16.624114,
      -6.060165,
      16.599477,
      -6.065140,
      16.644370,
      -6.096889,
      16.636130,
      -6.108667,
      16.688315,
      -6.165673,
      16.730029,
      -6.207245,
      16.703665,
      -6.331354,
      16.720361,
      -6.334030,
      16.676593,
      -6.355352,
      16.694567,
      -6.386121,
      16.678992,
      -6.404484,
      16.723406,
      -6.424688,
      16.695455,
      -6.450201,
      16.718256,
      -6.481435,
      16.708492,
      -6.522611,
      16.752035,
      -6.578477,
      16.731494,
      -6.602692,
      16.756729,
      -6.707211,
      16.763080,
      -6.712941,
      16.771898,
      -6.712941,
      14.907735
    ]);
    poly[920] = _TzPolygon([
      -9.840646,
      22.557861,
      -11.039479,
      22.557861,
      -11.039479,
      22.508930,
      -11.064330,
      22.488848,
      -11.111912,
      22.502364,
      -11.167759,
      22.450266,
      -11.182424,
      22.346240,
      -11.236191,
      22.311464,
      -11.264140,
      22.249898,
      -11.178218,
      22.268516,
      -11.109652,
      22.215734,
      -10.935395,
      22.204812,
      -10.866104,
      22.166880,
      -10.809057,
      22.223055,
      -10.760136,
      22.328300,
      -10.665363,
      22.307268,
      -10.564175,
      22.316125,
      -10.530416,
      22.307143,
      -10.507853,
      22.271488,
      -10.379555,
      22.326257,
      -10.157618,
      22.215177,
      -10.071112,
      22.221668,
      -9.921277,
      22.186838,
      -9.869989,
      22.111170,
      -9.874921,
      22.069119,
      -9.840646,
      22.033681
    ]);
    poly[921] = _TzPolygon([
      -10.901448,
      24.087886,
      -10.887911,
      24.061981,
      -10.905935,
      23.973169,
      -11.035274,
      23.862838,
      -10.987303,
      23.759381,
      -11.003144,
      23.668621,
      -10.940670,
      23.514014,
      -10.946651,
      23.428588,
      -11.108579,
      23.195145,
      -11.081545,
      23.152533,
      -11.113367,
      23.081251,
      -11.090637,
      23.040761,
      -11.086697,
      22.906682,
      -11.062694,
      22.863039,
      -11.118398,
      22.773269,
      -11.113307,
      22.709927,
      -11.070574,
      22.633432,
      -11.039479,
      22.618339,
      -11.039479,
      22.557861,
      -9.840646,
      22.557861,
      -9.840646,
      24.087886
    ]);
    poly[922] = _TzPolygon([
      -11.404498,
      24.087886,
      -11.274737,
      24.031326,
      -11.139054,
      24.035376,
      -11.117166,
      24.001019,
      -11.098018,
      24.021792,
      -10.984795,
      24.024016,
      -10.942299,
      24.018016,
      -10.911178,
      23.980528,
      -10.889962,
      23.999872,
      -10.902345,
      24.087886
    ]);
    poly[923] = _TzPolygon([
      -9.840646,
      22.033681,
      -9.821243,
      22.013620,
      -9.749868,
      21.997780,
      -9.761299,
      21.977561,
      -9.686916,
      21.936724,
      -9.650331,
      21.874344,
      -9.456616,
      21.830953,
      -9.417920,
      21.791151,
      -9.227482,
      21.859537,
      -9.098000,
      21.834214,
      -9.043972,
      21.856104,
      -8.854432,
      21.861063,
      -8.785758,
      21.895816,
      -8.700399,
      21.892762,
      -8.559885,
      21.942593,
      -8.525983,
      21.930005,
      -8.504907,
      21.953438,
      -8.440467,
      21.949169,
      -8.394006,
      21.918374,
      -8.327432,
      21.932700,
      -8.291163,
      21.892738,
      -8.276794,
      21.891596,
      -8.276794,
      24.087886,
      -9.840646,
      24.087886
    ]);
    poly[924] = _TzPolygon([
      -6.712941,
      17.967785,
      -6.712941,
      19.800099,
      -6.769233,
      19.838663,
      -6.860497,
      19.931594,
      -6.991553,
      19.975228,
      -7.000000,
      19.547955,
      -7.055530,
      19.562227,
      -7.167522,
      19.498509,
      -7.243994,
      19.507977,
      -7.315709,
      19.485356,
      -7.457670,
      19.544568,
      -7.504452,
      19.486200,
      -7.571971,
      19.473334,
      -7.571945,
      19.383207,
      -7.591308,
      19.368572,
      -7.701570,
      19.412430,
      -7.901446,
      19.341656,
      -7.909022,
      19.360379,
      -8.000000,
      19.381333,
      -8.000000,
      18.796451,
      -7.913366,
      18.767612,
      -7.916667,
      18.530592,
      -8.000000,
      18.531911,
      -8.000000,
      18.407325,
      -8.024685,
      18.359153,
      -7.977444,
      18.213838,
      -8.036904,
      18.140164,
      -8.029180,
      18.105867,
      -8.096584,
      18.103629,
      -8.087427,
      17.967785
    ]);
    poly[925] = _TzPolygon([
      -6.712941,
      19.800099,
      -6.712941,
      21.027836,
      -7.283333,
      21.027836,
      -7.283333,
      20.553021,
      -7.166636,
      20.562136,
      -7.145907,
      20.546096,
      -7.062430,
      20.594792,
      -6.916668,
      20.627162,
      -6.916667,
      20.321995,
      -7.000000,
      20.302885,
      -7.000045,
      19.966205,
      -6.860497,
      19.931594,
      -6.769233,
      19.838663
    ]);
    poly[926] = _TzPolygon([
      -6.712941,
      19.800099,
      -6.583970,
      19.711743,
      -6.529964,
      19.698210,
      -6.425275,
      19.720918,
      -6.345803,
      19.684782,
      -6.302101,
      19.698657,
      -6.242268,
      19.673775,
      -6.164736,
      19.691198,
      -6.043719,
      19.871099,
      -6.019136,
      19.876593,
      -6.032623,
      19.892900,
      -6.007186,
      19.951952,
      -5.955797,
      20.014952,
      -5.867806,
      20.049235,
      -5.843778,
      20.107026,
      -5.798180,
      20.117669,
      -5.746601,
      20.166421,
      -5.631813,
      20.180669,
      -5.546353,
      20.130119,
      -5.418196,
      20.126857,
      -5.350347,
      20.137328,
      -5.283687,
      20.195693,
      -5.187274,
      20.205135,
      -5.149089,
      20.196621,
      -5.149089,
      21.027836,
      -6.712941,
      21.027836
    ]);
    poly[927] = _TzPolygon([
      -7.283333,
      21.027836,
      -7.283333,
      21.789226,
      -7.374855,
      21.843902,
      -7.409034,
      21.835182,
      -7.426874,
      21.859344,
      -7.524345,
      21.842205,
      -7.560966,
      21.859528,
      -7.775054,
      21.776160,
      -7.907684,
      21.777607,
      -7.940019,
      21.751542,
      -8.028953,
      21.776265,
      -8.070117,
      21.823821,
      -8.143018,
      21.849238,
      -8.176350,
      21.883612,
      -8.276794,
      21.891596,
      -8.276794,
      21.027836
    ]);
    poly[928] = _TzPolygon(
        [-13.998540, 33.239352, -14.001513, 33.205300, -13.998540, 33.203646]);
    poly[929] = _TzPolygon([
      -13.998540,
      33.068531,
      -14.021592,
      33.065137,
      -14.049778,
      33.022606,
      -14.018389,
      32.990661,
      -13.998540,
      32.992559
    ]);
    poly[930] = _TzPolygon([
      -15.609703,
      30.413147,
      -15.539029,
      30.366985,
      -15.476359,
      30.401596,
      -15.437229,
      30.376962,
      -15.369604,
      30.384837,
      -15.322259,
      30.363208,
      -15.264305,
      30.283214,
      -15.087157,
      30.213820,
      -15.035977,
      30.234805,
      -14.996583,
      30.216723,
      -14.959570,
      30.365150,
      -14.784650,
      30.796370,
      -14.620160,
      31.472610,
      -14.506430,
      31.683310,
      -14.323340,
      32.241370,
      -14.282690,
      32.451430,
      -13.998540,
      33.220324,
      -14.006477,
      33.239352,
      -15.609703,
      33.239352
    ]);
    poly[931] = _TzPolygon([
      -13.998540,
      33.242700,
      -13.998540,
      33.701099,
      -14.589984,
      33.701099,
      -14.615774,
      33.665131,
      -14.587152,
      33.634241,
      -14.492111,
      33.607900,
      -14.478512,
      33.562280,
      -14.419739,
      33.528445,
      -14.400989,
      33.470172,
      -14.219747,
      33.385076,
      -14.216961,
      33.341943,
      -14.148215,
      33.298586,
      -14.084435,
      33.322230,
      -14.031888,
      33.300272
    ]);
    poly[932] = _TzPolygon([
      -11.823031,
      25.764102,
      -11.816750,
      25.714760,
      -11.731434,
      25.651065,
      -11.734490,
      25.595910,
      -11.791291,
      25.505670,
      -11.682411,
      25.472349,
      -11.626927,
      25.331983,
      -11.580359,
      25.330556,
      -11.519321,
      25.292853,
      -11.494546,
      25.332053,
      -11.487744,
      25.308400,
      -11.356714,
      25.280046,
      -11.346894,
      25.313482,
      -11.305892,
      25.292007,
      -11.280765,
      25.338032,
      -11.259901,
      25.316404,
      -11.196125,
      25.352400,
      -11.191711,
      25.302179,
      -11.254733,
      25.118359,
      -11.245046,
      25.027824,
      -11.274559,
      24.911632,
      -11.266343,
      24.870439,
      -11.296760,
      24.850607,
      -11.303085,
      24.750497,
      -11.316402,
      24.728572,
      -11.331222,
      24.738843,
      -11.333118,
      24.694038,
      -11.401220,
      24.641617,
      -11.419831,
      24.591436,
      -11.452883,
      24.584336,
      -11.467194,
      24.441231,
      -11.427029,
      24.419887,
      -11.388312,
      24.279586,
      -11.353204,
      24.358136,
      -11.264614,
      24.401644,
      -11.199923,
      24.401878,
      -11.173626,
      24.377202,
      -11.134911,
      24.384727,
      -11.134911,
      25.764102
    ]);
    poly[933] = _TzPolygon([
      -11.823031,
      25.764102,
      -11.830624,
      25.823751,
      -11.808262,
      25.886943,
      -11.868917,
      25.905824,
      -11.907207,
      25.992159,
      -11.947892,
      25.979775,
      -11.937984,
      26.185564,
      -11.920791,
      26.208133,
      -11.963600,
      26.312734,
      -11.910467,
      26.428331,
      -11.918636,
      26.477932,
      -11.952005,
      26.499932,
      -11.985886,
      26.572340,
      -11.967245,
      26.590981,
      -12.006384,
      26.709163,
      -11.955406,
      26.774466,
      -11.986999,
      26.819525,
      -11.984942,
      26.877597,
      -11.919365,
      26.958063,
      -11.842405,
      27.006920,
      -11.749231,
      27.003863,
      -11.707180,
      27.047559,
      -11.614822,
      27.017862,
      -11.593114,
      27.050343,
      -11.601346,
      27.159405,
      -11.563135,
      27.205080,
      -11.683375,
      27.235382,
      -11.785262,
      27.229350,
      -11.830651,
      27.338889,
      -11.911020,
      27.440317,
      -13.998540,
      27.440317,
      -13.998540,
      25.764102
    ]);
    poly[934] = _TzPolygon([
      -10.902345,
      24.087886,
      -10.906289,
      24.115917,
      -11.041632,
      24.149793,
      -11.020549,
      24.186209,
      -11.050664,
      24.244839,
      -11.041385,
      24.301896,
      -11.085121,
      24.379338,
      -11.121481,
      24.392538,
      -11.134911,
      24.388588,
      -11.134911,
      24.087886
    ]);
    poly[935] = _TzPolygon([
      -12.566726,
      28.452285,
      -12.566726,
      29.116533,
      -13.368983,
      29.116533,
      -13.423191,
      29.005688,
      -13.389286,
      28.983248,
      -13.368536,
      28.997128,
      -13.375155,
      28.961744,
      -13.164316,
      28.903924,
      -13.145768,
      28.838489,
      -13.005010,
      28.825697,
      -12.938614,
      28.782722,
      -12.941587,
      28.753871,
      -12.881256,
      28.728959,
      -12.814737,
      28.653806,
      -12.832944,
      28.609886,
      -12.896985,
      28.582595,
      -12.897398,
      28.565177,
      -12.852727,
      28.536460,
      -12.823484,
      28.542954,
      -12.731551,
      28.456652,
      -12.696603,
      28.461419,
      -12.686580,
      28.512810,
      -12.637666,
      28.534695
    ]);
    poly[936] = _TzPolygon([
      -11.911020,
      27.440317,
      -11.928770,
      27.462719,
      -12.052970,
      27.470110,
      -12.058726,
      27.497603,
      -12.177275,
      27.533615,
      -12.221871,
      27.616450,
      -12.270365,
      27.622486,
      -12.293204,
      27.762703,
      -12.251378,
      27.814991,
      -12.221684,
      27.812213,
      -12.241167,
      27.931962,
      -12.314518,
      27.961017,
      -12.359039,
      27.955799,
      -12.338543,
      27.990861,
      -12.348846,
      28.078981,
      -12.439015,
      28.122414,
      -12.427941,
      28.150155,
      -12.398811,
      28.145350,
      -12.377714,
      28.170726,
      -12.422498,
      28.230338,
      -12.407943,
      28.257577,
      -12.425032,
      28.278425,
      -12.566726,
      28.278425,
      -12.566726,
      27.440317
    ]);
    poly[937] = _TzPolygon([
      -12.425032,
      28.278425,
      -12.426979,
      28.280801,
      -12.419597,
      28.322832,
      -12.500387,
      28.399142,
      -12.516378,
      28.447980,
      -12.553842,
      28.437319,
      -12.566726,
      28.452285,
      -12.566726,
      28.278425
    ]);
    poly[938] = _TzPolygon([
      -12.386409,
      29.116533,
      -12.375373,
      29.107468,
      -12.384325,
      29.042280,
      -12.285352,
      29.005695,
      -12.172418,
      28.917526,
      -12.147125,
      28.865528,
      -12.046430,
      28.776206,
      -11.979122,
      28.754472,
      -11.984396,
      28.700062,
      -11.908313,
      28.615380,
      -11.883454,
      28.494273,
      -11.844988,
      28.493235,
      -11.828124,
      28.474798,
      -11.840093,
      28.452747,
      -11.815959,
      28.435590,
      -11.775235,
      28.455284,
      -11.724293,
      28.418661,
      -11.651344,
      28.433904,
      -11.591444,
      28.387422,
      -11.545145,
      28.385353,
      -11.391228,
      28.425843,
      -11.370566,
      28.456353,
      -11.298698,
      28.453816,
      -11.240116,
      28.489466,
      -11.146942,
      28.499752,
      -11.134911,
      28.493335,
      -11.134911,
      29.116533
    ]);
    poly[939] = _TzPolygon([
      -13.368983,
      29.116533,
      -12.386409,
      29.116533,
      -12.396716,
      29.124999,
      -12.360570,
      29.269548,
      -12.422088,
      29.321749,
      -12.412663,
      29.373651,
      -12.460158,
      29.479430,
      -12.405572,
      29.530482,
      -12.396720,
      29.488983,
      -12.333966,
      29.460594,
      -12.249399,
      29.482381,
      -12.230770,
      29.531333,
      -12.181820,
      29.575085,
      -12.221337,
      29.616833,
      -12.232164,
      29.681504,
      -12.204092,
      29.737555,
      -12.149369,
      29.772546,
      -12.149947,
      29.814790,
      -13.444499,
      29.814759,
      -13.433170,
      29.776424,
      -13.459035,
      29.726404,
      -13.424006,
      29.672409,
      -13.433105,
      29.639046,
      -13.403673,
      29.613116,
      -13.375137,
      29.621703,
      -13.363390,
      29.604829,
      -13.349763,
      29.649939,
      -13.294444,
      29.646308,
      -13.251555,
      29.682661,
      -13.224600,
      29.675014,
      -13.243567,
      29.640883,
      -13.203668,
      29.585563,
      -13.247970,
      29.504409,
      -13.313285,
      29.441285,
      -13.325537,
      29.361616,
      -13.353148,
      29.351998,
      -13.333942,
      29.316159,
      -13.374752,
      29.297604,
      -13.448835,
      29.178509,
      -13.404249,
      29.166373,
      -13.367511,
      29.119544
    ]);
    poly[940] = _TzPolygon([
      -11.134911,
      28.493335,
      -11.103479,
      28.476571,
      -11.020340,
      28.512599,
      -10.970210,
      28.510365,
      -10.947537,
      28.540304,
      -10.847130,
      28.549417,
      -10.768615,
      28.603769,
      -10.724992,
      28.608726,
      -10.722300,
      28.662335,
      -10.683519,
      28.663692,
      -10.673800,
      28.697246,
      -10.637592,
      28.688393,
      -10.626490,
      28.659173,
      -10.563421,
      28.673458,
      -10.518294,
      28.629829,
      -10.449687,
      28.647545,
      -10.364691,
      28.618374,
      -10.299902,
      28.634357,
      -10.226195,
      28.575822,
      -10.163785,
      28.626856,
      -10.046194,
      28.644290,
      -9.997119,
      28.621223,
      -9.944905,
      28.627850,
      -9.811769,
      28.675746,
      -9.801607,
      28.696679,
      -9.751002,
      28.668470,
      -9.746895,
      28.635796,
      -9.718205,
      28.618234,
      -9.697828,
      28.631098,
      -9.592655,
      28.612234,
      -9.575947,
      28.581133,
      -9.552457,
      28.618911,
      -9.557359,
      28.576728,
      -9.484813,
      28.571904,
      -9.478083,
      28.535243,
      -9.454917,
      28.537078,
      -9.448200,
      28.513287,
      -9.358889,
      28.520833,
      -9.311667,
      28.402222,
      -9.260833,
      28.372222,
      -9.228889,
      28.395556,
      -9.093889,
      28.622500,
      -8.840000,
      28.860833,
      -8.667778,
      28.961667,
      -8.546944,
      28.937500,
      -8.479167,
      28.896944,
      -8.271282,
      30.792749,
      -11.134911,
      30.792749
    ]);
    poly[941] = _TzPolygon([
      -8.265476,
      30.792749,
      -7.970278,
      30.696944,
      -7.580278,
      30.455833,
      -7.356389,
      30.406944,
      -7.136944,
      30.311389,
      -6.962500,
      30.188333,
      -6.860278,
      30.082500,
      -6.755278,
      29.891389,
      -6.627500,
      29.732500,
      -6.455556,
      29.661111,
      -6.300833,
      29.552500,
      -5.991389,
      29.495833,
      -5.918889,
      29.518889,
      -5.798889,
      29.614167,
      -5.697222,
      29.628333,
      -5.184444,
      29.458611,
      -5.149089,
      29.440749,
      -5.149089,
      30.792749
    ]);
    poly[942] = _TzPolygon([
      -11.786177,
      30.792749,
      -11.786177,
      33.328851,
      -11.890052,
      33.327606,
      -11.923663,
      33.348439,
      -12.140198,
      33.256902,
      -12.186765,
      33.307413,
      -12.248652,
      33.311437,
      -12.347920,
      33.376109,
      -12.325448,
      33.475501,
      -12.363927,
      33.548555,
      -12.421672,
      33.492002,
      -12.417455,
      33.473736,
      -12.474728,
      33.458669,
      -12.553990,
      33.375399,
      -12.532783,
      33.334224,
      -12.548461,
      33.271888,
      -12.637663,
      33.179940,
      -12.613542,
      33.181313,
      -12.598464,
      33.152817,
      -12.599172,
      33.048669,
      -12.768230,
      32.937075,
      -12.860822,
      32.954801,
      -12.903850,
      33.020353,
      -13.112252,
      32.983961,
      -13.210203,
      33.006792,
      -13.298619,
      32.943391,
      -13.405888,
      32.920106,
      -13.463110,
      32.887606,
      -13.468943,
      32.859828,
      -13.525849,
      32.847688,
      -13.576721,
      32.747328,
      -13.559227,
      32.697312,
      -13.574746,
      32.670362,
      -13.639499,
      32.692606,
      -13.649500,
      32.783717,
      -13.707556,
      32.842050,
      -13.785056,
      32.768717,
      -13.815889,
      32.809272,
      -13.839778,
      32.910384,
      -13.883389,
      32.917328,
      -13.942833,
      32.997884,
      -13.998540,
      32.992559,
      -13.998540,
      30.792749
    ]);
    poly[943] = _TzPolygon([
      -13.998540,
      33.068531,
      -13.986615,
      33.070287,
      -13.961167,
      33.135384,
      -13.922746,
      33.161491,
      -13.998540,
      33.215808
    ]);
    poly[944] = _TzPolygon([
      -9.573815,
      33.418387,
      -9.573815,
      33.701099,
      -9.611583,
      33.701099,
      -9.614468,
      33.698889,
      -9.579288,
      33.586555,
      -9.625868,
      33.510781,
      -9.614252,
      33.443259
    ]);
    poly[945] = _TzPolygon([
      -9.573815,
      33.004886,
      -9.626094,
      32.996071,
      -9.616094,
      33.060516,
      -9.665816,
      33.099682,
      -9.586650,
      33.113571,
      -9.603039,
      33.206071,
      -9.792761,
      33.296904,
      -9.823039,
      33.361904,
      -9.912205,
      33.391071,
      -9.936094,
      33.360238,
      -10.051111,
      33.315266,
      -10.212222,
      33.555266,
      -10.341944,
      33.544432,
      -10.462500,
      33.636099,
      -10.510484,
      33.636934,
      -10.577446,
      33.676825,
      -10.568333,
      33.701099,
      -10.702222,
      33.553333,
      -10.776389,
      33.510556,
      -10.807778,
      33.453611,
      -10.793056,
      33.413056,
      -10.807500,
      33.359722,
      -10.861750,
      33.316356,
      -10.845556,
      33.280278,
      -10.889167,
      33.259167,
      -10.938889,
      33.305000,
      -11.070554,
      33.328029,
      -11.158114,
      33.404576,
      -11.235912,
      33.379685,
      -11.376497,
      33.289405,
      -11.433939,
      33.292884,
      -11.403196,
      33.243757,
      -11.417835,
      33.230710,
      -11.474773,
      33.255939,
      -11.587551,
      33.242884,
      -11.611996,
      33.330939,
      -11.786177,
      33.328851,
      -11.786177,
      30.792749,
      -9.573815,
      30.792749
    ]);
    poly[946] = _TzPolygon([
      -9.573815,
      33.002741,
      -9.507483,
      33.016071,
      -9.415387,
      32.948084,
      -9.368326,
      32.992709,
      -9.493295,
      33.144293,
      -9.509750,
      33.212448,
      -9.488116,
      33.244833,
      -9.500823,
      33.278236,
      -9.486112,
      33.326002,
      -9.535027,
      33.394529,
      -9.573815,
      33.418387
    ]);
    poly[947] = _TzPolygon([
      -8.271282,
      30.792749,
      -8.538316,
      30.978071,
      -8.621816,
      31.077941,
      -8.631390,
      31.149640,
      -8.583538,
      31.211052,
      -8.632150,
      31.278122,
      -8.606841,
      31.312361,
      -8.617067,
      31.348050,
      -8.587210,
      31.375010,
      -8.631410,
      31.398140,
      -8.640340,
      31.458730,
      -8.684140,
      31.489520,
      -8.683610,
      31.536170,
      -8.709550,
      31.570480,
      -8.823560,
      31.576390,
      -8.911260,
      31.679900,
      -8.923260,
      31.734750,
      -8.895350,
      31.766370,
      -8.890280,
      31.821660,
      -8.936776,
      31.947051,
      -9.018010,
      31.936660,
      -9.071180,
      31.984380,
      -9.051370,
      32.060910,
      -9.062930,
      32.164072,
      -9.133575,
      32.267020,
      -9.118255,
      32.431400,
      -9.153105,
      32.493520,
      -9.172335,
      32.486630,
      -9.254665,
      32.540910,
      -9.246345,
      32.584490,
      -9.275765,
      32.648529,
      -9.285126,
      32.755682,
      -9.323136,
      32.765450,
      -9.401161,
      32.954093,
      -9.491927,
      32.988849,
      -9.507483,
      33.016071,
      -9.573815,
      33.004886,
      -9.573815,
      30.792749
    ]);
    poly[948] = _TzPolygon([
      -14.386368,
      34.358479,
      -14.431277,
      34.264367,
      -14.458610,
      34.084883,
      -14.489603,
      34.087049,
      -14.470590,
      33.936017,
      -14.549837,
      33.814140,
      -14.501344,
      33.716264,
      -14.537773,
      33.702650,
      -14.577867,
      33.717998,
      -14.589984,
      33.701099,
      -14.386368,
      33.701099
    ]);
    poly[949] = _TzPolygon([
      -15.002667,
      34.358479,
      -15.002667,
      34.622374,
      -15.080658,
      34.571439,
      -15.096157,
      34.591939,
      -15.124790,
      34.568761,
      -15.265405,
      34.603263,
      -15.326200,
      34.574697,
      -15.353738,
      34.518884,
      -15.414064,
      34.510686,
      -15.423293,
      34.441124,
      -15.493324,
      34.426395,
      -15.608898,
      34.457951,
      -15.609004,
      34.358479
    ]);
    poly[950] = _TzPolygon([
      -15.002667,
      34.622374,
      -14.898901,
      34.565292,
      -14.811327,
      34.584002,
      -14.688096,
      34.520733,
      -14.646376,
      34.551564,
      -14.555128,
      34.516104,
      -14.519512,
      34.464636,
      -14.395707,
      34.393408,
      -14.386368,
      34.359039,
      -14.386368,
      34.622374
    ]);
    poly[951] = _TzPolygon([
      -15.609703,
      35.836385,
      -15.419138,
      35.853111,
      -15.169963,
      35.790065,
      -14.895350,
      35.918573,
      -14.895363,
      35.872112,
      -14.675621,
      35.872098,
      -14.386368,
      35.627946,
      -14.386368,
      40.227580,
      -15.609703,
      40.227580
    ]);
    poly[952] = _TzPolygon([
      -14.386368,
      35.627946,
      -14.259227,
      35.520629,
      -14.170657,
      35.486785,
      -13.699308,
      35.089576,
      -13.483110,
      34.866898,
      -13.483110,
      34.607174,
      -13.348167,
      34.561527,
      -13.232242,
      34.576116,
      -12.907414,
      34.532412,
      -12.736354,
      34.535023,
      -12.570796,
      34.455736,
      -12.265443,
      34.417260,
      -12.171652,
      34.378231,
      -12.077048,
      34.428389,
      -12.077048,
      36.964340,
      -14.386368,
      36.964340
    ]);
    poly[953] = _TzPolygon([
      -11.569075,
      35.332719,
      -11.575345,
      34.960433,
      -11.400000,
      34.929000,
      -11.324750,
      34.794750,
      -11.279111,
      34.800529,
      -11.211159,
      34.759604,
      -11.118500,
      34.638000,
      -11.053124,
      34.637388,
      -11.045500,
      34.615000,
      -11.002750,
      34.622750,
      -10.939500,
      34.673250,
      -10.761000,
      34.683250,
      -10.713250,
      34.650000,
      -10.688750,
      34.660750,
      -10.617250,
      34.617250,
      -10.597000,
      34.625750,
      -10.572250,
      34.584500,
      -10.529000,
      34.570000,
      -10.485000,
      34.596500,
      -10.428500,
      34.559500,
      -10.308000,
      34.586750,
      -10.206500,
      34.570500,
      -10.119000,
      34.520500,
      -10.067250,
      34.541500,
      -9.767729,
      34.333988,
      -9.767729,
      35.332719
    ]);
    poly[954] = _TzPolygon([
      -12.077048,
      34.428389,
      -11.972391,
      34.483877,
      -11.856008,
      34.590756,
      -11.739242,
      34.634426,
      -11.573566,
      34.636897,
      -11.568976,
      35.332719,
      -12.077048,
      35.332719
    ]);
    poly[955] = _TzPolygon([
      -11.568976,
      35.332719,
      -11.568913,
      35.342316,
      -11.585084,
      35.387440,
      -11.562091,
      35.415355,
      -11.584215,
      35.441946,
      -11.576507,
      35.478377,
      -11.559626,
      35.477888,
      -11.582192,
      35.515192,
      -11.558688,
      35.528067,
      -11.569741,
      35.550137,
      -11.548838,
      35.574603,
      -11.562921,
      35.644761,
      -11.506730,
      35.711484,
      -11.477472,
      35.711639,
      -11.470657,
      35.774572,
      -11.419842,
      35.810930,
      -11.411228,
      35.843352,
      -11.438248,
      35.913531,
      -11.422892,
      35.943818,
      -11.465587,
      35.957946,
      -11.457663,
      35.985547,
      -11.494471,
      36.042192,
      -11.540585,
      36.062893,
      -11.512823,
      36.120043,
      -11.570353,
      36.154096,
      -11.547985,
      36.183413,
      -11.566800,
      36.175360,
      -11.582068,
      36.199761,
      -11.670874,
      36.183230,
      -11.708525,
      36.217465,
      -11.690431,
      36.270217,
      -11.719746,
      36.307039,
      -11.713096,
      36.355770,
      -11.678515,
      36.386768,
      -11.680225,
      36.482846,
      -11.698283,
      36.517658,
      -11.759261,
      36.511461,
      -11.698523,
      36.573255,
      -11.737779,
      36.627242,
      -11.648194,
      36.768322,
      -11.550491,
      36.814589,
      -11.595382,
      36.867529,
      -11.589811,
      36.964340,
      -12.077048,
      36.964340,
      -12.077048,
      35.332719
    ]);
    poly[956] = _TzPolygon([
      -11.589811,
      36.964340,
      -11.586129,
      37.028323,
      -11.625113,
      37.080046,
      -11.655315,
      37.220281,
      -11.634360,
      37.273811,
      -11.677959,
      37.332265,
      -11.691263,
      37.398726,
      -11.636313,
      37.445275,
      -11.614112,
      37.501854,
      -11.626115,
      37.582392,
      -11.575462,
      37.656892,
      -11.546822,
      37.752804,
      -11.506450,
      37.786640,
      -11.457268,
      37.777250,
      -11.372271,
      37.827490,
      -11.311206,
      37.830280,
      -11.260281,
      37.930590,
      -11.271239,
      38.215691,
      -11.289381,
      38.268840,
      -11.328712,
      38.284052,
      -11.331431,
      38.333561,
      -11.373730,
      38.368672,
      -11.419405,
      38.470308,
      -11.286101,
      38.636391,
      -11.273193,
      38.752408,
      -11.171765,
      38.882995,
      -11.143433,
      39.124245,
      -11.175432,
      39.246038,
      -10.980957,
      39.523081,
      -10.914043,
      39.763603,
      -10.849727,
      39.865150,
      -10.806914,
      39.999104,
      -10.670602,
      40.173255,
      -10.603183,
      40.227580,
      -14.386368,
      40.227580,
      -14.386368,
      36.964340
    ]);
    poly[957] = _TzPolygon([
      -9.611583,
      33.701099,
      -9.583660,
      33.722487,
      -9.586363,
      33.773357,
      -9.718675,
      33.938925,
      -9.619009,
      33.967551,
      -9.559071,
      33.949536,
      -9.493500,
      34.040000,
      -9.757889,
      34.327171,
      -9.767729,
      34.333988,
      -9.767729,
      33.701099
    ]);
    poly[958] = _TzPolygon([
      9.636901,
      -4.286175,
      9.596716,
      -4.312933,
      9.625437,
      -4.341473,
      9.596478,
      -4.390435,
      9.636901,
      -4.413726
    ]);
    poly[959] = _TzPolygon([
      7.088077,
      -4.045655,
      7.088077,
      -3.030016,
      7.071809,
      -3.031893,
      7.052705,
      -3.087603,
      6.822296,
      -3.232027,
      6.777575,
      -3.236115,
      6.731702,
      -3.208998,
      6.623015,
      -3.260786,
      6.601251,
      -3.233268,
      6.252820,
      -3.175691,
      6.251522,
      -3.154513,
      6.153126,
      -3.102740,
      5.985004,
      -3.073809,
      5.856884,
      -3.020033,
      5.709230,
      -3.026427,
      5.716022,
      -2.953969,
      5.641276,
      -2.966448,
      5.619962,
      -2.933506,
      5.657319,
      -2.857874,
      5.599837,
      -2.761294,
      5.437734,
      -2.748967,
      5.387981,
      -2.724216,
      5.342807,
      -2.724146,
      5.356565,
      -2.769282,
      5.304442,
      -2.766837,
      5.289931,
      -2.785249,
      5.250691,
      -2.753181,
      5.216962,
      -2.764245,
      5.140927,
      -2.723532,
      5.101642,
      -2.757012,
      5.128030,
      -2.876199,
      5.126928,
      -2.948670,
      5.103333,
      -2.963056,
      5.134464,
      -3.068524,
      5.124754,
      -3.108305,
      4.895925,
      -3.148288,
      4.994171,
      -3.758068,
      5.046503,
      -3.965016,
      5.038403,
      -4.045655
    ]);
    poly[960] = _TzPolygon([
      7.088077,
      -3.030016,
      7.141769,
      -3.023819,
      7.237718,
      -2.952799,
      7.269923,
      -2.975304,
      7.612207,
      -2.922151,
      7.820013,
      -2.831048,
      7.862630,
      -2.791195,
      7.952178,
      -2.781419,
      7.922653,
      -2.746703,
      8.020386,
      -2.679616,
      8.030426,
      -2.604682,
      8.123750,
      -2.626841,
      8.152074,
      -2.608096,
      8.145660,
      -2.551387,
      8.206478,
      -2.493031,
      8.786579,
      -2.584254,
      8.794263,
      -2.630319,
      8.827969,
      -2.596807,
      8.878310,
      -2.623229,
      8.921731,
      -2.618056,
      8.943087,
      -2.651290,
      9.019233,
      -2.663835,
      9.032116,
      -2.748035,
      9.063156,
      -2.780181,
      9.090598,
      -2.760830,
      9.143359,
      -2.772785,
      9.158293,
      -2.735016,
      9.257247,
      -2.657061,
      9.313522,
      -2.721153,
      9.372280,
      -2.675979,
      9.486392,
      -2.684108,
      9.569059,
      -2.768477,
      9.636901,
      -2.746990,
      9.636901,
      -0.723987,
      7.088077,
      -0.723987
    ]);
    poly[961] = _TzPolygon([
      9.636901,
      -2.961019,
      9.636901,
      -2.746990,
      9.569059,
      -2.768477,
      9.491666,
      -2.687203,
      9.410472,
      -2.767721,
      9.575542,
      -2.935340
    ]);
    poly[962] = _TzPolygon([
      10.271946,
      -7.367323,
      10.274467,
      -7.363089,
      10.332002,
      -7.357427,
      10.337964,
      -7.367323,
      10.998676,
      -7.367323,
      10.998676,
      -6.536906,
      10.591899,
      -6.536906,
      10.628390,
      -6.595214,
      10.671935,
      -6.615223,
      10.673269,
      -6.640854,
      10.634290,
      -6.644065,
      10.598677,
      -6.676063,
      10.536404,
      -6.659395,
      10.526980,
      -6.682369,
      10.467694,
      -6.676656,
      10.438694,
      -6.625990,
      10.398041,
      -6.654553,
      10.364058,
      -6.643946,
      10.340825,
      -6.698501,
      10.386824,
      -6.806505,
      10.344946,
      -6.859148,
      10.354713,
      -6.940187,
      10.262254,
      -7.011270,
      10.218386,
      -6.977491,
      10.172364,
      -6.995023,
      10.147811,
      -7.049049,
      10.165190,
      -7.086045,
      10.209164,
      -7.084597,
      10.251953,
      -7.148583,
      10.266040,
      -7.278004,
      10.236172,
      -7.337537,
      10.242986,
      -7.367323
    ]);
    poly[963] = _TzPolygon([
      10.591899,
      -6.536906,
      10.562645,
      -6.427134,
      10.598567,
      -6.397501,
      10.700758,
      -6.413795,
      10.684025,
      -6.320884,
      10.740197,
      -6.246191,
      10.724488,
      -6.210674,
      10.660038,
      -6.231403,
      10.634245,
      -6.183113,
      10.615769,
      -6.223228,
      10.581067,
      -6.205066,
      10.529258,
      -6.247732,
      10.486274,
      -6.160440,
      10.449091,
      -6.185643,
      10.418941,
      -6.155388,
      10.387995,
      -6.187500,
      10.363453,
      -6.159603,
      10.339240,
      -6.192515,
      10.302649,
      -6.189132,
      10.316304,
      -6.206246,
      10.301972,
      -6.233048,
      10.227152,
      -6.177825,
      10.197135,
      -5.985932,
      10.278032,
      -5.954100,
      10.266982,
      -5.885976,
      10.377784,
      -5.866918,
      10.379406,
      -5.840459,
      10.433439,
      -5.785716,
      10.431181,
      -5.706489,
      9.636901,
      -5.706489,
      9.636901,
      -6.536906
    ]);
    poly[964] = _TzPolygon([
      10.317788,
      -5.197092,
      10.317788,
      -4.876072,
      9.881581,
      -4.876072,
      9.891179,
      -4.912808,
      9.868258,
      -4.929519,
      9.892372,
      -4.966957,
      9.946322,
      -4.963884,
      9.953859,
      -4.940390,
      9.992084,
      -4.987612,
      10.023691,
      -4.961258,
      10.072621,
      -5.015148,
      10.107264,
      -4.999303,
      10.082576,
      -5.055264,
      10.108504,
      -5.038393,
      10.111259,
      -5.073111,
      10.122127,
      -5.036777,
      10.139102,
      -5.069697,
      10.180756,
      -5.060542,
      10.175528,
      -5.104580,
      10.194631,
      -5.080255,
      10.224068,
      -5.083159,
      10.204687,
      -5.121975,
      10.236970,
      -5.105604,
      10.256548,
      -5.119517,
      10.272982,
      -5.097830,
      10.283133,
      -5.120450,
      10.307651,
      -5.110961,
      10.287832,
      -5.188943
    ]);
    poly[965] = _TzPolygon(
        [10.317788, -5.211651, 10.305438, -5.256699, 10.317788, -5.284404]);
    poly[966] = _TzPolygon([
      10.317788,
      -5.292417,
      10.290359,
      -5.322865,
      10.305241,
      -5.348741,
      10.282479,
      -5.362910,
      10.317788,
      -5.429921
    ]);
    poly[967] = _TzPolygon([
      10.431181,
      -5.706489,
      10.431107,
      -5.703907,
      10.468109,
      -5.651395,
      10.451180,
      -5.617637,
      10.463243,
      -5.557725,
      10.424538,
      -5.499865,
      10.321806,
      -5.437546,
      10.317788,
      -5.429921,
      10.317788,
      -5.706489
    ]);
    poly[968] = _TzPolygon(
        [10.317788, -5.292417, 10.320178, -5.289764, 10.317788, -5.284404]);
    poly[969] = _TzPolygon(
        [10.317788, -5.211651, 10.321503, -5.198102, 10.317788, -5.197092]);
    poly[970] = _TzPolygon([
      10.998676,
      -5.706489,
      10.998676,
      -5.481553,
      10.973614,
      -5.492525,
      10.976044,
      -5.452003,
      10.901324,
      -5.451622,
      10.854347,
      -5.402723,
      10.774869,
      -5.432628,
      10.764731,
      -5.468008,
      10.643995,
      -5.461520,
      10.623197,
      -5.478925,
      10.557722,
      -5.456998,
      10.431726,
      -5.512140,
      10.463953,
      -5.559955,
      10.451180,
      -5.617637,
      10.468109,
      -5.649571,
      10.431107,
      -5.703907,
      10.431402,
      -5.706489
    ]);
    poly[971] = _TzPolygon([
      9.636901,
      -4.413726,
      9.664151,
      -4.429427,
      9.646781,
      -4.504978,
      9.751433,
      -4.515380,
      9.741919,
      -4.553703,
      9.718202,
      -4.542943,
      9.693190,
      -4.561851,
      9.725141,
      -4.612509,
      9.702850,
      -4.620837,
      9.713127,
      -4.645830,
      9.686958,
      -4.656353,
      9.678492,
      -4.690594,
      9.747114,
      -4.733283,
      9.755573,
      -4.761698,
      9.736792,
      -4.774956,
      9.783664,
      -4.816693,
      9.781454,
      -4.783853,
      9.835547,
      -4.785854,
      9.872090,
      -4.839742,
      9.881581,
      -4.876072,
      10.998676,
      -4.876072,
      10.998676,
      -4.045655,
      9.810969,
      -4.045655,
      9.803041,
      -4.051230,
      9.847235,
      -4.127239,
      9.773817,
      -4.188891,
      9.760091,
      -4.266451,
      9.640775,
      -4.283595,
      9.636901,
      -4.286175
    ]);
    poly[972] = _TzPolygon([
      10.998676,
      -5.481553,
      11.016507,
      -5.473747,
      11.083035,
      -5.488879,
      11.105675,
      -5.382965,
      11.138299,
      -5.332996,
      11.206331,
      -5.324420,
      11.249399,
      -5.253339,
      11.392515,
      -5.244954,
      11.428803,
      -5.198715,
      11.579182,
      -5.216561,
      11.615543,
      -5.294994,
      11.679406,
      -5.265239,
      11.762937,
      -5.259327,
      11.830716,
      -5.404521,
      11.843171,
      -5.378075,
      11.821165,
      -5.354006,
      11.854764,
      -5.284959,
      11.833182,
      -5.257498,
      11.927671,
      -5.172246,
      11.982503,
      -5.074635,
      12.018711,
      -4.832580,
      11.999476,
      -4.739715,
      12.066080,
      -4.700418,
      12.059607,
      -4.630051,
      12.139016,
      -4.607346,
      12.141653,
      -4.544065,
      12.202869,
      -4.579941,
      12.283371,
      -4.473276,
      12.331783,
      -4.473417,
      12.333753,
      -4.439641,
      12.302590,
      -4.418609,
      12.310532,
      -4.396295,
      12.360451,
      -4.416353,
      12.360451,
      -4.045655,
      10.998676,
      -4.045655
    ]);
    poly[973] = _TzPolygon([
      12.360451,
      -4.416353,
      12.418755,
      -4.439781,
      12.485780,
      -4.419907,
      12.533000,
      -4.364649,
      12.560397,
      -4.402291,
      12.609841,
      -4.411587,
      12.658155,
      -4.480677,
      12.722821,
      -4.479101,
      12.711044,
      -4.431418,
      12.743846,
      -4.346758,
      12.701378,
      -4.300473,
      12.726606,
      -4.232792,
      12.816605,
      -4.208981,
      12.866143,
      -4.226150,
      12.960996,
      -4.218269,
      12.990832,
      -4.265696,
      13.039498,
      -4.274882,
      13.119637,
      -4.346929,
      13.189566,
      -4.288174,
      13.187061,
      -4.225566,
      13.236763,
      -4.258892,
      13.296096,
      -4.136759,
      13.396076,
      -4.092644,
      13.413022,
      -4.045655,
      12.360451,
      -4.045655
    ]);
    poly[974] = _TzPolygon([
      9.810969,
      -4.045655,
      9.835245,
      -4.028583,
      9.832811,
      -3.973394,
      9.874986,
      -3.968127,
      9.873779,
      -3.931369,
      9.905731,
      -3.895923,
      9.894730,
      -3.803282,
      9.926713,
      -3.776553,
      9.928406,
      -3.667671,
      9.958485,
      -3.618287,
      9.934653,
      -3.599631,
      9.910974,
      -3.311272,
      9.870566,
      -3.317644,
      9.845801,
      -3.271703,
      9.935518,
      -3.189225,
      9.840556,
      -3.186587,
      9.851391,
      -3.153830,
      9.820478,
      -3.103454,
      9.725491,
      -3.056710,
      9.743046,
      -3.005442,
      9.636901,
      -2.961019,
      9.636901,
      -4.045655
    ]);
    poly[975] = _TzPolygon([
      9.636901,
      -2.746990,
      9.641285,
      -2.745601,
      9.680714,
      -2.757614,
      9.697108,
      -2.787175,
      9.746514,
      -2.790052,
      9.826363,
      -2.726519,
      9.883963,
      -2.761897,
      9.960741,
      -2.743056,
      10.069591,
      -2.790470,
      10.190787,
      -2.798259,
      10.253004,
      -2.757624,
      10.318830,
      -2.850473,
      10.387842,
      -2.831507,
      10.422508,
      -2.773343,
      10.454496,
      -2.866360,
      10.614443,
      -2.941140,
      10.686122,
      -2.905675,
      10.721892,
      -2.937987,
      10.764413,
      -2.895283,
      10.887705,
      -2.864039,
      10.924999,
      -2.817496,
      10.967128,
      -2.840803,
      11.006688,
      -2.833702,
      10.992322,
      -2.384821,
      9.636901,
      -2.384821
    ]);
    poly[976] = _TzPolygon([
      10.995854,
      -0.723987,
      11.005831,
      -0.807563,
      10.998042,
      -0.855074,
      10.962393,
      -0.893458,
      11.001978,
      -0.916519,
      10.986350,
      -1.387380,
      11.021033,
      -1.425245,
      11.021028,
      -1.615577,
      10.985086,
      -1.616308,
      10.972004,
      -1.749934,
      10.992322,
      -2.384821,
      12.360451,
      -2.384821,
      12.360451,
      -0.723987
    ]);
    poly[977] = _TzPolygon([
      15.084000,
      -0.723987,
      14.785124,
      -1.069027,
      14.729800,
      -1.318300,
      14.501500,
      -1.678000,
      14.475666,
      -1.980500,
      14.191679,
      -1.998162,
      14.147003,
      -2.103259,
      14.248917,
      -2.297285,
      14.299451,
      -2.473564,
      14.135172,
      -2.676377,
      14.054385,
      -2.838967,
      14.006217,
      -2.854854,
      13.992887,
      -2.836147,
      13.823712,
      -2.908240,
      13.727169,
      -2.905943,
      13.654096,
      -2.874002,
      13.624663,
      -2.952490,
      13.657017,
      -3.001398,
      13.613599,
      -3.040313,
      13.688995,
      -3.107995,
      13.677491,
      -3.181224,
      13.706131,
      -3.212181,
      13.707476,
      -3.268807,
      13.683881,
      -3.247434,
      13.585730,
      -3.250420,
      13.555871,
      -3.278835,
      13.288968,
      -3.234142,
      13.276557,
      -3.437479,
      13.178668,
      -3.422262,
      13.158050,
      -3.441779,
      13.166898,
      -3.552322,
      13.196848,
      -3.552500,
      13.200016,
      -3.586656,
      13.303178,
      -3.737571,
      13.372188,
      -3.797905,
      13.377852,
      -3.960441,
      13.407634,
      -3.963190,
      13.442792,
      -3.895670,
      13.452134,
      -3.940362,
      13.504436,
      -3.967139,
      13.474288,
      -3.982839,
      13.490373,
      -3.964923,
      13.472940,
      -3.959626,
      13.435086,
      -3.984476,
      13.413937,
      -4.045655,
      15.084000,
      -4.045655
    ]);
    poly[978] = _TzPolygon([
      6.752252,
      -0.723987,
      6.752252,
      0.607952,
      6.737609,
      0.649959,
      6.641511,
      0.635398,
      6.607584,
      0.657178,
      6.584151,
      0.741341,
      6.562948,
      0.747563,
      6.529177,
      0.712423,
      6.444123,
      0.749588,
      6.380469,
      0.861879,
      6.333333,
      0.893104,
      6.335475,
      1.003468,
      6.256126,
      1.024198,
      6.223399,
      1.063258,
      6.169635,
      1.082896,
      6.169121,
      1.199438,
      6.113160,
      1.199352,
      5.926547,
      1.273294,
      5.866848,
      1.195395,
      5.700248,
      1.127286,
      5.599666,
      0.995806,
      5.566463,
      0.717362,
      5.580780,
      0.334919,
      5.517259,
      0.186659,
      5.438167,
      0.088537,
      5.344039,
      -0.143586,
      5.314208,
      -0.273935,
      5.203790,
      -0.400143,
      5.131994,
      -0.599363,
      5.037841,
      -0.723987
    ]);
    poly[979] = _TzPolygon([
      6.752252,
      1.619171,
      6.752252,
      2.408972,
      6.151687,
      2.408972,
      6.132875,
      2.171817,
      6.039870,
      1.673024,
      6.236389,
      1.629444,
      6.288785,
      1.808761,
      6.308161,
      1.787759,
      6.383226,
      1.785142,
      6.413054,
      1.763948,
      6.427037,
      1.778976,
      6.475095,
      1.752610,
      6.504432,
      1.693843,
      6.555235,
      1.697641,
      6.555580,
      1.671030,
      6.579723,
      1.667192,
      6.613416,
      1.610160,
      6.650991,
      1.615559,
      6.688464,
      1.575055
    ]);
    poly[980] = _TzPolygon([
      6.752252,
      0.607952,
      6.761493,
      0.581441,
      6.788668,
      0.566203,
      6.807286,
      0.579840,
      6.828771,
      0.532145,
      6.921055,
      0.566006,
      6.943217,
      0.522832,
      6.971071,
      0.521241,
      7.022296,
      0.603545,
      7.099326,
      0.614158,
      7.113836,
      0.591430,
      7.317309,
      0.658271,
      7.401160,
      0.644127,
      7.412817,
      0.618530,
      7.392208,
      0.568686,
      7.460079,
      0.519535,
      7.592577,
      0.518090,
      7.622082,
      0.586039,
      7.703112,
      0.590358,
      7.704283,
      0.627113,
      7.753867,
      0.611397,
      7.767771,
      0.631076,
      7.867469,
      0.627453,
      8.093466,
      0.584628,
      8.185035,
      0.613936,
      8.202469,
      0.588614,
      8.215801,
      0.619290,
      8.260299,
      0.638437,
      8.286651,
      0.731133,
      8.340880,
      0.730040,
      8.404740,
      0.696493,
      8.422440,
      0.651659,
      8.466663,
      0.647973,
      8.466663,
      0.842492,
      6.752252,
      0.842492
    ]);
    poly[981] = _TzPolygon([
      6.752252,
      1.619171,
      6.761109,
      1.625297,
      6.799474,
      1.594322,
      6.825103,
      1.612561,
      6.830920,
      1.597624,
      6.905183,
      1.606130,
      6.919701,
      1.578409,
      6.997177,
      1.559175,
      6.995556,
      1.642500,
      7.532500,
      1.655833,
      8.357778,
      1.634722,
      8.374722,
      1.613056,
      8.466663,
      1.648996,
      8.466663,
      2.408972,
      6.752252,
      2.408972
    ]);
    poly[982] = _TzPolygon([
      8.466663,
      0.647973,
      8.493518,
      0.645734,
      8.595649,
      0.469556,
      8.754676,
      0.373824,
      8.756869,
      0.400920,
      8.792793,
      0.380067,
      8.779136,
      0.427770,
      8.811355,
      0.448214,
      8.791780,
      0.469049,
      8.800359,
      0.491319,
      8.877826,
      0.527585,
      8.938686,
      0.516568,
      9.043858,
      0.456238,
      9.108665,
      0.486697,
      9.144977,
      0.476761,
      9.163661,
      0.511570,
      9.209416,
      0.533602,
      9.256413,
      0.505835,
      9.311206,
      0.555794,
      9.323868,
      0.551245,
      9.323868,
      0.842492,
      8.466663,
      0.842492
    ]);
    poly[983] = _TzPolygon([
      9.323868,
      0.551245,
      9.340876,
      0.545134,
      9.405926,
      0.567003,
      9.437939,
      0.499967,
      9.474895,
      0.502923,
      9.499486,
      0.448704,
      9.499213,
      0.359421,
      9.451738,
      0.337541,
      9.427417,
      0.275777,
      9.463508,
      0.229232,
      9.485950,
      0.229040,
      9.478874,
      0.269704,
      9.506631,
      0.311194,
      9.524532,
      0.243250,
      9.574648,
      0.240063,
      9.571963,
      0.351337,
      9.591457,
      0.383690,
      9.625075,
      0.356310,
      9.595625,
      0.295852,
      9.657239,
      0.263496,
      9.686272,
      0.279253,
      9.650912,
      0.322973,
      9.674806,
      0.350878,
      9.717686,
      0.344802,
      9.727898,
      0.318905,
      9.846696,
      0.357399,
      9.921893,
      0.355176,
      9.937388,
      0.387322,
      10.027509,
      0.360492,
      10.020951,
      0.410229,
      10.057604,
      0.417747,
      10.098681,
      0.353076,
      10.181074,
      0.357477,
      10.181074,
      0.842492,
      9.323868,
      0.842492
    ]);
    poly[984] = _TzPolygon([
      8.466663,
      1.648996,
      8.496944,
      1.660833,
      8.548056,
      1.624722,
      9.049722,
      1.617778,
      9.170000,
      1.567222,
      9.321111,
      1.416667,
      9.487500,
      1.390556,
      9.485556,
      1.361111,
      9.542500,
      1.337500,
      9.646667,
      1.373889,
      9.995278,
      1.355000,
      10.181074,
      1.073261,
      10.181074,
      2.408972,
      8.466663,
      2.408972
    ]);
    poly[985] = _TzPolygon([
      10.564411,
      0.059253,
      10.601442,
      0.041287,
      10.632333,
      -0.059247,
      10.711561,
      -0.090090,
      10.720047,
      -0.072346,
      10.769827,
      -0.072847,
      10.818676,
      -0.021767,
      10.963250,
      -0.006107,
      10.978806,
      0.033526,
      11.038280,
      0.026697,
      11.038280,
      0.059253
    ]);
    poly[986] = _TzPolygon([
      11.038280,
      -0.723987,
      11.038280,
      -0.437025,
      11.030337,
      -0.438013,
      11.036049,
      -0.474990,
      10.974715,
      -0.544792,
      10.992317,
      -0.568294,
      10.923578,
      -0.593186,
      10.910424,
      -0.618436,
      10.939680,
      -0.626796,
      10.958282,
      -0.671080,
      10.987498,
      -0.653986,
      10.995854,
      -0.723987
    ]);
    poly[987] = _TzPolygon([
      10.564411,
      0.059253,
      10.560818,
      0.060996,
      10.526270,
      0.142670,
      10.404317,
      0.190356,
      10.426923,
      0.217696,
      10.407587,
      0.259261,
      10.421586,
      0.285950,
      10.376406,
      0.290316,
      10.325151,
      0.338370,
      10.308640,
      0.318671,
      10.312484,
      0.396899,
      10.258108,
      0.361591,
      10.181074,
      0.357477,
      10.181074,
      0.059253
    ]);
    poly[988] = _TzPolygon([
      10.996495,
      0.842492,
      10.997360,
      0.656310,
      10.931000,
      0.494680,
      11.009080,
      0.502850,
      11.038280,
      0.365791,
      11.038280,
      0.842492
    ]);
    poly[989] = _TzPolygon([
      10.333258,
      0.842492,
      10.376667,
      0.776667,
      10.579722,
      0.806944,
      10.714167,
      0.802500,
      10.758635,
      0.842492
    ]);
    poly[990] = _TzPolygon([
      11.038280,
      0.026697,
      11.062617,
      0.023902,
      11.114303,
      -0.017876,
      11.084144,
      -0.081163,
      11.117785,
      -0.143975,
      11.139510,
      -0.136231,
      11.038280,
      0.359778
    ]);
    poly[991] = _TzPolygon([
      11.038280,
      0.842492,
      11.038280,
      0.365791,
      11.174856,
      -0.275282,
      11.147961,
      -0.289357,
      11.126267,
      -0.270947,
      11.109296,
      -0.332746,
      11.069886,
      -0.359076,
      11.123257,
      -0.372445,
      11.114344,
      -0.427566,
      11.038280,
      -0.437025,
      11.038280,
      -0.723987,
      11.895485,
      -0.723987,
      11.895485,
      0.842492
    ]);
    poly[992] = _TzPolygon([
      10.996495,
      0.842492,
      10.996171,
      0.912209,
      10.799722,
      0.879444,
      10.758635,
      0.842492
    ]);
    poly[993] = _TzPolygon(
        [10.333258, 0.842492, 10.181074, 1.073261, 10.181074, 0.842492]);
    poly[994] = _TzPolygon([
      11.038280,
      0.842492,
      11.038280,
      0.944161,
      10.996171,
      0.912209,
      10.996495,
      0.842492
    ]);
    poly[995] = _TzPolygon(
        [11.038280, 1.112318, 11.031799, 1.114305, 11.038280, 1.104793]);
    poly[996] = _TzPolygon([
      11.038280,
      0.944161,
      11.094434,
      0.986770,
      11.087259,
      1.013535,
      11.052707,
      1.026935,
      11.061870,
      1.070169,
      11.038280,
      1.105342
    ]);
    poly[997] = _TzPolygon([
      11.038280,
      1.112661,
      11.121279,
      1.086865,
      11.131734,
      1.049632,
      11.176971,
      1.116670,
      11.169796,
      1.165027,
      11.235653,
      1.156529,
      11.247964,
      1.129548,
      11.279023,
      1.146164,
      11.250064,
      1.262568,
      11.266082,
      1.283863,
      11.302564,
      1.259543,
      11.327434,
      1.269131,
      11.298058,
      1.294360,
      11.292693,
      1.333351,
      11.307367,
      1.351690,
      11.366730,
      1.326673,
      11.368302,
      1.351054,
      11.395803,
      1.359378,
      11.389221,
      1.382343,
      11.444424,
      1.388455,
      11.481042,
      1.447749,
      11.453317,
      1.484943,
      11.478626,
      1.506247,
      11.459650,
      1.500624,
      11.451143,
      1.530884,
      11.478057,
      1.553851,
      11.407897,
      1.589215,
      11.393368,
      1.623846,
      11.407960,
      1.699710,
      11.429130,
      1.714140,
      11.416740,
      1.752390,
      11.444380,
      1.841670,
      11.427710,
      2.019250,
      11.594114,
      2.183972,
      11.679052,
      2.314287,
      11.734176,
      2.304626,
      11.784253,
      2.340799,
      11.791057,
      2.375653,
      11.856788,
      2.380240,
      11.874474,
      2.404186,
      11.895485,
      2.408972,
      11.038280,
      2.408972
    ]);
    poly[998] = _TzPolygon([
      13.489743,
      -0.723987,
      13.489743,
      1.022275,
      13.462500,
      1.031667,
      13.396389,
      1.170833,
      13.393056,
      1.244444,
      13.354469,
      1.284284,
      13.338856,
      1.241580,
      13.380272,
      1.211370,
      13.332141,
      1.202549,
      13.321453,
      1.175468,
      13.374676,
      0.991913,
      13.007796,
      0.973755,
      13.007276,
      1.159573,
      12.611690,
      1.566306,
      12.605380,
      1.868563,
      12.700556,
      1.928056,
      12.692222,
      1.950278,
      12.731111,
      1.988889,
      12.725556,
      2.096111,
      12.694444,
      2.142500,
      12.651499,
      2.154637,
      12.630833,
      2.200833,
      12.593611,
      2.220833,
      12.516389,
      2.225556,
      12.473333,
      2.263889,
      12.418611,
      2.264167,
      12.390000,
      2.087778,
      12.347350,
      2.065588,
      11.902544,
      2.408972,
      11.895485,
      2.405627,
      11.895485,
      -0.723987
    ]);
    poly[999] = _TzPolygon(
        [11.909474, 2.408972, 11.931259, 2.391928, 11.942550, 2.408972]);
  }
}

class _Initializer11 {
  static void _init() {
    poly[1000] = _TzPolygon([
      12.079607,
      2.408972,
      12.112624,
      2.390317,
      12.251282,
      2.381540,
      12.251864,
      2.408972
    ]);
    poly[1001] = _TzPolygon([
      15.084000,
      1.086532,
      14.981871,
      0.968179,
      14.944581,
      0.701735,
      14.998422,
      0.519270,
      14.963993,
      0.394631,
      15.001042,
      0.227435,
      14.974683,
      0.061520,
      15.079000,
      -0.245750,
      15.004103,
      -0.390241,
      15.083284,
      -0.431378,
      15.084000,
      -0.723987
    ]);
    poly[1002] = _TzPolygon([
      15.084000,
      -0.455990,
      15.083284,
      -0.431378,
      15.004103,
      -0.390241,
      15.079000,
      -0.245750,
      14.974683,
      0.061520,
      14.999829,
      0.232230,
      14.914000,
      0.244360,
      14.826320,
      0.196358,
      14.746547,
      0.238139,
      14.522067,
      0.168965,
      14.050911,
      0.381085,
      14.023056,
      0.417222,
      13.983611,
      0.424167,
      13.955556,
      0.471111,
      13.913611,
      0.465000,
      13.788611,
      0.582778,
      13.778056,
      0.616667,
      13.717778,
      0.596944,
      13.686944,
      0.620278,
      13.684167,
      0.781111,
      13.644167,
      0.774444,
      13.622778,
      0.902222,
      13.568056,
      0.995278,
      13.489743,
      1.022275,
      13.489743,
      -0.723987,
      15.084000,
      -0.723987
    ]);
    poly[1003] = _TzPolygon([
      6.822822,
      2.408972,
      6.822822,
      2.736543,
      6.784282,
      2.734515,
      6.747337,
      2.791663,
      6.693531,
      2.783087,
      6.635420,
      2.730245,
      6.569648,
      2.750632,
      6.512052,
      2.704630,
      6.487045,
      2.724148,
      6.464166,
      2.705186,
      6.377422,
      2.706714,
      6.177783,
      2.737949,
      6.151687,
      2.408972
    ]);
    poly[1004] = _TzPolygon([
      9.576548,
      3.223630,
      9.518867,
      3.195059,
      9.496747,
      3.153223,
      9.437560,
      3.132465,
      9.283908,
      3.157868,
      9.232595,
      3.122794,
      9.101948,
      3.088313,
      9.058787,
      2.890086,
      9.067759,
      2.778543,
      8.992706,
      2.791376,
      8.962624,
      2.772463,
      8.939759,
      2.782871,
      8.913874,
      2.755129,
      8.901328,
      2.772379,
      8.869428,
      2.754019,
      8.811296,
      2.766534,
      8.783668,
      2.729577,
      8.708142,
      2.761037,
      8.663585,
      2.734847,
      8.654577,
      2.755364,
      8.537622,
      2.751669,
      8.524398,
      2.769031,
      8.449759,
      2.748016,
      8.422628,
      2.706912,
      8.387939,
      2.717720,
      8.321437,
      2.693104,
      8.187122,
      2.754625,
      7.881580,
      2.676932,
      7.766559,
      2.733560,
      7.636474,
      2.716642,
      7.549986,
      2.734879,
      7.518575,
      2.782252,
      7.479609,
      2.795670,
      7.429746,
      2.793901,
      7.424327,
      2.744840,
      7.133006,
      2.772804,
      7.104953,
      2.740462,
      7.043364,
      2.761423,
      7.016800,
      2.728928,
      6.951420,
      2.712541,
      6.926480,
      2.741998,
      6.822822,
      2.736543,
      6.822822,
      2.408972,
      9.576548,
      2.408972
    ]);
    poly[1005] = _TzPolygon([
      10.953411,
      2.408972,
      10.953411,
      3.764132,
      10.924227,
      3.769666,
      10.817094,
      3.745729,
      10.735134,
      3.780269,
      10.698861,
      3.834232,
      10.592964,
      3.843343,
      10.409030,
      3.788037,
      10.461647,
      3.683455,
      10.417712,
      3.623735,
      10.272266,
      3.576600,
      10.211502,
      3.608029,
      10.176823,
      3.679370,
      10.114262,
      3.662747,
      10.078819,
      3.614454,
      9.968893,
      3.602537,
      9.924857,
      3.560815,
      9.898133,
      3.562172,
      9.861305,
      3.517764,
      9.870738,
      3.462655,
      9.827444,
      3.352287,
      9.771603,
      3.323478,
      9.703206,
      3.358335,
      9.659431,
      3.313877,
      9.655788,
      3.262879,
      9.576548,
      3.223630,
      9.576548,
      2.408972
    ]);
    poly[1006] = _TzPolygon([
      11.028164,
      3.724348,
      11.033867,
      3.715685,
      11.129606,
      3.720315,
      11.295346,
      3.493726,
      11.601921,
      3.549892,
      11.703094,
      3.593725,
      11.693756,
      3.609500,
      11.754747,
      3.680954,
      11.810683,
      3.669243,
      11.830986,
      3.629341,
      11.920285,
      3.619786,
      11.976468,
      3.678461,
      12.119320,
      3.631658,
      12.258877,
      3.666685,
      12.330274,
      3.663104,
      12.330274,
      3.724348
    ]);
    poly[1007] = _TzPolygon([
      12.330274,
      2.923244,
      12.330274,
      3.663104,
      12.258877,
      3.666685,
      12.119320,
      3.631658,
      11.976468,
      3.678461,
      11.920285,
      3.619786,
      11.830986,
      3.629341,
      11.810683,
      3.669243,
      11.754747,
      3.680954,
      11.693756,
      3.609500,
      11.732962,
      3.550077,
      11.774471,
      3.564487,
      11.789583,
      3.520084,
      11.815505,
      3.521887,
      11.860142,
      3.481321,
      11.858333,
      3.432222,
      11.895278,
      3.378056,
      11.890000,
      3.312222,
      11.993569,
      3.255818,
      12.029326,
      3.257076
    ]);
    poly[1008] = _TzPolygon([
      12.330274,
      2.717057,
      12.281421,
      2.695105,
      12.306099,
      2.661749,
      12.272019,
      2.543627,
      12.293979,
      2.517246,
      12.267385,
      2.504335,
      12.274239,
      2.472902,
      12.252995,
      2.462265,
      12.251864,
      2.408972,
      12.330274,
      2.408972
    ]);
    poly[1009] = _TzPolygon(
        [12.079607, 2.408972, 11.979880, 2.465320, 11.954690, 2.408972]);
    poly[1010] = _TzPolygon([
      11.028164,
      3.724348,
      11.008900,
      3.753611,
      10.953411,
      3.764132,
      10.953411,
      3.724348
    ]);
    poly[1011] = _TzPolygon([
      12.330274,
      3.663104,
      12.522698,
      3.653454,
      12.746709,
      3.941830,
      12.987683,
      4.103459,
      13.161925,
      4.142085,
      13.478063,
      4.141604,
      13.477944,
      4.234671,
      13.681421,
      4.465735,
      13.781003,
      4.873818,
      13.734483,
      4.949557,
      13.742946,
      5.246930,
      13.834558,
      5.350681,
      13.885645,
      5.529830,
      13.644750,
      6.155536,
      13.676514,
      6.277334,
      13.600376,
      6.427932,
      13.339288,
      6.696697,
      13.143423,
      6.820123,
      13.003533,
      6.942091,
      13.000072,
      7.052867,
      13.020471,
      7.121574,
      13.129070,
      7.221638,
      13.098325,
      7.388865,
      13.114850,
      7.439373,
      13.256671,
      7.670478,
      12.330274,
      7.670478
    ]);
    poly[1012] = _TzPolygon([
      12.330274,
      2.717057,
      12.364956,
      2.732641,
      12.352390,
      2.765683,
      12.409245,
      2.826144,
      12.330274,
      2.930381
    ]);
    poly[1013] = _TzPolygon([
      21.773345,
      0.151578,
      25.000000,
      -4.833334,
      26.529692,
      -7.367323,
      27.433543,
      -7.367323,
      27.433543,
      0.151578
    ]);
    poly[1014] = _TzPolygon([
      26.529692,
      -7.367323,
      25.000000,
      -4.833334,
      25.000072,
      -6.571880,
      16.500149,
      -5.609034,
      16.333333,
      -5.333333,
      15.500000,
      -5.500000,
      15.500783,
      -7.367323
    ]);
    poly[1015] = _TzPolygon([
      15.084000,
      1.085816,
      15.278128,
      1.311499,
      15.346796,
      2.636366,
      15.338195,
      3.019968,
      15.428574,
      3.031485,
      15.365330,
      3.507104,
      15.403418,
      3.536306,
      15.485183,
      3.536893,
      15.521040,
      3.595828,
      15.648148,
      3.703728,
      15.675656,
      3.833681,
      15.715259,
      3.885853,
      15.804220,
      3.911028,
      15.084000,
      3.911028
    ]);
    poly[1016] = _TzPolygon([
      20.263616,
      2.031303,
      20.242941,
      1.999862,
      20.266976,
      1.978931,
      20.259812,
      1.946854,
      20.224207,
      1.923759,
      20.297235,
      1.882274,
      20.297876,
      1.797805,
      20.337223,
      1.775031,
      20.406402,
      1.668216,
      20.530003,
      1.667574,
      20.596081,
      1.599572,
      20.656598,
      1.383804,
      20.740211,
      1.316550,
      20.723745,
      1.229730,
      20.736148,
      1.165150,
      20.943255,
      1.193591,
      21.116365,
      1.166556,
      21.258772,
      0.946550,
      21.258772,
      2.031303
    ]);
    poly[1017] = _TzPolygon([
      20.263616,
      2.031303,
      21.258772,
      2.031303,
      21.258772,
      3.911028,
      19.076172,
      3.911028,
      18.968147,
      3.357648,
      19.125653,
      3.124732,
      19.155678,
      3.114680,
      19.277088,
      3.200581,
      19.359073,
      3.178257,
      19.417037,
      3.200189,
      19.448499,
      3.266116,
      19.497843,
      3.248110,
      19.526828,
      3.266377,
      19.584463,
      3.231869,
      19.642682,
      3.252191,
      19.713642,
      3.229954,
      19.834791,
      3.254628,
      19.856724,
      3.149014,
      19.952884,
      2.978123,
      19.962732,
      2.831622,
      19.993553,
      2.734948,
      20.101169,
      2.684475,
      20.050863,
      2.665264,
      20.053872,
      2.622458,
      20.032098,
      2.595890,
      20.034096,
      2.560432,
      20.094666,
      2.519918,
      20.098554,
      2.470326,
      20.075615,
      2.412825,
      20.028382,
      2.375423,
      20.133178,
      2.399822,
      20.218177,
      2.317919,
      20.271115,
      2.312027,
      20.318726,
      2.214543,
      20.313352,
      2.192347,
      20.277906,
      2.190171,
      20.238254,
      2.120554,
      20.269614,
      2.040424
    ]);
    poly[1018] = _TzPolygon([
      20.970852,
      7.670478,
      20.842495,
      7.459686,
      19.446978,
      5.810545,
      19.076172,
      3.911028,
      21.258772,
      3.911028,
      21.258772,
      7.670478
    ]);
    poly[1019] = _TzPolygon([
      19.075284,
      3.911028,
      19.144146,
      4.266708,
      17.001741,
      4.266669,
      17.000021,
      4.214297,
      16.395069,
      4.199854,
      16.323219,
      4.097133,
      16.080829,
      3.986066,
      15.940592,
      3.980084,
      15.864421,
      3.928064,
      15.804220,
      3.911028
    ]);
    poly[1020] = _TzPolygon(
        [21.773345, 0.151578, 21.258772, 0.946550, 21.258772, 0.151578]);
    poly[1021] = _TzPolygon([
      -5.149089,
      11.847684,
      -4.874770,
      11.644011,
      -4.706988,
      11.584748,
      -4.633875,
      11.583809,
      -4.388063,
      11.293210,
      -4.388063,
      12.745379,
      -4.414169,
      12.745379,
      -4.407883,
      12.719734,
      -4.441421,
      12.745379,
      -4.496467,
      12.745379,
      -4.477842,
      12.699655,
      -4.562289,
      12.643761,
      -4.563371,
      12.563626,
      -4.588848,
      12.537301,
      -4.565076,
      12.487110,
      -4.602876,
      12.451731,
      -4.609268,
      12.392913,
      -4.665966,
      12.398902,
      -4.790460,
      12.331338,
      -4.814448,
      12.241248,
      -4.798189,
      12.242894,
      -4.790754,
      12.197593,
      -4.896201,
      12.166210,
      -5.040742,
      12.016274
    ]);
    poly[1022] = _TzPolygon([
      -5.149089,
      12.533084,
      -5.144820,
      12.533118,
      -5.120687,
      12.470483,
      -5.080618,
      12.463866,
      -5.047521,
      12.503217,
      -5.058857,
      12.530412,
      -5.024048,
      12.608614,
      -4.949038,
      12.626596,
      -4.949895,
      12.720466,
      -4.899734,
      12.745379,
      -5.149089,
      12.745379
    ]);
    poly[1023] = _TzPolygon([
      -4.899734,
      12.745379,
      -4.869275,
      12.760506,
      -4.875021,
      12.786114,
      -4.847198,
      12.812569,
      -4.750274,
      12.853410,
      -4.764080,
      12.869003,
      -4.735153,
      12.895728,
      -4.747564,
      12.922979,
      -4.705112,
      12.982428,
      -4.715410,
      13.029954,
      -4.674784,
      13.051325,
      -4.691465,
      13.097409,
      -4.622012,
      13.095833,
      -4.582741,
      13.118355,
      -4.758545,
      13.272979,
      -4.799991,
      13.373495,
      -4.858360,
      13.372927,
      -4.916029,
      13.430804,
      -4.862081,
      13.415055,
      -4.853373,
      13.471463,
      -5.149089,
      13.471463,
      -5.149089,
      12.745379
    ]);
    poly[1024] = _TzPolygon([
      -4.496467,
      12.745379,
      -4.505538,
      12.767647,
      -4.488432,
      12.781326,
      -4.441421,
      12.745379,
      -4.414169,
      12.745379,
      -4.417344,
      12.758331,
      -4.388063,
      12.766741,
      -4.437732,
      12.816242,
      -4.442669,
      12.833333,
      -4.415547,
      12.844098,
      -4.683994,
      13.102718,
      -4.674784,
      13.051325,
      -4.715410,
      13.029954,
      -4.705112,
      12.982428,
      -4.747564,
      12.922979,
      -4.735153,
      12.895728,
      -4.764080,
      12.869003,
      -4.750274,
      12.853410,
      -4.847198,
      12.812569,
      -4.875021,
      12.786114,
      -4.869275,
      12.760506,
      -4.899734,
      12.745379
    ]);
    poly[1025] = _TzPolygon([
      -4.388063,
      14.197547,
      -4.397791,
      14.175852,
      -4.409904,
      14.050111,
      -4.514932,
      13.948758,
      -4.495929,
      13.854472,
      -4.464057,
      13.858552,
      -4.425061,
      13.823032,
      -4.444752,
      13.731799,
      -4.590065,
      13.728810,
      -4.612881,
      13.708287,
      -4.637446,
      13.717559,
      -4.653988,
      13.690323,
      -4.678746,
      13.723316,
      -4.705490,
      13.723580,
      -4.712295,
      13.674170,
      -4.744944,
      13.699284,
      -4.768308,
      13.680257,
      -4.735604,
      13.619283,
      -4.754568,
      13.636220,
      -4.805362,
      13.585853,
      -4.747471,
      13.514756,
      -4.853373,
      13.471463,
      -4.388063,
      13.471463
    ]);
    poly[1026] = _TzPolygon([
      -4.388063,
      15.176360,
      -4.390785,
      15.175500,
      -4.480124,
      15.107523,
      -4.688197,
      14.898611,
      -4.820605,
      14.836641,
      -4.913245,
      14.685218,
      -4.903668,
      14.590804,
      -4.864807,
      14.561732,
      -4.845827,
      14.493747,
      -4.895497,
      14.415365,
      -4.860193,
      14.398851,
      -4.651476,
      14.419349,
      -4.553697,
      14.351302,
      -4.511146,
      14.433956,
      -4.438226,
      14.480672,
      -4.388063,
      14.427510
    ]);
    poly[1027] = _TzPolygon([
      -4.388063,
      14.197547,
      -4.363402,
      14.252545,
      -4.319722,
      14.288356,
      -4.316395,
      14.352523,
      -4.295427,
      14.351353,
      -4.278450,
      14.401526,
      -4.355574,
      14.393079,
      -4.388063,
      14.427510
    ]);
    poly[1028] = _TzPolygon([
      -4.278450,
      11.204916,
      -4.214785,
      11.164126,
      -4.101226,
      11.004821,
      -3.923333,
      11.139722,
      -3.693611,
      11.225556,
      -3.604167,
      11.348056,
      -3.591111,
      11.431111,
      -3.511111,
      11.487222,
      -3.507913,
      11.519834,
      -4.278450,
      11.519834
    ]);
    poly[1029] = _TzPolygon([
      -2.433809,
      11.519834,
      -2.433809,
      11.601611,
      -2.503889,
      11.593333,
      -2.550278,
      11.629722,
      -2.620833,
      11.647500,
      -2.715833,
      11.611944,
      -2.793889,
      11.546111,
      -2.856944,
      11.543333,
      -2.867222,
      11.564722,
      -2.818056,
      11.642778,
      -3.013056,
      11.804444,
      -3.047222,
      11.766111,
      -3.050556,
      11.717500,
      -3.178056,
      11.701111,
      -3.311389,
      11.972500,
      -3.351667,
      11.963611,
      -3.394167,
      11.910000,
      -3.556111,
      11.839444,
      -3.589722,
      11.852500,
      -3.636944,
      11.925833,
      -3.710000,
      11.868333,
      -3.694444,
      11.683333,
      -3.535000,
      11.583889,
      -3.506944,
      11.529722,
      -3.507913,
      11.519834
    ]);
    poly[1030] = _TzPolygon([
      -2.433809,
      14.137028,
      -2.496111,
      14.107778,
      -2.475556,
      14.069167,
      -2.499722,
      14.006111,
      -2.468889,
      13.991111,
      -2.490833,
      13.926111,
      -2.474167,
      13.873889,
      -2.433809,
      13.868495
    ]);
    poly[1031] = _TzPolygon(
        [-2.433809, 13.486182, -2.437500, 13.482778, -2.433809, 13.470937]);
    poly[1032] = _TzPolygon(
        [-2.433809, 11.738223, -2.436667, 11.735278, -2.433809, 11.734056]);
    poly[1033] = _TzPolygon([
      -2.433809,
      11.601611,
      -2.333333,
      11.574167,
      -2.353889,
      11.676944,
      -2.390000,
      11.685278,
      -2.398333,
      11.718889,
      -2.433809,
      11.734056
    ]);
    poly[1034] = _TzPolygon([
      -2.433809,
      11.738223,
      -2.372222,
      11.801667,
      -2.357222,
      11.916111,
      -2.331389,
      11.951944,
      -2.416944,
      12.052500,
      -2.327222,
      12.478056,
      -2.299167,
      12.463611,
      -2.226389,
      12.495278,
      -2.164167,
      12.484167,
      -2.095008,
      12.517193,
      -2.081944,
      12.478889,
      -2.024444,
      12.448056,
      -1.895833,
      12.438333,
      -1.877222,
      12.452778,
      -1.921667,
      12.506944,
      -1.872500,
      12.520556,
      -1.827222,
      12.585000,
      -1.822500,
      12.650000,
      -1.857222,
      12.724722,
      -1.900556,
      12.763889,
      -1.912778,
      12.821389,
      -2.039444,
      12.866667,
      -2.074444,
      12.900278,
      -2.096944,
      12.888611,
      -2.111389,
      12.913889,
      -2.131389,
      12.899444,
      -2.184167,
      12.921389,
      -2.182500,
      12.967500,
      -2.265556,
      13.007778,
      -2.271835,
      13.029639,
      -2.281579,
      13.029639,
      -2.372222,
      12.984444,
      -2.336948,
      13.029639,
      -2.433809,
      13.029639
    ]);
    poly[1035] = _TzPolygon([
      -2.433809,
      13.470937,
      -2.416111,
      13.414167,
      -2.428333,
      13.387500,
      -2.360556,
      13.203056,
      -2.372222,
      13.141389,
      -2.327778,
      13.041389,
      -2.336948,
      13.029639,
      -2.281579,
      13.029639,
      -2.273056,
      13.033889,
      -2.271835,
      13.029639,
      -1.511488,
      13.029639,
      -1.511488,
      14.463344,
      -1.545556,
      14.480556,
      -1.610833,
      14.383889,
      -1.671667,
      14.424167,
      -1.686111,
      14.468056,
      -1.750556,
      14.416111,
      -1.891667,
      14.429722,
      -1.973056,
      14.258333,
      -2.011389,
      14.248889,
      -2.039444,
      14.269444,
      -2.137500,
      14.250278,
      -2.153889,
      14.219444,
      -2.190278,
      14.225556,
      -2.238889,
      14.155000,
      -2.292778,
      14.221389,
      -2.352500,
      14.252222,
      -2.360556,
      14.196667,
      -2.391389,
      14.156944,
      -2.433809,
      14.137028,
      -2.433809,
      13.868495,
      -2.418056,
      13.866389,
      -2.352500,
      13.931667,
      -2.318889,
      13.881389,
      -2.144444,
      13.809444,
      -2.088889,
      13.762222,
      -2.184167,
      13.727222,
      -2.287500,
      13.624444,
      -2.321667,
      13.618333,
      -2.330556,
      13.581389,
      -2.433809,
      13.486182
    ]);
    poly[1036] = _TzPolygon([
      -1.511488,
      14.463344,
      -1.492222,
      14.453611,
      -1.406667,
      14.505000,
      -1.338056,
      14.444722,
      -1.283889,
      14.478333,
      -1.212778,
      14.481944,
      -1.166944,
      14.446111,
      -1.120833,
      14.453611,
      -1.033889,
      14.417500,
      -0.906389,
      14.430000,
      -0.841111,
      14.489167,
      -0.785000,
      14.465833,
      -0.720000,
      14.474722,
      -0.644722,
      14.531944,
      -0.589167,
      14.539444,
      -1.511488,
      14.539444
    ]);
    poly[1037] = _TzPolygon([
      2.305104,
      11.529307,
      2.294480,
      11.372882,
      2.243097,
      11.376888,
      2.224767,
      11.351751,
      2.171892,
      11.359863,
      2.161308,
      10.169245,
      2.175300,
      10.157332,
      2.156568,
      10.121555,
      2.197672,
      9.906463,
      2.245694,
      9.848172,
      2.348858,
      9.822532,
      2.337498,
      9.812204,
      2.390620,
      9.761857,
      2.449845,
      9.621122,
      2.449845,
      11.529307
    ]);
    poly[1038] = _TzPolygon([
      -0.589167,
      8.519169,
      -0.518678,
      8.539267,
      0.366974,
      9.103149,
      0.611238,
      9.109213,
      0.753447,
      9.149294,
      0.846457,
      9.354785,
      0.962984,
      9.519126,
      1.022618,
      9.547461,
      1.029444,
      9.620000,
      1.066944,
      9.683056,
      1.064722,
      9.743889,
      1.000989,
      9.796144,
      0.993443,
      9.871259,
      0.953237,
      9.894842,
      0.922017,
      9.952044,
      0.936378,
      9.993269,
      1.002527,
      9.991876,
      1.002160,
      11.353313,
      2.224767,
      11.351751,
      2.263374,
      11.380278,
      2.286241,
      11.363444,
      2.304693,
      11.529307,
      -0.589167,
      11.529307
    ]);
    poly[1039] = _TzPolygon([
      0.930339,
      11.529307,
      0.930339,
      14.478687,
      0.909722,
      14.468056,
      0.872500,
      14.483889,
      0.729722,
      14.366944,
      0.665278,
      14.376389,
      0.566944,
      14.238333,
      0.594167,
      14.143333,
      0.575278,
      14.094444,
      0.537222,
      14.064167,
      0.508056,
      14.083611,
      0.460556,
      14.055278,
      0.406389,
      13.972778,
      0.360833,
      13.943333,
      0.243611,
      13.880000,
      0.158611,
      13.910833,
      0.089444,
      13.908889,
      0.072778,
      13.945278,
      -0.018056,
      13.952222,
      -0.030556,
      13.913056,
      -0.114167,
      13.876667,
      -0.222222,
      13.906667,
      -0.220833,
      13.930278,
      -0.171667,
      13.965278,
      -0.208333,
      14.018889,
      -0.218056,
      14.085000,
      -0.256944,
      14.121944,
      -0.252778,
      14.146667,
      -0.340000,
      14.190000,
      -0.427222,
      14.191389,
      -0.397500,
      14.226667,
      -0.417500,
      14.260278,
      -0.405000,
      14.346944,
      -0.455000,
      14.435000,
      -0.589167,
      14.539444,
      -0.589167,
      11.529307
    ]);
    poly[1040] = _TzPolygon([
      2.304693,
      11.529307,
      2.308893,
      11.567060,
      2.295283,
      11.611840,
      2.318217,
      11.667898,
      2.296779,
      11.746886,
      2.270215,
      11.758190,
      2.290541,
      12.014829,
      2.278983,
      12.109913,
      2.293420,
      12.124026,
      2.272911,
      12.153797,
      2.278762,
      12.209763,
      2.249284,
      12.246226,
      2.288098,
      12.307963,
      2.252029,
      12.454503,
      2.270253,
      12.574430,
      2.221089,
      12.745582,
      2.258038,
      12.819520,
      2.227595,
      12.861641,
      2.254427,
      12.919224,
      2.244885,
      13.034375,
      0.930339,
      13.034375,
      0.930339,
      11.529307
    ]);
    poly[1041] = _TzPolygon([
      0.930339,
      14.478687,
      0.963056,
      14.495556,
      1.015000,
      14.437778,
      1.143056,
      14.392222,
      1.146389,
      14.344167,
      1.338333,
      14.300278,
      1.397778,
      14.243056,
      1.363333,
      14.236111,
      1.396667,
      14.147222,
      1.375278,
      14.073889,
      1.435475,
      14.009031,
      1.414113,
      13.981412,
      1.437290,
      13.804677,
      1.361105,
      13.782488,
      1.347023,
      13.759445,
      1.370402,
      13.735854,
      1.347467,
      13.704845,
      1.345895,
      13.638278,
      1.277134,
      13.560218,
      1.264157,
      13.494808,
      1.298083,
      13.413795,
      1.277655,
      13.397414,
      1.288539,
      13.373097,
      1.262936,
      13.370895,
      1.263901,
      13.322883,
      1.218333,
      13.307858,
      1.215702,
      13.191636,
      1.235743,
      13.151534,
      1.249101,
      13.178621,
      1.290940,
      13.188228,
      1.283353,
      13.222582,
      1.327751,
      13.262767,
      1.340869,
      13.240600,
      1.386200,
      13.256824,
      1.473796,
      13.219008,
      1.485380,
      13.189364,
      1.520694,
      13.188392,
      1.522310,
      13.159675,
      1.582230,
      13.125260,
      1.599301,
      13.148658,
      1.690092,
      13.136769,
      1.690092,
      14.539444,
      0.930339,
      14.539444
    ]);
    poly[1042] = _TzPolygon([
      1.690092,
      13.136769,
      1.701932,
      13.135219,
      1.758564,
      13.183792,
      1.842958,
      13.204052,
      1.892737,
      13.155383,
      1.945911,
      13.214721,
      1.986170,
      13.209987,
      2.039972,
      13.288189,
      2.170589,
      13.294224,
      2.162601,
      14.303220,
      2.187413,
      14.362831,
      2.181393,
      14.413208,
      2.125580,
      14.460679,
      2.162144,
      14.496940,
      2.168588,
      14.539444,
      1.690092,
      14.539444
    ]);
    poly[1043] = _TzPolygon([
      2.244885,
      13.034375,
      2.449845,
      13.034375,
      2.449845,
      14.539444,
      2.168588,
      14.539444,
      2.162144,
      14.496940,
      2.125580,
      14.460679,
      2.181393,
      14.413208,
      2.187413,
      14.362831,
      2.162601,
      14.303220,
      2.170589,
      13.294224,
      2.189960,
      13.285457,
      2.207781,
      13.305611,
      2.248434,
      13.286230,
      2.286593,
      13.157670,
      2.240710,
      13.084764
    ]);
    poly[1044] = _TzPolygon([
      2.449845,
      9.621122,
      2.612062,
      9.628621,
      2.968564,
      9.704413,
      3.095473,
      9.753985,
      3.226388,
      9.698765,
      3.459143,
      9.457561,
      3.551523,
      9.429657,
      3.617881,
      9.437811,
      3.657555,
      9.414185,
      3.770907,
      9.125295,
      3.905936,
      8.983255,
      3.960447,
      8.831346,
      3.989000,
      8.812720,
      3.989000,
      14.539444,
      2.449845,
      14.539444
    ]);
    poly[1045] = _TzPolygon([
      -4.388063,
      15.176360,
      -4.324801,
      15.196357,
      -4.314818,
      15.260017,
      -4.269069,
      15.328294,
      -4.285389,
      15.403775,
      -4.234898,
      15.476578,
      -4.086742,
      15.513317,
      -4.043198,
      15.551151,
      -3.971814,
      15.834901,
      -3.933267,
      15.905928,
      -3.768727,
      15.967675,
      -3.305540,
      16.213361,
      -3.256525,
      16.181260,
      -3.117866,
      16.171475,
      -3.010600,
      16.191880,
      -2.891454,
      16.179864,
      -2.642222,
      16.237222,
      -2.344654,
      16.174668,
      -2.175833,
      16.195833,
      -2.093611,
      16.265556,
      -2.027047,
      16.377385,
      -1.874722,
      16.519444,
      -1.620000,
      16.663056,
      -1.428056,
      16.740000,
      -1.240000,
      16.875278,
      -1.108867,
      17.045704,
      -0.990099,
      17.343811,
      -0.744673,
      17.529677,
      -0.669319,
      17.635592,
      -0.582347,
      17.686841,
      -0.365718,
      17.715508,
      -0.257402,
      17.664696,
      -0.199531,
      17.672457,
      -0.199531,
      18.643611,
      -4.388063,
      18.643611
    ]);
    poly[1046] = _TzPolygon([
      1.894734,
      15.770172,
      1.894734,
      16.086057,
      1.893200,
      16.086779,
      1.892054,
      16.109202,
      1.704376,
      16.149758,
      1.688294,
      16.141673,
      1.696571,
      16.091277,
      1.654666,
      16.056206,
      1.671355,
      16.021178,
      1.765282,
      16.026002,
      1.766502,
      15.960145,
      1.797557,
      15.905648,
      1.785553,
      15.881105,
      1.829640,
      15.867463,
      1.856241,
      15.805292
    ]);
    poly[1047] = _TzPolygon([
      -0.199531,
      17.672457,
      -0.167795,
      17.676713,
      -0.064112,
      17.734219,
      0.122484,
      17.774045,
      0.233377,
      17.821252,
      0.323333,
      17.931111,
      0.378056,
      17.958056,
      0.477778,
      17.965833,
      0.614040,
      17.868029,
      0.775904,
      17.889144,
      0.977926,
      17.839877,
      1.028902,
      17.847945,
      1.145610,
      17.926051,
      1.350010,
      17.971026,
      1.528611,
      18.070556,
      1.855833,
      18.063611,
      1.894734,
      18.072423,
      1.894734,
      18.643611,
      -0.199531,
      18.643611
    ]);
    poly[1048] = _TzPolygon([
      1.950160,
      15.565486,
      1.956340,
      15.528454,
      1.983595,
      15.485659,
      1.912363,
      15.343595,
      1.943548,
      15.334941,
      1.936956,
      15.305682,
      1.990405,
      15.287792,
      2.008040,
      15.245354,
      2.028165,
      15.249450,
      2.039656,
      15.206576,
      2.016482,
      15.175517,
      2.039909,
      15.147149,
      1.982831,
      15.105078,
      2.004381,
      15.062587,
      1.978659,
      15.040876,
      2.036848,
      14.983098,
      2.007908,
      14.968628,
      2.000274,
      14.914725,
      2.021618,
      14.889212,
      2.063766,
      14.911187,
      2.073285,
      14.877485,
      2.110875,
      14.872987,
      2.106380,
      14.856531,
      2.080327,
      14.860396,
      2.063160,
      14.771696,
      2.095891,
      14.770254,
      2.092430,
      14.736802,
      2.108435,
      14.751509,
      2.128189,
      14.723248,
      2.105805,
      14.723036,
      2.135845,
      14.684602,
      2.132700,
      14.644155,
      2.157531,
      14.644020,
      2.206828,
      14.595511,
      2.174433,
      14.577998,
      2.168588,
      14.539444,
      2.941867,
      14.539444,
      2.941867,
      15.565486
    ]);
    poly[1049] = _TzPolygon([
      2.941867,
      16.063824,
      2.941867,
      16.468045,
      2.922500,
      16.465833,
      2.849444,
      16.501667,
      2.215655,
      16.192148,
      2.253401,
      16.159002,
      2.274668,
      16.170339,
      2.352441,
      16.143843,
      2.463001,
      16.073344,
      2.596712,
      16.083097,
      2.645393,
      16.065506,
      2.701181,
      16.087589
    ]);
    poly[1050] = _TzPolygon([
      1.950160,
      15.565486,
      1.919821,
      15.747283,
      1.894734,
      15.770172,
      1.894734,
      15.565486
    ]);
    poly[1051] = _TzPolygon([
      1.894734,
      16.086057,
      1.975333,
      16.048118,
      2.046686,
      16.083190,
      2.066028,
      16.058896,
      2.088539,
      16.085516,
      2.190736,
      16.081278,
      2.198516,
      16.129218,
      2.177135,
      16.144418,
      2.220833,
      16.207222,
      2.849444,
      16.501667,
      2.922500,
      16.465833,
      2.941867,
      16.468045,
      2.941867,
      16.591527,
      1.894734,
      16.591527
    ]);
    poly[1052] = _TzPolygon([
      2.941867,
      16.468045,
      3.002778,
      16.475000,
      3.060556,
      16.512222,
      3.156667,
      16.482778,
      3.242222,
      16.534722,
      3.481944,
      16.588889,
      3.483459,
      16.591527,
      2.941867,
      16.591527
    ]);
    poly[1053] = _TzPolygon([
      3.989000,
      15.101119,
      3.243641,
      15.733623,
      3.270249,
      15.775423,
      3.020453,
      16.056065,
      2.941867,
      16.063824,
      2.941867,
      14.539444,
      3.989000,
      14.539444
    ]);
    poly[1054] = _TzPolygon([
      1.894734,
      18.072423,
      1.956389,
      18.086389,
      2.042500,
      18.071944,
      2.224167,
      18.091944,
      2.288611,
      18.116111,
      2.413611,
      18.222778,
      2.519167,
      18.233056,
      2.612804,
      18.341960,
      2.941867,
      18.482194,
      2.941867,
      18.643611,
      1.894734,
      18.643611
    ]);
    poly[1055] = _TzPolygon([
      3.963134,
      18.643611,
      3.894911,
      18.597684,
      3.776866,
      18.578482,
      3.471247,
      18.625818,
      3.480404,
      18.597423,
      3.598889,
      18.533333,
      3.641944,
      18.481389,
      3.577500,
      18.398056,
      3.583056,
      18.272500,
      3.499167,
      18.233889,
      3.482778,
      18.183889,
      3.541111,
      18.154722,
      3.560556,
      18.119444,
      3.565833,
      18.043333,
      3.539167,
      17.988889,
      3.577500,
      17.938889,
      3.535556,
      17.858889,
      3.618333,
      17.828333,
      3.637500,
      17.739444,
      3.629722,
      17.615278,
      3.713056,
      17.482222,
      3.679722,
      17.413889,
      3.611111,
      17.346667,
      3.628889,
      17.278056,
      3.584444,
      17.234167,
      3.576667,
      17.077222,
      3.540278,
      17.033333,
      3.565833,
      16.876667,
      3.523333,
      16.856667,
      3.522222,
      16.807500,
      3.550556,
      16.761111,
      3.533333,
      16.659722,
      3.473578,
      16.591527,
      3.989000,
      16.591527,
      3.989000,
      18.643611
    ]);
    poly[1056] = _TzPolygon([
      2.941867,
      18.482194,
      3.075556,
      18.539167,
      3.131944,
      18.611667,
      3.204444,
      18.641389,
      3.450833,
      18.633056,
      3.525348,
      18.606642,
      3.776866,
      18.578482,
      3.894911,
      18.597684,
      3.963134,
      18.643611,
      2.941867,
      18.643611
    ]);
    poly[1057] = _TzPolygon([
      5.392003,
      7.670478,
      5.392003,
      8.831418,
      5.184724,
      8.821095,
      5.112839,
      8.783711,
      5.074011,
      8.726946,
      4.915088,
      8.651601,
      4.885393,
      8.605639,
      4.824472,
      8.629359,
      4.798797,
      8.541861,
      4.745622,
      8.525122,
      4.701767,
      8.538976,
      4.633333,
      8.464444,
      4.533333,
      8.407500,
      4.367260,
      8.388005,
      4.334996,
      8.291972,
      4.343220,
      8.047569,
      4.311792,
      7.773734,
      4.273511,
      7.670478
    ]);
    poly[1058] = _TzPolygon([
      3.989000,
      15.101119,
      4.020510,
      15.074380,
      4.056659,
      15.179509,
      3.989000,
      15.179509
    ]);
    poly[1059] = _TzPolygon([
      4.056659,
      15.179509,
      4.072377,
      15.139940,
      4.140126,
      15.099316,
      4.301683,
      15.086756,
      4.367979,
      15.025842,
      4.424309,
      15.007932,
      4.528186,
      14.811149,
      4.613343,
      14.730443,
      4.763390,
      14.702060,
      4.787659,
      14.720689,
      4.868751,
      14.714642,
      4.989378,
      14.676192,
      5.085474,
      14.674379,
      5.099826,
      14.693488,
      5.197609,
      14.664195,
      5.236790,
      14.569226,
      5.284228,
      14.525659,
      5.392003,
      14.574987,
      5.392003,
      15.179509
    ]);
    poly[1060] = _TzPolygon([
      4.053118,
      18.643611,
      4.113147,
      18.629967,
      4.321085,
      18.544872,
      4.370924,
      18.601229,
      4.355917,
      18.623726,
      4.358327,
      18.643611
    ]);
    poly[1061] = _TzPolygon([
      -5.149089,
      20.196621,
      -5.093373,
      20.184198,
      -4.962167,
      20.111568,
      -4.825026,
      20.084791,
      -4.787507,
      20.053543,
      -4.594667,
      20.060758,
      -4.502333,
      20.123901,
      -4.472154,
      20.089354,
      -4.438080,
      20.092421,
      -4.360583,
      20.039462,
      -4.292114,
      20.028132,
      -4.283762,
      20.137767,
      -4.337853,
      20.168323,
      -4.329015,
      20.205279,
      -4.378762,
      20.240936,
      -4.381734,
      20.321151,
      -4.362393,
      20.350162,
      -4.300258,
      20.364925,
      -4.282112,
      20.398055,
      -4.293750,
      20.433715,
      -4.254549,
      20.453112,
      -4.262706,
      20.508213,
      -4.220422,
      20.599537,
      -4.158245,
      20.634504,
      -4.133010,
      20.675140,
      -3.534440,
      20.641899,
      -3.284014,
      20.656448,
      -2.766325,
      20.744471,
      -2.568229,
      20.862217,
      -2.568756,
      20.921967,
      -2.532577,
      21.005298,
      -2.535367,
      21.213981,
      -2.513816,
      21.231263,
      -2.513816,
      21.349804,
      -2.517435,
      21.355610,
      -2.513816,
      21.426639,
      -2.549216,
      21.523458,
      -2.612706,
      21.591087,
      -2.668791,
      21.697429,
      -2.535967,
      21.851638,
      -2.513816,
      21.870083,
      -2.513816,
      23.048844,
      -5.149089,
      23.048844
    ]);
    poly[1062] = _TzPolygon(
        [-2.513816, 21.231263, -2.464549, 21.270770, -2.513816, 21.349804]);
    poly[1063] = _TzPolygon(
        [-2.513816, 21.410194, -2.512893, 21.424115, -2.513816, 21.426639]);
    poly[1064] = _TzPolygon([
      -2.513816,
      21.870083,
      -2.415560,
      21.951901,
      -2.370830,
      22.048599,
      -2.276390,
      22.139700,
      -2.313330,
      22.190599,
      -2.434720,
      22.188299,
      -2.464720,
      22.264401,
      -2.432500,
      22.293301,
      -2.395560,
      22.293900,
      -1.942220,
      22.166401,
      -1.903330,
      22.185000,
      -1.958890,
      22.509701,
      -1.874440,
      22.590000,
      -1.801110,
      22.625601,
      -1.816940,
      22.642799,
      -1.806670,
      22.679701,
      -1.884170,
      22.870300,
      -1.962220,
      22.936701,
      -1.931940,
      23.005800,
      -1.931940,
      23.048844,
      -2.513816,
      23.048844
    ]);
    poly[1065] = _TzPolygon(
        [-0.405810, 23.048844, -0.406005, 22.950006, -0.301638, 23.048844]);
    poly[1066] = _TzPolygon([
      -1.196180,
      23.048844,
      -1.196180,
      23.952777,
      -1.245429,
      24.117882,
      -1.328410,
      24.148030,
      -1.312780,
      24.192542,
      -1.324276,
      24.315046,
      -1.431390,
      24.322201,
      -1.538890,
      24.375799,
      -1.717948,
      24.412389,
      -1.693910,
      24.208231,
      -1.740866,
      24.212141,
      -1.747592,
      24.041633,
      -1.762776,
      24.004826,
      -1.870604,
      23.988210,
      -1.825712,
      23.882300,
      -1.830967,
      23.839135,
      -1.943854,
      23.849276,
      -1.956766,
      23.771667,
      -2.025066,
      23.669920,
      -1.983143,
      23.569383,
      -1.987646,
      23.532797,
      -2.094769,
      23.408106,
      -2.076615,
      23.345186,
      -2.012034,
      23.265102,
      -1.996498,
      23.167227,
      -1.931940,
      23.073900,
      -1.931940,
      23.048844
    ]);
    poly[1067] = _TzPolygon([
      -1.196180,
      23.952777,
      -1.164671,
      23.847147,
      -1.106267,
      23.798967,
      -1.035631,
      23.629960,
      -0.971981,
      23.547773,
      -0.742023,
      23.479608,
      -0.717072,
      23.593020,
      -0.644594,
      23.620001,
      -0.627671,
      23.669479,
      -0.545992,
      23.687649,
      -0.539820,
      23.606477,
      -0.499787,
      23.606666,
      -0.440329,
      23.528824,
      -0.470058,
      23.479577,
      -0.463077,
      23.421659,
      -0.519498,
      23.250842,
      -0.405416,
      23.248982,
      -0.405810,
      23.048844,
      -0.301638,
      23.048844,
      -0.240462,
      23.106779,
      -0.240600,
      23.413102,
      -0.208330,
      23.408300,
      -0.105070,
      23.358014,
      -0.076116,
      23.313948,
      0.035830,
      23.246401,
      0.121457,
      23.169407,
      0.121457,
      25.251460,
      -1.196180,
      25.251460
    ]);
    poly[1068] = _TzPolygon([
      0.320278,
      23.048844,
      0.413330,
      22.972500,
      0.559170,
      22.934700,
      0.599999,
      22.979260,
      0.722951,
      22.883378,
      0.821206,
      22.876812,
      0.902662,
      22.839527,
      0.997360,
      22.842282,
      1.054283,
      22.790428,
      1.111761,
      22.787376,
      1.123663,
      22.764177,
      1.203480,
      22.743846,
      1.236635,
      22.704166,
      1.282429,
      22.700007,
      1.302658,
      22.667177,
      1.353510,
      22.654914,
      1.490396,
      22.477126,
      1.483102,
      22.431593,
      1.521444,
      22.377218,
      1.499053,
      22.358775,
      1.503470,
      22.307403,
      1.531504,
      22.260730,
      1.672559,
      22.289445,
      1.732271,
      22.388322,
      1.790952,
      22.357595,
      1.807766,
      22.415616,
      1.866444,
      22.425401,
      1.914998,
      22.490461,
      1.984309,
      22.470033,
      2.041094,
      22.412870,
      2.055333,
      22.363603,
      2.171983,
      22.361200,
      2.109440,
      22.647499,
      2.014271,
      22.779241,
      2.036389,
      22.793194,
      2.048123,
      22.858602,
      2.100224,
      22.900666,
      2.091718,
      22.922827,
      2.120939,
      22.945653,
      2.142153,
      22.929160,
      2.158767,
      22.972711,
      2.185767,
      22.972703,
      2.176404,
      23.002694,
      2.219834,
      23.018029,
      2.202753,
      23.048844
    ]);
    poly[1069] = _TzPolygon([
      2.574024,
      23.048844,
      2.738620,
      22.887023,
      2.756730,
      22.886339,
      2.756730,
      23.048844
    ]);
    poly[1070] = _TzPolygon([
      4.453945,
      20.846227,
      4.454313,
      20.841387,
      4.422090,
      20.792601,
      4.433132,
      20.709684,
      4.411489,
      20.583090,
      4.518113,
      20.468019,
      4.564489,
      20.446319,
      4.621470,
      20.459608,
      4.666591,
      20.404159,
      4.733572,
      20.385609,
      4.771574,
      20.343094,
      4.789021,
      20.251046,
      4.890803,
      20.174879,
      4.902764,
      20.104129,
      4.971336,
      20.007547,
      4.982619,
      19.913455,
      5.107322,
      19.819689,
      5.146298,
      19.679673,
      5.132353,
      19.429713,
      5.055703,
      19.335296,
      5.008325,
      19.234069,
      4.941531,
      19.196843,
      4.934424,
      19.098873,
      4.767245,
      19.019403,
      4.578829,
      18.829100,
      4.467970,
      18.805757,
      4.403558,
      18.762713,
      4.365344,
      18.706462,
      4.358183,
      18.643611,
      5.392003,
      18.643611,
      5.392003,
      20.846227
    ]);
    poly[1071] = _TzPolygon(
        [4.053118, 18.643611, 3.985847, 18.658901, 3.963134, 18.643611]);
    poly[1072] = _TzPolygon([
      2.756730,
      23.048844,
      2.756730,
      22.886339,
      2.794769,
      22.884903,
      2.809885,
      22.905816,
      2.774617,
      22.948569,
      2.852956,
      22.954060,
      3.014839,
      23.048844
    ]);
    poly[1073] = _TzPolygon([
      3.043771,
      23.048844,
      3.071389,
      23.019725,
      3.053381,
      22.991270,
      3.080576,
      22.921835,
      3.020028,
      22.857884,
      3.018986,
      22.827751,
      3.040205,
      22.788424,
      3.105730,
      22.781702,
      3.123951,
      22.759748,
      3.169179,
      22.574491,
      3.283765,
      22.651379,
      3.349625,
      22.615457,
      3.447500,
      22.667500,
      3.507780,
      22.862801,
      3.548050,
      22.928600,
      3.547500,
      23.037500,
      3.558585,
      23.048844
    ]);
    poly[1074] = _TzPolygon([
      4.074367,
      22.588140,
      4.074367,
      23.048844,
      3.873493,
      23.048844,
      3.845713,
      22.892980,
      3.874144,
      22.878388,
      3.864724,
      22.849893,
      3.905000,
      22.765600,
      3.991390,
      22.758600,
      3.998050,
      22.687201
    ]);
    poly[1075] = _TzPolygon([
      4.453945,
      20.846227,
      4.446182,
      20.948296,
      4.400139,
      21.076638,
      4.342185,
      21.112322,
      4.291088,
      21.213481,
      4.344795,
      21.281970,
      4.282870,
      21.361989,
      4.292571,
      21.443433,
      4.253588,
      21.539015,
      4.313146,
      21.651111,
      4.294658,
      21.704006,
      4.312051,
      21.737176,
      4.246735,
      21.859005,
      4.245458,
      22.001897,
      4.215999,
      22.096310,
      4.154845,
      22.164920,
      4.115013,
      22.258415,
      4.130831,
      22.412604,
      4.113610,
      22.537201,
      4.074367,
      22.588140,
      4.074367,
      20.846227
    ]);
    poly[1076] = _TzPolygon([
      4.074367,
      22.588140,
      4.113610,
      22.537201,
      4.128116,
      22.433401,
      4.218712,
      22.549283,
      4.287764,
      22.544191,
      4.371867,
      22.616653,
      4.393387,
      22.582661,
      4.477131,
      22.592288,
      4.494364,
      22.647461,
      4.466445,
      22.678672,
      4.477382,
      22.704437,
      4.626855,
      22.734063,
      4.714671,
      22.781843,
      4.728591,
      22.801367,
      4.699666,
      22.840577,
      4.709639,
      22.860937,
      4.755851,
      22.897627,
      4.791394,
      22.884383,
      4.817068,
      22.903514,
      4.838412,
      22.969425,
      4.757221,
      23.009905,
      4.735600,
      23.048844,
      4.074367,
      23.048844
    ]);
    poly[1077] = _TzPolygon([
      2.574024,
      23.048844,
      2.518110,
      23.240267,
      2.476124,
      23.296352,
      2.459083,
      23.287909,
      2.460178,
      23.310973,
      2.496908,
      23.311656,
      2.495057,
      23.335673,
      2.566399,
      23.360564,
      2.502884,
      23.427261,
      2.511081,
      23.451921,
      2.451276,
      23.536449,
      2.396540,
      23.572473,
      2.194189,
      23.579607,
      2.183024,
      23.477547,
      2.284941,
      23.321782,
      2.255936,
      23.307842,
      2.105572,
      23.321880,
      2.089857,
      23.312563,
      2.106118,
      23.271167,
      2.085449,
      23.224255,
      2.099406,
      23.177406,
      2.171663,
      23.104929,
      2.202753,
      23.048844
    ]);
    poly[1078] = _TzPolygon([
      0.320278,
      23.048844,
      0.278890,
      23.082800,
      0.156940,
      23.137501,
      0.121457,
      23.169407,
      0.121457,
      23.048844
    ]);
    poly[1079] = _TzPolygon([
      3.873493,
      23.048844,
      3.891806,
      23.151588,
      3.851729,
      23.151588,
      3.869712,
      23.216305,
      3.838541,
      23.329773,
      3.808224,
      23.364448,
      3.839911,
      23.403072,
      3.819700,
      23.515682,
      3.738330,
      23.486900,
      3.609170,
      23.356100,
      3.640560,
      23.300600,
      3.641940,
      23.229401,
      3.678060,
      23.171101,
      3.558585,
      23.048844
    ]);
    poly[1080] = _TzPolygon(
        [3.043771, 23.048844, 3.033441, 23.059735, 3.014839, 23.048844]);
    poly[1081] = _TzPolygon([
      4.735600,
      23.048844,
      4.719582,
      23.077690,
      4.711563,
      23.110598,
      4.741605,
      23.170339,
      4.675616,
      23.230627,
      4.671802,
      23.262300,
      4.633541,
      23.275396,
      4.593090,
      23.420547,
      4.652150,
      23.428613,
      4.698666,
      23.534880,
      4.761270,
      23.591464,
      4.786707,
      23.779477,
      4.834795,
      23.832884,
      4.813071,
      23.854751,
      4.832797,
      23.890871,
      4.810105,
      23.955909,
      4.874777,
      23.961796,
      4.860875,
      24.032528,
      4.918561,
      24.110923,
      4.893947,
      24.150152,
      4.074367,
      24.150152,
      4.074367,
      23.048844
    ]);
    poly[1082] = _TzPolygon([
      4.893947,
      24.150152,
      4.892911,
      24.151802,
      4.957941,
      24.228135,
      4.935432,
      24.267610,
      4.996370,
      24.282078,
      5.008267,
      24.364835,
      5.034679,
      24.397315,
      5.058355,
      24.340874,
      5.113320,
      24.378017,
      5.055809,
      24.441597,
      5.094951,
      24.442763,
      5.104278,
      24.462988,
      5.083030,
      24.533753,
      5.033061,
      24.568374,
      5.023353,
      24.618748,
      4.975240,
      24.631501,
      4.968530,
      24.671286,
      4.918514,
      24.660436,
      4.894933,
      24.723396,
      4.910804,
      24.765870,
      4.895599,
      24.782145,
      4.925747,
      24.797754,
      4.924248,
      24.847961,
      4.955276,
      24.864712,
      4.951207,
      24.910493,
      4.987910,
      24.956665,
      4.926366,
      25.063374,
      4.979266,
      25.086679,
      4.987306,
      25.123522,
      5.011455,
      25.120552,
      5.030072,
      25.149648,
      4.998823,
      25.190979,
      5.018555,
      25.251460,
      4.074367,
      25.251460,
      4.074367,
      24.150152
    ]);
    poly[1083] = _TzPolygon([
      5.018555,
      25.251460,
      5.042864,
      25.325971,
      5.153051,
      25.348446,
      5.149934,
      25.326214,
      5.191158,
      25.308082,
      5.207844,
      25.329194,
      5.263261,
      25.335902,
      5.291217,
      25.376497,
      5.309216,
      25.356921,
      5.316116,
      25.385945,
      5.338343,
      25.390144,
      5.310577,
      25.421530,
      5.340630,
      25.433832,
      5.363830,
      25.478518,
      5.343866,
      25.498601,
      5.357834,
      25.538647,
      5.392003,
      25.532746,
      5.378271,
      25.578793,
      5.348268,
      25.590020,
      5.349458,
      25.622166,
      5.325473,
      25.594588,
      5.304153,
      25.630399,
      5.332135,
      25.647912,
      5.307484,
      25.658072,
      5.302535,
      25.706518,
      5.240455,
      25.739950,
      5.278193,
      25.785064,
      5.240883,
      25.781114,
      5.246614,
      25.802114,
      5.224746,
      25.802114,
      5.220515,
      25.799912,
      5.218235,
      25.802114,
      4.733185,
      25.802114,
      4.733185,
      25.251460
    ]);
    poly[1084] = _TzPolygon(
        [5.246614, 25.802114, 5.250234, 25.815378, 5.224746, 25.802114]);
    poly[1085] = _TzPolygon([
      5.218235,
      25.802114,
      5.190843,
      25.828561,
      5.216922,
      25.842266,
      5.223918,
      25.881028,
      5.168547,
      25.899421,
      5.205500,
      25.903395,
      5.199552,
      25.962596,
      5.247260,
      25.974660,
      5.225250,
      25.986343,
      5.236148,
      26.004379,
      5.210426,
      26.007996,
      5.225440,
      26.048613,
      5.194864,
      26.060582,
      5.217588,
      26.066150,
      5.213591,
      26.093918,
      5.244167,
      26.089516,
      5.261537,
      26.157616,
      5.238789,
      26.156641,
      5.247902,
      26.184837,
      5.223703,
      26.186812,
      5.242458,
      26.205533,
      5.194898,
      26.214420,
      5.213744,
      26.234497,
      5.188542,
      26.233346,
      5.202200,
      26.249740,
      5.177549,
      26.248384,
      5.171267,
      26.285194,
      5.141691,
      26.297234,
      5.160798,
      26.348845,
      5.159834,
      26.352768,
      4.733185,
      26.352768,
      4.733185,
      25.802114
    ]);
    poly[1086] = _TzPolygon([
      5.002966,
      27.454076,
      5.007201,
      27.448175,
      5.097019,
      27.435464,
      5.258413,
      27.272964,
      5.392003,
      27.236097,
      5.392003,
      27.454076
    ]);
    poly[1087] = _TzPolygon([
      5.159834,
      26.352768,
      5.151708,
      26.385822,
      5.123179,
      26.395363,
      5.136004,
      26.412353,
      5.047611,
      26.484716,
      5.046781,
      26.523045,
      5.074380,
      26.536832,
      5.048710,
      26.536990,
      5.087032,
      26.572786,
      5.094020,
      26.613559,
      5.067242,
      26.625988,
      5.093511,
      26.637452,
      5.078233,
      26.652760,
      5.101007,
      26.681046,
      5.109124,
      26.767805,
      5.049289,
      26.802714,
      5.058418,
      26.840721,
      5.035475,
      26.869294,
      5.142063,
      26.933270,
      5.206982,
      27.077302,
      5.201334,
      27.151226,
      5.075767,
      27.440032,
      5.007201,
      27.448175,
      5.002966,
      27.454076,
      4.074367,
      27.454076,
      4.074367,
      26.352768
    ]);
    poly[1088] = _TzPolygon([
      5.392003,
      8.831418,
      5.430745,
      8.833348,
      5.564172,
      8.921486,
      5.625444,
      8.900434,
      5.678747,
      8.838010,
      5.706214,
      8.832639,
      5.707294,
      8.855352,
      5.775102,
      8.883796,
      5.803268,
      8.874202,
      5.794217,
      8.847305,
      5.824821,
      8.841134,
      5.862375,
      8.904176,
      5.903398,
      8.912843,
      6.000294,
      9.054520,
      6.094178,
      9.153626,
      6.133430,
      9.169236,
      6.181325,
      9.264433,
      6.292077,
      9.334492,
      6.352577,
      9.345186,
      6.315655,
      9.432777,
      6.454097,
      9.465081,
      6.442678,
      9.529238,
      6.473631,
      9.587119,
      6.529572,
      9.596785,
      6.512029,
      9.705982,
      6.678206,
      9.749897,
      6.678363,
      9.752025,
      5.392003,
      9.752025
    ]);
    poly[1089] = _TzPolygon([
      6.961340,
      10.792799,
      6.955622,
      10.764739,
      7.016235,
      10.683304,
      7.039739,
      10.678627,
      7.049512,
      10.624648,
      7.076657,
      10.595640,
      7.146672,
      10.595295,
      7.162243,
      10.571577,
      6.939719,
      10.541417,
      6.899941,
      10.488943,
      6.916012,
      10.462147,
      6.889346,
      10.215537,
      6.941781,
      10.172182,
      7.013912,
      10.176459,
      7.038377,
      10.150528,
      6.775934,
      9.863029,
      6.794580,
      9.779489,
      6.679326,
      9.765074,
      6.678363,
      9.752025,
      7.262135,
      9.752025,
      7.262135,
      10.792799
    ]);
    poly[1090] = _TzPolygon([
      6.961340,
      10.792799,
      6.962513,
      10.798557,
      6.938316,
      10.838056,
      6.843813,
      10.816285,
      6.765916,
      10.910705,
      6.709079,
      10.916363,
      6.686980,
      10.993142,
      6.715366,
      11.058039,
      6.681522,
      11.094994,
      6.519909,
      11.097762,
      6.530142,
      11.137562,
      6.500027,
      11.166624,
      6.512510,
      11.199987,
      6.537612,
      11.197759,
      6.522515,
      11.244520,
      6.538093,
      11.279235,
      6.500974,
      11.350948,
      6.525443,
      11.356522,
      6.530666,
      11.427773,
      6.598138,
      11.417225,
      6.599502,
      11.495781,
      6.666728,
      11.553998,
      6.714879,
      11.549956,
      6.733910,
      11.583761,
      6.772828,
      11.569381,
      6.801428,
      11.595218,
      6.858308,
      11.553336,
      6.901504,
      11.572708,
      6.913591,
      11.606916,
      6.976628,
      11.617487,
      6.986411,
      11.657511,
      7.047452,
      11.720643,
      7.043025,
      11.774665,
      7.082654,
      11.802519,
      7.080694,
      11.833573,
      5.392003,
      11.833573,
      5.392003,
      10.792799
    ]);
    poly[1091] = _TzPolygon([
      12.872529,
      8.857666,
      12.872529,
      9.712705,
      12.807702,
      9.658716,
      12.807406,
      9.627707,
      12.833601,
      8.977927
    ]);
    poly[1092] = _TzPolygon([
      9.132266,
      11.833573,
      9.132266,
      12.897334,
      9.114237,
      12.900960,
      8.919688,
      12.806853,
      8.895645,
      12.818943,
      8.853946,
      12.800164,
      8.830412,
      12.818942,
      8.745363,
      12.783955,
      8.763102,
      12.720653,
      8.672170,
      12.699898,
      8.647671,
      12.675707,
      8.648905,
      12.635005,
      8.613785,
      12.575230,
      8.642280,
      12.499621,
      8.620357,
      12.431400,
      8.544533,
      12.460957,
      8.516146,
      12.446462,
      8.460055,
      12.342126,
      8.430319,
      12.339498,
      8.442073,
      12.259808,
      8.386559,
      12.243795,
      8.176364,
      12.255934,
      8.097617,
      12.191072,
      7.983271,
      12.214077,
      7.862205,
      12.136106,
      7.847747,
      12.098059,
      7.735655,
      12.052252,
      7.678969,
      11.999189,
      7.527851,
      12.025096,
      7.478078,
      11.922775,
      7.393844,
      11.928063,
      7.363311,
      11.883103,
      7.324387,
      11.885816,
      7.269983,
      11.841774,
      7.248357,
      11.880266,
      7.194597,
      11.855711,
      7.098824,
      11.879740,
      7.071407,
      11.833573
    ]);
    poly[1093] = _TzPolygon([
      5.392003,
      14.574987,
      5.511907,
      14.629866,
      5.595424,
      14.589785,
      5.710856,
      14.626472,
      5.891273,
      14.618941,
      5.923172,
      14.599201,
      5.904722,
      14.555833,
      5.920000,
      14.485000,
      6.044679,
      14.415543,
      6.088333,
      14.430000,
      6.133611,
      14.510000,
      6.193333,
      14.552778,
      6.188889,
      14.580278,
      6.262500,
      14.740278,
      6.340000,
      14.800278,
      6.390000,
      14.796944,
      6.673611,
      14.932778,
      6.726624,
      14.939015,
      6.756555,
      14.966209,
      6.769601,
      15.055165,
      6.948624,
      15.139125,
      7.058611,
      15.158333,
      7.115195,
      15.219132,
      7.176829,
      15.206056,
      7.215704,
      15.233621,
      7.223850,
      15.211156,
      7.241321,
      15.217339,
      7.262135,
      15.241665,
      7.262135,
      15.996667,
      5.392003,
      15.996667
    ]);
    poly[1094] = _TzPolygon([
      7.262135,
      15.241665,
      7.414492,
      15.419732,
      7.525485,
      15.493321,
      7.519130,
      15.727950,
      7.478530,
      15.742970,
      7.441070,
      15.809590,
      7.483339,
      15.974811,
      7.500521,
      15.996667,
      7.262135,
      15.996667
    ]);
    poly[1095] = _TzPolygon([
      9.132266,
      14.441619,
      9.114894,
      14.464023,
      9.059154,
      14.489444,
      8.811848,
      14.843792,
      8.814041,
      14.899255,
      8.779671,
      14.922836,
      8.763601,
      14.908265,
      8.728469,
      14.989221,
      8.687992,
      14.983649,
      8.659348,
      15.109015,
      8.512252,
      15.200064,
      8.098412,
      15.393138,
      7.885290,
      15.451778,
      7.792022,
      15.506378,
      7.766291,
      15.591449,
      7.585324,
      15.561727,
      7.528937,
      15.493325,
      7.414492,
      15.419732,
      7.262135,
      15.241665,
      7.262135,
      13.915120,
      9.132266,
      13.915120
    ]);
    poly[1096] = _TzPolygon([
      9.132266,
      12.897334,
      9.178547,
      12.888026,
      9.248589,
      12.917292,
      9.340568,
      12.923826,
      9.371875,
      12.847290,
      9.414867,
      12.939542,
      9.469123,
      12.975024,
      9.506595,
      13.034673,
      9.555099,
      13.206878,
      9.582523,
      13.227062,
      9.773330,
      13.259469,
      9.826484,
      13.302024,
      9.863463,
      13.243296,
      9.910132,
      13.236293,
      9.938369,
      13.281755,
      9.978647,
      13.288065,
      10.002772,
      13.247932,
      10.034623,
      13.246873,
      10.045860,
      13.286351,
      10.085838,
      13.298107,
      10.116573,
      13.343751,
      10.121517,
      13.412199,
      10.160753,
      13.469917,
      10.196203,
      13.483587,
      10.245853,
      13.465860,
      10.295020,
      13.490873,
      10.328753,
      13.478605,
      10.334112,
      13.499960,
      10.389463,
      13.496671,
      10.419140,
      13.537292,
      10.468472,
      13.530610,
      10.536793,
      13.578637,
      10.612438,
      13.547220,
      10.634822,
      13.574636,
      10.697766,
      13.588319,
      10.711472,
      13.626691,
      10.812922,
      13.650513,
      10.863064,
      13.716762,
      10.923746,
      13.730187,
      10.959892,
      13.710398,
      10.999965,
      13.731405,
      11.004299,
      13.792378,
      11.066188,
      13.815846,
      11.094977,
      13.859888,
      11.150800,
      13.879275,
      11.187068,
      13.915120,
      9.132266,
      13.915120
    ]);
    poly[1097] = _TzPolygon([
      9.132266,
      14.441619,
      9.204332,
      14.348681,
      9.294147,
      14.373162,
      9.309876,
      14.339203,
      9.371684,
      14.304327,
      9.358180,
      14.268520,
      9.502368,
      14.149818,
      9.517937,
      14.104302,
      9.610980,
      14.038050,
      9.637937,
      13.976605,
      9.727969,
      14.022445,
      9.820074,
      14.130979,
      10.002114,
      14.206609,
      10.002224,
      14.463358,
      9.935219,
      14.802421,
      9.982890,
      14.957853,
      9.945692,
      15.059965,
      9.994282,
      15.148312,
      9.989541,
      15.248100,
      9.933482,
      15.413858,
      9.998714,
      15.688998,
      10.117960,
      15.483668,
      10.244172,
      15.397837,
      10.310357,
      15.304571,
      10.474839,
      15.238535,
      10.541677,
      15.144980,
      10.621998,
      15.160086,
      10.820320,
      15.067565,
      10.881547,
      15.094511,
      11.002398,
      15.053040,
      11.002398,
      15.996667,
      9.132266,
      15.996667
    ]);
    poly[1098] = _TzPolygon([
      11.937464,
      13.915120,
      11.937464,
      14.642571,
      11.869472,
      14.604655,
      11.782511,
      14.615356,
      11.718842,
      14.549128,
      11.649917,
      14.643853,
      11.574781,
      14.647602,
      11.510238,
      14.617906,
      11.421061,
      14.430362,
      11.240847,
      14.186293,
      11.311753,
      13.977175,
      11.206429,
      13.934255,
      11.187068,
      13.915120
    ]);
    poly[1099] = _TzPolygon([
      12.872529,
      14.129703,
      12.538171,
      14.203251,
      12.478988,
      14.176189,
      12.434710,
      14.194740,
      12.410956,
      14.173377,
      12.362419,
      14.228334,
      12.374688,
      14.326942,
      12.352536,
      14.483277,
      12.326788,
      14.520511,
      12.297068,
      14.511118,
      12.280388,
      14.547769,
      12.236301,
      14.549615,
      12.227800,
      14.594134,
      12.186001,
      14.613523,
      12.197994,
      14.659307,
      12.164143,
      14.678014,
      12.092649,
      14.635911,
      12.063839,
      14.653380,
      12.042301,
      14.622308,
      11.962279,
      14.656409,
      11.937464,
      14.642571,
      11.937464,
      13.915120,
      12.872529,
      13.915120
    ]);
  }
}

class _Initializer12 {
  static void _init() {
    poly[1100] = _TzPolygon([
      12.108895,
      14.955893,
      12.165188,
      14.885277,
      12.188180,
      14.911397,
      12.205951,
      14.892183,
      12.383802,
      14.908468,
      12.463374,
      14.877822,
      12.467729,
      14.843142,
      12.574331,
      14.854745,
      12.633501,
      14.832524,
      12.634693,
      14.772210,
      12.688671,
      14.745712,
      12.658877,
      14.711764,
      12.722204,
      14.717992,
      12.743415,
      14.616064,
      12.774572,
      14.618811,
      12.745520,
      14.591111,
      12.783724,
      14.573843,
      12.775860,
      14.555749,
      12.865906,
      14.554379,
      12.872529,
      14.559758,
      12.872529,
      14.955893
    ]);
    poly[1101] = _TzPolygon([
      11.002398,
      15.053040,
      11.025200,
      15.045215,
      11.033038,
      15.092464,
      11.088129,
      15.110660,
      11.280581,
      15.048508,
      11.326734,
      15.073925,
      11.345467,
      15.049283,
      11.365960,
      15.069070,
      11.416938,
      15.059849,
      11.514010,
      15.133320,
      11.562332,
      15.144898,
      11.587894,
      15.099923,
      11.710911,
      15.064483,
      11.734611,
      15.077358,
      11.731081,
      15.105510,
      11.765870,
      15.080105,
      11.790909,
      15.122848,
      11.854471,
      15.089623,
      11.857109,
      15.050750,
      11.973675,
      15.050064,
      11.995740,
      15.085848,
      12.031449,
      15.038651,
      12.057046,
      15.060650,
      12.104072,
      15.037780,
      12.121321,
      15.001408,
      12.088095,
      14.981985,
      12.108895,
      14.955893,
      12.872529,
      14.955893,
      12.872529,
      15.996667,
      11.002398,
      15.996667
    ]);
    poly[1102] = _TzPolygon([
      12.872529,
      8.857666,
      12.936997,
      8.658508,
      13.023335,
      8.596764,
      13.074238,
      8.502157,
      13.057199,
      8.416249,
      13.213942,
      8.249476,
      13.313778,
      8.069222,
      13.341374,
      7.845216,
      13.320420,
      7.774361,
      13.256671,
      7.670478,
      20.353056,
      7.670478,
      20.353056,
      11.833573,
      13.266334,
      11.833573,
      13.299044,
      11.678427,
      13.346314,
      11.590626,
      13.380613,
      11.459247,
      13.360672,
      10.656115,
      13.287472,
      10.465271,
      13.270741,
      10.204041,
      13.182376,
      10.011259,
      13.026595,
      9.841013,
      12.872529,
      9.712705
    ]);
    poly[1103] = _TzPolygon([
      14.742661,
      12.874346,
      13.500102,
      12.874346,
      13.501053,
      12.871266,
      13.471930,
      12.873402,
      13.476459,
      12.841881,
      13.440602,
      12.856693,
      13.455282,
      12.835728,
      13.431113,
      12.810600,
      13.402989,
      12.826825,
      13.397517,
      12.782875,
      13.377112,
      12.792195,
      13.390376,
      12.765511,
      13.326418,
      12.740238,
      13.323252,
      12.709009,
      13.307471,
      12.717431,
      13.320418,
      12.682299,
      13.275766,
      12.676639,
      13.305766,
      12.644522,
      13.277885,
      12.624021,
      13.283978,
      12.578423,
      13.268640,
      12.590726,
      13.275445,
      12.577134,
      13.204120,
      12.549516,
      13.198862,
      12.559946,
      13.159584,
      12.550410,
      13.141504,
      12.538355,
      13.144522,
      12.501728,
      13.055230,
      12.473627,
      13.075263,
      12.449013,
      13.075004,
      12.369504,
      13.091239,
      12.368913,
      13.071876,
      12.333579,
      13.100217,
      12.295619,
      13.081305,
      12.273966,
      13.114150,
      12.263885,
      13.106254,
      12.233064,
      13.130334,
      12.199911,
      13.098112,
      12.163721,
      13.114881,
      12.106231,
      13.140983,
      12.038438,
      13.255907,
      11.883026,
      13.266334,
      11.833573,
      14.742661,
      11.833573
    ]);
    poly[1104] = _TzPolygon([
      13.500102,
      12.874346,
      13.486962,
      12.916921,
      13.499885,
      12.957689,
      13.521333,
      12.955773,
      13.509280,
      13.002347,
      13.536645,
      13.021981,
      13.521190,
      13.043633,
      13.543736,
      13.041561,
      13.550016,
      13.063124,
      13.527431,
      13.061055,
      13.516082,
      13.088528,
      13.539862,
      13.104157,
      13.521731,
      13.125212,
      13.541240,
      13.122518,
      13.550505,
      13.146734,
      13.517627,
      13.140516,
      13.537532,
      13.181114,
      13.513373,
      13.197761,
      13.549107,
      13.206669,
      13.564915,
      13.239600,
      13.589331,
      13.226536,
      13.595284,
      13.262657,
      13.616308,
      13.243326,
      13.696249,
      13.309275,
      13.693536,
      13.335389,
      13.721310,
      13.338365,
      13.708160,
      13.633381,
      13.316923,
      13.915120,
      12.872529,
      13.915120,
      12.872529,
      12.874346
    ]);
    poly[1105] = _TzPolygon([
      13.316923,
      13.915120,
      13.708160,
      13.633381,
      14.442820,
      13.473480,
      14.477850,
      13.499750,
      14.510480,
      13.633160,
      14.551120,
      13.696020,
      14.636560,
      13.677310,
      14.698340,
      13.745570,
      14.691970,
      13.768730,
      14.721730,
      13.809960,
      14.742661,
      13.806960,
      14.742661,
      13.915120
    ]);
    poly[1106] = _TzPolygon([
      14.742661,
      13.915120,
      14.742661,
      13.806960,
      14.863210,
      13.789680,
      15.031340,
      13.862210,
      15.102238,
      13.915120
    ]);
    poly[1107] = _TzPolygon([
      12.872529,
      14.129703,
      13.083333,
      14.083333,
      13.083333,
      14.466666,
      12.887574,
      14.571977,
      12.872529,
      14.559758
    ]);
    poly[1108] = _TzPolygon([
      13.316923,
      13.915120,
      13.083333,
      14.083333,
      12.872529,
      14.129703,
      12.872529,
      13.915120
    ]);
    poly[1109] = _TzPolygon([
      16.612793,
      15.231601,
      15.731550,
      14.384760,
      15.102238,
      13.915120,
      16.612793,
      13.915120
    ]);
    poly[1110] = _TzPolygon([
      16.612793,
      15.231601,
      16.897870,
      15.505550,
      18.782222,
      15.602500,
      19.932500,
      15.753889,
      20.353056,
      15.996667,
      16.612793,
      15.996667
    ]);
    poly[1111] = _TzPolygon([
      20.970852,
      7.670478,
      21.778590,
      8.996974,
      23.422283,
      11.833573,
      20.353056,
      11.833573,
      20.353056,
      7.670478
    ]);
    poly[1112] = _TzPolygon([
      23.828622,
      11.833573,
      24.264727,
      11.604258,
      24.200501,
      11.422523,
      24.392829,
      11.135854,
      24.429783,
      11.044819,
      24.532734,
      10.949659,
      24.568887,
      10.847256,
      24.564018,
      10.815651,
      24.510391,
      10.766643,
      24.573067,
      10.706074,
      24.573582,
      10.614730,
      24.541327,
      10.588023,
      24.533881,
      10.545496,
      24.536972,
      10.356677,
      24.599078,
      10.302570,
      24.650641,
      10.216372,
      24.965634,
      10.037772,
      25.359573,
      10.032093,
      26.195638,
      9.398983,
      26.253330,
      9.455908,
      26.385101,
      9.512373,
      26.519911,
      9.863299,
      26.646871,
      9.913332,
      26.743180,
      9.902106,
      26.861947,
      9.925362,
      26.953616,
      9.858083,
      27.256579,
      9.782495,
      27.353630,
      9.783926,
      27.433543,
      9.805519,
      27.433543,
      11.833573
    ]);
    poly[1113] = _TzPolygon(
        [23.828622, 11.833573, 23.517178, 11.997337, 23.422283, 11.833573]);
    poly[1114] = _TzPolygon([
      20.353056,
      15.996667,
      20.698889,
      15.673889,
      20.766389,
      15.575833,
      20.884444,
      15.558333,
      20.955278,
      15.627222,
      21.445278,
      15.284444,
      21.495833,
      15.202500,
      21.998889,
      15.194722,
      23.001239,
      14.998583,
      23.497371,
      15.996667
    ]);
    poly[1115] = _TzPolygon([
      23.828622,
      11.833573,
      27.433543,
      11.833573,
      27.433543,
      15.996667,
      23.497371,
      15.996667,
      22.613611,
      14.234444,
      23.168333,
      13.543611,
      23.215556,
      13.410833,
      23.517178,
      11.997337
    ]);
    poly[1116] = _TzPolygon([
      8.196696,
      17.428843,
      7.871860,
      17.428843,
      7.872390,
      17.399310,
      7.847384,
      17.399210,
      7.856193,
      17.359944,
      7.826176,
      17.325839,
      7.830490,
      17.295906,
      7.787300,
      17.255291,
      7.752918,
      17.257767,
      7.771177,
      17.223295,
      7.721758,
      17.201063,
      7.717761,
      17.164024,
      7.670348,
      17.154111,
      7.666109,
      17.121943,
      7.701544,
      17.091505,
      7.665428,
      17.088388,
      7.658034,
      17.039254,
      7.638880,
      17.035257,
      7.645338,
      16.951193,
      7.609884,
      16.922152,
      7.620523,
      16.891936,
      7.578910,
      16.886372,
      7.564847,
      16.906428,
      7.561649,
      16.864086,
      7.532831,
      16.837546,
      7.535694,
      16.809306,
      7.607618,
      16.775954,
      7.639447,
      16.729439,
      7.639546,
      16.684413,
      7.672196,
      16.659600,
      7.745498,
      16.659909,
      7.774003,
      16.589580,
      7.886645,
      16.591143,
      7.848101,
      16.507650,
      7.790056,
      16.480002,
      7.787367,
      16.450047,
      7.810242,
      16.432012,
      7.772697,
      16.406016,
      7.715739,
      16.423436,
      7.673210,
      16.384469,
      7.654743,
      16.295848,
      7.605841,
      16.229791,
      7.614450,
      16.185530,
      7.581909,
      16.066141,
      7.498369,
      15.996667,
      8.196696,
      15.996667
    ]);
    poly[1117] = _TzPolygon([
      8.196696,
      18.660934,
      8.194950,
      18.657700,
      8.141190,
      18.628100,
      8.091000,
      18.637050,
      8.052470,
      18.618050,
      8.009300,
      18.031980,
      7.958610,
      17.921640,
      7.984014,
      17.662215,
      7.945253,
      17.644019,
      7.914910,
      17.563048,
      7.924120,
      17.533484,
      7.890689,
      17.534868,
      7.872443,
      17.510592,
      7.902096,
      17.461242,
      7.871643,
      17.440967,
      7.871860,
      17.428843,
      8.196696,
      17.428843
    ]);
    poly[1118] = _TzPolygon([
      8.196696,
      18.660934,
      8.289884,
      18.833527,
      8.346026,
      18.848777,
      8.343372,
      18.861019,
      8.196696,
      18.861019
    ]);
    poly[1119] = _TzPolygon([
      9.599042,
      19.577107,
      9.035327,
      19.577107,
      9.038653,
      19.560755,
      9.022368,
      19.543786,
      9.040073,
      19.526625,
      9.019148,
      19.516080,
      9.011778,
      19.479589,
      9.032396,
      19.477734,
      9.007540,
      19.449899,
      9.026554,
      19.443288,
      9.014694,
      19.390372,
      9.029549,
      19.362199,
      9.012272,
      19.281901,
      9.039143,
      19.219673,
      9.009328,
      19.147155,
      9.024510,
      19.123737,
      9.006632,
      19.111094,
      9.013097,
      19.052166,
      8.983164,
      19.038248,
      8.972527,
      18.985415,
      8.940589,
      18.978186,
      8.960803,
      18.956111,
      8.936769,
      18.958238,
      8.880710,
      18.863265,
      8.853199,
      18.863444,
      8.854292,
      18.902808,
      8.810247,
      18.909474,
      8.810550,
      18.948868,
      8.671659,
      19.124031,
      8.637380,
      19.065840,
      8.528049,
      19.034826,
      8.516090,
      18.988724,
      8.491714,
      18.992302,
      8.425128,
      18.920336,
      8.387347,
      18.919241,
      8.341654,
      18.868943,
      8.343372,
      18.861019,
      9.599042,
      18.861019
    ]);
    poly[1120] = _TzPolygon([
      9.114794,
      20.293195,
      9.139722,
      20.207222,
      9.111944,
      20.141667,
      9.151111,
      20.104722,
      9.127500,
      20.098611,
      9.134444,
      20.061944,
      9.114444,
      20.033611,
      9.088611,
      20.029167,
      9.106667,
      20.003889,
      9.080000,
      19.988333,
      9.062500,
      19.909167,
      9.041944,
      19.894722,
      9.047778,
      19.786389,
      9.013611,
      19.683889,
      9.035327,
      19.577107,
      9.599042,
      19.577107,
      9.599042,
      20.293195
    ]);
    poly[1121] = _TzPolygon([
      10.641815,
      21.725372,
      10.639444,
      21.719444,
      10.514444,
      21.701389,
      10.458725,
      21.725372,
      10.325926,
      21.725372,
      10.290556,
      21.715556,
      10.284722,
      21.687778,
      10.238889,
      21.670833,
      10.223056,
      21.638889,
      10.206389,
      21.526944,
      10.116389,
      21.455278,
      10.045833,
      21.438333,
      9.973889,
      21.371944,
      9.958333,
      21.336111,
      9.973611,
      21.256389,
      9.883611,
      21.191944,
      9.842778,
      21.130000,
      9.772500,
      21.103056,
      9.752778,
      21.068333,
      9.766667,
      21.042500,
      9.738611,
      21.015000,
      9.633611,
      20.997222,
      9.628056,
      20.975833,
      9.606111,
      20.985000,
      9.605556,
      20.956389,
      9.476478,
      20.835708,
      9.415833,
      20.822222,
      9.405556,
      20.774722,
      9.376944,
      20.759722,
      9.359722,
      20.677778,
      9.338333,
      20.656944,
      9.296389,
      20.662778,
      9.321667,
      20.541389,
      9.281667,
      20.528611,
      9.271944,
      20.496389,
      9.208889,
      20.515000,
      9.207778,
      20.482778,
      9.138889,
      20.438889,
      9.104444,
      20.328889,
      9.114794,
      20.293195,
      11.001389,
      20.293195,
      11.001389,
      21.725372
    ]);
    poly[1122] = _TzPolygon([
      10.594385,
      23.157548,
      10.613611,
      23.136389,
      10.695278,
      23.013056,
      10.899722,
      22.880556,
      11.001389,
      22.911494,
      11.001389,
      23.157548
    ]);
    poly[1123] = _TzPolygon([
      11.001389,
      22.904930,
      10.920556,
      22.877778,
      11.000278,
      22.460556,
      10.957778,
      22.406389,
      10.941667,
      22.322778,
      10.904722,
      22.276667,
      10.910833,
      22.244722,
      10.815833,
      22.180833,
      10.830556,
      22.047500,
      10.799167,
      22.009444,
      10.728889,
      21.995833,
      10.713889,
      21.907500,
      10.666667,
      21.857500,
      10.678333,
      21.816667,
      10.641815,
      21.725372,
      11.001389,
      21.725372
    ]);
    poly[1124] = _TzPolygon(
        [10.458725, 21.725372, 10.406667, 21.747778, 10.325926, 21.725372]);
    poly[1125] = _TzPolygon([
      8.718677,
      23.873636,
      8.728056,
      23.824167,
      8.705000,
      23.733889,
      8.737500,
      23.633889,
      8.708611,
      23.526389,
      8.772778,
      23.497500,
      8.901389,
      23.580278,
      8.994722,
      23.582778,
      9.004722,
      23.559722,
      8.960556,
      23.533611,
      8.959722,
      23.504167,
      9.019444,
      23.447778,
      9.174167,
      23.493333,
      9.184444,
      23.561111,
      9.280000,
      23.652500,
      9.339722,
      23.639444,
      9.435833,
      23.666111,
      9.445000,
      23.633889,
      9.535278,
      23.623611,
      9.599042,
      23.657601,
      9.599042,
      23.873636
    ]);
    poly[1126] = _TzPolygon([
      8.721067,
      23.873636,
      8.728056,
      23.824167,
      8.705000,
      23.733889,
      8.737500,
      23.633889,
      8.705000,
      23.558333,
      8.717778,
      23.514444,
      8.796389,
      23.502778,
      8.901389,
      23.580278,
      8.994722,
      23.582778,
      9.004722,
      23.559722,
      8.960556,
      23.533611,
      8.959722,
      23.504167,
      9.019444,
      23.447778,
      9.174167,
      23.493333,
      9.184444,
      23.561111,
      9.280000,
      23.652500,
      9.339722,
      23.639444,
      9.435833,
      23.666111,
      9.445000,
      23.633889,
      9.535278,
      23.623611,
      9.599042,
      23.657601,
      9.599042,
      23.873636
    ]);
    poly[1127] = _TzPolygon([
      8.721067,
      23.873636,
      8.685278,
      24.126944,
      8.694167,
      24.249722,
      8.630278,
      24.228889,
      8.583333,
      24.269167,
      8.473889,
      24.163333,
      8.382500,
      24.141944,
      8.316667,
      24.177222,
      8.247500,
      24.356667,
      8.273333,
      24.396111,
      8.271667,
      24.466389,
      8.234722,
      24.483056,
      8.205556,
      24.539167,
      8.211225,
      24.589724,
      8.196696,
      24.589724,
      8.196696,
      23.873636
    ]);
    poly[1128] = _TzPolygon([
      8.718677,
      23.873636,
      9.599042,
      23.873636,
      9.599042,
      24.589724,
      8.211225,
      24.589724,
      8.205556,
      24.539167,
      8.234722,
      24.483056,
      8.271667,
      24.466389,
      8.273333,
      24.396111,
      8.247500,
      24.356667,
      8.316667,
      24.177222,
      8.382500,
      24.141944,
      8.473889,
      24.163333,
      8.583333,
      24.269167,
      8.630278,
      24.228889,
      8.691111,
      24.253611,
      8.696667,
      23.989722
    ]);
    poly[1129] = _TzPolygon([
      10.594385,
      23.157548,
      10.458889,
      23.306667,
      9.867222,
      23.669722,
      9.671553,
      23.696254,
      9.599042,
      23.657601,
      9.599042,
      23.157548
    ]);
    poly[1130] = _TzPolygon([
      9.599042,
      23.657601,
      9.671553,
      23.696254,
      9.867222,
      23.669722,
      10.458889,
      23.306667,
      10.594385,
      23.157548,
      11.001389,
      23.157548,
      11.001389,
      24.589724,
      9.599042,
      24.589724
    ]);
    poly[1131] = _TzPolygon([
      6.991519,
      26.021900,
      7.010556,
      25.973611,
      7.085278,
      25.920556,
      7.111111,
      25.825833,
      7.168333,
      25.764722,
      7.175000,
      25.688333,
      7.251944,
      25.567222,
      7.262500,
      25.477222,
      7.348056,
      25.364167,
      7.417500,
      25.352778,
      7.470556,
      25.294444,
      7.465556,
      25.254722,
      7.494722,
      25.209444,
      7.595000,
      25.210278,
      7.680278,
      25.292500,
      7.792500,
      25.278333,
      7.882222,
      25.203889,
      7.908056,
      25.151667,
      7.893056,
      25.090000,
      7.972500,
      24.971111,
      8.038056,
      24.905278,
      8.174167,
      24.856111,
      8.196696,
      24.758207,
      8.196696,
      26.021900
    ]);
    poly[1132] = _TzPolygon([
      6.991519,
      26.021900,
      6.987778,
      26.031389,
      6.910278,
      26.066944,
      6.706944,
      26.283333,
      6.651944,
      26.425000,
      6.621111,
      26.422500,
      6.570556,
      26.344722,
      6.517778,
      26.364722,
      6.466389,
      26.323333,
      6.362500,
      26.330833,
      6.314167,
      26.404444,
      6.280000,
      26.417500,
      6.283889,
      26.485833,
      6.219722,
      26.529444,
      6.202222,
      26.579167,
      6.153056,
      26.582778,
      6.079167,
      26.504444,
      6.062500,
      26.528333,
      6.077222,
      26.584167,
      5.987222,
      26.669722,
      5.998889,
      26.761389,
      5.980000,
      26.830556,
      5.888889,
      26.920000,
      5.720833,
      27.206667,
      5.671944,
      27.232222,
      5.615278,
      27.231389,
      5.555278,
      27.293056,
      5.406492,
      27.232098,
      5.392003,
      27.236097,
      5.392003,
      26.021900
    ]);
    poly[1133] = _TzPolygon([
      8.211225,
      24.589724,
      8.219167,
      24.660556,
      8.196696,
      24.758207,
      8.196696,
      24.589724
    ]);
    poly[1134] = _TzPolygon([
      8.196696,
      24.758207,
      8.219167,
      24.660556,
      8.211225,
      24.589724,
      9.599042,
      24.589724,
      9.599042,
      26.021900,
      8.196696,
      26.021900
    ]);
    poly[1135] = _TzPolygon([
      11.001389,
      25.305812,
      10.355954,
      25.305812,
      10.360057,
      25.275473,
      10.332984,
      25.272514,
      10.359672,
      25.214983,
      10.318433,
      25.181587,
      10.336449,
      25.144401,
      10.303965,
      25.123346,
      10.307512,
      25.086956,
      10.222866,
      25.048342,
      10.179928,
      25.055585,
      10.166050,
      25.030793,
      10.113918,
      25.078897,
      10.084626,
      25.076987,
      10.083589,
      25.048914,
      10.059282,
      25.055414,
      10.054266,
      25.030842,
      10.016881,
      25.047342,
      10.003560,
      25.012913,
      9.969010,
      25.017553,
      9.959784,
      24.985968,
      9.896904,
      24.980091,
      9.897057,
      24.948369,
      9.871570,
      24.942305,
      9.860802,
      24.902104,
      9.750510,
      24.788290,
      9.729021,
      24.740164,
      9.599042,
      24.750891,
      9.599042,
      24.589724,
      11.001389,
      24.589724
    ]);
    poly[1136] = _TzPolygon([
      10.133072,
      26.021900,
      10.179166,
      25.932219,
      10.385162,
      25.930038,
      10.378085,
      25.898870,
      10.411327,
      25.894338,
      10.391457,
      25.861776,
      10.423889,
      25.838226,
      10.419332,
      25.762328,
      10.439004,
      25.760609,
      10.402683,
      25.691025,
      10.432663,
      25.662943,
      10.398912,
      25.644014,
      10.406194,
      25.582218,
      10.389111,
      25.573828,
      10.407379,
      25.553143,
      10.385433,
      25.537337,
      10.395290,
      25.505652,
      10.374544,
      25.498478,
      10.390761,
      25.473263,
      10.372796,
      25.472063,
      10.396475,
      25.442882,
      10.373087,
      25.396210,
      10.389988,
      25.389097,
      10.371142,
      25.375661,
      10.378903,
      25.339205,
      10.353653,
      25.322831,
      10.355954,
      25.305812,
      11.001389,
      25.305812,
      11.001389,
      26.021900
    ]);
    poly[1137] = _TzPolygon([
      9.620707,
      27.454076,
      9.626374,
      27.142360,
      9.488887,
      26.702774,
      9.564064,
      26.393915,
      9.594234,
      26.345882,
      9.645273,
      26.308283,
      9.916673,
      26.213893,
      10.000001,
      26.116668,
      10.124876,
      26.037846,
      10.133072,
      26.021900,
      11.001389,
      26.021900,
      11.001389,
      27.454076
    ]);
    poly[1138] = _TzPolygon([
      11.001389,
      22.911494,
      11.209167,
      22.974722,
      11.415833,
      22.930833,
      11.401667,
      22.791111,
      11.462222,
      22.775556,
      11.516111,
      22.641944,
      11.621667,
      22.561667,
      11.799167,
      22.572778,
      12.071111,
      22.640833,
      12.030101,
      22.477804,
      12.176944,
      22.501389,
      12.403333,
      22.432778,
      12.465278,
      22.383889,
      12.621667,
      22.466944,
      12.670278,
      22.335000,
      12.747222,
      22.223333,
      12.655278,
      22.140556,
      12.643889,
      21.952778,
      12.684722,
      21.893889,
      12.733131,
      21.858107,
      12.771974,
      21.857763,
      12.806459,
      21.814505,
      13.055408,
      21.954459,
      13.055408,
      24.589724,
      11.001389,
      24.589724
    ]);
    poly[1139] = _TzPolygon([
      15.109428,
      22.936916,
      15.102479,
      22.937319,
      15.088648,
      22.882233,
      15.034433,
      22.812730,
      14.967999,
      22.750530,
      14.907796,
      22.760227,
      14.863490,
      22.667249,
      14.691389,
      22.702500,
      14.629444,
      22.470000,
      14.592222,
      22.403333,
      14.554167,
      22.384167,
      14.523056,
      22.381389,
      14.479722,
      22.445556,
      14.384167,
      22.447500,
      14.344722,
      22.469722,
      14.315000,
      22.436111,
      14.272222,
      22.443889,
      14.247222,
      22.466389,
      14.231944,
      22.555278,
      14.125556,
      22.555000,
      14.106389,
      22.485278,
      14.051667,
      22.434444,
      14.052222,
      22.396667,
      13.965833,
      22.233889,
      13.779167,
      22.084444,
      13.728056,
      22.138611,
      13.669722,
      22.133889,
      13.634444,
      22.153611,
      13.571944,
      22.224722,
      13.478889,
      22.230556,
      13.358611,
      22.294167,
      13.190278,
      22.159722,
      13.142778,
      22.029444,
      13.087500,
      21.972500,
      13.055408,
      21.956401,
      13.055408,
      21.725372,
      15.109428,
      21.725372
    ]);
    poly[1140] = _TzPolygon([
      19.217466,
      23.999543,
      15.697254,
      23.999641,
      15.774693,
      23.663636,
      15.768415,
      23.551884,
      15.697697,
      23.396874,
      15.717857,
      23.126851,
      15.591077,
      22.997590,
      15.554275,
      22.929672,
      15.482553,
      22.919383,
      15.414963,
      22.988171,
      15.311621,
      23.004799,
      15.259460,
      22.985058,
      15.231305,
      23.005143,
      15.166578,
      22.933598,
      15.109428,
      22.936916,
      15.109428,
      21.725372,
      19.217466,
      21.725372
    ]);
    poly[1141] = _TzPolygon([
      27.433543,
      27.454076,
      22.000000,
      27.454076,
      22.000000,
      25.000000,
      27.433543,
      24.998334
    ]);
    poly[1142] = _TzPolygon([
      19.217466,
      24.000616,
      20.001944,
      24.000833,
      19.999167,
      25.000833,
      22.000000,
      25.000000,
      22.000000,
      27.454076,
      19.217466,
      27.454076
    ]);
    poly[1143] = _TzPolygon([
      23.497371,
      15.996667,
      22.562778,
      18.004444,
      21.673611,
      19.826111,
      20.619722,
      21.896111,
      19.500814,
      23.999535,
      19.217466,
      23.999543,
      19.217466,
      15.996667
    ]);
    poly[1144] = _TzPolygon([
      -4.112279,
      29.379876,
      -3.985271,
      29.313032,
      -3.928044,
      29.243925,
      -3.858320,
      29.227256,
      -3.584886,
      29.250747,
      -3.322590,
      29.214115,
      -3.322590,
      29.379876
    ]);
    poly[1145] = _TzPolygon([
      -5.028596,
      29.379876,
      -4.995578,
      29.363195,
      -4.699707,
      29.326977,
      -4.578010,
      29.379876
    ]);
    poly[1146] = _TzPolygon([
      -2.409340,
      28.878862,
      -2.409340,
      29.379876,
      -2.834132,
      29.379876,
      -2.839758,
      29.370886,
      -2.747156,
      29.333782,
      -2.702530,
      29.350521,
      -2.688654,
      29.327791,
      -2.652679,
      29.327224,
      -2.618486,
      29.266554,
      -2.631760,
      29.220960,
      -2.595075,
      29.163321,
      -2.610244,
      29.127862,
      -2.592576,
      29.086228,
      -2.623330,
      29.051049,
      -2.709943,
      29.057169,
      -2.743396,
      29.039626,
      -2.699244,
      28.994903,
      -2.703465,
      28.966964,
      -2.660515,
      28.897305,
      -2.568082,
      28.895374,
      -2.525276,
      28.861755,
      -2.490957,
      28.893016,
      -2.436296,
      28.866510
    ]);
    poly[1147] = _TzPolygon([
      -2.409340,
      28.416976,
      -2.409340,
      28.880369,
      -2.428696,
      28.867002,
      -2.475765,
      28.892144,
      -2.529651,
      28.861809,
      -2.568082,
      28.895374,
      -2.660515,
      28.897305,
      -2.733999,
      29.034795,
      -2.760993,
      29.038286,
      -2.784819,
      29.001089,
      -2.815846,
      29.005655,
      -2.820119,
      29.050933,
      -2.875462,
      29.092674,
      -2.920532,
      29.096731,
      -2.950447,
      29.158236,
      -2.996028,
      29.167614,
      -3.025161,
      29.236978,
      -3.067387,
      29.258052,
      -3.114764,
      29.260937,
      -3.197762,
      29.222627,
      -3.270027,
      29.240806,
      -3.303064,
      29.211388,
      -3.322590,
      29.214115,
      -3.322590,
      28.416976
    ]);
    poly[1148] = _TzPolygon([
      -2.409340,
      28.878862,
      -2.386951,
      28.889122,
      -2.373070,
      28.962045,
      -2.293930,
      29.001112,
      -2.275534,
      29.095659,
      -2.252341,
      29.117627,
      -2.120628,
      29.174799,
      -1.931648,
      29.126828,
      -1.861104,
      29.136053,
      -1.698129,
      29.244817,
      -1.629410,
      29.268322,
      -1.599725,
      29.310350,
      -1.508912,
      29.361813,
      -1.508350,
      29.379876,
      -2.409340,
      29.379876
    ]);
    poly[1149] = _TzPolygon([
      -3.322590,
      29.379876,
      -3.322590,
      30.664527,
      -3.360996,
      30.634596,
      -3.398098,
      30.677622,
      -3.432569,
      30.662382,
      -3.559929,
      30.451401,
      -3.606082,
      30.457081,
      -3.624086,
      30.428390,
      -3.714359,
      30.386374,
      -3.784147,
      30.409578,
      -3.784573,
      30.329062,
      -3.845313,
      30.308103,
      -3.883658,
      30.256327,
      -3.940999,
      30.231141,
      -4.041431,
      30.221396,
      -4.045814,
      30.195813,
      -4.114930,
      30.158410,
      -4.168063,
      30.077929,
      -4.276125,
      30.042391,
      -4.280263,
      30.003528,
      -4.380915,
      29.874090,
      -4.363846,
      29.814266,
      -4.469315,
      29.753756,
      -4.446637,
      29.674503,
      -4.449006,
      29.435951,
      -4.249727,
      29.418817,
      -4.116871,
      29.382293,
      -4.112279,
      29.379876
    ]);
    poly[1150] = _TzPolygon([
      -4.112279,
      29.379876,
      -4.116871,
      29.382293,
      -4.249727,
      29.418817,
      -4.445560,
      29.435926,
      -4.576309,
      29.379876
    ]);
    poly[1151] = _TzPolygon([
      -5.028981,
      29.379876,
      -5.115833,
      29.409722,
      -5.149089,
      29.433419,
      -5.149089,
      29.379876
    ]);
    poly[1152] = _TzPolygon([
      -2.834132,
      29.379876,
      -2.797347,
      29.438653,
      -2.829977,
      29.521640,
      -2.786958,
      29.648746,
      -2.819682,
      29.708294,
      -2.811542,
      29.752950,
      -2.764520,
      29.771721,
      -2.755145,
      29.801004,
      -2.779287,
      29.827833,
      -2.759427,
      29.877688,
      -2.702321,
      29.917858,
      -2.641939,
      29.935610,
      -2.557056,
      29.920363,
      -2.461088,
      29.969950,
      -2.370335,
      29.943237,
      -2.329401,
      29.956090,
      -2.347465,
      30.029594,
      -2.421248,
      30.094664,
      -2.437677,
      30.135094,
      -2.428112,
      30.183680,
      -2.349608,
      30.224453,
      -2.372384,
      30.253044,
      -2.371958,
      30.301163,
      -2.360619,
      30.342776,
      -3.322590,
      30.342776,
      -3.322590,
      29.379876
    ]);
    poly[1153] = _TzPolygon([
      -1.496091,
      29.458373,
      -1.506156,
      29.450326,
      -1.508350,
      29.379876,
      -1.496091,
      29.379876
    ]);
    poly[1154] = _TzPolygon([
      -2.409340,
      30.342776,
      -2.409340,
      30.537875,
      -2.413021,
      30.543608,
      -2.662540,
      30.419781,
      -2.691213,
      30.459301,
      -2.653976,
      30.526463,
      -2.680425,
      30.525230,
      -2.745108,
      30.440433,
      -2.793847,
      30.442371,
      -2.860973,
      30.405949,
      -2.954394,
      30.502341,
      -2.894040,
      30.575670,
      -2.993935,
      30.669629,
      -2.971804,
      30.703977,
      -2.997736,
      30.747555,
      -2.979518,
      30.849846,
      -3.052460,
      30.797595,
      -3.094371,
      30.836367,
      -3.146625,
      30.817753,
      -3.163629,
      30.846193,
      -3.206975,
      30.847516,
      -3.224369,
      30.813241,
      -3.253653,
      30.842551,
      -3.292129,
      30.758680,
      -3.267285,
      30.739660,
      -3.303037,
      30.718979,
      -3.320288,
      30.666321,
      -3.322590,
      30.664527,
      -3.322590,
      30.342776
    ]);
    poly[1155] = _TzPolygon(
        [-2.409340, 30.550759, -2.409340, 30.588030, -2.419407, 30.569539]);
    poly[1156] = _TzPolygon(
        [-2.409340, 30.661620, -2.413661, 30.657208, -2.409340, 30.641658]);
    poly[1157] = _TzPolygon([
      -2.360619,
      30.342776,
      -2.352306,
      30.373286,
      -2.309680,
      30.408709,
      -2.328820,
      30.430343,
      -2.320053,
      30.461492,
      -2.366533,
      30.471191,
      -2.409340,
      30.537875,
      -2.409340,
      30.342776
    ]);
    poly[1158] = _TzPolygon(
        [-2.409340, 30.561390, -2.399291, 30.609942, -2.409340, 30.642560]);
    poly[1159] = _TzPolygon([
      -2.409340,
      30.661437,
      -2.355543,
      30.716561,
      -2.390101,
      30.780120,
      -2.313268,
      30.856968,
      -2.205566,
      30.843626,
      -2.077515,
      30.899074,
      -1.938131,
      30.807827,
      -1.814431,
      30.831774,
      -1.692822,
      30.821364,
      -1.650945,
      30.839878,
      -1.523392,
      30.745101,
      -1.496091,
      30.742638,
      -1.496091,
      31.305676,
      -2.409340,
      31.305676
    ]);
    poly[1160] = _TzPolygon([
      -1.496091,
      29.459616,
      -1.388132,
      29.559257,
      -1.383068,
      29.677643,
      -1.340764,
      29.731662,
      -1.373239,
      29.796858,
      -1.308800,
      29.824562,
      -1.360952,
      29.861491,
      -1.355895,
      29.884447,
      -1.423335,
      29.885540,
      -1.482318,
      29.915771,
      -1.447779,
      29.996117,
      -1.412901,
      30.021784,
      -1.431131,
      30.053745,
      -1.378735,
      30.072770,
      -1.384247,
      30.122450,
      -1.345172,
      30.169930,
      -1.274416,
      30.169669,
      -1.276458,
      30.210858,
      -1.189301,
      30.292356,
      -1.145096,
      30.307049,
      -1.132719,
      30.342776,
      -1.496091,
      30.342776
    ]);
    poly[1161] = _TzPolygon([
      0.330408,
      29.379876,
      0.330408,
      29.859437,
      0.171769,
      29.823737,
      0.163856,
      29.769790,
      0.073335,
      29.716295,
      -0.029610,
      29.745211,
      -0.042682,
      29.729236,
      -0.496528,
      29.682838,
      -0.553532,
      29.653651,
      -0.625480,
      29.663467,
      -0.706251,
      29.626078,
      -0.900530,
      29.638262,
      -0.906885,
      29.581886,
      -0.981221,
      29.602337,
      -0.983058,
      29.586848,
      -1.186269,
      29.573433,
      -1.221608,
      29.608584,
      -1.392979,
      29.590028,
      -1.411051,
      29.526367,
      -1.496091,
      29.458373,
      -1.496091,
      29.379876
    ]);
    poly[1162] = _TzPolygon([
      -0.999996,
      31.305676,
      -0.999995,
      30.799636,
      -0.985512,
      30.765330,
      -1.015099,
      30.698515,
      -1.065887,
      30.649129,
      -1.076232,
      30.528283,
      -1.047408,
      30.447789,
      -1.064643,
      30.427456,
      -1.062633,
      30.351949,
      -1.132111,
      30.344531,
      -1.132719,
      30.342776,
      0.330408,
      30.342776,
      0.330408,
      31.305676
    ]);
    poly[1163] = _TzPolygon([
      -1.132719,
      30.342776,
      -1.132111,
      30.344531,
      -1.062633,
      30.351949,
      -1.064643,
      30.427456,
      -1.047408,
      30.447789,
      -1.057457,
      30.473213,
      -1.088911,
      30.451274,
      -1.121826,
      30.476458,
      -1.155549,
      30.470168,
      -1.171783,
      30.509316,
      -1.337142,
      30.568722,
      -1.445619,
      30.738084,
      -1.496091,
      30.742638,
      -1.496091,
      30.342776
    ]);
    poly[1164] = _TzPolygon([
      0.330408,
      29.859437,
      0.388035,
      29.872405,
      0.516361,
      29.980209,
      0.638924,
      29.954495,
      0.744524,
      29.977882,
      0.778293,
      29.963447,
      0.846147,
      29.989127,
      0.894375,
      30.104737,
      0.886092,
      30.155449,
      0.963590,
      30.184192,
      1.000841,
      30.234215,
      1.054157,
      30.220531,
      1.126472,
      30.234646,
      1.162584,
      30.268983,
      1.173364,
      30.292535,
      1.150328,
      30.336226,
      1.201656,
      30.359956,
      1.187593,
      30.390269,
      1.205700,
      30.495437,
      1.266042,
      30.519726,
      1.266134,
      30.549684,
      2.116339,
      31.305559,
      0.330408,
      31.305676
    ]);
    poly[1165] = _TzPolygon([
      5.002966,
      27.454076,
      4.961285,
      27.512156,
      4.921516,
      27.512000,
      4.887752,
      27.573603,
      4.896095,
      27.648306,
      4.842823,
      27.700356,
      4.794363,
      27.701275,
      4.791322,
      27.771397,
      4.727634,
      27.782334,
      4.691578,
      27.765513,
      4.608024,
      27.790011,
      4.592507,
      27.839293,
      4.539207,
      27.893383,
      4.537352,
      27.927337,
      4.580188,
      27.948651,
      4.555898,
      27.979050,
      4.551990,
      28.047620,
      4.479282,
      28.037323,
      4.417538,
      28.080224,
      4.438329,
      28.090624,
      4.442757,
      28.140454,
      4.401817,
      28.138705,
      4.350832,
      28.207855,
      4.355462,
      28.353098,
      4.285291,
      28.380810,
      4.292943,
      28.461629,
      4.378574,
      28.515905,
      4.382415,
      28.579437,
      4.420902,
      28.603345,
      4.429361,
      28.669204,
      4.510695,
      28.697657,
      4.563972,
      28.783521,
      4.480592,
      28.834433,
      4.491327,
      29.035206,
      4.460050,
      29.082616,
      4.434524,
      29.078743,
      4.431354,
      29.136381,
      4.340702,
      29.217023,
      4.353850,
      29.252090,
      4.398732,
      29.270585,
      4.382778,
      29.306223,
      4.397281,
      29.346893,
      4.470563,
      29.369115,
      4.475716,
      29.379876,
      2.156907,
      29.379876,
      2.156907,
      27.454076
    ]);
    poly[1166] = _TzPolygon([
      3.579937,
      30.839014,
      3.579937,
      30.908587,
      3.488980,
      30.854388,
      3.571079,
      30.861418
    ]);
    poly[1167] = _TzPolygon([
      2.156907,
      31.305676,
      2.220856,
      31.203075,
      2.293214,
      31.203274,
      2.264059,
      31.125475,
      2.302845,
      31.070071,
      2.309382,
      31.085462,
      2.343626,
      31.074301,
      2.404795,
      30.982844,
      2.393547,
      30.948653,
      2.336641,
      30.936351,
      2.332281,
      30.904877,
      2.384108,
      30.848439,
      2.426775,
      30.834157,
      2.438698,
      30.777929,
      2.419697,
      30.751643,
      2.452837,
      30.740202,
      2.510071,
      30.761814,
      2.586277,
      30.750089,
      2.603702,
      30.777963,
      2.749732,
      30.822752,
      2.773602,
      30.859210,
      2.858263,
      30.890147,
      2.961666,
      30.858003,
      3.051907,
      30.767992,
      3.069111,
      30.794353,
      3.263285,
      30.838246,
      3.280478,
      30.870670,
      3.341151,
      30.887477,
      3.399167,
      30.936805,
      3.506244,
      30.942020,
      3.478026,
      30.869568,
      3.496667,
      30.848840,
      3.493664,
      30.866058,
      3.579937,
      30.912603,
      3.579937,
      31.305676
    ]);
    poly[1168] = _TzPolygon([
      4.475716,
      29.379876,
      4.500143,
      29.430892,
      4.599027,
      29.477133,
      4.668489,
      29.464462,
      4.696338,
      29.493815,
      4.655050,
      29.534709,
      4.671958,
      29.554791,
      4.659100,
      29.622929,
      4.617015,
      29.710137,
      4.570071,
      29.744887,
      4.587526,
      29.764057,
      4.560207,
      29.825899,
      4.520152,
      29.799610,
      4.373082,
      29.799910,
      4.335356,
      29.841552,
      4.347610,
      29.902985,
      4.310150,
      29.954079,
      4.287276,
      29.967528,
      4.243995,
      29.944251,
      4.209946,
      29.973563,
      4.207765,
      30.026657,
      4.131925,
      30.060529,
      4.119715,
      30.161293,
      4.048870,
      30.161227,
      4.024117,
      30.195046,
      3.937175,
      30.213043,
      3.956474,
      30.277103,
      3.914312,
      30.296468,
      3.923092,
      30.342776,
      3.579937,
      30.342776,
      3.579937,
      29.379876
    ]);
    poly[1169] = _TzPolygon([
      3.579937,
      31.305676,
      3.579937,
      30.912603,
      3.691018,
      30.972532,
      3.707365,
      31.002852,
      3.693630,
      31.022521,
      3.740399,
      31.065634,
      3.736133,
      31.100463,
      3.790776,
      31.163750,
      3.796602,
      31.289064,
      3.787471,
      31.305676
    ]);
    poly[1170] = _TzPolygon([
      3.923092,
      30.342776,
      3.923766,
      30.346330,
      3.865622,
      30.410268,
      3.882418,
      30.445983,
      3.832729,
      30.466800,
      3.855664,
      30.529757,
      3.842681,
      30.551968,
      3.741481,
      30.578780,
      3.619610,
      30.562242,
      3.606296,
      30.626617,
      3.643371,
      30.685817,
      3.623298,
      30.727272,
      3.636283,
      30.757657,
      3.683461,
      30.775505,
      3.593377,
      30.805019,
      3.579937,
      30.833804,
      3.579937,
      30.342776
    ]);
    poly[1171] = _TzPolygon([
      -0.998942,
      31.831806,
      -1.005137,
      31.843944,
      -1.028136,
      31.839137,
      -1.004433,
      31.823686
    ]);
    poly[1172] = _TzPolygon([
      -0.998942,
      33.933350,
      -1.000000,
      33.933361,
      -0.999996,
      31.305676,
      -0.998942,
      31.305676
    ]);
    poly[1173] = _TzPolygon([
      -0.998942,
      33.933350,
      -0.998942,
      40.227580,
      -3.562595,
      40.227580,
      -4.144853,
      39.900042,
      -4.681074,
      39.647123,
      -4.681071,
      39.605154,
      -4.891904,
      39.477932,
      -4.899520,
      39.441363,
      -4.876042,
      39.376929,
      -4.680056,
      39.219471,
      -3.671311,
      37.784089,
      -3.535680,
      37.737660,
      -3.504560,
      37.678900,
      -3.519970,
      37.608390,
      -3.480046,
      37.626169,
      -3.461626,
      37.585614,
      -3.440514,
      37.584550,
      -3.310335,
      37.711760,
      -3.060820,
      37.672770,
      -1.028602,
      34.093170,
      -1.046155,
      34.040899,
      -1.000000,
      34.018917,
      -1.000000,
      33.933361
    ]);
    poly[1174] = _TzPolygon([
      -0.998942,
      33.933350,
      -0.537005,
      33.928582,
      -0.129024,
      33.982769,
      0.102198,
      33.909899,
      0.323793,
      34.056263,
      0.349777,
      34.098959,
      0.456153,
      34.088414,
      0.483377,
      34.119477,
      0.582873,
      34.138227,
      0.625970,
      34.200325,
      0.640063,
      34.277696,
      0.679399,
      34.278717,
      0.698018,
      34.314219,
      0.761603,
      34.314840,
      0.808917,
      34.414945,
      0.825885,
      34.406456,
      0.937520,
      34.479148,
      1.102321,
      34.522304,
      1.098618,
      34.574984,
      1.150042,
      34.579372,
      1.208067,
      34.669566,
      1.223124,
      34.795183,
      1.269217,
      34.830783,
      1.309730,
      34.829073,
      1.365224,
      34.787095,
      1.383833,
      34.806498,
      1.413576,
      34.793849,
      1.457112,
      34.844239,
      1.528341,
      34.864077,
      1.576609,
      34.943670,
      1.664359,
      34.991239,
      1.758546,
      35.000308,
      1.962409,
      35.000205,
      2.002012,
      34.992487,
      2.002012,
      35.766628,
      -0.998942,
      35.766628
    ]);
    poly[1175] = _TzPolygon([
      3.787471,
      31.305676,
      3.676319,
      31.507898,
      3.643986,
      31.501771,
      3.638164,
      31.517765,
      3.682357,
      31.575750,
      3.723992,
      31.707365,
      3.824802,
      31.812757,
      3.784746,
      31.869806,
      3.659903,
      31.957451,
      3.571937,
      31.958118,
      3.592202,
      32.053057,
      3.560412,
      32.087067,
      3.531521,
      32.086031,
      3.507104,
      32.200844,
      3.563712,
      32.217889,
      3.600492,
      32.197166,
      3.745619,
      32.415280,
      3.767808,
      32.720234,
      3.815606,
      32.901165,
      3.893614,
      33.027761,
      3.778745,
      33.178821,
      3.751822,
      33.511075,
      3.777192,
      33.536152,
      2.002012,
      33.536152,
      2.002012,
      31.305676
    ]);
    poly[1176] = _TzPolygon([
      4.628582,
      35.766628,
      4.610000,
      34.387500,
      3.776377,
      33.536152,
      5.002966,
      33.536152,
      5.002966,
      35.766628
    ]);
    poly[1177] = _TzPolygon([
      3.777192,
      33.536152,
      4.234077,
      33.987762,
      4.144009,
      34.065686,
      4.121119,
      34.049532,
      4.049080,
      34.091356,
      4.009513,
      34.060052,
      3.961347,
      34.134641,
      3.861269,
      34.088435,
      3.880859,
      34.215572,
      3.831007,
      34.226011,
      3.831560,
      34.180062,
      3.806967,
      34.153173,
      3.795133,
      34.188647,
      3.767706,
      34.170877,
      3.783891,
      34.245585,
      3.711388,
      34.307928,
      3.735161,
      34.365072,
      3.669496,
      34.463224,
      3.517132,
      34.451497,
      3.491714,
      34.424775,
      3.491768,
      34.388971,
      3.450657,
      34.416607,
      3.370584,
      34.400617,
      3.342713,
      34.429958,
      3.181988,
      34.455822,
      3.141352,
      34.494840,
      3.136529,
      34.545816,
      3.091398,
      34.572301,
      2.924676,
      34.599040,
      2.906730,
      34.639292,
      2.867562,
      34.652895,
      2.877681,
      34.701746,
      2.854986,
      34.736348,
      2.787792,
      34.775379,
      2.697880,
      34.775411,
      2.655833,
      34.799190,
      2.570588,
      34.868247,
      2.592857,
      34.893865,
      2.516585,
      34.912996,
      2.515940,
      34.933060,
      2.472408,
      34.954412,
      2.402942,
      34.914348,
      2.002012,
      34.992487,
      2.002012,
      33.536152
    ]);
    poly[1178] = _TzPolygon([
      5.002966,
      35.818334,
      5.002966,
      40.227580,
      4.055009,
      40.227580,
      4.043934,
      40.191982,
      3.874727,
      39.869568,
      3.666064,
      39.773931,
      3.485644,
      39.589727,
      3.397448,
      39.553899,
      3.407031,
      39.514898,
      3.464037,
      39.495489,
      3.463671,
      39.330938,
      3.500048,
      39.327886,
      3.475024,
      39.298894,
      3.476428,
      39.195501,
      3.539233,
      39.087713,
      3.509875,
      39.021307,
      3.531054,
      38.968511,
      3.512255,
      38.906316,
      3.572253,
      38.714727,
      3.623644,
      38.687688,
      3.593249,
      38.665533,
      3.603869,
      38.579900,
      3.654223,
      38.539312,
      3.649035,
      38.516546,
      3.625842,
      38.523138,
      3.601855,
      38.448492,
      3.619860,
      38.191289,
      3.605822,
      38.129888,
      3.726428,
      38.008733,
      4.292468,
      37.128912,
      4.373461,
      37.048101,
      4.447253,
      36.844732,
      4.449740,
      36.037285,
      4.534607,
      35.955978,
      4.631039,
      35.948997,
      4.774210,
      35.817937
    ]);
    poly[1179] = _TzPolygon([
      5.002966,
      35.818334,
      4.774210,
      35.817937,
      4.631039,
      35.948997,
      4.628582,
      35.766628,
      5.002966,
      35.766628
    ]);
    poly[1180] = _TzPolygon([
      8.269973,
      27.454076,
      8.269973,
      33.173177,
      8.256345,
      33.174860,
      8.238451,
      33.205233,
      8.196093,
      33.166396,
      8.129026,
      33.192548,
      8.110513,
      33.120518,
      8.062987,
      33.121156,
      8.073386,
      33.084544,
      8.022113,
      33.077460,
      8.008028,
      33.038974,
      7.968543,
      33.038657,
      7.944053,
      32.997584,
      7.893308,
      33.016513,
      7.858829,
      33.004727,
      7.789424,
      33.045232,
      7.802884,
      33.092189,
      7.779893,
      33.108420,
      7.803924,
      33.159760,
      7.771995,
      33.208230,
      7.779003,
      33.246903,
      7.707503,
      33.323200,
      7.756748,
      33.434153,
      7.736665,
      33.517679,
      7.691238,
      33.549334,
      7.693495,
      33.646854,
      7.663140,
      33.715563,
      7.572843,
      33.804442,
      7.559746,
      33.840828,
      5.002966,
      33.840828,
      5.002966,
      27.454076
    ]);
    poly[1181] = _TzPolygon([
      9.620707,
      27.454076,
      9.612500,
      27.905555,
      9.773131,
      27.830588,
      10.166667,
      27.833333,
      10.166667,
      29.000000,
      9.673558,
      28.999999,
      9.746928,
      29.070488,
      9.750000,
      29.537500,
      10.081953,
      29.537492,
      10.288055,
      29.941108,
      10.288068,
      29.999998,
      9.960296,
      30.529879,
      9.864292,
      30.647452,
      8.269973,
      30.647452,
      8.269973,
      27.454076
    ]);
    poly[1182] = _TzPolygon([
      8.269973,
      33.840828,
      8.269973,
      33.173177,
      8.295846,
      33.169982,
      8.300310,
      33.198137,
      8.334549,
      33.191943,
      8.342271,
      33.217333,
      8.383166,
      33.186892,
      8.435524,
      33.219130,
      8.425251,
      33.235200,
      8.462603,
      33.270932,
      8.439933,
      33.292584,
      8.467686,
      33.312306,
      8.426404,
      33.397387,
      8.480736,
      33.497324,
      8.473709,
      33.560335,
      8.442883,
      33.597432,
      8.471763,
      33.618420,
      8.445385,
      33.676366,
      8.377586,
      33.700473,
      8.367764,
      33.769101,
      8.399381,
      33.801540,
      8.405510,
      33.840828
    ]);
    poly[1183] = _TzPolygon([
      11.536979,
      32.391111,
      11.180805,
      32.391111,
      11.043305,
      32.469730,
      10.737488,
      32.148885,
      10.650279,
      31.988613,
      10.288890,
      31.778334,
      9.816197,
      31.364848,
      9.762007,
      31.289791,
      9.750001,
      30.837905,
      9.711747,
      30.834268,
      9.864292,
      30.647452,
      11.536979,
      30.647452
    ]);
    poly[1184] = _TzPolygon([
      10.274657,
      33.840828,
      10.335715,
      33.803667,
      10.441809,
      33.668327,
      10.642550,
      33.517171,
      10.777746,
      33.246094,
      10.827894,
      33.271098,
      11.232722,
      33.202782,
      11.437224,
      33.138323,
      11.536979,
      33.153778,
      11.536979,
      33.840828
    ]);
    poly[1185] = _TzPolygon([
      6.636469,
      33.840828,
      6.636469,
      34.741684,
      6.594498,
      34.768106,
      6.610790,
      34.864242,
      6.558017,
      34.939003,
      6.504036,
      34.957689,
      6.447416,
      35.021823,
      6.246949,
      34.950147,
      6.185531,
      34.978937,
      6.089775,
      34.971951,
      6.075383,
      35.004779,
      5.896967,
      34.997657,
      5.687448,
      35.130149,
      5.624417,
      35.126028,
      5.498190,
      35.314526,
      5.380840,
      35.288753,
      5.334822,
      35.316011,
      5.364531,
      35.411743,
      5.412733,
      35.473372,
      5.423659,
      35.537765,
      5.404222,
      35.616755,
      5.381796,
      35.620613,
      5.392173,
      35.717123,
      5.349077,
      35.772102,
      5.320180,
      35.862339,
      5.249368,
      35.826450,
      5.183881,
      35.865806,
      5.100429,
      35.818503,
      5.002966,
      35.818334,
      5.002966,
      33.840828
    ]);
    poly[1186] = _TzPolygon([
      7.559746,
      33.840828,
      7.538901,
      33.898742,
      7.474438,
      33.925539,
      7.469004,
      33.957712,
      7.421392,
      34.001949,
      7.382611,
      34.007229,
      7.356722,
      34.036631,
      7.275899,
      34.041349,
      7.269696,
      34.011778,
      7.245961,
      34.021703,
      7.193784,
      34.101214,
      7.169813,
      34.104884,
      7.131551,
      34.190213,
      7.041492,
      34.191523,
      6.977913,
      34.305387,
      6.948005,
      34.293094,
      6.912453,
      34.373271,
      6.918636,
      34.470561,
      6.817106,
      34.543326,
      6.745065,
      34.531284,
      6.723129,
      34.617537,
      6.740384,
      34.640323,
      6.685173,
      34.711024,
      6.636469,
      34.741684,
      6.636469,
      33.840828
    ]);
    poly[1187] = _TzPolygon([
      9.903476,
      33.840828,
      9.903476,
      33.986673,
      9.809405,
      33.965672,
      9.730099,
      33.904363,
      9.499999,
      33.877584,
      9.500001,
      34.106678,
      9.032806,
      34.145517,
      8.607698,
      34.145517,
      8.555785,
      34.100536,
      8.529791,
      34.044935,
      8.488511,
      34.023590,
      8.503893,
      33.971997,
      8.482808,
      33.897228,
      8.411017,
      33.876133,
      8.405510,
      33.840828
    ]);
    poly[1188] = _TzPolygon([
      9.903476,
      33.986673,
      9.903476,
      34.206525,
      9.758056,
      34.140000,
      9.553056,
      34.085833,
      9.500001,
      34.106678,
      9.499999,
      33.877584,
      9.730099,
      33.904363,
      9.809405,
      33.965672
    ]);
    poly[1189] = _TzPolygon([
      9.903476,
      34.192713,
      10.030278,
      34.231389,
      10.117222,
      34.323056,
      10.231944,
      34.347778,
      10.538579,
      34.280011,
      10.784444,
      34.439722,
      10.887778,
      34.594444,
      10.745833,
      34.773333,
      10.686944,
      34.773333,
      10.729444,
      34.808611,
      10.735000,
      34.864444,
      10.785833,
      34.868611,
      10.864444,
      34.975278,
      10.915278,
      34.978611,
      10.956667,
      34.933333,
      11.198333,
      35.007500,
      11.256944,
      34.963889,
      11.536979,
      35.084642,
      11.536979,
      37.034204,
      9.903476,
      37.034204
    ]);
    poly[1190] = _TzPolygon([
      10.274657,
      33.840828,
      10.171371,
      33.903690,
      10.145910,
      33.970458,
      10.091990,
      33.971295,
      10.060354,
      33.995551,
      9.922644,
      33.990952,
      9.903476,
      33.986673,
      9.903476,
      33.840828
    ]);
    poly[1191] = _TzPolygon([
      11.536979,
      32.391111,
      11.706235,
      32.391111,
      11.951050,
      32.096585,
      11.951051,
      32.745703,
      12.013791,
      32.759488,
      12.236389,
      32.731580,
      12.218997,
      33.294404,
      12.172075,
      33.252170,
      11.536979,
      33.153778
    ]);
    poly[1192] = _TzPolygon([
      14.256491,
      37.034204,
      14.252133,
      37.019725,
      14.292728,
      36.971514,
      14.322145,
      36.852891,
      14.322492,
      36.743784,
      14.300535,
      36.690773,
      14.313503,
      36.633441,
      14.283840,
      36.555588,
      14.257421,
      36.560272,
      14.364444,
      36.523611,
      14.803986,
      36.474209,
      14.803986,
      37.034204
    ]);
    poly[1193] = _TzPolygon([
      14.803986,
      33.840828,
      14.803986,
      36.474209,
      14.364444,
      36.523611,
      14.257421,
      36.560272,
      13.956944,
      36.446389,
      13.839444,
      36.486944,
      13.663056,
      36.410556,
      13.586944,
      36.406389,
      13.368056,
      36.248611,
      13.058611,
      36.163889,
      12.984167,
      36.169722,
      12.923333,
      36.132778,
      12.875278,
      36.165278,
      12.707574,
      36.142472,
      12.694167,
      36.107778,
      12.723611,
      36.081111,
      12.724167,
      36.006389,
      12.665833,
      35.699444,
      12.612222,
      35.695278,
      12.594167,
      35.649167,
      12.250556,
      35.438056,
      12.200556,
      35.432500,
      12.161111,
      35.381111,
      12.032778,
      35.345556,
      11.975556,
      35.271111,
      11.935795,
      35.267688,
      11.900833,
      35.235556,
      11.863889,
      35.134444,
      11.826944,
      35.096944,
      11.720556,
      35.058056,
      11.557778,
      35.093611,
      11.536979,
      35.084642,
      11.536979,
      33.840828
    ]);
    poly[1194] = _TzPolygon([
      14.256491,
      37.034204,
      14.803986,
      37.034204,
      14.803986,
      37.863496,
      14.182380,
      37.523761,
      14.183971,
      37.496295,
      14.217306,
      37.466286,
      14.254288,
      37.469030,
      14.301437,
      37.393368,
      14.365535,
      37.392685,
      14.447924,
      37.309114,
      14.444047,
      37.222432,
      14.409566,
      37.135452,
      14.275475,
      37.097270
    ]);
    poly[1195] = _TzPolygon([
      14.445318,
      38.630892,
      14.407305,
      38.520860,
      14.424554,
      38.485159,
      14.413264,
      38.455297,
      14.469494,
      38.424470,
      14.512327,
      38.347121,
      14.589744,
      38.312826,
      14.618306,
      38.269395,
      14.680131,
      38.257206,
      14.694873,
      38.191086,
      14.678617,
      38.187354,
      14.675502,
      38.143277,
      14.716499,
      38.091601,
      14.720204,
      38.044608,
      14.803986,
      37.981050,
      14.803986,
      38.630892
    ]);
    poly[1196] = _TzPolygon([
      14.445318,
      38.630892,
      14.803986,
      38.630892,
      14.803986,
      40.227580,
      14.394561,
      40.227580,
      14.387112,
      40.213192,
      14.546030,
      40.134477,
      14.540404,
      40.069291,
      14.448291,
      40.008617,
      14.454797,
      39.988701,
      14.415153,
      39.930448,
      14.503208,
      39.794097,
      14.546152,
      39.770087,
      14.555449,
      39.713171,
      14.598341,
      39.669049,
      14.609022,
      39.586794,
      14.550181,
      39.508106,
      14.514124,
      39.510207,
      14.491425,
      39.538023,
      14.484060,
      39.495864,
      14.505190,
      39.489444,
      14.539500,
      39.373114,
      14.483310,
      39.360033,
      14.493940,
      39.328644,
      14.466250,
      39.346443,
      14.469920,
      39.301334,
      14.410326,
      39.250771,
      14.450227,
      39.227767,
      14.484996,
      39.266784,
      14.515458,
      39.261593,
      14.563238,
      39.241032,
      14.565330,
      39.205283,
      14.608330,
      39.157394,
      14.649190,
      39.168513,
      14.653246,
      39.153878,
      14.638667,
      39.032213,
      14.544992,
      38.978483,
      14.466903,
      38.797526,
      14.470889,
      38.704908
    ]);
    poly[1197] = _TzPolygon([
      14.803986,
      36.474209,
      15.167382,
      36.433365,
      15.229299,
      36.534283,
      15.437222,
      36.610556,
      15.449722,
      36.647778,
      15.489444,
      36.626111,
      15.753056,
      36.697778,
      15.808056,
      36.763611,
      16.215000,
      36.915833,
      16.269444,
      36.973056,
      16.358333,
      36.947778,
      16.425278,
      36.956944,
      16.517778,
      36.896389,
      16.641111,
      36.912222,
      16.706111,
      36.980556,
      16.850556,
      37.022778,
      16.943056,
      36.986944,
      17.003611,
      37.018056,
      17.073889,
      36.995833,
      17.065842,
      37.034204,
      14.803986,
      37.034204
    ]);
    poly[1198] = _TzPolygon(
        [14.803986, 37.863496, 14.894054, 37.912722, 14.803986, 37.981050]);
    poly[1199] = _TzPolygon([
      18.070992,
      38.788101,
      18.020698,
      38.582747,
      17.899265,
      38.452055,
      17.644444,
      38.344444,
      17.603056,
      38.273611,
      17.535278,
      38.261944,
      17.528889,
      38.222500,
      17.562222,
      38.185833,
      17.548611,
      38.133611,
      17.498889,
      38.135556,
      17.481111,
      38.111389,
      17.496667,
      38.091944,
      17.543889,
      38.095556,
      17.551944,
      38.055833,
      17.447500,
      37.917222,
      17.445000,
      37.869722,
      17.481389,
      37.818889,
      17.465278,
      37.787500,
      17.376667,
      37.735833,
      17.325833,
      37.516944,
      17.306892,
      37.498721,
      17.274492,
      37.521624,
      17.254688,
      37.497665,
      17.201053,
      37.505980,
      17.054665,
      37.395797,
      17.061111,
      37.306944,
      17.025000,
      37.252222,
      17.015556,
      37.151944,
      17.051111,
      37.104444,
      17.065842,
      37.034204,
      18.070992,
      37.034204
    ]);
  }
}

class _Initializer13 {
  static void _init() {
    poly[1200] = _TzPolygon([
      22.000000,
      27.454076,
      22.000000,
      31.315029,
      22.131552,
      31.365019,
      22.224918,
      31.469795,
      22.185232,
      31.506184,
      22.000000,
      31.398882,
      22.000000,
      33.840828,
      18.070992,
      33.840828,
      18.070992,
      27.454076
    ]);
    poly[1201] = _TzPolygon([
      22.752268,
      33.840828,
      22.752268,
      36.736511,
      22.708019,
      36.775746,
      22.478471,
      36.844054,
      22.431276,
      36.943900,
      22.374618,
      37.000446,
      22.065117,
      37.115352,
      22.000000,
      37.106838,
      22.000000,
      33.840828
    ]);
    poly[1202] = _TzPolygon([
      18.693124,
      40.227580,
      18.893711,
      39.963143,
      19.405013,
      39.822946,
      19.640372,
      39.724062,
      20.181745,
      39.294263,
      20.650788,
      39.078082,
      21.007849,
      38.837496,
      21.608943,
      38.631753,
      21.801708,
      38.537916,
      22.066339,
      38.543059,
      22.361175,
      38.635811,
      22.674664,
      38.411313,
      22.752268,
      38.405645,
      22.752268,
      40.227580
    ]);
    poly[1203] = _TzPolygon([
      22.752268,
      40.227580,
      22.752268,
      38.405645,
      22.978272,
      38.389140,
      23.363728,
      38.087575,
      23.511514,
      37.872612,
      24.015943,
      37.513185,
      24.155067,
      37.291030,
      24.225199,
      37.038980,
      24.294464,
      36.967298,
      25.124138,
      36.654638,
      25.272189,
      36.502032,
      25.567847,
      36.273909,
      25.666170,
      36.260581,
      25.820553,
      36.308958,
      25.964505,
      36.277750,
      26.071918,
      36.172220,
      26.263092,
      36.065695,
      26.548408,
      35.802326,
      26.847968,
      35.589538,
      27.052458,
      35.507182,
      27.319863,
      35.332708,
      27.433543,
      35.203242,
      27.433543,
      40.227580
    ]);
    poly[1204] = _TzPolygon([
      -74.917383,
      -34.628225,
      -86.000000,
      -34.628225,
      -86.000000,
      -35.000000,
      -75.000000,
      -35.000000
    ]);
    poly[1205] = _TzPolygon([
      -64.000000,
      -64.000000,
      -64.800000,
      -63.800000,
      -65.250000,
      -65.500000,
      -64.500000,
      -65.000000
    ]);
    poly[1206] = _TzPolygon([
      -61.800000,
      -59.000000,
      -62.250000,
      -58.800000,
      -63.400000,
      -57.300000,
      -64.000000,
      -64.000000,
      -62.700000,
      -63.000000
    ]);
    poly[1207] = _TzPolygon([
      -52.168257,
      -69.122039,
      -52.150443,
      -69.190145,
      -52.151654,
      -69.486316,
      -52.000744,
      -69.995504,
      -51.999914,
      -71.922586,
      -51.972131,
      -71.965540,
      -51.977265,
      -72.010316,
      -51.958861,
      -72.032083,
      -51.919754,
      -71.931763,
      -51.873565,
      -71.948770,
      -51.744052,
      -72.121756,
      -51.699251,
      -72.297230,
      -51.638135,
      -72.283320,
      -51.625427,
      -72.319111,
      -51.587321,
      -72.327058,
      -51.584547,
      -72.441305,
      -51.513573,
      -72.405165,
      -51.520811,
      -72.344922,
      -51.484526,
      -72.351054,
      -51.475055,
      -72.324087,
      -51.366104,
      -72.308916,
      -51.336323,
      -72.371600,
      -51.283303,
      -72.269188,
      -51.252599,
      -72.259215,
      -51.200376,
      -72.304678,
      -51.202595,
      -72.346752,
      -51.106483,
      -72.410394,
      -51.080011,
      -72.376154,
      -51.022385,
      -72.373059,
      -51.035044,
      -72.265599,
      -50.972131,
      -72.258414,
      -50.972131,
      -69.122039
    ]);
    poly[1208] = _TzPolygon([
      -50.373695,
      -73.373347,
      -50.381667,
      -73.416944,
      -50.343611,
      -73.437778,
      -50.307998,
      -73.373347
    ]);
    poly[1209] = _TzPolygon([
      -50.293629,
      -73.373347,
      -50.242903,
      -73.451511,
      -50.182628,
      -73.430901,
      -50.153689,
      -73.521806,
      -50.106770,
      -73.514484,
      -50.089282,
      -73.475683,
      -50.049939,
      -73.497465,
      -50.053925,
      -73.461665,
      -50.010242,
      -73.435664,
      -49.965570,
      -73.444526,
      -49.942466,
      -73.560537,
      -49.757830,
      -73.438495,
      -49.705218,
      -73.508808,
      -49.618914,
      -73.463397,
      -49.538104,
      -73.549396,
      -49.498248,
      -73.539325,
      -49.482501,
      -73.463520,
      -49.428729,
      -73.490131,
      -49.391924,
      -73.425922,
      -49.319415,
      -73.410297,
      -49.268328,
      -73.496418,
      -49.204718,
      -73.473070,
      -49.229091,
      -73.373347
    ]);
    poly[1210] = _TzPolygon([
      -49.073372,
      -73.373347,
      -48.716648,
      -73.967390,
      -48.726341,
      -74.027707,
      -48.695323,
      -74.159088,
      -48.724463,
      -74.252300,
      -48.690535,
      -74.305429,
      -48.681412,
      -74.381561,
      -48.706587,
      -74.557568,
      -48.641295,
      -74.682194,
      -48.631255,
      -74.790449,
      -48.486002,
      -74.790449,
      -48.486002,
      -73.373347
    ]);
    poly[1211] = _TzPolygon([
      -50.972131,
      -72.258414,
      -50.876478,
      -72.247490,
      -50.752742,
      -72.349541,
      -50.657242,
      -72.287850,
      -50.649807,
      -72.337772,
      -50.616387,
      -72.356772,
      -50.637502,
      -72.411419,
      -50.601685,
      -72.494385,
      -50.621316,
      -72.547016,
      -50.681844,
      -72.591455,
      -50.615734,
      -72.731788,
      -50.671444,
      -72.895256,
      -50.741236,
      -72.954872,
      -50.761865,
      -73.043148,
      -50.788907,
      -73.068504,
      -50.780556,
      -73.143889,
      -50.820556,
      -73.200000,
      -50.767778,
      -73.149722,
      -50.741323,
      -73.196293,
      -50.652494,
      -73.145106,
      -50.570482,
      -73.331530,
      -50.534435,
      -73.357258,
      -50.372778,
      -73.368333,
      -50.373695,
      -73.373347,
      -50.307998,
      -73.373347,
      -50.301389,
      -73.361389,
      -50.293629,
      -73.373347,
      -49.729067,
      -73.373347,
      -49.729067,
      -71.956244,
      -50.972131,
      -71.956244
    ]);
    poly[1212] = _TzPolygon([
      -49.073372,
      -73.373347,
      -49.211531,
      -73.143273,
      -49.265847,
      -73.134544,
      -49.252987,
      -73.089363,
      -49.272109,
      -73.042002,
      -49.283889,
      -73.097513,
      -49.338210,
      -73.095560,
      -49.373236,
      -73.133583,
      -49.420633,
      -73.037109,
      -49.516321,
      -73.022261,
      -49.624278,
      -73.139591,
      -49.676071,
      -73.156243,
      -49.729067,
      -73.294078,
      -49.729067,
      -73.373347
    ]);
    poly[1213] = _TzPolygon([
      -49.073372,
      -73.373347,
      -48.486002,
      -73.373347,
      -48.486002,
      -72.569485,
      -48.487366,
      -72.585860,
      -48.799627,
      -72.533240,
      -48.867375,
      -72.640228,
      -48.866211,
      -72.689366,
      -48.968829,
      -72.795893,
      -48.943008,
      -72.942709,
      -48.991041,
      -72.988221,
      -49.026108,
      -72.977261,
      -49.033164,
      -73.009969,
      -49.059837,
      -73.000914,
      -49.179147,
      -73.140826,
      -49.211531,
      -73.143273
    ]);
    poly[1214] = _TzPolygon([
      -48.486002,
      -72.409653,
      -48.514964,
      -72.440543,
      -48.519521,
      -72.501370,
      -48.486002,
      -72.532000
    ]);
    poly[1215] = _TzPolygon([
      -48.486002,
      -72.569485,
      -48.483102,
      -72.534651,
      -48.486002,
      -72.532000
    ]);
    poly[1216] = _TzPolygon([
      -48.486002,
      -72.409653,
      -48.451306,
      -72.372647,
      -48.416961,
      -72.405593,
      -48.391377,
      -72.346763,
      -48.350902,
      -72.379676,
      -48.363328,
      -72.277107,
      -48.322420,
      -72.225673,
      -48.234494,
      -72.316137,
      -48.160122,
      -72.298627,
      -48.074376,
      -72.359822,
      -48.065322,
      -72.443140,
      -47.969140,
      -72.424469,
      -47.938727,
      -72.527184,
      -47.813606,
      -72.466888,
      -47.747154,
      -72.523710,
      -47.747214,
      -72.441670,
      -47.661172,
      -72.420519,
      -47.635718,
      -72.344622,
      -47.592011,
      -72.307954,
      -47.571453,
      -72.327564,
      -47.498924,
      -72.294466,
      -47.455519,
      -72.343117,
      -47.405974,
      -72.244262,
      -47.416734,
      -72.197213,
      -47.329625,
      -72.130104,
      -47.340456,
      -72.046001,
      -47.294770,
      -71.996930,
      -47.198372,
      -72.021783,
      -47.211988,
      -71.956244,
      -48.486002,
      -71.956244
    ]);
    poly[1217] = _TzPolygon([
      -46.975173,
      -71.956244,
      -46.974253,
      -71.958174,
      -46.904758,
      -71.970878,
      -46.891481,
      -71.956244
    ]);
    poly[1218] = _TzPolygon([
      -46.822256,
      -71.956244,
      -46.816163,
      -71.959565,
      -46.815647,
      -71.956244
    ]);
    poly[1219] = _TzPolygon([
      -45.999874,
      -71.647592,
      -46.000007,
      -69.122039,
      -46.000024,
      -71.647732
    ]);
    poly[1220] = _TzPolygon([
      -45.999874,
      -71.643072,
      -46.089645,
      -71.715576,
      -46.139787,
      -71.915540,
      -46.164399,
      -71.901381,
      -46.157342,
      -71.869104,
      -46.194966,
      -71.860119,
      -46.192339,
      -71.790144,
      -46.228897,
      -71.751031,
      -46.284685,
      -71.723935,
      -46.346223,
      -71.756790,
      -46.638954,
      -71.646060,
      -46.688349,
      -71.646749,
      -46.765864,
      -71.770248,
      -46.798850,
      -71.839168,
      -46.815685,
      -71.956244,
      -45.999874,
      -71.956244
    ]);
    poly[1221] = _TzPolygon([
      -46.822256,
      -71.956244,
      -46.868576,
      -71.930999,
      -46.891481,
      -71.956244
    ]);
    poly[1222] = _TzPolygon([
      -46.975173,
      -71.956244,
      -47.011827,
      -71.879346,
      -47.076828,
      -71.955347,
      -47.126997,
      -71.863246,
      -47.162756,
      -71.850571,
      -47.213934,
      -71.891140,
      -47.231009,
      -71.864685,
      -47.211988,
      -71.956244
    ]);
    poly[1223] = _TzPolygon([
      -51.089499,
      -69.122039,
      -51.089499,
      -68.799167,
      -51.500085,
      -68.634973,
      -51.607390,
      -68.629448,
      -51.896129,
      -68.415487,
      -52.270048,
      -68.037246,
      -52.349500,
      -68.026787,
      -52.434537,
      -68.070925,
      -52.523273,
      -68.174496,
      -52.578244,
      -68.307953,
      -52.522572,
      -68.515748,
      -52.386402,
      -68.418376,
      -52.332497,
      -68.418688,
      -52.277765,
      -68.837980,
      -52.203612,
      -68.986873,
      -52.168257,
      -69.122039
    ]);
    poly[1224] = _TzPolygon([
      -55.940225,
      -69.122039,
      -52.168257,
      -69.122039,
      -52.203612,
      -68.986873,
      -52.277765,
      -68.837980,
      -52.332497,
      -68.418688,
      -52.386402,
      -68.418376,
      -52.659022,
      -68.606761,
      -54.913692,
      -68.609671,
      -54.880906,
      -68.399190,
      -54.873726,
      -67.950712,
      -54.905562,
      -67.706496,
      -54.894333,
      -67.572310,
      -54.923486,
      -67.476209,
      -54.905627,
      -67.264616,
      -54.929633,
      -67.122637,
      -54.976657,
      -67.030228,
      -54.997049,
      -66.826615,
      -55.119059,
      -66.670940,
      -55.121667,
      -66.416667,
      -55.183333,
      -66.078333,
      -55.217262,
      -66.075347,
      -55.306560,
      -66.112536,
      -55.623486,
      -66.429033,
      -55.855613,
      -66.453857,
      -55.937454,
      -66.511203,
      -56.114545,
      -66.832094,
      -56.179111,
      -67.264759,
      -56.042972,
      -68.003464,
      -55.927462,
      -68.219511
    ]);
    poly[1225] = _TzPolygon([
      -45.999917,
      -69.122039,
      -45.999981,
      -65.401461,
      -46.000007,
      -69.122039
    ]);
    poly[1226] = _TzPolygon([
      -27.426989,
      -57.411484,
      -27.441097,
      -57.506667,
      -27.383750,
      -57.601072,
      -27.383750,
      -57.411484
    ]);
    poly[1227] = _TzPolygon([
      -27.565886,
      -56.929806,
      -27.562194,
      -56.937524,
      -27.489437,
      -56.987878,
      -27.466431,
      -57.231774,
      -27.414530,
      -57.327425,
      -27.426989,
      -57.411484,
      -27.383750,
      -57.411484,
      -27.383750,
      -56.929806
    ]);
    poly[1228] = _TzPolygon([
      -27.565886,
      -56.929806,
      -27.383750,
      -56.929806,
      -27.383750,
      -56.217655,
      -27.401206,
      -56.236151,
      -27.408220,
      -56.283768,
      -27.494085,
      -56.293697,
      -27.594162,
      -56.386292,
      -27.569581,
      -56.462913,
      -27.449462,
      -56.530368,
      -27.421017,
      -56.601169,
      -27.460740,
      -56.649547,
      -27.468146,
      -56.721080,
      -27.548630,
      -56.677096,
      -27.576937,
      -56.685955,
      -27.605025,
      -56.743305,
      -27.586888,
      -56.793692,
      -27.606393,
      -56.845127
    ]);
    poly[1229] = _TzPolygon([
      -27.383750,
      -55.687280,
      -27.445158,
      -55.736915,
      -27.409480,
      -55.836335,
      -27.383750,
      -55.859440
    ]);
    poly[1230] = _TzPolygon([
      -28.393264,
      -55.893571,
      -28.361586,
      -55.877394,
      -28.370951,
      -55.751566,
      -28.393264,
      -55.737148
    ]);
    poly[1231] = _TzPolygon([
      -28.393264,
      -55.686687,
      -28.332177,
      -55.670467,
      -28.274140,
      -55.774151,
      -28.244807,
      -55.775696,
      -28.177189,
      -55.631672,
      -28.116039,
      -55.607468,
      -28.165234,
      -55.559574,
      -28.076818,
      -55.495201,
      -28.097869,
      -55.446106,
      -28.029000,
      -55.368000,
      -27.979478,
      -55.382994,
      -27.972000,
      -55.343000,
      -27.926637,
      -55.327065,
      -27.929692,
      -55.265742,
      -27.867119,
      -55.206523,
      -28.393264,
      -55.206523
    ]);
    poly[1232] = _TzPolygon([
      -27.383750,
      -54.216578,
      -27.386035,
      -54.217363,
      -27.397000,
      -54.261000,
      -27.448195,
      -54.284845,
      -27.402263,
      -54.337713,
      -27.467252,
      -54.350459,
      -27.405000,
      -54.410000,
      -27.426739,
      -54.470814,
      -27.472000,
      -54.444000,
      -27.481000,
      -54.503000,
      -27.505902,
      -54.524598,
      -27.453000,
      -54.574000,
      -27.541000,
      -54.621000,
      -27.508003,
      -54.677088,
      -27.573936,
      -54.679261,
      -27.561000,
      -54.742000,
      -27.586000,
      -54.775000,
      -27.533000,
      -54.814000,
      -27.624000,
      -54.850000,
      -27.638708,
      -54.906169,
      -27.726000,
      -54.903000,
      -27.772000,
      -54.936000,
      -27.773000,
      -54.989000,
      -27.797784,
      -55.012999,
      -27.769321,
      -55.050940,
      -27.779000,
      -55.081000,
      -27.834000,
      -55.024000,
      -27.855772,
      -55.030303,
      -27.846000,
      -55.106000,
      -27.896061,
      -55.132624,
      -27.856000,
      -55.196000,
      -27.867119,
      -55.206523,
      -27.383750,
      -55.206523
    ]);
    poly[1233] = _TzPolygon([
      20.875696,
      -74.790449,
      20.786618,
      -74.617986,
      20.444741,
      -74.047256,
      20.332640,
      -73.949476,
      20.216068,
      -73.919000,
      20.067675,
      -73.966645,
      19.901473,
      -74.146785,
      19.753908,
      -74.790449
    ]);
    poly[1234] = _TzPolygon([
      20.888781,
      -74.068076,
      20.888781,
      -72.961406,
      20.836151,
      -72.993005,
      20.780223,
      -73.047057,
      20.747023,
      -73.119238,
      20.705985,
      -73.629360,
      20.728948,
      -73.746754,
      20.805749,
      -73.839721
    ]);
    poly[1235] = _TzPolygon([
      19.079476,
      -72.827404,
      19.079476,
      -71.701378,
      19.073210,
      -71.701150,
      19.030960,
      -71.771424,
      18.993074,
      -71.788411,
      19.005487,
      -71.833459,
      18.959283,
      -71.886457,
      18.941705,
      -71.879738,
      18.970334,
      -71.836512,
      18.954721,
      -71.781304,
      18.906876,
      -71.768160,
      18.878448,
      -71.722298,
      18.722193,
      -71.737955,
      18.685288,
      -71.804196,
      18.630613,
      -71.815352,
      18.627111,
      -71.880535,
      18.649019,
      -71.908281,
      18.634797,
      -71.925697,
      18.656665,
      -71.966361,
      18.625016,
      -72.008231,
      18.603425,
      -71.965129,
      18.503719,
      -71.880801,
      18.485265,
      -71.913721,
      18.457184,
      -71.904546,
      18.378810,
      -71.795323,
      18.340637,
      -71.696020,
      18.180586,
      -71.788066,
      18.148727,
      -71.746865,
      18.068456,
      -71.738461,
      17.953787,
      -71.829509,
      18.090777,
      -71.977204,
      18.100931,
      -72.019935,
      18.045224,
      -72.827404
    ]);
    poly[1236] = _TzPolygon([
      19.079476,
      -71.701378,
      19.105909,
      -71.702341,
      19.115873,
      -71.654201,
      19.206655,
      -71.621755,
      19.235332,
      -71.645568,
      19.240675,
      -71.697080,
      19.278273,
      -71.725392,
      19.262319,
      -71.731626,
      19.274190,
      -71.748093,
      19.329518,
      -71.782734,
      19.371358,
      -71.713641,
      19.360122,
      -71.693955,
      19.444757,
      -71.678286,
      19.512560,
      -71.688070,
      19.584680,
      -71.743137,
      19.661530,
      -71.734993,
      19.731262,
      -71.773662,
      19.796456,
      -71.913843,
      19.953058,
      -72.057471,
      20.888781,
      -71.257498,
      20.888781,
      -70.864359,
      19.079476,
      -70.864359
    ]);
    poly[1237] = _TzPolygon([
      20.888781,
      -74.068076,
      21.151443,
      -74.790449,
      24.507391,
      -74.790449,
      24.305040,
      -74.323528,
      23.217770,
      -73.441397,
      22.470244,
      -72.526660,
      22.397729,
      -72.470202,
      22.325449,
      -72.447752,
      21.948685,
      -72.549879,
      21.803964,
      -72.630110,
      21.540119,
      -72.677290,
      21.134138,
      -72.814092,
      20.888781,
      -72.961406
    ]);
    poly[1238] = _TzPolygon([
      20.888781,
      -71.257498,
      20.979376,
      -71.180046,
      21.013958,
      -71.110514,
      21.148919,
      -70.979051,
      21.181769,
      -70.864359,
      20.888781,
      -70.864359
    ]);
    poly[1239] = _TzPolygon([
      17.962145,
      -68.110146,
      18.032232,
      -68.149209,
      18.159037,
      -68.161270,
      18.237614,
      -68.145212,
      18.287709,
      -68.110146
    ]);
    poly[1240] = _TzPolygon([
      18.090418,
      -65.040186,
      18.225000,
      -65.100000,
      18.250000,
      -65.160000,
      18.430000,
      -65.108000,
      18.561463,
      -65.194611,
      18.605456,
      -65.095175,
      18.607818,
      -65.040186
    ]);
    poly[1241] = _TzPolygon([
      18.090418,
      -65.040186,
      18.607818,
      -65.040186,
      18.611435,
      -64.955961,
      18.397500,
      -64.863889,
      18.408056,
      -64.799167,
      18.377222,
      -64.755833,
      18.364167,
      -64.639444,
      18.321111,
      -64.636944,
      18.278611,
      -64.661389,
      18.106342,
      -64.640138,
      18.029421,
      -64.850254,
      18.047544,
      -64.939115,
      18.100478,
      -65.012449
    ]);
    poly[1242] = _TzPolygon([
      17.615815,
      -63.467388,
      17.615815,
      -62.786255,
      17.279160,
      -63.051129,
      17.329000,
      -63.130669,
      17.418074,
      -63.193474,
      17.421000,
      -63.299959,
      17.465000,
      -63.392221,
      17.534000,
      -63.448399
    ]);
    poly[1243] = _TzPolygon([
      17.615815,
      -63.467388,
      17.622000,
      -63.468824,
      17.706000,
      -63.454661,
      17.783000,
      -63.404870,
      17.835000,
      -63.321523,
      17.850000,
      -63.237785,
      17.814000,
      -63.104546,
      17.735835,
      -63.019720,
      17.673976,
      -62.847226,
      17.615815,
      -62.786255
    ]);
    poly[1244] = _TzPolygon([
      18.063986,
      -63.053224,
      18.017220,
      -62.949445,
      17.806209,
      -63.054445,
      17.851000,
      -63.202966,
      17.896354,
      -63.267794,
      18.053210,
      -63.138583
    ]);
    poly[1245] = _TzPolygon([
      18.190278,
      -62.876389,
      18.162863,
      -62.767393,
      18.137557,
      -62.764406,
      18.017220,
      -62.949445,
      18.063852,
      -63.052330,
      18.053210,
      -63.138583,
      17.896354,
      -63.267794,
      17.967190,
      -63.335665,
      18.061545,
      -63.360564
    ]);
    poly[1246] = _TzPolygon([
      18.137557,
      -62.764406,
      18.102717,
      -62.691512,
      18.037377,
      -62.623930,
      17.895705,
      -62.584402,
      17.801834,
      -62.602224,
      17.733899,
      -62.646249,
      17.687045,
      -62.716892,
      17.670931,
      -62.806973,
      17.735835,
      -63.019720,
      17.780835,
      -63.066390,
      18.017220,
      -62.949445
    ]);
    poly[1247] = _TzPolygon(
        [14.272500, -61.003889, 14.248663, -61.096863, 14.272500, -61.137076]);
    poly[1248] = _TzPolygon(
        [14.272500, -61.003889, 14.272500, -60.694712, 14.221738, -60.753188]);
    poly[1249] = _TzPolygon([
      15.079510,
      -61.515737,
      15.079246,
      -61.158913,
      15.007421,
      -61.370245,
      15.042183,
      -61.481351
    ]);
    poly[1250] = _TzPolygon([
      15.787222,
      -61.850567,
      15.787222,
      -61.442500,
      15.644411,
      -61.679823,
      15.715000,
      -61.806201
    ]);
    poly[1251] = _TzPolygon([
      15.787222,
      -61.041043,
      15.746000,
      -61.073256,
      15.701667,
      -61.138333,
      15.734167,
      -61.323611,
      15.787222,
      -61.442500
    ]);
    poly[1252] = _TzPolygon([
      17.146803,
      -62.330352,
      17.108000,
      -62.212501,
      17.015298,
      -62.140067,
      16.757390,
      -62.447583,
      16.818000,
      -62.518611,
      16.899313,
      -62.553652
    ]);
    poly[1253] = _TzPolygon([
      17.503210,
      -62.584402,
      17.419000,
      -62.513395,
      17.330000,
      -62.402047,
      17.250000,
      -62.349104,
      17.146803,
      -62.330352,
      16.899313,
      -62.553652,
      16.896779,
      -62.584402
    ]);
    poly[1254] = _TzPolygon([
      16.714000,
      -62.140067,
      16.714000,
      -61.938204,
      16.699000,
      -61.935382,
      16.609000,
      -61.956662,
      16.530000,
      -62.018761,
      16.487000,
      -62.093222,
      16.481245,
      -62.140067
    ]);
    poly[1255] = _TzPolygon([
      17.015298,
      -62.140067,
      17.005619,
      -62.109034,
      16.837713,
      -61.961479,
      16.714000,
      -61.938204,
      16.714000,
      -62.140067
    ]);
    poly[1256] = _TzPolygon([
      -69.000000,
      -5.500000,
      -86.000000,
      -5.500000,
      -86.000000,
      -17.000000,
      -71.000000,
      -17.000000
    ]);
    poly[1257] = _TzPolygon([
      -68.000000,
      25.000000,
      -86.000000,
      25.000000,
      -86.000000,
      0.000000,
      -68.000000,
      0.000000
    ]);
    poly[1258] = _TzPolygon([
      6.113484,
      -10.881472,
      6.131467,
      -10.911890,
      6.217496,
      -10.994758,
      6.323764,
      -11.018611,
      6.544761,
      -11.478392,
      6.635449,
      -11.556299,
      6.755000,
      -11.608076,
      6.929214,
      -11.506233,
      6.938163,
      -11.418093,
      6.969373,
      -11.432173,
      7.022377,
      -11.369220,
      7.071421,
      -11.374588,
      7.078700,
      -11.332722,
      7.140514,
      -11.352486,
      7.148563,
      -11.328003,
      7.210294,
      -11.310403,
      7.197447,
      -11.291633,
      7.238875,
      -11.272552,
      7.230473,
      -11.251737,
      7.264953,
      -11.181941,
      7.390724,
      -11.102111,
      7.403861,
      -11.059504,
      7.513667,
      -10.932952,
      7.497456,
      -10.922288,
      7.524327,
      -10.881472
    ]);
    poly[1259] = _TzPolygon([
      8.056728,
      -13.439885,
      8.124000,
      -13.450028,
      8.230000,
      -13.399223,
      8.352000,
      -13.482388,
      8.494000,
      -13.500339,
      8.568000,
      -13.486636,
      8.638000,
      -13.444025,
      8.836000,
      -13.449651,
      8.966000,
      -13.495776,
      9.036079,
      -13.301206,
      9.095863,
      -13.199646,
      9.050996,
      -13.128106,
      9.048735,
      -13.081904,
      9.081216,
      -13.072756,
      9.096942,
      -13.021877,
      9.169200,
      -12.979297,
      9.180636,
      -12.951057,
      9.227069,
      -12.971358,
      9.282095,
      -12.953768,
      9.288444,
      -12.931099,
      9.261827,
      -12.906930,
      9.293538,
      -12.879613,
      9.281062,
      -12.847149,
      9.303543,
      -12.785498,
      9.344635,
      -12.774828,
      9.348647,
      -12.746287,
      9.396298,
      -12.753743,
      9.389026,
      -12.707223,
      9.411733,
      -12.703913,
      9.408429,
      -12.683117,
      9.513992,
      -12.644625,
      9.538524,
      -12.654538,
      9.544659,
      -12.638547,
      8.056728,
      -12.638547
    ]);
    poly[1260] = _TzPolygon([
      9.544659,
      -12.638547,
      9.548303,
      -12.629047,
      9.605798,
      -12.615513,
      9.601701,
      -12.587666,
      9.703384,
      -12.564143,
      9.721718,
      -12.531691,
      9.706567,
      -12.518610,
      9.845347,
      -12.495655,
      9.880862,
      -12.437889,
      9.932905,
      -12.222482,
      9.906727,
      -12.218454,
      9.869980,
      -12.123623,
      9.940182,
      -11.906884,
      9.999944,
      -11.894622,
      9.999973,
      -11.208071,
      9.975012,
      -11.213198,
      9.960631,
      -11.171886,
      9.865509,
      -11.155931,
      9.861494,
      -11.102933,
      9.813882,
      -11.061469,
      9.818049,
      -11.043227,
      9.787408,
      -11.039009,
      9.751102,
      -10.991321,
      9.663941,
      -10.963905,
      9.654848,
      -10.917867,
      9.601756,
      -10.910969,
      9.591666,
      -10.881472,
      8.056728,
      -10.881472,
      8.056728,
      -12.638547
    ]);
    poly[1261] = _TzPolygon([
      5.616687,
      -7.386640,
      5.616687,
      -7.367323,
      4.189802,
      -7.367323,
      4.162121,
      -7.509634,
      4.162242,
      -7.526990,
      4.362148,
      -7.529589,
      4.393427,
      -7.566383,
      4.435477,
      -7.539373,
      4.456824,
      -7.566897,
      4.511487,
      -7.551943,
      4.583875,
      -7.573500,
      4.611906,
      -7.547840,
      4.653025,
      -7.576169,
      4.668763,
      -7.559442,
      4.783194,
      -7.560701,
      4.801640,
      -7.594605,
      4.896031,
      -7.599211,
      4.920609,
      -7.526098,
      4.973483,
      -7.558175,
      4.996221,
      -7.542109,
      5.075595,
      -7.557050,
      5.107209,
      -7.522019,
      5.096323,
      -7.506934,
      5.149704,
      -7.473951,
      5.278270,
      -7.475047,
      5.298592,
      -7.414660,
      5.259243,
      -7.415192,
      5.330139,
      -7.367758,
      5.386745,
      -7.375840,
      5.365021,
      -7.400077,
      5.429648,
      -7.449083,
      5.443404,
      -7.439925,
      5.429437,
      -7.420294,
      5.475940,
      -7.422875,
      5.508646,
      -7.390725,
      5.522698,
      -7.404398,
      5.526396,
      -7.381374,
      5.579458,
      -7.395127,
      5.582483,
      -7.372480
    ]);
    poly[1262] = _TzPolygon([
      6.317634,
      -8.245860,
      6.323893,
      -8.283508,
      6.340861,
      -8.271393,
      6.378804,
      -8.341246,
      6.354276,
      -8.397650,
      6.370690,
      -8.414707,
      6.386010,
      -8.384917,
      6.429255,
      -8.412565,
      6.443337,
      -8.396310,
      6.498406,
      -8.443172,
      6.500669,
      -8.466286,
      6.471791,
      -8.456529,
      6.434952,
      -8.482110,
      6.499477,
      -8.550298,
      6.506148,
      -8.601725,
      6.526219,
      -8.595998,
      6.523754,
      -8.571709,
      6.570854,
      -8.563719,
      6.560365,
      -8.542026,
      6.576194,
      -8.530551,
      6.609616,
      -8.540484,
      6.596376,
      -8.511129,
      6.618110,
      -8.507667,
      6.614111,
      -8.487690,
      6.662446,
      -8.453200,
      6.685466,
      -8.404930,
      6.712931,
      -8.409556,
      6.767268,
      -8.359845,
      6.761819,
      -8.342923,
      6.797089,
      -8.348472,
      6.814916,
      -8.320354,
      6.837699,
      -8.329424,
      6.863647,
      -8.309245,
      6.885520,
      -8.336588,
      6.912843,
      -8.307964,
      6.970788,
      -8.327148,
      7.004484,
      -8.274724,
      7.077782,
      -8.301022,
      7.077782,
      -8.245860
    ]);
    poly[1263] = _TzPolygon([
      6.317634,
      -8.245860,
      6.310042,
      -8.200190,
      6.279650,
      -8.175297,
      6.322500,
      -8.006177,
      6.296536,
      -7.993351,
      6.284795,
      -7.902793,
      6.195129,
      -7.822580,
      6.191577,
      -7.844410,
      6.075621,
      -7.851266,
      6.096694,
      -7.832424,
      6.092832,
      -7.801545,
      6.055516,
      -7.798814,
      6.035948,
      -7.769348,
      5.988284,
      -7.792358,
      5.932873,
      -7.741885,
      5.897659,
      -7.686724,
      5.952739,
      -7.663445,
      5.913179,
      -7.661012,
      5.896749,
      -7.581485,
      5.831155,
      -7.549465,
      5.855846,
      -7.516585,
      5.837073,
      -7.522310,
      5.811831,
      -7.483549,
      5.862119,
      -7.465958,
      5.845069,
      -7.424365,
      5.754688,
      -7.443774,
      5.616687,
      -7.386640,
      5.616687,
      -8.245860
    ]);
    poly[1264] = _TzPolygon([
      8.538878,
      -10.002935,
      8.441187,
      -10.002935,
      8.427025,
      -10.055265,
      8.498696,
      -10.045973,
      8.535006,
      -10.119289,
      8.526036,
      -10.162251,
      8.479013,
      -10.207489,
      8.506361,
      -10.323912,
      8.482837,
      -10.357294,
      8.490380,
      -10.383676,
      8.411639,
      -10.431149,
      8.309204,
      -10.542492,
      8.354449,
      -10.642650,
      8.280327,
      -10.701320,
      8.375577,
      -10.676068,
      8.392305,
      -10.639378,
      8.424515,
      -10.650757,
      8.538878,
      -10.616800
    ]);
    poly[1265] = _TzPolygon([
      7.524327,
      -10.881472,
      7.549146,
      -10.843773,
      7.736022,
      -10.701644,
      7.774626,
      -10.604332,
      8.040542,
      -10.605165,
      8.048099,
      -10.575784,
      8.145422,
      -10.501112,
      8.147601,
      -10.397145,
      8.165673,
      -10.377170,
      8.150163,
      -10.351673,
      8.197015,
      -10.301531,
      8.284757,
      -10.320212,
      8.340018,
      -10.288465,
      8.490938,
      -10.277130,
      8.479013,
      -10.207489,
      8.526036,
      -10.162251,
      8.535006,
      -10.119289,
      8.498696,
      -10.045973,
      8.427924,
      -10.058509,
      8.428238,
      -10.040421,
      8.449289,
      -10.002935,
      7.077782,
      -10.002935,
      7.077782,
      -10.881472
    ]);
    poly[1266] = _TzPolygon([
      8.449289,
      -10.002935,
      8.499477,
      -9.913566,
      8.500830,
      -9.854315,
      8.483829,
      -9.842383,
      8.507753,
      -9.790742,
      8.526469,
      -9.800966,
      8.538878,
      -9.785231,
      8.538878,
      -9.746908,
      8.525612,
      -9.724947,
      8.503610,
      -9.743872,
      8.439339,
      -9.717750,
      8.484220,
      -9.697927,
      8.501782,
      -9.663292,
      8.454249,
      -9.620021,
      8.405213,
      -9.658221,
      8.404147,
      -9.608808,
      8.424864,
      -9.590682,
      8.381562,
      -9.552117,
      8.373440,
      -9.496846,
      8.348558,
      -9.477569,
      8.318344,
      -9.518782,
      8.267001,
      -9.488971,
      8.241740,
      -9.512220,
      8.189326,
      -9.515499,
      8.176500,
      -9.462251,
      8.083103,
      -9.440836,
      8.043131,
      -9.460182,
      8.060909,
      -9.409410,
      8.020340,
      -9.404725,
      7.976488,
      -9.442593,
      7.890854,
      -9.439611,
      7.746473,
      -9.349224,
      7.658560,
      -9.379831,
      7.613072,
      -9.359180,
      7.472894,
      -9.424897,
      7.429783,
      -9.468057,
      7.367042,
      -9.482319,
      7.426459,
      -9.420602,
      7.388434,
      -9.403479,
      7.435867,
      -9.350814,
      7.426818,
      -9.294154,
      7.375265,
      -9.281980,
      7.389297,
      -9.206986,
      7.318946,
      -9.203205,
      7.271039,
      -9.155351,
      7.273515,
      -9.124398,
      7.077782,
      -9.124398,
      7.077782,
      -10.002935
    ]);
    poly[1267] = _TzPolygon([
      9.591666,
      -10.881472,
      9.528648,
      -10.860019,
      9.516090,
      -10.824031,
      9.499018,
      -10.848523,
      9.455264,
      -10.851985,
      9.412596,
      -10.802475,
      9.377810,
      -10.810901,
      9.379581,
      -10.731523,
      9.328307,
      -10.705132,
      9.310683,
      -10.663425,
      9.213131,
      -10.656026,
      9.185703,
      -10.702634,
      9.200171,
      -10.714934,
      9.081140,
      -10.730468,
      9.085594,
      -10.666421,
      9.051220,
      -10.573873,
      8.986904,
      -10.591202,
      8.805366,
      -10.561048,
      8.782636,
      -10.519816,
      8.672920,
      -10.464359,
      8.625686,
      -10.492699,
      8.598731,
      -10.574771,
      8.573390,
      -10.574422,
      8.542202,
      -10.615813,
      8.538878,
      -10.616800,
      8.538878,
      -10.881472
    ]);
    poly[1268] = _TzPolygon(
        [8.538878, -9.785231, 8.551986, -9.768609, 8.538878, -9.746908]);
    poly[1269] = _TzPolygon([
      7.077782,
      -8.301022,
      7.087964,
      -8.304675,
      7.182125,
      -8.281116,
      7.246788,
      -8.369097,
      7.272830,
      -8.355716,
      7.328065,
      -8.395801,
      7.532628,
      -8.424368,
      7.531077,
      -8.453217,
      7.557172,
      -8.471017,
      7.628078,
      -8.397063,
      7.593105,
      -8.382240,
      7.612193,
      -8.307922,
      7.585010,
      -8.297981,
      7.556444,
      -8.245860,
      7.077782,
      -8.245860
    ]);
    poly[1270] = _TzPolygon([
      8.538878,
      -8.245860,
      7.554576,
      -8.245860,
      7.585010,
      -8.297981,
      7.612193,
      -8.307922,
      7.587915,
      -8.360238,
      7.628078,
      -8.397063,
      7.557172,
      -8.471017,
      7.631502,
      -8.569942,
      7.695752,
      -8.553885,
      7.695744,
      -8.676459,
      7.641369,
      -8.714162,
      7.556031,
      -8.725855,
      7.515144,
      -8.706389,
      7.348944,
      -8.853597,
      7.276366,
      -8.837304,
      7.255804,
      -8.905104,
      7.295203,
      -8.916573,
      7.290569,
      -8.940855,
      7.265285,
      -8.943858,
      7.247000,
      -9.025236,
      7.198511,
      -9.069882,
      7.210499,
      -9.095943,
      7.190605,
      -9.108189,
      7.273515,
      -9.124398,
      8.538878,
      -9.124398
    ]);
    poly[1271] = _TzPolygon([
      8.538878,
      -7.684003,
      8.496617,
      -7.658928,
      8.441261,
      -7.678094,
      8.380320,
      -7.638199,
      8.377334,
      -7.740485,
      8.474476,
      -7.786696,
      8.495360,
      -7.823946,
      8.437291,
      -7.828238,
      8.422009,
      -7.878706,
      8.441366,
      -7.879221,
      8.456139,
      -7.919218,
      8.490266,
      -7.907889,
      8.508772,
      -7.932779,
      8.488568,
      -7.985308,
      8.510817,
      -8.088201,
      8.479977,
      -8.109535,
      8.506428,
      -8.188253,
      8.459659,
      -8.237937,
      8.357937,
      -8.214965,
      8.235372,
      -8.243449,
      8.184833,
      -8.173607,
      8.181849,
      -8.099919,
      8.154895,
      -8.052692,
      8.194630,
      -8.034691,
      8.179825,
      -8.019564,
      8.192830,
      -7.981026,
      8.102008,
      -8.012981,
      8.090208,
      -7.975662,
      8.017109,
      -7.943015,
      8.017062,
      -7.980815,
      8.048560,
      -7.996697,
      8.036965,
      -8.062147,
      7.883110,
      -8.134847,
      7.797761,
      -8.091256,
      7.657397,
      -8.144591,
      7.608218,
      -8.184913,
      7.584276,
      -8.170411,
      7.561416,
      -8.183195,
      7.538724,
      -8.218713,
      7.554576,
      -8.245860,
      8.538878,
      -8.245860
    ]);
    poly[1272] = _TzPolygon([
      9.999973,
      -8.140173,
      9.983245,
      -8.147105,
      9.979639,
      -8.114620,
      9.962030,
      -8.112053,
      9.950539,
      -8.163334,
      9.909014,
      -8.151473,
      9.904096,
      -8.121459,
      9.868941,
      -8.138987,
      9.873563,
      -8.103153,
      9.833266,
      -8.092317,
      9.806046,
      -8.111899,
      9.762599,
      -8.101751,
      9.759569,
      -8.121897,
      9.653693,
      -8.115101,
      9.624851,
      -8.144905,
      9.549601,
      -8.143753,
      9.461665,
      -8.102079,
      9.395482,
      -8.035085,
      9.421289,
      -7.848958,
      9.339614,
      -7.881989,
      9.298997,
      -7.873934,
      9.213204,
      -7.923058,
      9.161609,
      -7.882640,
      9.176020,
      -7.823357,
      9.106207,
      -7.782297,
      9.072677,
      -7.726566,
      9.066225,
      -7.840262,
      9.032525,
      -7.856740,
      9.025193,
      -7.898678,
      8.987946,
      -7.934001,
      8.936633,
      -7.916443,
      8.900458,
      -7.942366,
      8.884126,
      -7.925087,
      8.849049,
      -7.937639,
      8.829746,
      -7.974708,
      8.776612,
      -7.931540,
      8.791417,
      -7.877295,
      8.757368,
      -7.831257,
      8.767450,
      -7.787564,
      8.741906,
      -7.791301,
      8.730895,
      -7.761474,
      8.658844,
      -7.732688,
      8.647130,
      -7.688983,
      8.618032,
      -7.671642,
      8.559728,
      -7.696374,
      8.538878,
      -7.684003,
      8.538878,
      -9.124398,
      9.999973,
      -9.124398
    ]);
    poly[1273] = _TzPolygon([
      9.999973,
      -8.140366,
      10.056258,
      -8.117690,
      10.097318,
      -8.008806,
      10.134687,
      -8.014238,
      10.173500,
      -7.989511,
      10.153077,
      -7.936037,
      10.200211,
      -7.892721,
      10.213245,
      -7.833935,
      10.306107,
      -7.748024,
      10.310432,
      -7.772628,
      10.344594,
      -7.753215,
      10.346662,
      -7.722573,
      10.373129,
      -7.739448,
      10.462040,
      -7.626121,
      10.411919,
      -7.548070,
      10.459645,
      -7.518974,
      10.453334,
      -7.457228,
      10.341932,
      -7.435175,
      10.352537,
      -7.391514,
      10.337964,
      -7.367323,
      10.271946,
      -7.367323,
      10.258989,
      -7.389089,
      10.245365,
      -7.377723,
      10.242986,
      -7.367323,
      9.999973,
      -7.367323
    ]);
    poly[1274] = _TzPolygon([
      9.999973,
      -11.208071,
      9.999973,
      -14.395621,
      10.011000,
      -14.408190,
      10.015000,
      -14.507029,
      10.060000,
      -14.590367,
      10.173000,
      -14.664172,
      10.253000,
      -14.683399,
      10.282000,
      -14.765661,
      10.345000,
      -14.830337,
      10.462040,
      -14.855785,
      10.462040,
      -8.241570,
      10.419884,
      -8.231183,
      10.414881,
      -8.182569,
      10.449110,
      -8.098713,
      10.393421,
      -8.105054,
      10.354318,
      -8.082277,
      10.331409,
      -8.052522,
      10.346286,
      -7.988536,
      10.252545,
      -7.945088,
      10.134687,
      -8.014238,
      10.097318,
      -8.008806,
      10.058185,
      -8.116052,
      9.999973,
      -8.140173
    ]);
    poly[1275] = _TzPolygon([
      10.462040,
      -15.487632,
      10.483267,
      -15.517969,
      10.538795,
      -15.552878,
      10.631383,
      -15.568051,
      10.666667,
      -15.561771,
      10.666667,
      -15.341667,
      10.884419,
      -15.101679,
      10.977044,
      -14.957673,
      11.364614,
      -14.772313,
      11.504958,
      -14.663604,
      11.500663,
      -14.586488,
      10.462040,
      -14.586488,
      10.462040,
      -14.855785,
      10.531000,
      -14.870779,
      10.573000,
      -14.914423,
      10.582000,
      -15.053476,
      10.629253,
      -15.148679,
      10.565629,
      -15.157531,
      10.482806,
      -15.208200,
      10.462040,
      -15.238664
    ]);
    poly[1276] = _TzPolygon([
      12.686238,
      -16.985033,
      12.686238,
      -15.163646,
      12.613723,
      -15.337639,
      12.537045,
      -15.429051,
      12.424853,
      -15.683065,
      12.442799,
      -15.953417,
      12.472449,
      -16.038821,
      12.449675,
      -16.162611,
      12.461253,
      -16.202766,
      12.362526,
      -16.381002,
      12.359202,
      -16.689724,
      12.237284,
      -16.894523,
      12.321000,
      -16.957292,
      12.437000,
      -16.992877,
      12.577000,
      -16.973236
    ]);
    poly[1277] = _TzPolygon(
        [12.681999, -14.586488, 12.686238, -15.163646, 12.686238, -14.586488]);
    poly[1278] = _TzPolygon([
      12.682026,
      -14.586488,
      12.675615,
      -13.708148,
      12.607889,
      -13.709542,
      12.489885,
      -13.641637,
      12.430171,
      -13.634878,
      12.405487,
      -13.666319,
      12.319961,
      -13.658163,
      12.310637,
      -13.686146,
      12.249019,
      -13.717877,
      12.277139,
      -13.759555,
      12.251633,
      -13.799938,
      12.297280,
      -13.800325,
      12.258186,
      -13.822354,
      12.283243,
      -13.831120,
      12.281348,
      -13.855269,
      12.242291,
      -13.857077,
      12.234614,
      -13.919187,
      12.199802,
      -13.957084,
      12.144907,
      -13.937796,
      12.136924,
      -13.875451,
      12.107841,
      -13.868168,
      12.092841,
      -13.809603,
      12.048205,
      -13.789223,
      12.008197,
      -13.696349,
      11.707412,
      -13.708167,
      11.682585,
      -13.775727,
      11.693774,
      -13.798187,
      11.717533,
      -13.795444,
      11.704219,
      -13.820634,
      11.734663,
      -13.823871,
      11.747154,
      -13.854383,
      11.729758,
      -13.863718,
      11.716951,
      -13.845641,
      11.659303,
      -13.873299,
      11.685015,
      -13.922119,
      11.654852,
      -13.936302,
      11.654801,
      -14.039105,
      11.626110,
      -14.082562,
      11.664702,
      -14.135062,
      11.677024,
      -14.267145,
      11.602356,
      -14.319521,
      11.496490,
      -14.511552,
      11.500663,
      -14.586488
    ]);
    poly[1279] = _TzPolygon([
      12.663650,
      -13.383294,
      12.673900,
      -13.483647,
      12.681999,
      -14.586488,
      12.686238,
      -14.586488,
      12.686238,
      -13.383294
    ]);
    poly[1280] = _TzPolygon([
      12.663650,
      -13.383294,
      12.686238,
      -13.383294,
      12.686238,
      -12.180100,
      12.359674,
      -12.180100,
      12.334759,
      -12.282213,
      12.350657,
      -12.302219,
      12.314428,
      -12.362077,
      12.385185,
      -12.403218,
      12.409620,
      -12.495844,
      12.366222,
      -12.564676,
      12.408356,
      -12.583388,
      12.435902,
      -12.626558,
      12.433511,
      -12.765245,
      12.467693,
      -12.750831,
      12.493359,
      -12.845049,
      12.517313,
      -12.834324,
      12.555151,
      -12.893055,
      12.527449,
      -12.949487,
      12.475614,
      -12.944720,
      12.484881,
      -13.061397,
      12.537982,
      -13.071130,
      12.587196,
      -13.045762,
      12.644052,
      -13.063378,
      12.627009,
      -13.179054,
      12.654162,
      -13.207883,
      12.641702,
      -13.319079,
      12.658362,
      -13.331516
    ]);
    poly[1281] = _TzPolygon([
      12.686238,
      -11.578503,
      12.440931,
      -11.578503,
      12.433769,
      -11.641329,
      12.381908,
      -11.770085,
      12.403361,
      -11.804864,
      12.392930,
      -11.847518,
      12.449131,
      -11.899895,
      12.405456,
      -11.968085,
      12.402339,
      -12.015019,
      12.433291,
      -12.062134,
      12.417435,
      -12.112764,
      12.360285,
      -12.177595,
      12.359674,
      -12.180100,
      12.686238,
      -12.180100
    ]);
    poly[1282] = _TzPolygon([
      12.436188,
      -11.578503,
      12.441798,
      -11.432808,
      12.396858,
      -11.364931,
      12.388857,
      -11.432783,
      12.353546,
      -11.449076,
      12.282924,
      -11.430278,
      12.231525,
      -11.486291,
      12.184802,
      -11.496682,
      12.134093,
      -11.454564,
      12.107568,
      -11.366777,
      12.062805,
      -11.356431,
      12.023905,
      -11.310762,
      11.998042,
      -11.225089,
      12.019844,
      -11.211694,
      12.018918,
      -11.180417,
      12.066296,
      -11.137812,
      12.101563,
      -11.141231,
      12.099426,
      -11.113588,
      12.130845,
      -11.101049,
      12.141176,
      -11.067777,
      12.221613,
      -11.047472,
      12.227873,
      -10.976906,
      11.574139,
      -10.976906,
      11.574139,
      -11.578503
    ]);
    poly[1283] = _TzPolygon([
      12.686238,
      -11.442712,
      12.673314,
      -11.448167,
      12.651880,
      -11.414452,
      12.609682,
      -11.423315,
      12.588186,
      -11.404208,
      12.548480,
      -11.447957,
      12.521956,
      -11.409891,
      12.541353,
      -11.407487,
      12.538480,
      -11.386855,
      12.491791,
      -11.383035,
      12.510025,
      -11.363741,
      12.493371,
      -11.354120,
      12.421500,
      -11.367413,
      12.404033,
      -11.389033,
      12.434552,
      -11.413993,
      12.452642,
      -11.475776,
      12.440931,
      -11.578503,
      12.686238,
      -11.578503
    ]);
    poly[1284] = _TzPolygon([
      12.227873,
      -10.976906,
      12.231666,
      -10.934141,
      12.209863,
      -10.895629,
      12.142653,
      -10.859139,
      12.115530,
      -10.792080,
      12.041576,
      -10.801596,
      11.971627,
      -10.764991,
      11.941797,
      -10.773229,
      11.897751,
      -10.657181,
      11.908862,
      -10.631902,
      11.975856,
      -10.608221,
      11.990615,
      -10.566568,
      12.023941,
      -10.580976,
      12.047559,
      -10.519115,
      12.125401,
      -10.513999,
      12.121790,
      -10.447644,
      12.144958,
      -10.409841,
      12.178864,
      -10.408965,
      12.168458,
      -10.376699,
      12.197554,
      -10.359164,
      12.193399,
      -10.332519,
      12.226930,
      -10.339639,
      12.223301,
      -10.308897,
      12.192032,
      -10.297729,
      12.217977,
      -10.249694,
      12.200292,
      -10.242544,
      12.205314,
      -10.192500,
      12.176449,
      -10.148942,
      12.188194,
      -10.091264,
      12.150953,
      -10.093460,
      12.137411,
      -10.064699,
      12.154466,
      -10.060472,
      12.103152,
      -9.968570,
      12.103907,
      -9.914239,
      12.057483,
      -9.871559,
      12.066505,
      -9.816981,
      12.038226,
      -9.780678,
      12.037168,
      -9.773711,
      10.462040,
      -9.773711,
      10.462040,
      -10.976906
    ]);
    poly[1285] = _TzPolygon([
      12.037168,
      -9.773711,
      12.027946,
      -9.712972,
      12.034946,
      -9.688370,
      12.118433,
      -9.683118,
      12.175298,
      -9.635399,
      12.197452,
      -9.533995,
      12.259934,
      -9.473517,
      12.248481,
      -9.340687,
      12.362284,
      -9.297739,
      12.381514,
      -9.339077,
      12.452081,
      -9.380567,
      12.462207,
      -9.407189,
      12.500906,
      -9.357702,
      12.479101,
      -9.335184,
      12.506235,
      -9.314579,
      12.485579,
      -9.283777,
      12.506174,
      -9.251390,
      12.489574,
      -9.157560,
      12.420428,
      -9.014583,
      12.324808,
      -8.933353,
      12.218807,
      -8.992267,
      12.223904,
      -8.978790,
      12.186168,
      -8.965911,
      12.204700,
      -8.918527,
      12.151440,
      -8.883686,
      12.093662,
      -8.911946,
      12.045462,
      -8.908053,
      12.025974,
      -8.867342,
      12.047450,
      -8.826588,
      11.976816,
      -8.772223,
      11.828695,
      -8.798470,
      11.800488,
      -8.830702,
      11.654723,
      -8.848837,
      11.633918,
      -8.760626,
      11.610313,
      -8.745767,
      11.645562,
      -8.701281,
      11.549798,
      -8.641344,
      11.522426,
      -8.654728,
      11.476332,
      -8.614932,
      11.463346,
      -8.570517,
      11.136030,
      -8.570517,
      11.130352,
      -8.604308,
      11.095749,
      -8.600959,
      11.002089,
      -8.675935,
      10.962388,
      -8.671910,
      10.959861,
      -8.581695,
      10.966113,
      -8.570517,
      10.462040,
      -8.570517,
      10.462040,
      -9.773711
    ]);
    poly[1286] = _TzPolygon([
      11.463346,
      -8.570517,
      11.462186,
      -8.566550,
      11.493949,
      -8.529791,
      11.416539,
      -8.498133,
      11.428529,
      -8.473679,
      11.376309,
      -8.352726,
      11.348490,
      -8.408154,
      11.329242,
      -8.397951,
      11.325982,
      -8.354592,
      11.282912,
      -8.367135,
      11.288907,
      -8.469683,
      11.228588,
      -8.476519,
      11.211549,
      -8.550616,
      11.137925,
      -8.559240,
      11.136030,
      -8.570517
    ]);
    poly[1287] = _TzPolygon([
      10.966113,
      -8.570517,
      10.999039,
      -8.511648,
      11.071400,
      -8.481146,
      11.071663,
      -8.362034,
      11.018655,
      -8.288725,
      10.895173,
      -8.256857,
      10.856466,
      -8.305966,
      10.817890,
      -8.303464,
      10.788134,
      -8.331245,
      10.752192,
      -8.289114,
      10.698738,
      -8.288587,
      10.670958,
      -8.322687,
      10.591041,
      -8.325320,
      10.595386,
      -8.287402,
      10.575374,
      -8.269496,
      10.462040,
      -8.241570,
      10.462040,
      -8.570517
    ]);
    poly[1288] = _TzPolygon([
      13.777134,
      -15.181512,
      13.539917,
      -15.181512,
      13.529483,
      -15.197261,
      13.419121,
      -15.228762,
      13.365534,
      -15.299813,
      13.355788,
      -15.379644,
      13.395286,
      -15.498566,
      13.350655,
      -15.582941,
      13.371262,
      -15.680466,
      13.349468,
      -15.805110,
      13.167101,
      -15.803606,
      13.168850,
      -16.685105,
      13.154292,
      -16.709422,
      13.110263,
      -16.716385,
      13.111893,
      -16.735633,
      13.080553,
      -16.729236,
      13.061111,
      -16.748611,
      13.061000,
      -16.976144,
      13.381000,
      -17.028825,
      13.502000,
      -16.988531,
      13.603001,
      -16.858020,
      13.587041,
      -16.816933,
      13.584183,
      -15.477372,
      13.704900,
      -15.436954,
      13.781389,
      -15.364444,
      13.789327,
      -15.302330,
      13.740974,
      -15.264985
    ]);
    poly[1289] = _TzPolygon([
      16.581749,
      -15.181512,
      16.552261,
      -15.231094,
      16.573978,
      -15.309362,
      16.534592,
      -15.404317,
      16.590825,
      -15.469273,
      16.560256,
      -15.515102,
      16.520773,
      -15.514748,
      16.524616,
      -15.623057,
      16.491811,
      -15.628230,
      16.470133,
      -15.699359,
      16.507080,
      -15.812614,
      16.490766,
      -15.859284,
      16.515607,
      -15.886641,
      16.483023,
      -15.963398,
      16.500811,
      -16.002295,
      16.477238,
      -16.052796,
      16.555258,
      -16.115129,
      16.513093,
      -16.189762,
      16.524865,
      -16.259075,
      16.398588,
      -16.331599,
      16.347617,
      -16.332650,
      16.316726,
      -16.365662,
      16.275188,
      -16.353213,
      16.234525,
      -16.371233,
      16.184683,
      -16.453415,
      16.083415,
      -16.454485,
      16.055311,
      -16.487204,
      16.073960,
      -16.496951,
      16.080690,
      -16.741203,
      16.289994,
      -16.728266,
      16.677579,
      -16.650708,
      17.407117,
      -16.329951,
      17.407117,
      -15.181512
    ]);
    poly[1290] = _TzPolygon([
      13.777134,
      -15.181512,
      13.825314,
      -15.070290,
      13.793755,
      -14.985752,
      13.804702,
      -14.927194,
      13.783906,
      -14.865165,
      13.744998,
      -14.818562,
      13.653333,
      -14.791944,
      13.611944,
      -14.718611,
      13.654706,
      -14.629616,
      13.647916,
      -14.530232,
      13.608333,
      -14.490000,
      13.534843,
      -14.472065,
      13.453889,
      -14.337778,
      13.478333,
      -14.240833,
      13.512532,
      -14.204876,
      13.560086,
      -14.080439,
      13.556114,
      -14.030554,
      13.583059,
      -13.973331,
      13.545559,
      -13.886109,
      13.453056,
      -13.808056,
      13.406667,
      -13.797778,
      13.322778,
      -13.867222,
      13.286389,
      -14.113889,
      13.229431,
      -14.193652,
      13.246784,
      -14.266641,
      13.229704,
      -14.358868,
      13.300203,
      -14.459510,
      13.313134,
      -14.532671,
      13.358741,
      -14.578074,
      13.344260,
      -14.672630,
      13.375291,
      -14.732259,
      13.417420,
      -14.760497,
      13.418207,
      -14.813971,
      13.478569,
      -14.974859,
      13.535243,
      -15.050941,
      13.600463,
      -15.090123,
      13.539917,
      -15.181512
    ]);
    poly[1291] = _TzPolygon(
        [15.045738, -12.576783, 15.046677, -12.578086, 15.046677, -12.576783]);
    poly[1292] = _TzPolygon([
      16.195089,
      -13.879147,
      16.195541,
      -13.911664,
      16.230227,
      -13.920780,
      16.223352,
      -13.974130,
      16.270222,
      -13.951951,
      16.275246,
      -13.987297,
      16.303817,
      -13.990939,
      16.308484,
      -13.958029,
      16.331336,
      -13.967945,
      16.348843,
      -14.030146,
      16.454587,
      -14.139163,
      16.477466,
      -14.133217,
      16.509906,
      -14.201022,
      16.531516,
      -14.200001,
      16.545820,
      -14.246848,
      16.513604,
      -14.256220,
      16.584248,
      -14.277949,
      16.566396,
      -14.330834,
      16.641649,
      -14.335425,
      16.632059,
      -14.404657,
      16.652348,
      -14.421231,
      16.623285,
      -14.447287,
      16.613703,
      -14.497336,
      16.643663,
      -14.544603,
      16.616799,
      -14.556957,
      16.616945,
      -14.638604,
      16.649173,
      -14.644764,
      16.646671,
      -14.725859,
      16.618280,
      -14.737210,
      16.655647,
      -14.765829,
      16.628820,
      -14.788987,
      16.653700,
      -14.813226,
      16.636166,
      -14.861364,
      16.660166,
      -14.879744,
      16.630241,
      -14.897076,
      16.648455,
      -14.913677,
      16.630649,
      -14.937777,
      16.677097,
      -14.952648,
      16.691971,
      -14.985333,
      16.641365,
      -15.004410,
      16.627456,
      -15.052129,
      16.675835,
      -15.099495,
      16.639750,
      -15.119726,
      16.619407,
      -15.077964,
      16.578862,
      -15.116138,
      16.589523,
      -15.168440,
      16.581749,
      -15.181512,
      17.407117,
      -15.181512,
      17.407117,
      -13.879147
    ]);
    poly[1293] = _TzPolygon([
      15.046677,
      -12.576783,
      15.109561,
      -12.665310,
      15.084717,
      -12.693530,
      15.151848,
      -12.790722,
      15.214373,
      -12.802807,
      15.201861,
      -12.852940,
      15.259901,
      -12.899850,
      15.253500,
      -12.850826,
      15.284323,
      -12.833820,
      15.316825,
      -12.851855,
      15.357995,
      -12.944614,
      15.416372,
      -12.947983,
      15.441623,
      -12.924924,
      15.443939,
      -12.960002,
      15.500130,
      -12.964898,
      15.477553,
      -13.046710,
      15.495629,
      -13.099337,
      15.582097,
      -13.088047,
      15.626371,
      -13.186724,
      15.615193,
      -13.230504,
      15.671454,
      -13.252521,
      15.695383,
      -13.207811,
      15.766543,
      -13.292199,
      15.789754,
      -13.287726,
      15.789379,
      -13.265245,
      15.819478,
      -13.298428,
      15.871618,
      -13.300597,
      15.894273,
      -13.334930,
      15.923978,
      -13.312603,
      15.971858,
      -13.364698,
      16.055620,
      -13.376766,
      16.108950,
      -13.459762,
      16.077833,
      -13.491211,
      16.092033,
      -13.510835,
      16.144957,
      -13.480695,
      16.094625,
      -13.680590,
      16.132025,
      -13.716428,
      16.182109,
      -13.715864,
      16.106667,
      -13.848516,
      16.154643,
      -13.878527,
      16.195040,
      -13.875648,
      16.195089,
      -13.879147,
      17.407117,
      -13.879147,
      17.407117,
      -12.576783
    ]);
    poly[1294] = _TzPolygon([
      13.866458,
      -12.576783,
      13.866458,
      -11.941225,
      13.807322,
      -11.949643,
      13.721053,
      -12.072629,
      13.624906,
      -12.038122,
      13.534496,
      -11.969058,
      13.461680,
      -11.869919,
      13.386699,
      -11.888037,
      13.329950,
      -11.829010,
      13.309664,
      -11.831728,
      13.339637,
      -11.768386,
      13.415188,
      -11.732834,
      13.412795,
      -11.703320,
      13.389548,
      -11.693064,
      13.394717,
      -11.627531,
      13.364023,
      -11.637797,
      13.366301,
      -11.597229,
      13.309439,
      -11.590393,
      13.257932,
      -11.524072,
      13.211098,
      -11.543216,
      13.194119,
      -11.501851,
      13.148196,
      -11.515070,
      13.098512,
      -11.474958,
      13.083819,
      -11.426697,
      13.058486,
      -11.435917,
      13.010608,
      -11.395261,
      12.999758,
      -11.415576,
      12.969604,
      -11.410907,
      12.967103,
      -11.383369,
      12.992325,
      -11.367488,
      12.941549,
      -11.345900,
      12.927481,
      -11.399590,
      12.905893,
      -11.386234,
      12.843860,
      -11.409965,
      12.829803,
      -11.381975,
      12.773831,
      -11.397958,
      12.737001,
      -11.365809,
      12.728041,
      -11.425068,
      12.686238,
      -11.442712,
      12.686238,
      -12.576783
    ]);
    poly[1295] = _TzPolygon([
      13.866458,
      -11.941225,
      13.924322,
      -11.932988,
      13.988534,
      -12.010035,
      14.185191,
      -11.974678,
      14.288338,
      -12.026857,
      14.305737,
      -12.102518,
      14.371516,
      -12.098269,
      14.406427,
      -12.200721,
      14.439448,
      -12.188748,
      14.491302,
      -12.221037,
      14.548890,
      -12.216727,
      14.555869,
      -12.186100,
      14.647400,
      -12.144617,
      14.665584,
      -12.177274,
      14.688480,
      -12.160413,
      14.702915,
      -12.212665,
      14.764719,
      -12.240283,
      14.775982,
      -12.130075,
      14.720991,
      -12.055338,
      14.768118,
      -12.042322,
      14.767020,
      -11.960718,
      14.786649,
      -11.932882,
      14.819365,
      -11.931107,
      14.820288,
      -11.925600,
      13.866458,
      -11.925600
    ]);
    poly[1296] = _TzPolygon([
      15.046677,
      -11.925600,
      14.820288,
      -11.925600,
      14.819365,
      -11.931107,
      14.786649,
      -11.932882,
      14.767020,
      -11.960718,
      14.768118,
      -12.042322,
      14.720991,
      -12.055338,
      14.775982,
      -12.130075,
      14.761156,
      -12.172842,
      14.771455,
      -12.278353,
      14.826353,
      -12.327346,
      14.828852,
      -12.370621,
      14.892599,
      -12.453344,
      14.980071,
      -12.461419,
      15.014562,
      -12.492310,
      15.041779,
      -12.571291,
      15.046677,
      -12.576783
    ]);
    poly[1297] = _TzPolygon([
      15.046677,
      -11.839351,
      15.041999,
      -11.841888,
      15.046677,
      -11.814767,
      15.046677,
      -11.805851,
      15.029799,
      -11.788766,
      14.940468,
      -11.816436,
      14.895998,
      -11.798026,
      14.895221,
      -11.824310,
      14.857404,
      -11.839836,
      14.826241,
      -11.890074,
      14.820288,
      -11.925600,
      15.046677,
      -11.925600
    ]);
    poly[1298] = _TzPolygon([
      15.046677,
      -11.805851,
      15.047987,
      -11.807176,
      15.046677,
      -11.814767,
      15.046677,
      -11.839351,
      15.066951,
      -11.828358,
      15.096118,
      -11.844549,
      15.139148,
      -11.809837,
      15.174081,
      -11.837452,
      15.227894,
      -11.800597,
      15.320358,
      -11.793174,
      15.346117,
      -11.760714,
      15.456213,
      -11.745515,
      15.491814,
      -11.704350,
      15.537373,
      -11.707811,
      15.527248,
      -11.616073,
      15.593398,
      -11.546669,
      15.613304,
      -11.493382,
      15.640753,
      -11.515285,
      15.636065,
      -11.409779,
      15.531247,
      -11.358859,
      15.419339,
      -11.251729,
      15.231773,
      -10.992992,
      15.109710,
      -10.900492,
      15.198413,
      -10.867003,
      15.214667,
      -10.832907,
      15.285116,
      -10.821834,
      15.371172,
      -10.715326,
      15.442252,
      -10.720920,
      15.420146,
      -10.637064,
      15.422110,
      -10.575136,
      15.451214,
      -10.518879,
      15.432908,
      -10.419483,
      15.443602,
      -10.308482,
      15.361625,
      -10.064754,
      15.386666,
      -9.972053,
      15.046677,
      -9.972053
    ]);
    poly[1299] = _TzPolygon([
      15.500783,
      -7.367323,
      15.501607,
      -9.331251,
      15.693527,
      -9.309575,
      15.702785,
      -9.331025,
      15.605695,
      -9.446854,
      15.438838,
      -9.401019,
      15.427097,
      -9.685061,
      15.407679,
      -9.722090,
      15.419649,
      -9.753881,
      15.389191,
      -9.799068,
      15.400078,
      -9.922402,
      15.386666,
      -9.972053,
      17.407117,
      -9.972053,
      17.407117,
      -7.367323
    ]);
  }
}

class _Initializer14 {
  static void _init() {
    poly[1300] = _TzPolygon([
      26.529692,
      -7.367323,
      27.314942,
      -8.668117,
      27.433543,
      -8.668212,
      27.433543,
      -7.367323
    ]);
    poly[1301] = _TzPolygon([
      17.407117,
      -16.329951,
      17.480306,
      -16.297772,
      17.611813,
      -16.266786,
      18.006344,
      -16.233667,
      18.234513,
      -16.245587,
      18.431719,
      -16.266508,
      18.624067,
      -16.334851,
      18.867757,
      -16.451646,
      19.187900,
      -16.706182,
      19.408228,
      -16.793636,
      19.467184,
      -16.771558,
      19.509296,
      -16.684400,
      19.560382,
      -16.663068,
      19.814459,
      -16.667874,
      19.905801,
      -16.630899,
      20.086833,
      -16.507886,
      20.195174,
      -16.487006,
      20.312378,
      -16.561444,
      20.542095,
      -16.844342,
      20.565884,
      -16.899274,
      20.562373,
      -17.010244,
      20.885333,
      -17.068081,
      21.334174,
      -16.948486,
      21.336718,
      -12.999637,
      22.536674,
      -13.083986,
      22.757513,
      -13.150290,
      22.893056,
      -13.105278,
      23.024722,
      -12.998333,
      23.291389,
      -12.571389,
      23.318611,
      -12.365833,
      23.416389,
      -12.155833,
      23.454444,
      -12.000278,
      26.000000,
      -12.000556,
      26.000278,
      -8.666944,
      27.314942,
      -8.668117,
      26.529692,
      -7.367323,
      17.407117,
      -7.367323
    ]);
    poly[1302] = _TzPolygon([
      48.481700,
      -71.405337,
      45.235236,
      -71.405337,
      45.238293,
      -71.442824,
      45.209630,
      -71.405337,
      45.182982,
      -71.405337,
      45.123685,
      -71.428400,
      45.070188,
      -71.498042,
      45.013446,
      -71.501019,
      45.015962,
      -73.065362,
      44.991369,
      -74.150149,
      45.006285,
      -74.670529,
      44.990472,
      -74.730944,
      45.006278,
      -74.790449,
      48.481700,
      -74.790449
    ]);
    poly[1303] = _TzPolygon([
      46.047443,
      -71.405337,
      46.047443,
      -70.287751,
      46.019081,
      -70.317997,
      45.995491,
      -70.283941,
      45.962992,
      -70.315860,
      45.943945,
      -70.239134,
      45.891169,
      -70.258804,
      45.795534,
      -70.416872,
      45.734570,
      -70.383841,
      45.719727,
      -70.400350,
      45.666477,
      -70.558582,
      45.569426,
      -70.687692,
      45.486473,
      -70.716397,
      45.402736,
      -70.621269,
      45.377672,
      -70.658769,
      45.428312,
      -70.754585,
      45.426508,
      -70.798106,
      45.400259,
      -70.825744,
      45.365679,
      -70.802532,
      45.234620,
      -70.838072,
      45.240326,
      -70.895058,
      45.311724,
      -70.917836,
      45.347667,
      -71.010378,
      45.319239,
      -71.008519,
      45.301675,
      -71.098211,
      45.239438,
      -71.147568,
      45.249416,
      -71.230897,
      45.299144,
      -71.296242,
      45.233508,
      -71.384144,
      45.235236,
      -71.405337
    ]);
    poly[1304] = _TzPolygon(
        [45.209630, -71.405337, 45.203522, -71.397348, 45.182982, -71.405337]);
    poly[1305] = _TzPolygon([
      47.235028,
      -68.020224,
      47.355301,
      -68.234471,
      47.354657,
      -68.363132,
      47.287375,
      -68.377856,
      47.287115,
      -68.580047,
      47.243373,
      -68.617512,
      47.240581,
      -68.717016,
      47.177741,
      -68.900033,
      47.245011,
      -69.040900,
      47.297180,
      -69.053466,
      47.348942,
      -68.799628,
      47.427124,
      -68.569275,
      47.553199,
      -68.383493,
      47.916117,
      -68.382334,
      47.916319,
      -68.122793,
      47.999843,
      -68.122604,
      47.999863,
      -68.020224
    ]);
    poly[1306] = _TzPolygon([
      46.047443,
      -70.287751,
      46.056291,
      -70.278316,
      46.064201,
      -70.310950,
      46.082369,
      -70.301905,
      46.100128,
      -70.253113,
      46.145241,
      -70.236282,
      46.191474,
      -70.292693,
      46.350225,
      -70.191184,
      46.415581,
      -70.056503,
      46.695523,
      -69.997123,
      47.459840,
      -69.224470,
      47.426784,
      -69.043216,
      47.256480,
      -69.050745,
      47.177741,
      -68.900033,
      47.240581,
      -68.717016,
      47.243373,
      -68.617512,
      47.287115,
      -68.580047,
      47.287375,
      -68.377856,
      47.354657,
      -68.363132,
      47.355301,
      -68.234471,
      47.235028,
      -68.020224,
      46.047443,
      -68.020224
    ]);
    poly[1307] = _TzPolygon([
      43.592924,
      -66.327668,
      43.753000,
      -66.440375,
      43.977000,
      -66.448826,
      44.032000,
      -66.482035,
      44.126000,
      -66.632341,
      44.245000,
      -66.677995,
      44.348000,
      -66.639733,
      44.448000,
      -66.516448,
      44.683322,
      -66.327668
    ]);
    poly[1308] = _TzPolygon([
      45.838850,
      -66.327668,
      44.682597,
      -66.327668,
      44.482000,
      -66.487800,
      44.414000,
      -66.580223,
      44.371000,
      -66.717744,
      44.385443,
      -66.870965,
      44.322045,
      -66.972284,
      44.299667,
      -67.100293,
      44.332091,
      -67.253941,
      44.359687,
      -67.301231,
      44.393389,
      -67.303917,
      44.497000,
      -67.251972,
      44.582583,
      -67.156944,
      44.624251,
      -67.038888,
      44.794192,
      -66.885416,
      44.841611,
      -66.974861,
      44.910389,
      -66.968722,
      45.162000,
      -67.158778,
      45.163417,
      -67.227278,
      45.191861,
      -67.283361,
      45.148561,
      -67.295208,
      45.125028,
      -67.340861,
      45.193472,
      -67.429278,
      45.282139,
      -67.489667,
      45.377111,
      -67.419250,
      45.486694,
      -67.503722,
      45.508361,
      -67.463583,
      45.501306,
      -67.416222,
      45.602466,
      -67.450019,
      45.587683,
      -67.519241,
      45.613339,
      -67.645567,
      45.681327,
      -67.709572,
      45.688921,
      -67.734550,
      45.662640,
      -67.727229,
      45.693722,
      -67.818111,
      45.729447,
      -67.809721,
      45.731080,
      -67.781986,
      45.794406,
      -67.806482,
      45.823350,
      -67.755318,
      45.838850,
      -67.767966
    ]);
    poly[1309] = _TzPolygon([
      45.628084,
      -64.635112,
      45.380000,
      -65.130000,
      45.200000,
      -65.300000,
      44.830000,
      -66.210000,
      44.682597,
      -66.327668,
      45.838850,
      -66.327668,
      45.838850,
      -64.635112
    ]);
    poly[1310] = _TzPolygon([
      47.235028,
      -68.020224,
      47.199694,
      -67.957283,
      47.104403,
      -67.882917,
      47.067225,
      -67.790198,
      45.943451,
      -67.781257,
      45.917636,
      -67.750629,
      45.882897,
      -67.803909,
      45.838850,
      -67.767966,
      45.838850,
      -68.020224
    ]);
    poly[1311] = _TzPolygon([
      48.128022,
      -64.635112,
      47.921103,
      -65.111678,
      47.828607,
      -65.536139,
      47.933611,
      -65.606408,
      48.022234,
      -65.858146,
      48.048998,
      -66.160878,
      48.032830,
      -66.303484,
      48.089246,
      -66.392042,
      48.081750,
      -66.487605,
      48.048121,
      -66.530069,
      48.011188,
      -66.681820,
      48.029000,
      -66.723000,
      48.102200,
      -66.756000,
      48.086000,
      -66.802000,
      48.007420,
      -66.716544,
      47.984347,
      -66.921410,
      47.941403,
      -66.964684,
      47.892562,
      -66.955300,
      47.935402,
      -67.059691,
      47.875655,
      -67.210286,
      47.895801,
      -67.348037,
      47.871853,
      -67.336695,
      47.843957,
      -67.374196,
      47.902781,
      -67.481706,
      47.924627,
      -67.593550,
      47.999945,
      -67.597744,
      47.999863,
      -68.020224,
      48.481700,
      -68.020224,
      48.481700,
      -64.635112
    ]);
    poly[1312] = _TzPolygon([
      48.128022,
      -64.635112,
      48.220568,
      -64.421965,
      48.220564,
      -63.791667,
      47.659416,
      -63.371080,
      47.070000,
      -64.460000,
      46.690000,
      -64.580000,
      46.600000,
      -64.560000,
      46.360000,
      -64.340000,
      46.229546,
      -63.749119,
      46.093097,
      -63.614712,
      46.022532,
      -64.025375,
      45.976873,
      -64.046892,
      45.975308,
      -64.159145,
      45.832613,
      -64.278729,
      45.853035,
      -64.352043,
      45.702958,
      -64.485751,
      45.628084,
      -64.635112
    ]);
    poly[1313] = _TzPolygon([
      48.128022,
      -64.635112,
      48.481700,
      -64.635112,
      48.481700,
      -61.250000,
      47.658453,
      -63.370366,
      48.220564,
      -63.791667,
      48.220568,
      -64.421965
    ]);
    poly[1314] = _TzPolygon(
        [52.133449, -66.327668, 52.143261, -66.352341, 52.143261, -66.327668]);
    poly[1315] = _TzPolygon([
      52.824650,
      -67.173946,
      52.877711,
      -67.268533,
      52.877826,
      -67.324580,
      52.936666,
      -67.351937,
      52.965406,
      -67.321476,
      52.979519,
      -67.244521,
      52.996192,
      -67.363425,
      53.131979,
      -67.385379,
      53.117737,
      -67.342758,
      53.181291,
      -67.262968,
      53.149664,
      -67.217695,
      53.143461,
      -67.173946
    ]);
    poly[1316] = _TzPolygon([
      52.753522,
      -67.173946,
      52.753522,
      -67.041611,
      52.747016,
      -67.034304,
      52.753522,
      -66.990488,
      52.753522,
      -66.945563,
      52.676675,
      -66.894772,
      52.674786,
      -66.851191,
      52.727457,
      -66.897894,
      52.717308,
      -66.855992,
      52.753522,
      -66.858960,
      52.753522,
      -66.846333,
      52.666249,
      -66.764988,
      52.751502,
      -66.754059,
      52.753522,
      -66.755512,
      52.753522,
      -66.327668,
      52.701124,
      -66.327668,
      52.684632,
      -66.339085,
      52.671595,
      -66.327668,
      52.622572,
      -66.327668,
      52.682284,
      -66.388657,
      52.636400,
      -66.440276,
      52.552043,
      -66.371111,
      52.530897,
      -66.368092,
      52.528774,
      -66.399214,
      52.473221,
      -66.355584,
      52.476112,
      -66.393105,
      52.360415,
      -66.344042,
      52.383023,
      -66.419876,
      52.341638,
      -66.490517,
      52.266174,
      -66.432892,
      52.255655,
      -66.470423,
      52.176603,
      -66.356840,
      52.152816,
      -66.376366,
      52.143261,
      -66.352341,
      52.143261,
      -67.173946
    ]);
    poly[1317] = _TzPolygon([
      52.753522,
      -66.327668,
      52.753522,
      -66.329376,
      52.858338,
      -66.416593,
      52.877483,
      -66.379734,
      52.858950,
      -66.327668
    ]);
    poly[1318] = _TzPolygon([
      52.753522,
      -66.846333,
      52.768376,
      -66.860178,
      52.753522,
      -66.858960,
      52.753522,
      -66.945563,
      52.759596,
      -66.949578,
      52.753522,
      -66.990488,
      52.753522,
      -67.041611,
      52.777738,
      -67.068812,
      52.875457,
      -67.063151,
      52.854443,
      -67.149495,
      52.817460,
      -67.161129,
      52.824650,
      -67.173946,
      53.143461,
      -67.173946,
      53.137861,
      -67.134446,
      53.105112,
      -67.116202,
      53.139549,
      -67.048923,
      53.078875,
      -67.068491,
      53.084357,
      -66.989531,
      53.137110,
      -66.958695,
      53.160025,
      -67.013530,
      53.181693,
      -66.959617,
      53.290412,
      -66.953371,
      53.334646,
      -67.027051,
      53.363782,
      -67.008405,
      53.363782,
      -66.327668,
      52.973447,
      -66.327668,
      53.024773,
      -66.370585,
      53.055187,
      -66.459532,
      52.946370,
      -66.501088,
      52.963955,
      -66.520339,
      52.937000,
      -66.570284,
      52.954258,
      -66.625868,
      52.897560,
      -66.632729,
      52.890326,
      -66.663606,
      52.783657,
      -66.647410,
      52.791061,
      -66.680504,
      52.763714,
      -66.686625,
      52.763576,
      -66.719670,
      52.797433,
      -66.787109,
      52.753522,
      -66.755512
    ]);
    poly[1319] = _TzPolygon([
      52.133449,
      -66.327668,
      52.131818,
      -66.323567,
      52.143261,
      -66.289254,
      52.143261,
      -66.078798,
      52.086571,
      -66.092635,
      52.097770,
      -66.066311,
      52.054737,
      -65.996196,
      52.056503,
      -65.970401,
      52.104636,
      -65.961285,
      52.076067,
      -65.897710,
      52.110405,
      -65.876989,
      52.118561,
      -65.805336,
      52.082871,
      -65.733940,
      52.117275,
      -65.668256,
      52.080921,
      -65.648562,
      52.007681,
      -65.677371,
      51.986809,
      -65.650175,
      52.043011,
      -65.620542,
      52.044560,
      -65.539896,
      52.110453,
      -65.499325,
      52.050206,
      -65.496077,
      52.011087,
      -65.456185,
      51.965553,
      -65.399755,
      51.967345,
      -65.371217,
      51.995878,
      -65.371224,
      51.981102,
      -65.359087,
      51.942417,
      -65.349333,
      51.901895,
      -65.399502,
      51.822753,
      -65.359760,
      51.870033,
      -65.323299,
      51.873847,
      -65.283536,
      51.861475,
      -65.253870,
      51.822384,
      -65.258890,
      51.822079,
      -65.169615,
      51.765620,
      -65.180418,
      51.745972,
      -65.091154,
      51.765140,
      -65.010035,
      51.714284,
      -64.937568,
      51.736670,
      -64.909847,
      51.777859,
      -64.924675,
      51.755954,
      -64.709751,
      51.707555,
      -64.691615,
      51.705033,
      -64.639878,
      51.681957,
      -64.635112,
      50.922741,
      -64.635112,
      50.922741,
      -66.327668
    ]);
    poly[1320] = _TzPolygon([
      52.965367,
      -66.327668,
      52.869113,
      -66.258131,
      52.860135,
      -66.294943,
      52.833395,
      -66.283550,
      52.853618,
      -66.327668
    ]);
    poly[1321] = _TzPolygon(
        [52.763965, -66.327668, 52.728606, -66.308644, 52.701124, -66.327668]);
    poly[1322] = _TzPolygon([
      52.671595,
      -66.327668,
      52.617413,
      -66.280219,
      52.604590,
      -66.309302,
      52.622572,
      -66.327668
    ]);
    poly[1323] = _TzPolygon([
      52.143261,
      -66.289254,
      52.150369,
      -66.267942,
      52.285518,
      -66.312569,
      52.310078,
      -66.266696,
      52.226990,
      -66.200791,
      52.213465,
      -66.172306,
      52.230504,
      -66.152103,
      52.198504,
      -66.103917,
      52.155030,
      -66.075926,
      52.143261,
      -66.078798
    ]);
    poly[1324] = _TzPolygon([
      51.681957,
      -64.635112,
      51.628985,
      -64.624172,
      51.573897,
      -64.548503,
      51.624623,
      -64.455327,
      51.676101,
      -64.422997,
      51.665295,
      -64.337125,
      51.742294,
      -64.274037,
      51.849276,
      -64.352703,
      52.005492,
      -64.361046,
      51.977960,
      -64.237105,
      52.077649,
      -64.291866,
      52.079747,
      -64.251538,
      52.143261,
      -64.249962,
      52.143261,
      -64.246386,
      52.112937,
      -64.172987,
      52.143261,
      -64.161810,
      52.143261,
      -63.700691,
      52.087616,
      -63.702006,
      52.042403,
      -63.646380,
      52.084733,
      -63.823977,
      51.997849,
      -63.808111,
      51.997391,
      -62.942556,
      50.922741,
      -62.942556,
      50.922741,
      -64.635112
    ]);
    poly[1325] = _TzPolygon(
        [52.143261, -64.249962, 52.144724, -64.249926, 52.143261, -64.246386]);
    poly[1326] = _TzPolygon([
      52.143261,
      -64.161810,
      52.146011,
      -64.160797,
      52.275397,
      -64.246561,
      52.284544,
      -64.209814,
      52.313028,
      -64.216224,
      52.289698,
      -64.191571,
      52.306655,
      -64.169456,
      52.363064,
      -64.165287,
      52.394057,
      -64.109229,
      52.519923,
      -64.151949,
      52.581982,
      -64.225699,
      52.603433,
      -64.154550,
      52.677627,
      -64.170854,
      52.686423,
      -64.127658,
      52.732048,
      -64.124224,
      52.726625,
      -63.969405,
      52.773962,
      -63.872941,
      52.758531,
      -63.818975,
      52.770312,
      -63.721486,
      52.801530,
      -63.717537,
      52.823760,
      -63.644122,
      52.852057,
      -63.676560,
      52.844160,
      -63.609964,
      52.877406,
      -63.619888,
      52.839549,
      -63.587062,
      52.774184,
      -63.616533,
      52.713556,
      -63.450049,
      52.659363,
      -63.383817,
      52.605683,
      -63.939727,
      52.568330,
      -64.032599,
      52.466073,
      -64.093516,
      52.362590,
      -64.012720,
      52.322500,
      -63.873214,
      52.313089,
      -63.742847,
      52.314028,
      -63.837389,
      52.260655,
      -63.751569,
      52.165459,
      -63.700166,
      52.143261,
      -63.700691
    ]);
    poly[1327] = _TzPolygon([
      51.997391,
      -62.942556,
      51.996496,
      -61.250000,
      50.922741,
      -61.250000,
      50.922741,
      -62.942556
    ]);
    poly[1328] = _TzPolygon([
      46.471002,
      -60.089546,
      46.339000,
      -59.637405,
      46.142000,
      -59.441901,
      46.044000,
      -59.405974,
      45.938000,
      -59.443552,
      45.874000,
      -59.500373,
      45.788000,
      -59.647293,
      45.754000,
      -59.779093,
      45.650024,
      -59.918258,
      45.834498,
      -60.740907,
      45.802501,
      -60.808902,
      45.939339,
      -60.811830,
      46.022361,
      -60.732968,
      46.127404,
      -60.510628,
      46.168666,
      -60.480193,
      46.190290,
      -60.505894,
      46.268386,
      -60.381191,
      46.360157,
      -60.340865
    ]);
    poly[1329] = _TzPolygon(
        [47.365000, -59.345249, 47.242403, -59.592201, 47.365000, -59.784021]);
    poly[1330] = _TzPolygon([
      46.774007,
      -56.678682,
      46.881415,
      -56.678682,
      46.942604,
      -56.653363,
      47.033755,
      -56.678682,
      47.171604,
      -56.678682,
      47.253553,
      -56.618077,
      47.313230,
      -56.506593,
      47.365000,
      -56.494444,
      47.305278,
      -56.255000,
      47.100556,
      -56.105000,
      46.931111,
      -56.129722,
      46.860000,
      -56.099444,
      46.802778,
      -55.982500,
      46.646111,
      -55.903333,
      46.577392,
      -56.043555,
      46.550717,
      -56.218376,
      46.594849,
      -56.449980,
      46.639642,
      -56.558567,
      46.738408,
      -56.668066
    ]);
    poly[1331] = _TzPolygon([
      51.998495,
      -57.107759,
      51.656451,
      -57.105486,
      51.202494,
      -57.107482,
      50.998607,
      -57.736137,
      49.848605,
      -58.940371,
      48.781380,
      -60.476820,
      48.481700,
      -61.250000,
      51.996496,
      -61.250000
    ]);
    poly[1332] = _TzPolygon([
      53.363782,
      -55.406679,
      53.200000,
      -56.590000,
      51.998495,
      -57.107759,
      51.998096,
      -61.250000,
      53.363782,
      -61.250000
    ]);
    poly[1333] = _TzPolygon([
      48.481700,
      -61.250000,
      48.781380,
      -60.476820,
      47.761099,
      -60.403772,
      47.365000,
      -59.784021,
      47.365000,
      -61.250000
    ]);
    poly[1334] = _TzPolygon(
        [54.007589, -67.774405, 54.025702, -67.821685, 54.074678, -67.774405]);
    poly[1335] = _TzPolygon(
        [54.103014, -67.774405, 54.128133, -67.810252, 54.151019, -67.774405]);
    poly[1336] = _TzPolygon([
      62.208265,
      -74.790449,
      62.220049,
      -74.731981,
      62.257946,
      -74.700745,
      62.245660,
      -74.479169,
      62.259911,
      -74.376778,
      62.331120,
      -74.212596,
      62.357121,
      -74.049355,
      62.462082,
      -73.839638,
      62.477734,
      -73.666557,
      62.386754,
      -73.546328,
      62.386965,
      -73.468661,
      62.314991,
      -73.186516,
      62.280056,
      -73.190567,
      62.180688,
      -72.993960,
      62.139980,
      -72.870334,
      62.146900,
      -72.712585,
      62.124331,
      -72.625533,
      61.950699,
      -72.561096,
      61.876296,
      -72.219008,
      61.727933,
      -72.008509,
      61.632042,
      -71.580627,
      61.569046,
      -71.529114,
      61.541618,
      -71.790880,
      61.476647,
      -71.749608,
      61.428808,
      -71.865497,
      61.393089,
      -71.646667,
      61.300360,
      -71.713634,
      61.246695,
      -71.573455,
      61.215677,
      -71.572984,
      61.223445,
      -71.438215,
      61.175274,
      -71.397110,
      61.162447,
      -71.282427,
      58.184022,
      -71.282427,
      58.184022,
      -74.790449
    ]);
    poly[1337] = _TzPolygon([
      59.348181,
      -69.528416,
      59.344179,
      -69.540332,
      59.348469,
      -69.601793,
      59.430955,
      -69.605680,
      59.515298,
      -69.676903,
      59.559176,
      -69.638768,
      59.596057,
      -69.530207,
      59.598596,
      -69.528416
    ]);
    poly[1338] = _TzPolygon([
      59.677762,
      -69.528416,
      59.704103,
      -69.613299,
      59.757374,
      -69.539849,
      59.867412,
      -69.530333,
      59.914709,
      -69.703269,
      59.965989,
      -69.699671,
      59.976750,
      -69.755089,
      60.068988,
      -69.836843,
      60.052622,
      -69.738541,
      60.083309,
      -69.590378,
      60.198269,
      -69.546896,
      60.303639,
      -69.750001,
      60.357989,
      -69.668099,
      60.419477,
      -69.759823,
      60.455689,
      -69.716934,
      60.524921,
      -69.803858,
      60.584000,
      -69.626946,
      60.594142,
      -69.633539,
      60.594142,
      -69.528416
    ]);
    poly[1339] = _TzPolygon([
      59.348181,
      -69.528416,
      59.598596,
      -69.528416,
      59.663541,
      -69.482588,
      59.677762,
      -69.528416,
      60.594142,
      -69.528416,
      60.594142,
      -67.999997,
      58.587462,
      -68.000000,
      58.562488,
      -68.124185,
      58.603484,
      -68.276148,
      58.693510,
      -68.348308,
      58.771568,
      -68.314442,
      58.816117,
      -68.338905,
      58.909527,
      -68.576449,
      58.927642,
      -68.819261,
      58.897339,
      -68.912726,
      58.926950,
      -69.169860,
      58.971986,
      -69.198538,
      59.057596,
      -69.081717,
      59.096402,
      -69.147109,
      59.147624,
      -69.154980,
      59.173485,
      -69.243692,
      59.143063,
      -69.436938,
      59.173478,
      -69.481719,
      59.193718,
      -69.450983,
      59.188333,
      -69.315385,
      59.221521,
      -69.222856,
      59.333672,
      -69.236031,
      59.328217,
      -69.330338,
      59.372026,
      -69.457424
    ]);
    poly[1340] = _TzPolygon([
      60.594142,
      -67.999997,
      60.594142,
      -67.774405,
      58.476965,
      -67.774405,
      58.481296,
      -67.808073,
      58.391117,
      -67.867297,
      58.392427,
      -67.924770,
      58.494228,
      -67.899203,
      58.587462,
      -68.000000
    ]);
    poly[1341] = _TzPolygon([
      60.594142,
      -67.999997,
      63.004262,
      -67.999992,
      63.004262,
      -67.774405,
      60.594142,
      -67.774405
    ]);
    poly[1342] = _TzPolygon([
      61.162447,
      -71.282427,
      61.130970,
      -71.000996,
      61.058785,
      -70.648430,
      61.071313,
      -70.428444,
      61.090834,
      -70.408829,
      61.095123,
      -70.153435,
      61.064674,
      -70.104126,
      60.999833,
      -70.140976,
      60.875043,
      -70.074499,
      60.812754,
      -69.882738,
      60.889413,
      -69.828054,
      60.941060,
      -69.675234,
      60.989856,
      -69.682991,
      61.083936,
      -69.613501,
      61.078110,
      -69.512107,
      60.951823,
      -69.432600,
      60.920524,
      -69.372846,
      60.807594,
      -69.363411,
      60.690578,
      -69.696230,
      60.594142,
      -69.633539,
      60.594142,
      -71.282427
    ]);
    poly[1343] = _TzPolygon([
      53.966312,
      -67.774405,
      53.966312,
      -67.679653,
      53.930284,
      -67.669259,
      53.921695,
      -67.596306,
      53.869247,
      -67.609119,
      53.841143,
      -67.569071,
      53.836691,
      -67.497790,
      53.801209,
      -67.536033,
      53.795465,
      -67.602227,
      53.780289,
      -67.557282,
      53.762699,
      -67.603306,
      53.757267,
      -67.500000,
      53.728744,
      -67.515968,
      53.708883,
      -67.465109,
      53.725138,
      -67.417791,
      53.614654,
      -67.394731,
      53.584152,
      -67.313550,
      53.552965,
      -67.318661,
      53.557389,
      -67.257406,
      53.530340,
      -67.218769,
      53.553034,
      -67.180015,
      53.530209,
      -67.129887,
      53.528758,
      -67.035928,
      53.496146,
      -66.985629,
      53.464240,
      -66.995822,
      53.473137,
      -66.937916,
      53.418661,
      -66.924448,
      53.414253,
      -66.897399,
      53.408405,
      -66.897399,
      53.364622,
      -66.966103,
      53.367966,
      -67.005727,
      53.363782,
      -67.008405,
      53.363782,
      -67.774405
    ]);
    poly[1344] = _TzPolygon([
      54.568842,
      -67.774405,
      54.568842,
      -67.524326,
      54.527411,
      -67.474122,
      54.481507,
      -67.500405,
      54.494109,
      -67.581658,
      54.465766,
      -67.609474,
      54.509387,
      -67.647430,
      54.453842,
      -67.667812,
      54.436814,
      -67.766965,
      54.386856,
      -67.724698,
      54.350261,
      -67.748037,
      54.311924,
      -67.679956,
      54.246991,
      -67.680828,
      54.195756,
      -67.615618,
      54.188575,
      -67.653355,
      54.160807,
      -67.644409,
      54.157000,
      -67.765037,
      54.151019,
      -67.774405
    ]);
    poly[1345] = _TzPolygon([
      54.568842,
      -67.270133,
      54.565173,
      -67.268503,
      54.555879,
      -67.302704,
      54.519560,
      -67.226832,
      54.486629,
      -67.272574,
      54.568842,
      -67.455916
    ]);
    poly[1346] = _TzPolygon(
        [54.103014, -67.774405, 54.091580, -67.758087, 54.072906, -67.774405]);
    poly[1347] = _TzPolygon([
      54.004055,
      -67.774405,
      53.971910,
      -67.681268,
      53.966312,
      -67.679653,
      53.966312,
      -67.774405
    ]);
    poly[1348] = _TzPolygon(
        [53.414253, -66.897399, 53.413062, -66.890091, 53.408405, -66.897399]);
    poly[1349] = _TzPolygon([
      54.568842,
      -67.524326,
      54.570951,
      -67.526882,
      54.584910,
      -67.491749,
      54.568842,
      -67.455916
    ]);
    poly[1350] = _TzPolygon([
      54.568842,
      -67.270133,
      54.591792,
      -67.280327,
      54.584417,
      -67.232833,
      54.615191,
      -67.229516,
      54.624539,
      -67.138551,
      54.692933,
      -67.062901,
      54.957859,
      -67.399756,
      55.062857,
      -67.463704,
      55.088633,
      -67.409632,
      55.076427,
      -67.272812,
      55.051228,
      -67.233979,
      55.024212,
      -67.272792,
      54.861948,
      -67.033043,
      54.802173,
      -66.927045,
      54.816010,
      -66.875663,
      54.711048,
      -66.667282,
      54.809081,
      -66.739997,
      54.770218,
      -66.659428,
      54.813506,
      -66.602651,
      55.000017,
      -66.765990,
      54.983873,
      -66.625612,
      55.044053,
      -66.735038,
      55.090602,
      -66.753627,
      55.069517,
      -66.694863,
      55.118414,
      -66.788673,
      55.153178,
      -66.745729,
      55.214994,
      -66.755201,
      55.177485,
      -66.670363,
      55.306970,
      -66.823726,
      55.355314,
      -66.818741,
      55.312040,
      -66.700288,
      55.255145,
      -66.658637,
      55.278151,
      -66.618035,
      55.195322,
      -66.516417,
      55.205107,
      -66.495338,
      54.975469,
      -66.246416,
      54.991807,
      -66.235532,
      54.973009,
      -66.167983,
      54.985515,
      -66.152561,
      54.919084,
      -66.040826,
      54.942482,
      -66.031222,
      54.941570,
      -66.020393,
      54.568842,
      -66.020393
    ]);
    poly[1351] = _TzPolygon([
      54.729120,
      -64.266382,
      54.731027,
      -64.288195,
      54.753359,
      -64.294682,
      54.790493,
      -64.397475,
      54.791062,
      -64.492784,
      54.752152,
      -64.474805,
      54.761793,
      -64.534187,
      54.713662,
      -64.556882,
      54.730096,
      -64.769672,
      54.755777,
      -64.801029,
      54.767322,
      -64.752328,
      54.829528,
      -64.761114,
      54.841041,
      -64.861490,
      54.876273,
      -64.848431,
      54.920006,
      -64.915039,
      54.932624,
      -65.017721,
      54.969563,
      -65.085815,
      54.961478,
      -65.126449,
      54.928194,
      -65.134517,
      54.930849,
      -65.180304,
      54.847958,
      -65.209623,
      54.844355,
      -65.282733,
      54.817583,
      -65.296313,
      54.851968,
      -65.335791,
      54.818761,
      -65.355840,
      54.849242,
      -65.456336,
      54.834377,
      -65.487295,
      54.784184,
      -65.434620,
      54.728583,
      -65.455530,
      54.753187,
      -65.646984,
      54.708164,
      -65.693173,
      54.850801,
      -65.850646,
      54.927211,
      -65.849845,
      54.941570,
      -66.020393,
      55.773902,
      -66.020393,
      55.773902,
      -64.266382
    ]);
    poly[1352] = _TzPolygon([
      58.060028,
      -64.266382,
      58.061412,
      -64.269258,
      58.044519,
      -64.299266,
      58.069299,
      -64.353911,
      58.061159,
      -64.412283,
      58.098375,
      -64.435395,
      58.184022,
      -64.422143,
      58.184022,
      -64.266382
    ]);
    poly[1353] = _TzPolygon([
      55.171372,
      -64.266382,
      55.171372,
      -63.530386,
      55.168145,
      -63.523924,
      55.128733,
      -63.602296,
      55.068946,
      -63.616055,
      55.034444,
      -63.556392,
      55.008392,
      -63.606130,
      54.999874,
      -63.557598,
      54.977044,
      -63.611006,
      54.896592,
      -63.591444,
      54.947958,
      -63.820518,
      54.926134,
      -63.799573,
      54.876056,
      -63.852658,
      54.816922,
      -63.817161,
      54.778407,
      -63.924009,
      54.725642,
      -63.802960,
      54.624951,
      -63.712625,
      54.650786,
      -63.813377,
      54.600704,
      -63.897863,
      54.620120,
      -63.974422,
      54.602126,
      -64.004000,
      54.613187,
      -64.107329,
      54.655588,
      -64.102765,
      54.693588,
      -64.180689,
      54.721361,
      -64.177635,
      54.729120,
      -64.266382
    ]);
    poly[1354] = _TzPolygon([
      55.773902,
      -63.683145,
      55.738217,
      -63.725837,
      55.731562,
      -63.698207,
      55.726638,
      -63.725139,
      55.678600,
      -63.704933,
      55.651588,
      -63.764616,
      55.641579,
      -63.643690,
      55.625479,
      -63.687746,
      55.598888,
      -63.662646,
      55.508711,
      -63.691483,
      55.467239,
      -63.792683,
      55.423051,
      -63.665397,
      55.429206,
      -63.478567,
      55.400384,
      -63.434910,
      55.404902,
      -63.389377,
      55.359209,
      -63.389377,
      55.339602,
      -63.574407,
      55.320723,
      -63.590831,
      55.325497,
      -63.532681,
      55.309870,
      -63.522555,
      55.266887,
      -63.679475,
      55.225469,
      -63.547410,
      55.257764,
      -63.402562,
      55.201945,
      -63.452611,
      55.187616,
      -63.562918,
      55.171372,
      -63.530386,
      55.171372,
      -64.266382,
      55.773902,
      -64.266382
    ]);
    poly[1355] = _TzPolygon([
      55.404902,
      -63.389377,
      55.411806,
      -63.319787,
      55.366047,
      -63.324849,
      55.359209,
      -63.389377
    ]);
    poly[1356] = _TzPolygon([
      56.376432,
      -64.266382,
      56.376432,
      -64.108920,
      56.333632,
      -64.098192,
      56.303407,
      -64.148629,
      56.256889,
      -64.087377,
      56.271119,
      -63.934893,
      56.212589,
      -63.862933,
      56.154881,
      -64.035963,
      56.102730,
      -64.002133,
      56.070145,
      -64.034667,
      56.137136,
      -63.856179,
      56.122499,
      -63.838267,
      56.092861,
      -63.887581,
      56.084635,
      -63.811051,
      56.045045,
      -63.837874,
      56.071685,
      -63.714842,
      56.023523,
      -63.636721,
      56.029516,
      -63.443545,
      56.009884,
      -63.491243,
      55.987777,
      -63.471991,
      56.005886,
      -63.563010,
      55.967473,
      -63.624537,
      55.953541,
      -63.712396,
      55.930515,
      -63.723977,
      55.910012,
      -63.854442,
      55.904447,
      -63.825110,
      55.879073,
      -63.845099,
      55.846501,
      -63.752902,
      55.789996,
      -63.768399,
      55.787790,
      -63.666530,
      55.773902,
      -63.683145,
      55.773902,
      -64.266382
    ]);
    poly[1357] = _TzPolygon([
      56.978962,
      -63.910654,
      56.977631,
      -63.914129,
      56.904158,
      -63.918094,
      56.896823,
      -63.863891,
      56.868740,
      -63.859156,
      56.861744,
      -64.003479,
      56.778677,
      -64.012759,
      56.767003,
      -64.078907,
      56.699755,
      -64.145314,
      56.653833,
      -64.090836,
      56.653008,
      -64.024858,
      56.606348,
      -64.050461,
      56.533758,
      -63.931063,
      56.466207,
      -63.930632,
      56.469064,
      -63.883717,
      56.441960,
      -63.874230,
      56.408211,
      -63.993016,
      56.441112,
      -64.152740,
      56.425244,
      -64.177985,
      56.402106,
      -64.115356,
      56.376432,
      -64.108920,
      56.376432,
      -64.266382,
      56.978962,
      -64.266382
    ]);
    poly[1358] = _TzPolygon([
      58.060028,
      -64.266382,
      58.036983,
      -64.218508,
      57.989544,
      -64.227439,
      57.770020,
      -64.072001,
      57.764404,
      -64.025952,
      57.809517,
      -64.020880,
      57.788551,
      -63.938596,
      57.801123,
      -63.912356,
      57.712607,
      -63.883422,
      57.719023,
      -63.847476,
      57.684508,
      -63.804225,
      57.720744,
      -63.753630,
      57.674280,
      -63.748551,
      57.652697,
      -63.692612,
      57.723942,
      -63.668056,
      57.741248,
      -63.596770,
      57.641969,
      -63.622966,
      57.579489,
      -63.745575,
      57.592450,
      -63.771916,
      57.439332,
      -63.761261,
      57.438210,
      -63.716440,
      57.368334,
      -63.701301,
      57.334301,
      -63.855821,
      57.277621,
      -63.883373,
      57.196256,
      -63.884075,
      57.262160,
      -63.809136,
      57.221596,
      -63.737137,
      57.078879,
      -63.811810,
      57.086083,
      -63.890083,
      57.012774,
      -63.891935,
      56.999212,
      -63.857774,
      56.978962,
      -63.910654,
      56.978962,
      -64.266382
    ]);
    poly[1359] = _TzPolygon([
      58.476965,
      -67.774405,
      58.469673,
      -67.717709,
      58.410493,
      -67.678250,
      58.298979,
      -67.698730,
      58.265119,
      -67.629934,
      58.336212,
      -67.324027,
      58.438185,
      -67.111929,
      58.443442,
      -67.013402,
      58.509932,
      -66.956978,
      58.472057,
      -66.846358,
      58.511392,
      -66.795003,
      58.500069,
      -66.672506,
      58.715065,
      -66.547276,
      58.728657,
      -66.466009,
      58.807928,
      -66.486109,
      58.848150,
      -66.445238,
      58.857623,
      -66.362069,
      58.814695,
      -66.258538,
      58.184022,
      -66.258538,
      58.184022,
      -67.774405
    ]);
    poly[1360] = _TzPolygon([
      58.946267,
      -64.742671,
      58.916893,
      -64.820713,
      58.938382,
      -64.889111,
      58.956408,
      -64.832914,
      59.015405,
      -64.865016,
      59.074957,
      -64.779239,
      59.074857,
      -64.742671
    ]);
    poly[1361] = _TzPolygon([
      59.389082,
      -66.258538,
      59.389082,
      -65.528635,
      59.383005,
      -65.566775,
      59.268178,
      -65.568418,
      59.272765,
      -65.749691,
      59.176834,
      -65.747920,
      59.083668,
      -65.662859,
      59.046502,
      -65.784607,
      58.966649,
      -65.852359,
      58.919770,
      -66.014308,
      58.893603,
      -65.998202,
      58.851581,
      -65.862116,
      58.871319,
      -66.026406,
      58.764039,
      -66.136367,
      58.814695,
      -66.258538
    ]);
    poly[1362] = _TzPolygon([
      59.488759,
      -64.742671,
      59.553342,
      -64.839630,
      59.567046,
      -64.939439,
      59.593179,
      -64.927060,
      59.591537,
      -64.859808,
      59.662156,
      -64.889508,
      59.717239,
      -64.749432,
      59.729693,
      -64.810203,
      59.803274,
      -64.788474,
      59.825608,
      -64.825225,
      59.853625,
      -64.742671
    ]);
    poly[1363] = _TzPolygon(
        [59.864643, -64.742671, 59.886032, -64.756166, 59.884385, -64.742671]);
    poly[1364] = _TzPolygon([
      59.955093,
      -64.742671,
      59.954730,
      -64.747421,
      59.974489,
      -64.747100,
      59.970319,
      -64.840228,
      60.061465,
      -64.923643,
      60.056166,
      -64.742671
    ]);
    poly[1365] = _TzPolygon(
        [60.098494, -64.742671, 60.108353, -64.767296, 60.109584, -64.742671]);
    poly[1366] = _TzPolygon([
      60.169278,
      -64.742671,
      60.237294,
      -64.873388,
      60.269412,
      -64.853778,
      60.295134,
      -64.742671
    ]);
    poly[1367] = _TzPolygon([
      60.358729,
      -64.742671,
      60.370971,
      -64.858230,
      60.309973,
      -64.852420,
      60.247323,
      -64.970644,
      60.200993,
      -64.931249,
      60.102319,
      -65.079164,
      60.067330,
      -65.052139,
      60.057653,
      -65.139278,
      60.004387,
      -65.158485,
      59.735925,
      -65.559220,
      59.680917,
      -65.560601,
      59.513750,
      -65.423577,
      59.487554,
      -65.444043,
      59.474738,
      -65.530453,
      59.403471,
      -65.438323,
      59.389082,
      -65.528635,
      59.389082,
      -66.258538,
      60.594142,
      -66.258538,
      60.594142,
      -64.742671
    ]);
    poly[1368] = _TzPolygon([
      59.389082,
      -64.742671,
      59.389082,
      -64.530921,
      59.370782,
      -64.538339,
      59.349576,
      -64.493303,
      59.310435,
      -64.543536,
      59.257110,
      -64.488603,
      59.196741,
      -64.521848,
      59.180391,
      -64.472715,
      59.106416,
      -64.498049,
      59.092608,
      -64.376028,
      59.012957,
      -64.261791,
      58.981514,
      -64.460301,
      59.019433,
      -64.497781,
      59.002560,
      -64.522761,
      59.038614,
      -64.670275,
      59.074695,
      -64.683257,
      59.074857,
      -64.742671
    ]);
    poly[1369] = _TzPolygon([
      58.946267,
      -64.742671,
      58.950784,
      -64.730670,
      58.943752,
      -64.651650,
      58.887455,
      -64.550183,
      58.908217,
      -64.455801,
      58.890279,
      -64.420603,
      58.896753,
      -64.287613,
      58.864113,
      -64.233657,
      58.783649,
      -64.229705,
      58.789040,
      -64.178785,
      58.746167,
      -64.137793,
      58.755998,
      -64.087148,
      58.810350,
      -64.045338,
      58.817506,
      -63.984737,
      58.691428,
      -63.984737,
      58.702629,
      -64.047222,
      58.639651,
      -64.107927,
      58.563230,
      -64.104944,
      58.523450,
      -64.034082,
      58.539637,
      -63.984737,
      58.444097,
      -63.984737,
      58.444358,
      -63.986579,
      58.365984,
      -64.030530,
      58.371034,
      -64.158507,
      58.247732,
      -64.217777,
      58.186674,
      -64.421733,
      58.184022,
      -64.422143,
      58.184022,
      -64.742671
    ]);
    poly[1370] = _TzPolygon([
      58.817506,
      -63.984737,
      58.831977,
      -63.862186,
      58.884059,
      -63.777683,
      58.887053,
      -63.709997,
      58.854712,
      -63.661121,
      58.836550,
      -63.550785,
      58.762047,
      -63.467504,
      58.714643,
      -63.629845,
      58.696443,
      -63.855097,
      58.710254,
      -63.909965,
      58.685247,
      -63.950254,
      58.691428,
      -63.984737
    ]);
    poly[1371] = _TzPolygon([
      58.539637,
      -63.984737,
      58.571655,
      -63.887129,
      58.546580,
      -63.849714,
      58.504514,
      -63.858692,
      58.489746,
      -63.807850,
      58.429440,
      -63.881113,
      58.444097,
      -63.984737
    ]);
    poly[1372] = _TzPolygon([
      60.594142,
      -64.742671,
      60.594142,
      -64.108156,
      60.493053,
      -64.074948,
      60.438442,
      -64.089101,
      60.381311,
      -64.350541,
      60.372606,
      -64.491408,
      60.341062,
      -64.533985,
      60.304398,
      -64.517476,
      60.346483,
      -64.627072,
      60.358729,
      -64.742671
    ]);
    poly[1373] = _TzPolygon([
      60.358729,
      -64.742671,
      60.346483,
      -64.627072,
      60.304398,
      -64.517476,
      60.303297,
      -64.707412,
      60.293090,
      -64.742671
    ]);
    poly[1374] = _TzPolygon([
      60.168595,
      -64.742671,
      60.167015,
      -64.602471,
      60.117031,
      -64.593716,
      60.109584,
      -64.742671
    ]);
    poly[1375] = _TzPolygon(
        [60.098494, -64.742671, 60.084609, -64.707987, 60.056166, -64.742671]);
    poly[1376] = _TzPolygon([
      59.955093,
      -64.742671,
      59.958876,
      -64.693121,
      59.930129,
      -64.669419,
      59.930295,
      -64.626798,
      59.877198,
      -64.683776,
      59.884385,
      -64.742671
    ]);
    poly[1377] = _TzPolygon(
        [59.864643, -64.742671, 59.855568, -64.736945, 59.853625, -64.742671]);
    poly[1378] = _TzPolygon([
      59.488759,
      -64.742671,
      59.446905,
      -64.679835,
      59.541974,
      -64.433766,
      59.512774,
      -64.324069,
      59.422980,
      -64.511598,
      59.412177,
      -64.460725,
      59.395628,
      -64.528268,
      59.389082,
      -64.530921,
      59.389082,
      -64.742671
    ]);
    poly[1379] = _TzPolygon([
      72.644741,
      -74.790449,
      72.608594,
      -74.618470,
      72.543323,
      -74.512492,
      72.417312,
      -74.446867,
      72.373759,
      -74.222542,
      72.206822,
      -73.735419,
      71.923144,
      -73.142975,
      71.884915,
      -72.935509,
      71.843666,
      -72.295496,
      71.658552,
      -71.185439,
      71.573719,
      -70.943502,
      71.344548,
      -70.575394,
      71.267288,
      -70.357591,
      71.036475,
      -69.457356,
      70.957081,
      -68.921334,
      70.832695,
      -68.501176,
      70.743737,
      -67.999979,
      63.004262,
      -67.999992,
      63.004262,
      -74.790449
    ]);
    poly[1380] = _TzPolygon([
      78.677490,
      -63.556823,
      79.657069,
      -68.699615,
      80.022825,
      -68.258044,
      80.115824,
      -68.556278,
      80.224490,
      -68.646870,
      80.415804,
      -68.335121,
      80.749150,
      -67.120549,
      80.833879,
      -66.268682,
      81.299733,
      -64.185608,
      81.476216,
      -63.556823
    ]);
    poly[1381] = _TzPolygon([
      83.325189,
      -74.790449,
      83.336213,
      -74.138412,
      83.299753,
      -71.485535,
      83.309389,
      -69.468131,
      83.241681,
      -68.000007,
      80.508950,
      -68.000004,
      80.415804,
      -68.335121,
      80.183169,
      -68.712880,
      79.667898,
      -70.169442,
      79.541939,
      -70.904770,
      79.504741,
      -71.503900,
      79.387873,
      -72.372198,
      79.135487,
      -73.449017,
      78.753813,
      -73.109933,
      77.960182,
      -74.757589,
      77.949560,
      -74.790449
    ]);
    poly[1382] = _TzPolygon([
      83.048032,
      -63.556823,
      81.476216,
      -63.556823,
      81.299733,
      -64.185608,
      80.833879,
      -66.268682,
      80.830647,
      -66.490103,
      80.749150,
      -67.120549,
      80.508950,
      -68.000004,
      83.241681,
      -68.000007,
      83.142596,
      -66.223713,
      83.095137,
      -64.274608
    ]);
    poly[1383] = _TzPolygon([
      83.048032,
      -63.556823,
      82.976188,
      -62.462056,
      82.517808,
      -59.938195,
      82.323965,
      -59.613677,
      82.217611,
      -59.994972,
      81.867611,
      -62.162333,
      81.476216,
      -63.556823
    ]);
    poly[1384] = _TzPolygon([
      75.598948,
      -63.556823,
      78.677490,
      -63.556823,
      78.000000,
      -60.000000,
      75.533844,
      -62.877181
    ]);
    poly[1385] = _TzPolygon([
      43.751931,
      7.436910,
      43.536667,
      7.533167,
      43.516333,
      7.500333,
      43.729578,
      7.409028
    ]);
    poly[1386] = _TzPolygon([
      43.589191,
      7.718044,
      43.574562,
      7.631827,
      43.864350,
      7.495498,
      43.898988,
      7.561561,
      43.947563,
      7.569337,
      43.973860,
      7.652634,
      44.028837,
      7.662527,
      44.043145,
      7.702677,
      44.084297,
      7.718044
    ]);
    poly[1387] = _TzPolygon([
      44.084297,
      7.718044,
      44.130751,
      7.666426,
      44.173961,
      7.684484,
      44.130226,
      7.429774,
      44.112077,
      7.425102,
      44.116036,
      7.358390,
      44.145207,
      7.344628,
      44.140961,
      7.280290,
      44.200762,
      7.188330,
      44.235242,
      7.008514,
      44.280085,
      6.996078,
      44.361424,
      6.887345,
      44.420972,
      6.892942,
      44.429701,
      6.948077,
      44.528861,
      6.854507,
      44.620260,
      6.968429,
      44.678224,
      6.962950,
      44.680920,
      7.077129,
      44.789047,
      7.000079,
      44.823113,
      7.025080,
      44.864162,
      6.931653,
      44.843282,
      6.906800,
      44.851410,
      6.864532,
      44.906146,
      6.751206,
      45.016165,
      6.748265,
      45.019764,
      6.673405,
      45.106802,
      6.627266,
      45.159765,
      6.768244,
      45.127325,
      6.847797,
      45.136835,
      6.892373,
      45.167021,
      6.891598,
      45.170426,
      6.947248,
      45.207876,
      6.965771,
      45.225728,
      7.047217,
      45.212956,
      7.079946,
      45.256372,
      7.137482,
      45.327709,
      7.109395,
      45.403219,
      7.185752,
      45.421424,
      7.142364,
      45.421424,
      7.718044
    ]);
    poly[1388] = _TzPolygon([
      41.434667,
      8.564186,
      41.434667,
      9.631667,
      41.407500,
      9.451000,
      41.292833,
      9.270833,
      41.319167,
      9.135861,
      41.263219,
      8.837897,
      41.418976,
      8.575849
    ]);
    poly[1389] = _TzPolygon([
      42.152863,
      10.095160,
      42.190165,
      9.919832,
      42.262401,
      9.830753,
      42.364404,
      9.801532,
      42.779864,
      9.793600,
      42.939633,
      9.648301,
      43.197009,
      9.559826,
      43.539093,
      9.655787,
      43.598169,
      9.728348,
      43.703774,
      9.942794,
      43.818895,
      9.867194,
      43.846930,
      9.709609,
      44.063398,
      9.285443,
      44.097379,
      9.110488,
      44.186206,
      8.875419,
      44.187812,
      8.750816,
      43.831845,
      8.399011,
      43.732879,
      8.249810,
      43.624446,
      7.925817,
      43.589191,
      7.718044,
      45.421424,
      7.718044,
      45.421424,
      10.095160
    ]);
    poly[1390] = _TzPolygon([
      43.992093,
      12.509622,
      43.940765,
      12.516067,
      43.896469,
      12.487404,
      43.893700,
      12.457317,
      43.902183,
      12.408807,
      43.952734,
      12.403325
    ]);
    poly[1391] = _TzPolygon([
      39.997858,
      19.650748,
      39.997858,
      20.356164,
      39.993901,
      20.356164,
      39.991154,
      20.311788,
      39.914726,
      20.356164,
      39.794809,
      20.356164,
      39.816294,
      20.303164,
      39.766477,
      20.292485,
      39.729127,
      20.321776,
      39.695465,
      20.266057,
      39.671476,
      20.264685,
      39.685131,
      20.231394,
      39.649592,
      20.228252,
      39.644863,
      20.193033,
      39.701253,
      20.032190,
      39.671306,
      19.991050,
      39.678612,
      19.953684,
      39.780291,
      19.977566,
      39.827654,
      19.952371
    ]);
    poly[1392] = _TzPolygon([
      42.709641,
      16.233256,
      42.709641,
      16.436115,
      42.200646,
      16.436115,
      42.176599,
      16.346986,
      42.224316,
      16.101083,
      42.289463,
      16.017860,
      42.359131,
      15.985644,
      42.466570,
      16.004636,
      42.548101,
      16.085497,
      42.587595,
      16.194276,
      42.582862,
      16.338334,
      42.684213,
      16.233188
    ]);
    poly[1393] = _TzPolygon([
      44.126786,
      14.476091,
      44.186665,
      14.402093,
      44.598682,
      13.701030,
      44.804910,
      13.479919,
      44.963993,
      13.352088,
      45.115477,
      13.288644,
      45.421424,
      13.217805,
      45.421424,
      14.476091
    ]);
    poly[1394] = _TzPolygon([
      44.032148,
      16.436115,
      44.083362,
      16.429968,
      44.116391,
      16.321050,
      44.209952,
      16.226407,
      44.208804,
      16.172766,
      44.227131,
      16.219023,
      44.295596,
      16.187243,
      44.346166,
      16.217949,
      44.378086,
      16.131394,
      44.394724,
      16.127465,
      44.402467,
      16.172217,
      44.421767,
      16.143170,
      44.479799,
      16.140679,
      44.534455,
      16.093560,
      44.562810,
      16.018927,
      44.625642,
      16.054751,
      44.749411,
      15.894126,
      44.728648,
      15.880870,
      44.722863,
      15.819325,
      44.825317,
      15.728743,
      44.846604,
      15.793430,
      44.935831,
      15.736414,
      44.994342,
      15.786003,
      45.061854,
      15.741159,
      45.114994,
      15.790994,
      45.166279,
      15.764625,
      45.224160,
      15.838388,
      45.217989,
      16.014682,
      45.179893,
      16.015662,
      45.178685,
      16.048705,
      45.104349,
      16.089952,
      44.995679,
      16.289189,
      45.003048,
      16.354315,
      45.112705,
      16.394443,
      45.130706,
      16.436115
    ]);
    poly[1395] = _TzPolygon([
      41.934005,
      16.436115,
      41.467269,
      16.538462,
      41.392162,
      16.716774,
      41.245445,
      17.214188,
      41.123221,
      17.462215,
      40.991887,
      17.651775,
      40.869420,
      18.048493,
      40.810164,
      18.174243,
      40.619560,
      18.396140,
      39.997858,
      18.396140,
      39.997858,
      16.436115
    ]);
    poly[1396] = _TzPolygon([
      42.590543,
      18.396140,
      42.615621,
      18.364267,
      42.603519,
      18.250054,
      42.656209,
      18.192901,
      42.654780,
      18.155752,
      42.709641,
      18.083562,
      42.709641,
      18.396140
    ]);
    poly[1397] = _TzPolygon([
      40.619560,
      18.396140,
      40.403021,
      18.648230,
      40.203113,
      18.766532,
      40.110523,
      18.784475,
      39.997858,
      18.739011,
      39.997858,
      18.396140
    ]);
    poly[1398] = _TzPolygon([
      42.590543,
      18.396140,
      42.709641,
      18.396140,
      42.709641,
      18.560975,
      42.692152,
      18.545450,
      42.642750,
      18.574896,
      42.618396,
      18.520294,
      42.580251,
      18.554810,
      42.588134,
      18.499916,
      42.555311,
      18.440919
    ]);
    poly[1399] = _TzPolygon([
      41.353750,
      19.267993,
      41.583475,
      19.310314,
      41.749600,
      19.264353,
      41.844366,
      19.372955,
      41.859560,
      19.376152,
      41.353750,
      19.376152
    ]);
  }
}

class _Initializer15 {
  static void _init() {
    poly[1400] = _TzPolygon([
      41.888285,
      19.376152,
      41.907753,
      19.341750,
      41.923393,
      19.371662,
      41.957854,
      19.352403,
      41.963431,
      19.376152
    ]);
    poly[1401] = _TzPolygon(
        [42.006420, 19.376152, 42.028832, 19.369167, 42.044542, 19.376152]);
    poly[1402] = _TzPolygon(
        [42.120214, 19.376152, 42.180405, 19.280846, 42.279560, 19.376152]);
    poly[1403] = _TzPolygon([
      42.593878,
      18.396140,
      42.567573,
      18.434700,
      42.484149,
      18.433762,
      42.392387,
      18.539841,
      42.209600,
      18.419578,
      42.222261,
      18.396140
    ]);
    poly[1404] = _TzPolygon([
      42.317373,
      20.356164,
      42.327663,
      20.338699,
      42.326371,
      20.243062,
      42.368150,
      20.246376,
      42.400918,
      20.207951,
      42.433425,
      20.220812,
      42.506244,
      20.167305,
      42.555846,
      20.077538,
      42.620944,
      20.075653,
      42.655383,
      20.111580,
      42.709641,
      20.016030,
      42.709641,
      20.356164
    ]);
    poly[1405] = _TzPolygon([
      42.709641,
      20.016030,
      42.655383,
      20.111580,
      42.620944,
      20.075653,
      42.556208,
      20.078310,
      42.543150,
      20.016782,
      42.508772,
      20.003143,
      42.517877,
      19.940147,
      42.484928,
      19.898704,
      42.495834,
      19.877978,
      42.470922,
      19.814328,
      42.545139,
      19.743390,
      42.581447,
      19.751535,
      42.584296,
      19.775966,
      42.636777,
      19.756383,
      42.660975,
      19.723095,
      42.628246,
      19.662080,
      42.575506,
      19.609973,
      42.542572,
      19.617395,
      42.513978,
      19.561845,
      42.392007,
      19.472357,
      42.371756,
      19.425280,
      42.327309,
      19.422048,
      42.279560,
      19.376152,
      42.709641,
      19.376152
    ]);
    poly[1406] = _TzPolygon(
        [42.120214, 19.376152, 42.103624, 19.402420, 42.044542, 19.376152]);
    poly[1407] = _TzPolygon(
        [42.006420, 19.376152, 41.966363, 19.388636, 41.963431, 19.376152]);
    poly[1408] = _TzPolygon(
        [41.888285, 19.376152, 41.885229, 19.381553, 41.859560, 19.376152]);
    poly[1409] = _TzPolygon([
      44.032148,
      16.436115,
      44.030269,
      16.436341,
      44.026119,
      16.505150,
      43.951845,
      16.550785,
      43.851357,
      16.716803,
      43.775122,
      16.746748,
      43.763030,
      16.799932,
      43.693639,
      16.893935,
      43.575642,
      17.008145,
      43.492568,
      17.155222,
      43.499027,
      17.222703,
      43.472006,
      17.278099,
      43.443222,
      17.289310,
      43.403022,
      17.250717,
      43.259667,
      17.342290,
      43.217644,
      17.427773,
      43.178542,
      17.431552,
      43.089061,
      17.638798,
      42.973195,
      17.710336,
      42.928550,
      17.540346,
      42.884172,
      17.642126,
      42.922750,
      17.688714,
      42.891767,
      17.785773,
      42.917179,
      17.809048,
      42.902469,
      17.844248,
      42.832517,
      17.900225,
      42.810193,
      17.890939,
      42.773810,
      17.999124,
      42.709641,
      18.083562,
      42.709641,
      16.436115
    ]);
    poly[1410] = _TzPolygon([
      45.105850,
      18.396140,
      45.101271,
      18.320541,
      45.138857,
      18.263952,
      45.124855,
      18.212501,
      45.096890,
      18.221353,
      45.076919,
      18.176348,
      45.082621,
      18.111287,
      45.107354,
      18.071333,
      45.140603,
      18.071427,
      45.125883,
      18.034762,
      45.151284,
      18.001525,
      45.107851,
      17.932777,
      45.081175,
      17.936193,
      45.044287,
      17.851498,
      45.133927,
      17.667937,
      45.106101,
      17.598554,
      45.108877,
      17.555297,
      45.130099,
      17.548035,
      45.109050,
      17.530781,
      45.109695,
      17.483919,
      45.135367,
      17.492392,
      45.127138,
      17.450716,
      45.159704,
      17.450284,
      45.135033,
      17.414997,
      45.137830,
      17.363278,
      45.189499,
      17.273320,
      45.146470,
      17.246497,
      45.148381,
      17.173979,
      45.225749,
      17.037980,
      45.214177,
      17.010560,
      45.235911,
      17.022114,
      45.222029,
      16.992276,
      45.251424,
      16.970636,
      45.228809,
      16.976091,
      45.227630,
      16.938171,
      45.256037,
      16.954250,
      45.276237,
      16.927756,
      45.184759,
      16.819166,
      45.201968,
      16.668530,
      45.231324,
      16.598454,
      45.220596,
      16.513027,
      45.142456,
      16.463317,
      45.130706,
      16.436115,
      45.421424,
      16.436115,
      45.421424,
      18.396140
    ]);
    poly[1411] = _TzPolygon([
      43.417916,
      19.376152,
      43.481939,
      19.223101,
      43.606808,
      19.263590,
      43.588495,
      19.336810,
      43.610603,
      19.369273,
      43.599645,
      19.376152
    ]);
    poly[1412] = _TzPolygon([
      43.818210,
      19.376152,
      43.950995,
      19.253535,
      44.011794,
      19.235686,
      43.964478,
      19.376152
    ]);
    poly[1413] = _TzPolygon([
      42.709641,
      18.560975,
      42.719719,
      18.569921,
      42.754093,
      18.473517,
      42.815364,
      18.448332,
      42.886636,
      18.509238,
      42.928354,
      18.482549,
      42.986461,
      18.494120,
      43.033602,
      18.535842,
      43.037333,
      18.660694,
      43.147131,
      18.648396,
      43.203914,
      18.667731,
      43.231968,
      18.717138,
      43.254714,
      18.688125,
      43.324072,
      18.853467,
      43.348517,
      18.839385,
      43.359853,
      18.914463,
      43.250605,
      19.008784,
      43.290125,
      19.036296,
      43.299780,
      19.080249,
      43.445514,
      19.011004,
      43.452266,
      18.956351,
      43.503674,
      18.949909,
      43.502080,
      18.912557,
      43.558506,
      19.005078,
      43.502349,
      19.047899,
      43.536777,
      19.152646,
      43.528332,
      19.225939,
      43.481939,
      19.223101,
      43.461121,
      19.254189,
      43.414988,
      19.376152,
      42.709641,
      19.376152
    ]);
    poly[1414] = _TzPolygon([
      43.414988,
      19.376152,
      43.387338,
      19.449249,
      43.344581,
      19.460800,
      43.307850,
      19.535556,
      43.246391,
      19.545083,
      43.229622,
      19.618944,
      43.168155,
      19.685931,
      43.166201,
      19.769919,
      43.094506,
      19.838421,
      43.112968,
      19.870462,
      43.085325,
      19.916274,
      43.111269,
      19.970240,
      43.051797,
      19.992196,
      42.971434,
      20.096817,
      42.963496,
      20.121779,
      42.988963,
      20.150550,
      42.911277,
      20.346414,
      42.832401,
      20.356164,
      42.830487,
      20.280624,
      42.810789,
      20.252441,
      42.778033,
      20.265795,
      42.746160,
      20.212760,
      42.776794,
      20.098136,
      42.765186,
      20.024633,
      42.709641,
      20.016030,
      42.709641,
      19.376152
    ]);
    poly[1415] = _TzPolygon([
      43.568357,
      19.423551,
      43.553261,
      19.429018,
      43.539709,
      19.414081,
      43.553925,
      19.395141
    ]);
    poly[1416] = _TzPolygon([
      44.065533,
      19.547103,
      44.046661,
      19.573842,
      44.065533,
      19.585235,
      44.065533,
      19.599395,
      44.049845,
      19.623731,
      44.015528,
      19.620316,
      43.999118,
      19.563944,
      43.955790,
      19.524303,
      43.960264,
      19.388663,
      43.964478,
      19.376152,
      44.065533,
      19.376152
    ]);
    poly[1417] = _TzPolygon([
      43.818183,
      19.376152,
      43.798455,
      19.394365,
      43.714344,
      19.518979,
      43.650649,
      19.527015,
      43.631536,
      19.487669,
      43.586153,
      19.511050,
      43.569761,
      19.408443,
      43.603430,
      19.376152
    ]);
    poly[1418] = _TzPolygon([
      44.173658,
      19.376152,
      44.184253,
      19.359079,
      44.271251,
      19.325171,
      44.261875,
      19.238187,
      44.291151,
      19.209644,
      44.284312,
      19.165737,
      44.371259,
      19.102793,
      44.415478,
      19.147114,
      44.519947,
      19.128447,
      44.526271,
      19.170984,
      44.619351,
      19.214903,
      44.688438,
      19.304385,
      44.730926,
      19.301743,
      44.743478,
      19.323143,
      44.743478,
      19.376152
    ]);
    poly[1419] = _TzPolygon([
      44.852286,
      18.886146,
      44.853092,
      18.856081,
      44.905268,
      18.764329,
      44.940647,
      18.750461,
      44.938930,
      18.804064,
      44.989739,
      18.796557,
      44.993938,
      18.729180,
      45.017405,
      18.737690,
      45.062097,
      18.667907,
      45.093551,
      18.677141,
      45.055992,
      18.654563,
      45.065733,
      18.606090,
      45.095225,
      18.630321,
      45.080432,
      18.613046,
      45.094697,
      18.569135,
      45.066578,
      18.574128,
      45.093250,
      18.537013,
      45.043879,
      18.531257,
      45.107620,
      18.425367,
      45.105850,
      18.396140,
      45.421424,
      18.396140,
      45.421424,
      18.886146
    ]);
    poly[1420] = _TzPolygon([
      44.854227,
      18.886146,
      44.860915,
      19.063288,
      44.921726,
      19.177294,
      44.896258,
      19.214274,
      44.913445,
      19.253164,
      44.889523,
      19.351764,
      44.878230,
      19.371562,
      44.826368,
      19.353185,
      44.821638,
      19.317876,
      44.785854,
      19.294597,
      44.783748,
      19.324780,
      44.769096,
      19.301192,
      44.747898,
      19.330678,
      44.743478,
      19.323143,
      44.743478,
      18.886146
    ]);
    poly[1421] = _TzPolygon([
      44.852286,
      18.886146,
      45.421424,
      18.886146,
      45.421424,
      19.018649,
      45.411417,
      19.030547,
      45.377207,
      18.971569,
      45.335138,
      19.092770,
      45.280238,
      19.144508,
      45.264505,
      19.220341,
      45.280762,
      19.266776,
      45.242947,
      19.259884,
      45.236101,
      19.376152,
      45.165713,
      19.376152,
      45.164705,
      19.349406,
      45.207629,
      19.318863,
      45.209103,
      19.280301,
      45.171089,
      19.286614,
      45.202511,
      19.176217,
      45.178915,
      19.194539,
      45.129925,
      19.142051,
      45.145418,
      19.086562,
      45.010695,
      19.102717,
      44.977328,
      19.051948,
      44.980711,
      19.138335,
      44.952942,
      19.156488,
      44.901152,
      19.068583,
      44.915560,
      18.997976,
      44.855243,
      19.019112,
      44.849839,
      18.977370
    ]);
    poly[1422] = _TzPolygon([
      44.173658,
      19.376152,
      44.131770,
      19.443651,
      44.145905,
      19.481727,
      44.118447,
      19.472128,
      44.065533,
      19.547103,
      44.065533,
      19.376152
    ]);
    poly[1423] = _TzPolygon(
        [44.065533, 19.585235, 44.072103, 19.589202, 44.065533, 19.599395]);
    poly[1424] = _TzPolygon([
      45.236101,
      19.376152,
      45.233462,
      19.420966,
      45.196321,
      19.447084,
      45.167555,
      19.425024,
      45.165713,
      19.376152
    ]);
    poly[1425] = _TzPolygon([
      39.914726,
      20.356164,
      39.814640,
      20.414277,
      39.784526,
      20.381530,
      39.794809,
      20.356164
    ]);
    poly[1426] = _TzPolygon([
      39.914726,
      20.356402,
      39.993901,
      20.356164,
      39.996225,
      20.393716,
      40.050447,
      20.409916,
      40.073957,
      20.449673,
      40.064205,
      20.488956,
      40.082821,
      20.511711,
      40.065119,
      20.565086,
      40.095363,
      20.678148,
      40.188846,
      20.678088,
      40.222692,
      20.725921,
      40.282781,
      20.712746,
      40.362309,
      20.790110,
      40.428844,
      20.787203,
      40.440659,
      20.823839,
      40.480147,
      20.842652,
      40.468973,
      20.955475,
      40.518512,
      20.967918,
      40.549212,
      21.025636,
      39.914726,
      21.025636
    ]);
    poly[1427] = _TzPolygon([
      40.699805,
      21.025636,
      40.770222,
      20.956026,
      40.793244,
      20.984955,
      40.855127,
      20.980075,
      40.855068,
      21.025636
    ]);
    poly[1428] = _TzPolygon([
      40.854653,
      21.025636,
      40.855127,
      20.980075,
      40.897791,
      20.978614,
      40.924773,
      20.940922,
      40.937693,
      20.847960,
      40.899266,
      20.814416,
      40.910848,
      20.731760,
      41.080057,
      20.674803,
      41.091925,
      20.595904,
      41.136913,
      20.594764,
      41.144131,
      20.588696,
      41.144131,
      21.025636
    ]);
    poly[1429] = _TzPolygon([
      40.854653,
      21.025636,
      41.144131,
      21.025636,
      41.144131,
      21.695107,
      40.940650,
      21.695107,
      40.941417,
      21.687418,
      40.899043,
      21.671083,
      40.866266,
      21.593615,
      40.910124,
      21.525403,
      40.917749,
      21.417627,
      40.864287,
      21.316679,
      40.860044,
      21.259909,
      40.883832,
      21.206922,
      40.853660,
      21.121149
    ]);
    poly[1430] = _TzPolygon([
      40.698808,
      21.025636,
      40.666185,
      21.057434,
      40.558639,
      21.043360,
      40.549212,
      21.025636
    ]);
    poly[1431] = _TzPolygon([
      42.373536,
      21.025636,
      42.152177,
      21.025636,
      42.128668,
      20.920081,
      42.097418,
      20.891800,
      42.078794,
      20.784754,
      42.024742,
      20.748243,
      41.918816,
      20.776518,
      41.864326,
      20.727705,
      41.857701,
      20.684919,
      41.875167,
      20.663074,
      41.857763,
      20.618868,
      41.877350,
      20.594274,
      41.917740,
      20.575665,
      41.939361,
      20.619400,
      41.974378,
      20.624295,
      42.075015,
      20.557781,
      42.121115,
      20.568205,
      42.224391,
      20.513973,
      42.317373,
      20.356164,
      42.373536,
      20.356164
    ]);
    poly[1432] = _TzPolygon([
      42.319438,
      20.356164,
      42.272073,
      20.456733,
      42.210576,
      20.524163,
      42.121115,
      20.568205,
      42.075015,
      20.557781,
      41.961000,
      20.626658,
      41.917740,
      20.575665,
      41.877350,
      20.594274,
      41.868346,
      20.557432,
      41.789242,
      20.574404,
      41.776290,
      20.532207,
      41.727705,
      20.514151,
      41.581985,
      20.557708,
      41.553443,
      20.456276,
      41.514238,
      20.454113,
      41.405346,
      20.560988,
      41.344221,
      20.526375,
      41.332831,
      20.491096,
      41.231628,
      20.515298,
      41.144131,
      20.588708,
      41.144131,
      20.356164
    ]);
    poly[1433] = _TzPolygon([
      42.152177,
      21.025636,
      42.206737,
      21.119105,
      42.191097,
      21.167904,
      42.093638,
      21.222450,
      42.094695,
      21.268721,
      42.108084,
      21.321511,
      42.141267,
      21.302398,
      42.207246,
      21.335169,
      42.246526,
      21.385211,
      42.238362,
      21.443283,
      42.278299,
      21.444079,
      42.270525,
      21.511403,
      42.241326,
      21.521276,
      42.262699,
      21.586607,
      42.233216,
      21.695107,
      41.144131,
      21.695107,
      41.144131,
      21.025636
    ]);
    poly[1434] = _TzPolygon([
      41.144131,
      21.695107,
      41.144131,
      22.025395,
      41.092443,
      21.910524,
      41.050446,
      21.914227,
      40.974613,
      21.800810,
      40.931332,
      21.788560,
      40.940650,
      21.695107
    ]);
    poly[1435] = _TzPolygon([
      41.144131,
      22.616348,
      41.116773,
      22.583846,
      41.131106,
      22.561942,
      41.119434,
      22.417108,
      41.137910,
      22.397716,
      41.121124,
      22.330095,
      41.144131,
      22.325283
    ]);
    poly[1436] = _TzPolygon(
        [41.144131, 22.167026, 41.123396, 22.128716, 41.144131, 22.091782]);
    poly[1437] = _TzPolygon(
        [41.144131, 22.025395, 41.160713, 22.062246, 41.144131, 22.091782]);
    poly[1438] = _TzPolygon([
      41.144131,
      22.167026,
      41.170007,
      22.214834,
      41.151468,
      22.323748,
      41.144131,
      22.325283
    ]);
    poly[1439] = _TzPolygon(
        [41.144131, 22.616348, 41.186292, 22.666436, 41.144131, 22.707668]);
    poly[1440] = _TzPolygon([
      41.144131,
      22.717935,
      41.167748,
      22.748490,
      41.305215,
      22.755261,
      41.344073,
      22.810912,
      41.328743,
      23.034051,
      41.144131,
      23.034051
    ]);
    poly[1441] = _TzPolygon([
      42.373536,
      22.293896,
      42.312879,
      22.166729,
      42.298256,
      22.032172,
      42.344446,
      21.946277,
      42.301052,
      21.899657,
      42.323230,
      21.837445,
      42.232244,
      21.698684,
      42.233216,
      21.695107,
      42.373536,
      21.695107
    ]);
    poly[1442] = _TzPolygon([
      42.373536,
      22.469776,
      42.331721,
      22.452930,
      42.311375,
      22.356534,
      42.349107,
      22.292753,
      42.373536,
      22.293896
    ]);
    poly[1443] = _TzPolygon([
      41.330249,
      23.034051,
      41.338685,
      22.927253,
      41.353493,
      22.965558,
      41.417498,
      22.952022,
      41.446722,
      22.979617,
      41.632515,
      22.948283,
      41.722380,
      23.033372,
      41.768897,
      23.008370,
      41.774200,
      22.963653,
      41.876325,
      22.902232,
      42.022067,
      22.867129,
      42.097920,
      22.599703,
      42.153583,
      22.511408,
      42.195340,
      22.501498,
      42.200971,
      22.468990,
      42.311774,
      22.359812,
      42.333594,
      22.455478,
      42.373536,
      22.483739,
      42.373536,
      23.034051
    ]);
    poly[1444] = _TzPolygon([
      37.761205,
      27.162449,
      37.790558,
      27.160491,
      37.913859,
      27.053962,
      37.964784,
      26.918742,
      38.101484,
      26.343805,
      38.167534,
      26.221702,
      38.241496,
      26.194618,
      38.445932,
      26.242888,
      38.453030,
      26.315292,
      38.498461,
      26.320971,
      38.651549,
      26.215782,
      38.694448,
      26.225651,
      38.751890,
      26.303632,
      38.809116,
      26.618532,
      38.909730,
      26.646564,
      38.979992,
      26.699302,
      39.121822,
      26.674168,
      39.434207,
      26.431800,
      39.396180,
      25.981733,
      39.418109,
      25.955090,
      39.473182,
      25.927913,
      39.714353,
      25.928242,
      39.890548,
      25.891613,
      39.971907,
      25.714247,
      40.067370,
      25.662179,
      40.067370,
      27.332433,
      37.761205,
      27.332433
    ]);
    poly[1445] = _TzPolygon([
      41.304951,
      25.183242,
      41.342386,
      25.124870,
      41.338133,
      25.082743,
      41.407778,
      24.916962,
      41.401081,
      24.819606,
      41.346244,
      24.804287,
      41.416073,
      24.729832,
      41.415652,
      24.660058,
      41.435165,
      24.657677,
      41.424763,
      24.612003,
      41.568748,
      24.525399,
      41.521873,
      24.450382,
      41.539092,
      24.396544,
      41.510435,
      24.304864,
      41.573668,
      24.261544,
      41.514643,
      24.182348,
      41.550357,
      24.100904,
      41.522247,
      24.060389,
      41.467101,
      24.073373,
      41.450818,
      24.046686,
      41.467526,
      24.017511,
      41.439435,
      23.965988,
      41.481820,
      23.914137,
      41.450055,
      23.890145,
      41.437491,
      23.800691,
      41.396042,
      23.767588,
      41.410700,
      23.674227,
      41.375583,
      23.637197,
      41.406587,
      23.438669,
      41.363521,
      23.340493,
      41.401884,
      23.301456,
      41.375979,
      23.232447,
      41.337212,
      23.225008,
      41.318690,
      23.180384,
      41.330249,
      23.034051,
      42.373536,
      23.034051,
      42.373536,
      25.183242
    ]);
    poly[1446] = _TzPolygon([
      40.067370,
      25.662179,
      40.142340,
      25.621289,
      40.227140,
      25.679176,
      40.371418,
      26.049915,
      40.729474,
      25.955178,
      40.742368,
      26.124439,
      40.808773,
      26.156352,
      40.834119,
      26.219981,
      40.890292,
      26.222626,
      40.881489,
      26.249842,
      40.915241,
      26.261582,
      40.894032,
      26.292640,
      40.930725,
      26.285362,
      40.945266,
      26.359009,
      40.984579,
      26.325461,
      41.020405,
      26.366566,
      41.071508,
      26.312434,
      41.108396,
      26.335371,
      41.113489,
      26.302978,
      41.143419,
      26.336785,
      41.174632,
      26.306641,
      41.220453,
      26.316524,
      41.220453,
      27.332433,
      40.067370,
      27.332433
    ]);
    poly[1447] = _TzPolygon([
      41.304951,
      25.183242,
      41.280998,
      25.220591,
      41.247372,
      25.232161,
      41.235473,
      25.283269,
      41.288469,
      25.474183,
      41.276872,
      25.525697,
      41.319467,
      25.560352,
      41.291017,
      25.711695,
      41.317278,
      25.719581,
      41.321348,
      25.781791,
      41.348113,
      25.822366,
      41.306524,
      25.903132,
      41.349685,
      26.032084,
      41.354492,
      26.131245,
      41.420281,
      26.159538,
      41.438392,
      26.201304,
      41.474087,
      26.155131,
      41.520110,
      26.184880,
      41.554966,
      26.176484,
      41.554347,
      26.147320,
      41.605584,
      26.153959,
      41.632556,
      26.137522,
      41.626822,
      26.094213,
      41.688606,
      26.060365,
      41.748886,
      26.173682,
      41.728782,
      26.257838,
      41.220453,
      26.257838,
      41.220453,
      25.183242
    ]);
    poly[1448] = _TzPolygon([
      41.728782,
      26.257838,
      41.672888,
      26.491805,
      41.621613,
      26.529498,
      41.610191,
      26.595173,
      41.348767,
      26.627659,
      41.322149,
      26.583812,
      41.339500,
      26.518334,
      41.253685,
      26.406329,
      41.253931,
      26.323744,
      41.220453,
      26.316524,
      41.220453,
      26.257838
    ]);
    poly[1449] = _TzPolygon([
      42.075575,
      27.332433,
      42.097166,
      27.293666,
      42.098434,
      27.221763,
      42.059379,
      27.200863,
      42.086111,
      27.107222,
      42.081751,
      27.024596,
      41.996478,
      26.965587,
      41.991075,
      26.871031,
      41.968966,
      26.842275,
      41.989658,
      26.787235,
      41.958324,
      26.750926,
      41.979087,
      26.622394,
      41.925537,
      26.561113,
      41.873651,
      26.581039,
      41.823490,
      26.538461,
      41.820751,
      26.368937,
      41.751904,
      26.329511,
      41.711128,
      26.357961,
      41.711469,
      26.284857,
      41.720563,
      26.257838,
      42.373536,
      26.257838,
      42.373536,
      27.332433
    ]);
    poly[1450] = _TzPolygon([
      42.373536,
      28.088603,
      42.317393,
      28.073155,
      42.254050,
      28.099924,
      42.216380,
      28.167310,
      42.098119,
      28.271541,
      41.981333,
      28.323833,
      41.989975,
      27.976065,
      41.972516,
      27.915317,
      42.006521,
      27.861902,
      41.986609,
      27.818609,
      41.948028,
      27.836048,
      41.978078,
      27.696478,
      41.937471,
      27.574339,
      41.905127,
      27.560005,
      41.958181,
      27.510795,
      41.967066,
      27.447059,
      42.057045,
      27.365704,
      42.075575,
      27.332433,
      42.373536,
      27.332433
    ]);
    poly[1451] = _TzPolygon([
      42.373536,
      22.483739,
      42.480266,
      22.559255,
      42.525243,
      22.524266,
      42.565511,
      22.438887,
      42.675785,
      22.475968,
      42.689498,
      22.458443,
      42.739643,
      22.501353,
      42.824051,
      22.440154,
      42.882126,
      22.535469,
      42.865918,
      22.569112,
      42.373536,
      22.569112
    ]);
    poly[1452] = _TzPolygon([
      43.458592,
      22.569112,
      43.471182,
      22.533555,
      43.556137,
      22.489972,
      43.639201,
      22.491827,
      43.695626,
      22.408096,
      43.758903,
      22.402455,
      43.809530,
      22.357146,
      43.897480,
      22.380783,
      43.897480,
      22.569112
    ]);
    poly[1453] = _TzPolygon([
      44.308818,
      22.569112,
      44.312850,
      22.554983,
      44.468557,
      22.456047,
      44.478994,
      22.539919,
      44.522167,
      22.569112
    ]);
    poly[1454] = _TzPolygon([
      44.642929,
      22.569112,
      44.715534,
      22.454509,
      44.665483,
      22.311861,
      44.484982,
      22.187079,
      44.474601,
      22.133717,
      44.549501,
      22.033089,
      44.632140,
      21.995495,
      44.660083,
      21.641805,
      44.755634,
      21.594494,
      44.779565,
      21.395308,
      44.862140,
      21.359303,
      44.896111,
      21.558611,
      44.938611,
      21.540833,
      44.965278,
      21.421389,
      45.019716,
      21.360709,
      45.039846,
      21.456200,
      45.120772,
      21.478743,
      45.138179,
      21.527311,
      45.171264,
      21.514760,
      45.228877,
      21.402988,
      45.229745,
      21.274500,
      45.250290,
      21.218898,
      45.325208,
      21.175970,
      45.295749,
      21.096268,
      45.331916,
      21.063703,
      45.324211,
      21.017123,
      45.417063,
      20.920984,
      45.421424,
      20.904228,
      45.421424,
      22.569112
    ]);
    poly[1455] = _TzPolygon([
      43.897480,
      22.569112,
      43.897480,
      22.380783,
      44.004205,
      22.409466,
      44.019731,
      22.527498,
      44.051818,
      22.533510,
      44.056514,
      22.569112
    ]);
    poly[1456] = _TzPolygon([
      43.458592,
      22.569112,
      43.426015,
      22.661119,
      43.395503,
      22.676437,
      43.377084,
      22.767262,
      43.226793,
      22.896350,
      43.187537,
      23.006309,
      43.111247,
      22.983178,
      43.080085,
      22.918564,
      43.036196,
      22.898376,
      42.981442,
      22.783745,
      42.886145,
      22.744646,
      42.865485,
      22.678212,
      42.892167,
      22.584040,
      42.862823,
      22.575537,
      42.865918,
      22.569112
    ]);
    poly[1457] = _TzPolygon([
      43.897480,
      22.846860,
      43.897480,
      24.782060,
      43.699931,
      24.782060,
      43.684230,
      24.740947,
      43.741778,
      24.622949,
      43.762645,
      24.501072,
      43.697762,
      24.349266,
      43.681903,
      24.174703,
      43.757440,
      23.854380,
      43.801465,
      23.771096,
      43.792632,
      23.612943,
      43.849964,
      23.430319,
      43.846101,
      23.268019,
      43.796123,
      23.056575,
      43.837657,
      22.867369,
      43.881964,
      22.840830
    ]);
    poly[1458] = _TzPolygon([
      44.642929,
      22.569112,
      44.622000,
      22.602147,
      44.617467,
      22.672995,
      44.562100,
      22.757672,
      44.536782,
      22.760859,
      44.517563,
      22.707718,
      44.551092,
      22.588671,
      44.522167,
      22.569112
    ]);
    poly[1459] = _TzPolygon([
      44.304619,
      22.569112,
      44.283654,
      22.673088,
      44.248287,
      22.685668,
      44.165607,
      22.612987,
      44.063392,
      22.621262,
      44.056514,
      22.569112
    ]);
    poly[1460] = _TzPolygon([
      44.056514,
      22.569112,
      44.063392,
      22.621262,
      44.165607,
      22.612987,
      44.216706,
      22.676185,
      44.100093,
      22.921988,
      44.070617,
      23.047174,
      44.013023,
      23.011835,
      43.981123,
      22.879368,
      43.897480,
      22.849925,
      43.897480,
      22.569112
    ]);
    poly[1461] = _TzPolygon([
      45.421424,
      29.207957,
      45.330982,
      28.965885,
      45.280499,
      28.941882,
      45.334730,
      28.796183,
      45.303102,
      28.803259,
      45.284082,
      28.752028,
      45.243478,
      28.792588,
      45.223666,
      28.710938,
      45.320399,
      28.349033,
      45.421424,
      28.293184
    ]);
    poly[1462] = _TzPolygon([
      43.699931,
      24.782060,
      43.712350,
      24.814581,
      43.729090,
      24.985770,
      43.684855,
      25.099924,
      43.698264,
      25.179619,
      43.683172,
      25.251787,
      43.618682,
      25.390868,
      43.707487,
      25.775363,
      43.983513,
      26.139322,
      44.042337,
      26.381413,
      44.077491,
      26.760251,
      44.138925,
      26.916635,
      44.149032,
      27.066248,
      44.117876,
      27.196007,
      44.127282,
      27.270037,
      44.075286,
      27.290986,
      44.058699,
      27.356070,
      44.012246,
      27.399329,
      44.012246,
      27.611894,
      44.047358,
      27.644655,
      43.953552,
      27.737841,
      43.966330,
      27.843543,
      44.008275,
      27.916809,
      43.842910,
      27.994360,
      43.758491,
      28.236223,
      43.733721,
      28.446520,
      43.738611,
      28.855556,
      43.539345,
      28.887541,
      43.400408,
      28.831436,
      43.218897,
      28.659471,
      43.162052,
      28.502637,
      43.184494,
      28.287819,
      42.982932,
      28.163540,
      42.687625,
      28.175029,
      42.373536,
      28.088603,
      42.373536,
      24.782060
    ]);
    poly[1463] = _TzPolygon([
      45.421424,
      29.499706,
      45.401040,
      29.567114,
      45.339619,
      29.650930,
      45.191724,
      29.690635,
      45.169674,
      29.952073,
      45.086661,
      30.045426,
      44.761285,
      29.877360,
      44.695675,
      29.815151,
      44.588788,
      29.620906,
      44.541258,
      29.223884,
      44.523383,
      29.207957,
      45.421424,
      29.207957
    ]);
    poly[1464] = _TzPolygon([
      44.933057,
      36.674992,
      44.940667,
      36.609723,
      45.199202,
      36.530486,
      45.359940,
      36.663502,
      45.421424,
      36.664643,
      45.421424,
      36.674992
    ]);
    poly[1465] = _TzPolygon([
      43.007839,
      40.227580,
      43.024838,
      40.135382,
      43.091263,
      40.048105,
      43.170887,
      40.013406,
      43.224431,
      39.884480,
      43.385570,
      40.008451,
      43.565979,
      40.097883,
      43.584362,
      40.227580
    ]);
    poly[1466] = _TzPolygon([
      46.906838,
      12.185960,
      46.913786,
      12.143808,
      46.937299,
      12.168679,
      47.007007,
      12.121338,
      47.022409,
      12.185960
    ]);
    poly[1467] = _TzPolygon([
      47.092146,
      12.185960,
      47.033178,
      11.916676,
      46.968870,
      11.747036,
      47.013302,
      11.627212,
      46.984080,
      11.538529,
      47.010980,
      11.478767,
      46.964813,
      11.405602,
      46.992371,
      11.320503,
      46.965809,
      11.164423,
      46.939844,
      11.164008,
      46.911895,
      11.095935,
      46.822508,
      11.083415,
      46.804867,
      11.039055,
      46.765448,
      11.022267,
      46.788336,
      10.730331,
      46.823547,
      10.763456,
      46.875489,
      10.667373,
      46.837267,
      10.546174,
      46.849692,
      10.492294,
      47.092146,
      10.492294
    ]);
    poly[1468] = _TzPolygon([
      46.906838,
      12.185960,
      46.906838,
      12.240745,
      46.878530,
      12.240745,
      46.874006,
      12.215410,
      46.906115,
      12.190348
    ]);
    poly[1469] = _TzPolygon([
      47.069168,
      12.185960,
      47.069168,
      12.240745,
      47.026880,
      12.204717,
      47.022409,
      12.185960
    ]);
    poly[1470] = _TzPolygon(
        [47.069168, 12.240745, 47.092146, 12.185960, 47.092146, 12.240745]);
    poly[1471] = _TzPolygon([
      46.556214,
      13.329751,
      46.551233,
      13.320574,
      46.551701,
      13.239790,
      46.602057,
      13.083742,
      46.604614,
      12.852714,
      46.646697,
      12.775940,
      46.634296,
      12.731396,
      46.656976,
      12.690643,
      46.652510,
      12.561259,
      46.716336,
      12.384062,
      46.774965,
      12.357427,
      46.782928,
      12.283929,
      46.841237,
      12.306771,
      46.884410,
      12.273673,
      46.878530,
      12.240745,
      47.092146,
      12.240745,
      47.092146,
      13.329751
    ]);
    poly[1472] = _TzPolygon([
      45.421424,
      13.217805,
      45.453057,
      13.210481,
      45.546166,
      13.312103,
      45.551117,
      13.329751,
      45.421424,
      13.329751
    ]);
    poly[1473] = _TzPolygon([
      46.256785,
      13.329751,
      46.256785,
      13.396848,
      46.206055,
      13.423356,
      46.224728,
      13.483198,
      46.208984,
      13.552616,
      46.185765,
      13.566989,
      46.177973,
      13.664237,
      46.137211,
      13.643950,
      46.058502,
      13.496507,
      46.034948,
      13.508652,
      46.006082,
      13.476164,
      45.966253,
      13.530592,
      45.990086,
      13.590762,
      45.982890,
      13.642980,
      45.853499,
      13.575166,
      45.808122,
      13.595873,
      45.799702,
      13.669362,
      45.744086,
      13.794412,
      45.687094,
      13.833643,
      45.633517,
      13.918655,
      45.580899,
      13.810112,
      45.594721,
      13.718716,
      45.638882,
      13.638879,
      45.551173,
      13.329751
    ]);
    poly[1474] = _TzPolygon([
      45.551117,
      13.329751,
      45.589572,
      13.466816,
      45.474382,
      13.590403,
      45.442574,
      13.675317,
      45.466460,
      13.786428,
      45.434174,
      13.814703,
      45.425804,
      13.887109,
      45.453543,
      13.914641,
      45.456065,
      13.984925,
      45.505986,
      13.962213,
      45.519982,
      14.001918,
      45.484594,
      14.073109,
      45.469272,
      14.207614,
      45.505377,
      14.244983,
      45.470415,
      14.322772,
      45.508954,
      14.418757,
      45.421424,
      14.418757,
      45.421424,
      13.329751
    ]);
    poly[1475] = _TzPolygon([
      46.556214,
      13.329751,
      46.579277,
      13.372240,
      46.522990,
      13.714079,
      46.439984,
      13.689256,
      46.439378,
      13.597746,
      46.397971,
      13.565537,
      46.360005,
      13.438747,
      46.331132,
      13.448262,
      46.297697,
      13.375470,
      46.256785,
      13.396848,
      46.256785,
      13.329751
    ]);
    poly[1476] = _TzPolygon([
      46.556214,
      13.329751,
      47.092146,
      13.329751,
      47.092146,
      14.418757,
      46.446496,
      14.418757,
      46.433604,
      14.163301,
      46.476610,
      14.121520,
      46.493192,
      14.050751,
      46.481361,
      14.006498,
      46.521129,
      13.912054,
      46.505340,
      13.794463,
      46.579277,
      13.372240
    ]);
    poly[1477] = _TzPolygon([
      45.508954,
      14.418757,
      45.537754,
      14.490486,
      45.607826,
      14.501341,
      45.613914,
      14.535023,
      45.672944,
      14.570010,
      45.664200,
      14.607925,
      45.627076,
      14.595730,
      45.580679,
      14.690323,
      45.526618,
      14.690577,
      45.534143,
      14.720627,
      45.503329,
      14.795603,
      45.459502,
      14.817620,
      45.477080,
      14.907507,
      45.529277,
      14.931132,
      45.496668,
      14.986917,
      45.482838,
      15.086203,
      45.422085,
      15.166721,
      45.426410,
      15.225596,
      45.466002,
      15.273807,
      45.456347,
      15.345809,
      45.488979,
      15.385666,
      45.535616,
      15.302079,
      45.604455,
      15.277053,
      45.645860,
      15.343339,
      45.650014,
      15.406203,
      45.693379,
      15.369221,
      45.671136,
      15.348140,
      45.713966,
      15.357108,
      45.673851,
      15.322786,
      45.724534,
      15.257516,
      45.792064,
      15.399452,
      45.795888,
      15.471283,
      45.818395,
      15.465921,
      45.822031,
      15.507764,
      45.421424,
      15.507764,
      45.421424,
      14.418757
    ]);
    poly[1478] = _TzPolygon([
      47.092146,
      15.507764,
      46.616747,
      15.507764,
      46.613908,
      15.502269,
      46.615255,
      15.462099,
      46.655544,
      15.414071,
      46.639381,
      15.235903,
      46.659838,
      15.145342,
      46.651770,
      15.041037,
      46.601398,
      14.979315,
      46.632708,
      14.955612,
      46.602079,
      14.919567,
      46.607219,
      14.870401,
      46.509384,
      14.818609,
      46.499960,
      14.714764,
      46.463688,
      14.699395,
      46.436820,
      14.595973,
      46.372276,
      14.563489,
      46.427260,
      14.521762,
      46.413494,
      14.478812,
      46.447043,
      14.429606,
      46.446496,
      14.418757,
      47.092146,
      14.418757
    ]);
    poly[1479] = _TzPolygon([
      46.256785,
      15.507764,
      46.256785,
      15.790294,
      46.208798,
      15.767950,
      46.217173,
      15.647187,
      46.146355,
      15.596126,
      46.089430,
      15.621149,
      46.044523,
      15.732487,
      45.997026,
      15.699854,
      45.921833,
      15.707302,
      45.904498,
      15.679475,
      45.846519,
      15.709316,
      45.820417,
      15.642273,
      45.853572,
      15.572550,
      45.834274,
      15.559382,
      45.847599,
      15.538554,
      45.823790,
      15.528006,
      45.822031,
      15.507764
    ]);
    poly[1480] = _TzPolygon([
      47.092146,
      16.052267,
      46.851319,
      16.052267,
      46.832827,
      15.991012,
      46.751961,
      15.984783,
      46.711611,
      16.029818,
      46.656139,
      16.038092,
      46.722389,
      15.839693,
      46.699032,
      15.768962,
      46.705758,
      15.649992,
      46.680045,
      15.629976,
      46.690013,
      15.595118,
      46.669293,
      15.543684,
      46.638486,
      15.549833,
      46.616747,
      15.507764,
      47.092146,
      15.507764
    ]);
    poly[1481] = _TzPolygon([
      46.256785,
      15.790294,
      46.259329,
      15.791479,
      46.308779,
      16.014139,
      46.331141,
      16.052267,
      46.256785,
      16.052267
    ]);
    poly[1482] = _TzPolygon([
      46.481425,
      16.596770,
      46.505404,
      16.523616,
      46.565269,
      16.508411,
      46.644249,
      16.385941,
      46.693974,
      16.428634,
      46.704008,
      16.368921,
      46.754145,
      16.318595,
      46.846891,
      16.340337,
      46.872845,
      16.291226,
      46.853707,
      16.156087,
      46.869059,
      16.113887,
      46.941801,
      16.199902,
      46.962608,
      16.276470,
      47.013962,
      16.290094,
      46.998273,
      16.303353,
      47.001554,
      16.512319,
      47.029715,
      16.438893,
      47.056214,
      16.520559,
      47.092146,
      16.467523,
      47.092146,
      16.596770
    ]);
    poly[1483] = _TzPolygon([
      47.092146,
      16.467523,
      47.056214,
      16.520559,
      47.029715,
      16.438893,
      47.001554,
      16.512319,
      46.998273,
      16.303353,
      47.013962,
      16.290094,
      46.962608,
      16.276470,
      46.941801,
      16.199902,
      46.875739,
      16.133159,
      46.851319,
      16.052267,
      47.092146,
      16.052267
    ]);
    poly[1484] = _TzPolygon([
      46.331141,
      16.052267,
      46.345953,
      16.077523,
      46.393569,
      16.058120,
      46.405139,
      16.146007,
      46.377813,
      16.189027,
      46.378294,
      16.301559,
      46.498356,
      16.241632,
      46.555029,
      16.368797,
      46.481004,
      16.515862,
      46.469221,
      16.596770,
      46.256785,
      16.596770,
      46.256785,
      16.052267
    ]);
    poly[1485] = _TzPolygon([
      46.469221,
      16.596770,
      46.459464,
      16.663765,
      46.391545,
      16.718715,
      46.374085,
      16.837398,
      46.261881,
      16.913794,
      46.169682,
      17.159286,
      46.108458,
      17.175927,
      46.097931,
      17.233425,
      46.077432,
      17.201589,
      46.056706,
      17.270955,
      46.030005,
      17.254152,
      46.028517,
      17.296320,
      46.011026,
      17.257973,
      45.988778,
      17.323647,
      45.967984,
      17.309731,
      45.996078,
      17.333958,
      45.973584,
      17.356720,
      45.991182,
      17.372431,
      45.964274,
      17.358354,
      45.958192,
      17.390538,
      45.960533,
      17.343877,
      45.942341,
      17.347621,
      45.935820,
      17.570068,
      45.838185,
      17.663292,
      45.809996,
      17.826275,
      45.767734,
      17.862031,
      45.792569,
      17.906676,
      45.795731,
      17.995881,
      45.764521,
      18.081892,
      45.789628,
      18.124652,
      45.787876,
      18.190870,
      45.747161,
      18.339421,
      45.772936,
      18.364226,
      45.737128,
      18.446853,
      45.794717,
      18.490671,
      45.782686,
      18.522351,
      45.800435,
      18.574985,
      45.824081,
      18.604188,
      45.421424,
      18.604188,
      45.421424,
      16.596770
    ]);
    poly[1486] = _TzPolygon([
      45.421424,
      19.018649,
      45.446834,
      18.988437,
      45.494343,
      19.000159,
      45.488292,
      19.082298,
      45.514323,
      19.101142,
      45.557153,
      19.021138,
      45.533951,
      18.950376,
      45.566071,
      18.889211,
      45.618902,
      18.907761,
      45.666358,
      18.966273,
      45.712292,
      18.904349,
      45.908804,
      18.814288,
      45.935274,
      18.906005,
      45.923287,
      19.008856,
      45.958709,
      19.005814,
      45.963535,
      19.079550,
      46.000043,
      19.065676,
      46.039988,
      19.104579,
      46.039842,
      19.106042,
      45.421424,
      19.106042
    ]);
    poly[1487] = _TzPolygon([
      46.256785,
      19.106042,
      46.039842,
      19.106042,
      46.039988,
      19.104579,
      46.000043,
      19.065676,
      45.963535,
      19.079550,
      45.958709,
      19.005814,
      45.923287,
      19.008856,
      45.935274,
      18.906005,
      45.911238,
      18.868205,
      45.914634,
      18.821634,
      45.878163,
      18.791096,
      45.916886,
      18.659533,
      45.839853,
      18.623666,
      45.824081,
      18.604188,
      46.256785,
      18.604188
    ]);
    poly[1488] = _TzPolygon([
      46.039842,
      19.106042,
      46.037071,
      19.133786,
      45.996125,
      19.147739,
      45.987797,
      19.296538,
      46.014522,
      19.281601,
      46.052170,
      19.364162,
      46.035806,
      19.380180,
      46.045731,
      19.415439,
      46.120937,
      19.527069,
      46.151735,
      19.516759,
      46.175855,
      19.607897,
      45.421424,
      19.607897,
      45.421424,
      19.106042
    ]);
    poly[1489] = _TzPolygon([
      45.853750,
      20.611605,
      45.869380,
      20.580850,
      45.910437,
      20.568882,
      45.892145,
      20.515481,
      45.953382,
      20.483629,
      45.999411,
      20.347974,
      46.047822,
      20.345876,
      46.120854,
      20.261977,
      46.169674,
      20.355608,
      46.142879,
      20.459110,
      46.189933,
      20.501500,
      46.139406,
      20.611605
    ]);
    poly[1490] = _TzPolygon([
      46.137986,
      20.611605,
      46.189933,
      20.501500,
      46.142879,
      20.459110,
      46.169674,
      20.355608,
      46.115796,
      20.254919,
      46.160049,
      20.181825,
      46.144226,
      20.137287,
      46.176966,
      20.101254,
      46.143667,
      20.063734,
      46.176777,
      20.015794,
      46.176193,
      19.935139,
      46.127787,
      19.817834,
      46.187930,
      19.698095,
      46.169256,
      19.631617,
      46.172764,
      19.607897,
      47.092146,
      19.607897,
      47.092146,
      20.611605
    ]);
    poly[1491] = _TzPolygon([
      45.853750,
      20.611605,
      45.829170,
      20.659972,
      45.750720,
      20.700814,
      45.754520,
      20.774028,
      45.785944,
      20.782884,
      45.774861,
      20.823137,
      45.657189,
      20.804827,
      45.612443,
      20.765994,
      45.535694,
      20.833070,
      45.499916,
      20.769309,
      45.479745,
      20.771550,
      45.464638,
      20.866150,
      45.431651,
      20.864933,
      45.421424,
      20.904228,
      45.421424,
      20.611605
    ]);
    poly[1492] = _TzPolygon([
      47.092146,
      21.615314,
      46.934303,
      21.615314,
      46.927466,
      21.598684,
      46.861317,
      21.596816,
      46.835914,
      21.519212,
      46.764715,
      21.483219,
      46.720810,
      21.529342,
      46.685980,
      21.492218,
      46.693866,
      21.430051,
      46.661155,
      21.454886,
      46.621837,
      21.409989,
      46.637831,
      21.365614,
      46.617594,
      21.314088,
      46.582814,
      21.320780,
      46.501961,
      21.260414,
      46.450692,
      21.317767,
      46.406720,
      21.296189,
      46.403383,
      21.206421,
      46.304116,
      21.180594,
      46.301660,
      21.115501,
      46.242939,
      21.066083,
      46.279303,
      20.946585,
      46.261835,
      20.922156,
      46.287756,
      20.873271,
      46.275960,
      20.775654,
      46.250849,
      20.749047,
      46.204473,
      20.761840,
      46.207377,
      20.727374,
      46.166854,
      20.714998,
      46.126458,
      20.636041,
      46.137986,
      20.611605,
      47.092146,
      20.611605
    ]);
    poly[1493] = _TzPolygon([
      47.092146,
      21.720843,
      47.045710,
      21.682616,
      47.040437,
      21.648739,
      47.001820,
      21.688951,
      46.960414,
      21.678827,
      46.934303,
      21.615314,
      47.092146,
      21.615314
    ]);
    poly[1494] = _TzPolygon([
      47.548552,
      10.492294,
      47.533472,
      10.571106,
      47.569741,
      10.597948,
      47.558770,
      10.691003,
      47.513921,
      10.777508,
      47.537314,
      10.890311,
      47.513631,
      10.918007,
      47.483255,
      10.870040,
      47.481137,
      10.937174,
      47.430018,
      10.983612,
      47.399558,
      10.971896,
      47.395456,
      11.114824,
      47.433940,
      11.206990,
      47.428238,
      11.253416,
      47.395252,
      11.224959,
      47.397565,
      11.269885,
      47.449923,
      11.338613,
      47.444592,
      11.421194,
      47.472375,
      11.383843,
      47.517917,
      11.442090,
      47.514506,
      11.572417,
      47.594555,
      11.636180,
      47.581212,
      11.844042,
      47.602358,
      11.854955,
      47.625178,
      12.008533,
      47.606765,
      12.203961,
      47.701167,
      12.162425,
      47.743035,
      12.257029,
      47.679451,
      12.255250,
      47.695231,
      12.440071,
      47.625101,
      12.499170,
      47.632315,
      12.575027,
      47.643845,
      12.584024,
      47.092146,
      12.584024,
      47.092146,
      10.492294
    ]);
    poly[1495] = _TzPolygon([
      48.304719,
      12.584024,
      48.304719,
      13.283627,
      48.293560,
      13.256216,
      48.257818,
      13.021680,
      48.209281,
      12.956133,
      48.201310,
      12.870051,
      48.123711,
      12.786919,
      48.126069,
      12.758126,
      48.075167,
      12.759481,
      48.016211,
      12.850205,
      47.963923,
      12.873910,
      47.943283,
      12.938171,
      47.849322,
      13.003615,
      47.723438,
      12.905268,
      47.707153,
      12.973805,
      47.722875,
      13.018338,
      47.687034,
      13.080748,
      47.635172,
      13.098936,
      47.583364,
      13.043652,
      47.492163,
      13.047647,
      47.464012,
      13.001047,
      47.550125,
      12.803936,
      47.579142,
      12.779150,
      47.612107,
      12.824484,
      47.651550,
      12.758576,
      47.673818,
      12.781165,
      47.673727,
      12.607344,
      47.643845,
      12.584024
    ]);
    poly[1496] = _TzPolygon([
      48.947631,
      13.629890,
      48.938623,
      13.610246,
      48.970739,
      13.580078,
      48.969112,
      13.507073,
      48.941260,
      13.497848,
      48.972493,
      13.426195,
      49.050664,
      13.397373,
      49.118638,
      13.289183,
      49.134489,
      13.182778,
      49.173624,
      13.170897,
      49.263927,
      13.033985,
      49.304326,
      13.029114,
      49.343796,
      12.945285,
      49.345459,
      12.785783,
      49.394799,
      12.757669,
      49.434796,
      12.655553,
      49.517291,
      12.644928,
      49.517269,
      13.629890
    ]);
    poly[1497] = _TzPolygon([
      48.304719,
      13.283627,
      48.323514,
      13.329798,
      48.374710,
      13.411357,
      48.430840,
      13.439313,
      48.557442,
      13.437839,
      48.556061,
      13.475373,
      48.590600,
      13.508963,
      48.549209,
      13.629890,
      48.304719,
      13.629890
    ]);
    poly[1498] = _TzPolygon([
      48.947167,
      13.629890,
      48.880141,
      13.671433,
      48.886012,
      13.737938,
      48.780929,
      13.803650,
      48.771621,
      13.839552,
      48.715036,
      13.794879,
      48.700546,
      13.837419,
      48.691833,
      13.813489,
      48.618576,
      13.825790,
      48.514767,
      13.730512,
      48.549209,
      13.629890
    ]);
    poly[1499] = _TzPolygon([
      48.947631,
      13.629890,
      49.517269,
      13.629890,
      49.517245,
      14.675755,
      48.582827,
      14.675755,
      48.581959,
      14.663459,
      48.628099,
      14.610450,
      48.603331,
      14.562056,
      48.617308,
      14.503515,
      48.648494,
      14.469871,
      48.643432,
      14.443761,
      48.589127,
      14.431424,
      48.592667,
      14.386238,
      48.571876,
      14.388086,
      48.551808,
      14.333235,
      48.581372,
      14.271542,
      48.594864,
      14.066961,
      48.639652,
      14.010561,
      48.673323,
      14.060079,
      48.766605,
      13.876116,
      48.773996,
      13.813180,
      48.886012,
      13.737938,
      48.880141,
      13.671433,
      48.947863,
      13.630395
    ]);
  }
}

class _Initializer16 {
  static void _init() {
    poly[1500] = _TzPolygon([
      47.092146,
      16.467523,
      47.094973,
      16.463350,
      47.127243,
      16.529343,
      47.149329,
      16.516775,
      47.142297,
      16.454298,
      47.187556,
      16.454808,
      47.194915,
      16.419501,
      47.252944,
      16.431792,
      47.252899,
      16.467134,
      47.280287,
      16.489422,
      47.352868,
      16.433737,
      47.383296,
      16.461354,
      47.407216,
      16.445459,
      47.408899,
      16.485321,
      47.389050,
      16.496570,
      47.410600,
      16.516910,
      47.406359,
      16.575735,
      47.455714,
      16.662032,
      47.500326,
      16.652339,
      47.539934,
      16.714524,
      47.566261,
      16.664557,
      47.622910,
      16.652046,
      47.619826,
      16.572515,
      47.662370,
      16.424761,
      47.696306,
      16.447322,
      47.681258,
      16.474659,
      47.722513,
      16.552218,
      47.751010,
      16.547045,
      47.760383,
      16.609542,
      47.735357,
      16.720941,
      47.681411,
      16.749032,
      47.681721,
      16.767485,
      47.092146,
      16.767485
    ]);
    poly[1501] = _TzPolygon([
      48.582196,
      14.675755,
      48.582692,
      14.701529,
      48.687069,
      14.726968,
      48.733884,
      14.808131,
      48.778802,
      14.808658,
      48.758085,
      14.955793,
      48.772260,
      14.979502,
      48.789786,
      14.953255,
      48.904171,
      14.992950,
      48.970962,
      14.976170,
      49.020531,
      15.020637,
      48.993291,
      15.156272,
      48.941691,
      15.160244,
      48.953648,
      15.261618,
      48.994659,
      15.278874,
      48.951817,
      15.468490,
      48.914122,
      15.513390,
      48.898255,
      15.612436,
      48.855676,
      15.689687,
      48.877125,
      15.841543,
      48.834634,
      15.893240,
      48.823060,
      15.958382,
      48.805249,
      15.949630,
      48.779335,
      15.994365,
      48.746643,
      16.094165,
      48.731245,
      16.329888,
      48.745618,
      16.342823,
      48.728467,
      16.378001,
      48.809025,
      16.460415,
      48.798244,
      16.518639,
      48.814287,
      16.540730,
      48.782687,
      16.593493,
      48.781007,
      16.663747,
      48.727800,
      16.682584,
      48.738031,
      16.724742,
      48.719867,
      16.767485,
      48.304695,
      16.767485,
      48.304695,
      14.675755
    ]);
    poly[1502] = _TzPolygon([
      47.746339,
      17.813351,
      47.755175,
      17.712816,
      47.821886,
      17.608402,
      47.815636,
      17.566709,
      47.866445,
      17.525172,
      47.885258,
      17.453920,
      47.993125,
      17.334651,
      47.998655,
      17.257955,
      48.022465,
      17.241769,
      48.006657,
      17.160776,
      48.031224,
      17.110060,
      48.019783,
      17.089866,
      48.055395,
      17.068250,
      48.099645,
      17.092707,
      48.143724,
      17.057195,
      48.172139,
      16.976246,
      48.263818,
      16.957066,
      48.273519,
      16.920148,
      48.304719,
      16.913386,
      48.304719,
      17.813351
    ]);
    poly[1503] = _TzPolygon([
      48.304719,
      16.767485,
      48.304719,
      16.907970,
      48.288423,
      16.907533,
      48.263818,
      16.957066,
      48.172139,
      16.976246,
      48.143724,
      17.057195,
      48.099645,
      17.092707,
      48.031428,
      17.067423,
      48.006657,
      17.160776,
      47.970878,
      17.094657,
      47.960895,
      17.117015,
      47.874435,
      17.085190,
      47.858361,
      17.009954,
      47.808274,
      17.074434,
      47.793983,
      17.050977,
      47.708261,
      17.093089,
      47.688331,
      16.875202,
      47.721659,
      16.866913,
      47.682744,
      16.828358,
      47.681721,
      16.767485
    ]);
    poly[1504] = _TzPolygon([
      47.741846,
      17.813351,
      47.757681,
      18.038058,
      47.731462,
      18.295878,
      47.765123,
      18.454068,
      47.759092,
      18.646087,
      47.813825,
      18.741179,
      47.826077,
      18.855876,
      47.871353,
      18.763776,
      47.897570,
      18.756801,
      47.955092,
      18.776746,
      47.976347,
      18.755250,
      47.993442,
      18.815743,
      48.052572,
      18.845585,
      48.052675,
      18.859216,
      47.092146,
      18.859216,
      47.092146,
      17.813351
    ]);
    poly[1505] = _TzPolygon([
      49.517197,
      16.767485,
      49.517149,
      18.850908,
      49.488383,
      18.754482,
      49.507628,
      18.677825,
      49.500510,
      18.545748,
      49.467862,
      18.547951,
      49.408546,
      18.475691,
      49.396691,
      18.403661,
      49.367549,
      18.415567,
      49.330546,
      18.378918,
      49.286996,
      18.184026,
      49.247930,
      18.146972,
      49.059243,
      18.095471,
      49.028505,
      18.057123,
      49.019966,
      17.924300,
      48.927677,
      17.885311,
      48.925275,
      17.781318,
      48.860022,
      17.703336,
      48.812160,
      17.528483,
      48.846725,
      17.453181,
      48.813434,
      17.361515,
      48.845298,
      17.321665,
      48.877569,
      17.200176,
      48.764259,
      17.043287,
      48.616539,
      16.940190,
      48.717973,
      16.902021,
      48.705905,
      16.800342,
      48.719867,
      16.767485
    ]);
    poly[1506] = _TzPolygon([
      48.719867,
      16.767485,
      48.705905,
      16.800342,
      48.717973,
      16.902021,
      48.543260,
      16.953933,
      48.449159,
      16.850008,
      48.352398,
      16.842703,
      48.326190,
      16.908545,
      48.304719,
      16.907970,
      48.304719,
      16.767485
    ]);
    poly[1507] = _TzPolygon([
      49.551689,
      12.584024,
      49.619605,
      12.560743,
      49.618099,
      12.528104,
      49.686441,
      12.521987,
      49.703818,
      12.442451,
      49.753801,
      12.400555,
      49.786107,
      12.472650,
      49.833670,
      12.473058,
      49.920493,
      12.547675,
      49.938523,
      12.474931,
      49.972046,
      12.499558,
      49.992812,
      12.467161,
      49.984390,
      12.431479,
      50.053370,
      12.317280,
      50.058442,
      12.260983,
      50.076473,
      12.275411,
      50.110825,
      12.199566,
      50.198995,
      12.197170,
      50.252399,
      12.090590,
      50.277834,
      12.140060,
      50.321705,
      12.104675,
      50.322221,
      12.184604,
      50.272837,
      12.201324,
      50.270975,
      12.253842,
      50.250178,
      12.265939,
      50.246154,
      12.239475,
      50.221035,
      12.293904,
      50.176891,
      12.289361,
      50.171647,
      12.334373,
      50.242448,
      12.331293,
      50.242128,
      12.359227,
      50.321427,
      12.398380,
      50.349812,
      12.489544,
      50.397258,
      12.512030,
      50.405985,
      12.584024
    ]);
    poly[1508] = _TzPolygon([
      49.517291,
      12.644928,
      49.522963,
      12.644197,
      49.538485,
      12.588551,
      49.551689,
      12.584024,
      50.405985,
      12.584024,
      50.416804,
      12.673273,
      50.397120,
      12.707115,
      50.432396,
      12.734106,
      50.449430,
      12.794853,
      50.430898,
      12.810497,
      50.460292,
      12.819033,
      50.404251,
      12.948091,
      50.446669,
      13.019970,
      50.509765,
      13.031696,
      50.503241,
      13.195292,
      50.592495,
      13.248872,
      50.581103,
      13.323213,
      50.650865,
      13.370250,
      50.601737,
      13.464853,
      50.638984,
      13.524277,
      50.711504,
      13.545541,
      50.732164,
      13.664689,
      50.716681,
      13.706683,
      50.735821,
      13.758297,
      50.726968,
      13.854972,
      50.745136,
      13.898799,
      50.793379,
      13.900778,
      50.820011,
      13.990778,
      50.812481,
      14.078466,
      50.859087,
      14.223505,
      50.895314,
      14.267434,
      50.899199,
      14.388004,
      50.936378,
      14.396982,
      50.954010,
      14.311442,
      50.985399,
      14.323507,
      50.987539,
      14.258681,
      51.039798,
      14.273855,
      51.055704,
      14.315591,
      51.018783,
      14.408570,
      51.035944,
      14.453831,
      51.023412,
      14.492717,
      51.043310,
      14.508401,
      51.022090,
      14.498598,
      50.987176,
      14.599074,
      50.918574,
      14.564360,
      50.931524,
      14.650201,
      50.857759,
      14.618916,
      50.838142,
      14.675755,
      49.517291,
      14.675755
    ]);
    poly[1509] = _TzPolygon([
      51.720361,
      14.675755,
      51.725857,
      14.668163,
      51.795528,
      14.645475,
      51.820444,
      14.590390,
      51.887433,
      14.675755
    ]);
    poly[1510] = _TzPolygon([
      52.251142,
      14.675755,
      52.289048,
      14.575288,
      52.395000,
      14.534376,
      52.491484,
      14.633926,
      52.531031,
      14.603838,
      52.571925,
      14.639548,
      52.751291,
      14.350431,
      52.838620,
      14.122971,
      52.886771,
      14.160814,
      52.961109,
      14.143936,
      53.057392,
      14.349985,
      53.199131,
      14.376247,
      53.261640,
      14.449995,
      53.543567,
      14.305748,
      53.618064,
      14.316946,
      53.698695,
      14.266823,
      53.725332,
      14.272899,
      53.725332,
      14.675755
    ]);
    poly[1511] = _TzPolygon([
      50.569301,
      16.404769,
      50.569301,
      16.767485,
      50.152539,
      16.767485,
      50.098549,
      16.688992,
      50.142448,
      16.580192,
      50.220390,
      16.557283,
      50.324680,
      16.431079,
      50.328812,
      16.383232,
      50.379560,
      16.360659,
      50.367441,
      16.278638,
      50.432128,
      16.195716,
      50.506132,
      16.311528,
      50.501340,
      16.360451,
      50.569271,
      16.404650
    ]);
    poly[1512] = _TzPolygon([
      51.621312,
      14.675755,
      51.621312,
      14.763161,
      51.607470,
      14.765120,
      51.562762,
      14.711320,
      51.531172,
      14.729415,
      51.468987,
      14.951899,
      51.361429,
      14.965106,
      51.272846,
      15.041932,
      51.050132,
      14.964714,
      50.820325,
      14.794057,
      50.845610,
      14.675755
    ]);
    poly[1513] = _TzPolygon([
      50.838142,
      14.675755,
      50.822063,
      14.722344,
      50.822393,
      14.799407,
      50.872752,
      14.829517,
      50.868779,
      15.001929,
      50.921633,
      14.989431,
      50.967159,
      15.021668,
      50.990026,
      14.968214,
      51.010953,
      14.985334,
      51.022896,
      15.060999,
      50.990122,
      15.129014,
      51.020030,
      15.171851,
      50.982992,
      15.180008,
      50.998670,
      15.236563,
      50.979528,
      15.274074,
      50.890989,
      15.277126,
      50.838028,
      15.367339,
      50.777626,
      15.374788,
      50.809059,
      15.439530,
      50.737255,
      15.705709,
      50.755320,
      15.816195,
      50.674449,
      15.860963,
      50.683412,
      15.990905,
      50.630174,
      16.021767,
      50.613711,
      15.986375,
      50.598698,
      16.024693,
      50.663342,
      16.103705,
      50.627176,
      16.187206,
      50.671627,
      16.234913,
      50.661508,
      16.343081,
      50.579570,
      16.444908,
      50.569301,
      16.404769,
      50.569301,
      14.675755
    ]);
    poly[1514] = _TzPolygon([
      50.001443,
      17.813351,
      50.025036,
      17.771915,
      50.106068,
      17.718338,
      50.110692,
      17.650626,
      50.159999,
      17.592729,
      50.206640,
      17.758503,
      50.236354,
      17.765103,
      50.256716,
      17.725015,
      50.299076,
      17.752032,
      50.322588,
      17.713006,
      50.327962,
      17.686951,
      50.298934,
      17.685839,
      50.265910,
      17.611755,
      50.275089,
      17.495593,
      50.251663,
      17.438234,
      50.282881,
      17.386205,
      50.263807,
      17.350289,
      50.328350,
      17.348662,
      50.319005,
      17.282052,
      50.364016,
      17.201143,
      50.386359,
      17.203268,
      50.380421,
      17.143330,
      50.404962,
      17.110749,
      50.417756,
      16.974010,
      50.447719,
      16.898540,
      50.407750,
      16.860325,
      50.389053,
      16.910847,
      50.315388,
      16.946147,
      50.302117,
      17.002639,
      50.229989,
      17.028313,
      50.216083,
      16.998023,
      50.244906,
      16.976067,
      50.197645,
      16.875398,
      50.207428,
      16.847286,
      50.152539,
      16.767485,
      50.569301,
      16.767485,
      50.569301,
      17.813351
    ]);
    poly[1515] = _TzPolygon([
      50.001423,
      17.813351,
      49.972527,
      17.868478,
      49.977956,
      17.918579,
      50.018412,
      18.004681,
      50.005128,
      18.045463,
      50.036608,
      18.044382,
      50.038996,
      18.004073,
      50.066021,
      18.033606,
      50.044101,
      18.089288,
      49.994713,
      18.115879,
      49.982323,
      18.153861,
      49.997926,
      18.206576,
      49.915683,
      18.317964,
      49.929587,
      18.350007,
      49.949387,
      18.332958,
      49.899468,
      18.523742,
      49.925702,
      18.539391,
      49.921639,
      18.572811,
      49.873452,
      18.569555,
      49.861599,
      18.605728,
      49.829394,
      18.568836,
      49.722380,
      18.625225,
      49.676850,
      18.739985,
      49.678878,
      18.804589,
      49.550297,
      18.859216,
      49.517291,
      18.850944,
      49.517291,
      17.813351
    ]);
    poly[1516] = _TzPolygon([
      52.251142,
      14.675755,
      52.236128,
      14.715550,
      52.115640,
      14.681812,
      52.065383,
      14.759094,
      51.901895,
      14.694184,
      51.887433,
      14.675755
    ]);
    poly[1517] = _TzPolygon([
      51.720361,
      14.675755,
      51.661167,
      14.757519,
      51.621312,
      14.763161,
      51.621312,
      14.675755
    ]);
    poly[1518] = _TzPolygon([
      48.352981,
      18.859216,
      48.352981,
      20.301022,
      48.265706,
      20.301022,
      48.261640,
      20.286858,
      48.279933,
      20.234947,
      48.250979,
      20.206162,
      48.253982,
      20.133188,
      48.225182,
      20.134091,
      48.167699,
      20.051884,
      48.166005,
      19.974394,
      48.124127,
      19.900433,
      48.166312,
      19.898745,
      48.178431,
      19.855173,
      48.153529,
      19.794812,
      48.194820,
      19.798733,
      48.216512,
      19.746180,
      48.203894,
      19.691219,
      48.250067,
      19.630798,
      48.203130,
      19.526044,
      48.083933,
      19.467354,
      48.101436,
      19.454053,
      48.082304,
      19.400018,
      48.088711,
      19.303112,
      48.053653,
      19.241368,
      48.074146,
      19.135289,
      48.057353,
      19.058525,
      48.078179,
      19.014864,
      48.053601,
      18.981610,
      48.045523,
      18.859216
    ]);
    poly[1519] = _TzPolygon([
      49.613816,
      20.301022,
      49.344675,
      20.301022,
      49.351790,
      20.220823,
      49.302816,
      20.157720,
      49.317978,
      20.146050,
      49.179510,
      20.087901,
      49.236490,
      19.932217,
      49.195797,
      19.869438,
      49.199363,
      19.783829,
      49.236598,
      19.766768,
      49.276794,
      19.822802,
      49.299740,
      19.792474,
      49.410688,
      19.790592,
      49.386422,
      19.717643,
      49.408797,
      19.631728,
      49.457560,
      19.641119,
      49.455409,
      19.581468,
      49.573019,
      19.529331,
      49.613763,
      19.467376,
      49.567442,
      19.371363,
      49.536088,
      19.362300,
      49.531229,
      19.260688,
      49.411086,
      19.191606,
      49.417984,
      19.072731,
      49.395222,
      18.979854,
      49.504336,
      18.971646,
      49.520473,
      18.859216,
      49.613816,
      18.859216
    ]);
    poly[1520] = _TzPolygon([
      48.352981,
      20.301022,
      48.352981,
      20.398162,
      48.272794,
      20.325711,
      48.265706,
      20.301022
    ]);
    poly[1521] = _TzPolygon([
      48.346469,
      21.742829,
      48.349682,
      21.724435,
      48.352981,
      21.719785,
      48.352981,
      21.742829
    ]);
    poly[1522] = _TzPolygon([
      47.092146,
      21.720843,
      47.098527,
      21.726096,
      47.100556,
      21.742829,
      47.092146,
      21.742829
    ]);
    poly[1523] = _TzPolygon([
      48.352981,
      20.398162,
      48.365875,
      20.409812,
      48.418988,
      20.416724,
      48.489316,
      20.507760,
      48.534415,
      20.506507,
      48.582840,
      20.836359,
      48.551818,
      20.868155,
      48.559453,
      20.922323,
      48.521666,
      20.956198,
      48.525894,
      21.066321,
      48.491055,
      21.117448,
      48.537497,
      21.221061,
      48.522249,
      21.305488,
      48.561201,
      21.319384,
      48.558951,
      21.415450,
      48.585257,
      21.439482,
      48.551065,
      21.514091,
      48.508395,
      21.542020,
      48.509416,
      21.613933,
      48.392164,
      21.664561,
      48.352981,
      21.738003
    ]);
    poly[1524] = _TzPolygon([
      49.391222,
      21.742829,
      49.412284,
      21.721771,
      49.416801,
      21.658905,
      49.447309,
      21.630945,
      49.412284,
      21.434083,
      49.460940,
      21.277525,
      49.400993,
      21.192128,
      49.436580,
      21.124024,
      49.418339,
      21.047543,
      49.365056,
      21.094109,
      49.364881,
      21.042548,
      49.306621,
      20.986545,
      49.295969,
      20.924084,
      49.347484,
      20.865549,
      49.343527,
      20.796828,
      49.358992,
      20.809626,
      49.373393,
      20.758994,
      49.416301,
      20.740105,
      49.400670,
      20.646988,
      49.417845,
      20.614934,
      49.376106,
      20.575525,
      49.417917,
      20.433569,
      49.395877,
      20.431404,
      49.401755,
      20.322156,
      49.343508,
      20.314177,
      49.344675,
      20.301022,
      49.613816,
      20.301022,
      49.613816,
      21.742829
    ]);
    poly[1525] = _TzPolygon([
      48.352981,
      21.742829,
      48.352981,
      21.832229,
      48.332582,
      21.822332,
      48.346469,
      21.742829
    ]);
    poly[1526] = _TzPolygon([
      47.100556,
      21.742829,
      47.106589,
      21.792582,
      47.172799,
      21.817519,
      47.187009,
      21.858015,
      47.239244,
      21.851832,
      47.372999,
      21.938523,
      47.390840,
      22.023118,
      47.483620,
      22.007189,
      47.532665,
      22.036722,
      47.528803,
      22.061787,
      47.548539,
      22.055263,
      47.598019,
      22.128164,
      47.594376,
      22.176640,
      47.687993,
      22.226193,
      47.697906,
      22.258996,
      47.731068,
      22.264325,
      47.743366,
      22.317624,
      47.766089,
      22.317772,
      47.739812,
      22.431332,
      47.798550,
      22.444834,
      47.804960,
      22.463732,
      47.092146,
      22.463732,
      47.092146,
      21.742829
    ]);
    poly[1527] = _TzPolygon([
      48.244281,
      22.463732,
      48.233963,
      22.384755,
      48.352981,
      22.318679,
      48.352981,
      22.463732
    ]);
    poly[1528] = _TzPolygon([
      47.804960,
      22.463732,
      47.810889,
      22.481212,
      47.772225,
      22.549002,
      47.787753,
      22.680194,
      47.836093,
      22.713635,
      47.842251,
      22.777750,
      47.893410,
      22.758051,
      47.907758,
      22.847330,
      47.951388,
      22.886451,
      47.967281,
      22.947637,
      48.019141,
      22.927046,
      47.990551,
      23.013547,
      48.005694,
      23.090326,
      48.087141,
      23.113876,
      48.119953,
      23.166740,
      48.106380,
      23.184635,
      47.092146,
      23.184635,
      47.092146,
      22.463732
    ]);
    poly[1529] = _TzPolygon([
      48.248598,
      22.463732,
      48.253442,
      22.489873,
      48.196143,
      22.571144,
      48.107342,
      22.590276,
      48.091955,
      22.674274,
      48.119848,
      22.734719,
      48.115708,
      22.826835,
      48.053282,
      22.881993,
      47.990310,
      22.836304,
      47.954041,
      22.897709,
      47.907758,
      22.847330,
      47.893410,
      22.758051,
      47.842251,
      22.777750,
      47.836093,
      22.713635,
      47.787753,
      22.680194,
      47.772225,
      22.549002,
      47.810889,
      22.481212,
      47.804960,
      22.463732
    ]);
    poly[1530] = _TzPolygon([
      48.352981,
      21.836097,
      48.363253,
      21.837213,
      48.361597,
      21.928186,
      48.392749,
      22.021326,
      48.371564,
      22.086743,
      48.380519,
      22.135909,
      48.425715,
      22.207395,
      48.410211,
      22.264540,
      48.387006,
      22.239876,
      48.354544,
      22.317811,
      48.352981,
      22.318679
    ]);
    poly[1531] = _TzPolygon([
      48.352981,
      22.318679,
      48.354544,
      22.317811,
      48.387006,
      22.239876,
      48.409803,
      22.265330,
      48.425715,
      22.207395,
      48.403844,
      22.143973,
      48.418795,
      22.137059,
      48.587537,
      22.171379,
      48.683893,
      22.339611,
      48.865040,
      22.383536,
      48.884602,
      22.421124,
      48.965426,
      22.463732,
      48.352981,
      22.463732
    ]);
    poly[1532] = _TzPolygon([
      49.098101,
      22.463732,
      49.099490,
      22.422654,
      49.146597,
      22.367258,
      49.152541,
      22.225713,
      49.184460,
      22.222462,
      49.174018,
      22.189904,
      49.211586,
      22.061964,
      49.348548,
      21.961952,
      49.349964,
      21.903767,
      49.391673,
      21.838319,
      49.356048,
      21.777994,
      49.391222,
      21.742829,
      49.613816,
      21.742829,
      49.613816,
      22.463732
    ]);
    poly[1533] = _TzPolygon([
      49.096190,
      22.463732,
      49.087996,
      22.565710,
      49.006765,
      22.545495,
      48.991182,
      22.477309,
      48.965426,
      22.463732
    ]);
    poly[1534] = _TzPolygon([
      48.965426,
      22.463732,
      48.991182,
      22.477309,
      49.006765,
      22.545495,
      49.079483,
      22.553237,
      49.097324,
      22.582478,
      49.039382,
      22.680184,
      49.053530,
      22.765495,
      49.002387,
      22.847092,
      49.005047,
      22.898020,
      48.970395,
      22.919013,
      48.957375,
      22.873796,
      48.933387,
      22.876926,
      48.829418,
      23.000904,
      48.862868,
      23.098779,
      48.777253,
      23.184635,
      48.352981,
      23.184635,
      48.352981,
      22.463732
    ]);
    poly[1535] = _TzPolygon([
      49.098101,
      22.463732,
      49.613816,
      22.463732,
      49.613816,
      22.734748,
      49.529992,
      22.640831,
      49.495128,
      22.696686,
      49.359891,
      22.746811,
      49.226490,
      22.714888,
      49.215622,
      22.747680,
      49.174980,
      22.707265,
      49.182626,
      22.756172,
      49.157978,
      22.739133,
      49.157728,
      22.789198,
      49.111015,
      22.831509,
      49.094556,
      22.892757,
      49.066786,
      22.864531,
      49.008072,
      22.891635,
      49.002047,
      22.859667,
      49.051814,
      22.773050,
      49.038984,
      22.681796,
      49.093498,
      22.599813
    ]);
    poly[1536] = _TzPolygon([
      48.106380,
      23.184635,
      48.095645,
      23.198787,
      48.100076,
      23.267644,
      48.059690,
      23.277110,
      48.021070,
      23.333250,
      47.968200,
      23.494950,
      48.021788,
      23.529727,
      47.983486,
      23.664902,
      47.998354,
      23.751187,
      47.983255,
      23.819167,
      47.931795,
      23.864279,
      47.967772,
      24.007238,
      47.914669,
      24.112538,
      47.916870,
      24.195330,
      47.897471,
      24.228228,
      47.924120,
      24.374969,
      47.970383,
      24.436135,
      47.951848,
      24.507589,
      47.967615,
      24.577799,
      47.948682,
      24.626441,
      47.092146,
      24.626441,
      47.092146,
      23.184635
    ]);
    poly[1537] = _TzPolygon([
      47.948534,
      24.626441,
      47.968370,
      24.563200,
      48.015456,
      24.573851,
      48.049178,
      24.626441
    ]);
    poly[1538] = _TzPolygon([
      48.049178,
      24.626441,
      48.153189,
      24.504057,
      48.215843,
      24.545813,
      48.245680,
      24.484175,
      48.279789,
      24.487774,
      48.352981,
      24.373617,
      48.352981,
      24.626441
    ]);
    poly[1539] = _TzPolygon(
        [48.352981, 24.260174, 48.350244, 24.258832, 48.352981, 24.244476]);
    poly[1540] = _TzPolygon([
      48.777253,
      23.184635,
      48.760413,
      23.201522,
      48.775881,
      23.285877,
      48.753396,
      23.325753,
      48.770625,
      23.361996,
      48.732868,
      23.396940,
      48.718270,
      23.471858,
      48.734715,
      23.511618,
      48.704292,
      23.630945,
      48.638023,
      23.707386,
      48.640213,
      23.789882,
      48.581211,
      23.804026,
      48.552730,
      23.858995,
      48.552371,
      23.928968,
      48.464382,
      23.925229,
      48.459197,
      23.966331,
      48.506583,
      24.003901,
      48.533370,
      24.124848,
      48.388618,
      24.148455,
      48.352981,
      24.247894,
      48.352981,
      23.184635
    ]);
    poly[1541] = _TzPolygon([
      48.352981,
      24.257704,
      48.402178,
      24.284291,
      48.380419,
      24.353525,
      48.352981,
      24.356610
    ]);
    poly[1542] = _TzPolygon(
        [49.613816, 22.734748, 50.015354, 23.184635, 49.613816, 23.184635]);
    poly[1543] = _TzPolygon([
      50.641695,
      23.184635,
      50.641695,
      24.094407,
      50.637437,
      24.098189,
      50.503388,
      24.070105,
      50.412141,
      23.997543,
      50.404764,
      23.803364,
      50.379264,
      23.708757,
      50.331635,
      23.686326,
      50.100545,
      23.280084,
      50.015354,
      23.184635
    ]);
    poly[1544] = _TzPolygon([
      51.669574,
      23.548221,
      51.669574,
      24.127584,
      51.666521,
      24.120392,
      51.580470,
      23.995340,
      51.592243,
      23.882438,
      51.631450,
      23.912770,
      51.640502,
      23.788417,
      51.667526,
      23.782714,
      51.623170,
      23.610097,
      51.584141,
      23.661018,
      51.548870,
      23.636301,
      51.506634,
      23.676887,
      51.503410,
      23.625882,
      51.528711,
      23.612828,
      51.535088,
      23.564514,
      51.644798,
      23.537024
    ]);
    poly[1545] = _TzPolygon([
      51.669574,
      23.548221,
      51.644798,
      23.537024,
      51.534757,
      23.564682,
      51.528711,
      23.612828,
      51.496366,
      23.620130,
      51.483027,
      23.669819,
      51.446259,
      23.649442,
      51.419545,
      23.702933,
      51.328515,
      23.635773,
      51.291819,
      23.645959,
      51.291638,
      23.695011,
      51.211968,
      23.739189,
      51.150312,
      23.869269,
      51.099951,
      23.856859,
      51.074600,
      23.911092,
      51.007051,
      23.915080,
      50.990762,
      23.956755,
      50.950299,
      23.970381,
      50.891414,
      24.052345,
      50.868612,
      24.145783,
      50.835948,
      24.100156,
      50.840324,
      24.001133,
      50.814375,
      23.963523,
      50.774974,
      23.968821,
      50.766178,
      24.023915,
      50.723189,
      24.016429,
      50.720342,
      24.072200,
      50.677859,
      24.062288,
      50.641695,
      24.094407,
      50.641695,
      23.184635,
      51.669574,
      23.184635
    ]);
    poly[1546] = _TzPolygon([
      51.669574,
      24.127584,
      51.751123,
      24.319693,
      51.806994,
      24.295912,
      51.878231,
      24.372228,
      51.902524,
      24.626441,
      51.669574,
      24.626441
    ]);
    poly[1547] = _TzPolygon([
      53.725332,
      23.570543,
      53.274188,
      23.798979,
      53.157396,
      23.918242,
      53.082001,
      23.871775,
      52.958733,
      23.946270,
      52.938843,
      23.916467,
      52.712916,
      23.938640,
      52.606522,
      23.734218,
      52.607456,
      23.641411,
      52.549448,
      23.466628,
      52.283141,
      23.178334,
      52.226554,
      23.203666,
      52.201074,
      23.395467,
      52.172294,
      23.424278,
      52.179053,
      23.500715,
      52.150742,
      23.489341,
      52.109709,
      23.549188,
      52.108804,
      23.618544,
      52.073758,
      23.652942,
      51.991910,
      23.689023,
      51.951146,
      23.627571,
      51.892995,
      23.637970,
      51.840480,
      23.600148,
      51.800882,
      23.641749,
      51.729680,
      23.527190,
      51.699238,
      23.561626,
      51.669574,
      23.548221,
      51.669574,
      21.742829,
      53.725332,
      21.742829
    ]);
    poly[1548] = _TzPolygon([
      47.948682,
      24.626441,
      47.840017,
      24.705803,
      47.820740,
      24.827730,
      47.724553,
      24.883330,
      47.725926,
      25.039344,
      47.790680,
      25.165509,
      47.895729,
      25.236936,
      47.974389,
      26.010750,
      46.956647,
      26.010750,
      46.956647,
      24.626441
    ]);
    poly[1549] = _TzPolygon([
      47.591321,
      27.395058,
      47.596721,
      27.373741,
      47.662279,
      27.294888,
      47.719597,
      27.250996,
      47.723311,
      27.293051,
      47.724259,
      27.293203,
      47.724259,
      27.395058
    ]);
    poly[1550] = _TzPolygon([
      48.262736,
      26.702904,
      48.265391,
      26.699447,
      48.246390,
      26.666232,
      48.274000,
      26.616219,
      48.327207,
      26.695942,
      48.363358,
      26.691440,
      48.350601,
      26.702904
    ]);
    poly[1551] = _TzPolygon([
      48.491870,
      26.702904,
      48.340388,
      26.702904,
      48.358904,
      26.680078,
      48.327207,
      26.695942,
      48.274000,
      26.616219,
      48.240911,
      26.622056,
      48.185102,
      26.333738,
      47.994664,
      26.184373,
      47.981399,
      26.010750,
      48.491870,
      26.010750
    ]);
    poly[1552] = _TzPolygon([
      47.724259,
      27.293203,
      47.751729,
      27.297624,
      47.817277,
      27.215768,
      47.843942,
      27.230839,
      47.848156,
      27.194957,
      47.852843,
      27.217200,
      47.900580,
      27.201324,
      47.915514,
      27.142670,
      47.947691,
      27.178190,
      47.964606,
      27.143987,
      47.993849,
      27.164338,
      48.008864,
      27.089241,
      48.031302,
      27.107765,
      48.089532,
      27.025338,
      48.108064,
      27.032177,
      48.108064,
      27.395058,
      47.724259,
      27.395058
    ]);
    poly[1553] = _TzPolygon([
      48.264246,
      26.702904,
      48.245654,
      26.725144,
      48.253964,
      26.810493,
      48.200992,
      26.909177,
      48.180724,
      26.903351,
      48.194310,
      26.945175,
      48.164366,
      26.934911,
      48.150446,
      26.991679,
      48.152084,
      26.954840,
      48.133242,
      26.959335,
      48.129011,
      27.039907,
      48.108064,
      27.032177,
      48.108064,
      26.702904
    ]);
    poly[1554] = _TzPolygon([
      48.409814,
      27.395058,
      48.410034,
      27.384427,
      48.441718,
      27.373227,
      48.443588,
      27.319724,
      48.371530,
      27.286371,
      48.394887,
      27.192463,
      48.379228,
      27.123814,
      48.434669,
      27.084918,
      48.425114,
      27.014410,
      48.376425,
      27.046825,
      48.380033,
      27.004014,
      48.359481,
      26.995190,
      48.363293,
      26.931733,
      48.420707,
      26.871134,
      48.418363,
      26.774964,
      48.398920,
      26.753570,
      48.410460,
      26.720330,
      48.353686,
      26.764920,
      48.344423,
      26.824122,
      48.295236,
      26.817364,
      48.302360,
      26.766940,
      48.323688,
      26.757735,
      48.312917,
      26.736770,
      48.340388,
      26.702904,
      48.491870,
      26.702904,
      48.491870,
      27.395058
    ]);
    poly[1555] = _TzPolygon([
      46.189036,
      27.395058,
      46.189036,
      28.132104,
      46.164357,
      28.143083,
      46.008244,
      28.085349,
      45.876934,
      28.132696,
      45.859413,
      28.105459,
      45.792682,
      28.112803,
      45.782514,
      28.153955,
      45.645630,
      28.174274,
      45.604598,
      28.088562,
      45.571867,
      28.121618,
      45.575362,
      28.156723,
      45.509928,
      28.153979,
      45.473871,
      28.186567,
      45.444068,
      28.280666,
      45.421424,
      28.291675,
      45.421424,
      27.395058
    ]);
    poly[1556] = _TzPolygon([
      45.421424,
      28.293184,
      45.444068,
      28.280666,
      45.467414,
      28.213046,
      45.547049,
      28.304956,
      45.512697,
      28.420841,
      45.485224,
      28.420624,
      45.499952,
      28.515388,
      45.571065,
      28.491159,
      45.579816,
      28.544248,
      45.665257,
      28.515832,
      45.660474,
      28.486138,
      45.678224,
      28.480706,
      45.737295,
      28.520366,
      45.729339,
      28.588758,
      45.770688,
      28.580710,
      45.779905,
      28.709376,
      45.817878,
      28.697093,
      45.831402,
      28.779367,
      45.421424,
      28.779367
    ]);
    poly[1557] = _TzPolygon([
      45.853124,
      28.779367,
      45.929316,
      28.754639,
      45.970694,
      28.776500,
      45.971158,
      28.779367
    ]);
    poly[1558] = _TzPolygon([
      46.189036,
      28.132617,
      46.242708,
      28.109855,
      46.251457,
      28.146398,
      46.262092,
      28.126204,
      46.292362,
      28.149876,
      46.285286,
      28.180412,
      46.310347,
      28.202429,
      46.352419,
      28.182597,
      46.426545,
      28.258546,
      46.462248,
      28.258431,
      46.505633,
      28.209294,
      46.612355,
      28.252558,
      46.777930,
      28.176580,
      46.821985,
      28.114359,
      46.891872,
      28.113954,
      46.903007,
      28.082931,
      46.921171,
      28.112593,
      46.937700,
      28.080964,
      46.956647,
      28.087808,
      46.956647,
      28.779367,
      46.189036,
      28.779367
    ]);
    poly[1559] = _TzPolygon([
      45.421424,
      29.207957,
      45.432705,
      29.238151,
      45.442584,
      29.429732,
      45.421424,
      29.499706
    ]);
    poly[1560] = _TzPolygon([
      46.189036,
      28.779367,
      46.189036,
      29.059995,
      46.093659,
      28.950720,
      46.049445,
      29.005501,
      46.003452,
      28.979101,
      45.971158,
      28.779367
    ]);
    poly[1561] = _TzPolygon(
        [45.853124, 28.779367, 45.832502, 28.786060, 45.831402, 28.779367]);
    poly[1562] = _TzPolygon([
      46.189036,
      29.059995,
      46.195613,
      29.067531,
      46.258659,
      28.953959,
      46.316608,
      29.003726,
      46.457542,
      28.930663,
      46.462343,
      29.025533,
      46.489009,
      28.981283,
      46.515295,
      29.163915,
      46.544501,
      29.161788,
      46.558290,
      29.235876,
      46.485533,
      29.255138,
      46.463766,
      29.219447,
      46.416168,
      29.246633,
      46.386551,
      29.206645,
      46.376099,
      29.240829,
      46.406216,
      29.263966,
      46.414880,
      29.324260,
      46.464886,
      29.307760,
      46.504277,
      29.351412,
      46.425190,
      29.396120,
      46.446637,
      29.386786,
      46.498572,
      29.448503,
      46.482627,
      29.471522,
      46.189036,
      29.471522
    ]);
    poly[1563] = _TzPolygon([
      46.956647,
      29.558599,
      46.940246,
      29.572091,
      46.955181,
      29.639654,
      46.919428,
      29.647923,
      46.932117,
      29.718064,
      46.860959,
      29.749357,
      46.886127,
      29.884074,
      46.820437,
      29.905955,
      46.831842,
      29.968595,
      46.816256,
      29.978699,
      46.805812,
      29.935205,
      46.752119,
      29.974704,
      46.648469,
      29.945927,
      46.594936,
      29.968298,
      46.581747,
      29.935469,
      46.555594,
      29.945005,
      46.546736,
      29.876122,
      46.493758,
      29.937170,
      46.510185,
      29.986755,
      46.442088,
      30.022569,
      46.423903,
      30.078398,
      46.440069,
      30.095724,
      46.411018,
      30.134279,
      46.429070,
      30.156998,
      46.413530,
      30.163676,
      46.375208,
      30.096903,
      46.397055,
      30.069925,
      46.384055,
      29.987943,
      46.400465,
      29.938624,
      46.352242,
      29.891151,
      46.385474,
      29.805106,
      46.395807,
      29.822939,
      46.473417,
      29.742384,
      46.435027,
      29.734494,
      46.435796,
      29.660070,
      46.361197,
      29.677614,
      46.353762,
      29.603096,
      46.416455,
      29.566173,
      46.427966,
      29.494415,
      46.461665,
      29.501782,
      46.482627,
      29.471522,
      46.956647,
      29.471522
    ]);
    poly[1564] = _TzPolygon([
      47.591321,
      27.395058,
      47.583010,
      27.427869,
      47.485189,
      27.474917,
      47.490804,
      27.516353,
      47.473707,
      27.516315,
      47.489023,
      27.538205,
      47.462968,
      27.573188,
      47.373078,
      27.568975,
      47.340122,
      27.615174,
      47.327830,
      27.580928,
      47.299458,
      27.646472,
      47.309475,
      27.679228,
      47.284262,
      27.686121,
      47.292658,
      27.732268,
      47.165882,
      27.811124,
      47.142371,
      27.781268,
      47.135636,
      27.842587,
      47.121362,
      27.826104,
      47.107906,
      27.874845,
      47.073384,
      27.897567,
      47.024735,
      28.048559,
      47.011512,
      28.032028,
      46.978963,
      28.095868,
      46.956647,
      28.087808,
      46.956647,
      27.395058
    ]);
    poly[1565] = _TzPolygon([
      48.125174,
      28.779367,
      48.124626,
      28.687788,
      48.146792,
      28.682087,
      48.143291,
      28.647500,
      48.182449,
      28.577346,
      48.150789,
      28.502940,
      48.066194,
      28.500365,
      48.074163,
      28.463514,
      48.122174,
      28.421710,
      48.172392,
      28.428371,
      48.175104,
      28.383157,
      48.135689,
      28.349255,
      48.139494,
      28.306635,
      48.191940,
      28.361591,
      48.244952,
      28.356030,
      48.204756,
      28.208334,
      48.257023,
      28.177712,
      48.235203,
      28.086369,
      48.319264,
      28.070548,
      48.328138,
      27.954409,
      48.446591,
      27.786334,
      48.441817,
      27.643608,
      48.461293,
      27.591424,
      48.491781,
      27.587007,
      48.448634,
      27.466625,
      48.408786,
      27.444729,
      48.409814,
      27.395058,
      48.491870,
      27.395058,
      48.491870,
      28.779367
    ]);
    poly[1566] = _TzPolygon([
      48.125174,
      28.779367,
      48.125544,
      28.841119,
      48.034946,
      28.839449,
      48.012558,
      28.901888,
      48.000808,
      28.877663,
      47.960140,
      28.925847,
      47.979190,
      28.961602,
      47.943896,
      29.073763,
      47.983071,
      29.092889,
      47.993778,
      29.175315,
      47.884369,
      29.200638,
      47.887916,
      29.281629,
      47.819845,
      29.198421,
      47.798435,
      29.219308,
      47.803708,
      29.276135,
      47.719069,
      29.204364,
      47.683763,
      29.231107,
      47.642297,
      29.209387,
      47.642589,
      29.233957,
      47.571964,
      29.184660,
      47.554424,
      29.116945,
      47.506554,
      29.151540,
      47.513966,
      29.189672,
      47.459233,
      29.157564,
      47.467106,
      29.190555,
      47.425058,
      29.190968,
      47.461969,
      29.242346,
      47.415307,
      29.243755,
      47.449200,
      29.317490,
      47.370553,
      29.337622,
      47.379761,
      29.390722,
      47.300472,
      29.398362,
      47.292148,
      29.427045,
      47.305878,
      29.485716,
      47.355861,
      29.487653,
      47.370401,
      29.574194,
      47.257392,
      29.598693,
      47.251388,
      29.552110,
      47.135764,
      29.579925,
      47.131522,
      29.494747,
      47.075449,
      29.530202,
      47.096057,
      29.613469,
      47.044726,
      29.628676,
      47.041634,
      29.602483,
      46.963570,
      29.595786,
      46.958091,
      29.557411,
      46.956647,
      29.558599,
      46.956647,
      28.779367
    ]);
    poly[1567] = _TzPolygon([
      51.902524,
      24.626441,
      51.881058,
      24.749688,
      51.911854,
      24.810195,
      51.896012,
      24.843100,
      51.916873,
      24.914533,
      51.891212,
      24.934199,
      51.969236,
      25.191415,
      51.919196,
      25.458280,
      51.940755,
      25.527307,
      51.921626,
      25.780682,
      51.950015,
      25.765302,
      51.915417,
      25.924456,
      51.933392,
      25.995432,
      51.912257,
      26.093130,
      51.865217,
      26.156210,
      51.862946,
      26.371044,
      51.878258,
      26.395531,
      51.831160,
      26.395656,
      51.799560,
      26.466617,
      51.796025,
      26.546698,
      51.830334,
      26.592624,
      51.823304,
      26.693605,
      51.758764,
      26.796078,
      51.766924,
      26.850588,
      51.736194,
      26.950488,
      51.768554,
      26.993748,
      51.773829,
      27.207200,
      51.666504,
      27.213218,
      51.654421,
      27.273006,
      51.601807,
      27.240360,
      51.614910,
      27.395058,
      48.491870,
      27.395058,
      48.491870,
      24.626441
    ]);
    poly[1568] = _TzPolygon([
      51.509262,
      28.779367,
      51.493647,
      28.766680,
      51.465880,
      28.779367,
      51.445531,
      28.779367,
      51.415874,
      28.757398,
      51.466944,
      28.739978,
      51.444714,
      28.687788,
      51.562564,
      28.635778,
      51.568134,
      28.662728,
      51.593459,
      28.471544,
      51.539384,
      28.359488,
      51.578094,
      28.345578,
      51.622894,
      28.260268,
      51.681434,
      28.264388,
      51.643924,
      28.173748,
      51.583074,
      28.117278,
      51.566424,
      28.051008,
      51.558184,
      27.945788,
      51.595604,
      27.980288,
      51.578604,
      27.926388,
      51.617234,
      27.918058,
      51.630552,
      27.843869,
      51.618066,
      27.822487,
      51.545474,
      27.854288,
      51.531067,
      27.805329,
      51.474064,
      27.759098,
      51.517844,
      27.668808,
      51.562304,
      27.724168,
      51.604614,
      27.727598,
      51.605409,
      27.618852,
      51.637645,
      27.517223,
      51.587874,
      27.510618,
      51.620234,
      27.457918,
      51.614910,
      27.395058,
      53.725332,
      27.395058,
      53.725332,
      28.779367
    ]);
    poly[1569] = _TzPolygon([
      51.509262,
      28.779367,
      53.725332,
      28.779367,
      53.725332,
      30.163676,
      51.489027,
      30.163676,
      51.506040,
      30.018119,
      51.471172,
      29.962499,
      51.492094,
      29.926588,
      51.478444,
      29.885638,
      51.446254,
      29.881348,
      51.459994,
      29.813458,
      51.441714,
      29.797328,
      51.457414,
      29.744278,
      51.531054,
      29.740418,
      51.529944,
      29.716728,
      51.506344,
      29.633648,
      51.463934,
      29.585408,
      51.482474,
      29.538798,
      51.396768,
      29.495688,
      51.415104,
      29.421558,
      51.377674,
      29.326198,
      51.454234,
      29.309118,
      51.495614,
      29.251008,
      51.567964,
      29.257448,
      51.573849,
      29.208752,
      51.653415,
      29.165770,
      51.652339,
      29.117303,
      51.573522,
      28.999378,
      51.590203,
      28.912548,
      51.558821,
      28.819633
    ]);
    poly[1570] = _TzPolygon(
        [51.465880, 28.779367, 51.453294, 28.785118, 51.445531, 28.779367]);
    poly[1571] = _TzPolygon([
      45.421424,
      32.208000,
      45.478795,
      32.223017,
      45.596938,
      32.321802,
      45.712325,
      32.589062,
      45.826642,
      32.772702,
      45.838117,
      32.820238,
      45.421424,
      32.820238
    ]);
    poly[1572] = _TzPolygon([
      45.838117,
      32.820238,
      46.012031,
      33.540719,
      46.061247,
      33.591187,
      46.102564,
      33.572133,
      46.142443,
      33.641275,
      46.213917,
      33.613551,
      46.229580,
      33.646771,
      46.185247,
      33.739978,
      46.199667,
      33.848686,
      46.066863,
      34.184374,
      46.057880,
      34.339623,
      45.944139,
      34.476221,
      45.994384,
      34.561169,
      45.986403,
      34.628541,
      45.900648,
      34.802169,
      45.810464,
      34.799087,
      45.756568,
      34.959775,
      45.791730,
      35.233420,
      45.742558,
      35.289352,
      45.421424,
      35.289352,
      45.421424,
      32.820238
    ]);
    poly[1573] = _TzPolygon([
      46.257563,
      35.289352,
      46.264581,
      35.278063,
      46.299899,
      35.073536,
      46.481629,
      35.054623,
      46.512356,
      34.946811,
      46.506780,
      34.890386,
      46.562570,
      34.891220,
      46.549324,
      34.757601,
      46.584190,
      34.748275,
      46.581467,
      34.723299,
      46.620074,
      34.712764,
      46.626976,
      34.756309,
      46.683219,
      34.746177,
      46.687619,
      34.632236,
      46.723972,
      34.625226,
      46.757895,
      34.750486,
      46.783177,
      34.753469,
      46.783177,
      35.289352
    ]);
    poly[1574] = _TzPolygon([
      46.783177,
      35.289352,
      46.783177,
      34.753469,
      46.822707,
      34.758132,
      46.828935,
      34.817047,
      46.882527,
      34.804683,
      46.879537,
      34.752569,
      46.961456,
      34.736151,
      46.973397,
      34.623843,
      47.026792,
      34.591657,
      47.024492,
      34.567270,
      47.240600,
      34.490998,
      47.250760,
      34.530098,
      47.307786,
      34.480456,
      47.336228,
      34.515886,
      47.323341,
      34.413485,
      47.287172,
      34.401226,
      47.290704,
      34.329064,
      47.269141,
      34.305347,
      47.433865,
      34.242689,
      47.477250,
      34.139465,
      47.561616,
      34.572379,
      47.515072,
      34.862273,
      47.533994,
      34.952961,
      47.673885,
      34.905713,
      47.677400,
      34.938240,
      47.769629,
      34.957517,
      47.760161,
      34.893573,
      47.852815,
      34.897232,
      47.850626,
      34.870804,
      47.880530,
      34.860842,
      47.864329,
      34.817113,
      47.915638,
      34.801974,
      47.941951,
      34.876423,
      47.933461,
      34.919089,
      47.985719,
      34.904884,
      47.982394,
      34.869539,
      48.013920,
      34.846968,
      48.050513,
      34.839214,
      48.054464,
      34.875664,
      48.133049,
      34.855113,
      48.130604,
      34.915813,
      48.090937,
      34.914723,
      48.089190,
      34.990259,
      48.131607,
      35.101746,
      48.144930,
      35.284295,
      48.143278,
      35.289352
    ]);
    poly[1575] = _TzPolygon([
      46.257563,
      35.289352,
      46.146486,
      35.468039,
      45.985265,
      35.327373,
      45.973682,
      35.289352
    ]);
    poly[1576] = _TzPolygon([
      46.783177,
      37.119425,
      46.783177,
      37.539197,
      46.701587,
      37.397939,
      46.688042,
      37.279713,
      46.710379,
      37.168722
    ]);
    poly[1577] = _TzPolygon([
      45.742558,
      35.289352,
      45.627804,
      35.419882,
      45.560338,
      35.459695,
      45.489533,
      35.574751,
      45.583784,
      35.638433,
      45.637030,
      35.751885,
      45.645401,
      35.871149,
      45.616733,
      35.981773,
      45.671500,
      36.338701,
      45.626621,
      36.668450,
      45.456612,
      36.681568,
      45.421424,
      36.674992,
      45.421424,
      35.289352
    ]);
    poly[1578] = _TzPolygon([
      46.783177,
      35.289352,
      46.783177,
      37.119425,
      46.710379,
      37.168722,
      46.638923,
      37.024161,
      46.512931,
      36.947317,
      46.469222,
      36.845648,
      46.459831,
      36.743574,
      46.483645,
      36.628806,
      46.535651,
      36.545704,
      46.528155,
      36.498783,
      46.352883,
      36.292107,
      46.301961,
      36.137440,
      46.321956,
      35.968556,
      46.409999,
      35.844422,
      46.262811,
      35.581937,
      46.146486,
      35.468039,
      46.257563,
      35.289352
    ]);
    poly[1579] = _TzPolygon([
      48.143278,
      35.289352,
      48.100188,
      35.421262,
      48.096098,
      35.514657,
      48.074415,
      35.523657,
      48.140215,
      35.703412,
      48.095748,
      35.742825,
      48.100611,
      35.806053,
      48.066123,
      35.816863,
      48.092513,
      35.974996,
      48.043179,
      35.975291,
      48.059072,
      36.052484,
      48.025199,
      36.065531,
      48.018716,
      36.034434,
      47.971518,
      36.070745,
      47.965521,
      36.047946,
      47.927863,
      36.119729,
      47.864762,
      36.119227,
      47.880001,
      36.054061,
      47.848833,
      36.073651,
      47.859448,
      36.195824,
      47.832545,
      36.197574,
      47.833203,
      36.266186,
      47.815475,
      36.275517,
      47.820649,
      36.332645,
      47.839467,
      36.324133,
      47.824198,
      36.475956,
      47.834120,
      36.523909,
      46.783177,
      36.523909,
      46.783177,
      35.289352
    ]);
    poly[1580] = _TzPolygon([
      46.783177,
      37.758466,
      46.783177,
      37.545337,
      46.829891,
      37.620074,
      46.838158,
      37.758466
    ]);
    poly[1581] = _TzPolygon([
      47.834120,
      36.523909,
      47.850838,
      36.604701,
      47.785356,
      36.587632,
      47.793582,
      36.671306,
      47.678871,
      36.713380,
      47.684922,
      36.791644,
      47.658847,
      36.718272,
      47.631093,
      36.725195,
      47.634113,
      36.765849,
      47.606596,
      36.748103,
      47.624229,
      36.830317,
      47.544915,
      36.893411,
      47.576132,
      36.944339,
      47.538865,
      37.001596,
      47.552798,
      37.021027,
      47.493700,
      37.074217,
      47.456132,
      37.154445,
      47.483657,
      37.179798,
      47.457234,
      37.248629,
      47.355765,
      37.203418,
      47.341438,
      37.161980,
      47.381105,
      37.146039,
      47.375957,
      37.106553,
      47.340373,
      37.122177,
      47.299984,
      37.036127,
      47.319416,
      36.926022,
      47.201656,
      36.962614,
      47.199134,
      36.854610,
      47.127163,
      37.002222,
      47.089360,
      37.012767,
      47.079772,
      36.985416,
      47.047479,
      37.081212,
      47.059249,
      37.098695,
      47.039107,
      37.124917,
      47.007462,
      37.089337,
      46.981994,
      37.141133,
      46.927899,
      37.021422,
      46.783177,
      37.119425,
      46.783177,
      36.523909
    ]);
    poly[1582] = _TzPolygon([
      48.144930,
      39.895619,
      48.079195,
      39.868888,
      48.067014,
      39.833967,
      48.041607,
      39.883388,
      48.039784,
      39.776498,
      47.981221,
      39.823100,
      47.870376,
      39.794920,
      47.870690,
      39.763449,
      47.827780,
      39.738043,
      47.825060,
      39.542516,
      47.860680,
      39.477806,
      47.829727,
      39.413225,
      47.871160,
      39.387309,
      47.842672,
      39.109463,
      47.869532,
      39.083110,
      47.877692,
      38.879210,
      47.864457,
      38.837614,
      47.815919,
      38.828819,
      47.815917,
      38.788923,
      47.685525,
      38.772608,
      47.698729,
      38.665828,
      47.669314,
      38.666027,
      47.669396,
      38.629272,
      47.644581,
      38.616437,
      47.644044,
      38.456485,
      47.617111,
      38.456750,
      47.616646,
      38.350461,
      47.576197,
      38.350716,
      47.576145,
      38.310793,
      47.544310,
      38.284727,
      47.392848,
      38.302390,
      47.327078,
      38.221134,
      47.305397,
      38.220892,
      47.306254,
      38.336040,
      47.256950,
      38.324490,
      47.228951,
      38.232909,
      47.122607,
      38.228514,
      46.980752,
      38.338122,
      46.861000,
      38.140864,
      46.838158,
      37.758466,
      48.144930,
      37.758466
    ]);
    poly[1583] = _TzPolygon([
      50.935131,
      30.163920,
      51.488995,
      30.163950,
      51.512522,
      30.180171,
      51.423490,
      30.348868,
      51.379654,
      30.362688,
      51.360506,
      30.324176,
      51.312709,
      30.397559,
      51.306479,
      30.462565,
      51.275247,
      30.458576,
      51.257598,
      30.567447,
      51.288054,
      30.617985,
      51.311842,
      30.593602,
      51.335418,
      30.651555,
      51.376181,
      30.655698,
      51.428877,
      30.621517,
      51.430499,
      30.586117,
      51.449754,
      30.580096,
      51.464841,
      30.623226,
      51.511444,
      30.568350,
      51.546258,
      30.583926,
      51.541634,
      30.545717,
      51.569584,
      30.526763,
      51.578866,
      30.553735,
      51.600618,
      30.506515,
      51.646103,
      30.579762,
      51.704142,
      30.560329,
      51.713577,
      30.625127,
      51.760027,
      30.651209,
      51.766848,
      30.613727,
      51.791112,
      30.669761,
      51.868461,
      30.706888,
      51.903584,
      30.749673,
      51.899056,
      30.802579,
      51.946853,
      30.805138,
      51.969377,
      30.890014,
      52.002858,
      30.895551,
      52.013500,
      30.939852,
      52.089481,
      30.949328,
      52.077601,
      30.991648,
      52.103113,
      31.139918,
      52.042229,
      31.252996,
      52.051623,
      31.297521,
      52.105264,
      31.327768,
      52.139501,
      31.421664,
      50.935131,
      31.421664
    ]);
    poly[1584] = _TzPolygon([
      52.139501,
      31.421664,
      52.143408,
      31.432380,
      52.116557,
      31.483439,
      52.117680,
      31.659250,
      52.096740,
      31.721390,
      52.110178,
      31.867792,
      52.074718,
      31.960990,
      52.042205,
      31.916570,
      52.033627,
      32.096324,
      52.146496,
      32.367903,
      52.151543,
      32.323895,
      52.182471,
      32.346867,
      52.223413,
      32.324542,
      52.246044,
      32.401502,
      52.316218,
      32.351885,
      52.330231,
      32.368461,
      52.330231,
      32.411663,
      52.314381,
      32.489679,
      52.326866,
      32.550034,
      52.258883,
      32.679652,
      50.935131,
      32.679652,
      50.935131,
      31.421664
    ]);
    poly[1585] = _TzPolygon([
      52.330231,
      31.598064,
      52.328220,
      31.581830,
      52.266000,
      31.712210,
      52.194464,
      31.688264,
      52.185570,
      31.781040,
      52.126010,
      31.792800,
      52.096740,
      31.721390,
      52.117680,
      31.659250,
      52.116557,
      31.483439,
      52.136714,
      31.421664,
      52.330231,
      31.421664
    ]);
    poly[1586] = _TzPolygon([
      52.894914,
      31.421664,
      52.911270,
      31.393520,
      52.984735,
      31.356082,
      53.032324,
      31.242258,
      53.041807,
      31.330609,
      53.091232,
      31.334780,
      53.096492,
      31.391200,
      53.143960,
      31.363560,
      53.178290,
      31.414890,
      53.211850,
      31.401840,
      53.209458,
      31.421664
    ]);
    poly[1587] = _TzPolygon(
        [52.330231, 32.368461, 52.337308, 32.376832, 52.330231, 32.411663]);
    poly[1588] = _TzPolygon([
      52.894914,
      31.421664,
      52.860540,
      31.480810,
      52.860030,
      31.533420,
      52.831530,
      31.519430,
      52.791369,
      31.589628,
      52.734477,
      31.592854,
      52.695225,
      31.497790,
      52.635151,
      31.569472,
      52.594278,
      31.563952,
      52.561145,
      31.673623,
      52.517650,
      31.557630,
      52.492500,
      31.626120,
      52.459290,
      31.579600,
      52.453450,
      31.610840,
      52.414902,
      31.594092,
      52.398180,
      31.632560,
      52.333469,
      31.624193,
      52.330231,
      31.598064,
      52.330231,
      31.421664
    ]);
    poly[1589] = _TzPolygon([
      53.209458,
      31.421664,
      53.192279,
      31.564014,
      53.231080,
      31.628350,
      53.179727,
      31.786399,
      53.113004,
      31.826052,
      53.106540,
      31.917430,
      53.083064,
      31.934674,
      53.100116,
      32.019064,
      53.076191,
      32.094753,
      53.108855,
      32.187569,
      53.099169,
      32.236073,
      53.129171,
      32.245244,
      53.127664,
      32.302219,
      53.185125,
      32.357738,
      53.208254,
      32.448315,
      53.281630,
      32.509490,
      53.303520,
      32.488460,
      53.290525,
      32.583307,
      53.340340,
      32.616520,
      53.336125,
      32.679652,
      53.027782,
      32.679652,
      53.027782,
      31.421664
    ]);
    poly[1590] = _TzPolygon(
        [53.467119, 32.679652, 53.469859, 32.655914, 53.478651, 32.679652]);
    poly[1591] = _TzPolygon([
      53.485595,
      32.679652,
      53.504122,
      32.647068,
      53.478814,
      32.604242,
      53.512869,
      32.603302,
      53.548880,
      32.477916,
      53.607440,
      32.425800,
      53.637346,
      32.449797,
      53.650663,
      32.413898,
      53.681135,
      32.498951,
      53.725332,
      32.469025,
      53.725332,
      32.679652
    ]);
    poly[1592] = _TzPolygon(
        [53.725332, 32.405016, 53.717399, 32.369175, 53.725332, 32.363125]);
    poly[1593] = _TzPolygon([
      52.258883,
      32.679652,
      52.247901,
      32.700590,
      52.258938,
      32.817053,
      52.278295,
      32.833022,
      52.273371,
      32.884404,
      52.245768,
      32.903041,
      52.271860,
      32.995741,
      52.329554,
      33.059918,
      52.302594,
      33.066987,
      52.330231,
      33.110628,
      52.330231,
      33.492561,
      52.313645,
      33.482473,
      52.301927,
      33.560506,
      52.323620,
      33.543903,
      52.310883,
      33.581748,
      52.330231,
      33.623782,
      52.330231,
      33.835637,
      52.320047,
      33.839330,
      52.285327,
      33.937640,
      50.935131,
      33.937640,
      50.935131,
      32.679652
    ]);
    poly[1594] = _TzPolygon([
      51.054917,
      35.195628,
      51.082569,
      35.147555,
      51.098688,
      35.176918,
      51.165138,
      35.123351,
      51.223420,
      35.150266,
      51.232027,
      35.075192,
      51.204421,
      35.038756,
      51.235543,
      34.979959,
      51.193014,
      34.898200,
      51.199156,
      34.862314,
      51.169341,
      34.834803,
      51.184781,
      34.784451,
      51.171520,
      34.716637,
      51.197351,
      34.668936,
      51.247442,
      34.662643,
      51.253669,
      34.602982,
      51.233516,
      34.580467,
      51.273769,
      34.384180,
      51.238443,
      34.305761,
      51.265068,
      34.230800,
      51.335087,
      34.281333,
      51.329325,
      34.314573,
      51.355534,
      34.338553,
      51.417153,
      34.220780,
      51.519200,
      34.308408,
      51.533277,
      34.259867,
      51.584811,
      34.237452,
      51.574344,
      34.216291,
      51.600376,
      34.210997,
      51.596765,
      34.182334,
      51.632681,
      34.171261,
      51.632681,
      35.195628
    ]);
    poly[1595] = _TzPolygon([
      51.632681,
      35.195628,
      51.632681,
      34.171261,
      51.645658,
      34.167260,
      51.666141,
      34.080223,
      51.720262,
      34.308898,
      51.722327,
      34.422853,
      51.825296,
      34.415372,
      51.887170,
      34.302857,
      51.881644,
      34.245607,
      51.909282,
      34.261492,
      51.920386,
      34.219117,
      51.968942,
      34.189590,
      51.967985,
      34.142928,
      51.999722,
      34.139722,
      52.004262,
      34.096917,
      52.073060,
      34.062654,
      52.141084,
      34.116280,
      52.166597,
      34.059306,
      52.201395,
      34.052827,
      52.249458,
      33.937640,
      52.330231,
      33.937640,
      52.330231,
      35.195628
    ]);
    poly[1596] = _TzPolygon([
      52.330231,
      33.110628,
      52.345008,
      33.133961,
      52.340846,
      33.169563,
      52.379147,
      33.188660,
      52.350143,
      33.306382,
      52.371641,
      33.380563,
      52.342656,
      33.446812,
      52.364970,
      33.454520,
      52.358271,
      33.509616,
      52.330231,
      33.492561
    ]);
    poly[1597] = _TzPolygon([
      52.330231,
      33.623782,
      52.357180,
      33.682326,
      52.364174,
      33.823330,
      52.330231,
      33.835637
    ]);
    poly[1598] = _TzPolygon(
        [53.485595, 32.679652, 53.481390, 32.687047, 53.478651, 32.679652]);
    poly[1599] = _TzPolygon([
      53.467119,
      32.679652,
      53.458180,
      32.757110,
      53.424277,
      32.762781,
      53.374070,
      32.722950,
      53.332530,
      32.733500,
      53.336125,
      32.679652
    ]);
  }
}

class _Initializer17 {
  static void _init() {
    poly[1600] = _TzPolygon([
      50.115373,
      37.711604,
      50.175930,
      37.640700,
      50.220050,
      37.614440,
      50.311370,
      37.635550,
      50.306570,
      37.577020,
      50.369220,
      37.471960,
      50.457460,
      37.491020,
      50.435476,
      37.327272,
      50.401301,
      37.292486,
      50.356464,
      37.152979,
      50.337728,
      36.870278,
      50.269140,
      36.692960,
      50.217650,
      36.648670,
      50.250610,
      36.560440,
      50.285800,
      36.584990,
      50.311200,
      36.439930,
      50.330770,
      36.433410,
      50.287510,
      36.363030,
      50.291630,
      36.295740,
      50.335580,
      36.283720,
      50.431540,
      36.160640,
      50.448360,
      36.086650,
      50.438570,
      35.889760,
      50.422440,
      35.872420,
      50.433770,
      35.831740,
      50.354460,
      35.738180,
      50.352028,
      35.626223,
      50.392662,
      35.584247,
      50.448799,
      35.585831,
      50.488533,
      35.476419,
      50.579986,
      35.390346,
      50.603176,
      35.425650,
      50.649999,
      35.392916,
      50.655864,
      35.485734,
      50.678792,
      35.496181,
      50.689089,
      35.459298,
      50.776804,
      35.488713,
      50.802563,
      35.411406,
      50.843828,
      35.419118,
      50.870043,
      35.382315,
      50.914590,
      35.400609,
      50.935131,
      35.352758,
      50.935131,
      37.711604
    ]);
    poly[1601] = _TzPolygon([
      48.144930,
      39.895619,
      48.179846,
      39.909817,
      48.180959,
      39.937016,
      48.228610,
      39.942000,
      48.225119,
      40.009591,
      48.253857,
      40.020759,
      48.317058,
      39.990334,
      48.269628,
      39.915035,
      48.308549,
      39.887606,
      48.310054,
      39.841160,
      48.332856,
      39.845318,
      48.355060,
      39.947622,
      48.386320,
      39.941515,
      48.390379,
      39.905720,
      48.447388,
      39.898189,
      48.473752,
      39.846444,
      48.567896,
      39.850427,
      48.593009,
      39.791632,
      48.586802,
      39.687888,
      48.609086,
      39.660649,
      48.655139,
      39.710918,
      48.720508,
      39.704308,
      48.770200,
      39.743730,
      48.765838,
      39.768274,
      48.842602,
      39.800105,
      48.793034,
      39.975528,
      48.870137,
      40.080107,
      48.915888,
      40.035112,
      48.868206,
      39.993232,
      48.895836,
      39.924972,
      48.903129,
      39.839405,
      48.886460,
      39.826994,
      48.920686,
      39.776504,
      48.985943,
      39.752947,
      48.975715,
      39.726482,
      49.000885,
      39.663700,
      49.050480,
      39.693157,
      49.056400,
      39.938050,
      49.179759,
      40.031113,
      49.186987,
      40.077370,
      49.239839,
      40.137254,
      49.249899,
      40.221282,
      49.281223,
      40.185930,
      49.346472,
      40.194611,
      49.453605,
      40.029344,
      49.520718,
      40.039205,
      49.540031,
      40.091620,
      49.540031,
      40.227580,
      48.144930,
      40.227580
    ]);
    poly[1602] = _TzPolygon([
      50.115373,
      37.711604,
      50.078430,
      37.754860,
      50.084090,
      37.796920,
      50.033800,
      37.926520,
      49.932944,
      38.043720,
      49.900151,
      38.032974,
      49.942388,
      38.124554,
      49.924620,
      38.132170,
      49.979138,
      38.221848,
      50.079996,
      38.178230,
      50.088189,
      38.314179,
      50.006911,
      38.350535,
      49.981774,
      38.416295,
      50.001350,
      38.434120,
      49.995340,
      38.469310,
      49.963240,
      38.488710,
      49.977490,
      38.582610,
      49.955860,
      38.647500,
      50.007700,
      38.686980,
      49.983500,
      38.718050,
      49.934926,
      38.693973,
      49.878373,
      38.790971,
      49.869347,
      38.901209,
      49.796833,
      38.930691,
      49.815629,
      39.066840,
      49.888802,
      39.179943,
      49.755360,
      39.285220,
      49.738540,
      39.378780,
      49.760000,
      39.443660,
      49.733730,
      39.610520,
      49.718280,
      39.591290,
      49.616660,
      39.657900,
      49.597430,
      39.750250,
      49.557950,
      39.806040,
      49.558300,
      39.891180,
      49.597090,
      39.952120,
      49.617102,
      40.135392,
      49.568770,
      40.169620,
      49.540031,
      40.091620,
      49.540031,
      37.711604
    ]);
    poly[1603] = _TzPolygon([
      51.054917,
      35.195628,
      51.046731,
      35.209859,
      51.078738,
      35.304382,
      51.048040,
      35.406019,
      51.008771,
      35.374721,
      51.013712,
      35.322969,
      50.973302,
      35.352093,
      50.946752,
      35.325686,
      50.935131,
      35.352758,
      50.935131,
      35.195628
    ]);
    poly[1604] = _TzPolygon([
      53.725332,
      14.272899,
      53.772292,
      14.283610,
      53.911975,
      14.185316,
      53.927739,
      14.226073,
      53.988478,
      14.242120,
      54.126897,
      14.201342,
      54.152844,
      14.394846,
      54.331540,
      15.164534,
      54.399122,
      15.553064,
      53.725332,
      15.553064
    ]);
    poly[1605] = _TzPolygon([
      54.399122,
      8.113125,
      54.601573,
      7.964576,
      54.698699,
      7.938049,
      54.920829,
      7.947187,
      55.099161,
      8.044381,
      55.064762,
      8.290037,
      55.085010,
      8.318650,
      55.054718,
      8.472381,
      55.000013,
      8.501565,
      54.992817,
      8.557248,
      54.920839,
      8.555431,
      54.892750,
      8.727911,
      54.902549,
      8.947878,
      54.871978,
      9.048087,
      54.873010,
      9.143029,
      54.849949,
      9.240340,
      54.809680,
      9.250108,
      54.801675,
      9.294939,
      54.800247,
      9.343714,
      54.839188,
      9.382835,
      54.841226,
      9.497759,
      54.886994,
      9.591819,
      54.879789,
      9.628013,
      54.854517,
      9.604632,
      54.823311,
      9.739948,
      54.841796,
      9.894307,
      54.766084,
      10.051551,
      54.738185,
      10.169379,
      54.593182,
      10.338823,
      54.520681,
      10.592155,
      54.514292,
      10.754655,
      54.547348,
      10.819932,
      54.577071,
      11.141320,
      54.529570,
      11.311042,
      54.399122,
      11.529757
    ]);
    poly[1606] = _TzPolygon([
      54.541309,
      11.529757,
      55.099161,
      11.529757,
      55.099161,
      12.854608,
      54.960148,
      12.905830,
      54.855604,
      12.837837,
      54.626667,
      12.240000,
      54.468333,
      12.145000,
      54.451667,
      11.795000
    ]);
    poly[1607] = _TzPolygon([
      62.278222,
      10.246714,
      58.771697,
      10.246714,
      58.747919,
      10.073833,
      58.672279,
      9.788358,
      58.169217,
      8.930945,
      57.944172,
      8.466337,
      57.781482,
      7.785412,
      57.759005,
      7.557423,
      57.763182,
      7.163854,
      57.790587,
      6.911183,
      57.878010,
      6.502065,
      57.935701,
      6.343954,
      58.279790,
      5.610457,
      58.428829,
      5.362522,
      58.599257,
      5.179829,
      58.923149,
      5.005936,
      58.969021,
      4.940364,
      62.278222,
      4.940364
    ]);
    poly[1608] = _TzPolygon([
      58.688691,
      10.607329,
      58.688691,
      15.553064,
      55.767154,
      15.553064,
      55.782806,
      15.491591,
      55.889083,
      15.298843,
      55.898157,
      15.152973,
      55.817805,
      15.002583,
      55.755712,
      14.591441,
      55.593614,
      14.713306,
      55.467357,
      14.698417,
      55.184507,
      14.289427,
      55.177704,
      14.012884,
      55.216535,
      13.791729,
      55.133119,
      13.366489,
      55.167829,
      13.013009,
      55.134990,
      12.876107,
      55.250000,
      12.677222,
      55.431722,
      12.610583,
      55.643295,
      12.895874,
      55.827194,
      12.708611,
      55.926465,
      12.652354,
      56.057120,
      12.642107,
      56.216361,
      12.363333,
      56.303917,
      12.087750,
      56.637041,
      12.299621,
      56.812974,
      12.046213,
      56.957378,
      11.926535,
      57.152065,
      11.635995,
      57.452289,
      11.406369,
      57.700257,
      11.160502,
      58.257843,
      10.845084,
      58.486560,
      10.647139
    ]);
    poly[1609] = _TzPolygon([
      62.278222,
      12.291750,
      62.267459,
      12.299349,
      61.723818,
      12.137666,
      61.562981,
      12.419610,
      61.568747,
      12.569326,
      61.356496,
      12.870855,
      61.059536,
      12.681402,
      61.050730,
      12.447622,
      61.013078,
      12.223992,
      60.890172,
      12.332790,
      60.733887,
      12.395371,
      60.512742,
      12.606883,
      60.405896,
      12.606041,
      60.323653,
      12.498796,
      60.193389,
      12.541886,
      60.039177,
      12.448559,
      59.889805,
      12.174293,
      59.900719,
      11.985176,
      59.841231,
      11.839761,
      59.794000,
      11.926022,
      59.700461,
      11.946005,
      59.693208,
      11.889217,
      59.648291,
      11.855614,
      59.608781,
      11.697964,
      59.241607,
      11.829796,
      59.207250,
      11.783257,
      59.087994,
      11.776226,
      59.033676,
      11.710516,
      58.906233,
      11.652003,
      58.898932,
      11.553399,
      58.877418,
      11.537413,
      58.889183,
      11.455813,
      58.991152,
      11.464598,
      59.114979,
      11.339912,
      59.079257,
      11.153506,
      58.977394,
      11.066417,
      58.892276,
      10.638924,
      58.760960,
      10.593095,
      58.775026,
      10.270920,
      58.771697,
      10.246714,
      62.278222,
      10.246714
    ]);
    poly[1610] = _TzPolygon([
      62.278222,
      12.291750,
      62.611919,
      12.056144,
      62.747926,
      12.136374,
      62.902566,
      12.074707,
      63.000335,
      12.218233,
      63.269211,
      11.974581,
      63.478591,
      12.212878,
      63.593945,
      12.149771,
      63.671973,
      12.299463,
      63.974222,
      12.683568,
      64.057936,
      12.926685,
      64.095367,
      13.211110,
      64.007970,
      13.967527,
      64.195093,
      14.157102,
      64.462483,
      14.113884,
      64.580341,
      13.654260,
      65.118915,
      14.325986,
      65.247620,
      14.378798,
      65.309717,
      14.506854,
      65.521297,
      14.498773,
      65.700744,
      14.541454,
      65.811807,
      14.625478,
      66.132578,
      14.516290,
      66.153557,
      15.035683,
      66.282459,
      15.484732,
      66.484305,
      15.377227,
      66.563551,
      15.553064,
      62.278222,
      15.553064
    ]);
    poly[1611] = _TzPolygon([
      56.375174,
      21.914593,
      56.371620,
      21.835662,
      56.313729,
      21.725038,
      56.324548,
      21.602943,
      56.294841,
      21.499332,
      56.248679,
      21.452555,
      56.218470,
      21.329391,
      56.162330,
      21.230796,
      56.076723,
      21.201755,
      56.045417,
      20.709717,
      56.247689,
      20.671541,
      56.450421,
      20.685268,
      56.450421,
      21.914593
    ]);
    poly[1612] = _TzPolygon([
      55.081475,
      21.914593,
      55.133053,
      21.722599,
      55.180811,
      21.649195,
      55.198128,
      21.570132,
      55.186820,
      21.501512,
      55.293700,
      21.384371,
      55.245006,
      21.270983,
      55.256388,
      21.098362,
      55.280965,
      20.954949,
      55.384000,
      20.653783,
      55.564933,
      20.748517,
      55.915567,
      20.689350,
      56.045417,
      20.709717,
      56.076723,
      21.201755,
      56.162330,
      21.230796,
      56.316851,
      21.563311,
      56.313717,
      21.724985,
      56.371620,
      21.835662,
      56.374587,
      21.914593
    ]);
    poly[1613] = _TzPolygon([
      54.866931,
      16.993665,
      54.920782,
      17.146934,
      55.028307,
      17.932368,
      55.033696,
      18.276214,
      55.005017,
      18.527130,
      54.936666,
      18.842424,
      54.823007,
      19.091411,
      54.693390,
      19.196960,
      54.646438,
      19.287624,
      54.651736,
      19.353296,
      54.453269,
      19.647215,
      54.318215,
      21.446113,
      54.332149,
      21.914593,
      53.725332,
      21.914593,
      53.725332,
      16.993665
    ]);
    poly[1614] = _TzPolygon([
      55.081475,
      21.914593,
      55.084098,
      22.032408,
      55.042544,
      22.036913,
      55.024998,
      22.075815,
      55.055639,
      22.158566,
      55.064764,
      22.291360,
      55.044526,
      22.470597,
      55.070243,
      22.589236,
      54.969896,
      22.644063,
      54.987501,
      22.678072,
      54.935477,
      22.766351,
      54.918606,
      22.754486,
      54.897382,
      22.846313,
      54.813500,
      22.886684,
      54.766847,
      22.844099,
      54.731498,
      22.743582,
      54.630895,
      22.748774,
      54.585972,
      22.683859,
      54.563868,
      22.713352,
      54.533030,
      22.680588,
      54.453614,
      22.701183,
      54.363325,
      22.792006,
      54.333917,
      21.914593
    ]);
    poly[1615] = _TzPolygon([
      54.332149,
      21.914593,
      54.353770,
      22.641545,
      54.363325,
      22.792006,
      54.406481,
      22.836302,
      54.409528,
      22.883406,
      54.382796,
      23.010215,
      54.361899,
      22.993913,
      54.340959,
      23.063165,
      54.312436,
      23.050971,
      54.298454,
      23.092169,
      54.313240,
      23.144825,
      53.725332,
      23.144825,
      53.725332,
      21.914593
    ]);
    poly[1616] = _TzPolygon([
      53.725332,
      23.568106,
      53.767780,
      23.549050,
      53.956268,
      23.514978,
      53.924715,
      23.610364,
      53.939450,
      23.709766,
      53.898917,
      23.778119,
      53.911082,
      23.818069,
      53.935435,
      23.798596,
      53.955968,
      23.842027,
      53.943918,
      23.886888,
      53.969684,
      23.913018,
      53.923947,
      23.982893,
      53.970019,
      24.201611,
      53.896789,
      24.352059,
      53.897952,
      24.375056,
      53.725332,
      24.375056
    ]);
    poly[1617] = _TzPolygon([
      54.313240,
      23.144825,
      54.314355,
      23.148796,
      54.260910,
      23.233884,
      54.251724,
      23.337519,
      54.163416,
      23.475521,
      54.065780,
      23.528601,
      53.998015,
      23.480697,
      53.851440,
      23.551739,
      53.767780,
      23.549050,
      53.725332,
      23.570543,
      53.725332,
      23.144825
    ]);
    poly[1618] = _TzPolygon([
      56.374587,
      21.914593,
      56.376652,
      21.969540,
      56.424281,
      22.015300,
      56.432437,
      22.129696,
      56.399761,
      22.243398,
      56.410037,
      22.423122,
      56.390542,
      22.580239,
      56.351588,
      22.680003,
      56.373102,
      22.730062,
      56.374160,
      22.899698,
      56.413891,
      22.969172,
      56.406424,
      23.002250,
      56.331154,
      23.026941,
      56.304638,
      23.093250,
      56.337416,
      23.184110,
      56.366887,
      23.170412,
      56.383054,
      23.306452,
      56.332100,
      23.544936,
      56.373324,
      23.764795,
      56.323808,
      23.766690,
      56.342111,
      23.803608,
      56.329762,
      24.018997,
      56.279661,
      24.046005,
      56.277265,
      24.097829,
      56.248898,
      24.121463,
      56.285602,
      24.290133,
      56.300637,
      24.285742,
      56.278108,
      24.375056,
      55.087877,
      24.375056,
      55.087877,
      21.914593
    ]);
    poly[1619] = _TzPolygon([
      55.087877,
      24.375056,
      55.087877,
      26.255842,
      55.077595,
      26.271233,
      54.997414,
      26.208513,
      54.988566,
      26.115941,
      54.941609,
      26.061912,
      54.957828,
      25.983952,
      54.927600,
      25.857818,
      54.815064,
      25.742983,
      54.682823,
      25.730206,
      54.576895,
      25.762555,
      54.460828,
      25.602233,
      54.423516,
      25.632960,
      54.338342,
      25.532031,
      54.314995,
      25.552332,
      54.319202,
      25.684293,
      54.280533,
      25.698712,
      54.238010,
      25.784685,
      54.221919,
      25.750134,
      54.154614,
      25.785372,
      54.168932,
      25.703630,
      54.127654,
      25.638956,
      54.156032,
      25.533872,
      54.186337,
      25.516336,
      54.199215,
      25.562336,
      54.227730,
      25.547368,
      54.232182,
      25.590046,
      54.308451,
      25.512852,
      54.262893,
      25.346167,
      54.275314,
      25.270028,
      54.133653,
      25.070634,
      54.144231,
      24.992929,
      54.172058,
      24.957373,
      54.144862,
      24.813380,
      54.132501,
      24.831230,
      54.103855,
      24.776564,
      54.043439,
      24.822569,
      54.034894,
      24.871140,
      53.997722,
      24.819568,
      54.000241,
      24.757127,
      53.965992,
      24.738840,
      53.962109,
      24.684591,
      54.017142,
      24.697865,
      54.010505,
      24.625907,
      53.966421,
      24.517054,
      53.904167,
      24.447985,
      53.898558,
      24.375056
    ]);
    poly[1620] = _TzPolygon([
      56.278108,
      24.375056,
      56.258158,
      24.454150,
      56.288244,
      24.579504,
      56.375577,
      24.628762,
      56.421858,
      24.806360,
      56.415740,
      24.861585,
      56.450421,
      24.885211,
      56.365285,
      24.969491,
      56.310244,
      24.973320,
      56.265697,
      25.056594,
      56.186044,
      25.092035,
      56.173925,
      25.166406,
      56.192225,
      25.233740,
      56.144918,
      25.314861,
      56.144542,
      25.504736,
      56.165407,
      25.536050,
      56.134404,
      25.601989,
      56.135098,
      25.605288,
      55.087877,
      25.605288,
      55.087877,
      24.375056
    ]);
    poly[1621] = _TzPolygon([
      55.087877,
      26.255842,
      55.105605,
      26.229304,
      55.121354,
      26.260800,
      55.150573,
      26.354683,
      55.128562,
      26.461119,
      55.160963,
      26.516942,
      55.143235,
      26.539978,
      55.155974,
      26.668688,
      55.171935,
      26.705838,
      55.197382,
      26.674918,
      55.215621,
      26.729708,
      55.245157,
      26.731415,
      55.285511,
      26.835475,
      55.321203,
      26.791969,
      55.338933,
      26.664323,
      55.319264,
      26.563708,
      55.347935,
      26.439929,
      55.388833,
      26.554148,
      55.509923,
      26.524219,
      55.572312,
      26.627855,
      55.704284,
      26.644434,
      55.677791,
      26.783964,
      55.699232,
      26.835520,
      55.087877,
      26.835520
    ]);
    poly[1622] = _TzPolygon([
      56.135098,
      25.605288,
      56.450421,
      25.605288,
      56.450421,
      26.835520,
      55.699232,
      26.835520,
      55.677791,
      26.783964,
      55.707504,
      26.652862,
      55.674651,
      26.597454,
      55.709396,
      26.375627,
      55.954231,
      26.045951,
      55.999740,
      25.860356,
      56.054775,
      25.820083,
      56.086457,
      25.687857,
      56.149367,
      25.673123
    ]);
    poly[1623] = _TzPolygon([
      55.763161,
      29.599322,
      55.701576,
      29.515286,
      55.767973,
      29.358618,
      55.871884,
      29.426990,
      55.902240,
      29.394335,
      55.918126,
      29.479532,
      55.968931,
      29.422613,
      55.987883,
      29.216147,
      56.026700,
      29.155782,
      56.016010,
      29.113988,
      56.034096,
      29.088155,
      55.988538,
      28.858073,
      55.953880,
      28.849022,
      55.967007,
      28.733827,
      56.074558,
      28.636204,
      56.104634,
      28.681272,
      56.115986,
      28.548342,
      56.086310,
      28.419287,
      56.111237,
      28.378370,
      56.060224,
      28.376190,
      56.058170,
      28.320611,
      56.143176,
      28.157427,
      56.230396,
      28.185515,
      56.278858,
      28.241480,
      56.379571,
      28.163165,
      56.448566,
      28.192765,
      56.450421,
      28.190104,
      56.450421,
      29.599322
    ]);
    poly[1624] = _TzPolygon([
      56.450421,
      28.190104,
      56.448566,
      28.192765,
      56.379571,
      28.163165,
      56.278554,
      28.241490,
      56.179478,
      28.178722,
      56.118780,
      28.044487,
      56.120361,
      27.971930,
      56.048614,
      27.905145,
      56.035464,
      27.806407,
      56.021789,
      27.833020,
      55.981304,
      27.801570,
      55.929566,
      27.652998,
      55.786943,
      27.615558,
      55.814649,
      27.367060,
      55.785221,
      27.287367,
      55.850857,
      27.125320,
      55.788050,
      26.920555,
      55.713755,
      26.870441,
      55.699232,
      26.835520,
      56.450421,
      26.835520
    ]);
    poly[1625] = _TzPolygon([
      54.713322,
      30.981224,
      54.712908,
      30.977807,
      54.743230,
      30.953384,
      54.805040,
      30.754510,
      54.879799,
      30.821803,
      54.940220,
      30.818710,
      54.958466,
      30.943755,
      54.985487,
      30.962719,
      55.018285,
      30.908418,
      55.036626,
      30.937575,
      55.032669,
      30.981224
    ]);
    poly[1626] = _TzPolygon([
      55.173701,
      30.981224,
      55.200660,
      30.923523,
      55.280540,
      30.875620,
      55.282000,
      30.819830,
      55.332491,
      30.828039,
      55.395810,
      30.933550,
      55.476368,
      30.893033,
      55.497090,
      30.958620,
      55.522070,
      30.913900,
      55.542410,
      30.955010,
      55.622625,
      30.925132,
      55.628529,
      30.838451,
      55.598922,
      30.832646,
      55.590351,
      30.764773,
      55.661968,
      30.732269,
      55.636127,
      30.672668,
      55.730567,
      30.629037,
      55.752680,
      30.526279,
      55.799314,
      30.511727,
      55.809042,
      30.366681,
      55.835254,
      30.339480,
      55.831639,
      30.286730,
      55.870136,
      30.277085,
      55.862484,
      30.180462,
      55.878997,
      30.165639,
      55.832055,
      30.128889,
      55.870351,
      29.997088,
      55.851727,
      29.940932,
      55.862680,
      29.894984,
      55.783420,
      29.806340,
      55.778880,
      29.769170,
      55.802254,
      29.745292,
      55.780255,
      29.622649,
      55.763161,
      29.599322,
      56.450421,
      29.599322,
      56.450421,
      30.981224
    ]);
    poly[1627] = _TzPolygon([
      55.173701,
      30.981224,
      55.171782,
      30.985332,
      55.076850,
      30.990302,
      55.062308,
      31.027888,
      55.029480,
      31.016400,
      55.032669,
      30.981224
    ]);
    poly[1628] = _TzPolygon([
      54.713322,
      30.981224,
      54.717068,
      31.012134,
      54.672228,
      30.991273,
      54.659040,
      31.197829,
      54.619907,
      31.204353,
      54.508504,
      31.085659,
      54.466270,
      31.232590,
      54.380183,
      31.252541,
      54.340587,
      31.322720,
      54.319670,
      31.285800,
      54.311940,
      31.320220,
      54.244140,
      31.317820,
      54.222330,
      31.410600,
      54.210060,
      31.380470,
      54.185545,
      31.490592,
      54.158900,
      31.495140,
      54.137110,
      31.563460,
      54.142019,
      31.655567,
      54.103290,
      31.675730,
      54.112755,
      31.774293,
      54.078444,
      31.753364,
      54.096842,
      31.823476,
      54.086818,
      31.894789,
      54.005657,
      31.853966,
      53.966189,
      31.891877,
      53.950093,
      31.844729,
      53.917098,
      31.856831,
      53.875540,
      31.798578,
      53.865501,
      31.838343,
      53.832602,
      31.756575,
      53.796162,
      31.761220,
      53.806531,
      31.811407,
      53.774532,
      31.898170,
      53.818492,
      32.126841,
      53.799567,
      32.208050,
      53.765980,
      32.229704,
      53.775930,
      32.284844,
      53.758499,
      32.272356,
      53.750575,
      32.343873,
      53.725332,
      32.363125,
      53.725332,
      30.981224
    ]);
    poly[1629] = _TzPolygon(
        [53.725332, 32.405016, 53.737653, 32.460683, 53.725332, 32.470617]);
    poly[1630] = _TzPolygon([
      57.972246,
      25.570846,
      57.974815,
      25.485853,
      58.017058,
      25.448598,
      58.031399,
      25.363862,
      58.081450,
      25.295673,
      58.060086,
      25.264866,
      57.993120,
      25.301411,
      58.015418,
      25.230458,
      58.083281,
      25.206527,
      58.077826,
      25.105845,
      58.017856,
      25.020415,
      57.971935,
      24.832330,
      57.990518,
      24.808296,
      57.982038,
      24.742142,
      57.946416,
      24.692095,
      57.962051,
      24.585094,
      57.946930,
      24.531021,
      57.924954,
      24.462262,
      57.880220,
      24.459801,
      57.864544,
      24.411325,
      57.917217,
      24.261117,
      57.899167,
      24.209450,
      57.899167,
      23.601117,
      57.782900,
      23.648500,
      57.669550,
      23.582333,
      57.593833,
      23.406017,
      57.586383,
      23.180833,
      57.940833,
      22.707500,
      57.927400,
      22.583600,
      57.779167,
      22.143333,
      57.749450,
      21.916117,
      57.786666,
      21.716666,
      57.856666,
      21.646666,
      58.301505,
      21.382607,
      58.599619,
      21.454526,
      58.599619,
      25.570846
    ]);
    poly[1631] = _TzPolygon([
      57.972246,
      25.570846,
      57.971954,
      25.580502,
      57.944206,
      25.580461,
      57.904362,
      25.679638,
      57.924156,
      25.737463,
      57.847054,
      25.888170,
      57.848432,
      26.056459,
      57.768621,
      26.024105,
      57.714995,
      26.205740,
      57.687667,
      26.179311,
      57.595305,
      26.278032,
      57.575559,
      26.469492,
      57.516248,
      26.524905,
      57.539879,
      26.584882,
      57.509354,
      26.616937,
      57.566654,
      26.675901,
      57.569274,
      26.730801,
      57.587720,
      26.737814,
      57.559964,
      26.776604,
      57.580586,
      26.778517,
      57.582477,
      26.792240,
      56.450421,
      26.792240,
      56.450421,
      25.570846
    ]);
    poly[1632] = _TzPolygon([
      57.525020,
      26.792240,
      57.525020,
      27.315407,
      57.517719,
      27.350636,
      57.525020,
      27.360445,
      57.525020,
      27.551860,
      57.426961,
      27.517335,
      57.395023,
      27.671273,
      57.289795,
      27.870157,
      57.143265,
      27.818273,
      57.097531,
      27.715621,
      57.085614,
      27.768779,
      57.006294,
      27.715398,
      57.005217,
      27.769615,
      56.920076,
      27.737443,
      56.895748,
      27.672161,
      56.834345,
      27.659344,
      56.880125,
      27.847328,
      56.820600,
      27.901642,
      56.836707,
      27.968106,
      56.811694,
      27.976441,
      56.752133,
      27.898730,
      56.672437,
      28.012734,
      56.450421,
      28.013635,
      56.450421,
      26.792240
    ]);
    poly[1633] = _TzPolygon(
        [57.525020, 27.346745, 57.517719, 27.350636, 57.525020, 27.315407]);
    poly[1634] = _TzPolygon([
      57.525020,
      28.013635,
      57.525020,
      27.551860,
      57.537774,
      27.556350,
      57.535426,
      27.374426,
      57.525020,
      27.360632,
      57.525020,
      27.347822,
      57.579984,
      27.317455,
      57.612574,
      27.404757,
      57.668657,
      27.376315,
      57.700476,
      27.411090,
      57.722882,
      27.492572,
      57.709414,
      27.525589,
      57.733337,
      27.545464,
      57.788902,
      27.494324,
      57.794170,
      27.536229,
      57.833348,
      27.549218,
      57.848448,
      27.708050,
      57.833464,
      27.776320,
      57.890529,
      27.819106,
      57.900129,
      27.705432,
      57.920008,
      27.718227,
      57.923713,
      27.678910,
      57.955356,
      27.656435,
      57.998990,
      27.698569,
      58.019894,
      27.649074,
      57.995409,
      27.653933,
      58.005189,
      27.621281,
      58.054064,
      27.606539,
      58.099936,
      27.635985,
      58.224368,
      27.491262,
      58.303687,
      27.486844,
      58.366184,
      27.553190,
      58.599619,
      27.444449,
      58.599619,
      28.013635
    ]);
    poly[1635] = _TzPolygon([
      57.582477,
      26.792240,
      57.592042,
      26.861667,
      57.633113,
      26.906869,
      57.602782,
      26.945588,
      57.604517,
      27.031447,
      57.580659,
      27.046936,
      57.525020,
      27.315407,
      57.525020,
      26.792240
    ]);
    poly[1636] = _TzPolygon([
      57.525020,
      27.360445,
      57.535426,
      27.374426,
      57.537774,
      27.556350,
      57.525020,
      27.551860
    ]);
    poly[1637] = _TzPolygon([
      56.670011,
      28.013635,
      56.590376,
      28.043213,
      56.571921,
      28.143374,
      56.516885,
      28.094768,
      56.450421,
      28.190104,
      56.450421,
      28.013635
    ]);
    poly[1638] = _TzPolygon([
      63.686411,
      21.721693,
      59.485031,
      21.721693,
      59.475662,
      21.496401,
      59.499216,
      21.179689,
      59.761916,
      21.262782,
      59.885563,
      21.345656,
      59.950161,
      21.171364,
      60.077451,
      21.114942,
      60.123925,
      21.023830,
      60.201892,
      21.084504,
      60.547408,
      21.143822,
      60.712881,
      20.969962,
      60.723090,
      20.730003,
      60.876650,
      20.377537,
      61.126908,
      20.771450,
      61.646249,
      20.903203,
      62.366138,
      20.664890,
      63.164858,
      20.165812,
      63.331882,
      20.401001,
      63.482870,
      20.696310,
      63.519395,
      20.938718,
      63.667100,
      21.509179
    ]);
    poly[1639] = _TzPolygon([
      60.876650,
      20.377537,
      60.723090,
      20.730003,
      60.712881,
      20.969962,
      60.638750,
      21.061794,
      60.498668,
      21.151336,
      60.201892,
      21.084504,
      60.123925,
      21.023830,
      60.077451,
      21.114942,
      59.950161,
      21.171364,
      59.885563,
      21.345656,
      59.761916,
      21.262782,
      59.499216,
      21.179689,
      59.532482,
      20.760866,
      59.454158,
      20.347150,
      59.595063,
      19.940644,
      60.191690,
      19.083210,
      60.611510,
      19.220211,
      60.689655,
      19.594056,
      60.727555,
      20.025166
    ]);
    poly[1640] = _TzPolygon([
      58.599619,
      21.454526,
      58.688333,
      21.606666,
      58.831666,
      21.696666,
      58.918333,
      21.651666,
      58.967175,
      21.721693,
      58.599619,
      21.721693
    ]);
    poly[1641] = _TzPolygon([
      58.599619,
      27.444449,
      58.787261,
      27.357040,
      58.972752,
      27.731090,
      59.219552,
      27.890322,
      58.599619,
      27.890322
    ]);
    poly[1642] = _TzPolygon([
      59.563457,
      27.890322,
      59.582156,
      27.857208,
      59.631666,
      26.915000,
      59.938375,
      26.440169,
      60.115259,
      26.872458,
      60.223534,
      27.455093,
      60.257311,
      27.514177,
      60.391389,
      27.725000,
      60.433333,
      27.686111,
      60.450919,
      27.747136,
      60.533333,
      27.773611,
      60.561438,
      27.847392,
      60.604559,
      27.873414,
      60.613713,
      27.890322
    ]);
    poly[1643] = _TzPolygon([
      64.992249,
      22.306353,
      64.955472,
      22.136349,
      64.887774,
      21.910238,
      64.836361,
      21.825056,
      64.499135,
      22.078886,
      64.398898,
      22.077380,
      64.227535,
      21.912239,
      64.139357,
      21.721693,
      64.992249,
      21.721693
    ]);
    poly[1644] = _TzPolygon([
      58.967175,
      21.721693,
      59.056666,
      21.850000,
      59.245000,
      22.308333,
      59.288665,
      22.496107,
      59.291666,
      22.733333,
      59.483333,
      23.191666,
      59.481666,
      23.521666,
      59.703333,
      24.481666,
      59.826666,
      25.578333,
      59.815000,
      26.021666,
      59.900000,
      26.153333,
      59.938375,
      26.440169,
      59.631666,
      26.915000,
      59.582156,
      27.857208,
      59.562278,
      27.890322,
      59.219045,
      27.890322,
      58.978456,
      27.738636,
      58.787261,
      27.357040,
      58.599619,
      27.444449,
      58.599619,
      21.721693
    ]);
    poly[1645] = _TzPolygon([
      66.563551,
      15.553064,
      66.594335,
      15.621369,
      66.912442,
      16.038776,
      67.045470,
      16.387716,
      67.205008,
      16.404086,
      67.435278,
      16.089830,
      67.519158,
      16.158002,
      67.534025,
      16.407469,
      67.594451,
      16.494807,
      67.914210,
      16.738120,
      68.050437,
      17.180497,
      68.118815,
      17.281525,
      67.969343,
      17.899800,
      68.198789,
      18.151355,
      68.536515,
      18.125924,
      68.581877,
      18.405690,
      68.506939,
      18.621231,
      68.507385,
      18.637379,
      64.992249,
      18.637379,
      64.992249,
      15.553064
    ]);
    poly[1646] = _TzPolygon([
      68.590379,
      21.721693,
      68.590519,
      21.717743,
      68.665006,
      21.616755,
      68.691352,
      21.429869,
      68.764790,
      21.390420,
      68.762748,
      21.299030,
      68.813857,
      21.234919,
      68.896741,
      20.996792,
      68.893529,
      20.878033,
      68.936564,
      20.844191,
      68.968824,
      20.911646,
      69.020279,
      20.807523,
      69.059970,
      20.548642,
      69.119791,
      20.717321,
      69.036290,
      21.057543,
      69.103929,
      21.108674,
      69.191927,
      20.987574,
      69.222338,
      21.003312,
      69.311884,
      21.278820,
      69.276588,
      21.627086,
      69.221366,
      21.721693
    ]);
    poly[1647] = _TzPolygon([
      70.448505,
      18.637379,
      70.487198,
      18.847174,
      70.856580,
      21.721693,
      69.221366,
      21.721693,
      69.276588,
      21.627086,
      69.311884,
      21.278820,
      69.222338,
      21.003312,
      69.191927,
      20.987574,
      69.103929,
      21.108674,
      69.036290,
      21.057543,
      69.119791,
      20.717321,
      69.060077,
      20.552326,
      69.045758,
      20.060047,
      68.926150,
      20.306590,
      68.802314,
      20.335873,
      68.665923,
      20.202897,
      68.557942,
      19.937504,
      68.490858,
      20.226654,
      68.356014,
      19.921397,
      68.516952,
      18.983818,
      68.507385,
      18.637379
    ]);
    poly[1648] = _TzPolygon([
      64.992249,
      24.031276,
      65.080166,
      24.083868,
      65.292478,
      24.154506,
      65.862572,
      24.152978,
      66.076719,
      23.938363,
      66.159785,
      23.920810,
      66.195135,
      23.728084,
      66.301390,
      23.645620,
      66.387386,
      23.689233,
      66.455187,
      23.650365,
      66.559550,
      23.860535,
      66.763509,
      23.880337,
      66.794955,
      23.912447,
      66.785730,
      23.981595,
      66.822049,
      23.995663,
      67.170385,
      23.552377,
      67.208206,
      23.596079,
      67.224994,
      23.548030,
      67.260673,
      23.563783,
      67.282764,
      23.721284,
      67.336949,
      23.774237,
      67.385898,
      23.717059,
      67.430318,
      23.762715,
      67.460986,
      23.544847,
      67.446389,
      23.493884,
      67.484277,
      23.394423,
      67.619676,
      23.559287,
      67.666494,
      23.491773,
      67.842778,
      23.479069,
      67.884335,
      23.517192,
      67.917094,
      23.643732,
      67.960709,
      23.651197,
      68.047318,
      23.389595,
      68.148377,
      23.307762,
      68.136701,
      23.154507,
      68.188564,
      23.153506,
      68.188564,
      27.890322,
      64.992249,
      27.890322
    ]);
    poly[1649] = _TzPolygon([
      68.620838,
      24.806007,
      68.636235,
      24.783425,
      68.681902,
      24.608388,
      68.727132,
      24.250965,
      68.753591,
      24.152962,
      68.789710,
      24.158551,
      68.779967,
      24.075592,
      68.827143,
      23.983331,
      68.836519,
      23.871461,
      68.818851,
      23.775392,
      68.705521,
      23.673520,
      68.692164,
      23.440636,
      68.628519,
      23.167582,
      68.689344,
      23.045952,
      68.687548,
      22.800824,
      68.744513,
      22.535389,
      68.716667,
      22.374522,
      68.827226,
      22.340781,
      68.956324,
      22.175762,
      69.221366,
      21.721693,
      70.856580,
      21.721693,
      71.282834,
      23.748759,
      71.314085,
      24.629253,
      71.325963,
      24.806007
    ]);
    poly[1650] = _TzPolygon([
      68.590379,
      21.721693,
      68.584405,
      21.889869,
      68.479576,
      22.043957,
      68.481676,
      22.348039,
      68.445278,
      22.344191,
      68.466620,
      22.411613,
      68.422114,
      22.572778,
      68.434213,
      22.638805,
      68.399832,
      22.687743,
      68.386687,
      22.833331,
      68.333733,
      22.916959,
      68.305834,
      23.060708,
      68.233381,
      23.152641,
      68.188564,
      23.153506,
      68.188564,
      21.721693
    ]);
    poly[1651] = _TzPolygon([
      68.620838,
      24.806007,
      68.554592,
      24.903166,
      68.605247,
      24.916923,
      68.639588,
      25.116388,
      68.799893,
      25.157126,
      68.890799,
      25.398001,
      68.905063,
      25.481411,
      68.892644,
      25.627092,
      69.013481,
      25.774641,
      69.250468,
      25.701685,
      69.393376,
      25.846516,
      69.420930,
      25.793015,
      69.475811,
      25.864617,
      69.550992,
      25.841436,
      69.610225,
      25.976040,
      69.669684,
      25.897476,
      69.722856,
      26.007140,
      69.738680,
      26.135756,
      69.816681,
      26.243597,
      69.854159,
      26.383589,
      69.940196,
      26.466630,
      69.960135,
      26.851289,
      69.933415,
      26.878297,
      69.938486,
      26.969723,
      69.910559,
      27.039760,
      69.953460,
      27.296194,
      69.979223,
      27.277704,
      70.022788,
      27.524123,
      70.067243,
      27.576902,
      70.064288,
      27.744113,
      70.083646,
      27.890322,
      68.188564,
      27.890322,
      68.188564,
      24.806007
    ]);
    poly[1652] = _TzPolygon([
      61.779734,
      27.890322,
      61.779734,
      30.047691,
      61.765001,
      30.038728,
      61.655328,
      29.818587,
      61.573704,
      29.740299,
      61.500465,
      29.607330,
      61.491569,
      29.496460,
      61.461339,
      29.503072,
      61.268010,
      29.239990,
      61.151620,
      28.956774,
      61.121647,
      28.818984,
      61.044595,
      28.713799,
      60.949531,
      28.655473,
      60.957137,
      28.524670,
      60.613713,
      27.890322
    ]);
    poly[1653] = _TzPolygon([
      59.562278,
      27.890322,
      59.370368,
      28.210018,
      59.290941,
      28.129532,
      59.287483,
      28.026407,
      59.241265,
      27.904331,
      59.219045,
      27.890322
    ]);
    poly[1654] = _TzPolygon([
      61.779734,
      30.047691,
      61.818684,
      30.071388,
      62.032287,
      30.444682,
      62.208588,
      30.656406,
      62.208906,
      30.720412,
      62.270692,
      30.810959,
      62.312265,
      30.955169,
      62.332999,
      30.942443,
      62.498296,
      31.221835,
      62.649707,
      31.373025,
      62.785375,
      31.439061,
      62.908709,
      31.586707,
      62.996249,
      31.502133,
      63.006058,
      31.448759,
      63.024251,
      31.463000,
      63.107626,
      31.272119,
      63.219220,
      31.237532,
      63.307838,
      30.979190,
      63.355440,
      30.934418,
      63.405271,
      30.787705,
      63.466696,
      30.483994,
      63.545493,
      30.384526,
      63.583940,
      30.258254,
      63.757168,
      29.971890,
      63.822003,
      30.260416,
      63.909533,
      30.320908,
      64.048877,
      30.528017,
      64.132244,
      30.553427,
      64.204432,
      30.466400,
      64.221691,
      30.509599,
      64.262339,
      30.482440,
      64.269057,
      30.388285,
      64.299679,
      30.366928,
      64.402012,
      30.044893,
      64.587585,
      29.989423,
      64.634717,
      30.130150,
      64.741186,
      30.041398,
      64.773986,
      30.086510,
      64.792890,
      30.042936,
      64.789783,
      29.739631,
      64.917437,
      29.615244,
      64.959848,
      29.618718,
      64.959848,
      34.058951,
      61.779734,
      34.058951
    ]);
    poly[1655] = _TzPolygon([
      64.959848,
      29.618718,
      65.060599,
      29.626970,
      65.105149,
      29.896873,
      65.144459,
      29.819345,
      65.206306,
      29.885765,
      65.231302,
      29.634791,
      65.259944,
      29.601847,
      65.347417,
      29.746577,
      65.472637,
      29.733121,
      65.560470,
      29.863751,
      65.637045,
      29.722433,
      65.696527,
      30.017092,
      65.668688,
      30.138463,
      65.702350,
      30.133434,
      66.126249,
      29.923935,
      66.268490,
      29.696645,
      66.641083,
      29.357648,
      66.790069,
      29.105562,
      66.925472,
      29.033124,
      66.996154,
      29.073254,
      67.309917,
      29.522710,
      67.335917,
      29.644543,
      67.351549,
      29.621753,
      67.522821,
      29.930510,
      67.673170,
      30.015667,
      67.802972,
      29.659389,
      68.074553,
      29.326989,
      68.139963,
      28.960460,
      68.139963,
      34.058951,
      64.959848,
      34.058951
    ]);
    poly[1656] = _TzPolygon([
      70.083646,
      27.890322,
      70.092294,
      27.955635,
      70.013971,
      27.984285,
      69.920994,
      28.160713,
      69.880832,
      28.345269,
      69.849193,
      28.330476,
      69.818425,
      28.404225,
      69.695340,
      29.133910,
      69.478323,
      29.336496,
      69.224362,
      28.831539,
      69.111156,
      28.805430,
      69.051941,
      28.929451,
      68.915451,
      28.415778,
      68.885514,
      28.468076,
      68.869367,
      28.801450,
      68.732555,
      28.707213,
      68.539795,
      28.434120,
      68.196216,
      28.645242,
      68.139963,
      28.960460,
      68.139963,
      27.890322
    ]);
    poly[1657] = _TzPolygon([
      68.139963,
      28.960460,
      68.196216,
      28.645242,
      68.539795,
      28.434120,
      68.732555,
      28.707213,
      68.869367,
      28.801450,
      68.885514,
      28.468076,
      68.915451,
      28.415778,
      69.051941,
      28.929451,
      69.015220,
      29.056700,
      69.113060,
      29.242230,
      69.233684,
      29.314093,
      69.296913,
      29.290767,
      69.322219,
      29.390536,
      69.318517,
      29.572990,
      69.423025,
      29.852189,
      69.405109,
      29.947580,
      69.424947,
      30.035163,
      69.565826,
      30.188101,
      69.658111,
      30.085325,
      69.669379,
      30.151663,
      69.653127,
      30.224023,
      69.540501,
      30.516070,
      69.528709,
      30.816412,
      69.560737,
      30.938802,
      69.683539,
      30.944765,
      69.794822,
      30.817529,
      69.895875,
      30.974637,
      68.139963,
      30.974637
    ]);
    poly[1658] = _TzPolygon([
      70.716350,
      30.974637,
      70.532567,
      31.586597,
      70.463227,
      31.717998,
      70.388257,
      31.761491,
      70.143752,
      31.585495,
      69.979302,
      31.104341,
      69.895875,
      30.974637
    ]);
    poly[1659] = _TzPolygon([
      72.400000,
      -24.000000,
      71.570930,
      -21.039035,
      70.671062,
      -20.780940,
      70.474769,
      -20.914264,
      70.232561,
      -21.255856,
      70.500000,
      -25.000000
    ]);
    poly[1660] = _TzPolygon([
      75.805071,
      -17.482364,
      75.485968,
      -17.253823,
      75.240707,
      -16.633531,
      75.138500,
      -16.523940,
      74.988597,
      -16.587803,
      74.910631,
      -16.703745,
      74.496449,
      -17.764235,
      74.174483,
      -18.712394,
      73.404031,
      -19.774346,
      73.037637,
      -20.571758,
      72.862621,
      -20.750653,
      73.500000,
      -24.200000
    ]);
    poly[1661] = _TzPolygon([
      27.433543,
      -13.550846,
      27.627207,
      -13.433624,
      27.657171,
      -9.816326,
      27.433543,
      -9.816326
    ]);
    poly[1662] = _TzPolygon([
      29.911805,
      -13.523581,
      29.884965,
      -13.406690,
      29.810731,
      -13.320981,
      29.497050,
      -13.261502,
      29.388414,
      -13.140543,
      29.275412,
      -13.101258,
      29.197531,
      -13.118818,
      28.917185,
      -13.262568,
      28.788708,
      -13.438391,
      28.528410,
      -13.597171,
      28.323710,
      -13.637972,
      28.123997,
      -13.736408,
      28.046235,
      -13.836170,
      27.861857,
      -14.226320,
      27.839852,
      -14.327305,
      27.861892,
      -14.547528,
      27.891253,
      -14.630552,
      27.957780,
      -14.702784,
      28.059115,
      -14.735222,
      28.230309,
      -14.673274,
      28.454678,
      -14.388998,
      28.803205,
      -14.221444,
      29.116356,
      -14.025826,
      29.809098,
      -13.725097,
      29.884022,
      -13.640181
    ]);
    poly[1663] = _TzPolygon([
      27.433543,
      -8.668212,
      28.667193,
      -8.668749,
      28.739461,
      -8.587837,
      28.807106,
      -8.433772,
      28.900742,
      -8.332448,
      29.121672,
      -7.957917,
      29.183183,
      -7.891299,
      29.270389,
      -7.744774,
      29.298042,
      -7.637286,
      29.367441,
      -7.610223,
      29.360130,
      -7.488727,
      29.388596,
      -7.350889,
      29.478182,
      -7.251404,
      29.522714,
      -7.149831,
      29.462101,
      -6.777250,
      29.515239,
      -6.694669,
      29.529754,
      -6.618740,
      29.515345,
      -6.541068,
      29.565642,
      -6.448508,
      29.549829,
      -6.390306,
      29.568157,
      -6.373870,
      29.582295,
      -6.165324,
      29.564145,
      -6.029000,
      29.607720,
      -5.813675,
      29.586196,
      -5.723236,
      29.518265,
      -5.749243,
      29.541187,
      -5.685828,
      29.504543,
      -5.650809,
      29.478686,
      -5.558330,
      29.769071,
      -5.328927,
      29.881142,
      -5.288863,
      29.932870,
      -5.239381,
      30.140473,
      -4.936618,
      30.157526,
      -4.897429,
      27.433543,
      -4.897429
    ]);
    poly[1664] = _TzPolygon([
      27.657171,
      -9.816326,
      27.666683,
      -8.667993,
      27.433543,
      -8.667759,
      27.433543,
      -9.816326
    ]);
    poly[1665] = _TzPolygon([
      31.376848,
      -4.897429,
      31.376848,
      -3.671899,
      31.342117,
      -3.722566,
      31.360990,
      -3.749309,
      31.292765,
      -3.785554,
      31.263430,
      -3.758794,
      31.236217,
      -3.790699,
      31.179997,
      -3.759310,
      31.100898,
      -3.775059,
      31.125719,
      -3.760258,
      31.117121,
      -3.730511,
      31.146092,
      -3.733906,
      31.154377,
      -3.710543,
      31.136835,
      -3.705450,
      31.176034,
      -3.702060,
      31.151250,
      -3.671551,
      31.086518,
      -3.679536,
      31.081955,
      -3.643864,
      31.090270,
      -3.666450,
      31.099660,
      -3.636583,
      31.111301,
      -3.636938,
      31.119486,
      -3.615993,
      31.058343,
      -3.592180,
      31.043014,
      -3.573893,
      31.063937,
      -3.552388,
      31.038604,
      -3.542002,
      30.955089,
      -3.540543,
      30.865770,
      -3.615723,
      30.875682,
      -3.636231,
      30.851395,
      -3.658447,
      30.744649,
      -3.629587,
      30.674696,
      -3.653931,
      30.590355,
      -3.816799,
      30.610690,
      -3.886537,
      30.585137,
      -4.148332,
      30.536312,
      -4.296337,
      30.292927,
      -4.586268,
      30.157526,
      -4.897429
    ]);
    poly[1666] = _TzPolygon([
      31.376848,
      -3.671899,
      31.393917,
      -3.646997,
      31.401464,
      -3.664840,
      31.633535,
      -3.664666,
      31.793643,
      -2.820696,
      31.883618,
      -2.842322,
      32.028394,
      -2.930556,
      32.111359,
      -2.873435,
      32.112911,
      -2.600034,
      32.146315,
      -2.536342,
      32.148389,
      -2.437981,
      31.376848,
      -2.437981
    ]);
    poly[1667] = _TzPolygon([
      35.320152,
      -2.952033,
      35.288838,
      -2.923102,
      35.265628,
      -2.950543,
      35.288800,
      -2.970202
    ]);
    poly[1668] = _TzPolygon([
      35.320152,
      -2.207127,
      35.047988,
      -2.218368,
      34.926833,
      -2.045871,
      34.935779,
      -1.973387,
      34.878791,
      -1.972724,
      34.841639,
      -1.893362,
      34.806219,
      -1.888732,
      34.743018,
      -1.738885,
      34.616229,
      -1.853826,
      34.604420,
      -1.816663,
      34.507819,
      -1.741365,
      34.490332,
      -1.686778,
      34.392203,
      -1.781899,
      34.306870,
      -1.705332,
      34.230231,
      -1.706718,
      34.105379,
      -1.647893,
      33.869688,
      -1.698747,
      33.773102,
      -1.671320,
      33.740565,
      -1.720946,
      33.701108,
      -1.732475,
      33.675629,
      -1.701939,
      33.680610,
      -1.652748,
      33.605486,
      -1.594709,
      33.529064,
      -1.588157,
      33.378122,
      -1.663549,
      33.284080,
      -1.670267,
      33.145802,
      -1.573337,
      33.053446,
      -1.464804,
      32.975354,
      -1.485929,
      32.957761,
      -1.543783,
      32.762663,
      -1.398991,
      32.513115,
      -0.998429,
      32.411467,
      -1.124182,
      32.402719,
      -1.195686,
      32.329492,
      -1.246332,
      32.205708,
      -1.241120,
      32.167999,
      -1.299721,
      32.163625,
      -1.183153,
      32.111074,
      -1.152361,
      32.084563,
      -1.203801,
      32.092240,
      -1.580311,
      32.164357,
      -1.903399,
      32.157321,
      -1.968579,
      32.182183,
      -2.014916,
      32.144197,
      -2.150235,
      32.168605,
      -2.277609,
      32.151301,
      -2.299930,
      32.148389,
      -2.437981,
      35.320152,
      -2.437981
    ]);
    poly[1669] = _TzPolygon([
      35.320152,
      -6.377607,
      35.823720,
      -6.173587,
      35.917950,
      -6.106650,
      35.917950,
      -5.048803,
      35.320152,
      -5.048803
    ]);
    poly[1670] = _TzPolygon([
      36.050527,
      -6.220891,
      36.050527,
      -5.110521,
      36.047199,
      -5.111910,
      36.036069,
      -5.285468,
      35.935675,
      -5.666515,
      35.964882,
      -5.885446,
      35.959481,
      -6.056688,
      36.040092,
      -6.210947
    ]);
    poly[1671] = _TzPolygon([
      36.050527,
      -6.220891,
      36.155038,
      -6.320483,
      36.155038,
      -5.048803,
      36.136011,
      -5.074855,
      36.050527,
      -5.110521
    ]);
    poly[1672] = _TzPolygon([
      35.979353,
      -5.048803,
      35.910069,
      -5.020928,
      35.749925,
      -5.018811,
      35.552733,
      -4.843220,
      35.414651,
      -4.582748,
      35.391144,
      -4.298035,
      35.486455,
      -3.678686,
      35.438921,
      -3.301974,
      35.599213,
      -3.130707,
      35.637346,
      -2.977627,
      35.590863,
      -2.811975,
      35.320152,
      -2.811975,
      35.320152,
      -5.048803
    ]);
    poly[1673] = _TzPolygon([
      35.590863,
      -2.811975,
      35.588038,
      -2.801907,
      35.489383,
      -2.696016,
      35.440230,
      -2.605140,
      35.337216,
      -2.206422,
      35.320152,
      -2.207127,
      35.320152,
      -2.811975
    ]);
    poly[1674] = _TzPolygon([
      36.155038,
      -6.320483,
      36.267551,
      -6.427700,
      36.937387,
      -6.911625,
      36.968406,
      -7.006435,
      36.967946,
      -7.369819,
      37.387216,
      -7.439565,
      37.408989,
      -7.462707,
      37.419921,
      -7.445595,
      37.488254,
      -7.464283,
      37.553065,
      -7.522665,
      37.664606,
      -7.443571,
      37.758942,
      -7.421372,
      37.815820,
      -7.324337,
      37.868861,
      -7.283514,
      37.954493,
      -7.248297,
      37.979856,
      -7.262433,
      38.004633,
      -7.120706,
      38.029505,
      -7.128319,
      38.043822,
      -7.098688,
      38.014249,
      -7.046775,
      38.022391,
      -7.002008,
      38.152778,
      -6.952175,
      38.166313,
      -6.969145,
      38.208298,
      -6.931499,
      38.204624,
      -7.010670,
      38.169299,
      -7.085337,
      38.419677,
      -7.279748,
      38.435820,
      -7.335848,
      38.469605,
      -7.298561,
      38.478270,
      -7.321572,
      38.513876,
      -7.314552,
      38.624024,
      -7.243595,
      38.638406,
      -7.272498,
      38.724199,
      -7.259420,
      38.864935,
      -7.039322,
      38.864935,
      -6.189159,
      36.155038,
      -6.189159
    ]);
    poly[1675] = _TzPolygon([
      38.864935,
      -7.039322,
      38.906953,
      -7.052181,
      39.023598,
      -6.951130,
      39.054471,
      -6.959416,
      39.117322,
      -7.032577,
      39.108633,
      -7.144025,
      39.171198,
      -7.134667,
      39.208255,
      -7.241460,
      39.278259,
      -7.231472,
      39.336109,
      -7.307485,
      39.381294,
      -7.322816,
      39.456828,
      -7.294261,
      39.491237,
      -7.381881,
      39.529717,
      -7.390685,
      39.534509,
      -7.430259,
      39.589645,
      -7.499312,
      39.663680,
      -7.541680,
      39.640847,
      -7.333676,
      39.666811,
      -7.251522,
      39.653072,
      -7.151350,
      39.670428,
      -7.015516,
      39.772321,
      -6.976833,
      39.810027,
      -6.987204,
      39.870706,
      -6.903591,
      40.012009,
      -6.863785,
      40.112510,
      -6.940870,
      40.126130,
      -7.012936,
      40.186390,
      -7.029972,
      40.219884,
      -7.008397,
      40.219884,
      -6.189159,
      38.864935,
      -6.189159
    ]);
    poly[1676] = _TzPolygon([
      40.219884,
      -7.008397,
      40.235219,
      -6.998518,
      40.264342,
      -6.867990,
      40.299612,
      -6.861377,
      40.328400,
      -6.794107,
      40.364556,
      -6.780961,
      40.451520,
      -6.849693,
      40.511369,
      -6.795268,
      40.550353,
      -6.800862,
      40.565954,
      -6.845357,
      40.661297,
      -6.794014,
      40.752804,
      -6.831171,
      40.840283,
      -6.826916,
      40.860715,
      -6.801921,
      41.029411,
      -6.931357,
      41.036497,
      -6.808931,
      41.104062,
      -6.754194,
      41.134837,
      -6.767871,
      41.247550,
      -6.648377,
      41.255237,
      -6.591609,
      41.239042,
      -6.571330,
      41.275627,
      -6.522598,
      41.266163,
      -6.496288,
      41.359332,
      -6.376837,
      41.384709,
      -6.389647,
      41.385742,
      -6.317660,
      41.410327,
      -6.333269,
      41.574832,
      -6.189159,
      40.219884,
      -6.189159
    ]);
    poly[1677] = _TzPolygon([
      41.899040,
      -7.685539,
      41.907666,
      -7.700851,
      41.881279,
      -7.845188,
      41.844855,
      -7.872805,
      41.924316,
      -7.884689,
      41.927096,
      -7.906343,
      41.877791,
      -7.921252,
      41.869216,
      -7.987692,
      41.828992,
      -8.014058,
      41.808035,
      -8.093917,
      41.818113,
      -8.165013,
      41.876528,
      -8.169304,
      41.873700,
      -8.200018,
      41.913453,
      -8.216833,
      41.982692,
      -8.163019,
      42.016492,
      -8.086035,
      42.047334,
      -8.084455,
      42.082307,
      -8.118701,
      42.065109,
      -8.182171,
      42.154311,
      -8.198754,
      42.154311,
      -7.685539
    ]);
    poly[1678] = _TzPolygon([
      42.154311,
      -8.198754,
      42.083835,
      -8.331891,
      42.079549,
      -8.519815,
      42.054185,
      -8.546049,
      42.047874,
      -8.635930,
      42.002549,
      -8.662184,
      41.863929,
      -8.870966,
      41.865833,
      -9.140278,
      42.154311,
      -9.181919
    ]);
    poly[1679] = _TzPolygon([
      41.899040,
      -7.685539,
      41.881199,
      -7.653871,
      41.881871,
      -7.585873,
      41.829178,
      -7.611456,
      41.841967,
      -7.521053,
      41.869384,
      -7.502225,
      41.865082,
      -7.452499,
      41.807367,
      -7.427636,
      41.852787,
      -7.365788,
      41.842545,
      -7.315315,
      41.879979,
      -7.196738,
      41.919102,
      -7.173492,
      41.972324,
      -7.185435,
      41.990758,
      -7.141459,
      41.949652,
      -7.071939,
      41.950566,
      -7.006238,
      41.973783,
      -6.979365,
      41.944658,
      -6.944305,
      41.939857,
      -6.893253,
      41.946005,
      -6.821607,
      41.992521,
      -6.811348,
      41.933315,
      -6.700006,
      41.939737,
      -6.621386,
      41.967567,
      -6.588307,
      41.939456,
      -6.546512,
      41.883496,
      -6.571179,
      41.871659,
      -6.515514,
      41.743598,
      -6.568898,
      41.685595,
      -6.548274,
      41.657099,
      -6.499567,
      41.684840,
      -6.444272,
      41.661812,
      -6.302297,
      41.574832,
      -6.189159,
      41.574832,
      -7.685539
    ]);
    poly[1680] = _TzPolygon([
      42.826220,
      -0.503068,
      42.827479,
      -0.505574,
      42.780759,
      -0.567617,
      42.832523,
      -0.603333,
      42.896739,
      -0.731976,
      42.967162,
      -0.751676,
      42.953244,
      -0.943456,
      43.023998,
      -1.111512,
      43.007610,
      -1.141661,
      43.035093,
      -1.164334,
      43.055449,
      -1.229292,
      43.044022,
      -1.263615,
      43.069172,
      -1.309811,
      43.118327,
      -1.270059,
      43.107837,
      -1.332320,
      43.027761,
      -1.354056,
      43.046295,
      -1.441351,
      43.086774,
      -1.473098,
      43.128507,
      -1.414297,
      43.250079,
      -1.378924,
      43.294652,
      -1.535333,
      43.288037,
      -1.565043,
      43.249933,
      -1.575191,
      43.251851,
      -1.608789,
      43.306000,
      -1.624022,
      43.295749,
      -1.730155,
      43.330084,
      -1.737461,
      43.353265,
      -1.790167,
      43.488523,
      -1.772042,
      43.595278,
      -1.802222,
      43.690610,
      -1.719526,
      43.993309,
      -1.645345,
      43.993309,
      -0.503068
    ]);
    poly[1681] = _TzPolygon([
      42.826220,
      -0.503068,
      43.993309,
      -0.503068,
      43.993309,
      1.311409,
      42.722642,
      1.311409,
      42.727833,
      1.229261,
      42.708954,
      1.166075,
      42.788338,
      1.078887,
      42.786624,
      0.985913,
      42.805854,
      0.960286,
      42.789357,
      0.926445,
      42.861523,
      0.708647,
      42.839839,
      0.660726,
      42.803834,
      0.669711,
      42.783085,
      0.644853,
      42.773711,
      0.665116,
      42.754997,
      0.639318,
      42.726100,
      0.678636,
      42.690975,
      0.677125,
      42.705702,
      0.597538,
      42.690502,
      0.422379,
      42.723972,
      0.360415,
      42.674178,
      0.295691,
      42.717253,
      0.260885,
      42.737001,
      0.175742,
      42.685119,
      -0.015980,
      42.720878,
      -0.106650,
      42.798447,
      -0.160829,
      42.786807,
      -0.188824,
      42.849410,
      -0.313311,
      42.798922,
      -0.394126,
      42.795360,
      -0.441648
    ]);
    poly[1682] = _TzPolygon([
      42.655936,
      1.549299,
      42.625877,
      1.600384,
      42.617838,
      1.736080,
      42.588269,
      1.727654,
      42.573972,
      1.786384,
      42.556498,
      1.740124,
      42.492256,
      1.711374,
      42.505792,
      1.669095,
      42.468450,
      1.657026,
      42.458586,
      1.560547,
      42.433457,
      1.552631,
      42.428824,
      1.515751,
      42.441424,
      1.444393,
      42.482386,
      1.417389,
      42.509996,
      1.468400,
      42.540077,
      1.450724,
      42.535378,
      1.413578,
      42.651450,
      1.478777
    ]);
    poly[1683] = _TzPolygon([
      42.431258,
      2.218648,
      42.414540,
      2.132632,
      42.361763,
      2.084671,
      42.347070,
      2.015959,
      42.381154,
      1.965355,
      42.453682,
      1.937050,
      42.447715,
      1.891171,
      42.486526,
      1.823474,
      42.492386,
      1.729967,
      42.549961,
      1.734940,
      42.573972,
      1.786384,
      42.588269,
      1.727654,
      42.617838,
      1.736080,
      42.653557,
      1.493443,
      42.613082,
      1.476602,
      42.602798,
      1.438127,
      42.719738,
      1.357362,
      42.722642,
      1.311409,
      43.073810,
      1.311409,
      43.073810,
      2.218648
    ]);
    poly[1684] = _TzPolygon([
      42.431258,
      2.218648,
      43.073810,
      2.218648,
      43.073810,
      3.125887,
      42.426908,
      3.125887,
      42.425844,
      3.085199,
      42.474577,
      3.040551,
      42.465232,
      2.967468,
      42.481337,
      2.947320,
      42.456179,
      2.918441,
      42.459409,
      2.839067,
      42.411898,
      2.776902,
      42.424732,
      2.733931,
      42.405195,
      2.674137,
      42.385751,
      2.651484,
      42.340751,
      2.671693,
      42.358500,
      2.571155,
      42.332755,
      2.532811,
      42.340771,
      2.481220,
      42.393299,
      2.433427,
      42.438700,
      2.256935
    ]);
    poly[1685] = _TzPolygon([
      42.426660,
      3.125887,
      42.435333,
      3.558333,
      42.323048,
      3.605122,
      42.154311,
      3.561377,
      42.154311,
      3.125887
    ]);
    poly[1686] = _TzPolygon([
      54.710606,
      -7.899183,
      54.710606,
      -7.767105,
      54.704280,
      -7.750064,
      54.710606,
      -7.734862,
      54.710606,
      -6.997022,
      54.411684,
      -6.997022,
      54.417906,
      -7.040061,
      54.355738,
      -7.103881,
      54.337649,
      -7.188825,
      54.309676,
      -7.179187,
      54.299624,
      -7.212186,
      54.255594,
      -7.142249,
      54.224727,
      -7.145029,
      54.204460,
      -7.248056,
      54.122555,
      -7.278946,
      54.132113,
      -7.308911,
      54.171965,
      -7.291298,
      54.146717,
      -7.339563,
      54.113289,
      -7.318671,
      54.131600,
      -7.363198,
      54.120127,
      -7.391806,
      54.139627,
      -7.372794,
      54.137053,
      -7.420784,
      54.156458,
      -7.409589,
      54.122265,
      -7.479193,
      54.135741,
      -7.528097,
      54.122143,
      -7.547375,
      54.181961,
      -7.676592,
      54.207761,
      -7.685434,
      54.200729,
      -7.811733,
      54.217280,
      -7.860169,
      54.293431,
      -7.861869,
      54.312469,
      -7.961595,
      54.464761,
      -8.177510,
      54.487631,
      -8.042647,
      54.545941,
      -8.006008,
      54.533135,
      -7.850550,
      54.581876,
      -7.793408,
      54.610070,
      -7.697252,
      54.634946,
      -7.708773,
      54.617972,
      -7.741646,
      54.644110,
      -7.813665,
      54.630776,
      -7.852128,
      54.702821,
      -7.918043
    ]);
    poly[1687] = _TzPolygon(
        [54.710606, -7.899183, 54.736422, -7.836645, 54.710606, -7.767105]);
    poly[1688] = _TzPolygon([
      54.710606,
      -7.734862,
      54.751510,
      -7.636568,
      54.747021,
      -7.534693,
      54.789371,
      -7.549223,
      54.869414,
      -7.444215,
      54.935241,
      -7.447274,
      54.945446,
      -7.392021,
      55.022349,
      -7.391323,
      55.050832,
      -7.345159,
      55.048540,
      -7.286169,
      55.186520,
      -6.997022,
      54.710606,
      -6.997022
    ]);
    poly[1689] = _TzPolygon([
      54.411684,
      -6.997022,
      55.186520,
      -6.997022,
      55.195488,
      -6.978228,
      55.216468,
      -6.821724,
      55.280171,
      -6.719426,
      55.414976,
      -6.744269,
      55.443585,
      -6.578736,
      55.537000,
      -6.777827,
      55.621777,
      -6.864730,
      55.636000,
      -6.868413,
      55.636000,
      -5.658236,
      53.979601,
      -5.658236,
      53.870168,
      -5.826004,
      54.111355,
      -6.281731,
      54.090976,
      -6.317881,
      54.113742,
      -6.366201,
      54.058852,
      -6.391053,
      54.077087,
      -6.477795,
      54.052681,
      -6.510507,
      54.057572,
      -6.586429,
      54.036460,
      -6.623810,
      54.072891,
      -6.668985,
      54.179994,
      -6.643940,
      54.200165,
      -6.691686,
      54.181916,
      -6.740764,
      54.223024,
      -6.816169,
      54.261487,
      -6.827743,
      54.279243,
      -6.878038,
      54.297279,
      -6.850872,
      54.346412,
      -6.875942,
      54.409462,
      -6.981649
    ]);
    poly[1690] = _TzPolygon([
      49.941607,
      -2.249565,
      49.922178,
      -2.054411,
      49.804806,
      -2.050881,
      49.460500,
      -2.097500,
      49.407458,
      -2.133569,
      49.220833,
      -2.559167,
      49.304077,
      -2.937245,
      49.359893,
      -2.995432,
      49.437953,
      -3.020401,
      49.515690,
      -2.997734,
      49.590599,
      -2.924610,
      49.686258,
      -2.696914,
      49.784785,
      -2.685396,
      49.863177,
      -2.610686,
      49.915822,
      -2.483655
    ]);
    poly[1691] = _TzPolygon([
      49.460500,
      -2.097500,
      49.364667,
      -1.992500,
      49.316667,
      -1.891667,
      49.250833,
      -1.833333,
      49.183333,
      -1.833333,
      49.065833,
      -1.859167,
      48.941667,
      -1.983333,
      48.883333,
      -1.983333,
      48.872167,
      -2.241667,
      48.927833,
      -2.525333,
      49.220833,
      -2.559167,
      49.362468,
      -2.217660,
      49.407458,
      -2.133569
    ]);
    poly[1692] = _TzPolygon([
      48.663863,
      -1.783162,
      48.663863,
      -5.259866,
      48.837718,
      -4.682751,
      48.960384,
      -4.078331,
      49.062169,
      -3.764877,
      49.103939,
      -3.506849,
      49.116509,
      -3.156796,
      49.233256,
      -3.086562,
      49.304077,
      -2.937245,
      49.220833,
      -2.559167,
      48.927833,
      -2.525333,
      48.872167,
      -2.241667,
      48.883333,
      -1.983333,
      48.941667,
      -1.983333,
      49.065833,
      -1.859167,
      49.250833,
      -1.833333,
      49.460500,
      -2.097500,
      49.922178,
      -2.054411,
      49.934777,
      -1.901527,
      49.909007,
      -1.783162
    ]);
    poly[1693] = _TzPolygon([
      51.227462,
      1.821167,
      51.199347,
      1.887536,
      51.098586,
      1.723905,
      50.949130,
      1.355574,
      50.895518,
      1.281407,
      50.801000,
      1.241893,
      50.734000,
      1.121956,
      50.712000,
      1.002875,
      50.717000,
      0.867068,
      50.642000,
      0.549983,
      50.568000,
      0.426288,
      50.536000,
      0.285376,
      50.545000,
      0.128351,
      50.626000,
      -0.234686,
      50.600000,
      -0.505432,
      50.531000,
      -0.692731,
      50.527924,
      -0.866918,
      50.426000,
      -1.023166,
      50.376000,
      -1.262391,
      50.386000,
      -1.403527,
      50.459000,
      -1.569563,
      50.474348,
      -1.699026,
      50.436904,
      -1.783162,
      51.227462,
      -1.783162
    ]);
    poly[1694] = _TzPolygon([
      54.553429,
      -4.196242,
      54.479000,
      -4.034430,
      54.296000,
      -3.965406,
      54.081000,
      -4.106243,
      53.905000,
      -4.396930,
      53.859000,
      -4.548184,
      53.845000,
      -4.828800,
      53.861000,
      -4.957775,
      53.906000,
      -5.069047,
      53.978000,
      -5.145584,
      54.054000,
      -5.170728,
      54.285905,
      -5.045528,
      54.433983,
      -4.868555,
      54.529539,
      -4.532588
    ]);
    poly[1695] = _TzPolygon(
        [50.488237, 3.516138, 50.486721, 3.500678, 50.516360, 3.516138]);
    poly[1696] = _TzPolygon([
      50.524453,
      3.516138,
      50.533679,
      3.474389,
      50.491132,
      3.376327,
      50.525867,
      3.288447,
      50.658638,
      3.240068,
      50.701309,
      3.261038,
      50.712021,
      3.204937,
      50.790081,
      3.150427,
      50.752079,
      2.951451,
      50.692354,
      2.905457,
      50.725768,
      2.790092,
      50.813468,
      2.718114,
      50.812906,
      2.635103,
      50.918643,
      2.590244,
      50.946062,
      2.632912,
      51.116515,
      2.503852,
      51.116515,
      3.516138
    ]);
    poly[1697] = _TzPolygon(
        [50.524453, 3.516138, 50.523617, 3.519923, 50.516360, 3.516138]);
    poly[1698] = _TzPolygon([
      50.488237,
      3.516138,
      50.497188,
      3.607438,
      50.455779,
      3.662832,
      50.368581,
      3.657263,
      50.303338,
      3.709582,
      50.350992,
      3.747135,
      50.353230,
      3.845783,
      50.326956,
      3.900922,
      50.359172,
      4.024179,
      50.303148,
      4.118143,
      50.257408,
      4.135515,
      50.259526,
      4.167559,
      50.288955,
      4.162616,
      50.272980,
      4.208051,
      50.251670,
      4.220130,
      50.213573,
      4.150416,
      50.135639,
      4.127122,
      50.134151,
      4.199508,
      50.073549,
      4.230833,
      50.019793,
      4.135758,
      49.994989,
      4.163097,
      49.978998,
      4.140546,
      49.954600,
      4.197455,
      49.969556,
      4.309527,
      49.937215,
      4.445509,
      49.995412,
      4.693410,
      50.068050,
      4.679764,
      50.169225,
      4.824962,
      50.137919,
      4.897111,
      50.087557,
      4.872010,
      50.101159,
      4.849684,
      50.065927,
      4.819384,
      50.039665,
      4.841489,
      49.969829,
      4.790334,
      49.908935,
      4.890131,
      49.868087,
      4.847535,
      49.819257,
      4.876393,
      49.793048,
      4.851997,
      49.797925,
      4.940364,
      48.742113,
      4.940364,
      48.742113,
      3.516138
    ]);
    poly[1699] = _TzPolygon([
      51.116515,
      2.503852,
      51.268318,
      2.388914,
      51.551667,
      3.081389,
      51.433406,
      3.307953,
      51.341205,
      3.383513,
      51.314980,
      3.358383,
      51.277214,
      3.375717,
      51.244657,
      3.427479,
      51.246040,
      3.527594,
      51.287156,
      3.515414,
      51.286913,
      3.581812,
      51.305947,
      3.590007,
      51.263888,
      3.774264,
      51.214012,
      3.791127,
      51.223018,
      3.888549,
      51.200162,
      3.886350,
      51.292896,
      4.166126,
      51.353967,
      4.242049,
      51.373885,
      4.217577,
      51.363853,
      4.431352,
      51.446746,
      4.379317,
      51.478145,
      4.475961,
      51.473383,
      4.548089,
      51.423030,
      4.535409,
      51.422014,
      4.641290,
      51.504487,
      4.778787,
      51.480736,
      4.841878,
      51.422442,
      4.841469,
      51.432355,
      4.780910,
      51.414903,
      4.771224,
      51.414671,
      4.899994,
      51.393693,
      4.920953,
      51.408804,
      4.940364,
      51.116515,
      4.940364
    ]);
  }
}

class _Initializer18 {
  static void _init() {
    poly[1700] = _TzPolygon([
      51.447378,
      4.923035,
      51.438014,
      4.940364,
      51.429465,
      4.936153,
      51.435355,
      4.915012
    ]);
    poly[1701] = _TzPolygon([
      51.227462,
      2.091912,
      51.268318,
      2.388914,
      51.116515,
      2.503852,
      51.116515,
      2.091912
    ]);
    poly[1702] = _TzPolygon([
      32.597374,
      4.940364,
      32.597374,
      8.346721,
      32.502602,
      8.356830,
      32.087376,
      9.065308,
      30.230236,
      9.558453,
      30.178669,
      9.398919,
      30.065861,
      9.407538,
      29.901201,
      9.538688,
      29.424757,
      9.779948,
      29.027662,
      9.871652,
      28.759132,
      9.902313,
      28.285950,
      9.832934,
      27.866574,
      9.962578,
      27.679511,
      9.924022,
      27.606979,
      9.886819,
      27.571916,
      9.816291,
      27.562405,
      9.877991,
      27.504425,
      9.862791,
      27.462886,
      9.813447,
      27.433543,
      9.808866,
      27.433543,
      4.940364
    ]);
    poly[1703] = _TzPolygon([
      32.597374,
      8.346721,
      32.597374,
      11.530124,
      32.519177,
      11.599935,
      32.454452,
      11.595000,
      32.408650,
      11.548930,
      32.199722,
      11.029167,
      32.105297,
      10.861430,
      31.998144,
      10.795141,
      31.960938,
      10.634012,
      31.933062,
      10.638046,
      31.916343,
      10.612640,
      31.879255,
      10.634949,
      31.740835,
      10.526845,
      31.740470,
      10.386147,
      31.672396,
      10.276262,
      31.478747,
      10.133912,
      31.091260,
      10.294135,
      31.040807,
      10.275145,
      30.894995,
      10.305593,
      30.800508,
      10.272077,
      30.508365,
      10.069602,
      30.469775,
      10.007096,
      30.383424,
      9.944150,
      30.336932,
      9.877502,
      30.337247,
      9.831754,
      30.230236,
      9.558453,
      32.087376,
      9.065308,
      32.502602,
      8.356830
    ]);
    poly[1704] = _TzPolygon([
      32.597374,
      8.346721,
      32.823472,
      8.322605,
      33.049835,
      8.116149,
      33.099813,
      8.117256,
      33.184487,
      7.905653,
      33.188116,
      7.832152,
      33.323640,
      7.777753,
      33.327352,
      7.749216,
      33.424659,
      7.736576,
      33.648103,
      7.596498,
      33.777445,
      7.562152,
      33.798297,
      7.525414,
      33.836840,
      7.547215,
      33.905076,
      7.521981,
      34.014617,
      7.560387,
      34.070271,
      7.532053,
      34.113662,
      7.614053,
      34.200869,
      7.651514,
      34.170555,
      7.722758,
      34.209190,
      7.796570,
      34.405304,
      7.856513,
      34.419949,
      7.932655,
      34.515801,
      8.083059,
      34.533643,
      8.149115,
      34.574288,
      8.170025,
      34.578022,
      8.222240,
      34.603530,
      8.211017,
      34.654803,
      8.280836,
      34.687910,
      8.240624,
      34.732810,
      8.324207,
      34.766891,
      8.283794,
      34.921054,
      8.245209,
      34.946790,
      8.311894,
      34.946790,
      8.410239,
      32.597374,
      8.410239
    ]);
    poly[1705] = _TzPolygon([
      34.946790,
      8.311894,
      34.948092,
      8.315268,
      35.098708,
      8.357157,
      35.161427,
      8.410239,
      34.946790,
      8.410239
    ]);
    poly[1706] = _TzPolygon([
      35.244867,
      8.410239,
      35.280450,
      8.333596,
      35.315064,
      8.311548,
      35.414212,
      8.315461,
      35.487419,
      8.385363,
      35.525741,
      8.359967,
      35.669768,
      8.356044,
      35.730655,
      8.264271,
      35.878645,
      8.270714,
      35.886469,
      8.253484,
      35.937619,
      8.262905,
      35.953150,
      8.290479,
      36.040236,
      8.296907,
      36.097034,
      8.346006,
      36.174362,
      8.306971,
      36.232371,
      8.354671,
      36.264522,
      8.337915,
      36.304945,
      8.391056,
      36.349093,
      8.376194,
      36.411860,
      8.409657,
      36.446179,
      8.354868,
      36.432336,
      8.327862,
      36.448067,
      8.208944,
      36.496864,
      8.153652,
      36.539617,
      8.291499,
      36.617420,
      8.410239
    ]);
    poly[1707] = _TzPolygon([
      37.122486,
      8.410239,
      37.121037,
      8.417769,
      37.143094,
      8.590487,
      36.915688,
      8.653986,
      36.853766,
      8.625005,
      36.838951,
      8.681129,
      36.773199,
      8.572483,
      36.779485,
      8.484147,
      36.759518,
      8.429930,
      36.748358,
      8.464080,
      36.697319,
      8.487450,
      36.662079,
      8.451321,
      36.618071,
      8.449201,
      36.622394,
      8.417829,
      36.617420,
      8.410239
    ]);
    poly[1708] = _TzPolygon(
        [35.244867, 8.410239, 35.239755, 8.476531, 35.161427, 8.410239]);
    poly[1709] = _TzPolygon([
      32.597374,
      11.530124,
      32.655913,
      11.477862,
      32.917861,
      11.495501,
      33.175987,
      11.561736,
      33.354590,
      11.667578,
      33.282408,
      11.880113,
      32.597374,
      11.880113
    ]);
    poly[1710] = _TzPolygon([
      36.557525,
      11.880113,
      36.600952,
      11.798723,
      36.710097,
      11.703067,
      36.804557,
      11.673080,
      36.887130,
      11.687516,
      36.962978,
      11.742110,
      37.010532,
      11.814764,
      37.023344,
      11.880113
    ]);
    poly[1711] = _TzPolygon([
      27.433543,
      24.998334,
      29.248889,
      24.997778,
      29.506389,
      24.877500,
      29.663889,
      24.886944,
      29.784444,
      24.812500,
      29.865278,
      24.836111,
      29.941111,
      24.812222,
      30.098611,
      24.740278,
      30.126369,
      24.649911,
      30.229633,
      24.697870,
      30.437222,
      24.881944,
      30.776461,
      25.010746,
      30.900027,
      24.980308,
      31.154950,
      24.858479,
      31.393491,
      24.852061,
      31.551144,
      25.076277,
      31.615441,
      25.084037,
      31.676637,
      25.145563,
      31.833085,
      25.870010,
      31.799935,
      26.294860,
      31.648567,
      27.038386,
      31.599662,
      27.150561,
      31.560275,
      27.423800,
      31.507466,
      27.520258,
      31.402821,
      27.605719,
      31.446926,
      27.848436,
      31.436984,
      27.933512,
      31.375271,
      28.039166,
      31.300291,
      28.085323,
      31.289670,
      28.374229,
      27.433543,
      28.374229
    ]);
    poly[1712] = _TzPolygon([
      36.561110,
      28.374229,
      36.561373,
      28.209405,
      36.469590,
      28.002097,
      36.470373,
      27.960677,
      36.697277,
      27.895497,
      36.708633,
      27.813951,
      36.574322,
      27.641671,
      36.542785,
      27.462142,
      36.586101,
      27.351479,
      36.725991,
      27.247118,
      36.807575,
      27.351010,
      36.905093,
      27.393714,
      36.942682,
      27.245762,
      36.973080,
      27.237022,
      36.997548,
      27.156232,
      37.040734,
      27.146522,
      37.051642,
      27.173670,
      37.061455,
      27.140922,
      37.311796,
      27.153627,
      37.564047,
      27.054100,
      37.649170,
      26.958483,
      37.696726,
      27.008265,
      37.724056,
      27.164928,
      37.761205,
      27.162449,
      37.761205,
      28.374229
    ]);
    poly[1713] = _TzPolygon([
      27.709506,
      34.567324,
      27.713530,
      34.519034,
      27.789704,
      34.477073,
      27.900510,
      34.457172,
      28.024965,
      34.466182,
      28.120017,
      34.512967,
      28.277091,
      34.545197,
      28.327764,
      34.567324
    ]);
    poly[1714] = _TzPolygon([
      31.704229,
      34.294791,
      31.540121,
      34.567324,
      31.389574,
      34.380266,
      31.290529,
      34.366548,
      31.220129,
      34.267499,
      31.323580,
      34.218798,
      31.478174,
      34.068973
    ]);
    poly[1715] = _TzPolygon([
      30.397487,
      34.567324,
      30.413044,
      34.542685,
      30.497914,
      34.553725,
      30.533630,
      34.515575,
      30.680851,
      34.496401,
      30.858308,
      34.403429,
      31.220129,
      34.267499,
      31.290529,
      34.366548,
      31.389574,
      34.380266,
      31.533243,
      34.565431,
      31.704229,
      34.294791,
      31.852616,
      34.401103,
      32.150076,
      34.543187,
      32.227163,
      34.567324
    ]);
    poly[1716] = _TzPolygon([
      30.397487,
      34.567324,
      30.368074,
      34.613908,
      29.779190,
      34.843791,
      29.648694,
      34.880253,
      29.543323,
      34.878553,
      29.453380,
      34.921211,
      29.082028,
      34.767993,
      28.952658,
      34.761567,
      28.905180,
      34.733562,
      28.550571,
      34.668762,
      28.326064,
      34.567324
    ]);
    poly[1717] = _TzPolygon([
      30.769331,
      34.567324,
      30.769331,
      35.303996,
      30.762011,
      35.295807,
      30.712251,
      35.293662,
      30.581956,
      35.204033,
      30.441312,
      35.161954,
      30.346085,
      35.192038,
      30.282048,
      35.146011,
      30.122488,
      35.162191,
      30.012255,
      35.100864,
      29.995234,
      35.116228,
      29.950344,
      35.075287,
      29.885547,
      35.084535,
      29.771922,
      35.029990,
      29.639091,
      35.014605,
      29.453380,
      34.921211,
      29.543323,
      34.878553,
      29.648694,
      34.880253,
      29.779190,
      34.843791,
      30.368074,
      34.613908,
      30.397487,
      34.567324
    ]);
    poly[1718] = _TzPolygon([
      27.433543,
      35.203242,
      27.635956,
      34.972720,
      27.700125,
      34.679919,
      27.709506,
      34.567324,
      28.327764,
      34.567324,
      28.579107,
      34.677076,
      28.905180,
      34.733562,
      28.952658,
      34.761567,
      29.082028,
      34.767993,
      29.375196,
      34.884437,
      29.183401,
      36.072812,
      29.380109,
      36.341741,
      29.430374,
      36.449338,
      29.867901,
      36.784903,
      29.980846,
      37.397452,
      27.433543,
      37.397452
    ]);
    poly[1719] = _TzPolygon([
      30.769331,
      37.730895,
      30.500661,
      37.997146,
      30.332623,
      37.665557,
      30.000769,
      37.505505,
      29.980846,
      37.397452,
      30.769331,
      37.397452
    ]);
    poly[1720] = _TzPolygon([
      30.769331,
      35.303996,
      30.798742,
      35.336901,
      30.908302,
      35.354280,
      30.950940,
      35.416466,
      31.104449,
      35.454738,
      31.252946,
      35.399300,
      31.393758,
      35.467552,
      31.660826,
      35.502305,
      31.757917,
      35.558328,
      31.872730,
      35.549870,
      31.907679,
      35.524321,
      31.968917,
      35.548343,
      32.035376,
      35.518909,
      32.211267,
      35.573902,
      32.400581,
      35.546318,
      32.437225,
      35.560607,
      32.437225,
      35.982388,
      30.769331,
      35.982388
    ]);
    poly[1721] = _TzPolygon([
      32.227163,
      34.567324,
      32.437225,
      34.633097,
      32.437225,
      35.560607,
      32.400581,
      35.546318,
      32.211267,
      35.573902,
      32.035376,
      35.518909,
      31.968917,
      35.548343,
      31.907679,
      35.524321,
      31.872730,
      35.549870,
      31.757917,
      35.558328,
      31.660826,
      35.502305,
      31.393758,
      35.467552,
      31.252946,
      35.399300,
      31.104449,
      35.454738,
      30.950940,
      35.416466,
      30.908302,
      35.354280,
      30.798742,
      35.336901,
      30.769331,
      35.303996,
      30.769331,
      34.567324
    ]);
    poly[1722] = _TzPolygon([
      32.437225,
      36.324641,
      32.437225,
      36.960152,
      32.333755,
      36.880893,
      32.311354,
      36.838094,
      32.313642,
      36.721531,
      32.339629,
      36.665114,
      32.377144,
      36.406835
    ]);
    poly[1723] = _TzPolygon(
        [32.437225, 37.081237, 32.433419, 37.077263, 32.437225, 37.010555]);
    poly[1724] = _TzPolygon(
        [31.105804, 37.397452, 31.500640, 37.006171, 31.598451, 37.397452]);
    poly[1725] = _TzPolygon([
      32.437225,
      35.560607,
      32.487407,
      35.580175,
      32.514749,
      35.552513,
      32.552624,
      35.576971,
      32.645902,
      35.561264,
      32.755459,
      35.795623,
      32.735977,
      35.801576,
      32.732715,
      35.868864,
      32.713955,
      35.884016,
      32.720807,
      35.933642,
      32.663938,
      35.964680,
      32.658925,
      36.015275,
      32.437225,
      36.015275
    ]);
    poly[1726] = _TzPolygon([
      33.271172,
      34.955132,
      33.271172,
      35.562936,
      33.119127,
      35.526881,
      33.089483,
      35.503510,
      33.090649,
      35.445865,
      33.047986,
      35.379913,
      33.104905,
      35.316830,
      33.083521,
      35.189269,
      33.096154,
      35.079549,
      33.172036,
      34.882567,
      33.260866,
      34.952995
    ]);
    poly[1727] = _TzPolygon(
        [33.271172, 35.622051, 33.242386, 35.624239, 33.271172, 35.589919]);
    poly[1728] = _TzPolygon([
      32.658925,
      36.015275,
      32.663938,
      35.964680,
      32.720579,
      35.934483,
      32.713955,
      35.884016,
      32.732715,
      35.868864,
      32.735977,
      35.801576,
      32.755495,
      35.797084,
      32.745090,
      35.756483,
      32.828166,
      35.837677,
      32.944877,
      35.895023,
      33.102351,
      35.850451,
      33.112992,
      35.816977,
      33.193059,
      35.837681,
      33.271172,
      35.781411,
      33.271172,
      36.015275
    ]);
    poly[1729] = _TzPolygon([
      32.437225,
      35.063930,
      32.450389,
      35.066303,
      32.552148,
      35.224570,
      32.510721,
      35.288590,
      32.518756,
      35.356305,
      32.501160,
      35.402968,
      32.437225,
      35.423095
    ]);
    poly[1730] = _TzPolygon([
      33.271172,
      36.015275,
      33.271172,
      35.781411,
      33.276731,
      35.777406,
      33.316960,
      35.813197,
      33.335632,
      35.773335,
      33.405000,
      35.826944,
      33.480556,
      35.948056,
      33.527778,
      35.941111,
      33.545850,
      36.015275
    ]);
    poly[1731] = _TzPolygon([
      33.608980,
      36.015275,
      33.646111,
      35.935000,
      33.715000,
      35.968333,
      33.766815,
      36.015275
    ]);
    poly[1732] = _TzPolygon(
        [33.271172, 35.562936, 33.290049, 35.567412, 33.271172, 35.589919]);
    poly[1733] = _TzPolygon([
      33.271172,
      35.622051,
      33.272558,
      35.621946,
      33.335632,
      35.773335,
      33.316960,
      35.813197,
      33.276731,
      35.777406,
      33.271172,
      35.781411
    ]);
    poly[1734] = _TzPolygon([
      32.658925,
      36.015275,
      32.658078,
      36.023820,
      32.602265,
      36.025684,
      32.568288,
      36.068957,
      32.513485,
      36.078734,
      32.529855,
      36.199998,
      32.494839,
      36.211860,
      32.498946,
      36.240203,
      32.437225,
      36.324641,
      32.437225,
      36.015275
    ]);
    poly[1735] = _TzPolygon(
        [32.437225, 36.960152, 32.439980, 36.962262, 32.437225, 37.010555]);
    poly[1736] = _TzPolygon([
      32.437225,
      37.081237,
      32.557422,
      37.206745,
      32.571916,
      37.255432,
      32.560229,
      37.359916,
      32.596984,
      37.397452,
      32.437225,
      37.397452
    ]);
    poly[1737] = _TzPolygon([
      34.105119,
      36.514957,
      34.101667,
      36.511111,
      34.063611,
      36.503611,
      34.049167,
      36.404167,
      33.917778,
      36.283333,
      33.878889,
      36.325278,
      33.877500,
      36.366667,
      33.830629,
      36.393446,
      33.859722,
      36.246111,
      33.833056,
      36.201944,
      33.856389,
      36.155278,
      33.820833,
      36.094722,
      33.827222,
      36.070000,
      33.757866,
      36.015275,
      34.105119,
      36.015275
    ]);
    poly[1738] = _TzPolygon([
      33.605818,
      36.015275,
      33.579444,
      36.059167,
      33.549167,
      36.028889,
      33.545850,
      36.015275
    ]);
    poly[1739] = _TzPolygon([
      31.979666,
      40.227580,
      32.154338,
      39.200916,
      32.230589,
      39.301298,
      32.355224,
      39.259916,
      32.303686,
      39.043147,
      32.477657,
      38.985583,
      32.502008,
      39.086064,
      33.375062,
      38.793672,
      34.105119,
      40.227580
    ]);
    poly[1740] = _TzPolygon([
      34.103351,
      40.227580,
      33.244471,
      38.554732,
      33.162929,
      38.362911,
      32.898358,
      37.901525,
      32.893430,
      37.785447,
      32.761800,
      37.740796,
      32.717501,
      37.520529,
      32.596984,
      37.397452,
      34.105119,
      37.397452,
      34.105119,
      40.227580
    ]);
    poly[1741] = _TzPolygon([
      30.769331,
      37.730895,
      31.105804,
      37.397452,
      31.598451,
      37.397452,
      32.000630,
      39.006312,
      32.154338,
      39.200916,
      31.979666,
      40.227580,
      30.769331,
      40.227580
    ]);
    poly[1742] = _TzPolygon([
      36.185313,
      29.483821,
      36.158643,
      29.563327,
      36.169040,
      29.613194,
      36.085772,
      29.700458,
      35.923000,
      29.729699,
      35.916185,
      29.555934,
      35.947485,
      29.399908,
      36.011000,
      29.310589
    ]);
    poly[1743] = _TzPolygon([
      35.384917,
      32.545946,
      35.384917,
      34.539147,
      35.237875,
      34.288184,
      35.172643,
      34.233596,
      35.069626,
      33.999531,
      35.071784,
      33.906205,
      35.123742,
      33.884025,
      35.072152,
      33.854572,
      35.075903,
      33.819477,
      35.042472,
      33.760623,
      35.037257,
      33.714912,
      35.076575,
      33.708565,
      35.039054,
      33.676866,
      35.052141,
      33.611162,
      35.038105,
      33.587720,
      35.080479,
      33.527831,
      35.062390,
      33.483768,
      35.002986,
      33.458663,
      35.062241,
      33.480335,
      35.200512,
      33.404612,
      35.166048,
      33.289440,
      35.198240,
      33.157563,
      35.160192,
      33.108042,
      35.163471,
      33.034272,
      35.103574,
      32.955210,
      35.106242,
      32.874207,
      35.081628,
      32.852750,
      35.151029,
      32.708254,
      35.244217,
      32.686043,
      35.229355,
      32.640381,
      35.172185,
      32.604205
    ]);
    poly[1744] = _TzPolygon([
      35.384917,
      32.545946,
      35.399121,
      32.671189,
      35.513637,
      32.711632,
      35.594163,
      32.837579,
      35.603965,
      32.949971,
      35.553834,
      33.302016,
      35.562032,
      33.553453,
      35.666397,
      33.937128,
      35.747248,
      34.076368,
      35.898705,
      34.513387,
      35.913252,
      34.608360,
      35.897042,
      34.703778,
      35.852299,
      34.784230,
      35.785874,
      34.837429,
      35.707916,
      34.855318,
      35.630310,
      34.835271,
      35.506472,
      34.746611,
      35.384917,
      34.539147
    ]);
    poly[1745] = _TzPolygon([
      34.105119,
      36.514957,
      34.203889,
      36.625000,
      34.264722,
      36.581667,
      34.309444,
      36.600556,
      34.320278,
      36.561944,
      34.371667,
      36.533056,
      34.423333,
      36.553889,
      34.462922,
      36.464807,
      34.505279,
      36.446284,
      34.513056,
      36.341389,
      34.559722,
      36.403333,
      34.611667,
      36.409722,
      34.593056,
      36.451389,
      34.635278,
      36.460000,
      34.633936,
      36.381019,
      34.692267,
      36.335350,
      34.628156,
      36.276960,
      34.642397,
      36.127302,
      34.627377,
      36.033642,
      34.650607,
      35.989927,
      34.600667,
      35.839611,
      34.661806,
      35.754111,
      34.685969,
      35.674506,
      34.692354,
      35.671694,
      34.692354,
      40.227580,
      34.105119,
      40.227580
    ]);
    poly[1746] = _TzPolygon([
      36.226779,
      35.471729,
      36.226779,
      36.489670,
      36.196944,
      36.465101,
      36.216757,
      36.381825,
      36.192573,
      36.400425,
      36.167026,
      36.365445,
      36.146031,
      36.389110,
      36.011593,
      36.376217,
      35.988468,
      36.339216,
      36.010552,
      36.290316,
      35.956419,
      36.294490,
      35.944141,
      36.193946,
      35.807680,
      36.153943,
      35.862006,
      36.112856,
      35.880034,
      35.999522,
      35.940810,
      36.006540,
      35.921473,
      35.923498,
      36.033799,
      35.692222,
      36.158000,
      35.595079
    ]);
    poly[1747] = _TzPolygon(
        [36.226779, 36.623764, 36.214325, 36.624687, 36.226779, 36.570186]);
    poly[1748] = _TzPolygon(
        [36.226779, 36.489670, 36.242265, 36.502422, 36.226779, 36.570186]);
    poly[1749] = _TzPolygon([
      36.226779,
      36.623764,
      36.238216,
      36.622916,
      36.240621,
      36.690606,
      36.295014,
      36.695127,
      36.298106,
      36.656323,
      36.337599,
      36.657252,
      36.327320,
      36.605213,
      36.392255,
      36.605951,
      36.418976,
      36.566333,
      36.485768,
      36.542538,
      36.585539,
      36.591436,
      36.659134,
      36.573628,
      36.705392,
      36.628746,
      36.745534,
      36.612946,
      36.799547,
      36.671719,
      36.828361,
      36.665670,
      36.765571,
      36.997535,
      36.742156,
      36.992730,
      36.726201,
      37.046551,
      36.666159,
      37.020742,
      36.634501,
      37.085911,
      36.671548,
      37.106192,
      36.677322,
      37.142075,
      36.656867,
      37.162561,
      36.675316,
      37.216762,
      36.633014,
      37.474147,
      36.673644,
      37.495281,
      36.695015,
      37.541449,
      36.226779,
      37.541449
    ]);
    poly[1750] = _TzPolygon([
      36.899584,
      40.227580,
      36.877692,
      40.182890,
      36.856111,
      40.062275,
      36.826709,
      40.031168,
      36.756701,
      39.820774,
      36.669152,
      39.213004,
      36.710722,
      39.020575,
      36.708148,
      38.739271,
      36.844811,
      38.554410,
      36.902327,
      38.390712,
      36.924099,
      38.242029,
      36.864565,
      38.045742,
      36.825977,
      38.018477,
      36.818564,
      37.940712,
      36.749622,
      37.783378,
      36.749049,
      37.658179,
      36.695015,
      37.541449,
      37.761205,
      37.541449,
      37.761205,
      40.227580
    ]);
    poly[1751] = _TzPolygon([
      45.645251,
      6.959839,
      45.651031,
      6.916460,
      45.680661,
      6.903053,
      45.689674,
      6.847326,
      45.725069,
      6.808632,
      45.835876,
      6.818102,
      45.847880,
      6.942411,
      45.861165,
      6.959839
    ]);
    poly[1752] = _TzPolygon([
      46.036348,
      6.959839,
      46.064270,
      6.937506,
      46.051005,
      6.872067,
      46.123940,
      6.900008,
      46.136710,
      6.797569,
      46.204868,
      6.803843,
      46.280191,
      6.864934,
      46.353816,
      6.771101,
      46.427152,
      6.821083,
      46.454337,
      6.681878,
      46.456373,
      6.519124,
      46.403722,
      6.335208,
      46.360426,
      6.252975,
      46.311884,
      6.219565,
      46.301824,
      6.248920,
      46.251677,
      6.260159,
      46.256224,
      6.309762,
      46.225153,
      6.294686,
      46.141597,
      6.136460,
      46.151387,
      6.052300,
      46.132357,
      5.955911,
      46.181865,
      5.994923,
      46.197021,
      5.963716,
      46.215008,
      5.974567,
      46.251253,
      6.124467,
      46.284943,
      6.102352,
      46.366084,
      6.169917,
      46.416395,
      6.063858,
      46.463702,
      6.072480,
      46.463702,
      6.959839
    ]);
    poly[1753] = _TzPolygon([
      46.043746,
      6.959839,
      45.997268,
      7.010417,
      45.922546,
      7.044382,
      45.860642,
      6.959839
    ]);
    poly[1754] = _TzPolygon([
      45.645251,
      6.959839,
      45.639771,
      7.000968,
      45.588214,
      6.977992,
      45.503281,
      7.002286,
      45.495690,
      7.052730,
      45.472447,
      7.048617,
      45.468022,
      7.103619,
      45.433079,
      7.114587,
      45.421424,
      7.143075,
      45.421424,
      6.959839
    ]);
    poly[1755] = _TzPolygon([
      46.463702,
      7.969577,
      46.005786,
      7.969577,
      45.996967,
      7.908696,
      45.916700,
      7.863563,
      45.941055,
      7.747680,
      45.923582,
      7.720131,
      45.973966,
      7.668203,
      45.970926,
      7.586981,
      45.987679,
      7.570121,
      45.954905,
      7.538446,
      45.962417,
      7.499273,
      45.897005,
      7.385701,
      45.921813,
      7.294437,
      45.860439,
      7.196750,
      45.879271,
      7.153650,
      45.859176,
      7.101549,
      46.036348,
      6.959839,
      46.463702,
      6.959839
    ]);
    poly[1756] = _TzPolygon([
      46.463702,
      8.446126,
      46.463702,
      8.979315,
      45.833800,
      8.979315,
      45.843481,
      8.956318,
      45.830465,
      8.912239,
      45.867021,
      8.945315,
      45.957773,
      8.894732,
      45.989150,
      8.785922,
      46.075631,
      8.852035,
      46.122257,
      8.742349,
      46.098043,
      8.714815,
      46.121721,
      8.611822,
      46.218363,
      8.532547,
      46.248958,
      8.444463,
      46.298315,
      8.427750,
      46.333848,
      8.465346,
      46.395987,
      8.471136
    ]);
    poly[1757] = _TzPolygon([
      46.463702,
      8.446126,
      46.425825,
      8.307690,
      46.408715,
      8.288623,
      46.377162,
      8.312761,
      46.364526,
      8.264307,
      46.302255,
      8.198657,
      46.301998,
      8.138142,
      46.266551,
      8.085672,
      46.182864,
      8.165067,
      46.146219,
      8.154025,
      46.111625,
      8.108218,
      46.100852,
      8.034723,
      46.011988,
      8.012397,
      46.005786,
      7.969577,
      46.463702,
      7.969577
    ]);
    poly[1758] = _TzPolygon([
      46.463702,
      6.072480,
      46.545298,
      6.156659,
      46.576478,
      6.110527,
      46.773983,
      6.452400,
      46.812234,
      6.431275,
      46.890278,
      6.464546,
      46.928684,
      6.432655,
      46.974110,
      6.496503,
      46.991627,
      6.618171,
      47.051179,
      6.719178,
      47.081984,
      6.702563,
      47.156375,
      6.849928,
      47.171200,
      6.840976,
      47.242993,
      6.955461,
      47.286372,
      6.940793,
      47.294240,
      6.959839,
      46.463702,
      6.959839
    ]);
    poly[1759] = _TzPolygon([
      47.364605,
      6.959839,
      47.352580,
      6.879326,
      47.433327,
      6.940272,
      47.439917,
      6.959839
    ]);
    poly[1760] = _TzPolygon([
      47.808465,
      7.969577,
      47.546202,
      7.969577,
      47.543787,
      7.944265,
      47.587423,
      7.891998,
      47.587988,
      7.822544,
      47.557382,
      7.795685,
      47.532629,
      7.682682,
      47.561224,
      7.633956,
      47.565610,
      7.685919,
      47.600772,
      7.693790,
      47.576870,
      7.619134,
      47.589897,
      7.589039,
      47.697775,
      7.511746,
      47.731941,
      7.548412,
      47.780920,
      7.529817,
      47.808465,
      7.537407
    ]);
    poly[1761] = _TzPolygon([
      47.808465,
      7.537407,
      47.780920,
      7.529817,
      47.731941,
      7.548412,
      47.697775,
      7.511746,
      47.603602,
      7.591969,
      47.575516,
      7.584653,
      47.540113,
      7.499175,
      47.528159,
      7.531225,
      47.521248,
      7.497870,
      47.482135,
      7.487621,
      47.497168,
      7.433141,
      47.480367,
      7.420816,
      47.470701,
      7.455825,
      47.431814,
      7.385599,
      47.441758,
      7.330212,
      47.420342,
      7.246518,
      47.442979,
      7.170218,
      47.494278,
      7.200977,
      47.494551,
      6.982967,
      47.454158,
      7.002126,
      47.439917,
      6.959839,
      47.808465,
      6.959839
    ]);
    poly[1762] = _TzPolygon([
      47.364605,
      6.959839,
      47.372915,
      7.015477,
      47.334368,
      7.056984,
      47.294240,
      6.959839
    ]);
    poly[1763] = _TzPolygon([
      47.715199,
      8.701270,
      47.690698,
      8.717856,
      47.684854,
      8.669950,
      47.691349,
      8.658591,
      47.713373,
      8.664653
    ]);
    poly[1764] = _TzPolygon([
      47.546202,
      7.969577,
      47.557630,
      8.089356,
      47.621112,
      8.206310,
      47.609158,
      8.291912,
      47.571017,
      8.329389,
      47.572193,
      8.464170,
      47.581115,
      8.494694,
      47.602327,
      8.456675,
      47.633791,
      8.515647,
      47.596126,
      8.582557,
      47.643038,
      8.595691,
      47.648985,
      8.628632,
      47.672105,
      8.606706,
      47.670415,
      8.560792,
      47.638416,
      8.473485,
      47.674200,
      8.405576,
      47.770955,
      8.484071,
      47.781674,
      8.577318,
      47.808465,
      8.568014,
      47.798330,
      8.618589,
      47.758196,
      8.631653,
      47.800454,
      8.656848,
      47.758369,
      8.688693,
      47.762277,
      8.727310,
      47.692684,
      8.728053,
      47.675501,
      8.788611,
      47.693362,
      8.810095,
      47.718463,
      8.769753,
      47.738293,
      8.806676,
      47.712785,
      8.819036,
      47.704098,
      8.872737,
      47.681177,
      8.850531,
      47.647972,
      8.896479,
      47.673081,
      8.979315,
      46.463702,
      8.979315,
      46.463702,
      7.969577
    ]);
    poly[1765] = _TzPolygon([
      45.834032,
      8.979315,
      45.818113,
      9.018060,
      45.900720,
      9.089089,
      45.928427,
      9.019308,
      45.970342,
      8.988971,
      45.993661,
      9.028422,
      46.037382,
      9.009541,
      46.065302,
      9.078293,
      46.118510,
      9.072945,
      46.170620,
      9.183944,
      46.233699,
      9.248590,
      46.327546,
      9.299244,
      46.414645,
      9.279947,
      46.436073,
      9.247956,
      46.496763,
      9.282694,
      46.509382,
      9.363222,
      46.466889,
      9.411659,
      46.508876,
      9.463549,
      46.375856,
      9.461186,
      46.302342,
      9.549538,
      46.291812,
      9.709832,
      46.348354,
      9.735805,
      45.421424,
      9.735805,
      45.421424,
      8.979315
    ]);
    poly[1766] = _TzPolygon([
      46.348354,
      9.735805,
      46.350704,
      9.736884,
      46.334793,
      9.777525,
      46.379301,
      9.952759,
      46.351170,
      9.996288,
      46.284943,
      9.995907,
      46.265841,
      10.055524,
      46.229639,
      10.043943,
      46.224879,
      10.132300,
      46.258277,
      10.176503,
      46.342197,
      10.105944,
      46.407385,
      10.166884,
      46.442724,
      10.042054,
      46.540118,
      10.043958,
      46.610720,
      10.102350,
      46.616950,
      10.215315,
      46.635352,
      10.238877,
      46.575009,
      10.246058,
      46.549976,
      10.296064,
      46.542624,
      10.471227,
      46.615116,
      10.492294,
      45.421424,
      10.492294,
      45.421424,
      9.735805
    ]);
    poly[1767] = _TzPolygon([
      46.615116,
      10.492294,
      46.641277,
      10.446126,
      46.637182,
      10.401302,
      46.684305,
      10.381797,
      46.708999,
      10.416068,
      46.733732,
      10.400621,
      46.753840,
      10.442602,
      46.788243,
      10.422706,
      46.859075,
      10.478728,
      46.854689,
      10.492294
    ]);
    poly[1768] = _TzPolygon(
        [46.859075, 10.079057, 46.859075, 10.196466, 46.840885, 10.105242]);
    poly[1769] = _TzPolygon([
      46.849692,
      10.492294,
      46.854913,
      10.469654,
      46.859075,
      10.470643,
      46.859075,
      10.492294
    ]);
    poly[1770] = _TzPolygon([
      47.536729,
      9.529250,
      47.536925,
      9.514684,
      47.594830,
      9.445129,
      47.659123,
      9.255817,
      47.653984,
      9.175971,
      47.686540,
      9.023718,
      47.673081,
      8.979315,
      47.808465,
      8.979315,
      47.808465,
      9.529250
    ]);
    poly[1771] = _TzPolygon([
      47.053492,
      9.529250,
      47.063310,
      9.471674,
      47.096556,
      9.519311,
      47.181443,
      9.485841,
      47.267605,
      9.529250
    ]);
    poly[1772] = _TzPolygon(
        [47.391818, 10.079184, 47.409794, 10.069171, 47.414997, 10.079184]);
    poly[1773] = _TzPolygon([
      47.466553,
      10.079184,
      47.487622,
      10.044775,
      47.482106,
      10.000764,
      47.545859,
      9.970480,
      47.529636,
      9.921895,
      47.548143,
      9.881247,
      47.528537,
      9.874505,
      47.547695,
      9.815755,
      47.579972,
      9.827282,
      47.596101,
      9.799986,
      47.589117,
      9.765531,
      47.533956,
      9.734784,
      47.536729,
      9.529250,
      47.808465,
      9.529250,
      47.808465,
      10.079184
    ]);
    poly[1774] = _TzPolygon([
      47.053492,
      9.529250,
      47.267605,
      9.529250,
      47.270581,
      9.530749,
      47.205347,
      9.584895,
      47.170246,
      9.564626,
      47.151295,
      9.621721,
      47.096237,
      9.635714,
      47.048429,
      9.558942
    ]);
    poly[1775] = _TzPolygon([
      47.545995,
      9.529250,
      47.537176,
      9.550566,
      47.463310,
      9.595143,
      47.452205,
      9.658976,
      47.383875,
      9.673845,
      47.351478,
      9.605284,
      47.267607,
      9.529250
    ]);
    poly[1776] = _TzPolygon([
      47.054436,
      9.529250,
      47.062098,
      9.681840,
      47.012531,
      9.836120,
      47.021227,
      9.876246,
      46.934628,
      9.876130,
      46.901615,
      10.017818,
      46.859075,
      10.079184,
      46.859075,
      9.529250
    ]);
    poly[1777] = _TzPolygon([
      46.859075,
      10.196558,
      46.866293,
      10.232665,
      46.931370,
      10.240583,
      46.925177,
      10.316052,
      46.989590,
      10.346511,
      46.993881,
      10.376011,
      46.859075,
      10.376011
    ]);
    poly[1778] = _TzPolygon([
      46.993881,
      10.376011,
      46.997125,
      10.398309,
      46.958902,
      10.423887,
      46.937789,
      10.489352,
      46.859075,
      10.471738,
      46.859075,
      10.376011
    ]);
    poly[1779] = _TzPolygon([
      47.391818,
      10.079184,
      47.414997,
      10.079184,
      47.428717,
      10.105586,
      47.458928,
      10.091638,
      47.466553,
      10.079184,
      47.808465,
      10.079184,
      47.808465,
      10.492294,
      47.548552,
      10.492294,
      47.555797,
      10.454429,
      47.503763,
      10.431301,
      47.432223,
      10.475946,
      47.412688,
      10.437421,
      47.380363,
      10.436765,
      47.375605,
      10.394730,
      47.304816,
      10.330333,
      47.270111,
      10.178342,
      47.381921,
      10.236186,
      47.392426,
      10.181849,
      47.354786,
      10.099812
    ]);
    poly[1780] = _TzPolygon([
      49.199539,
      4.940364,
      49.199539,
      6.717566,
      49.163672,
      6.738557,
      49.151282,
      6.834175,
      49.178924,
      6.861944,
      49.199539,
      6.847509,
      49.199539,
      7.009738,
      49.191436,
      7.035031,
      49.112947,
      7.052035,
      49.155764,
      7.102006,
      49.120827,
      7.157451,
      49.114989,
      7.293556,
      49.143261,
      7.362681,
      49.172041,
      7.365325,
      49.184267,
      7.445790,
      49.164733,
      7.434638,
      49.169406,
      7.493976,
      49.097117,
      7.528568,
      49.073569,
      7.629522,
      49.054911,
      7.631330,
      49.048435,
      7.716329,
      48.312917,
      7.716329,
      48.301636,
      7.693542,
      48.221560,
      7.666537,
      48.121948,
      7.578077,
      48.034570,
      7.568901,
      47.972499,
      7.621897,
      47.878036,
      7.556578,
      47.808465,
      7.537407,
      47.808465,
      4.940364
    ]);
    poly[1781] = _TzPolygon([
      49.797925,
      4.940364,
      49.800900,
      4.994275,
      49.763456,
      5.094389,
      49.693430,
      5.164256,
      49.696571,
      5.268511,
      49.654492,
      5.332169,
      49.611653,
      5.312107,
      49.630986,
      5.352139,
      49.596025,
      5.428408,
      49.498799,
      5.465123,
      49.529277,
      5.556029,
      49.505954,
      5.610967,
      49.538808,
      5.634355,
      49.199539,
      5.634355,
      49.199539,
      4.940364
    ]);
    poly[1782] = _TzPolygon([
      49.895076,
      6.246260,
      49.895076,
      6.328347,
      49.840450,
      6.328347,
      49.838453,
      6.321425,
      49.869131,
      6.311735
    ]);
    poly[1783] = _TzPolygon([
      49.895076,
      5.739429,
      49.872927,
      5.784033,
      49.871920,
      5.753927,
      49.833616,
      5.739191,
      49.791456,
      5.755156,
      49.795755,
      5.790365,
      49.749546,
      5.830561,
      49.723520,
      5.826334,
      49.709282,
      5.886934,
      49.680450,
      5.862047,
      49.662495,
      5.910643,
      49.595936,
      5.847780,
      49.574295,
      5.872801,
      49.546381,
      5.818575,
      49.563341,
      5.771264,
      49.539462,
      5.747154,
      49.550630,
      5.643238,
      49.538333,
      5.634355,
      49.895076,
      5.634355
    ]);
    poly[1784] = _TzPolygon([
      49.538808,
      5.634355,
      49.550444,
      5.642639,
      49.539462,
      5.747154,
      49.563230,
      5.774427,
      49.542583,
      5.837076,
      49.499912,
      5.866262,
      49.500232,
      5.943154,
      49.451870,
      5.980314,
      49.447854,
      6.041774,
      49.466440,
      6.058107,
      49.452890,
      6.100775,
      49.510307,
      6.174974,
      49.514937,
      6.240651,
      49.469858,
      6.328347,
      49.199539,
      6.328347,
      49.199539,
      5.634355
    ]);
    poly[1785] = _TzPolygon([
      49.895076,
      6.246260,
      49.900122,
      6.233526,
      49.950085,
      6.223913,
      49.968859,
      6.190428,
      49.953489,
      6.177614,
      50.059698,
      6.112249,
      50.141639,
      6.154502,
      50.169082,
      6.139677,
      50.182034,
      6.192321,
      50.235283,
      6.175596,
      50.266452,
      6.278515,
      50.320190,
      6.306470,
      50.314422,
      6.328347,
      49.895076,
      6.328347
    ]);
    poly[1786] = _TzPolygon([
      50.489572,
      6.328347,
      50.494324,
      6.226578,
      50.530274,
      6.196914,
      50.590613,
      6.234097,
      50.590613,
      6.328347
    ]);
    poly[1787] = _TzPolygon([
      50.590613,
      6.241090,
      50.590232,
      6.242513,
      50.536095,
      6.197034,
      50.556391,
      6.174083
    ]);
    poly[1788] = _TzPolygon([
      49.895076,
      5.740342,
      49.896927,
      5.735701,
      49.960800,
      5.775023,
      49.982290,
      5.838556,
      50.012810,
      5.818987,
      50.028877,
      5.859877,
      50.112162,
      5.895316,
      50.131360,
      5.961331,
      50.172630,
      5.963679,
      50.182796,
      6.024782,
      50.154233,
      6.057571,
      50.171913,
      6.083643,
      50.163353,
      6.119818,
      49.998598,
      6.137976,
      49.953573,
      6.178762,
      49.969545,
      6.190371,
      49.950085,
      6.223913,
      49.900114,
      6.233904,
      49.895076,
      6.246840
    ]);
    poly[1789] = _TzPolygon([
      50.489572,
      6.328347,
      50.488544,
      6.350361,
      50.462402,
      6.340426,
      50.439640,
      6.377497,
      50.380332,
      6.342976,
      50.335407,
      6.408097,
      50.305187,
      6.363375,
      50.314422,
      6.328347
    ]);
    poly[1790] = _TzPolygon([
      49.837038,
      6.328347,
      49.850966,
      6.364096,
      49.810839,
      6.429697,
      49.822786,
      6.471567,
      49.805746,
      6.531248,
      49.789755,
      6.506121,
      49.722967,
      6.517397,
      49.668741,
      6.431086,
      49.620649,
      6.422300,
      49.573397,
      6.358545,
      49.556654,
      6.383329,
      49.530581,
      6.357695,
      49.459868,
      6.368853,
      49.477268,
      6.328347
    ]);
    poly[1791] = _TzPolygon([
      49.469858,
      6.328347,
      49.466940,
      6.334024,
      49.476948,
      6.428027,
      49.432552,
      6.541634,
      49.401199,
      6.540992,
      49.367111,
      6.602300,
      49.347831,
      6.565773,
      49.280265,
      6.670322,
      49.199539,
      6.717566,
      49.199539,
      6.328347
    ]);
    poly[1792] = _TzPolygon([
      49.199539,
      6.847509,
      49.213348,
      6.837839,
      49.222448,
      6.938230,
      49.199539,
      7.009738
    ]);
    poly[1793] = _TzPolygon([
      49.048435,
      7.716329,
      49.045315,
      7.757288,
      49.065751,
      7.794434,
      49.032962,
      7.867340,
      49.057923,
      7.933977,
      48.989700,
      8.088006,
      48.966447,
      8.232522,
      48.898004,
      8.142094,
      48.803562,
      8.089000,
      48.758173,
      7.972375,
      48.721486,
      7.963228,
      48.640971,
      7.839391,
      48.585230,
      7.800773,
      48.512588,
      7.804730,
      48.489241,
      7.767986,
      48.395677,
      7.732599,
      48.326749,
      7.744269,
      48.312917,
      7.716329
    ]);
    poly[1794] = _TzPolygon([
      51.193868,
      5.634355,
      51.222269,
      5.560610,
      51.295203,
      5.515774,
      51.300165,
      5.483017,
      51.262286,
      5.417412,
      51.275764,
      5.346140,
      51.261353,
      5.237914,
      51.305219,
      5.242193,
      51.315539,
      5.134330,
      51.374293,
      5.086725,
      51.374293,
      5.634355
    ]);
    poly[1795] = _TzPolygon([
      50.982453,
      5.745626,
      50.982453,
      5.894023,
      50.974865,
      5.897086,
      50.982453,
      6.026372,
      50.934701,
      6.018202,
      50.920572,
      6.094181,
      50.846538,
      6.074171,
      50.846256,
      6.018946,
      50.814132,
      6.025029,
      50.802353,
      5.975742,
      50.774153,
      6.027643,
      50.754288,
      6.021009,
      50.750366,
      5.915081,
      50.770157,
      5.886477,
      50.756054,
      5.807621,
      50.783245,
      5.773575,
      50.757074,
      5.739179,
      50.757535,
      5.682060,
      50.811515,
      5.693854,
      50.847675,
      5.638866,
      50.951657,
      5.758822,
      50.962421,
      5.720128
    ]);
    poly[1796] = _TzPolygon([
      50.982453,
      5.634355,
      50.982453,
      5.745626,
      50.962421,
      5.720128,
      50.951657,
      5.758822,
      50.871350,
      5.644159,
      50.820082,
      5.653991,
      50.811515,
      5.693854,
      50.757535,
      5.682060,
      50.757074,
      5.739179,
      50.783245,
      5.773575,
      50.756045,
      5.807696,
      50.770157,
      5.886477,
      50.751401,
      5.901630,
      50.754676,
      6.019823,
      50.718392,
      6.039231,
      50.720028,
      6.118596,
      50.662140,
      6.165814,
      50.663146,
      6.194752,
      50.640408,
      6.187157,
      50.642337,
      6.265972,
      50.590613,
      6.234097,
      50.590613,
      5.634355
    ]);
    poly[1797] = _TzPolygon([
      50.982453,
      6.026372,
      50.982453,
      5.894023,
      51.051104,
      5.866315,
      51.066883,
      5.913208,
      51.034726,
      5.957778,
      51.084246,
      5.997794,
      51.158464,
      6.175422,
      51.173339,
      6.138802,
      51.194414,
      6.165170,
      51.171634,
      6.082190,
      51.242556,
      6.072653,
      51.360336,
      6.226387,
      51.374293,
      6.225077,
      51.374293,
      6.328347,
      50.982453,
      6.328347
    ]);
    poly[1798] = _TzPolygon([
      51.193868,
      5.634355,
      51.184745,
      5.658044,
      51.188678,
      5.749090,
      51.151304,
      5.777646,
      51.167841,
      5.824311,
      51.144626,
      5.855783,
      51.118422,
      5.809850,
      51.097364,
      5.832421,
      51.091479,
      5.796023,
      50.999738,
      5.767628,
      50.982453,
      5.745626,
      50.982453,
      5.634355
    ]);
    poly[1799] = _TzPolygon([
      51.374293,
      6.225077,
      51.513391,
      6.212024,
      51.605849,
      6.091424,
      51.655973,
      6.118088,
      51.674056,
      6.032350,
      51.716913,
      6.044939,
      51.738118,
      5.955155,
      51.770246,
      5.992067,
      51.824266,
      5.945479,
      51.865451,
      6.063486,
      51.840722,
      6.166560,
      51.892474,
      6.103448,
      51.905195,
      6.154272,
      51.869021,
      6.210177,
      51.874115,
      6.279730,
      51.855458,
      6.328347,
      51.374293,
      6.328347
    ]);
  }
}

class _Initializer19 {
  static void _init() {
    poly[1800] = _TzPolygon([
      51.408804,
      4.940364,
      51.486533,
      5.040210,
      51.431349,
      5.104573,
      51.393495,
      5.071166,
      51.374293,
      5.086725,
      51.374293,
      4.940364
    ]);
    poly[1801] = _TzPolygon([
      52.157972,
      6.901910,
      52.120462,
      6.855474,
      52.118780,
      6.760572,
      52.081925,
      6.747612,
      52.069800,
      6.694663,
      52.039856,
      6.687853,
      51.993527,
      6.826608,
      51.964105,
      6.828529,
      51.896063,
      6.721970,
      51.917577,
      6.683994,
      51.853833,
      6.472511,
      51.873968,
      6.390566,
      51.828020,
      6.407206,
      51.856535,
      6.328347,
      52.157972,
      6.328347
    ]);
    poly[1802] = _TzPolygon([
      53.490918,
      4.940364,
      53.536006,
      5.044296,
      53.636463,
      5.437024,
      53.696390,
      6.224829,
      53.725332,
      6.346001,
      53.457358,
      6.915925,
      53.326540,
      7.005912,
      53.332182,
      7.187602,
      53.180279,
      7.227499,
      53.138286,
      7.178902,
      53.007037,
      7.217445,
      52.849887,
      7.087258,
      52.643420,
      7.055729,
      52.648111,
      6.752598,
      52.627493,
      6.710033,
      52.561637,
      6.766692,
      52.553317,
      6.680880,
      52.486323,
      6.697524,
      52.435426,
      6.941658,
      52.469767,
      6.987623,
      52.373611,
      7.072154,
      52.291968,
      7.026454,
      52.234711,
      7.061284,
      52.225347,
      6.985315,
      52.157972,
      6.901910,
      52.157972,
      4.940364
    ]);
    poly[1803] = _TzPolygon([
      -3.553387,
      100.300923,
      -3.424582,
      100.176380,
      -2.964457,
      99.844738,
      -1.803979,
      98.721478,
      -1.332093,
      98.433470,
      -0.169271,
      97.663582,
      0.727396,
      97.134961,
      4.176873,
      97.134961,
      4.176873,
      99.172697,
      3.935072,
      99.622349,
      3.325631,
      100.300923
    ]);
    poly[1804] = _TzPolygon(
        [6.222332, 99.504759, 6.306667, 99.458333, 6.459000, 99.504759]);
    poly[1805] = _TzPolygon([
      6.459000,
      100.145117,
      6.417029,
      100.118084,
      6.406152,
      100.075877,
      6.459000,
      100.004163
    ]);
    poly[1806] = _TzPolygon([
      -1.935469,
      105.915805,
      -1.935469,
      100.300923,
      3.325631,
      100.300923,
      3.002867,
      100.660301,
      2.830029,
      101.039862,
      1.920000,
      102.223333,
      1.686667,
      102.583333,
      1.325000,
      103.065000,
      1.184772,
      103.658320,
      1.130361,
      103.740694,
      1.269500,
      104.033333,
      1.283518,
      104.315712,
      1.251780,
      104.375792,
      1.256107,
      104.415769,
      1.400590,
      104.573297,
      1.417090,
      104.634254,
      1.355714,
      104.924190,
      2.310499,
      105.368734,
      2.653459,
      105.200173,
      2.748322,
      105.179603,
      2.841524,
      105.206713,
      3.229672,
      105.438484,
      3.498222,
      105.842201,
      3.527061,
      105.915805
    ]);
    poly[1807] = _TzPolygon([
      1.513160,
      104.484564,
      1.442101,
      104.570680,
      1.410949,
      104.552966,
      1.317201,
      104.389134,
      1.333227,
      104.348840,
      1.410472,
      104.378484
    ]);
    poly[1808] = _TzPolygon([
      1.478472,
      103.812667,
      1.427944,
      103.897861,
      1.434639,
      104.071194,
      1.405944,
      104.092667,
      1.357500,
      104.079722,
      1.275820,
      104.125176,
      1.269500,
      104.033333,
      1.130361,
      103.740694,
      1.184772,
      103.658320,
      1.195500,
      103.566667,
      1.428139,
      103.673889,
      1.457472,
      103.714111,
      1.448382,
      103.760490
    ]);
    poly[1809] = _TzPolygon(
        [6.459000, 100.673031, 6.442584, 100.652058, 6.459000, 100.624518]);
    poly[1810] = _TzPolygon([
      6.459000,
      100.752832,
      6.459000,
      102.158549,
      6.225371,
      102.080293,
      6.145603,
      102.092832,
      6.080038,
      102.053897,
      6.030808,
      101.977879,
      5.948741,
      101.929431,
      5.861696,
      101.938358,
      5.837726,
      101.884297,
      5.790679,
      101.866431,
      5.789340,
      101.836423,
      5.732966,
      101.817145,
      5.796998,
      101.754056,
      5.755099,
      101.691310,
      5.812515,
      101.658266,
      5.874668,
      101.659336,
      5.877125,
      101.623328,
      5.934389,
      101.581776,
      5.869828,
      101.485938,
      5.875732,
      101.391499,
      5.808435,
      101.346132,
      5.800732,
      101.263769,
      5.711545,
      101.259990,
      5.612851,
      101.135866,
      5.720430,
      101.082949,
      5.744327,
      101.060196,
      5.737950,
      101.033922,
      5.807188,
      100.983990,
      5.837487,
      101.011915,
      5.912997,
      101.025848,
      5.909150,
      101.085024,
      5.977001,
      101.124436,
      6.050244,
      101.100330,
      6.106913,
      101.126637,
      6.142269,
      101.058677,
      6.192645,
      101.126671,
      6.251647,
      101.112415,
      6.246667,
      101.015275,
      6.283147,
      100.968991,
      6.243286,
      100.944661,
      6.234653,
      100.898934,
      6.264557,
      100.872348,
      6.232137,
      100.853324,
      6.442185,
      100.812580,
      6.457799,
      100.753164
    ]);
    poly[1811] = _TzPolygon([
      -9.213233,
      116.484180,
      -9.116408,
      115.959179,
      -9.020404,
      115.570006,
      -9.050229,
      115.167114,
      -9.030136,
      114.932466,
      -8.640124,
      114.775299,
      -8.515231,
      114.553804,
      -8.317852,
      114.423837,
      -8.167545,
      114.412678,
      -8.083922,
      114.430950,
      -8.032990,
      114.493281,
      -7.745848,
      114.640455,
      -7.462796,
      114.940578,
      -7.559994,
      116.343764,
      -5.413892,
      116.484180
    ]);
    poly[1812] = _TzPolygon([
      -4.787207,
      111.199993,
      -4.636698,
      110.152550,
      -4.038794,
      109.069791,
      -2.420267,
      109.389795,
      -1.499140,
      109.613986,
      -1.287466,
      109.349316,
      -1.050869,
      109.374226,
      -0.941903,
      108.770155,
      -0.278773,
      108.104511,
      -0.211034,
      108.099105,
      -0.211034,
      111.199993
    ]);
    poly[1813] = _TzPolygon([
      -0.211034,
      108.099105,
      0.463495,
      108.045268,
      1.036378,
      108.176047,
      1.672612,
      108.557899,
      -0.211034,
      108.557899
    ]);
    poly[1814] = _TzPolygon([
      1.983621,
      108.557899,
      1.983621,
      108.826576,
      1.705643,
      108.577723,
      1.672612,
      108.557899
    ]);
    poly[1815] = _TzPolygon([
      1.983621,
      109.602469,
      1.983621,
      110.385133,
      1.943325,
      110.762619,
      1.983621,
      110.775504,
      1.983621,
      111.199993,
      1.080563,
      111.199993,
      1.052356,
      111.142006,
      1.028350,
      110.905498,
      0.950351,
      110.859907,
      0.949542,
      110.808793,
      0.900484,
      110.804848,
      0.932043,
      110.768873,
      0.900012,
      110.755319,
      0.907969,
      110.722513,
      0.875973,
      110.667690,
      0.908880,
      110.633232,
      0.872061,
      110.628208,
      0.853821,
      110.575779,
      0.907950,
      110.445990,
      0.996504,
      110.395363,
      0.983340,
      110.359112,
      1.012883,
      110.338983,
      0.993429,
      110.324291,
      0.995608,
      110.277732,
      1.044174,
      110.286464,
      1.056443,
      110.262579,
      1.117429,
      110.241385,
      1.118425,
      110.209244,
      1.183033,
      110.192202,
      1.208644,
      110.063714,
      1.264529,
      110.064896,
      1.298320,
      109.979388,
      1.386160,
      109.970898,
      1.424988,
      109.930779,
      1.422531,
      109.835739,
      1.486129,
      109.839284,
      1.465806,
      109.806848,
      1.499455,
      109.798879,
      1.618805,
      109.662244,
      1.782389,
      109.685380,
      1.805430,
      109.636342,
      1.792406,
      109.585432,
      1.926707,
      109.538003,
      1.936602,
      109.564366,
      1.971165,
      109.560275
    ]);
    poly[1816] = _TzPolygon([
      4.178276,
      108.557899,
      3.130781,
      109.087641,
      2.765220,
      109.327860,
      2.314645,
      109.712679,
      2.240892,
      109.284549,
      2.060420,
      108.895328,
      1.983621,
      108.826576,
      1.983621,
      108.557899
    ]);
    poly[1817] = _TzPolygon([
      1.983621,
      108.826576,
      2.060420,
      108.895328,
      2.240892,
      109.284549,
      2.314645,
      109.712679,
      1.990885,
      109.627076,
      1.983621,
      109.602469
    ]);
    poly[1818] = _TzPolygon([
      -5.166854,
      113.842086,
      -4.787207,
      111.199993,
      -0.156353,
      111.199993,
      -0.156353,
      113.842086
    ]);
    poly[1819] = _TzPolygon([
      -5.166854,
      113.842086,
      -5.188271,
      113.991131,
      -4.962731,
      114.569983,
      -5.413892,
      116.484180,
      -5.413892,
      113.842086
    ]);
    poly[1820] = _TzPolygon([
      -2.785122,
      113.842086,
      -2.785122,
      114.668830,
      -2.801798,
      114.664398,
      -2.820952,
      114.591110,
      -2.985991,
      114.504349,
      -3.123973,
      114.479454,
      -3.256827,
      114.397675,
      -3.409321,
      114.352249,
      -5.188271,
      113.991131,
      -5.166854,
      113.842086
    ]);
    poly[1821] = _TzPolygon([
      -0.156353,
      114.929198,
      -0.187609,
      114.934532,
      -0.172656,
      114.989830,
      -0.189664,
      115.042076,
      -0.156353,
      115.077487,
      -0.156353,
      115.270192,
      -0.185406,
      115.271118,
      -0.237449,
      115.238037,
      -0.290918,
      115.252952,
      -0.297019,
      115.227531,
      -0.377468,
      115.240296,
      -0.392700,
      115.259987,
      -0.445195,
      115.245659,
      -0.584802,
      115.353432,
      -0.807876,
      115.384628,
      -0.847368,
      115.500595,
      -0.941658,
      115.577721,
      -0.991624,
      115.651795,
      -1.053920,
      115.673500,
      -1.089950,
      115.743690,
      -1.133034,
      115.756523,
      -1.110980,
      115.796669,
      -1.159088,
      115.848801,
      -1.225874,
      115.773033,
      -1.309029,
      115.755051,
      -1.362798,
      115.695687,
      -1.369236,
      115.639267,
      -1.430521,
      115.522308,
      -1.434890,
      115.400528,
      -1.806883,
      115.310280,
      -1.930419,
      115.351013,
      -2.001198,
      115.278229,
      -2.084868,
      115.324738,
      -2.226269,
      115.291229,
      -2.198445,
      115.240793,
      -2.241325,
      115.205765,
      -2.464023,
      114.875748,
      -2.516467,
      114.867706,
      -2.592400,
      114.797592,
      -2.677604,
      114.789429,
      -2.721837,
      114.760796,
      -2.741452,
      114.680435,
      -2.785122,
      114.668830,
      -2.785122,
      113.842086,
      -0.156353,
      113.842086
    ]);
    poly[1822] = _TzPolygon([
      1.080563,
      111.199993,
      1.092659,
      111.224859,
      1.063542,
      111.254495,
      1.009402,
      111.405038,
      1.034425,
      111.489160,
      0.948770,
      111.540036,
      0.978351,
      111.548115,
      0.974471,
      111.576784,
      1.008344,
      111.595319,
      1.042810,
      111.666717,
      1.025919,
      111.713783,
      1.007522,
      111.716339,
      1.021217,
      111.761899,
      0.985382,
      111.825993,
      1.009120,
      111.866257,
      1.065864,
      111.880363,
      1.087913,
      111.927977,
      1.118363,
      111.935099,
      1.141844,
      112.153926,
      1.185633,
      112.141734,
      1.219024,
      112.168339,
      1.249536,
      112.158417,
      1.384027,
      112.226127,
      1.410877,
      112.194981,
      1.450102,
      112.207967,
      1.466334,
      112.276421,
      1.504802,
      112.318599,
      1.522840,
      112.430465,
      1.580127,
      112.500396,
      1.576884,
      112.521039,
      -0.156353,
      112.521039,
      -0.156353,
      111.199993
    ]);
    poly[1823] = _TzPolygon([
      1.378445,
      113.842086,
      1.363842,
      113.814832,
      1.347243,
      113.831015,
      1.298865,
      113.810023,
      1.262716,
      113.702905,
      1.214801,
      113.664608,
      1.216023,
      113.630021,
      1.306261,
      113.581862,
      1.319808,
      113.544468,
      1.285490,
      113.419081,
      1.376949,
      113.325766,
      1.397501,
      113.232756,
      1.379463,
      113.181474,
      1.393376,
      113.141321,
      1.445000,
      113.106343,
      1.404214,
      113.018862,
      1.408681,
      112.974682,
      1.449565,
      112.982078,
      1.473583,
      113.040317,
      1.492817,
      113.031726,
      1.529479,
      113.070780,
      1.558477,
      113.058502,
      1.581031,
      113.002996,
      1.563456,
      112.975146,
      1.587597,
      112.884834,
      1.536973,
      112.842289,
      1.561504,
      112.775873,
      1.552326,
      112.677372,
      1.576884,
      112.521039,
      2.251313,
      112.521039,
      2.251313,
      113.842086
    ]);
    poly[1824] = _TzPolygon(
        [0.678057, 113.842086, 0.682427, 113.835930, 0.688293, 113.842086]);
    poly[1825] = _TzPolygon([
      0.567496,
      114.502610,
      0.570971,
      114.458847,
      0.496475,
      114.411675,
      0.544621,
      114.315567,
      0.542460,
      114.196503,
      0.571010,
      114.186737,
      0.588004,
      114.148285,
      0.624841,
      114.172524,
      0.668237,
      114.154976,
      0.702554,
      114.108139,
      0.654619,
      114.005112,
      0.669926,
      113.979294,
      0.644550,
      113.889290,
      0.678057,
      113.842086,
      0.688293,
      113.842086,
      0.738568,
      113.894852,
      0.787091,
      113.888802,
      0.837593,
      113.926224,
      0.892773,
      113.874580,
      0.986690,
      113.918297,
      1.051824,
      113.894195,
      1.062758,
      113.941544,
      1.144212,
      113.986115,
      1.132457,
      114.046440,
      1.158032,
      114.076144,
      1.158032,
      114.098293,
      1.154349,
      114.116730,
      1.158032,
      114.118632,
      1.158032,
      114.502610
    ]);
    poly[1826] = _TzPolygon([
      0.567496,
      114.502610,
      0.566203,
      114.518898,
      0.631387,
      114.538437,
      0.642474,
      114.615219,
      0.707473,
      114.658226,
      0.729420,
      114.699554,
      0.707390,
      114.711044,
      0.744053,
      114.760040,
      0.752551,
      114.823639,
      0.701840,
      114.876495,
      0.739129,
      114.864182,
      0.795387,
      114.907959,
      0.755860,
      114.970169,
      0.606785,
      115.012581,
      0.429567,
      115.135979,
      0.387551,
      115.132294,
      0.303103,
      115.050056,
      0.330075,
      115.017662,
      0.318639,
      114.907868,
      0.178784,
      114.802017,
      0.096718,
      114.788262,
      0.071208,
      114.808861,
      0.079081,
      114.835091,
      0.043918,
      114.895020,
      -0.156353,
      114.929198,
      -0.156353,
      114.502610
    ]);
    poly[1827] = _TzPolygon([
      -0.156353,
      115.077487,
      -0.152006,
      115.082108,
      -0.136540,
      115.143883,
      -0.112539,
      115.163133,
      -0.156353,
      115.163133
    ]);
    poly[1828] = _TzPolygon([
      2.472417,
      114.502610,
      1.463936,
      114.502610,
      1.520857,
      114.409349,
      1.456316,
      114.301106,
      1.447183,
      114.240070,
      1.410170,
      114.212800,
      1.464838,
      114.143050,
      1.450053,
      113.975734,
      1.378445,
      113.842086,
      2.472417,
      113.842086
    ]);
    poly[1829] = _TzPolygon([
      1.375381,
      113.842086,
      1.415637,
      113.937169,
      1.442389,
      113.954206,
      1.462072,
      114.148806,
      1.409688,
      114.206948,
      1.378585,
      114.147705,
      1.292598,
      114.141708,
      1.266364,
      114.160767,
      1.223713,
      114.125969,
      1.198879,
      114.139725,
      1.158032,
      114.118994,
      1.158032,
      114.105240,
      1.161623,
      114.080315,
      1.158032,
      114.076144,
      1.158032,
      113.842086
    ]);
    poly[1830] = _TzPolygon([
      2.472417,
      115.133177,
      2.405602,
      115.090740,
      2.407500,
      115.046330,
      2.389266,
      115.048163,
      2.351031,
      114.993688,
      2.368460,
      114.958234,
      2.319098,
      114.946271,
      2.295237,
      114.966466,
      2.259317,
      114.914757,
      2.271990,
      114.863978,
      2.250538,
      114.799825,
      2.199211,
      114.779485,
      2.144541,
      114.780241,
      2.100404,
      114.810469,
      2.050270,
      114.793103,
      2.022807,
      114.808797,
      2.038590,
      114.878745,
      1.952575,
      114.847595,
      1.915208,
      114.878692,
      1.893051,
      114.816434,
      1.850281,
      114.791930,
      1.869543,
      114.743725,
      1.856295,
      114.716295,
      1.832595,
      114.726135,
      1.808154,
      114.691855,
      1.785323,
      114.714011,
      1.671484,
      114.711149,
      1.589578,
      114.648779,
      1.574207,
      114.614209,
      1.500762,
      114.611000,
      1.426394,
      114.564120,
      1.463936,
      114.502610,
      2.472417,
      114.502610
    ]);
    poly[1831] = _TzPolygon(
        [2.472417, 115.196042, 2.471333, 115.194706, 2.472417, 115.181036]);
    poly[1832] = _TzPolygon([
      -0.112539,
      115.163133,
      -0.072771,
      115.195030,
      -0.031912,
      115.300827,
      -0.094687,
      115.321472,
      -0.146387,
      115.269875,
      -0.156353,
      115.270192,
      -0.156353,
      115.163133
    ]);
    poly[1833] = _TzPolygon([
      2.472417,
      115.133177,
      2.476028,
      115.135471,
      2.473835,
      115.163133,
      2.472417,
      115.163133
    ]);
    poly[1834] = _TzPolygon([
      2.602831,
      115.163133,
      2.581023,
      115.109890,
      2.604176,
      115.086801,
      2.647171,
      115.117157,
      2.698431,
      115.092075,
      2.744320,
      115.141147,
      2.786702,
      115.152945,
      2.823242,
      115.089701,
      2.872227,
      115.151115,
      2.913823,
      115.151546,
      2.920102,
      115.163133
    ]);
    poly[1835] = _TzPolygon([
      4.143958,
      114.502610,
      4.147168,
      114.495056,
      4.277930,
      114.450666,
      4.253058,
      114.422414,
      4.263627,
      114.316447,
      4.348711,
      114.332961,
      4.366241,
      114.306565,
      4.415427,
      114.307962,
      4.507013,
      114.260148,
      4.531405,
      114.199079,
      4.573385,
      114.162633,
      4.585762,
      114.075873,
      4.644981,
      114.084068,
      4.711617,
      114.387875,
      4.793189,
      114.502610
    ]);
    poly[1836] = _TzPolygon([
      4.143958,
      114.502610,
      4.126005,
      114.544863,
      4.082332,
      114.553755,
      4.030251,
      114.627305,
      4.003752,
      114.610283,
      4.006242,
      114.649205,
      4.043715,
      114.718511,
      4.125509,
      114.793267,
      4.157216,
      114.808841,
      4.163593,
      114.793827,
      4.278230,
      114.856871,
      4.257110,
      114.814042,
      4.370680,
      114.880175,
      4.425415,
      114.882836,
      4.431277,
      114.828498,
      4.675364,
      114.802287,
      4.724727,
      114.770046,
      4.744994,
      114.823854,
      4.791400,
      114.850850,
      4.816056,
      114.896272,
      4.808121,
      114.971114,
      4.872678,
      114.988478,
      4.896608,
      115.025019,
      4.879355,
      115.052196,
      4.807100,
      115.026916,
      4.790447,
      115.055182,
      4.748180,
      115.022028,
      4.731235,
      115.043384,
      4.699158,
      115.029060,
      4.650714,
      115.051180,
      4.619458,
      115.041124,
      4.491729,
      115.094916,
      4.385356,
      115.090630,
      4.375983,
      115.163133,
      3.786801,
      115.163133,
      3.786801,
      114.502610
    ]);
    poly[1837] = _TzPolygon([
      4.869922,
      115.163133,
      4.871965,
      115.149559,
      5.025120,
      115.158255,
      5.101186,
      115.127175,
      5.101186,
      115.163133
    ]);
    poly[1838] = _TzPolygon([
      3.786801,
      115.163133,
      3.786801,
      115.592549,
      3.746949,
      115.579430,
      3.610793,
      115.576107,
      3.439953,
      115.652220,
      3.409477,
      115.618518,
      3.447643,
      115.603961,
      3.450207,
      115.579626,
      3.320044,
      115.524817,
      3.193500,
      115.521719,
      3.162243,
      115.567383,
      3.113556,
      115.519050,
      3.057923,
      115.519564,
      3.014589,
      115.483647,
      3.028477,
      115.453258,
      2.982320,
      115.406385,
      2.973734,
      115.335026,
      3.049621,
      115.285465,
      2.966703,
      115.249122,
      2.920102,
      115.163133
    ]);
    poly[1839] = _TzPolygon([
      2.602831,
      115.163133,
      2.606299,
      115.171601,
      2.505989,
      115.237426,
      2.472417,
      115.196042,
      2.474379,
      115.163133
    ]);
    poly[1840] = _TzPolygon([
      4.375983,
      115.163133,
      4.869922,
      115.163133,
      4.866841,
      115.183609,
      4.803432,
      115.234862,
      4.654929,
      115.259010,
      4.617146,
      115.288086,
      4.447714,
      115.272289,
      4.344772,
      115.363562,
      4.296282,
      115.322593,
      4.338030,
      115.295885,
      4.341178,
      115.245820,
      4.366136,
      115.239297
    ]);
    poly[1841] = _TzPolygon([
      3.786801,
      115.592549,
      3.868863,
      115.619562,
      3.919186,
      115.558352,
      3.965616,
      115.641812,
      4.198469,
      115.704937,
      4.193915,
      115.730658,
      4.250636,
      115.766061,
      4.225911,
      115.801082,
      4.240417,
      115.829175,
      4.262310,
      115.824314,
      4.300458,
      115.869539,
      4.381725,
      115.871926,
      4.394929,
      115.901053,
      4.354244,
      115.929873,
      4.358224,
      115.975764,
      4.329962,
      116.034957,
      4.294902,
      116.039047,
      4.276432,
      116.079010,
      4.338853,
      116.119837,
      4.342334,
      116.162773,
      4.393069,
      116.171055,
      4.363134,
      116.271777,
      4.391382,
      116.348513,
      4.325673,
      116.432749,
      4.288749,
      116.440956,
      4.304104,
      116.475474,
      4.332117,
      116.484180,
      3.786801,
      116.484180
    ]);
    poly[1842] = _TzPolygon([
      -8.456017,
      127.805486,
      -8.419017,
      127.533539,
      -8.278743,
      127.396826,
      -8.223622,
      127.189225,
      -8.232061,
      126.762467,
      -8.175800,
      126.459693,
      -8.250913,
      125.827526,
      -8.089546,
      125.672749,
      -8.232748,
      125.339849,
      -6.757426,
      125.550085,
      -4.729002,
      125.596191,
      -3.881070,
      125.039536,
      -3.881070,
      127.805486
    ]);
    poly[1843] = _TzPolygon([
      -10.952956,
      122.144833,
      -3.881070,
      122.144833,
      -3.881070,
      125.039536,
      -4.729002,
      125.596191,
      -6.757426,
      125.550085,
      -8.232748,
      125.339849,
      -8.444061,
      125.239797,
      -8.519182,
      125.098021,
      -8.741556,
      124.936249,
      -8.965317,
      124.952974,
      -8.995987,
      124.933881,
      -9.046556,
      124.940045,
      -9.063977,
      125.002643,
      -9.022168,
      125.076943,
      -8.965648,
      125.112829,
      -9.029054,
      125.187207,
      -9.123018,
      125.171046,
      -9.156458,
      125.192625,
      -9.174904,
      125.174863,
      -9.200527,
      125.097099,
      -9.175379,
      125.074535,
      -9.169020,
      125.013610,
      -9.201237,
      124.981996,
      -9.289943,
      124.994288,
      -9.328838,
      125.051229,
      -9.463234,
      125.087007,
      -9.575219,
      125.256347,
      -9.754785,
      125.159427,
      -10.281660,
      124.604072,
      -11.004075,
      123.320488,
      -11.185785,
      122.972047,
      -11.208567,
      122.890027,
      -11.196335,
      122.805700
    ]);
    poly[1844] = _TzPolygon([
      -3.881070,
      127.805486,
      -3.881070,
      125.039536,
      -3.762846,
      124.961924,
      -2.795617,
      124.961924,
      -2.560815,
      124.400629,
      -2.309948,
      124.257366,
      -1.461553,
      123.923230,
      -0.553412,
      124.869435,
      0.252980,
      125.522474,
      0.937001,
      125.526076,
      1.740634,
      125.911966,
      2.043478,
      126.251824,
      2.904694,
      127.087383,
      3.446428,
      127.805486
    ]);
    poly[1845] = _TzPolygon([
      4.332117,
      116.484180,
      4.336921,
      116.485673,
      4.323244,
      116.537019,
      4.375662,
      116.536021,
      4.407823,
      116.567627,
      4.374295,
      116.586406,
      4.376697,
      116.611950,
      4.334260,
      116.630064,
      4.351524,
      116.666993,
      4.333299,
      116.701778,
      4.389008,
      116.752053,
      4.337895,
      116.789688,
      4.351181,
      116.810854,
      4.327203,
      116.840211,
      4.368741,
      116.907719,
      4.337996,
      116.965015,
      4.346185,
      117.004118,
      4.318717,
      117.019327,
      4.346800,
      117.041863,
      4.333271,
      117.106142,
      4.353974,
      117.151325,
      4.335833,
      117.196510,
      4.373960,
      117.245912,
      4.310210,
      117.296203,
      4.285203,
      117.371583,
      4.171232,
      117.476161,
      4.161496,
      117.529338,
      4.180764,
      117.578629,
      4.141305,
      117.608159,
      4.165461,
      117.641939,
      4.165851,
      117.899197,
      4.190580,
      117.958606,
      4.096962,
      118.264775,
      3.446428,
      118.472828,
      3.446428,
      116.484180
    ]);
    poly[1846] = _TzPolygon([
      5.115101,
      119.438198,
      4.992470,
      119.278603,
      4.848414,
      118.989559,
      4.813268,
      118.626088,
      4.710189,
      118.588547,
      4.587590,
      118.695789,
      4.525749,
      118.796903,
      4.452692,
      118.837734,
      4.300022,
      118.472828,
      5.115101,
      118.472828
    ]);
    poly[1847] = _TzPolygon([
      5.123982,
      119.439088,
      5.335249,
      119.424588,
      5.533282,
      119.351704,
      5.637040,
      119.082705,
      6.257730,
      117.882329,
      6.459000,
      117.885240,
      6.459000,
      119.439088
    ]);
    poly[1848] = _TzPolygon([
      5.115101,
      119.439088,
      6.459000,
      119.439088,
      6.459000,
      126.482711,
      6.158626,
      126.359432,
      5.256972,
      125.624537,
      5.177872,
      125.490749,
      5.166893,
      125.347485,
      5.194041,
      125.262903,
      5.964372,
      124.179766,
      6.229067,
      122.315812,
      5.897730,
      122.077245,
      5.023963,
      120.785794,
      4.615980,
      119.955013,
      4.297512,
      119.439088
    ]);
    poly[1849] = _TzPolygon([
      3.067000,
      131.133677,
      3.051000,
      131.169761,
      3.015000,
      131.183524,
      2.965000,
      131.163257,
      2.948000,
      131.122726,
      2.966000,
      131.084655,
      3.009000,
      131.068546,
      3.052000,
      131.088010
    ]);
    poly[1850] = _TzPolygon([
      -65.969656,
      40.227580,
      -64.000000,
      55.000000,
      -86.000000,
      55.000000,
      -86.000000,
      40.227580
    ]);
    poly[1851] = _TzPolygon([
      -64.000000,
      55.000000,
      -68.000000,
      77.500000,
      -86.000000,
      77.500000,
      -86.000000,
      55.000000
    ]);
    poly[1852] = _TzPolygon([
      -83.450436,
      86.000000,
      -84.666699,
      77.500000,
      -64.000000,
      77.500000,
      -64.000000,
      86.000000
    ]);
    poly[1853] = _TzPolygon([
      -64.000000,
      97.000000,
      -65.000000,
      120.000000,
      -70.000000,
      120.000000,
      -70.000000,
      97.000000
    ]);
    poly[1854] = _TzPolygon([
      -65.000000,
      160.000000,
      -70.000000,
      160.000000,
      -70.000000,
      120.000000,
      -65.000000,
      120.000000
    ]);
    poly[1855] = _TzPolygon([
      -64.000000,
      97.000000,
      -70.000000,
      97.000000,
      -70.000000,
      115.000000,
      -86.000000,
      115.000000,
      -86.000000,
      86.000000,
      -65.000000,
      86.000000
    ]);
    poly[1856] = _TzPolygon([
      -70.000000,
      160.000000,
      -86.000000,
      160.000000,
      -86.000000,
      115.000000,
      -70.000000,
      115.000000
    ]);
    poly[1857] = _TzPolygon([
      -40.272229,
      144.228491,
      -40.308592,
      144.208295,
      -40.322885,
      144.162477,
      -40.321453,
      144.147165
    ]);
    poly[1858] = _TzPolygon([
      -25.996391,
      129.000570,
      -25.997567,
      134.366448,
      -25.998606,
      129.000570
    ]);
    poly[1859] = _TzPolygon([
      -31.300000,
      129.001919,
      -31.687564,
      129.002049,
      -31.741613,
      129.001395,
      -31.898525,
      128.672388,
      -32.039765,
      128.304163,
      -32.127842,
      128.026224,
      -32.185412,
      127.730819,
      -32.267953,
      127.534090,
      -32.323276,
      127.269647,
      -32.363031,
      126.674959,
      -32.326376,
      126.352160,
      -32.294245,
      126.236921,
      -32.302016,
      126.154684,
      -32.335994,
      125.979073,
      -32.615355,
      125.500000,
      -31.300000,
      125.500000
    ]);
    poly[1860] = _TzPolygon([
      -25.996391,
      129.001483,
      -31.300000,
      129.001919,
      -31.300000,
      125.500000,
      -32.615355,
      125.500000,
      -32.658573,
      125.328331,
      -32.760928,
      125.130021,
      -32.775204,
      125.061151,
      -32.879144,
      124.921139,
      -32.944849,
      124.773710,
      -32.998492,
      124.407549,
      -33.056787,
      124.276980,
      -33.099635,
      124.235687,
      -25.996391,
      124.235687
    ]);
    poly[1861] = _TzPolygon([
      -25.996672,
      134.366448,
      -25.996863,
      137.999053,
      -25.997567,
      134.366448
    ]);
    poly[1862] = _TzPolygon([
      -39.198478,
      146.253664,
      -39.198483,
      146.594326,
      -39.198487,
      146.253674
    ]);
    poly[1863] = _TzPolygon([
      -35.454133,
      140.962267,
      -35.454133,
      141.923254,
      -38.335742,
      141.923254,
      -38.320928,
      141.890887,
      -38.303609,
      141.746940,
      -38.327639,
      141.684497,
      -38.406844,
      141.734490,
      -38.458326,
      141.690218,
      -38.454617,
      141.608336,
      -38.482877,
      141.537983,
      -38.424864,
      141.333109,
      -38.380072,
      141.300654,
      -38.325317,
      141.322584,
      -38.278971,
      141.276493,
      -38.188257,
      141.149832,
      -38.108457,
      140.965810,
      -35.799788,
      140.961902
    ]);
    poly[1864] = _TzPolygon([
      -32.425390,
      141.002106,
      -34.021140,
      141.002780,
      -34.030023,
      140.987711,
      -33.980797,
      140.963821,
      -35.454133,
      140.964531,
      -35.454133,
      137.999053,
      -32.425390,
      137.999053
    ]);
    poly[1865] = _TzPolygon([
      -34.128301,
      141.923254,
      -34.111223,
      141.903384,
      -34.137886,
      141.877667,
      -34.090715,
      141.732385,
      -34.114233,
      141.718455,
      -34.095354,
      141.707598,
      -34.100844,
      141.677736,
      -34.138113,
      141.611788,
      -34.155074,
      141.618991,
      -34.151817,
      141.583188,
      -34.190979,
      141.602124,
      -34.191188,
      141.532975,
      -34.215917,
      141.511320,
      -34.154879,
      141.497499,
      -34.168178,
      141.446071,
      -34.109970,
      141.358746,
      -34.138783,
      141.324935,
      -34.112414,
      141.317450,
      -34.078134,
      141.259564,
      -34.087584,
      141.242813,
      -34.061928,
      141.242715,
      -34.061722,
      141.205906,
      -34.091951,
      141.184950,
      -34.073326,
      141.174601,
      -34.082118,
      141.153668,
      -34.054530,
      141.153047,
      -34.050658,
      141.094236,
      -34.076054,
      141.089013,
      -34.049937,
      141.065644,
      -34.061103,
      141.042460,
      -34.035717,
      141.034875,
      -34.057312,
      141.019443,
      -34.038184,
      141.001703,
      -32.425390,
      141.001174,
      -32.425390,
      141.923254
    ]);
    poly[1866] = _TzPolygon([
      -35.639889,
      144.130866,
      -35.639889,
      145.847455,
      -35.975778,
      145.847455,
      -35.991370,
      145.810040,
      -35.960240,
      145.778210,
      -35.950590,
      145.716770,
      -35.920980,
      145.698180,
      -35.925920,
      145.673990,
      -35.884010,
      145.620420,
      -35.862155,
      145.625888,
      -35.874588,
      145.600542,
      -35.802105,
      145.535336,
      -35.818190,
      145.522426,
      -35.804765,
      145.477977,
      -35.866978,
      145.355408,
      -35.850556,
      145.258587,
      -35.830465,
      145.246429,
      -35.842789,
      145.153699,
      -35.820577,
      145.126921,
      -35.852021,
      144.992387,
      -35.865567,
      144.967900,
      -35.960163,
      144.957231,
      -35.988609,
      144.923256,
      -36.072648,
      144.981010,
      -36.082761,
      144.948590,
      -36.058908,
      144.863086,
      -36.123135,
      144.807693,
      -36.117066,
      144.726575,
      -36.085319,
      144.719133,
      -36.094588,
      144.684207,
      -36.061506,
      144.689864,
      -36.074553,
      144.654417,
      -36.047440,
      144.633530,
      -36.076842,
      144.618150,
      -36.031369,
      144.616145,
      -36.042562,
      144.591498,
      -36.007409,
      144.564107,
      -35.995242,
      144.516796,
      -35.969365,
      144.520862,
      -35.903940,
      144.407870,
      -35.858780,
      144.411270,
      -35.852040,
      144.381260,
      -35.792980,
      144.376850,
      -35.767140,
      144.349110,
      -35.754685,
      144.295558,
      -35.737362,
      144.295698,
      -35.752709,
      144.265927,
      -35.693250,
      144.221232,
      -35.640800,
      144.131354
    ]);
    poly[1867] = _TzPolygon([
      -34.129618,
      141.923254,
      -34.137609,
      141.932946,
      -34.119480,
      141.945000,
      -34.136110,
      141.970440,
      -34.112700,
      141.977650,
      -34.125180,
      142.021590,
      -34.105250,
      142.012930,
      -34.099430,
      142.037540,
      -34.122980,
      142.027560,
      -34.131420,
      142.075640,
      -34.173550,
      142.082770,
      -34.152270,
      142.165860,
      -34.182780,
      142.165940,
      -34.181110,
      142.219230,
      -34.209527,
      142.243590,
      -34.306970,
      142.235890,
      -34.296500,
      142.285880,
      -34.326570,
      142.283870,
      -34.337750,
      142.396570,
      -34.396630,
      142.350970,
      -34.468930,
      142.353090,
      -34.478090,
      142.384160,
      -34.498800,
      142.359590,
      -34.493640,
      142.394820,
      -34.515280,
      142.374940,
      -34.522750,
      142.400570,
      -34.530450,
      142.367690,
      -34.560005,
      142.413779,
      -34.836264,
      142.413779,
      -34.836264,
      141.923254
    ]);
    poly[1868] = _TzPolygon([
      -34.560005,
      142.413779,
      -34.032639,
      142.413779,
      -34.032639,
      142.904304,
      -34.665258,
      142.904304,
      -34.680180,
      142.887770,
      -34.665460,
      142.860660,
      -34.627450,
      142.868340,
      -34.590180,
      142.787690,
      -34.560720,
      142.810090,
      -34.546390,
      142.791430,
      -34.580390,
      142.784070,
      -34.576760,
      142.748290,
      -34.600140,
      142.759170,
      -34.599740,
      142.699780,
      -34.652710,
      142.689260,
      -34.676750,
      142.710440,
      -34.680150,
      142.678930,
      -34.724160,
      142.699510,
      -34.739210,
      142.678670,
      -34.721810,
      142.661960,
      -34.728750,
      142.618320,
      -34.780750,
      142.638690,
      -34.759380,
      142.524220,
      -34.739120,
      142.499560,
      -34.703670,
      142.518860,
      -34.674290,
      142.497430,
      -34.662570,
      142.517110,
      -34.672620,
      142.475590,
      -34.636430,
      142.483640,
      -34.633500,
      142.452330,
      -34.564190,
      142.467880,
      -34.559720,
      142.448690,
      -34.584270,
      142.451620
    ]);
    poly[1869] = _TzPolygon([
      -35.484778,
      143.885355,
      -35.479980,
      143.858780,
      -35.437810,
      143.818460,
      -35.423070,
      143.762850,
      -35.387830,
      143.751000,
      -35.392540,
      143.709180,
      -35.368450,
      143.684520,
      -35.401040,
      143.642340,
      -35.387680,
      143.620420,
      -35.337170,
      143.561840,
      -35.281660,
      143.590860,
      -35.243550,
      143.563720,
      -35.207240,
      143.571270,
      -35.219310,
      143.472120,
      -35.189190,
      143.449650,
      -35.192140,
      143.394460,
      -35.145510,
      143.390790,
      -35.036730,
      143.322080,
      -35.010890,
      143.338120,
      -34.952600,
      143.317700,
      -34.932530,
      143.342790,
      -34.888460,
      143.321390,
      -34.858240,
      143.352560,
      -34.792440,
      143.349250,
      -34.791770,
      143.275870,
      -34.772800,
      143.252130,
      -34.752690,
      143.274020,
      -34.758730,
      143.224380,
      -34.729470,
      143.218850,
      -34.718140,
      143.165360,
      -34.697880,
      143.161410,
      -34.714650,
      143.148130,
      -34.692660,
      143.127790,
      -34.701470,
      143.107240,
      -34.681020,
      143.113160,
      -34.701270,
      143.092830,
      -34.678510,
      143.071040,
      -34.698850,
      143.054820,
      -34.685870,
      143.040630,
      -34.702610,
      143.039700,
      -34.662590,
      142.989750,
      -34.695140,
      142.972430,
      -34.647880,
      142.923560,
      -34.665258,
      142.904304,
      -34.032639,
      142.904304,
      -34.032639,
      143.885355
    ]);
    poly[1870] = _TzPolygon([
      -35.484778,
      143.885355,
      -35.500080,
      143.970100,
      -35.554660,
      143.989860,
      -35.549290,
      144.039310,
      -35.591352,
      144.104858,
      -35.639889,
      144.130866,
      -35.639889,
      143.885355
    ]);
    poly[1871] = _TzPolygon([
      -25.996945,
      137.999053,
      -25.996391,
      140.999389,
      -32.425390,
      141.002106,
      -32.425390,
      137.999053
    ]);
    poly[1872] = _TzPolygon([
      -28.999078,
      145.847455,
      -28.999101,
      140.999265,
      -25.996391,
      140.999389,
      -25.996391,
      145.847455
    ]);
    poly[1873] = _TzPolygon([
      -31.556108,
      141.486461,
      -31.596576,
      141.502453,
      -31.569808,
      141.599095,
      -31.587384,
      141.608940,
      -31.595651,
      141.697162,
      -31.641739,
      141.694114,
      -31.630820,
      141.776268,
      -31.594015,
      141.782027,
      -31.593012,
      141.972585,
      -31.780015,
      141.959984,
      -31.779926,
      142.000239,
      -31.831700,
      141.999972,
      -31.831608,
      141.972328,
      -31.975438,
      141.970795,
      -31.974451,
      141.855829,
      -32.045098,
      141.868613,
      -32.060923,
      141.943437,
      -32.213280,
      141.942826,
      -32.210831,
      141.920251,
      -32.256551,
      141.908605,
      -32.304175,
      141.928095,
      -32.294343,
      141.847611,
      -32.269489,
      141.851104,
      -32.266714,
      141.305501,
      -32.246809,
      141.304690,
      -32.241255,
      141.244292,
      -32.199720,
      141.248315,
      -32.186303,
      141.111949,
      -32.228512,
      141.112624,
      -32.218293,
      141.001106,
      -31.591590,
      141.000917,
      -31.591970,
      141.211964,
      -31.559531,
      141.211846,
      -31.559750,
      141.296904,
      -31.591879,
      141.296829,
      -31.592045,
      141.424714
    ]);
    poly[1874] = _TzPolygon([
      -35.990353,
      147.537553,
      -35.943567,
      147.494037,
      -35.960800,
      147.450680,
      -35.943496,
      147.404633,
      -36.061326,
      147.319099,
      -36.039703,
      147.285487,
      -36.036802,
      147.144115,
      -35.994500,
      147.123360,
      -36.107880,
      147.052960,
      -36.078100,
      146.956540,
      -36.115950,
      146.943390,
      -36.073680,
      146.872950,
      -36.088720,
      146.825030,
      -36.055120,
      146.803690,
      -36.060660,
      146.748540,
      -36.023720,
      146.731640,
      -36.039430,
      146.683470,
      -35.995890,
      146.613630,
      -35.974020,
      146.617550,
      -35.968720,
      146.561950,
      -35.992200,
      146.549190,
      -35.957870,
      146.502150,
      -35.991440,
      146.498300,
      -35.965630,
      146.422460,
      -36.051060,
      146.369480,
      -36.026360,
      146.338680,
      -36.042150,
      146.284470,
      -36.011000,
      146.282890,
      -36.041990,
      146.185380,
      -36.020340,
      146.174160,
      -36.020610,
      146.132500,
      -36.003090,
      146.134330,
      -36.021070,
      146.094210,
      -35.994710,
      146.031490,
      -36.015800,
      145.972370,
      -35.961390,
      145.953530,
      -35.973830,
      145.927390,
      -35.952560,
      145.903170,
      -35.975778,
      145.847455,
      -35.639889,
      145.847455,
      -35.639889,
      147.537553
    ]);
    poly[1875] = _TzPolygon([
      -37.207349,
      149.227650,
      -36.796100,
      148.194440,
      -36.800600,
      148.108261,
      -36.734284,
      148.130813,
      -36.672123,
      148.198555,
      -36.598715,
      148.216918,
      -36.558087,
      148.150187,
      -36.566712,
      148.133284,
      -36.463139,
      148.123256,
      -36.390439,
      148.037865,
      -36.319700,
      148.059366,
      -36.310270,
      148.034751,
      -36.142045,
      148.038985,
      -36.121480,
      147.990544,
      -36.046082,
      147.999472,
      -36.042601,
      147.924245,
      -35.995309,
      147.912207,
      -35.968635,
      147.776599,
      -35.928650,
      147.707769,
      -35.979117,
      147.601146,
      -35.964663,
      147.548874,
      -35.984216,
      147.583958,
      -36.004291,
      147.550517,
      -35.990353,
      147.537553,
      -35.639889,
      147.537553,
      -35.639889,
      149.227650
    ]);
    poly[1876] = _TzPolygon([
      -37.207349,
      149.227650,
      -37.528014,
      150.033282,
      -37.615503,
      149.945185,
      -37.603912,
      149.817266,
      -37.724153,
      149.718078,
      -37.824894,
      149.501123,
      -37.826520,
      149.354801,
      -37.857667,
      149.289474,
      -37.834354,
      149.227650
    ]);
    poly[1877] = _TzPolygon([
      -28.999078,
      145.847455,
      -28.999064,
      148.958088,
      -28.956577,
      149.031888,
      -28.841904,
      149.080637,
      -28.835541,
      149.127868,
      -28.806729,
      149.139570,
      -28.803032,
      149.179195,
      -28.775082,
      149.188651,
      -28.743269,
      149.269295,
      -28.709748,
      149.296744,
      -28.684063,
      149.358575,
      -28.696172,
      149.387485,
      -28.594808,
      149.452617,
      -28.574344,
      149.503005,
      -28.573376,
      149.587236,
      -28.601097,
      149.610967,
      -28.609299,
      149.660710,
      -28.631865,
      149.666661,
      -28.633916,
      149.703938,
      -28.609426,
      149.721174,
      -28.610244,
      149.771656,
      -32.425390,
      149.771656,
      -32.425390,
      145.847455
    ]);
    poly[1878] = _TzPolygon([
      -28.610244,
      149.771656,
      -28.613577,
      149.977245,
      -28.580564,
      150.015358,
      -28.584279,
      150.080043,
      -28.550201,
      150.152515,
      -28.574300,
      150.212604,
      -28.537181,
      150.290049,
      -28.664309,
      150.442216,
      -28.654311,
      150.525002,
      -28.671524,
      150.544079,
      -28.653064,
      150.554094,
      -28.676621,
      150.632054,
      -28.633464,
      150.752343,
      -28.693797,
      150.874008,
      -28.687706,
      150.906384,
      -28.730938,
      150.938189,
      -28.740805,
      151.010650,
      -28.844482,
      151.045321,
      -28.836489,
      151.103147,
      -28.938926,
      151.274808,
      -29.100769,
      151.279649,
      -29.134499,
      151.315471,
      -29.165531,
      151.314762,
      -29.177875,
      151.393962,
      -29.070805,
      151.502292,
      -29.019909,
      151.498230,
      -28.952998,
      151.545566,
      -28.929234,
      151.634688,
      -28.871784,
      151.706536,
      -28.871579,
      151.733756,
      -29.210890,
      151.733756,
      -29.210890,
      149.771656
    ]);
    poly[1879] = _TzPolygon([
      -28.871579,
      151.733756,
      -28.959885,
      151.777834,
      -28.944636,
      151.806394,
      -28.959829,
      151.832232,
      -28.907850,
      151.849363,
      -28.929307,
      151.916048,
      -28.895483,
      151.997593,
      -28.907663,
      152.009703,
      -28.864696,
      152.038126,
      -28.850626,
      152.015064,
      -28.731623,
      152.042726,
      -28.708175,
      152.076049,
      -28.680968,
      152.066354,
      -28.664951,
      152.010168,
      -28.518904,
      151.955645,
      -28.503395,
      151.982893,
      -28.525613,
      151.988951,
      -28.525281,
      152.016864,
      -28.468003,
      152.070200,
      -28.433123,
      152.160504,
      -28.449236,
      152.217189,
      -28.363168,
      152.309659,
      -28.368554,
      152.386160,
      -28.333089,
      152.417259,
      -28.298101,
      152.414572,
      -28.298822,
      152.444831,
      -28.259373,
      152.463586,
      -28.262631,
      152.534221,
      -28.306250,
      152.525981,
      -28.338976,
      152.579242,
      -28.269555,
      152.614517,
      -28.310997,
      152.638288,
      -28.346902,
      152.714807,
      -29.210890,
      152.714807,
      -29.210890,
      151.733756
    ]);
    poly[1880] = _TzPolygon([
      -27.603641,
      153.534850,
      -27.618403,
      153.528719,
      -27.890851,
      153.482936,
      -28.055767,
      153.500630,
      -28.111770,
      153.542700,
      -28.141526,
      153.603882,
      -28.177630,
      153.534643,
      -28.157020,
      153.476931,
      -28.249619,
      153.356812,
      -28.233636,
      153.278912,
      -28.265110,
      153.231833,
      -28.247458,
      153.178049,
      -28.294163,
      153.168505,
      -28.318641,
      153.124665,
      -28.357543,
      153.108829,
      -28.338311,
      152.933856,
      -28.309607,
      152.880013,
      -28.363914,
      152.751062,
      -28.346902,
      152.714807,
      -27.603641,
      152.714807
    ]);
    poly[1881] = _TzPolygon([
      -25.996391,
      129.000570,
      -14.707478,
      129.000445,
      -14.708009,
      129.001483,
      -25.996391,
      129.001483
    ]);
    poly[1882] = _TzPolygon([
      -25.996391,
      137.999053,
      -16.539456,
      137.994646,
      -16.484366,
      138.027371,
      -25.996391,
      138.027371
    ]);
    poly[1883] = _TzPolygon([
      -19.977697,
      148.787694,
      -20.016283,
      148.992117,
      -20.205394,
      149.212503,
      -20.255385,
      149.238945,
      -20.475565,
      149.189641,
      -20.530763,
      149.214170,
      -20.570000,
      149.120000,
      -20.570000,
      149.030000,
      -20.450000,
      148.950000,
      -20.420000,
      148.860000,
      -20.380000,
      148.842000,
      -20.320000,
      148.834000,
      -20.270000,
      148.880000
    ]);
    poly[1884] = _TzPolygon([
      -21.090611,
      166.874347,
      -21.080477,
      166.865086,
      -20.929584,
      166.468337,
      -20.930015,
      166.367461,
      -20.879970,
      166.254915,
      -20.703179,
      166.058459,
      -20.106159,
      166.058459,
      -20.102631,
      166.064135,
      -20.086588,
      166.159441,
      -20.138913,
      166.329693,
      -20.201515,
      166.674506,
      -20.295830,
      166.800609,
      -20.456060,
      167.088431,
      -20.487535,
      167.274583,
      -20.530540,
      167.369629,
      -20.949373,
      167.973079,
      -21.090611,
      168.068422
    ]);
    poly[1885] = _TzPolygon([
      21.738194,
      89.060866,
      21.790972,
      89.028729,
      21.861154,
      89.044145,
      21.906791,
      89.023664,
      21.923331,
      89.060866
    ]);
    poly[1886] = _TzPolygon(
        [22.048888, 89.060866, 22.102492, 89.039936, 22.121441, 89.060866]);
    poly[1887] = _TzPolygon([
      22.208629,
      89.060866,
      22.285746,
      88.995978,
      22.298709,
      89.024052,
      22.326189,
      88.984774,
      22.391153,
      88.992074,
      22.411279,
      88.972343,
      22.429582,
      89.000087,
      22.469407,
      88.996204,
      22.560277,
      88.941530,
      22.616647,
      88.960010,
      22.618998,
      88.934542,
      22.652065,
      88.926853,
      22.694160,
      88.962134,
      22.757699,
      88.911741,
      22.796835,
      88.959147,
      22.844969,
      88.968522,
      22.880812,
      88.945278,
      22.879846,
      88.910689,
      22.952410,
      88.893969,
      22.942687,
      88.859516,
      22.978859,
      88.871128,
      23.009241,
      88.844903,
      23.006929,
      88.879971,
      23.101101,
      88.868423,
      23.174888,
      88.952459,
      23.174888,
      89.060866
    ]);
    poly[1888] = _TzPolygon([
      24.228335,
      88.740514,
      24.192778,
      88.745278,
      24.171389,
      88.708333,
      24.090556,
      88.698611,
      24.031609,
      88.747053,
      24.002222,
      88.722778,
      23.919167,
      88.736944,
      23.868056,
      88.669722,
      23.879154,
      88.619261,
      23.863169,
      88.574583,
      23.816675,
      88.600351,
      23.785258,
      88.554567,
      23.762033,
      88.578692,
      23.649490,
      88.555798,
      23.638390,
      88.591108,
      23.602679,
      88.577678,
      23.607595,
      88.641067,
      23.547992,
      88.657694,
      23.480823,
      88.742988,
      23.498849,
      88.799207,
      23.447112,
      88.788792,
      23.449074,
      88.764746,
      23.401516,
      88.747925,
      23.367527,
      88.763174,
      23.341111,
      88.734722,
      23.307616,
      88.745306,
      23.319775,
      88.730457,
      23.298807,
      88.725758,
      23.302238,
      88.696208,
      23.248056,
      88.724722,
      23.245223,
      88.769355,
      23.218517,
      88.789814,
      23.221573,
      88.811451,
      23.256613,
      88.811653,
      23.233880,
      88.824126,
      23.213018,
      88.995886,
      23.174888,
      88.952459,
      23.174888,
      87.852748,
      24.228335,
      87.852748
    ]);
    poly[1889] = _TzPolygon([
      25.281781,
      87.852748,
      25.281781,
      89.008545,
      25.264838,
      89.008220,
      25.255143,
      88.956081,
      25.208643,
      88.960891,
      25.210654,
      88.936853,
      25.176692,
      88.948017,
      25.164422,
      88.922738,
      25.213537,
      88.843550,
      25.170533,
      88.805820,
      25.189943,
      88.769187,
      25.176748,
      88.749112,
      25.207594,
      88.709077,
      25.204254,
      88.612719,
      25.175266,
      88.563806,
      25.210849,
      88.498763,
      25.195306,
      88.463157,
      25.207806,
      88.438687,
      25.069444,
      88.460000,
      24.870278,
      88.342500,
      24.885556,
      88.264167,
      24.920087,
      88.263450,
      24.961855,
      88.222752,
      24.937527,
      88.136851,
      24.851373,
      88.162259,
      24.812506,
      88.109020,
      24.781087,
      88.103657,
      24.770710,
      88.067650,
      24.725324,
      88.062793,
      24.668858,
      88.007531,
      24.625556,
      88.082222,
      24.508611,
      88.125556,
      24.434444,
      88.323889,
      24.320833,
      88.497778,
      24.294167,
      88.652222,
      24.316667,
      88.691111,
      24.250833,
      88.737500,
      24.228335,
      88.740514,
      24.228335,
      87.852748
    ]);
    poly[1890] = _TzPolygon([
      25.594218,
      88.456807,
      25.597138,
      88.444532,
      25.664507,
      88.454244,
      25.696774,
      88.371173,
      25.717050,
      88.374232,
      25.783290,
      88.266475,
      25.808387,
      88.269228,
      25.786347,
      88.210182,
      25.801902,
      88.183789,
      25.775765,
      88.151801,
      25.798346,
      88.114505,
      25.916747,
      88.085681,
      25.947476,
      88.121575,
      26.013007,
      88.139448,
      26.025478,
      88.182271,
      26.073065,
      88.182815,
      26.080037,
      88.158690,
      26.147894,
      88.177370,
      26.220479,
      88.350723,
      26.282472,
      88.349541,
      26.315305,
      88.415136,
      26.328951,
      88.403346,
      26.335228,
      88.433596,
      26.335228,
      88.456807
    ]);
    poly[1891] = _TzPolygon([
      25.594218,
      88.456807,
      25.584053,
      88.499533,
      25.559314,
      88.493780,
      25.542127,
      88.532725,
      25.508715,
      88.539823,
      25.516504,
      88.608898,
      25.496797,
      88.648609,
      25.477937,
      88.646864,
      25.471314,
      88.699411,
      25.502046,
      88.722540,
      25.496073,
      88.765507,
      25.526607,
      88.759345,
      25.523339,
      88.810385,
      25.458332,
      88.839595,
      25.410585,
      88.813826,
      25.397606,
      88.841070,
      25.363973,
      88.840838,
      25.325688,
      88.884212,
      25.337747,
      88.906119,
      25.304275,
      88.929667,
      25.303183,
      89.008956,
      25.281781,
      89.008545,
      25.281781,
      88.456807
    ]);
    poly[1892] = _TzPolygon([
      26.335228,
      88.952320,
      26.331683,
      88.952286,
      26.335228,
      88.953828,
      26.335228,
      88.991173,
      26.329826,
      89.000879,
      26.308837,
      88.982390,
      26.291973,
      88.995447,
      26.304758,
      89.006900,
      26.290272,
      89.018335,
      26.309300,
      89.021512,
      26.276626,
      89.039803,
      26.291410,
      89.060866,
      26.241551,
      89.050713,
      26.242057,
      88.953253,
      26.288768,
      88.898344,
      26.273475,
      88.861742,
      26.233551,
      88.877815,
      26.230782,
      88.841703,
      26.310060,
      88.793449,
      26.309227,
      88.749084,
      26.289312,
      88.745534,
      26.262995,
      88.666487,
      26.297483,
      88.668326,
      26.287371,
      88.709785,
      26.320169,
      88.675147,
      26.321464,
      88.747533,
      26.335228,
      88.746746
    ]);
    poly[1893] = _TzPolygon(
        [26.335228, 88.711947, 26.332605, 88.704627, 26.335228, 88.703311]);
    poly[1894] = _TzPolygon([
      21.738194,
      89.060866,
      21.608393,
      89.139904,
      21.426719,
      89.139934,
      21.399144,
      89.060866
    ]);
    poly[1895] = _TzPolygon([
      22.048888,
      89.060866,
      21.992306,
      89.082959,
      21.928832,
      89.073238,
      21.923331,
      89.060866
    ]);
    poly[1896] = _TzPolygon([
      22.208629,
      89.060866,
      22.196900,
      89.070735,
      22.150477,
      89.070063,
      22.155090,
      89.098032,
      22.121441,
      89.060866
    ]);
    poly[1897] = _TzPolygon([
      26.236786,
      89.139934,
      26.279503,
      89.100053,
      26.315911,
      89.104685,
      26.287154,
      89.123246,
      26.320197,
      89.136206,
      26.323278,
      89.083587,
      26.335228,
      89.098607,
      26.335228,
      89.139934
    ]);
    poly[1898] = _TzPolygon([
      21.008819,
      92.005127,
      21.008819,
      92.265655,
      20.946866,
      92.271914,
      20.724815,
      92.375761,
      20.649211,
      92.342932,
      20.589273,
      92.362834,
      20.565212,
      92.428584,
      20.384866,
      92.398306,
      20.375658,
      92.337882,
      20.390847,
      92.256422,
      20.434093,
      92.187363,
      20.550570,
      92.110539,
      20.626828,
      92.094335,
      20.737469,
      92.130210,
      20.970596,
      92.030041
    ]);
    poly[1899] = _TzPolygon([
      23.864359,
      91.242650,
      23.864359,
      91.809154,
      23.346406,
      91.809154,
      23.274167,
      91.768611,
      23.121735,
      91.809154,
      23.078124,
      91.809154,
      22.994722,
      91.725000,
      22.986389,
      91.647222,
      22.943056,
      91.613611,
      22.973611,
      91.601667,
      22.998333,
      91.549444,
      23.186667,
      91.493333,
      23.266111,
      91.416667,
      23.263333,
      91.392778,
      23.206944,
      91.377500,
      23.069444,
      91.402222,
      23.066944,
      91.374722,
      23.102871,
      91.348368,
      23.252974,
      91.327494,
      23.328333,
      91.288611,
      23.364167,
      91.314722,
      23.373333,
      91.282222,
      23.481389,
      91.248889,
      23.512500,
      91.207500,
      23.640556,
      91.159444,
      23.663056,
      91.162222,
      23.654444,
      91.190000,
      23.678056,
      91.200278,
      23.700833,
      91.159167,
      23.736667,
      91.158611,
      23.756111,
      91.216389,
      23.837410,
      91.254079
    ]);
  }
}

class _Initializer20 {
  static void _init() {
    poly[1900] = _TzPolygon([
      26.001897,
      89.807239,
      26.041944,
      89.778056,
      26.083889,
      89.781389,
      26.156389,
      89.739167,
      26.163828,
      89.681519,
      26.172525,
      89.701237,
      26.201801,
      89.673555,
      26.213063,
      89.691850,
      26.238246,
      89.679267,
      26.220378,
      89.671848,
      26.229604,
      89.634238,
      26.190625,
      89.648609,
      26.184521,
      89.627699,
      26.181274,
      89.655554,
      26.164513,
      89.649187,
      26.180498,
      89.608907,
      26.154637,
      89.610302,
      26.157303,
      89.590835,
      26.117539,
      89.603909,
      26.118513,
      89.630088,
      26.098562,
      89.596279,
      26.107282,
      89.629775,
      26.062831,
      89.650118,
      26.063649,
      89.605080,
      25.969083,
      89.577048,
      25.970106,
      89.540226,
      26.005655,
      89.543871,
      26.011575,
      89.430088,
      26.047507,
      89.423717,
      26.006680,
      89.393258,
      26.009608,
      89.349337,
      26.065607,
      89.282209,
      26.064091,
      89.254069,
      26.092106,
      89.267487,
      26.123939,
      89.229636,
      26.138324,
      89.155327,
      26.236786,
      89.139934,
      26.335228,
      89.139934,
      26.335228,
      89.807239
    ]);
    poly[1901] = _TzPolygon([
      25.822924,
      89.807239,
      25.936111,
      89.865833,
      25.946944,
      89.820556,
      25.988056,
      89.855833,
      26.002500,
      89.834167,
      25.989722,
      89.816111,
      26.001897,
      89.807239,
      26.335228,
      89.807239,
      26.335228,
      90.474544,
      25.158937,
      90.474544,
      25.147222,
      90.438333,
      25.224722,
      90.110556,
      25.310000,
      89.917222,
      25.286873,
      89.877111,
      25.293000,
      89.842588,
      25.373889,
      89.814444,
      25.640556,
      89.864444,
      25.725556,
      89.819722
    ]);
    poly[1902] = _TzPolygon([
      25.158937,
      90.474544,
      25.174722,
      90.523333,
      25.181111,
      90.653056,
      25.159722,
      90.682500,
      25.176111,
      90.776111,
      25.149722,
      90.862500,
      25.197883,
      91.081959,
      25.207778,
      91.257778,
      25.174262,
      91.336821,
      25.172674,
      91.415511,
      25.152496,
      91.470203,
      25.135023,
      91.471095,
      25.172778,
      91.590278,
      25.141944,
      91.600833,
      25.126667,
      91.648889,
      25.134167,
      91.694722,
      25.159444,
      91.711111,
      25.150556,
      91.746944,
      25.173889,
      91.757500,
      25.172577,
      91.809154,
      24.230123,
      91.809154,
      24.239167,
      91.757778,
      24.162778,
      91.757778,
      24.148333,
      91.734722,
      24.156944,
      91.694722,
      24.224167,
      91.657222,
      24.117500,
      91.634167,
      24.102222,
      91.611944,
      24.086944,
      91.546389,
      24.101944,
      91.373333,
      23.995278,
      91.361111,
      23.993889,
      91.298333,
      23.896424,
      91.229052,
      23.864359,
      91.242650,
      23.864359,
      90.474544
    ]);
    poly[1903] = _TzPolygon([
      21.008819,
      92.265655,
      21.077748,
      92.258691,
      21.120575,
      92.203333,
      21.159113,
      92.200500,
      21.159869,
      92.176143,
      21.181229,
      92.171942,
      21.233321,
      92.219626,
      21.329070,
      92.197886,
      21.362872,
      92.258528,
      21.430670,
      92.270233,
      21.419407,
      92.324266,
      21.479008,
      92.367767,
      21.434634,
      92.424171,
      21.364911,
      92.438892,
      21.359469,
      92.476458,
      21.008819,
      92.476458
    ]);
    poly[1904] = _TzPolygon([
      22.340421,
      92.568760,
      22.162778,
      92.606111,
      22.137222,
      92.598889,
      22.133333,
      92.562222,
      21.881667,
      92.621667,
      21.794722,
      92.599444,
      21.483333,
      92.616389,
      21.287354,
      92.680498,
      21.246104,
      92.597624,
      21.382621,
      92.558901,
      21.388472,
      92.517386,
      21.355817,
      92.501666,
      21.359469,
      92.476458,
      22.340421,
      92.476458
    ]);
    poly[1905] = _TzPolygon([
      22.340421,
      92.568760,
      22.340421,
      93.143763,
      22.246112,
      93.143763,
      22.245800,
      93.142626,
      22.239829,
      93.143763,
      22.188491,
      93.143763,
      22.205833,
      93.047500,
      22.118889,
      93.052778,
      22.115000,
      93.016111,
      22.060833,
      92.989444,
      22.003889,
      93.006111,
      21.991389,
      92.984722,
      22.028333,
      92.943056,
      21.953611,
      92.901111,
      22.048889,
      92.865556,
      22.159722,
      92.718611,
      22.152222,
      92.697500,
      22.095000,
      92.699444,
      22.099722,
      92.678056,
      22.026944,
      92.679722,
      21.981944,
      92.600833,
      22.133333,
      92.562222,
      22.137222,
      92.598889,
      22.162778,
      92.606111
    ]);
    poly[1906] = _TzPolygon([
      23.078124,
      91.809154,
      23.087222,
      91.818333,
      23.121735,
      91.809154,
      23.346406,
      91.809154,
      23.410278,
      91.845000,
      23.444444,
      91.933056,
      23.496667,
      91.964444,
      23.672023,
      91.936959,
      23.672023,
      92.005776,
      23.645278,
      92.030556,
      23.651905,
      92.069761,
      23.672023,
      92.089591,
      23.672023,
      92.206656,
      23.652222,
      92.211667,
      23.672023,
      92.223094,
      23.672023,
      92.281675,
      23.605000,
      92.278333,
      23.277778,
      92.384444,
      23.223611,
      92.348611,
      23.052778,
      92.383611,
      22.941944,
      92.374722,
      22.889444,
      92.443889,
      22.756389,
      92.470556,
      22.715833,
      92.516389,
      22.547222,
      92.525278,
      22.340421,
      92.568760,
      22.340421,
      91.809154
    ]);
    poly[1907] = _TzPolygon([
      22.452392,
      93.143763,
      22.455060,
      93.139028,
      22.524202,
      93.129285,
      22.526401,
      93.107463,
      22.593594,
      93.141277,
      22.671903,
      93.096113,
      22.806921,
      93.095362,
      22.911823,
      93.135390,
      22.911065,
      93.143763
    ]);
    poly[1908] = _TzPolygon([
      22.952966,
      93.143763,
      23.003056,
      93.119474,
      23.058444,
      93.133372,
      23.050979,
      93.143763
    ]);
    poly[1909] = _TzPolygon([
      23.672023,
      93.431080,
      23.647954,
      93.416165,
      23.540203,
      93.418316,
      23.504048,
      93.394236,
      23.383498,
      93.401371,
      23.352682,
      93.355366,
      23.217173,
      93.388908,
      23.144137,
      93.367998,
      23.143025,
      93.386897,
      23.006148,
      93.292592,
      23.011446,
      93.229700,
      23.059843,
      93.184041,
      23.043499,
      93.154175,
      23.052557,
      93.143763,
      23.672023,
      93.143763
    ]);
    poly[1910] = _TzPolygon(
        [22.952966, 93.143763, 22.909140, 93.165015, 22.911065, 93.143763]);
    poly[1911] = _TzPolygon([
      22.452392,
      93.143763,
      22.428552,
      93.186068,
      22.262140,
      93.202204,
      22.246112,
      93.143763
    ]);
    poly[1912] = _TzPolygon(
        [22.239829, 93.143763, 22.186667, 93.153889, 22.188491, 93.143763]);
    poly[1913] = _TzPolygon(
        [23.672023, 91.936959, 23.732222, 91.950000, 23.672023, 92.005776]);
    poly[1914] = _TzPolygon([
      23.672023,
      92.089591,
      23.735000,
      92.151667,
      23.720278,
      92.194444,
      23.672023,
      92.206656
    ]);
    poly[1915] = _TzPolygon([
      23.672023,
      92.223094,
      23.722500,
      92.252222,
      23.705278,
      92.283333,
      23.672023,
      92.281675
    ]);
    poly[1916] = _TzPolygon([
      25.172577,
      91.809154,
      25.168339,
      91.976016,
      25.187778,
      92.040833,
      25.140000,
      92.193056,
      25.093056,
      92.241667,
      25.079444,
      92.332500,
      25.051389,
      92.342222,
      25.030556,
      92.406389,
      24.968889,
      92.422778,
      24.960976,
      92.471260,
      24.941942,
      92.448055,
      24.948433,
      92.488015,
      24.889444,
      92.496944,
      24.871667,
      92.478611,
      24.857778,
      92.389444,
      24.905000,
      92.293611,
      24.896389,
      92.248056,
      24.773889,
      92.256667,
      24.565278,
      92.191111,
      24.513889,
      92.132500,
      24.414167,
      92.135278,
      24.374722,
      92.086389,
      24.378889,
      91.974722,
      24.319444,
      91.989444,
      24.349722,
      91.948333,
      24.335000,
      91.923611,
      24.270000,
      91.931667,
      24.149722,
      91.892500,
      24.188056,
      91.838611,
      24.226111,
      91.831944,
      24.230123,
      91.809154
    ]);
    poly[1917] = _TzPolygon([
      23.672023,
      93.431080,
      23.682173,
      93.437370,
      23.758927,
      93.393458,
      23.929777,
      93.391725,
      23.940336,
      93.356999,
      23.984816,
      93.331532,
      24.083021,
      93.331355,
      24.092267,
      93.354554,
      24.104826,
      93.340425,
      24.081179,
      93.406835,
      23.972085,
      93.465316,
      23.948225,
      93.502778,
      23.978890,
      93.555842,
      23.961970,
      93.594740,
      24.011684,
      93.626484,
      24.006105,
      93.756605,
      23.925344,
      93.810853,
      23.950813,
      93.932078,
      23.885429,
      94.094924,
      23.837881,
      94.116851,
      23.847133,
      94.156096,
      23.927559,
      94.169076,
      23.930351,
      94.188661,
      24.080845,
      94.255378,
      24.164131,
      94.260365,
      24.275905,
      94.322920,
      24.327595,
      94.322365,
      24.332815,
      94.350888,
      24.377264,
      94.379597,
      24.391799,
      94.362106,
      24.439772,
      94.408403,
      24.482707,
      94.394376,
      24.484925,
      94.423938,
      24.570742,
      94.455551,
      24.579991,
      94.478373,
      23.672023,
      94.478373
    ]);
    poly[1918] = _TzPolygon([
      27.452092,
      84.049616,
      27.433372,
      84.026879,
      27.449745,
      83.932336,
      27.424599,
      83.862260,
      27.350941,
      83.856578,
      27.469222,
      83.614526,
      27.479763,
      83.388914,
      27.457035,
      83.401781,
      27.436681,
      83.384041,
      27.412479,
      83.409403,
      27.343115,
      83.359182,
      27.330165,
      83.317191,
      27.352667,
      83.272466,
      27.383452,
      83.272202,
      27.454376,
      83.187897,
      27.448783,
      83.034627,
      27.467779,
      82.954143,
      27.501238,
      82.929348,
      27.502349,
      82.735571,
      27.585803,
      82.758021,
      27.662968,
      82.712370,
      27.722606,
      82.708454,
      27.679493,
      82.448805,
      27.842797,
      82.209144,
      27.865872,
      82.121095,
      27.923710,
      82.070018,
      27.929054,
      81.968283,
      27.860072,
      81.925889,
      27.856970,
      81.884959,
      27.988200,
      81.698463,
      28.001336,
      81.624785,
      28.082650,
      81.478339,
      28.118548,
      81.484015,
      28.160950,
      81.447054,
      28.177205,
      81.374716,
      28.141678,
      81.370448,
      28.133657,
      81.318137,
      28.148333,
      81.328047,
      28.165570,
      81.301174,
      28.169615,
      81.321975,
      28.197717,
      81.320774,
      28.246987,
      81.273318,
      28.246987,
      84.049616
    ]);
    poly[1919] = _TzPolygon([
      27.452092,
      84.049616,
      27.489238,
      84.094734,
      27.517325,
      84.098604,
      27.518703,
      84.145552,
      27.486290,
      84.148915,
      27.469570,
      84.205758,
      27.442836,
      84.207811,
      27.452834,
      84.254080,
      27.384915,
      84.293962,
      27.336455,
      84.622125,
      27.214933,
      84.690881,
      27.096562,
      84.674502,
      27.046168,
      84.643298,
      27.002887,
      84.756684,
      27.017730,
      84.773314,
      26.995881,
      84.793243,
      27.020981,
      84.825389,
      26.985559,
      84.855483,
      26.960515,
      84.962496,
      26.916444,
      84.969157,
      26.885761,
      85.060836,
      26.854398,
      85.024093,
      26.869897,
      85.190745,
      26.810260,
      85.176505,
      26.758042,
      85.213040,
      26.335443,
      85.213040,
      26.335400,
      84.049616
    ]);
    poly[1920] = _TzPolygon([
      26.758042,
      85.213040,
      26.741908,
      85.334074,
      26.791422,
      85.407561,
      26.797310,
      85.495379,
      26.873879,
      85.623873,
      26.820439,
      85.720701,
      26.654022,
      85.732012,
      26.602919,
      85.817322,
      26.608671,
      85.850970,
      26.568021,
      85.851585,
      26.612757,
      85.946678,
      26.648971,
      85.956082,
      26.666763,
      86.026882,
      26.628939,
      86.138738,
      26.606404,
      86.135796,
      26.614759,
      86.192511,
      26.588571,
      86.217294,
      26.617186,
      86.252425,
      26.619121,
      86.333064,
      26.602400,
      86.376464,
      26.335486,
      86.376464,
      26.335443,
      85.213040
    ]);
    poly[1921] = _TzPolygon([
      27.933822,
      86.376464,
      27.965770,
      86.336040,
      27.948218,
      86.315163,
      27.977908,
      86.288389,
      27.981290,
      86.226295,
      28.078287,
      86.204494,
      28.098980,
      86.221861,
      28.173806,
      86.186388,
      28.093068,
      86.122277,
      28.090602,
      86.081189,
      28.015470,
      86.081076,
      27.927701,
      86.124698,
      27.899812,
      86.064818,
      27.911588,
      86.000154,
      27.941793,
      85.947576,
      27.996631,
      85.976827,
      28.054516,
      85.899812,
      28.111057,
      85.897169,
      28.123687,
      85.870293,
      28.183312,
      85.849439,
      28.236476,
      85.750309,
      28.246987,
      85.747611,
      28.246987,
      86.376464
    ]);
    poly[1922] = _TzPolygon([
      26.335529,
      87.539887,
      26.335486,
      86.376464,
      26.602400,
      86.376464,
      26.538704,
      86.541784,
      26.496520,
      86.570078,
      26.422438,
      86.730881,
      26.459364,
      86.765431,
      26.438867,
      86.833400,
      26.461973,
      86.894102,
      26.487964,
      86.894101,
      26.489035,
      86.929218,
      26.515929,
      86.931844,
      26.531982,
      87.015171,
      26.587307,
      87.044615,
      26.586016,
      87.071158,
      26.450408,
      87.091500,
      26.404233,
      87.161661,
      26.409415,
      87.260687,
      26.373956,
      87.265837,
      26.347758,
      87.340938,
      26.408155,
      87.368601,
      26.439864,
      87.463908,
      26.408086,
      87.539887
    ]);
    poly[1923] = _TzPolygon([
      27.857640,
      87.539887,
      27.822545,
      87.451771,
      27.833595,
      87.402641,
      27.843459,
      87.432139,
      27.861274,
      87.418224,
      27.828551,
      87.360652,
      27.850788,
      87.264518,
      27.820200,
      87.194096,
      27.839849,
      87.116025,
      27.950253,
      87.038105,
      27.961639,
      86.932673,
      28.025196,
      86.866671,
      28.014031,
      86.828744,
      28.035767,
      86.757076,
      28.075419,
      86.762951,
      28.108609,
      86.715515,
      28.102482,
      86.665383,
      28.071307,
      86.634007,
      28.110078,
      86.563074,
      28.069104,
      86.566598,
      28.047956,
      86.533261,
      27.957091,
      86.513882,
      27.946035,
      86.468055,
      27.905942,
      86.442061,
      27.906236,
      86.411367,
      27.933822,
      86.376464,
      28.246987,
      86.376464,
      28.246987,
      87.539887
    ]);
    poly[1924] = _TzPolygon([
      27.291108,
      88.034874,
      27.286412,
      88.031577,
      27.171190,
      88.019222,
      27.119507,
      87.987290,
      27.036786,
      88.037493,
      27.035515,
      88.077487,
      26.997082,
      88.121599,
      26.953694,
      88.121599,
      26.950770,
      88.120312,
      26.949282,
      88.121599,
      26.582750,
      88.121599,
      26.560833,
      88.105648,
      26.437898,
      88.095111,
      26.361033,
      88.007209,
      26.392716,
      87.991682,
      26.417527,
      87.926921,
      26.486951,
      87.888119,
      26.436890,
      87.848651,
      26.469005,
      87.792803,
      26.408986,
      87.759965,
      26.435625,
      87.677408,
      26.393578,
      87.651646,
      26.380520,
      87.605795,
      26.408794,
      87.539887,
      27.291108,
      87.539887
    ]);
    poly[1925] = _TzPolygon([
      26.335228,
      88.433596,
      26.335562,
      88.435206,
      26.376560,
      88.457624,
      26.349831,
      88.482339,
      26.359758,
      88.523871,
      26.460115,
      88.486294,
      26.488029,
      88.371997,
      26.447766,
      88.352370,
      26.481950,
      88.331592,
      26.638253,
      88.408502,
      26.545266,
      88.435772,
      26.541126,
      88.485138,
      26.510174,
      88.489072,
      26.510577,
      88.521365,
      26.480698,
      88.526315,
      26.485432,
      88.556789,
      26.457576,
      88.559893,
      26.449533,
      88.591906,
      26.470862,
      88.594341,
      26.471019,
      88.622889,
      26.435063,
      88.623766,
      26.388842,
      88.701725,
      26.379792,
      88.680953,
      26.335228,
      88.703311
    ]);
    poly[1926] = _TzPolygon(
        [26.997082, 88.121599, 26.985055, 88.135404, 26.953694, 88.121599]);
    poly[1927] = _TzPolygon([
      26.949282,
      88.121599,
      26.921182,
      88.145899,
      26.898876,
      88.136242,
      26.859750,
      88.174365,
      26.746749,
      88.189282,
      26.636795,
      88.160932,
      26.582750,
      88.121599
    ]);
    poly[1928] = _TzPolygon([
      27.291108,
      88.034874,
      27.336104,
      88.066469,
      27.372214,
      88.041540,
      27.413112,
      88.050413,
      27.430012,
      88.080088,
      27.496171,
      88.043602,
      27.645942,
      88.121599,
      27.291108,
      88.121599
    ]);
    poly[1929] = _TzPolygon(
        [27.911193, 88.121599, 27.918068, 88.117999, 27.925016, 88.121599]);
    poly[1930] = _TzPolygon([
      28.246987,
      88.121599,
      27.925016,
      88.121599,
      27.918068,
      88.117999,
      27.912740,
      88.121599,
      27.876263,
      88.121599,
      27.868383,
      88.111294,
      27.906077,
      88.029931,
      27.886128,
      87.984703,
      27.918072,
      87.932034,
      27.910960,
      87.865758,
      27.948148,
      87.856837,
      27.953049,
      87.831664,
      27.805471,
      87.725211,
      27.807047,
      87.665325,
      27.837509,
      87.664446,
      27.810765,
      87.610323,
      27.866800,
      87.562885,
      27.857640,
      87.539887,
      28.246987,
      87.539887
    ]);
    poly[1931] = _TzPolygon([
      27.876761,
      88.121599,
      27.881597,
      88.134974,
      27.839597,
      88.201526,
      27.820762,
      88.173018,
      27.791013,
      88.197149,
      27.736734,
      88.156124,
      27.665817,
      88.144480,
      27.627338,
      88.121599
    ]);
    poly[1932] = _TzPolygon([
      28.076519,
      88.703311,
      28.074115,
      88.670614,
      28.122641,
      88.633368,
      28.089627,
      88.602365,
      28.082288,
      88.554446,
      28.034001,
      88.545952,
      28.055118,
      88.494911,
      27.981077,
      88.413591,
      27.985807,
      88.340400,
      27.941664,
      88.251328,
      27.969512,
      88.237638,
      27.962374,
      88.208847,
      27.940673,
      88.206991,
      27.965277,
      88.142460,
      27.925016,
      88.121599,
      28.246987,
      88.121599,
      28.246987,
      88.703311
    ]);
    poly[1933] = _TzPolygon(
        [27.912740, 88.121599, 27.888689, 88.137851, 27.876263, 88.121599]);
    poly[1934] = _TzPolygon(
        [26.335228, 88.711947, 26.347447, 88.746048, 26.335228, 88.746746]);
    poly[1935] = _TzPolygon([
      26.335228,
      88.991173,
      26.351961,
      88.961109,
      26.335228,
      88.953828,
      26.335228,
      88.952320,
      26.365488,
      88.952610,
      26.358909,
      88.919046,
      26.408670,
      88.904723,
      26.407992,
      88.929381,
      26.458975,
      88.957061,
      26.411423,
      88.993849,
      26.393835,
      89.093147,
      26.362960,
      89.079479,
      26.337177,
      89.101057,
      26.335228,
      89.098607
    ]);
    poly[1936] = _TzPolygon([
      27.352981,
      88.882330,
      27.352981,
      89.168688,
      27.318099,
      89.152031,
      27.284574,
      89.069155,
      27.240894,
      89.066205,
      27.212045,
      88.990245,
      27.262756,
      88.948145,
      27.271110,
      88.911495,
      27.327288,
      88.921368,
      27.332955,
      88.895066
    ]);
    poly[1937] = _TzPolygon([
      27.352981,
      88.990745,
      27.352981,
      90.147077,
      26.758973,
      90.147077,
      26.721991,
      89.968573,
      26.736629,
      89.860596,
      26.702530,
      89.862567,
      26.702016,
      89.770854,
      26.734924,
      89.751639,
      26.722874,
      89.625433,
      26.777184,
      89.644736,
      26.813510,
      89.557159,
      26.802220,
      89.476433,
      26.862281,
      89.378940,
      26.815482,
      89.262326,
      26.812103,
      89.131102,
      26.835757,
      89.102097,
      26.891703,
      89.095640,
      26.898364,
      89.046764,
      26.940780,
      89.021369,
      26.917842,
      88.979538,
      26.932918,
      88.945066,
      26.969705,
      88.952030,
      26.993028,
      88.922546,
      26.946461,
      88.876669,
      27.109147,
      88.870492,
      27.141850,
      88.746472,
      27.185310,
      88.789075,
      27.248366,
      88.802284,
      27.272973,
      88.904489,
      27.336283,
      88.930215,
      27.305425,
      88.970558,
      27.326996,
      89.004668
    ]);
    poly[1938] = _TzPolygon([
      28.076519,
      88.703311,
      28.080301,
      88.754741,
      28.015297,
      88.836082,
      27.930582,
      88.834082,
      27.919711,
      88.867636,
      27.856407,
      88.888121,
      27.815528,
      88.857085,
      27.668192,
      88.848230,
      27.646914,
      88.814822,
      27.574232,
      88.791806,
      27.566424,
      88.763302,
      27.526935,
      88.793572,
      27.469293,
      88.776827,
      27.405437,
      88.806754,
      27.379610,
      88.837896,
      27.386304,
      88.861137,
      27.352981,
      88.882330,
      27.352981,
      88.703311
    ]);
    poly[1939] = _TzPolygon([
      27.352981,
      88.990745,
      27.402393,
      88.964270,
      27.460287,
      88.992326,
      27.487356,
      88.978069,
      27.502809,
      89.010329,
      27.522697,
      88.997262,
      27.545225,
      89.033053,
      27.588371,
      89.037758,
      27.614860,
      89.128061,
      27.721515,
      89.197140,
      27.731165,
      89.228722,
      27.802458,
      89.235528,
      27.890266,
      89.389121,
      28.092585,
      89.508846,
      28.085403,
      89.536300,
      28.163895,
      89.596542,
      28.182394,
      89.765601,
      28.222883,
      89.769045,
      28.246987,
      89.798175,
      28.229971,
      89.861475,
      28.183108,
      89.896703,
      28.194563,
      89.976923,
      28.137145,
      90.038667,
      28.170131,
      90.122537,
      28.194239,
      90.123324,
      28.192918,
      90.147077,
      27.352981,
      90.147077
    ]);
    poly[1940] = _TzPolygon([
      27.352981,
      90.147077,
      27.352981,
      91.590842,
      26.813341,
      91.590842,
      26.792073,
      91.499722,
      26.840561,
      91.414365,
      26.794362,
      91.380221,
      26.782276,
      91.341412,
      26.814033,
      91.239509,
      26.824109,
      91.101511,
      26.781255,
      91.055597,
      26.769361,
      90.699697,
      26.816478,
      90.547519,
      26.904639,
      90.417853,
      26.901270,
      90.354678,
      26.849888,
      90.302173,
      26.859771,
      90.247871,
      26.835007,
      90.200419,
      26.767998,
      90.190637,
      26.758973,
      90.147077
    ]);
    poly[1941] = _TzPolygon([
      27.547707,
      91.590842,
      27.557018,
      91.581963,
      27.584144,
      91.565973,
      27.608438,
      91.584485,
      27.632209,
      91.562308,
      27.661008,
      91.590842
    ]);
    poly[1942] = _TzPolygon([
      27.815127,
      91.590842,
      27.811367,
      91.576673,
      27.826655,
      91.565846,
      27.827254,
      91.590842
    ]);
    poly[1943] = _TzPolygon([
      27.895117,
      91.590842,
      27.898195,
      91.555245,
      27.944666,
      91.483338,
      28.006305,
      91.465316,
      28.003300,
      91.435839,
      28.065683,
      91.338926,
      28.063872,
      91.247358,
      27.985453,
      91.203024,
      28.001698,
      91.167796,
      27.991907,
      91.070297,
      28.024714,
      91.021561,
      28.001592,
      90.976514,
      28.044561,
      90.928547,
      28.025661,
      90.906121,
      28.053525,
      90.855534,
      28.041487,
      90.781129,
      28.080781,
      90.691473,
      28.022915,
      90.584565,
      28.066310,
      90.507287,
      28.047173,
      90.455395,
      28.064141,
      90.442786,
      28.064210,
      90.374680,
      28.163965,
      90.290448,
      28.142945,
      90.254705,
      28.148003,
      90.209230,
      28.192142,
      90.161035,
      28.192918,
      90.147077,
      28.246987,
      90.147077,
      28.246987,
      91.590842
    ]);
    poly[1944] = _TzPolygon([
      27.827373,
      91.590842,
      27.826249,
      91.540318,
      27.857650,
      91.558278,
      27.861023,
      91.590842
    ]);
    poly[1945] = _TzPolygon([
      27.352981,
      91.590842,
      27.352981,
      92.056957,
      27.327294,
      92.064913,
      27.281770,
      92.125232,
      27.258485,
      92.037693,
      27.234779,
      92.071838,
      27.168574,
      92.026927,
      27.080039,
      92.031192,
      27.040575,
      92.081703,
      26.960672,
      92.121346,
      26.869267,
      92.103644,
      26.849616,
      92.056524,
      26.860819,
      91.987063,
      26.919635,
      91.893784,
      26.913386,
      91.859349,
      26.863901,
      91.824786,
      26.809059,
      91.695333,
      26.822578,
      91.630416,
      26.813341,
      91.590842
    ]);
    poly[1946] = _TzPolygon([
      27.861023,
      91.590842,
      27.863955,
      91.619154,
      27.892111,
      91.625595,
      27.895117,
      91.590842,
      28.246987,
      91.590842,
      28.246987,
      92.312725,
      27.826605,
      92.312725,
      27.872276,
      92.293954,
      27.887753,
      92.244387,
      27.779860,
      92.057276,
      27.780133,
      91.987954,
      27.716491,
      91.924968,
      27.720233,
      91.872697,
      27.787757,
      91.829043,
      27.769089,
      91.791456,
      27.782937,
      91.721951,
      27.828926,
      91.660689,
      27.827373,
      91.590842
    ]);
    poly[1947] = _TzPolygon([
      27.895117,
      91.590842,
      27.892111,
      91.625595,
      27.859812,
      91.613491,
      27.861627,
      91.590842
    ]);
    poly[1948] = _TzPolygon([
      27.815622,
      91.590842,
      27.803820,
      91.634437,
      27.699821,
      91.629088,
      27.660648,
      91.590842
    ]);
    poly[1949] = _TzPolygon([
      27.547707,
      91.590842,
      27.484069,
      91.651525,
      27.505568,
      91.694528,
      27.498296,
      91.717054,
      27.474637,
      91.714753,
      27.465432,
      91.774190,
      27.486380,
      91.849491,
      27.460110,
      91.960635,
      27.480122,
      92.017576,
      27.352981,
      92.056957,
      27.352981,
      91.590842
    ]);
    poly[1950] = _TzPolygon([
      28.246987,
      92.940807,
      28.200690,
      92.921611,
      28.175169,
      92.832726,
      28.186706,
      92.784394,
      28.161309,
      92.762847,
      28.151168,
      92.677746,
      28.076998,
      92.656889,
      28.054560,
      92.731862,
      27.980001,
      92.730489,
      27.912444,
      92.646976,
      27.914605,
      92.599339,
      27.880849,
      92.581015,
      27.852130,
      92.500463,
      27.792921,
      92.456002,
      27.802981,
      92.426391,
      27.835699,
      92.421842,
      27.797515,
      92.324681,
      27.826605,
      92.312725,
      28.246987,
      92.312725
    ]);
    poly[1951] = _TzPolygon([
      18.050637,
      101.170080,
      18.065100,
      101.183956,
      18.100389,
      101.170080,
      18.149411,
      101.170080,
      18.213042,
      101.192660,
      18.216924,
      101.170080,
      18.219182,
      101.170080,
      18.219182,
      102.082795,
      18.030899,
      101.906916,
      18.067301,
      101.780764,
      17.911528,
      101.723795,
      17.893556,
      101.616750,
      17.849151,
      101.593238,
      17.869615,
      101.574841,
      17.821071,
      101.551256,
      17.784449,
      101.574253,
      17.776475,
      101.521703,
      17.724073,
      101.490827,
      17.760632,
      101.482134,
      17.728826,
      101.447152,
      17.735558,
      101.403866,
      17.717611,
      101.431174,
      17.689193,
      101.409666,
      17.697827,
      101.382116,
      17.658898,
      101.345672,
      17.650696,
      101.306477,
      17.536386,
      101.229550,
      17.524421,
      101.175135,
      17.500585,
      101.170080
    ]);
    poly[1952] = _TzPolygon([
      18.089177,
      102.253288,
      18.147898,
      102.185541,
      18.204438,
      102.163325,
      18.219182,
      102.082795,
      18.219182,
      102.253288
    ]);
    poly[1953] = _TzPolygon(
        [18.345556, 101.170080, 18.340537, 101.182166, 18.314450, 101.170080]);
    poly[1954] = _TzPolygon([
      11.749251,
      102.253288,
      11.749251,
      102.908693,
      11.745531,
      102.911331,
      11.654660,
      102.913892,
      11.389554,
      102.620906,
      11.409259,
      102.477586,
      11.467483,
      102.377928,
      11.620453,
      102.253288
    ]);
    poly[1955] = _TzPolygon([
      10.621091,
      104.944143,
      8.190135,
      104.944143,
      8.179066,
      104.867348,
      8.208917,
      104.767363,
      9.099378,
      103.316162,
      9.277315,
      103.165336,
      9.380127,
      103.125141,
      9.475264,
      103.117846,
      10.004368,
      103.859869,
      10.172051,
      103.932616,
      10.261268,
      103.900867,
      10.290793,
      103.826623,
      10.383680,
      103.805099,
      10.402011,
      103.837750,
      10.390276,
      103.914162,
      10.479963,
      103.971516,
      10.480453,
      104.011128,
      10.383573,
      104.110596,
      10.231901,
      104.124336,
      10.271424,
      104.227253,
      10.423802,
      104.440242,
      10.430661,
      104.479174,
      10.404744,
      104.498596,
      10.530238,
      104.590689,
      10.522200,
      104.869074
    ]);
    poly[1956] = _TzPolygon([
      10.859472,
      104.944143,
      10.859472,
      105.042655,
      10.721012,
      105.098302,
      10.637834,
      104.956853,
      10.621091,
      104.944143
    ]);
    poly[1957] = _TzPolygon([
      10.859472,
      106.175198,
      10.840055,
      106.187558,
      10.788907,
      106.190950,
      10.811677,
      106.165416,
      10.811099,
      106.072650,
      10.859472,
      106.014266
    ]);
    poly[1958] = _TzPolygon(
        [10.859472, 105.930970, 10.839170, 105.935964, 10.859472, 105.862734]);
    poly[1959] = _TzPolygon([
      10.859472,
      105.042655,
      10.892385,
      105.029427,
      10.956512,
      105.082932,
      10.960720,
      105.117377,
      10.919329,
      105.105610,
      10.896855,
      105.265040,
      10.859885,
      105.338135,
      10.972753,
      105.427239,
      10.951881,
      105.536500,
      11.032143,
      105.777440,
      10.899342,
      105.864281,
      10.863089,
      105.849688,
      10.859472,
      105.862734
    ]);
    poly[1960] = _TzPolygon([
      10.859472,
      105.930970,
      10.863091,
      105.930080,
      10.883698,
      105.956234,
      10.917189,
      105.944604,
      10.859472,
      106.014266
    ]);
    poly[1961] = _TzPolygon([
      10.859472,
      106.175198,
      10.914785,
      106.139988,
      10.978298,
      106.144979,
      10.975953,
      106.205822,
      11.051623,
      106.187276,
      11.102085,
      106.153876,
      11.073817,
      106.101388,
      11.140392,
      106.023096,
      11.190790,
      106.013797,
      11.218342,
      105.926302,
      11.287502,
      105.907487,
      11.284259,
      105.865463,
      11.362785,
      105.885026,
      11.405520,
      105.874071,
      11.446959,
      105.903438,
      11.461951,
      105.874685,
      11.545746,
      105.880679,
      11.569002,
      105.817432,
      11.618715,
      105.809730,
      11.676967,
      105.884010,
      11.641216,
      105.954495,
      11.726956,
      106.015150,
      11.749251,
      106.014948,
      11.749251,
      106.102067,
      11.742848,
      106.115251,
      11.749251,
      106.159414,
      11.749251,
      106.194881,
      11.728850,
      106.212463,
      11.720510,
      106.266430,
      11.686391,
      106.289571,
      10.859472,
      106.289571
    ]);
    poly[1962] = _TzPolygon([
      11.749251,
      106.420780,
      11.670637,
      106.450930,
      11.696737,
      106.385132,
      11.673014,
      106.298644,
      11.686391,
      106.289571,
      11.749251,
      106.289571
    ]);
    poly[1963] = _TzPolygon([
      11.749251,
      102.908693,
      11.856310,
      102.832787,
      12.074485,
      102.770291,
      12.172251,
      102.703590,
      12.364311,
      102.725802,
      12.400362,
      102.784958,
      12.433868,
      102.781388,
      12.486617,
      102.720349,
      12.512677,
      102.728502,
      12.538876,
      102.677887,
      12.611101,
      102.645269,
      12.653830,
      102.578923,
      12.654053,
      102.531444,
      12.704447,
      102.497282,
      12.783375,
      102.535886,
      12.858786,
      102.497923,
      12.895058,
      102.509144,
      12.978576,
      102.485444,
      13.002475,
      102.530128,
      13.013414,
      102.494368,
      13.082174,
      102.459499,
      13.090930,
      102.433838,
      13.277356,
      102.349406,
      13.505040,
      102.363547,
      13.534344,
      102.336696,
      13.534344,
      104.944143,
      11.749251,
      104.944143
    ]);
    poly[1964] = _TzPolygon([
      13.534344,
      102.336696,
      13.537473,
      102.333828,
      13.577938,
      102.366649,
      13.564516,
      102.526850,
      13.606146,
      102.579897,
      13.608714,
      102.624201,
      13.665276,
      102.550725,
      13.706776,
      102.590991,
      13.770888,
      102.732030,
      13.793260,
      102.723220,
      13.856377,
      102.766252,
      13.932817,
      102.782910,
      14.004259,
      102.866633,
      14.017309,
      102.911348,
      14.083413,
      102.900727,
      14.148399,
      102.940407,
      14.194848,
      102.938482,
      14.228506,
      103.022078,
      14.284086,
      103.055955,
      14.335150,
      103.169680,
      14.323590,
      103.218930,
      14.348650,
      103.262164,
      14.357792,
      103.401994,
      14.390767,
      103.435040,
      14.364701,
      103.467666,
      14.412125,
      103.498170,
      14.431922,
      103.557572,
      14.426723,
      103.598716,
      13.534344,
      103.598716
    ]);
    poly[1965] = _TzPolygon([
      14.426723,
      103.598716,
      14.425250,
      103.610371,
      14.404055,
      103.621449,
      14.413269,
      103.654432,
      14.438634,
      103.653860,
      14.440370,
      103.688902,
      14.431126,
      103.708204,
      14.380653,
      103.707118,
      14.352971,
      103.826850,
      14.370481,
      103.847441,
      14.338021,
      103.881709,
      14.330234,
      103.942182,
      14.354529,
      103.979529,
      14.345369,
      104.076911,
      14.378435,
      104.108068,
      14.354623,
      104.145416,
      14.384760,
      104.186773,
      14.367654,
      104.218874,
      14.408532,
      104.275355,
      14.370656,
      104.330041,
      14.383558,
      104.376222,
      14.345183,
      104.463246,
      14.376234,
      104.498989,
      14.354025,
      104.564472,
      14.423193,
      104.640949,
      14.398410,
      104.685058,
      14.433963,
      104.711150,
      14.403283,
      104.723689,
      14.437301,
      104.806864,
      14.397922,
      104.837907,
      14.418192,
      104.871690,
      14.395443,
      104.944143,
      13.534344,
      104.944143,
      13.534344,
      103.598716
    ]);
    poly[1966] = _TzPolygon([
      11.749251,
      106.014948,
      11.765088,
      106.014804,
      11.778382,
      106.042086,
      11.749251,
      106.102067
    ]);
    poly[1967] = _TzPolygon(
        [11.749251, 106.159414, 11.753822, 106.190942, 11.749251, 106.194881]);
    poly[1968] = _TzPolygon([
      13.534344,
      107.614074,
      13.525857,
      107.616953,
      13.366496,
      107.627679,
      13.020460,
      107.491422,
      12.975819,
      107.504266,
      12.948260,
      107.484797,
      12.878174,
      107.498771,
      12.817535,
      107.554223,
      12.708015,
      107.559899,
      12.679650,
      107.582056,
      12.642580,
      107.569234,
      12.558668,
      107.589536,
      12.522199,
      107.562571,
      12.495320,
      107.579793,
      12.415483,
      107.543805,
      12.350877,
      107.543897,
      12.310608,
      107.468445,
      12.240200,
      107.417688,
      12.334893,
      107.344606,
      12.295080,
      107.190737,
      12.276162,
      107.152201,
      12.230080,
      107.138606,
      12.181250,
      107.092742,
      12.187364,
      107.073540,
      12.163030,
      107.078938,
      12.115263,
      107.003420,
      12.087822,
      106.994403,
      12.061964,
      106.916296,
      12.082987,
      106.792933,
      11.968502,
      106.721112,
      11.964976,
      106.683390,
      11.989709,
      106.655241,
      11.965275,
      106.659696,
      11.961144,
      106.635795,
      11.968947,
      106.491996,
      11.988819,
      106.454479,
      11.973559,
      106.411855,
      11.867526,
      106.466681,
      11.856934,
      106.439875,
      11.822743,
      106.447514,
      11.766158,
      106.414296,
      11.749251,
      106.420780,
      11.749251,
      106.289571,
      13.534344,
      106.289571
    ]);
    poly[1969] = _TzPolygon([
      14.395443,
      104.944143,
      14.379669,
      104.994382,
      14.318292,
      104.984489,
      14.214896,
      105.050194,
      14.213451,
      105.107383,
      14.238060,
      105.142891,
      14.334942,
      105.168374,
      14.348451,
      105.198046,
      14.176476,
      105.275340,
      14.162968,
      105.320521,
      14.104457,
      105.362014,
      14.101796,
      105.454504,
      14.160435,
      105.558438,
      14.137376,
      105.616857,
      13.534344,
      105.616857,
      13.534344,
      104.944143
    ]);
    poly[1970] = _TzPolygon([
      14.137376,
      105.616857,
      14.160435,
      105.558438,
      14.101796,
      105.454504,
      14.104457,
      105.362014,
      14.162968,
      105.320521,
      14.176476,
      105.275340,
      14.312671,
      105.206167,
      14.343339,
      105.206471,
      14.353714,
      105.281332,
      14.397454,
      105.320293,
      14.384254,
      105.342389,
      14.396117,
      105.386721,
      14.426890,
      105.406140,
      14.426890,
      105.410986,
      14.416089,
      105.429139,
      14.426890,
      105.437355,
      14.426890,
      105.616857
    ]);
    poly[1971] = _TzPolygon([
      14.137376,
      105.616857,
      14.426890,
      105.616857,
      14.426890,
      106.242639,
      14.398705,
      106.237559,
      14.350970,
      106.186541,
      14.375758,
      106.103737,
      14.337368,
      106.079165,
      14.371698,
      106.001335,
      14.324062,
      105.996836,
      14.309542,
      106.025003,
      14.227780,
      106.035739,
      14.198375,
      106.058362,
      14.185901,
      106.109974,
      14.109734,
      106.121405,
      14.063011,
      106.187717,
      14.020446,
      106.169148,
      13.990931,
      106.102335,
      13.909675,
      106.105346,
      13.930400,
      105.910777,
      14.023654,
      105.792666,
      14.084335,
      105.785384,
      14.109232,
      105.724157,
      14.086861,
      105.703859,
      14.120157,
      105.658466,
      14.097385,
      105.644812,
      14.130742,
      105.633664
    ]);
    poly[1972] = _TzPolygon([
      15.319436,
      105.581413,
      15.314532,
      105.584888,
      15.271222,
      105.590961,
      15.204707,
      105.494352,
      15.130769,
      105.466541,
      15.063395,
      105.513412,
      15.063740,
      105.554242,
      15.038376,
      105.546954,
      14.998341,
      105.574820,
      14.975738,
      105.624152,
      14.941315,
      105.583229,
      14.952186,
      105.552957,
      14.926390,
      105.545296,
      14.878940,
      105.579959,
      14.874886,
      105.549220,
      14.839600,
      105.559871,
      14.799139,
      105.511194,
      14.753242,
      105.512595,
      14.731368,
      105.546557,
      14.727097,
      105.519882,
      14.696253,
      105.515211,
      14.619768,
      105.542259,
      14.553248,
      105.533476,
      14.426890,
      105.437355,
      14.426890,
      105.410986,
      14.428986,
      105.407463,
      14.426890,
      105.406140,
      14.426890,
      104.944143,
      15.319436,
      104.944143
    ]);
    poly[1973] = _TzPolygon([
      14.426890,
      106.242639,
      14.487729,
      106.253604,
      14.460334,
      106.289571,
      14.426890,
      106.289571
    ]);
    poly[1974] = _TzPolygon([
      13.534344,
      107.613759,
      13.741462,
      107.535805,
      13.794599,
      107.451383,
      13.853207,
      107.472779,
      13.870821,
      107.453953,
      13.917843,
      107.473062,
      13.930033,
      107.453302,
      13.980243,
      107.455457,
      13.997592,
      107.442550,
      13.989611,
      107.386299,
      14.016497,
      107.357929,
      14.083580,
      107.373530,
      14.114975,
      107.335381,
      14.235508,
      107.408017,
      14.326285,
      107.390847,
      14.418533,
      107.449764,
      14.407208,
      107.488955,
      14.426890,
      107.495065,
      14.426890,
      107.634999,
      13.534344,
      107.634999
    ]);
    poly[1975] = _TzPolygon([
      14.426890,
      106.742938,
      14.426890,
      107.044481,
      14.416113,
      107.046144,
      14.354938,
      106.995575,
      14.359670,
      106.977287,
      14.314712,
      106.968054,
      14.333523,
      106.894887,
      14.313583,
      106.894485,
      14.317576,
      106.865507,
      14.292315,
      106.849127,
      14.325810,
      106.798304
    ]);
    poly[1976] = _TzPolygon([
      14.426890,
      107.170827,
      14.414948,
      107.163735,
      14.391815,
      107.093621,
      14.426890,
      107.061354
    ]);
    poly[1977] = _TzPolygon([
      14.460334,
      106.289571,
      14.441279,
      106.314589,
      14.451131,
      106.409810,
      14.487532,
      106.440022,
      14.523429,
      106.437962,
      14.512627,
      106.478131,
      14.554502,
      106.464055,
      14.591967,
      106.545125,
      14.500626,
      106.564553,
      14.508353,
      106.601380,
      14.443561,
      106.630921,
      14.428413,
      106.742104,
      14.426890,
      106.742879,
      14.426890,
      106.289571
    ]);
    poly[1978] = _TzPolygon([
      14.426890,
      107.495065,
      14.546348,
      107.532150,
      14.584909,
      107.516963,
      14.622553,
      107.559563,
      14.721350,
      107.555716,
      14.721599,
      107.523357,
      14.750702,
      107.541924,
      14.785847,
      107.505354,
      14.873552,
      107.591463,
      14.950897,
      107.483241,
      15.007018,
      107.467766,
      15.049483,
      107.540166,
      15.028361,
      107.583924,
      15.051239,
      107.594045,
      15.050886,
      107.621520,
      15.087862,
      107.597868,
      15.106159,
      107.622706,
      15.132841,
      107.607664,
      15.149724,
      107.626754,
      15.195844,
      107.582681,
      15.230395,
      107.633058,
      15.287138,
      107.615357,
      15.319436,
      107.634999,
      14.426890,
      107.634999
    ]);
    poly[1979] = _TzPolygon(
        [14.426890, 107.043141, 14.446737, 107.037611, 14.426890, 107.057851]);
    poly[1980] = _TzPolygon([
      14.426890,
      107.170827,
      14.487657,
      107.206915,
      14.492289,
      107.258320,
      14.542221,
      107.260757,
      14.587916,
      107.298758,
      14.584749,
      107.339986,
      14.540186,
      107.375976,
      14.528420,
      107.448653,
      14.614088,
      107.463393,
      14.648441,
      107.518640,
      14.690422,
      107.537563,
      14.686085,
      107.556613,
      14.622553,
      107.559563,
      14.584909,
      107.516963,
      14.546348,
      107.532150,
      14.426890,
      107.495065
    ]);
    poly[1981] = _TzPolygon([
      18.448556,
      103.407830,
      18.432626,
      103.309592,
      18.361022,
      103.243460,
      18.304024,
      103.298211,
      18.254492,
      103.166128,
      18.173457,
      103.148936,
      18.123234,
      103.080049,
      18.033740,
      103.078551,
      17.982300,
      103.041952,
      17.971293,
      103.018771,
      18.004702,
      102.953897,
      17.970849,
      102.855060,
      17.933403,
      102.784735,
      17.893745,
      102.758259,
      17.870001,
      102.688351,
      17.844296,
      102.676965,
      17.818783,
      102.698139,
      17.803270,
      102.682450,
      17.842565,
      102.589423,
      17.910321,
      102.613374,
      17.955298,
      102.603389,
      17.984048,
      102.430950,
      18.044625,
      102.346463,
      18.060587,
      102.286273,
      18.089177,
      102.253288,
      18.448556,
      102.253288
    ]);
    poly[1982] = _TzPolygon([
      15.323394,
      105.521414,
      15.320747,
      105.496221,
      15.350339,
      105.467632,
      15.386402,
      105.494072,
      15.396227,
      105.521414
    ]);
    poly[1983] = _TzPolygon([
      16.883996,
      104.752178,
      16.883996,
      105.521414,
      15.760712,
      105.521414,
      15.767179,
      105.504025,
      15.745570,
      105.466599,
      15.753500,
      105.437588,
      15.802384,
      105.394290,
      15.922246,
      105.342227,
      15.983512,
      105.376935,
      15.990715,
      105.425142,
      16.012139,
      105.417860,
      16.102562,
      105.046941,
      16.191030,
      105.012126,
      16.243842,
      105.014911,
      16.348150,
      104.890225,
      16.452698,
      104.843718,
      16.528537,
      104.744035,
      16.571959,
      104.733866,
      16.700011,
      104.764049,
      16.797621,
      104.737492,
      16.844452,
      104.759386
    ]);
    poly[1984] = _TzPolygon([
      18.448556,
      103.407830,
      18.404077,
      103.607312,
      18.343211,
      103.697619,
      18.338251,
      103.818088,
      18.283761,
      103.858088,
      18.336880,
      103.973041,
      18.218574,
      104.060570,
      18.115444,
      104.105323,
      17.999698,
      104.213048,
      17.858442,
      104.279191,
      17.822603,
      104.355134,
      17.651817,
      104.471869,
      17.520799,
      104.707817,
      17.394542,
      104.799798,
      17.164734,
      104.801488,
      17.008272,
      104.729525,
      16.883996,
      104.752178,
      16.883996,
      103.407830
    ]);
    poly[1985] = _TzPolygon([
      18.119891,
      105.521414,
      18.124452,
      105.505769,
      18.202920,
      105.491114,
      18.204449,
      105.442726,
      18.154086,
      105.409268,
      18.160902,
      105.367934,
      18.200381,
      105.319906,
      18.264611,
      105.328609,
      18.236275,
      105.299585,
      18.254844,
      105.299289,
      18.254948,
      105.255444,
      18.296390,
      105.243073,
      18.324791,
      105.184341,
      18.386287,
      105.184619,
      18.388649,
      105.150563,
      18.447354,
      105.103469,
      18.448556,
      105.103730,
      18.448556,
      105.521414
    ]);
    poly[1986] = _TzPolygon([
      15.759688,
      105.521414,
      15.722261,
      105.599298,
      15.633801,
      105.636812,
      15.509892,
      105.592813,
      15.420478,
      105.588905,
      15.396227,
      105.521414
    ]);
    poly[1987] = _TzPolygon([
      15.323394,
      105.521414,
      15.328987,
      105.574645,
      15.319436,
      105.581413,
      15.319436,
      105.521414
    ]);
    poly[1988] = _TzPolygon([
      16.621574,
      106.578207,
      16.694344,
      106.551297,
      16.865157,
      106.551325,
      16.883996,
      106.528622,
      16.883996,
      106.578207
    ]);
    poly[1989] = _TzPolygon([
      16.621574,
      106.578207,
      16.601208,
      106.585738,
      16.584132,
      106.667329,
      16.522335,
      106.647148,
      16.452083,
      106.675991,
      16.424841,
      106.726119,
      16.439150,
      106.734722,
      16.410825,
      106.740282,
      16.431958,
      106.772024,
      16.467816,
      106.771079,
      16.463547,
      106.802177,
      16.548751,
      106.830775,
      16.541002,
      106.862779,
      16.511487,
      106.890429,
      16.428371,
      106.871928,
      16.425689,
      106.898656,
      16.388891,
      106.899339,
      16.353916,
      106.964885,
      16.302828,
      106.971956,
      16.311129,
      107.088831,
      16.256705,
      107.157024,
      16.167922,
      107.159379,
      16.136905,
      107.262208,
      16.054889,
      107.333135,
      16.088058,
      107.452610,
      16.039735,
      107.446189,
      16.024630,
      107.466644,
      15.912044,
      107.415396,
      15.887170,
      107.393135,
      15.893833,
      107.347382,
      15.835688,
      107.221309,
      15.738829,
      107.213124,
      15.744635,
      107.249465,
      15.707783,
      107.276555,
      15.632931,
      107.277652,
      15.613928,
      107.343793,
      15.493534,
      107.382239,
      15.498561,
      107.468965,
      15.472436,
      107.513783,
      15.412565,
      107.521065,
      15.394424,
      107.559488,
      15.414637,
      107.624513,
      15.382809,
      107.596352,
      15.319436,
      107.634999,
      15.319436,
      106.578207
    ]);
    poly[1990] = _TzPolygon([
      18.119891,
      105.521414,
      18.115860,
      105.535239,
      18.081964,
      105.540129,
      18.084008,
      105.571088,
      18.014031,
      105.581168,
      17.992497,
      105.643509,
      17.877007,
      105.607924,
      17.833367,
      105.683398,
      17.795361,
      105.675668,
      17.744609,
      105.730096,
      17.668502,
      105.750717,
      17.676298,
      105.781543,
      17.627345,
      105.861834,
      17.309096,
      106.145868,
      17.243757,
      106.249728,
      17.264604,
      106.277366,
      17.294479,
      106.275367,
      17.295247,
      106.303800,
      17.239155,
      106.307489,
      17.233975,
      106.334221,
      17.208019,
      106.304251,
      17.078680,
      106.416007,
      17.053231,
      106.402068,
      16.994926,
      106.439805,
      16.971516,
      106.515309,
      17.005153,
      106.549323,
      16.925769,
      106.547523,
      16.921944,
      106.519540,
      16.895885,
      106.514295,
      16.883996,
      106.528622,
      16.883996,
      105.521414
    ]);
    poly[1991] = _TzPolygon([
      19.049923,
      101.170080,
      19.049923,
      101.357205,
      18.888640,
      101.245758,
      18.808685,
      101.258451,
      18.731903,
      101.223803,
      18.688609,
      101.272742,
      18.624288,
      101.226124,
      18.612231,
      101.181924,
      18.560522,
      101.183278,
      18.554059,
      101.170080
    ]);
    poly[1992] = _TzPolygon([
      19.575048,
      101.170080,
      19.576745,
      101.197545,
      19.605225,
      101.206714,
      19.603621,
      101.243740,
      19.568919,
      101.287641,
      19.470363,
      101.266351,
      19.473311,
      101.210499,
      19.431440,
      101.215218,
      19.397905,
      101.187040,
      19.350161,
      101.205096,
      19.324584,
      101.241892,
      19.304690,
      101.227324,
      19.230795,
      101.259537,
      19.124507,
      101.256665,
      19.049923,
      101.357205,
      19.049923,
      101.170080
    ]);
    poly[1993] = _TzPolygon([
      19.605225,
      101.357205,
      19.605225,
      101.170080,
      21.355555,
      101.170080,
      21.328576,
      101.185198,
      21.296108,
      101.249939,
      21.231342,
      101.216590,
      21.179078,
      101.280170,
      21.213817,
      101.357205
    ]);
    poly[1994] = _TzPolygon([
      21.561410,
      101.170080,
      21.556057,
      101.216942,
      21.500017,
      101.221937,
      21.473958,
      101.190439,
      21.435878,
      101.199679,
      21.421150,
      101.170080
    ]);
    poly[1995] = _TzPolygon([
      18.788925,
      104.790246,
      18.800391,
      104.739926,
      18.835167,
      104.713684,
      18.835992,
      104.679072,
      18.885857,
      104.630068,
      18.900853,
      104.581165,
      18.985619,
      104.529355,
      19.004790,
      104.481871,
      18.983965,
      104.445486,
      19.058583,
      104.392748,
      19.090708,
      104.308605,
      19.118312,
      104.288264,
      19.118949,
      104.218045,
      19.156716,
      104.222814,
      19.197670,
      104.179191,
      19.215211,
      104.100939,
      19.248017,
      104.069205,
      19.232525,
      103.999557,
      19.304476,
      103.913487,
      19.305672,
      103.875757,
      19.357425,
      103.952407,
      19.398425,
      103.976430,
      19.416609,
      104.069232,
      19.453655,
      104.062977,
      19.498474,
      104.091382,
      19.501496,
      104.119657,
      19.569723,
      104.104854,
      19.620130,
      104.058320,
      19.673360,
      104.066936,
      19.673360,
      104.098881,
      19.661691,
      104.136975,
      19.673360,
      104.145721,
      19.673360,
      104.316914,
      19.666752,
      104.320460,
      19.673360,
      104.336426,
      19.673360,
      104.437642,
      19.657321,
      104.450308,
      19.655622,
      104.489791,
      19.624915,
      104.506826,
      19.610202,
      104.557767,
      19.635580,
      104.607617,
      19.624801,
      104.646094,
      19.673360,
      104.656919,
      19.673360,
      104.790246
    ]);
    poly[1996] = _TzPolygon([
      20.898164,
      103.894674,
      20.858893,
      103.852545,
      20.863932,
      103.813685,
      20.822680,
      103.809291,
      20.801598,
      103.780513,
      20.746619,
      103.790956,
      20.731368,
      103.733432,
      20.668145,
      103.736099,
      20.661610,
      103.683328,
      20.698378,
      103.667719,
      20.742633,
      103.601684,
      20.753137,
      103.509577,
      20.826139,
      103.467336,
      20.793477,
      103.440871,
      20.784080,
      103.390168,
      20.837624,
      103.290683,
      20.833660,
      103.237342,
      20.898164,
      103.212530
    ]);
    poly[1997] = _TzPolygon(
        [20.898164, 103.116071, 20.897184, 103.113404, 20.898164, 103.112923]);
    poly[1998] = _TzPolygon([
      20.898164,
      104.316493,
      20.880847,
      104.333552,
      20.856054,
      104.329300,
      20.766278,
      104.483830,
      20.712271,
      104.499372,
      20.698644,
      104.524416,
      20.718406,
      104.557286,
      20.674044,
      104.593694,
      20.670519,
      104.638694,
      20.606009,
      104.601999,
      20.598514,
      104.541382,
      20.549632,
      104.523358,
      20.489965,
      104.387601,
      20.443134,
      104.376750,
      20.426808,
      104.415552,
      20.381065,
      104.414158,
      20.368954,
      104.474480,
      20.413309,
      104.527722,
      20.421866,
      104.608857,
      20.461228,
      104.624838,
      20.474904,
      104.660985,
      20.406711,
      104.719741,
      20.361146,
      104.617286,
      20.242782,
      104.614058,
      20.198291,
      104.775247,
      20.188476,
      104.790246,
      19.781174,
      104.790246,
      19.773894,
      104.761135,
      19.750165,
      104.753390,
      19.753758,
      104.712305,
      19.701362,
      104.663162,
      19.673360,
      104.656919,
      19.673360,
      104.437642,
      19.704932,
      104.412708,
      19.673360,
      104.336426,
      19.673360,
      104.316914,
      19.697095,
      104.304176,
      19.707582,
      104.236699,
      19.696556,
      104.163106,
      19.673360,
      104.145721,
      19.673360,
      104.098881,
      19.682683,
      104.068445,
      19.673360,
      104.066936,
      19.673360,
      103.931986,
      20.898164,
      103.931986
    ]);
    poly[1999] = _TzPolygon([
      22.122968,
      101.357205,
      22.122968,
      101.587574,
      22.103406,
      101.577962,
      22.011424,
      101.632879,
      21.970231,
      101.601219,
      21.931054,
      101.668611,
      21.945160,
      101.699023,
      21.903234,
      101.695257,
      21.824448,
      101.784860,
      21.728555,
      101.745879,
      21.717603,
      101.768154,
      21.637803,
      101.782794,
      21.647177,
      101.807342,
      21.626294,
      101.834164,
      21.577027,
      101.804388,
      21.575357,
      101.747760,
      21.516790,
      101.778930,
      21.482184,
      101.734300,
      21.442963,
      101.755157,
      21.322866,
      101.733657,
      21.289202,
      101.764249,
      21.291806,
      101.800410,
      21.256479,
      101.810969,
      21.252605,
      101.844671,
      21.207311,
      101.840689,
      21.207759,
      101.794767,
      21.143916,
      101.757088,
      21.148822,
      101.698583,
      21.203258,
      101.670764,
      21.177179,
      101.596553,
      21.191649,
      101.585674,
      21.229605,
      101.613773,
      21.256287,
      101.548006,
      21.226246,
      101.384766,
      21.211166,
      101.357205
    ]);
  }
}

class _Initializer21 {
  static void _init() {
    poly[2000] = _TzPolygon([
      20.978074,
      103.073725,
      21.058506,
      103.034272,
      21.070703,
      102.968052,
      21.141221,
      102.949388,
      21.165820,
      102.903012,
      21.229732,
      102.911838,
      21.263691,
      102.807696,
      21.299713,
      102.852220,
      21.304716,
      102.897213,
      21.386018,
      102.896188,
      21.456580,
      102.942231,
      21.428721,
      102.869390,
      21.476244,
      102.885875,
      21.585934,
      102.991913,
      21.744966,
      102.974101,
      21.702399,
      102.877589,
      21.722559,
      102.856218,
      21.842295,
      102.851543,
      21.846004,
      102.833530,
      21.824917,
      102.810498,
      21.735381,
      102.826137,
      21.664452,
      102.749125,
      21.654905,
      102.674453,
      21.733228,
      102.644930,
      21.792704,
      102.661827,
      21.858308,
      102.645370,
      21.878306,
      102.610524,
      21.920015,
      102.612763,
      21.973535,
      102.506155,
      22.006614,
      102.488026,
      22.029966,
      102.518908,
      22.074093,
      102.441402,
      22.116931,
      102.434789,
      22.122968,
      102.409907,
      22.122968,
      103.073725
    ]);
    poly[2001] = _TzPolygon([
      22.290022,
      102.215465,
      22.304773,
      102.177466,
      22.337059,
      102.195160,
      22.399755,
      102.144410,
      22.433558,
      102.187045,
      22.425871,
      102.215465
    ]);
    poly[2002] = _TzPolygon([
      22.122968,
      101.591788,
      22.130597,
      101.606201,
      22.156160,
      101.603885,
      22.242709,
      101.549206,
      22.276459,
      101.566833,
      22.275635,
      101.624908,
      22.358689,
      101.644027,
      22.373988,
      101.670871,
      22.412854,
      101.647482,
      22.475762,
      101.672459,
      22.472549,
      101.705804,
      22.508672,
      101.760736,
      22.480611,
      101.813461,
      22.414286,
      101.836314,
      22.381657,
      101.895359,
      22.439663,
      101.914688,
      22.429019,
      101.985410,
      22.458051,
      102.046079,
      22.432315,
      102.125902,
      22.349461,
      102.167739,
      22.337059,
      102.195160,
      22.304773,
      102.177466,
      22.290022,
      102.215465,
      22.122968,
      102.215465
    ]);
    poly[2003] = _TzPolygon([
      22.449859,
      103.073725,
      22.442706,
      103.031412,
      22.478319,
      102.988440,
      22.484396,
      102.928773,
      22.611136,
      102.863277,
      22.625342,
      102.788996,
      22.670392,
      102.750087,
      22.703133,
      102.688516,
      22.689398,
      102.656163,
      22.731909,
      102.607670,
      22.703408,
      102.570037,
      22.762176,
      102.532842,
      22.779524,
      102.483216,
      22.700591,
      102.436832,
      22.681773,
      102.384323,
      22.635882,
      102.418450,
      22.589853,
      102.347402,
      22.566618,
      102.355008,
      22.557458,
      102.320921,
      22.460980,
      102.249632,
      22.412907,
      102.263391,
      22.425871,
      102.215465,
      23.347772,
      102.215465,
      23.347772,
      103.073725
    ]);
    poly[2004] = _TzPolygon([
      22.290022,
      102.215465,
      22.282770,
      102.234147,
      22.239015,
      102.240488,
      22.236089,
      102.272526,
      22.204599,
      102.279169,
      22.208130,
      102.312531,
      22.166044,
      102.335127,
      22.122968,
      102.422539,
      22.122968,
      102.215465
    ]);
    poly[2005] = _TzPolygon(
        [20.978431, 103.073725, 20.898164, 103.113273, 20.898164, 103.073725]);
    poly[2006] = _TzPolygon([
      20.898164,
      103.117493,
      20.916616,
      103.166297,
      20.901023,
      103.211430,
      20.898164,
      103.212530
    ]);
    poly[2007] = _TzPolygon([
      20.898164,
      103.894674,
      20.902978,
      103.899839,
      20.901897,
      104.031864,
      20.949483,
      104.052949,
      20.976565,
      104.107230,
      20.948089,
      104.131580,
      20.956103,
      104.191130,
      20.932974,
      104.242616,
      20.898192,
      104.257594,
      20.922713,
      104.292309,
      20.898164,
      104.316493
    ]);
    poly[2008] = _TzPolygon([
      22.908472,
      104.790246,
      22.900592,
      104.775140,
      22.858200,
      104.756159,
      22.849526,
      104.726486,
      22.823336,
      104.732941,
      22.816773,
      104.675553,
      22.835845,
      104.654538,
      22.816306,
      104.600304,
      22.858250,
      104.578495,
      22.690207,
      104.373902,
      22.729813,
      104.325427,
      22.741454,
      104.269407,
      22.844915,
      104.258838,
      22.812093,
      104.116516,
      22.722176,
      104.038568,
      22.523847,
      104.012275,
      22.506763,
      103.977584,
      22.565210,
      103.877311,
      22.789495,
      103.659323,
      22.786067,
      103.619439,
      22.705896,
      103.564011,
      22.664179,
      103.579526,
      22.595071,
      103.530166,
      22.660389,
      103.456564,
      22.713697,
      103.426416,
      22.753466,
      103.440155,
      22.813929,
      103.327316,
      22.681256,
      103.281577,
      22.644411,
      103.184931,
      22.594715,
      103.157897,
      22.557443,
      103.182373,
      22.509846,
      103.087706,
      22.451017,
      103.080579,
      22.449859,
      103.073725,
      23.347772,
      103.073725,
      23.347772,
      104.790246
    ]);
    poly[2009] = _TzPolygon([
      20.188476,
      104.790246,
      20.141594,
      104.861893,
      20.158924,
      104.927138,
      20.126319,
      104.934322,
      20.094807,
      104.993768,
      20.015943,
      104.918212,
      19.967800,
      104.902909,
      19.924395,
      104.842414,
      19.791357,
      104.830964,
      19.781174,
      104.790246
    ]);
    poly[2010] = _TzPolygon([
      18.788925,
      104.790246,
      18.773256,
      104.859010,
      18.786673,
      104.913921,
      18.739280,
      104.940834,
      18.749246,
      105.022507,
      18.731763,
      105.023287,
      18.724705,
      105.060752,
      18.708740,
      105.051835,
      18.716705,
      105.133899,
      18.686642,
      105.137005,
      18.640331,
      105.198180,
      18.605185,
      105.190747,
      18.613591,
      105.159869,
      18.591428,
      105.134780,
      18.448556,
      105.103730,
      18.448556,
      104.790246
    ]);
    poly[2011] = _TzPolygon([
      23.347772,
      105.287780,
      23.342463,
      105.283665,
      23.337890,
      105.252793,
      23.261337,
      105.234518,
      23.289189,
      105.171475,
      23.246098,
      105.111973,
      23.266246,
      105.079830,
      23.198683,
      104.962682,
      23.151015,
      104.947586,
      23.179711,
      104.897262,
      23.125423,
      104.876175,
      23.116217,
      104.801824,
      22.999029,
      104.829226,
      22.947309,
      104.864695,
      22.908472,
      104.790246,
      23.347772,
      104.790246
    ]);
    poly[2012] = _TzPolygon([
      22.928592,
      106.506766,
      22.904021,
      106.496989,
      22.894896,
      106.421312,
      22.874905,
      106.413965,
      22.883632,
      106.373205,
      22.856082,
      106.345484,
      22.877186,
      106.258061,
      22.915127,
      106.261572,
      22.986328,
      106.200607,
      23.001202,
      106.082954,
      22.992649,
      106.001887,
      22.940992,
      105.997321,
      22.946381,
      105.921835,
      22.916766,
      105.875711,
      22.987909,
      105.837264,
      23.036257,
      105.731864,
      23.070710,
      105.711157,
      23.072312,
      105.572094,
      23.160406,
      105.574021,
      23.202578,
      105.498769,
      23.299733,
      105.441713,
      23.285267,
      105.418925,
      23.318574,
      105.371185,
      23.347772,
      105.352439,
      23.347772,
      106.506766
    ]);
    poly[2013] = _TzPolygon([
      22.122968,
      106.697185,
      22.122968,
      108.223287,
      21.295836,
      108.223287,
      21.275556,
      108.134722,
      21.492699,
      108.088550,
      21.547398,
      108.033687,
      21.536853,
      107.954820,
      21.654381,
      107.859082,
      21.641116,
      107.842266,
      21.655459,
      107.782863,
      21.608839,
      107.676187,
      21.618110,
      107.576961,
      21.589431,
      107.542544,
      21.598794,
      107.482606,
      21.614505,
      107.497782,
      21.663490,
      107.463482,
      21.595217,
      107.382633,
      21.599428,
      107.362797,
      21.663561,
      107.360469,
      21.742649,
      107.301053,
      21.707775,
      107.222121,
      21.793818,
      107.111689,
      21.827864,
      107.008762,
      21.861557,
      107.016123,
      21.895760,
      107.063737,
      21.944780,
      107.023811,
      21.951723,
      106.991569,
      21.919443,
      106.961190,
      21.930794,
      106.929822,
      21.975693,
      106.916226,
      21.973221,
      106.811995,
      22.012799,
      106.765233,
      21.964330,
      106.690496,
      22.096068,
      106.713080
    ]);
    poly[2014] = _TzPolygon([
      22.919182,
      106.506766,
      22.948501,
      106.525675,
      22.918835,
      106.565640,
      22.929090,
      106.601678,
      22.865305,
      106.653364,
      22.892685,
      106.669137,
      22.888861,
      106.706389,
      22.810759,
      106.765437,
      22.813645,
      106.827817,
      22.772078,
      106.818074,
      22.741594,
      106.764744,
      22.708987,
      106.779589,
      22.638075,
      106.722243,
      22.594142,
      106.728519,
      22.575955,
      106.653471,
      22.605246,
      106.611103,
      22.476644,
      106.584836,
      22.458820,
      106.557473,
      22.393551,
      106.586545,
      22.348441,
      106.559923,
      22.333782,
      106.659699,
      22.285945,
      106.666920,
      22.277714,
      106.690614,
      22.219648,
      106.702008,
      22.185955,
      106.669586,
      22.159437,
      106.705935,
      22.138276,
      106.688139,
      22.122968,
      106.697185,
      22.122968,
      106.506766
    ]);
    poly[2015] = _TzPolygon(
        [23.347772, 105.287780, 23.393395, 105.323146, 23.347772, 105.352439]);
    poly[2016] = _TzPolygon([
      6.459000,
      99.504759,
      6.481667,
      99.511667,
      6.503333,
      99.556667,
      6.471456,
      99.689076,
      6.523299,
      99.916910,
      6.459000,
      100.004163
    ]);
    poly[2017] = _TzPolygon([
      6.459000,
      100.145117,
      6.480652,
      100.159063,
      6.579322,
      100.156846,
      6.572808,
      100.183570,
      6.693389,
      100.171463,
      6.726082,
      100.205056,
      6.459000,
      100.205056
    ]);
    poly[2018] = _TzPolygon([
      6.726082,
      100.205056,
      6.693401,
      100.228761,
      6.707848,
      100.293035,
      6.679751,
      100.294256,
      6.664089,
      100.327501,
      6.621392,
      100.326029,
      6.605229,
      100.305175,
      6.540054,
      100.365947,
      6.518643,
      100.418273,
      6.525473,
      100.490209,
      6.488562,
      100.518825,
      6.495959,
      100.562516,
      6.459000,
      100.624518,
      6.459000,
      100.205056
    ]);
    poly[2019] = _TzPolygon(
        [6.459000, 100.673031, 6.510354, 100.738640, 6.459000, 100.752832]);
    poly[2020] = _TzPolygon([
      18.487057,
      97.395561,
      18.576145,
      97.343807,
      18.599493,
      97.361891,
      18.559904,
      97.363054,
      18.565420,
      97.395561
    ]);
    poly[2021] = _TzPolygon([
      25.835113,
      94.478373,
      25.835113,
      95.035226,
      25.742583,
      95.041014,
      25.672092,
      94.940282,
      25.606854,
      94.912939,
      25.588884,
      94.880908,
      25.568180,
      94.896143,
      25.560366,
      94.844971,
      25.481845,
      94.782863,
      25.493907,
      94.751279,
      25.466217,
      94.686378,
      25.395509,
      94.635598,
      25.215810,
      94.577399,
      25.166590,
      94.638729,
      25.134950,
      94.737559,
      25.000860,
      94.737210,
      24.982667,
      94.703619,
      24.930192,
      94.713720,
      24.835094,
      94.633165,
      24.711173,
      94.606808,
      24.706968,
      94.546724,
      24.592670,
      94.509656,
      24.579991,
      94.478373
    ]);
    poly[2022] = _TzPolygon([
      25.835113,
      95.035226,
      25.935049,
      95.028974,
      25.974710,
      95.115358,
      26.069223,
      95.184705,
      26.104443,
      95.117405,
      26.213727,
      95.142011,
      26.236872,
      95.116229,
      26.383072,
      95.132925,
      26.393793,
      95.100873,
      26.417523,
      95.104095,
      26.452215,
      95.063196,
      26.517258,
      95.112706,
      26.543334,
      95.108018,
      26.582595,
      95.153134,
      26.614492,
      95.151914,
      26.680160,
      95.232527,
      26.650863,
      95.302841,
      26.702352,
      95.439743,
      26.806471,
      95.503694,
      26.830255,
      95.549764,
      26.813944,
      95.609250,
      26.904604,
      95.675992,
      26.889124,
      95.731969,
      27.014887,
      95.801580,
      27.014283,
      95.872701,
      27.047349,
      95.936967,
      25.835113,
      95.936967
    ]);
    poly[2023] = _TzPolygon([
      27.047349,
      95.936967,
      27.051943,
      95.945895,
      27.180012,
      96.022244,
      27.223630,
      96.090772,
      27.293635,
      96.314149,
      27.305025,
      96.433355,
      27.289244,
      96.526308,
      27.314043,
      96.581891,
      27.366823,
      96.610742,
      27.333826,
      96.663766,
      27.336200,
      96.666264,
      27.041050,
      96.666264,
      27.041050,
      95.936967
    ]);
    poly[2024] = _TzPolygon([
      28.246987,
      97.385162,
      28.240734,
      97.349728,
      28.214658,
      97.345948,
      28.233621,
      97.284507,
      28.246987,
      97.274264
    ]);
    poly[2025] = _TzPolygon([
      27.336200,
      96.666264,
      27.376638,
      96.708821,
      27.353945,
      96.781557,
      27.246286,
      96.888837,
      27.212076,
      96.856916,
      27.176336,
      96.890107,
      27.144812,
      97.010564,
      27.095707,
      97.076143,
      27.093329,
      97.148439,
      27.145857,
      97.173768,
      27.454908,
      96.915456,
      27.507154,
      96.934365,
      27.610912,
      96.898373,
      27.638361,
      96.941465,
      27.660776,
      96.937612,
      27.671163,
      96.994950,
      27.736620,
      97.027952,
      27.751902,
      97.074456,
      27.739111,
      97.102597,
      27.782800,
      97.103715,
      27.815355,
      97.173139,
      27.893805,
      97.255136,
      27.915822,
      97.303182,
      27.873168,
      97.360241,
      27.892064,
      97.379136,
      27.965321,
      97.363148,
      28.018519,
      97.394253,
      28.066631,
      97.354863,
      28.069860,
      97.306681,
      28.116881,
      97.344360,
      28.139665,
      97.325799,
      28.165617,
      97.361030,
      28.240734,
      97.349728,
      28.246987,
      97.395561,
      27.041050,
      97.395561,
      27.041050,
      96.666264
    ]);
    poly[2026] = _TzPolygon([
      11.823147,
      97.395561,
      11.823147,
      99.664904,
      11.727168,
      99.636262,
      11.688511,
      99.588087,
      11.626675,
      99.565462,
      11.636555,
      99.507804,
      11.615105,
      99.467844,
      11.533174,
      99.474400,
      11.480284,
      99.444274,
      11.461220,
      99.393728,
      11.389192,
      99.402298,
      11.316381,
      99.312387,
      11.282154,
      99.324582,
      11.214809,
      99.263630,
      11.109150,
      99.226479,
      11.082965,
      99.179428,
      11.043530,
      99.170953,
      11.013948,
      99.104527,
      10.955574,
      99.080294,
      10.947284,
      99.056712,
      10.970734,
      99.023852,
      10.911178,
      98.997743,
      10.856696,
      99.011490,
      10.811986,
      98.958806,
      10.825714,
      98.922846,
      10.779174,
      98.902322,
      10.776183,
      98.858861,
      10.684056,
      98.782738,
      10.620488,
      98.770790,
      10.592225,
      98.810739,
      10.558885,
      98.798438,
      10.528806,
      98.821788,
      10.469337,
      98.808882,
      10.393246,
      98.755470,
      10.213171,
      98.700197,
      10.161036,
      98.652320,
      9.943513,
      98.567210,
      9.924328,
      98.524336,
      9.957393,
      98.473350,
      9.942910,
      98.366360,
      9.750721,
      98.275237,
      9.565678,
      98.217698,
      9.439943,
      98.105916,
      9.574722,
      97.869444,
      9.609925,
      97.718892,
      9.807306,
      97.675665,
      10.411064,
      97.485179,
      10.625445,
      97.490568,
      11.047369,
      97.395561
    ]);
    poly[2027] = _TzPolygon([
      18.314450,
      97.548732,
      18.286171,
      97.536588,
      18.267440,
      97.501818,
      18.314450,
      97.461327
    ]);
    poly[2028] = _TzPolygon([
      11.823147,
      99.664904,
      11.833085,
      99.622011,
      11.868528,
      99.609965,
      11.872245,
      99.588009,
      11.992515,
      99.592249,
      12.016890,
      99.536520,
      12.066005,
      99.534100,
      12.144508,
      99.571294,
      12.131602,
      99.473312,
      12.197542,
      99.496395,
      12.234697,
      99.471003,
      12.273757,
      99.484465,
      12.342799,
      99.433841,
      12.407101,
      99.445888,
      12.459914,
      99.400994,
      12.581460,
      99.440483,
      12.677780,
      99.294581,
      12.715050,
      99.289497,
      12.726562,
      99.238627,
      12.822149,
      99.222138,
      12.845152,
      99.188630,
      12.911170,
      99.182534,
      12.928251,
      99.162256,
      12.952523,
      99.193562,
      12.990575,
      99.194853,
      13.072735,
      99.099511,
      13.097311,
      99.131147,
      13.194720,
      99.123292,
      13.208397,
      99.156626,
      13.193978,
      99.199820,
      13.255114,
      99.196364,
      13.261568,
      99.211641,
      13.291117,
      99.186935,
      13.413629,
      99.210314,
      13.445973,
      99.205916,
      13.445973,
      99.664904
    ]);
    poly[2029] = _TzPolygon([
      13.445973,
      99.664904,
      13.445973,
      99.205916,
      13.545019,
      99.192448,
      13.574239,
      99.163586,
      13.585750,
      99.178848,
      13.724119,
      99.168169,
      13.773030,
      99.121417,
      13.838055,
      99.099442,
      13.893235,
      99.107729,
      13.894047,
      99.077250,
      13.929294,
      99.059349,
      13.945622,
      99.020783,
      14.097369,
      98.958589,
      14.109090,
      98.899153,
      14.273762,
      98.699813,
      14.321671,
      98.601555,
      14.376196,
      98.593943,
      14.384916,
      98.564954,
      14.540626,
      98.491861,
      14.530862,
      98.461617,
      14.613089,
      98.437168,
      14.709828,
      98.323582,
      14.813849,
      98.253945,
      14.858468,
      98.259338,
      14.889879,
      98.229768,
      14.915984,
      98.250971,
      14.980466,
      98.208585,
      15.044423,
      98.231354,
      15.068799,
      98.208956,
      15.068799,
      99.664904
    ]);
    poly[2030] = _TzPolygon([
      15.068799,
      98.208956,
      15.096308,
      98.183678,
      15.182008,
      98.213371,
      15.234347,
      98.198120,
      15.223653,
      98.258612,
      15.280852,
      98.303820,
      15.313504,
      98.297712,
      15.254069,
      98.401447,
      15.272034,
      98.417544,
      15.301958,
      98.407348,
      15.301088,
      98.386146,
      15.308157,
      98.401664,
      15.334627,
      98.389589,
      15.365362,
      98.417070,
      15.368122,
      98.454956,
      15.383242,
      98.450069,
      15.371226,
      98.470938,
      15.389278,
      98.499970,
      15.336037,
      98.559624,
      15.471216,
      98.585365,
      15.685239,
      98.548287,
      15.864699,
      98.606818,
      15.068799,
      98.606818
    ]);
    poly[2031] = _TzPolygon([
      15.882899,
      98.606818,
      15.918138,
      98.584024,
      15.989157,
      98.605493,
      16.044881,
      98.562582,
      16.076158,
      98.589207,
      16.044570,
      98.606818
    ]);
    poly[2032] = _TzPolygon([
      16.523735,
      98.606818,
      16.558518,
      98.576837,
      16.631827,
      98.571442,
      16.644858,
      98.512037,
      16.691624,
      98.515558,
      16.691624,
      98.606818
    ]);
    poly[2033] = _TzPolygon([
      16.523735,
      98.606818,
      16.471461,
      98.651875,
      16.412478,
      98.637620,
      16.400038,
      98.656059,
      16.272014,
      98.674750,
      16.270791,
      98.703234,
      16.328758,
      98.726784,
      16.344059,
      98.777344,
      16.421918,
      98.829806,
      16.423026,
      98.881438,
      16.387257,
      98.917981,
      16.346804,
      98.909374,
      16.328888,
      98.931746,
      16.253732,
      98.902832,
      16.219575,
      98.851960,
      16.127866,
      98.848512,
      16.104573,
      98.805414,
      16.135718,
      98.699128,
      16.043846,
      98.627950,
      16.041887,
      98.608314,
      16.044570,
      98.606818
    ]);
    poly[2034] = _TzPolygon(
        [15.882899, 98.606818, 15.876798, 98.610764, 15.864699, 98.606818]);
    poly[2035] = _TzPolygon([
      16.691624,
      98.495319,
      16.714631,
      98.501907,
      16.712452,
      98.470939,
      16.730221,
      98.463173,
      16.789375,
      98.485280,
      16.813537,
      98.547435,
      16.842008,
      98.492142,
      16.858615,
      98.516192,
      16.880017,
      98.509220,
      16.861465,
      98.540143,
      16.917607,
      98.521514,
      16.936624,
      98.482610,
      16.947968,
      98.508494,
      17.053498,
      98.412521,
      17.064256,
      98.322956,
      17.092635,
      98.300223,
      17.110869,
      98.323378,
      17.107312,
      98.301807,
      17.127769,
      98.298604,
      17.115816,
      98.280058,
      17.147414,
      98.298509,
      17.151166,
      98.272397,
      17.172900,
      98.280533,
      17.182323,
      98.250225,
      17.210075,
      98.247722,
      17.204856,
      98.227909,
      17.226991,
      98.244217,
      17.228444,
      98.213592,
      17.320885,
      98.111621,
      17.385309,
      98.110399,
      17.390321,
      98.080095,
      17.503037,
      97.997649,
      17.503037,
      98.606818,
      16.691624,
      98.606818,
      16.691624,
      98.515558,
      16.694826,
      98.515799
    ]);
    poly[2036] = _TzPolygon([
      18.314450,
      97.622409,
      18.287669,
      97.639460,
      18.237887,
      97.609287,
      18.161708,
      97.675900,
      18.064137,
      97.681795,
      18.056607,
      97.707935,
      17.974620,
      97.737521,
      17.877783,
      97.672086,
      17.819156,
      97.699359,
      17.753014,
      97.774171,
      17.725482,
      97.762727,
      17.679361,
      97.793786,
      17.583600,
      97.906539,
      17.539461,
      97.923218,
      17.509875,
      97.992648,
      17.503037,
      97.997649,
      17.503037,
      97.548732,
      18.314450,
      97.548732
    ]);
    poly[2037] = _TzPolygon([
      17.500585,
      101.170080,
      17.469289,
      101.163443,
      17.479941,
      101.109919,
      17.509258,
      101.103229,
      17.502531,
      101.080055,
      17.545900,
      101.045057,
      17.571515,
      100.967550,
      17.699665,
      101.009010,
      17.761334,
      100.977389,
      17.784270,
      101.006612,
      17.820795,
      100.998623,
      17.833296,
      101.032137,
      17.892582,
      101.019764,
      17.951058,
      101.116703,
      18.000127,
      101.121620,
      18.050637,
      101.170080
    ]);
    poly[2038] = _TzPolygon(
        [18.100389, 101.170080, 18.123643, 101.160936, 18.149411, 101.170080]);
    poly[2039] = _TzPolygon([
      18.216924,
      101.170080,
      18.217731,
      101.165386,
      18.258599,
      101.144204,
      18.314450,
      101.170080
    ]);
    poly[2040] = _TzPolygon([
      18.487057,
      97.395561,
      18.389797,
      97.452062,
      18.330335,
      97.447645,
      18.314450,
      97.461327,
      18.314450,
      97.395561
    ]);
    poly[2041] = _TzPolygon([
      18.314450,
      97.548732,
      18.339370,
      97.559433,
      18.317873,
      97.620230,
      18.314450,
      97.622409
    ]);
    poly[2042] = _TzPolygon([
      18.554059,
      97.410440,
      18.554059,
      97.616000,
      18.539254,
      97.619865,
      18.529458,
      97.545967,
      18.491094,
      97.534386,
      18.511137,
      97.481755,
      18.495010,
      97.443973
    ]);
    poly[2043] = _TzPolygon([
      18.345556,
      101.170080,
      18.381081,
      101.084529,
      18.442121,
      101.054111,
      18.521494,
      101.103581,
      18.554059,
      101.170080
    ]);
    poly[2044] = _TzPolygon([
      18.565420,
      97.395561,
      18.566724,
      97.403248,
      18.554059,
      97.410440,
      18.554059,
      97.395561
    ]);
    poly[2045] = _TzPolygon([
      19.765675,
      97.410440,
      19.765675,
      98.029796,
      19.722110,
      98.024747,
      19.653547,
      98.044310,
      19.634383,
      97.972567,
      19.592673,
      97.960732,
      19.575830,
      97.861743,
      19.531425,
      97.855175,
      19.500610,
      97.888172,
      19.398389,
      97.785416,
      19.292874,
      97.842894,
      19.267459,
      97.782711,
      19.215869,
      97.845179,
      19.094955,
      97.837046,
      19.073236,
      97.768950,
      19.045025,
      97.768973,
      19.040482,
      97.735587,
      18.978735,
      97.738324,
      18.937917,
      97.665527,
      18.881642,
      97.741274,
      18.689190,
      97.774020,
      18.578813,
      97.769151,
      18.577232,
      97.651101,
      18.561216,
      97.614132,
      18.554059,
      97.616000,
      18.554059,
      97.410440
    ]);
    poly[2046] = _TzPolygon(
        [19.765675, 98.998217, 19.739085, 98.985646, 19.765675, 98.955211]);
    poly[2047] = _TzPolygon(
        [19.765675, 98.791713, 19.752790, 98.778854, 19.765675, 98.724606]);
    poly[2048] = _TzPolygon([
      19.765675,
      98.706440,
      19.715039,
      98.626229,
      19.715830,
      98.589957,
      19.672076,
      98.566032,
      19.717686,
      98.509193,
      19.692267,
      98.466019,
      19.704320,
      98.393100,
      19.676379,
      98.248528,
      19.727721,
      98.228817,
      19.765675,
      98.175483
    ]);
    poly[2049] = _TzPolygon([
      19.765675,
      98.029796,
      19.805544,
      98.034416,
      19.810341,
      98.083352,
      19.772087,
      98.100616,
      19.788187,
      98.135426,
      19.770799,
      98.168282,
      19.765675,
      98.175483
    ]);
    poly[2050] = _TzPolygon(
        [19.765675, 98.706440, 19.768810, 98.711406, 19.765675, 98.724606]);
    poly[2051] = _TzPolygon([
      19.765675,
      98.791713,
      19.813616,
      98.839557,
      19.765832,
      98.898418,
      19.768840,
      98.951588,
      19.765675,
      98.955211
    ]);
    poly[2052] = _TzPolygon([
      19.765675,
      98.998217,
      19.834402,
      99.030710,
      19.927170,
      99.021834,
      19.931267,
      99.042627,
      20.038265,
      99.044441,
      20.101131,
      99.076954,
      20.130889,
      99.210408,
      20.112047,
      99.290260,
      19.765675,
      99.290260
    ]);
    poly[2053] = _TzPolygon([
      19.765675,
      100.415652,
      19.765675,
      101.170080,
      19.575048,
      101.170080,
      19.572127,
      101.122800,
      19.628509,
      101.035342,
      19.634070,
      100.892793,
      19.487359,
      100.771432,
      19.511649,
      100.757572,
      19.556321,
      100.651837,
      19.548300,
      100.609302,
      19.498852,
      100.580467,
      19.523328,
      100.513037,
      19.548221,
      100.482411,
      19.609161,
      100.483217,
      19.627435,
      100.447487,
      19.672665,
      100.427875,
      19.707063,
      100.446054,
      19.752539,
      100.403966
    ]);
    poly[2054] = _TzPolygon([
      20.339271,
      100.230170,
      20.317744,
      100.221229,
      20.298123,
      100.167476,
      20.244671,
      100.167987,
      20.266008,
      100.093057,
      20.356719,
      100.084325,
      20.405480,
      100.123684,
      20.635278,
      100.175278,
      20.714614,
      100.230170
    ]);
    poly[2055] = _TzPolygon([
      20.977291,
      100.230170,
      20.714614,
      100.230170,
      20.635278,
      100.175278,
      20.405480,
      100.123684,
      20.352275,
      100.084653,
      20.389669,
      100.071602,
      20.412807,
      100.003539,
      20.464834,
      99.960332,
      20.446061,
      99.864971,
      20.337839,
      99.809146,
      20.350117,
      99.730143,
      20.316183,
      99.681463,
      20.392796,
      99.458410,
      20.362399,
      99.455749,
      20.325770,
      99.507097,
      20.233442,
      99.522577,
      20.205936,
      99.563785,
      20.147665,
      99.538597,
      20.151939,
      99.511783,
      20.116223,
      99.498172,
      20.086013,
      99.400595,
      20.112047,
      99.290260,
      20.977291,
      99.290260
    ]);
    poly[2056] = _TzPolygon([
      20.334956,
      100.230170,
      20.397732,
      100.264270,
      20.402032,
      100.313253,
      20.378548,
      100.354803,
      20.254927,
      100.413547,
      20.151016,
      100.507395,
      20.167794,
      100.578496,
      19.903365,
      100.520290,
      19.864583,
      100.496559,
      19.847301,
      100.449278,
      19.790989,
      100.438173,
      19.765675,
      100.415652,
      19.765675,
      100.230170
    ]);
    poly[2057] = _TzPolygon([
      20.977291,
      100.532688,
      20.893575,
      100.509165,
      20.870351,
      100.544072,
      20.898100,
      100.636768,
      20.881137,
      100.648635,
      20.824157,
      100.571344,
      20.826878,
      100.364427,
      20.751077,
      100.255399,
      20.714614,
      100.230170,
      20.977291,
      100.230170
    ]);
    poly[2058] = _TzPolygon([
      22.107437,
      99.290260,
      22.149641,
      99.167696,
      22.168091,
      99.156190,
      22.170969,
      99.198731,
      22.189999,
      99.173503,
      22.250360,
      99.235572,
      22.297027,
      99.233072,
      22.348694,
      99.278072,
      22.395361,
      99.251405,
      22.425306,
      99.290260
    ]);
    poly[2059] = _TzPolygon([
      23.104451,
      99.290260,
      23.079957,
      99.249202,
      23.111673,
      99.199819,
      23.091722,
      99.103167,
      23.124017,
      99.046753,
      23.173555,
      99.060871,
      23.162958,
      99.004816,
      23.182777,
      98.885252,
      23.309898,
      98.945180,
      23.335241,
      98.909543,
      23.329112,
      98.877183,
      23.354892,
      98.919659,
      23.400523,
      98.920465,
      23.400523,
      99.290260
    ]);
    poly[2060] = _TzPolygon([
      21.483982,
      100.230170,
      21.514659,
      100.201165,
      21.517128,
      100.178694,
      21.486052,
      100.168609,
      21.512179,
      100.125541,
      21.594986,
      100.107439,
      21.650071,
      100.172795,
      21.676818,
      100.162070,
      21.706749,
      100.096097,
      21.667486,
      100.050233,
      21.715713,
      99.984361,
      21.824938,
      99.943523,
      21.909611,
      99.959342,
      21.974482,
      99.998729,
      22.032611,
      99.959073,
      22.059284,
      99.971924,
      22.070693,
      99.879029,
      22.059555,
      99.862033,
      22.038811,
      99.878324,
      22.025993,
      99.854283,
      22.074374,
      99.742635,
      22.041522,
      99.700961,
      22.071669,
      99.696916,
      22.105598,
      99.651416,
      22.096759,
      99.613735,
      22.117868,
      99.561506,
      22.097414,
      99.525994,
      22.136471,
      99.476162,
      22.104112,
      99.433863,
      22.095241,
      99.325677,
      22.107437,
      99.290260,
      22.188907,
      99.290260,
      22.188907,
      100.230170
    ]);
    poly[2061] = _TzPolygon(
        [21.355308, 101.170080, 21.410884, 101.140995, 21.423272, 101.170080]);
    poly[2062] = _TzPolygon([
      21.483982,
      100.230170,
      22.188907,
      100.230170,
      22.188907,
      101.170080,
      21.565533,
      101.170080,
      21.572083,
      101.137691,
      21.605488,
      101.169940,
      21.670681,
      101.152507,
      21.693371,
      101.115115,
      21.776391,
      101.120590,
      21.776180,
      101.087588,
      21.707780,
      101.010327,
      21.687292,
      100.884602,
      21.619479,
      100.809949,
      21.570949,
      100.793560,
      21.571838,
      100.771201,
      21.479466,
      100.667791,
      21.451276,
      100.578987,
      21.472524,
      100.521285,
      21.458778,
      100.479613,
      21.541469,
      100.430930,
      21.531245,
      100.349484,
      21.481444,
      100.298794,
      21.466359,
      100.246832
    ]);
    poly[2063] = _TzPolygon([
      20.977291,
      100.532688,
      21.024666,
      100.545999,
      21.029198,
      100.596210,
      21.061526,
      100.637008,
      21.128462,
      100.673552,
      21.311915,
      100.724649,
      21.297881,
      100.829554,
      21.349681,
      100.886734,
      21.386294,
      100.999689,
      21.455032,
      101.058887,
      21.525099,
      101.162866,
      21.563792,
      101.149227,
      21.561410,
      101.170080,
      21.421150,
      101.170080,
      21.406848,
      101.141338,
      21.355555,
      101.170080,
      20.977291,
      101.170080
    ]);
    poly[2064] = _TzPolygon([
      23.104451,
      99.290260,
      23.137506,
      99.345670,
      23.082579,
      99.436665,
      23.084681,
      99.510494,
      23.054164,
      99.532587,
      22.996902,
      99.520050,
      22.933009,
      99.566030,
      22.900765,
      99.535410,
      22.942400,
      99.441191,
      22.847335,
      99.462111,
      22.829292,
      99.400871,
      22.764953,
      99.385422,
      22.739341,
      99.314749,
      22.587139,
      99.384739,
      22.537027,
      99.358905,
      22.496194,
      99.382239,
      22.425306,
      99.290260
    ]);
    poly[2065] = _TzPolygon([
      24.099593,
      98.350350,
      24.117468,
      98.224093,
      24.095110,
      98.108908,
      24.017638,
      97.901601,
      23.997887,
      97.883356,
      23.977780,
      97.895467,
      23.971833,
      97.820635,
      23.945694,
      97.813307,
      23.962911,
      97.813935,
      23.956493,
      97.793994,
      23.910851,
      97.764362,
      23.885122,
      97.705042,
      23.866481,
      97.709044,
      23.882419,
      97.683638,
      23.843530,
      97.645851,
      23.882993,
      97.632655,
      23.929391,
      97.528183,
      23.987311,
      97.575168,
      24.005013,
      97.628695,
      24.049326,
      97.632001,
      24.114825,
      97.730135,
      24.167548,
      97.752857,
      24.188166,
      97.728256,
      24.229883,
      97.729558,
      24.264250,
      97.769206,
      24.300979,
      97.719155,
      24.300187,
      97.666338,
      24.347432,
      97.667502,
      24.345461,
      97.702846,
      24.365456,
      97.716505,
      24.408847,
      97.675729,
      24.456352,
      97.669496,
      24.436703,
      97.528467,
      24.496669,
      97.556156,
      24.612139,
      97.569353,
      24.612139,
      98.350350
    ]);
    poly[2066] = _TzPolygon([
      24.099593,
      98.350350,
      24.098769,
      98.356172,
      24.131124,
      98.543513,
      24.082718,
      98.592825,
      24.107676,
      98.695880,
      24.130611,
      98.716587,
      24.131116,
      98.848414,
      24.155870,
      98.877342,
      24.110256,
      98.897954,
      24.066930,
      98.863608,
      24.026078,
      98.799159,
      24.029710,
      98.770194,
      23.972944,
      98.737976,
      23.987477,
      98.700409,
      23.963758,
      98.675456,
      23.940588,
      98.704659,
      23.913030,
      98.678472,
      23.842558,
      98.705071,
      23.806514,
      98.672154,
      23.771914,
      98.805295,
      23.642637,
      98.846187,
      23.617458,
      98.890889,
      23.539592,
      98.801806,
      23.483987,
      98.821329,
      23.488675,
      98.872726,
      23.420251,
      98.920813,
      23.400523,
      98.920465,
      23.400523,
      98.350350
    ]);
    poly[2067] = _TzPolygon([
      25.823755,
      98.511231,
      25.783886,
      98.475231,
      25.691454,
      98.460409,
      25.664022,
      98.410736,
      25.599410,
      98.402930,
      25.548659,
      98.315065,
      25.607295,
      98.253343,
      25.625569,
      98.167347,
      25.574000,
      98.188427,
      25.509605,
      98.124972,
      25.452827,
      98.157745,
      25.386988,
      98.137938,
      25.392859,
      98.100272,
      25.314768,
      98.070726,
      25.307108,
      98.012961,
      25.217615,
      97.944186,
      25.217988,
      97.904505,
      25.261668,
      97.875559,
      25.272700,
      97.839723,
      25.125187,
      97.778956,
      25.080543,
      97.744223,
      25.084203,
      97.720692,
      24.911828,
      97.729650,
      24.851520,
      97.797036,
      24.828418,
      97.765486,
      24.846118,
      97.702353,
      24.742020,
      97.546864,
      24.659310,
      97.574744,
      24.612139,
      97.564990,
      24.612139,
      97.410440,
      25.823755,
      97.410440
    ]);
    poly[2068] = _TzPolygon(
        [25.823755, 98.663677, 25.799809, 98.632280, 25.823755, 98.582114]);
    poly[2069] = _TzPolygon([
      27.035371,
      97.410440,
      27.035371,
      98.764691,
      27.021477,
      98.762994,
      27.005010,
      98.733194,
      26.883706,
      98.757905,
      26.854580,
      98.730998,
      26.802153,
      98.762343,
      26.712973,
      98.743020,
      26.693290,
      98.770522,
      26.605335,
      98.782209,
      26.565619,
      98.754003,
      26.354742,
      98.733901,
      26.279289,
      98.676517,
      26.242681,
      98.672412,
      26.241432,
      98.706246,
      26.189999,
      98.735917,
      26.153440,
      98.707872,
      26.130272,
      98.720174,
      26.091379,
      98.668338,
      26.147616,
      98.646658,
      26.132834,
      98.603035,
      26.146559,
      98.583874,
      26.121296,
      98.573048,
      25.973806,
      98.615685,
      25.977471,
      98.641927,
      25.941681,
      98.681657,
      25.855488,
      98.705283,
      25.823755,
      98.663677,
      25.823755,
      98.582114,
      25.847399,
      98.532580,
      25.823755,
      98.511231,
      25.823755,
      97.410440
    ]);
    poly[2070] = _TzPolygon([
      28.246987,
      98.014537,
      28.198078,
      98.019806,
      28.205488,
      98.080634,
      28.167161,
      98.096857,
      28.143137,
      98.140998,
      28.088519,
      98.160670,
      28.044708,
      98.137718,
      27.955816,
      98.139692,
      27.940842,
      98.190449,
      27.891913,
      98.206033,
      27.841591,
      98.172514,
      27.812861,
      98.224925,
      27.767241,
      98.217525,
      27.741558,
      98.245733,
      27.715765,
      98.222346,
      27.631959,
      98.301987,
      27.523120,
      98.317123,
      27.510932,
      98.376412,
      27.551534,
      98.428582,
      27.669042,
      98.441956,
      27.622724,
      98.527666,
      27.648581,
      98.557267,
      27.569094,
      98.589654,
      27.568398,
      98.646767,
      27.589873,
      98.664396,
      27.562826,
      98.704924,
      27.429448,
      98.686380,
      27.332113,
      98.741054,
      27.224131,
      98.723312,
      27.200040,
      98.691690,
      27.078241,
      98.711889,
      27.052123,
      98.766737,
      27.035371,
      98.764691,
      27.035371,
      97.410440,
      28.246987,
      97.410440
    ]);
    poly[2071] = _TzPolygon([
      30.597342,
      42.791612,
      31.111658,
      42.085599,
      31.373207,
      41.440726,
      31.948076,
      40.413254,
      31.979666,
      40.227580,
      31.979666,
      42.791612
    ]);
    poly[2072] = _TzPolygon([
      34.680299,
      40.227580,
      34.680299,
      41.144910,
      34.653705,
      41.122297,
      34.397851,
      40.978032,
      34.315105,
      40.640015,
      34.103351,
      40.227580
    ]);
    poly[2073] = _TzPolygon([
      34.680299,
      41.144910,
      34.778334,
      41.228272,
      35.132249,
      41.218105,
      35.384918,
      41.274922,
      35.456026,
      41.262175,
      35.625278,
      41.382038,
      35.843617,
      41.369412,
      36.059980,
      41.255821,
      36.366770,
      41.294872,
      36.524067,
      41.402112,
      36.587650,
      41.817194,
      37.055553,
      42.369192,
      37.115280,
      42.363053,
      37.145855,
      42.578834,
      37.266653,
      42.653791,
      37.291689,
      42.697579,
      37.308307,
      42.687920,
      37.318496,
      42.735289,
      37.380932,
      42.791612,
      34.680299,
      42.791612
    ]);
    poly[2074] = _TzPolygon([
      37.380932,
      40.227580,
      37.380932,
      42.791612,
      37.318496,
      42.735289,
      37.308307,
      42.687920,
      37.270873,
      42.682862,
      37.266653,
      42.653791,
      37.143621,
      42.570978,
      37.142159,
      42.464059,
      37.105265,
      42.351505,
      37.185396,
      42.320605,
      37.232439,
      42.342724,
      37.281470,
      42.284124,
      37.280519,
      42.204832,
      37.313467,
      42.225894,
      37.318459,
      42.206951,
      37.182048,
      42.034918,
      37.077947,
      41.517546,
      37.079639,
      41.265687,
      37.061883,
      41.218055,
      37.094743,
      41.163581,
      37.131735,
      40.914284,
      37.106798,
      40.834597,
      37.127807,
      40.766029,
      37.028384,
      40.530910,
      37.015392,
      40.413103,
      36.962806,
      40.356638,
      36.899584,
      40.227580
    ]);
    poly[2075] = _TzPolygon([
      29.062039,
      46.900321,
      29.100273,
      46.552684,
      29.437013,
      46.866769,
      29.494846,
      46.900321
    ]);
    poly[2076] = _TzPolygon([
      30.597342,
      42.791612,
      29.196033,
      44.715219,
      29.058566,
      46.424535,
      29.100045,
      46.563121,
      29.062615,
      46.900321,
      28.246987,
      46.900321,
      28.246987,
      42.791612
    ]);
    poly[2077] = _TzPolygon([
      32.623826,
      46.900321,
      32.631954,
      46.887238,
      32.785960,
      46.720615,
      32.813960,
      46.644937,
      32.813960,
      46.900321
    ]);
    poly[2078] = _TzPolygon([
      29.062615,
      46.900321,
      28.999917,
      47.465167,
      28.835613,
      47.584698,
      28.654889,
      47.605374,
      28.543086,
      47.709038,
      28.524362,
      47.704461,
      28.534354,
      48.430564,
      28.672689,
      48.669444,
      28.622032,
      48.696519,
      28.451704,
      48.954676,
      28.246987,
      48.954676,
      28.246987,
      46.900321
    ]);
    poly[2079] = _TzPolygon([
      29.494846,
      46.900321,
      29.663422,
      46.998122,
      29.722137,
      47.006949,
      29.986796,
      47.139357,
      30.028350,
      47.189553,
      30.103808,
      47.411187,
      30.103693,
      47.707604,
      29.989910,
      48.011689,
      30.027877,
      48.068133,
      30.024583,
      48.154833,
      29.852676,
      48.414122,
      29.666637,
      48.592031,
      29.571623,
      48.539464,
      29.502482,
      48.623116,
      29.431302,
      48.663747,
      29.388730,
      48.663738,
      29.388730,
      46.900321
    ]);
    poly[2080] = _TzPolygon([
      29.754585,
      48.954676,
      29.747704,
      48.854465,
      29.811784,
      48.826035,
      29.996255,
      48.456059,
      30.072500,
      48.438333,
      30.123195,
      48.382750,
      30.170565,
      48.415957,
      30.211389,
      48.408056,
      30.336087,
      48.272733,
      30.320577,
      48.202733,
      30.435120,
      48.151161,
      30.477347,
      48.024415,
      30.530473,
      48.025212,
      30.530473,
      48.954676
    ]);
    poly[2081] = _TzPolygon([
      28.933279,
      48.954676,
      28.876990,
      48.994547,
      28.806071,
      49.004681,
      28.788821,
      48.954676
    ]);
    poly[2082] = _TzPolygon([
      28.451704,
      48.954676,
      28.334350,
      49.132542,
      28.246987,
      49.195075,
      28.246987,
      48.954676
    ]);
    poly[2083] = _TzPolygon([
      32.623826,
      46.900321,
      32.457281,
      47.168401,
      32.463729,
      47.247204,
      32.496125,
      47.285872,
      32.473212,
      47.379567,
      32.391316,
      47.465348,
      32.351867,
      47.435256,
      32.314316,
      47.463140,
      32.304516,
      47.519494,
      32.277875,
      47.499849,
      32.214263,
      47.570527,
      32.170546,
      47.527892,
      32.141752,
      47.529201,
      32.112076,
      47.565708,
      32.109142,
      47.613738,
      32.018185,
      47.682828,
      32.018895,
      47.712418,
      31.939258,
      47.731711,
      31.881373,
      47.809860,
      31.842578,
      47.805337,
      31.818223,
      47.852568,
      31.783613,
      47.865855,
      31.394609,
      47.682971,
      31.002957,
      47.687388,
      30.995374,
      48.032190,
      30.530473,
      48.025212,
      30.530473,
      46.900321
    ]);
    poly[2084] = _TzPolygon([
      32.813960,
      46.644937,
      32.822218,
      46.622615,
      32.933275,
      46.447421,
      32.972447,
      46.266369,
      32.955131,
      46.159405,
      32.981680,
      46.096511,
      33.019813,
      46.099162,
      33.020975,
      46.129911,
      33.069428,
      46.164625,
      33.094539,
      46.040370,
      33.128255,
      46.053174,
      33.117080,
      46.125454,
      33.197072,
      46.212346,
      33.206344,
      46.180584,
      33.263970,
      46.189827,
      33.351755,
      46.080962,
      33.507810,
      46.007252,
      33.481894,
      45.939491,
      33.493148,
      45.863003,
      33.561330,
      45.961002,
      33.606284,
      45.905254,
      33.638097,
      45.907062,
      33.628415,
      45.814716,
      33.592917,
      45.753165,
      33.636936,
      45.771670,
      33.733966,
      45.642104,
      33.772000,
      45.643764,
      33.945574,
      45.511585,
      33.945556,
      45.431545,
      33.955703,
      45.423900,
      33.955703,
      46.900321,
      32.813960,
      46.900321
    ]);
    poly[2085] = _TzPolygon([
      33.955703,
      45.423900,
      33.977255,
      45.407661,
      34.009822,
      45.466848,
      34.075608,
      45.473516,
      34.146130,
      45.581594,
      34.195116,
      45.554874,
      34.302663,
      45.583566,
      34.352107,
      45.538075,
      34.336867,
      45.496178,
      34.453823,
      45.439841,
      34.480982,
      45.521255,
      34.599875,
      45.529074,
      34.549889,
      45.594687,
      34.559577,
      45.683472,
      34.538035,
      45.743204,
      34.693772,
      45.702625,
      34.723110,
      45.653259,
      34.770020,
      45.698760,
      34.815711,
      45.689876,
      34.853026,
      45.792074,
      34.912296,
      45.788431,
      34.896328,
      45.865040,
      34.959992,
      45.897312,
      35.031513,
      45.876525,
      35.045347,
      45.930795,
      35.095489,
      45.921987,
      35.037953,
      46.059426,
      35.083131,
      46.071919,
      35.074065,
      46.116562,
      35.097446,
      46.164011,
      35.097446,
      46.900321,
      33.955703,
      46.900321
    ]);
    poly[2086] = _TzPolygon(
        [36.786863, 44.845967, 36.797129, 44.836814, 36.815504, 44.845967]);
    poly[2087] = _TzPolygon([
      37.046556,
      44.845967,
      37.044148,
      44.807265,
      37.112879,
      44.749666,
      37.145086,
      44.784929,
      37.228341,
      44.757568,
      37.278060,
      44.814586,
      37.310113,
      44.799184,
      37.380932,
      44.686200,
      37.380932,
      44.845967
    ]);
    poly[2088] = _TzPolygon([
      37.380932,
      44.686200,
      37.310113,
      44.799184,
      37.278060,
      44.814586,
      37.228341,
      44.757568,
      37.143850,
      44.784306,
      37.166539,
      44.764031,
      37.189440,
      44.625370,
      37.074089,
      44.466789,
      37.052264,
      44.358602,
      37.024644,
      44.367333,
      36.962705,
      44.309523,
      36.982849,
      44.251091,
      37.097863,
      44.185120,
      37.159512,
      44.224026,
      37.166074,
      44.277951,
      37.244400,
      44.268368,
      37.322719,
      44.126128,
      37.327790,
      44.018485,
      37.292179,
      43.954750,
      37.224773,
      43.919411,
      37.224408,
      43.854262,
      37.193085,
      43.830395,
      37.229100,
      43.789677,
      37.235255,
      43.689132,
      37.217217,
      43.642527,
      37.257579,
      43.565950,
      37.242385,
      43.498498,
      37.327591,
      43.361088,
      37.303705,
      43.301488,
      37.372451,
      43.147827,
      37.355927,
      43.022714,
      37.312218,
      42.959152,
      37.343684,
      42.835983,
      37.380932,
      42.791612
    ]);
    poly[2089] = _TzPolygon([
      35.097446,
      46.164011,
      35.110888,
      46.191291,
      35.128999,
      46.155059,
      35.159001,
      46.154758,
      35.201229,
      46.201247,
      35.228359,
      46.177792,
      35.241129,
      46.108403,
      35.284223,
      46.158538,
      35.312972,
      46.145457,
      35.368768,
      46.067567,
      35.496023,
      45.985425,
      35.520698,
      46.017991,
      35.584696,
      45.973302,
      35.577581,
      46.030089,
      35.634401,
      45.992997,
      35.678707,
      46.009149,
      35.706728,
      46.042465,
      35.688964,
      46.165081,
      35.722322,
      46.199560,
      35.728866,
      46.277041,
      35.763349,
      46.333321,
      35.801026,
      46.345923,
      35.835867,
      46.294615,
      35.794952,
      46.212274,
      35.812492,
      46.183814,
      35.800110,
      46.167360,
      35.843527,
      46.137288,
      35.858430,
      46.078562,
      35.834468,
      46.024647,
      35.843593,
      45.964013,
      35.822803,
      45.954344,
      35.837649,
      45.896036,
      35.811362,
      45.874868,
      35.827039,
      45.800380,
      35.799014,
      45.763701,
      35.926916,
      45.665625,
      36.001954,
      45.550300,
      35.998965,
      45.439923,
      35.966995,
      45.393380,
      35.978578,
      45.348510,
      36.084180,
      45.381363,
      36.139867,
      45.327046,
      36.214017,
      45.330546,
      36.239189,
      45.288929,
      36.239189,
      46.900321,
      35.097446,
      46.900321
    ]);
    poly[2090] = _TzPolygon([
      37.047274,
      44.845967,
      37.047090,
      44.854548,
      37.009779,
      44.905552,
      36.954349,
      44.882687,
      36.917009,
      44.912415,
      36.861410,
      44.903699,
      36.821071,
      44.845967
    ]);
    poly[2091] = _TzPolygon([
      36.778777,
      44.845967,
      36.785928,
      44.940179,
      36.749348,
      44.972409,
      36.740471,
      45.030589,
      36.689456,
      45.065388,
      36.630243,
      45.070777,
      36.603375,
      45.026986,
      36.564951,
      45.038814,
      36.551637,
      45.004416,
      36.524238,
      45.007866,
      36.506649,
      45.053896,
      36.430530,
      45.078198,
      36.405762,
      45.113700,
      36.434102,
      45.236530,
      36.393518,
      45.272404,
      36.336817,
      45.283314,
      36.301289,
      45.260964,
      36.273747,
      45.304553,
      36.253206,
      45.265754,
      36.239189,
      45.288929,
      36.239189,
      44.845967
    ]);
    poly[2092] = _TzPolygon([
      39.025131,
      42.751408,
      39.025131,
      44.210055,
      39.020950,
      44.211677,
      38.991791,
      44.171794,
      38.890557,
      44.211352,
      38.850682,
      44.245308,
      38.840802,
      44.300988,
      38.808795,
      44.314820,
      38.718334,
      44.254067,
      38.674969,
      44.282641,
      38.646248,
      44.272119,
      38.624092,
      44.321620,
      38.502081,
      44.325460,
      38.447229,
      44.301938,
      38.408606,
      44.319832,
      38.394168,
      44.299987,
      38.358592,
      44.379645,
      38.385492,
      44.449371,
      38.341260,
      44.512531,
      38.303696,
      44.492951,
      38.252000,
      44.402269,
      38.146443,
      44.392693,
      38.134994,
      44.351181,
      38.103909,
      44.364509,
      38.072894,
      44.311362,
      37.965056,
      44.240713,
      37.888239,
      44.222746,
      37.867305,
      44.267398,
      37.862511,
      44.388189,
      37.823061,
      44.394447,
      37.799449,
      44.423753,
      37.806585,
      44.448377,
      37.770917,
      44.444951,
      37.780626,
      44.554572,
      37.727020,
      44.620623,
      37.644762,
      44.568160,
      37.602176,
      44.614409,
      37.447606,
      44.579829,
      37.380932,
      44.686200,
      37.380932,
      42.751408
    ]);
    poly[2093] = _TzPolygon([
      40.023626,
      44.013323,
      40.021017,
      43.899416,
      40.112514,
      43.656498,
      40.145699,
      43.650799,
      40.171895,
      43.712843,
      40.224885,
      43.653100,
      40.226645,
      43.683711,
      40.257339,
      43.682808,
      40.272422,
      43.640942,
      40.345129,
      43.590814,
      40.421507,
      43.619721,
      40.476895,
      43.542128,
      40.519285,
      43.634371,
      40.537878,
      43.628445,
      40.531252,
      43.649929,
      40.561738,
      43.643398,
      40.669330,
      43.740823,
      40.669330,
      44.013323
    ]);
    poly[2094] = _TzPolygon([
      39.025131,
      44.210055,
      39.074591,
      44.190867,
      39.095050,
      44.225910,
      39.130305,
      44.213566,
      39.204492,
      44.097257,
      39.256022,
      44.084307,
      39.284297,
      44.108060,
      39.371726,
      44.031891,
      39.412343,
      44.071089,
      39.405409,
      44.130105,
      39.389644,
      44.130141,
      39.415536,
      44.233122,
      39.375258,
      44.295200,
      39.411604,
      44.421957,
      39.442725,
      44.432857,
      39.471149,
      44.408434,
      39.505069,
      44.440367,
      39.556440,
      44.416204,
      39.610424,
      44.480148,
      39.684102,
      44.467197,
      39.782462,
      44.614695,
      39.733274,
      44.644280,
      39.025131,
      44.644280
    ]);
    poly[2095] = _TzPolygon([
      39.808827,
      44.644280,
      39.824441,
      44.594536,
      39.847231,
      44.592837,
      39.847231,
      44.644280
    ]);
    poly[2096] = _TzPolygon([
      39.733274,
      44.644280,
      39.727355,
      44.647840,
      39.714278,
      44.715083,
      39.611270,
      44.821914,
      39.615209,
      44.875520,
      39.593006,
      44.876025,
      39.605233,
      44.897206,
      39.525071,
      44.909772,
      39.492169,
      44.951850,
      39.459659,
      44.939928,
      39.448774,
      44.977180,
      39.421043,
      44.965144,
      39.351247,
      45.086704,
      39.286835,
      45.117819,
      39.284471,
      45.141981,
      39.216351,
      45.152932,
      39.185600,
      45.247630,
      39.192868,
      45.275237,
      39.025131,
      45.275237,
      39.025131,
      44.644280
    ]);
    poly[2097] = _TzPolygon([
      39.808827,
      44.644280,
      39.847231,
      44.644280,
      39.847231,
      45.275237,
      39.611903,
      45.275237,
      39.611675,
      45.242876,
      39.581857,
      45.212880,
      39.592005,
      45.173031,
      39.683366,
      45.184631,
      39.794381,
      45.061139,
      39.726422,
      44.942261,
      39.748416,
      44.885973,
      39.713879,
      44.753021,
      39.743669,
      44.744352,
      39.773091,
      44.686467,
      39.793083,
      44.694437
    ]);
    poly[2098] = _TzPolygon([
      39.808827,
      44.644280,
      39.793083,
      44.694437,
      39.772025,
      44.687348,
      39.743669,
      44.744352,
      39.651666,
      44.817664,
      39.627336,
      44.809380,
      39.714278,
      44.715083,
      39.718140,
      44.661749,
      39.742020,
      44.644280
    ]);
    poly[2099] = _TzPolygon([
      40.023626,
      44.013323,
      40.027285,
      44.173051,
      40.049075,
      44.248381,
      40.027217,
      44.351827,
      39.966288,
      44.481351,
      39.859107,
      44.591951,
      39.847231,
      44.592837,
      39.847231,
      44.013323
    ]);
  }
}

class _Initializer22 {
  static void _init() {
    poly[2100] = _TzPolygon([
      39.025131,
      45.443681,
      39.025131,
      46.092430,
      38.889445,
      46.149708,
      38.844518,
      46.140676,
      38.887439,
      46.065420,
      38.871889,
      46.012005,
      38.896593,
      45.944522,
      38.873917,
      45.908708,
      38.924928,
      45.797997,
      38.951495,
      45.692446,
      38.941417,
      45.615871,
      38.978503,
      45.581898,
      38.964590,
      45.543958,
      38.990536,
      45.454951,
      39.011778,
      45.436890
    ]);
    poly[2101] = _TzPolygon([
      39.025131,
      46.539626,
      39.025131,
      46.746706,
      39.019030,
      46.696938,
      38.954091,
      46.654977,
      38.867172,
      46.533983,
      38.948209,
      46.506531
    ]);
    poly[2102] = _TzPolygon([
      39.025131,
      46.092626,
      39.025131,
      46.539626,
      38.948209,
      46.506531,
      38.867172,
      46.533983,
      38.888907,
      46.522600,
      38.899007,
      46.453500,
      38.883022,
      46.421044,
      38.916363,
      46.339259,
      38.840478,
      46.173374,
      38.844518,
      46.140676,
      38.894901,
      46.148068
    ]);
    poly[2103] = _TzPolygon([
      39.192868,
      45.275237,
      39.201626,
      45.308499,
      39.185903,
      45.327581,
      39.166023,
      45.304240,
      39.170574,
      45.349781,
      39.126394,
      45.354688,
      39.051128,
      45.456903,
      39.025131,
      45.443681,
      39.025131,
      45.275237
    ]);
    poly[2104] = _TzPolygon([
      39.326389,
      45.906194,
      39.369119,
      45.792722,
      39.429265,
      45.804581,
      39.461046,
      45.841082,
      39.585277,
      45.779551,
      39.603034,
      45.693920,
      39.563254,
      45.623305,
      39.567888,
      45.577867,
      39.490769,
      45.471794,
      39.524110,
      45.435163,
      39.563448,
      45.311289,
      39.612118,
      45.305639,
      39.611903,
      45.275237,
      39.847231,
      45.275237,
      39.847231,
      45.815792,
      39.825988,
      45.826132,
      39.805334,
      45.906194
    ]);
    poly[2105] = _TzPolygon([
      39.025131,
      46.092626,
      39.079991,
      46.069271,
      39.107621,
      46.019254,
      39.212331,
      45.987822,
      39.291637,
      45.998481,
      39.326389,
      45.906194,
      39.805334,
      45.906194,
      39.786869,
      45.977769,
      39.690754,
      46.057510,
      39.650763,
      46.155131,
      39.579264,
      46.177663,
      39.602041,
      46.196187,
      39.638714,
      46.357066,
      39.619554,
      46.371070,
      39.630787,
      46.412690,
      39.568946,
      46.430498,
      39.586773,
      46.488792,
      39.577552,
      46.537151,
      39.539518,
      46.537151,
      39.515611,
      46.498966,
      39.468964,
      46.536867,
      39.483349,
      46.484608,
      39.447693,
      46.454414,
      39.455501,
      46.392003,
      39.401556,
      46.385252,
      39.339509,
      46.447889,
      39.339855,
      46.508225,
      39.284858,
      46.537151,
      39.159562,
      46.537151,
      39.192231,
      46.527628,
      39.189919,
      46.431962,
      39.154375,
      46.440414,
      39.150286,
      46.496462,
      39.133737,
      46.483736,
      39.083784,
      46.536658,
      39.062938,
      46.516138,
      39.059828,
      46.537151,
      39.025131,
      46.537151
    ]);
    poly[2106] = _TzPolygon([
      39.847231,
      45.815792,
      39.903019,
      45.788635,
      39.935632,
      45.799461,
      39.974090,
      45.611250,
      40.010486,
      45.603132,
      40.033846,
      45.679783,
      40.029233,
      45.788393,
      39.990065,
      45.833815,
      40.020892,
      45.880513,
      40.104232,
      45.903958,
      40.120023,
      45.960983,
      40.222580,
      45.978003,
      40.254339,
      45.933561,
      40.251671,
      45.955084,
      40.275736,
      45.959516,
      40.368407,
      45.648971,
      40.430672,
      45.589736,
      40.428400,
      45.559397,
      40.499607,
      45.452834,
      40.541295,
      45.430769,
      40.579706,
      45.460537,
      40.599224,
      45.406008,
      40.654781,
      45.363278,
      40.669330,
      45.367189,
      40.669330,
      46.537151,
      39.847231,
      46.537151
    ]);
    poly[2107] = _TzPolygon([
      39.025131,
      46.746706,
      39.025914,
      46.753093,
      39.137497,
      46.839019,
      39.164729,
      46.925544,
      39.140358,
      46.962495,
      39.167001,
      47.019110,
      39.263621,
      47.081402,
      39.369194,
      47.315114,
      39.469119,
      47.395017,
      39.513775,
      47.562937,
      39.606023,
      47.752969,
      39.651113,
      47.799065,
      39.025131,
      47.799065
    ]);
    poly[2108] = _TzPolygon([
      39.577552,
      46.537151,
      39.571998,
      46.566278,
      39.528674,
      46.588273,
      39.546394,
      46.548134,
      39.539518,
      46.537151
    ]);
    poly[2109] = _TzPolygon([
      39.284858,
      46.537151,
      39.254832,
      46.552943,
      39.230912,
      46.633309,
      39.215281,
      46.573519,
      39.201178,
      46.586860,
      39.159562,
      46.537151
    ]);
    poly[2110] = _TzPolygon([
      39.059828,
      46.537151,
      39.057407,
      46.553513,
      39.025131,
      46.539626,
      39.025131,
      46.537151
    ]);
    poly[2111] = _TzPolygon([
      39.651113,
      47.799065,
      40.669330,
      47.799065,
      40.669330,
      50.070291,
      40.597907,
      50.322893,
      40.172981,
      50.322893,
      40.183356,
      50.057847,
      40.143834,
      49.918756,
      40.063914,
      49.798949,
      39.904019,
      49.711007,
      38.408387,
      49.212399,
      38.451748,
      48.791324,
      38.411121,
      48.738303,
      38.392955,
      48.662272,
      38.417360,
      48.601878,
      38.547000,
      48.505508,
      38.557199,
      48.468563,
      38.607688,
      48.459293,
      38.607500,
      48.309915,
      38.647319,
      48.294942,
      38.661908,
      48.252657,
      38.726096,
      48.249156,
      38.769881,
      48.107310,
      38.837890,
      48.020703,
      38.907306,
      48.010270,
      38.910937,
      48.069265,
      38.946951,
      48.088235,
      38.967302,
      48.270753,
      39.021166,
      48.333223,
      39.108527,
      48.307793,
      39.129665,
      48.234979,
      39.162744,
      48.218415,
      39.198255,
      48.150283,
      39.271376,
      48.129773,
      39.329108,
      48.211001,
      39.379836,
      48.368622,
      39.692528,
      48.032058,
      39.709146,
      47.985606,
      39.661500,
      47.917423,
      39.659190,
      47.807322
    ]);
    poly[2112] = _TzPolygon([
      42.127880,
      41.385500,
      42.127880,
      42.688258,
      41.598792,
      42.688258,
      41.584851,
      42.600945,
      41.509911,
      42.572898,
      41.472079,
      42.512774,
      41.436706,
      42.520234,
      41.438447,
      42.448301,
      41.492769,
      42.284952,
      41.490924,
      42.205382,
      41.514602,
      42.178230,
      41.493946,
      42.040660,
      41.523300,
      41.955316,
      41.430572,
      41.823607,
      41.461247,
      41.786880,
      41.474495,
      41.707818,
      41.496232,
      41.709758,
      41.487231,
      41.633678,
      41.612000,
      41.299440,
      41.700911,
      41.343394,
      41.823957,
      41.487249,
      41.892822,
      41.507682
    ]);
    poly[2113] = _TzPolygon([
      43.171668,
      42.688258,
      43.169946,
      42.681628,
      43.136019,
      42.666535,
      43.212929,
      42.457196,
      43.256982,
      42.413776,
      43.210923,
      42.295232,
      43.230982,
      42.216194,
      43.187034,
      42.045440,
      43.217094,
      42.019139,
      43.202526,
      41.958836,
      43.249848,
      41.885093,
      43.202038,
      41.803944,
      43.243901,
      41.725773,
      43.219854,
      41.699554,
      43.237763,
      41.658119,
      43.220990,
      41.614239,
      43.315553,
      41.422981,
      43.366229,
      41.393641,
      43.337043,
      41.291003,
      43.403334,
      41.152642,
      43.404079,
      41.105347,
      43.385163,
      41.096373,
      43.432222,
      41.004295,
      43.419725,
      40.949938,
      43.457140,
      40.893329,
      43.489335,
      40.891521,
      43.487960,
      40.827833,
      43.563048,
      40.661776,
      43.519058,
      40.564559,
      43.586187,
      40.259604,
      43.582185,
      40.227580,
      43.586429,
      40.227580,
      43.586429,
      42.688258
    ]);
    poly[2114] = _TzPolygon([
      40.669330,
      43.740823,
      40.675804,
      43.746685,
      40.730889,
      43.748312,
      40.847517,
      43.677006,
      40.936657,
      43.671597,
      40.993311,
      43.577764,
      41.016163,
      43.484099,
      41.098814,
      43.447140,
      41.119722,
      43.458633,
      41.144491,
      43.557838,
      41.109326,
      43.750739,
      41.160883,
      43.841351,
      41.163353,
      43.918596,
      40.669330,
      43.918596
    ]);
    poly[2115] = _TzPolygon([
      41.586620,
      42.688258,
      41.589683,
      42.839422,
      41.495777,
      42.802390,
      41.470554,
      42.851401,
      41.500300,
      42.900942,
      41.375661,
      43.018652,
      41.357131,
      43.096154,
      41.318730,
      43.135427,
      41.306231,
      43.212594,
      41.253476,
      43.127956,
      41.253988,
      43.194366,
      41.172344,
      43.229621,
      41.203384,
      43.367357,
      41.176399,
      43.448480,
      41.123038,
      43.474145,
      41.098814,
      43.447140,
      41.030615,
      43.468408,
      40.930283,
      43.676128,
      40.847517,
      43.677006,
      40.740698,
      43.745247,
      40.675804,
      43.746685,
      40.669330,
      43.740823,
      40.669330,
      42.688258
    ]);
    poly[2116] = _TzPolygon([
      41.096437,
      45.008951,
      41.067490,
      45.046337,
      41.034012,
      45.011947,
      41.073798,
      44.955002
    ]);
    poly[2117] = _TzPolygon([
      41.087647,
      45.148935,
      41.094733,
      45.130869,
      41.049498,
      45.115030,
      41.053510,
      45.065520,
      41.119885,
      45.098948,
      41.120197,
      45.148935
    ]);
    poly[2118] = _TzPolygon([
      41.191154,
      45.148935,
      41.208620,
      45.125032,
      41.190910,
      45.099097,
      41.196237,
      45.029124,
      41.246234,
      45.063008,
      41.296467,
      45.013817,
      41.390475,
      45.148935
    ]);
    poly[2119] = _TzPolygon([
      41.395372,
      45.148935,
      41.341451,
      45.098172,
      41.256597,
      44.960267,
      41.274613,
      44.850244,
      41.299943,
      44.817236,
      41.237935,
      44.814433,
      41.221149,
      44.892308,
      41.203822,
      44.883541,
      41.229959,
      44.794266,
      41.203382,
      44.727455,
      41.225168,
      44.727052,
      41.223182,
      44.681788,
      41.240394,
      44.688257,
      41.240631,
      44.611455,
      41.192784,
      44.595251,
      41.212449,
      44.578287,
      41.190767,
      44.543894,
      41.226188,
      44.533665,
      41.180882,
      44.465167,
      41.231581,
      44.356063,
      41.202535,
      44.343912,
      41.247143,
      44.180083,
      41.189045,
      44.162065,
      41.202468,
      44.086531,
      41.164791,
      43.963562,
      41.163353,
      43.918596,
      42.127880,
      43.918596,
      42.127880,
      45.148935
    ]);
    poly[2120] = _TzPolygon([
      43.171668,
      42.688258,
      43.586429,
      42.688258,
      43.586429,
      45.148935,
      42.707000,
      45.148935,
      42.692800,
      45.038047,
      42.746414,
      44.975738,
      42.747044,
      44.887471,
      42.617159,
      44.829035,
      42.614730,
      44.803788,
      42.642795,
      44.766573,
      42.727412,
      44.741342,
      42.755910,
      44.679969,
      42.744751,
      44.580175,
      42.766391,
      44.552487,
      42.736198,
      44.499928,
      42.696941,
      44.518111,
      42.722771,
      44.316867,
      42.680859,
      44.249127,
      42.626686,
      44.231850,
      42.597196,
      44.021778,
      42.550357,
      43.944886,
      42.598672,
      43.838703,
      42.588780,
      43.770458,
      42.631954,
      43.715305,
      42.720725,
      43.807533,
      42.757934,
      43.779227,
      42.813681,
      43.608910,
      42.867706,
      43.561047,
      42.899134,
      43.389892,
      42.890121,
      43.334799,
      42.914819,
      43.317549,
      42.937613,
      43.186296,
      43.000289,
      43.112833,
      43.029871,
      43.035035,
      43.071149,
      43.015619,
      43.090764,
      43.041231,
      43.124097,
      42.927467,
      43.148414,
      42.932116,
      43.153537,
      42.881110,
      43.178558,
      42.860267,
      43.166253,
      42.815983,
      43.187689,
      42.749937
    ]);
    poly[2121] = _TzPolygon([
      41.104637,
      46.379274,
      41.105434,
      46.369577,
      41.190013,
      46.279127,
      41.177856,
      45.953168,
      41.221987,
      45.805790,
      41.297772,
      45.700654,
      41.351846,
      45.759996,
      41.375977,
      45.576732,
      41.398605,
      45.567561,
      41.398605,
      46.379274
    ]);
    poly[2122] = _TzPolygon(
        [41.398605, 45.151978, 41.395372, 45.148935, 41.398605, 45.148935]);
    poly[2123] = _TzPolygon([
      41.193975,
      45.148935,
      41.161580,
      45.201809,
      41.120379,
      45.178161,
      41.120197,
      45.148935
    ]);
    poly[2124] = _TzPolygon([
      41.087647,
      45.148935,
      41.081910,
      45.163562,
      41.049877,
      45.166279,
      41.004131,
      45.257720,
      41.038344,
      45.287947,
      41.000453,
      45.318726,
      41.021751,
      45.423996,
      40.958789,
      45.422269,
      40.968790,
      45.454002,
      40.924073,
      45.481250,
      40.921182,
      45.516906,
      40.878868,
      45.557863,
      40.882484,
      45.601848,
      40.850683,
      45.607953,
      40.774541,
      45.545623,
      40.745960,
      45.428894,
      40.696602,
      45.391757,
      40.710044,
      45.378765,
      40.669330,
      45.367355,
      40.669330,
      45.148935
    ]);
    poly[2125] = _TzPolygon([
      41.398605,
      45.160620,
      41.467336,
      45.259407,
      41.472646,
      45.311372,
      41.427380,
      45.391266,
      41.455921,
      45.461213,
      41.407136,
      45.564103,
      41.398605,
      45.567561
    ]);
    poly[2126] = _TzPolygon([
      41.478490,
      46.379274,
      41.499605,
      46.332613,
      41.571852,
      46.297418,
      41.569397,
      46.344157,
      41.609505,
      46.323022,
      41.599548,
      46.280764,
      41.635183,
      46.263875,
      41.595358,
      46.240296,
      41.626859,
      46.192294,
      41.661163,
      46.208668,
      41.713576,
      46.178144,
      41.769822,
      46.201766,
      41.756061,
      46.242069,
      41.775669,
      46.304449,
      41.830275,
      46.379274
    ]);
    poly[2127] = _TzPolygon([
      41.942151,
      46.379274,
      41.946056,
      46.338853,
      41.929270,
      46.320048,
      41.945439,
      46.282439,
      42.016045,
      46.236954,
      41.990153,
      46.159265,
      42.007740,
      46.133048,
      41.986029,
      46.106290,
      42.040610,
      46.073375,
      42.019917,
      46.040485,
      42.045341,
      45.987334,
      42.024081,
      45.957576,
      42.031844,
      45.927299,
      42.106486,
      45.896377,
      42.102069,
      45.786030,
      42.127880,
      45.744799,
      42.127880,
      46.379274
    ]);
    poly[2128] = _TzPolygon([
      41.398605,
      46.379274,
      41.398605,
      46.554806,
      41.378366,
      46.620217,
      41.390362,
      46.631628,
      41.373822,
      46.650902,
      41.359895,
      46.624319,
      41.351996,
      46.647690,
      41.370600,
      46.659199,
      41.350557,
      46.649160,
      41.284486,
      46.736537,
      41.203126,
      46.657213,
      41.101710,
      46.639629,
      41.112671,
      46.550118,
      41.055292,
      46.492599,
      41.098167,
      46.457967,
      41.104637,
      46.379274
    ]);
    poly[2129] = _TzPolygon([
      41.398605,
      47.231732,
      41.398605,
      47.609613,
      41.229157,
      47.609613,
      41.198026,
      47.557588,
      41.228227,
      47.503240,
      41.268275,
      47.498423,
      41.262298,
      47.408240,
      41.307790,
      47.300412,
      41.339302,
      47.257882,
      41.395542,
      47.259442
    ]);
    poly[2130] = _TzPolygon([
      41.478490,
      46.379274,
      41.470255,
      46.397472,
      41.481684,
      46.410522,
      41.413162,
      46.507758,
      41.398605,
      46.554806,
      41.398605,
      46.379274
    ]);
    poly[2131] = _TzPolygon([
      41.942151,
      46.379274,
      41.940196,
      46.399514,
      41.913005,
      46.426389,
      41.844283,
      46.398727,
      41.830125,
      46.379274
    ]);
    poly[2132] = _TzPolygon([
      41.398605,
      47.231732,
      41.400038,
      47.218765,
      41.446348,
      47.242125,
      41.498662,
      47.159444,
      41.527044,
      47.171622,
      41.550821,
      47.128996,
      41.595287,
      47.113360,
      41.554795,
      47.066202,
      41.555875,
      47.018572,
      41.599794,
      46.990689,
      41.627448,
      47.012304,
      41.676574,
      46.927476,
      41.727006,
      46.913199,
      41.720263,
      46.866316,
      41.773827,
      46.790753,
      41.862527,
      46.760249,
      41.847467,
      46.716299,
      41.828415,
      46.721793,
      41.834323,
      46.624588,
      41.802598,
      46.584325,
      41.881067,
      46.536096,
      41.863784,
      46.442946,
      41.940196,
      46.399514,
      41.942151,
      46.379274,
      42.127880,
      46.379274,
      42.127880,
      47.609613,
      41.398605,
      47.609613
    ]);
    poly[2133] = _TzPolygon([
      42.707000,
      45.148935,
      42.708165,
      45.158036,
      42.605752,
      45.257467,
      42.606938,
      45.285032,
      42.522576,
      45.341616,
      42.551894,
      45.417998,
      42.534989,
      45.493319,
      42.548291,
      45.571561,
      42.505841,
      45.613658,
      42.505736,
      45.684992,
      42.475768,
      45.722616,
      42.488494,
      45.775450,
      42.428526,
      45.774590,
      42.378317,
      45.734701,
      42.309294,
      45.753474,
      42.288985,
      45.721866,
      42.292216,
      45.652429,
      42.212182,
      45.608441,
      42.165305,
      45.719662,
      42.127880,
      45.758941,
      42.127880,
      45.148935
    ]);
    poly[2134] = _TzPolygon([
      41.229157,
      47.609613,
      41.236403,
      47.621722,
      41.226005,
      47.701108,
      41.192579,
      47.727810,
      41.185097,
      47.783264,
      41.219239,
      47.810505,
      41.233225,
      47.900438,
      41.291869,
      47.892864,
      41.320793,
      47.968963,
      41.351601,
      47.950274,
      41.355721,
      47.991339,
      41.424659,
      48.007592,
      41.457513,
      48.063734,
      41.492288,
      48.064789,
      41.516933,
      48.224276,
      41.591014,
      48.377344,
      41.838479,
      48.585877,
      41.950295,
      48.814096,
      40.845453,
      49.716852,
      40.749936,
      49.851247,
      40.702822,
      49.951838,
      40.669330,
      50.070291,
      40.669330,
      47.609613
    ]);
    poly[2135] = _TzPolygon([
      29.423578,
      62.851652,
      29.389587,
      62.471042,
      29.858546,
      60.872855,
      30.832577,
      61.801624,
      30.933259,
      61.785528,
      30.974099,
      61.834702,
      31.036451,
      61.839035,
      31.145579,
      61.809933,
      31.145579,
      62.851652
    ]);
    poly[2136] = _TzPolygon([
      28.246987,
      62.788931,
      28.278904,
      62.792961,
      28.248420,
      62.597191,
      28.322855,
      62.512278,
      28.373405,
      62.488771,
      28.432248,
      62.389486,
      28.510134,
      62.043906,
      28.564377,
      61.910018,
      28.802927,
      61.645572,
      29.010222,
      61.533361,
      29.023639,
      61.478861,
      29.061686,
      61.507259,
      29.090872,
      61.471443,
      29.123403,
      61.474371,
      29.135652,
      61.420823,
      29.199095,
      61.430218,
      29.275983,
      61.352909,
      29.321058,
      61.372156,
      29.378458,
      61.360123,
      29.395202,
      61.308947,
      29.533339,
      61.162524,
      29.858546,
      60.872855,
      29.389587,
      62.471042,
      29.423578,
      62.851652,
      28.246987,
      62.851652
    ]);
    poly[2137] = _TzPolygon([
      29.423578,
      62.851652,
      29.457643,
      63.233081,
      29.451997,
      63.346918,
      29.467570,
      63.347572,
      29.487106,
      63.576675,
      29.407714,
      64.052650,
      29.377200,
      64.115128,
      29.390538,
      64.159644,
      29.410677,
      64.170194,
      29.436666,
      64.142133,
      29.483358,
      64.178735,
      29.484809,
      64.231242,
      29.522074,
      64.263398,
      29.548244,
      64.449829,
      29.587937,
      64.542940,
      29.529430,
      65.065071,
      29.571231,
      65.220176,
      28.246987,
      65.220176,
      28.246987,
      62.851652
    ]);
    poly[2138] = _TzPolygon([
      34.044171,
      60.534987,
      33.805444,
      60.582214,
      33.731410,
      60.546894,
      33.640030,
      60.551464,
      33.597023,
      60.581277,
      33.545520,
      60.703418,
      33.539967,
      60.902795,
      33.513494,
      60.945904,
      33.482001,
      60.850923,
      33.421487,
      60.866484,
      33.228141,
      60.634055,
      33.129905,
      60.583378,
      32.695856,
      60.709581,
      32.481295,
      60.814771,
      32.197736,
      60.882921,
      32.026539,
      60.815967,
      31.979859,
      60.832519,
      31.708701,
      60.813484,
      31.486519,
      60.856057,
      31.375896,
      61.706667,
      31.302269,
      61.778385,
      31.206259,
      61.771631,
      31.165779,
      61.804546,
      31.145579,
      61.809933,
      31.145579,
      60.483127,
      34.044171,
      60.483127
    ]);
    poly[2139] = _TzPolygon([
      31.145579,
      65.220176,
      31.145579,
      66.712330,
      31.076517,
      66.692050,
      30.976688,
      66.578383,
      30.940610,
      66.391919,
      30.568913,
      66.278044,
      30.499956,
      66.308417,
      30.483640,
      66.356252,
      30.445405,
      66.338968,
      30.420800,
      66.366896,
      30.356898,
      66.333737,
      30.227168,
      66.318740,
      30.068711,
      66.228933,
      29.971093,
      66.373474,
      29.857321,
      66.266802,
      29.571750,
      65.220176
    ]);
    poly[2140] = _TzPolygon([
      31.145579,
      66.712330,
      31.209123,
      66.730989,
      31.209906,
      66.796456,
      31.264787,
      66.834046,
      31.307978,
      66.955901,
      31.311869,
      67.038312,
      31.286350,
      67.058781,
      31.237200,
      67.023900,
      31.213860,
      67.070040,
      31.248366,
      67.155187,
      31.198280,
      67.277810,
      31.231530,
      67.484080,
      31.260791,
      67.588701,
      31.145579,
      67.588701
    ]);
    poly[2141] = _TzPolygon(
        [31.485431, 67.588701, 31.523220, 67.567780, 31.526167, 67.588701]);
    poly[2142] = _TzPolygon([
      32.594875,
      67.588701,
      32.594875,
      69.408404,
      32.559990,
      69.383460,
      32.529230,
      69.278210,
      32.457670,
      69.237800,
      32.344540,
      69.282000,
      32.156710,
      69.270270,
      31.925345,
      69.331159,
      31.919250,
      69.288440,
      31.855450,
      69.199880,
      31.700880,
      69.116590,
      31.629250,
      69.019910,
      31.648990,
      68.959900,
      31.601950,
      68.927330,
      31.593420,
      68.856160,
      31.622380,
      68.789790,
      31.660500,
      68.783400,
      31.695260,
      68.727750,
      31.770890,
      68.708550,
      31.777810,
      68.642900,
      31.834240,
      68.575520,
      31.763120,
      68.433050,
      31.753100,
      68.591120,
      31.713150,
      68.543990,
      31.755646,
      68.427311,
      31.756950,
      68.279460,
      31.784020,
      68.254270,
      31.803260,
      68.265530,
      31.817000,
      68.179370,
      31.835320,
      68.171030,
      31.696020,
      68.070380,
      31.644740,
      67.984610,
      31.623790,
      67.857510,
      31.513290,
      67.714410,
      31.533320,
      67.639470,
      31.526167,
      67.588701
    ]);
    poly[2143] = _TzPolygon([
      31.485431,
      67.588701,
      31.449090,
      67.608820,
      31.426210,
      67.599520,
      31.396733,
      67.636605,
      31.416490,
      67.749900,
      31.399870,
      67.785690,
      31.344100,
      67.792660,
      31.322040,
      67.772830,
      31.326970,
      67.722010,
      31.277580,
      67.648730,
      31.260791,
      67.588701
    ]);
    poly[2144] = _TzPolygon([
      32.594875,
      69.408404,
      32.658290,
      69.453750,
      32.729310,
      69.441940,
      32.770090,
      69.387630,
      32.800990,
      69.407240,
      32.803970,
      69.441200,
      32.854910,
      69.469420,
      32.875050,
      69.546670,
      32.885920,
      69.496310,
      33.020680,
      69.496280,
      33.102910,
      69.582480,
      33.089640,
      69.710630,
      33.132380,
      69.795090,
      33.093920,
      69.876710,
      33.103250,
      69.925060,
      33.131750,
      69.939330,
      33.133221,
      69.957225,
      32.594875,
      69.957225
    ]);
    poly[2145] = _TzPolygon([
      33.798521,
      69.957225,
      33.833730,
      69.948897,
      33.850620,
      69.916000,
      33.897090,
      69.910090,
      33.924740,
      69.858600,
      33.967330,
      69.861360,
      33.987020,
      69.903360,
      34.019530,
      69.888710,
      34.039700,
      69.904700,
      34.044171,
      69.957225
    ]);
    poly[2146] = _TzPolygon([
      38.285000,
      56.756389,
      38.240556,
      56.613889,
      38.266111,
      56.546667,
      38.258611,
      56.436389,
      38.179072,
      56.318521,
      38.117164,
      56.352079,
      38.077250,
      56.335248,
      38.072222,
      56.216111,
      38.095000,
      56.164444,
      38.078333,
      55.962500,
      38.125278,
      55.756111,
      38.086111,
      55.442778,
      37.979289,
      55.227130,
      37.947307,
      55.201510,
      37.949200,
      55.127656,
      37.842963,
      55.023323,
      37.745694,
      54.840213,
      37.634340,
      54.782755,
      37.606230,
      54.815248,
      37.525489,
      54.792515,
      37.437055,
      54.673668,
      37.460031,
      54.586762,
      37.360700,
      54.397660,
      37.351769,
      54.285193,
      37.319986,
      54.244678,
      37.347357,
      53.896656,
      37.379052,
      53.846353,
      37.707811,
      53.721830,
      37.896217,
      53.707258,
      38.285000,
      53.746366
    ]);
    poly[2147] = _TzPolygon([
      36.999454,
      60.056598,
      37.020764,
      60.043069,
      37.051446,
      59.899529,
      37.125350,
      59.771848,
      37.107780,
      59.747405,
      37.141220,
      59.678999,
      37.119237,
      59.643399,
      37.136204,
      59.552541,
      37.177568,
      59.551731,
      37.214775,
      59.474738,
      37.248484,
      59.483426,
      37.317303,
      59.396898,
      37.407590,
      59.377877,
      37.435774,
      59.411345,
      37.449746,
      59.381421,
      37.479137,
      59.392131,
      37.528416,
      59.353479,
      37.512050,
      59.229250,
      37.630000,
      59.060278,
      37.669167,
      58.876389,
      37.703611,
      58.822778,
      37.666944,
      58.804444,
      37.648611,
      58.712778,
      37.705833,
      58.550000,
      37.647778,
      58.498056,
      37.626985,
      58.388434,
      37.661107,
      58.359651,
      37.684037,
      58.227047,
      37.771096,
      58.208303,
      37.793617,
      58.155062,
      37.805903,
      58.027855,
      37.870762,
      57.891577,
      37.863247,
      57.825474,
      37.899553,
      57.795835,
      37.921856,
      57.720368,
      37.938042,
      57.579624,
      37.919263,
      57.512192,
      37.939167,
      57.450278,
      37.989444,
      57.353056,
      38.093056,
      57.371111,
      38.280455,
      57.216285,
      38.284178,
      57.183675,
      38.199444,
      57.076111,
      38.187190,
      57.012233,
      38.214344,
      56.991999,
      38.229900,
      56.840471,
      38.285000,
      56.756389,
      38.285000,
      60.056598
    ]);
    poly[2148] = _TzPolygon([
      35.104378,
      60.056598,
      35.104378,
      61.140094,
      35.080611,
      61.145771,
      35.073975,
      61.117421,
      35.024205,
      61.099702,
      35.003515,
      61.121625,
      34.904862,
      61.055943,
      34.844264,
      61.075061,
      34.709217,
      61.002802,
      34.642976,
      61.000798,
      34.619758,
      60.984492,
      34.623018,
      60.922214,
      34.567260,
      60.897272,
      34.542077,
      60.848650,
      34.518086,
      60.739083,
      34.471653,
      60.809274,
      34.368448,
      60.849631,
      34.304756,
      60.918373,
      34.310708,
      60.686496,
      34.272504,
      60.669490,
      34.189086,
      60.562629,
      34.106511,
      60.522654,
      34.044171,
      60.534987,
      34.044171,
      60.056598
    ]);
    poly[2149] = _TzPolygon([
      35.420965,
      61.706702,
      35.436950,
      61.587758,
      35.553135,
      61.401033,
      35.623664,
      61.373303,
      35.624908,
      61.322042,
      35.595938,
      61.292468,
      35.650690,
      61.226226,
      35.683253,
      61.216236,
      35.717500,
      61.246389,
      35.813333,
      61.261944,
      35.897222,
      61.245000,
      35.962131,
      61.117168,
      35.995278,
      61.170000,
      36.035278,
      61.164722,
      36.117590,
      61.230976,
      36.127745,
      61.210608,
      36.164585,
      61.215584,
      36.164585,
      61.706702
    ]);
    poly[2150] = _TzPolygon([
      35.104378,
      61.140094,
      35.135873,
      61.132570,
      35.164807,
      61.087117,
      35.209644,
      61.117854,
      35.263737,
      61.091775,
      35.292865,
      61.190296,
      35.399592,
      61.187459,
      35.421655,
      61.227161,
      35.520278,
      61.277778,
      35.604842,
      61.274095,
      35.595337,
      61.302521,
      35.624908,
      61.322042,
      35.623664,
      61.373303,
      35.553135,
      61.401033,
      35.436950,
      61.587758,
      35.420965,
      61.706702,
      35.104378,
      61.706702
    ]);
    poly[2151] = _TzPolygon([
      35.420965,
      61.706702,
      35.411173,
      61.779568,
      35.454013,
      61.968227,
      35.434420,
      62.064280,
      35.340903,
      62.153722,
      35.295160,
      62.266188,
      35.129093,
      62.305539,
      35.278924,
      62.477560,
      35.273665,
      62.525005,
      35.220716,
      62.577663,
      35.236578,
      62.608839,
      35.207930,
      62.627865,
      35.251289,
      62.742761,
      35.301161,
      62.785671,
      35.299828,
      62.824116,
      35.380841,
      62.935826,
      35.401247,
      63.023329,
      35.418558,
      63.015108,
      35.417985,
      63.099102,
      35.543220,
      63.130245,
      35.549355,
      63.106185,
      35.618425,
      63.094889,
      35.681239,
      63.248616,
      35.815826,
      63.099184,
      35.873787,
      63.123149,
      35.882045,
      63.314127,
      35.921482,
      63.330105,
      35.888410,
      63.356807,
      34.044171,
      63.356807,
      34.044171,
      61.706702
    ]);
    poly[2152] = _TzPolygon([
      36.999454,
      60.056598,
      36.924466,
      60.104204,
      36.757210,
      60.266905,
      36.629394,
      60.345542,
      36.622212,
      60.675221,
      36.646493,
      61.146194,
      36.564321,
      61.186003,
      36.507402,
      61.156877,
      36.464163,
      61.175758,
      36.392778,
      61.142500,
      36.317480,
      61.149169,
      36.192308,
      61.219328,
      36.164585,
      61.215584,
      36.164585,
      60.056598
    ]);
    poly[2153] = _TzPolygon([
      36.164585,
      63.356807,
      36.164585,
      64.291227,
      36.151517,
      64.283844,
      36.163019,
      64.169781,
      36.129387,
      64.093274,
      36.102161,
      64.057833,
      35.997294,
      64.068541,
      36.036334,
      63.989178,
      35.951438,
      63.570691,
      35.903273,
      63.535379,
      35.870873,
      63.370966,
      35.888410,
      63.356807
    ]);
    poly[2154] = _TzPolygon([
      36.164585,
      64.291227,
      36.208557,
      64.316071,
      36.242727,
      64.445229,
      36.290021,
      64.507568,
      36.351645,
      64.579957,
      36.442278,
      64.636311,
      36.636619,
      64.618501,
      36.921782,
      64.797659,
      37.112644,
      64.755260,
      37.218185,
      64.989773,
      37.221620,
      65.006912,
      36.164585,
      65.006912
    ]);
    poly[2155] = _TzPolygon([
      37.221620,
      65.006912,
      37.246796,
      65.132543,
      37.233406,
      65.273338,
      37.290377,
      65.420888,
      37.294595,
      65.511732,
      37.539654,
      65.703970,
      37.549630,
      65.767910,
      37.499848,
      65.818266,
      37.441667,
      66.062222,
      37.378065,
      66.139056,
      37.356111,
      66.246111,
      37.320160,
      66.306764,
      37.319247,
      66.430999,
      37.369872,
      66.583730,
      37.323028,
      66.655365,
      37.324534,
      66.657016,
      36.164585,
      66.657016,
      36.164585,
      65.006912
    ]);
    poly[2156] = _TzPolygon([
      37.325423,
      66.657016,
      37.322985,
      66.654269,
      37.368724,
      66.593677,
      37.355385,
      66.554138,
      37.375126,
      66.521635,
      37.443696,
      66.584419,
      37.506115,
      66.572738,
      37.537888,
      66.527658,
      37.791774,
      66.548225,
      37.868478,
      66.606795,
      37.897579,
      66.657016
    ]);
    poly[2157] = _TzPolygon([
      37.980545,
      66.657016,
      38.029453,
      66.527914,
      38.032964,
      66.391743,
      38.107358,
      66.272364,
      38.155255,
      66.248011,
      38.157085,
      66.166478,
      38.226971,
      66.029466,
      38.227815,
      65.977576,
      38.276930,
      65.913045,
      38.274352,
      65.854533,
      38.249960,
      65.837890,
      38.285000,
      65.572439,
      38.285000,
      66.657016
    ]);
    poly[2158] = _TzPolygon([
      37.224793,
      67.813137,
      37.224793,
      68.307120,
      37.107926,
      68.307120,
      37.108333,
      68.294722,
      37.012222,
      68.275000,
      37.020556,
      68.187222,
      36.928611,
      68.051389,
      36.925278,
      68.015556,
      37.061389,
      67.885556,
      37.101667,
      67.778889
    ]);
    poly[2159] = _TzPolygon(
        [37.224793, 67.232739, 37.224793, 67.383494, 37.182116, 67.270036]);
    poly[2160] = _TzPolygon(
        [37.224793, 67.803339, 37.186826, 67.789194, 37.224793, 67.654513]);
    poly[2161] = _TzPolygon(
        [37.224793, 67.580547, 37.218385, 67.565980, 37.224793, 67.558050]);
    poly[2162] = _TzPolygon([
      37.978922,
      66.657016,
      37.956638,
      66.689518,
      37.914946,
      66.686986,
      37.897579,
      66.657016
    ]);
    poly[2163] = _TzPolygon([
      37.224793,
      67.813137,
      37.328564,
      67.842002,
      37.418203,
      67.790161,
      37.638421,
      67.863391,
      37.623375,
      67.924351,
      37.687529,
      67.994469,
      37.807891,
      68.080717,
      37.930615,
      68.129847,
      37.932837,
      68.221645,
      37.909136,
      68.268103,
      37.999287,
      68.288833,
      38.015891,
      68.307120,
      37.224793,
      68.307120
    ]);
    poly[2164] = _TzPolygon([
      38.252406,
      68.307120,
      38.255669,
      68.302392,
      38.285000,
      68.296645,
      38.285000,
      68.307120
    ]);
    poly[2165] = _TzPolygon([
      37.324534,
      66.657016,
      37.357019,
      66.692621,
      37.353490,
      66.851211,
      37.398494,
      66.947482,
      37.372518,
      67.059192,
      37.328109,
      67.112035,
      37.284801,
      67.110703,
      37.243864,
      67.223629,
      37.224793,
      67.234258,
      37.224793,
      66.657016
    ]);
    poly[2166] = _TzPolygon(
        [37.224793, 67.415805, 37.269596, 67.502605, 37.224793, 67.558050]);
    poly[2167] = _TzPolygon(
        [37.224793, 67.576460, 37.237767, 67.597679, 37.224793, 67.684737]);
    poly[2168] = _TzPolygon([
      37.107926,
      68.307120,
      37.104444,
      68.413056,
      37.145000,
      68.406111,
      37.134133,
      68.449275,
      37.198447,
      68.617004,
      37.243892,
      68.646203,
      37.245064,
      68.675196,
      37.275556,
      68.671389,
      37.277222,
      68.758333,
      37.245000,
      68.821667,
      37.318056,
      68.806667,
      37.327222,
      68.831389,
      37.275556,
      68.919444,
      37.338611,
      68.887778,
      37.307778,
      68.999722,
      37.184708,
      69.109081,
      37.093410,
      69.256209,
      37.166427,
      69.401887,
      37.250717,
      69.470427,
      37.245857,
      69.425158,
      37.399815,
      69.364403,
      37.588085,
      69.523798,
      37.569540,
      69.622666,
      37.592275,
      69.755342,
      37.568508,
      69.814215,
      37.603555,
      69.841430,
      37.614444,
      69.905833,
      37.608061,
      69.940723,
      37.568336,
      69.957225,
      36.164585,
      69.957225,
      36.164585,
      68.307120
    ]);
    poly[2169] = _TzPolygon([
      38.252406,
      68.307120,
      38.234297,
      68.333358,
      38.245836,
      68.370790,
      38.180743,
      68.405344,
      38.084515,
      68.377070,
      38.016951,
      68.307120
    ]);
    poly[2170] = _TzPolygon([
      43.544881,
      51.009030,
      43.586429,
      51.009030,
      43.586429,
      55.999916,
      41.324280,
      56.001792,
      41.331786,
      55.876714,
      41.278338,
      55.811717,
      41.302058,
      55.743336,
      41.279493,
      55.727086,
      41.282813,
      55.635610,
      41.246392,
      55.603316,
      41.294407,
      55.567019,
      41.259293,
      55.542728,
      41.251587,
      55.499612,
      41.293220,
      55.414691,
      41.337222,
      55.398313,
      41.390882,
      55.315465,
      41.604653,
      55.119606,
      41.810219,
      54.964006,
      41.906308,
      54.952115,
      42.052549,
      54.779482,
      42.379087,
      54.217810,
      42.288924,
      53.570558,
      42.121175,
      52.984788,
      41.761967,
      52.449984,
      41.719338,
      52.335076,
      41.724447,
      52.259144,
      42.117106,
      52.229019,
      42.212153,
      52.258633,
      42.469697,
      52.440644,
      42.601758,
      52.392847,
      42.650800,
      52.195397,
      42.695872,
      51.836542,
      42.757403,
      51.737094,
      42.967481,
      51.557783,
      43.003889,
      51.262286,
      43.051450,
      51.132642,
      43.160703,
      51.071017,
      43.450783,
      51.096811
    ]);
    poly[2171] = _TzPolygon([
      41.272621,
      56.882133,
      41.324280,
      56.001792,
      43.586429,
      55.999244,
      43.586429,
      56.882133
    ]);
    poly[2172] = _TzPolygon([
      43.586429,
      58.350409,
      42.667659,
      58.350409,
      42.685237,
      58.281239,
      42.621285,
      58.156345,
      42.548264,
      58.306485,
      42.486270,
      58.350409,
      42.424364,
      58.350409,
      42.448089,
      58.323433,
      42.470498,
      58.198874,
      42.443525,
      58.133509,
      42.488900,
      58.125806,
      42.504153,
      58.040189,
      42.484241,
      57.977184,
      42.426079,
      57.966785,
      42.460533,
      57.929929,
      42.450988,
      57.910299,
      42.371631,
      57.947305,
      42.254784,
      57.932386,
      42.236301,
      57.911105,
      42.246292,
      57.847205,
      42.174942,
      57.854209,
      42.181271,
      57.769200,
      42.149051,
      57.659687,
      42.174080,
      57.521701,
      42.157750,
      57.367358,
      42.094418,
      57.238309,
      41.943589,
      57.129975,
      41.898282,
      57.003863,
      41.804566,
      56.967575,
      41.672356,
      56.972199,
      41.567730,
      57.025021,
      41.445867,
      57.031635,
      41.374897,
      57.086548,
      41.384323,
      57.148548,
      41.369377,
      57.158672,
      41.321788,
      57.070756,
      41.263215,
      57.042415,
      41.272621,
      56.882133,
      43.586429,
      56.882133
    ]);
    poly[2173] = _TzPolygon([
      42.274724,
      59.818685,
      42.272034,
      59.811597,
      42.297398,
      59.613893,
      42.281383,
      59.566804,
      42.292651,
      59.434330,
      42.325777,
      59.417410,
      42.388709,
      59.275754,
      42.429242,
      59.270299,
      42.530826,
      59.171906,
      42.527025,
      59.014606,
      42.797427,
      58.626941,
      42.726279,
      58.653716,
      42.703658,
      58.612137,
      42.644311,
      58.589894,
      42.636955,
      58.471226,
      42.667659,
      58.350409,
      43.586429,
      58.350409,
      43.586429,
      59.818685
    ]);
    poly[2174] = _TzPolygon([
      42.486270,
      58.350409,
      42.379870,
      58.425795,
      42.321515,
      58.521808,
      42.273308,
      58.520222,
      42.295183,
      58.450355,
      42.287175,
      58.395217,
      42.398668,
      58.379626,
      42.424364,
      58.350409
    ]);
    poly[2175] = _TzPolygon([
      39.806350,
      62.755236,
      39.951394,
      62.487949,
      39.991101,
      62.442658,
      40.099281,
      62.396497,
      40.173507,
      62.413784,
      40.317929,
      62.391480,
      40.374947,
      62.334573,
      40.438297,
      62.349460,
      40.508515,
      62.207718,
      40.596107,
      62.113073,
      40.836943,
      61.985688,
      40.935715,
      61.993412,
      40.935715,
      62.755236
    ]);
    poly[2176] = _TzPolygon([
      42.274724,
      59.818685,
      42.302191,
      59.891067,
      42.231505,
      59.954866,
      42.212923,
      60.012781,
      42.164915,
      60.015266,
      42.179192,
      59.967144,
      42.143940,
      59.949870,
      42.090152,
      60.048295,
      42.026695,
      60.040884,
      41.991172,
      60.010607,
      42.012252,
      59.927824,
      41.961735,
      59.936628,
      41.940132,
      59.971640,
      41.950358,
      60.024821,
      41.910869,
      60.039897,
      41.903498,
      60.104061,
      41.768371,
      60.325800,
      41.752274,
      60.297919,
      41.811083,
      60.092081,
      41.766049,
      60.057298,
      41.591358,
      60.178993,
      41.542131,
      60.103908,
      41.434836,
      60.076917,
      41.337202,
      60.230022,
      41.217479,
      60.491466,
      41.258588,
      60.766867,
      41.243241,
      61.000462,
      41.222658,
      61.029796,
      41.269236,
      61.033531,
      41.214726,
      61.082444,
      41.230105,
      61.090418,
      41.190227,
      61.128608,
      41.145333,
      61.240384,
      41.147812,
      61.330455,
      41.214647,
      61.408450,
      41.287813,
      61.408498,
      41.286728,
      61.481034,
      41.261550,
      61.545410,
      41.264988,
      61.626885,
      41.231434,
      61.649934,
      41.116201,
      61.875208,
      41.053418,
      61.900956,
      41.027358,
      61.963734,
      40.973536,
      61.996369,
      40.935715,
      61.993412,
      40.935715,
      59.818685
    ]);
    poly[2177] = _TzPolygon(
        [43.586429, 62.755236, 43.505401, 62.004055, 43.586429, 61.906615]);
    poly[2178] = _TzPolygon([
      38.285000,
      65.572439,
      38.289316,
      65.539742,
      38.502563,
      65.171182,
      38.605740,
      65.037461,
      38.670817,
      64.897027,
      38.683030,
      64.820451,
      38.846787,
      64.524809,
      38.976735,
      64.354852,
      38.961860,
      64.181194,
      39.053419,
      64.008669,
      39.223866,
      63.705149,
      39.272439,
      63.694214,
      39.412189,
      63.430607,
      39.445390,
      63.420414,
      39.806350,
      62.755236,
      39.806350,
      65.572439
    ]);
    poly[2179] = _TzPolygon(
        [43.586429, 64.572848, 43.570687, 64.534861, 43.586429, 64.161720]);
    poly[2180] = _TzPolygon([
      43.269525,
      65.572439,
      43.289475,
      65.559258,
      43.495162,
      65.184862,
      43.586429,
      65.109147,
      43.586429,
      65.572439
    ]);
    poly[2181] = _TzPolygon([
      39.015382,
      67.764832,
      39.000560,
      67.703800,
      39.065805,
      67.670752,
      39.146438,
      67.677154,
      39.144577,
      67.635513,
      39.188339,
      67.584182,
      39.186571,
      67.499270,
      39.231673,
      67.342953,
      39.262466,
      67.364174,
      39.304229,
      67.333278,
      39.322948,
      67.474024,
      39.462721,
      67.464543,
      39.533435,
      67.401923,
      39.531307,
      67.468711,
      39.550232,
      67.443928,
      39.578618,
      67.452171,
      39.600811,
      67.627561,
      39.659658,
      67.707976,
      39.639918,
      67.760789,
      39.642048,
      67.764832
    ]);
    poly[2182] = _TzPolygon([
      40.009289,
      67.042969,
      40.009289,
      67.764832,
      39.642048,
      67.764832,
      39.639918,
      67.760789,
      39.659658,
      67.707976,
      39.600811,
      67.627561,
      39.579663,
      67.506505,
      39.592828,
      67.475570,
      39.635938,
      67.465004,
      39.655818,
      67.395665,
      39.711333,
      67.403977,
      39.738146,
      67.380322,
      39.824654,
      67.533482,
      39.888429,
      67.421716,
      39.924983,
      67.407309,
      39.906684,
      67.363532,
      39.915830,
      67.235554,
      39.936056,
      67.204387,
      39.921847,
      67.178004,
      39.940553,
      67.095950,
      39.986745,
      67.080278,
      39.967748,
      67.054660,
      39.984324,
      67.033414,
      39.999396,
      67.021372
    ]);
    poly[2183] = _TzPolygon([
      41.171560,
      67.764832,
      41.183135,
      67.733055,
      41.127079,
      67.364295,
      41.142615,
      66.709329,
      41.493591,
      66.606628,
      41.733579,
      66.560215,
      41.733579,
      67.764832
    ]);
    poly[2184] = _TzPolygon([
      41.733579,
      66.562979,
      41.344802,
      66.645637,
      41.142615,
      66.709329,
      41.142657,
      66.752395,
      41.123040,
      66.760133,
      41.111816,
      66.643363,
      40.906665,
      66.654617,
      40.897343,
      66.772549,
      40.837037,
      66.786710,
      40.707618,
      66.767869,
      40.555766,
      66.668512,
      40.477652,
      66.652406,
      40.494659,
      66.720350,
      40.468391,
      66.758358,
      40.486117,
      66.885824,
      40.435592,
      66.899653,
      40.310977,
      66.861119,
      40.257004,
      66.877280,
      40.192014,
      66.993875,
      40.127264,
      66.927139,
      40.086763,
      67.046511,
      40.024398,
      67.075950,
      40.009289,
      67.042969,
      40.009289,
      65.572439,
      41.733579,
      65.572439
    ]);
    poly[2185] = _TzPolygon([
      38.285000,
      68.296645,
      38.323069,
      68.289185,
      38.321862,
      68.232778,
      38.410746,
      68.136571,
      38.392726,
      68.061915,
      38.468112,
      68.116424,
      38.559367,
      68.061271,
      38.642455,
      68.092832,
      38.714569,
      68.056690,
      38.732599,
      68.129163,
      38.818343,
      68.069735,
      38.831163,
      68.171402,
      38.856704,
      68.201333,
      38.892855,
      68.178878,
      38.921654,
      68.207825,
      39.026366,
      68.078842,
      39.010077,
      68.027756,
      39.035035,
      67.982690,
      39.001359,
      67.869066,
      39.016120,
      67.767871,
      39.015382,
      67.764832,
      39.147145,
      67.764832,
      39.147145,
      68.861028,
      38.285000,
      68.861028
    ]);
    poly[2186] = _TzPolygon([
      39.642048,
      67.764832,
      39.656959,
      67.793137,
      39.560256,
      68.114820,
      39.532200,
      68.524128,
      39.599784,
      68.551724,
      39.637263,
      68.617568,
      39.695704,
      68.626201,
      39.724452,
      68.586750,
      39.777324,
      68.643221,
      39.851985,
      68.626996,
      39.844719,
      68.759121,
      39.867397,
      68.749883,
      39.874994,
      68.772525,
      39.839820,
      68.785372,
      39.890962,
      68.831110,
      39.946932,
      68.828233,
      39.969964,
      68.800675,
      39.986701,
      68.824398,
      39.863140,
      68.854750,
      39.863459,
      68.861028,
      39.147145,
      68.861028,
      39.147145,
      67.764832
    ]);
    poly[2187] = _TzPolygon([
      40.009289,
      69.352552,
      40.009289,
      69.360916,
      39.995983,
      69.372170,
      39.988281,
      69.431919,
      39.922186,
      69.430505,
      39.936857,
      69.454986,
      39.915818,
      69.462657,
      39.944542,
      69.510189,
      39.929733,
      69.534063,
      40.009289,
      69.513427,
      40.009289,
      69.957225,
      39.570200,
      69.957225,
      39.576189,
      69.901638,
      39.529487,
      69.867222,
      39.580103,
      69.783976,
      39.600534,
      69.698378,
      39.578251,
      69.660999,
      39.592015,
      69.602020,
      39.553118,
      69.573973,
      39.526358,
      69.485619,
      39.528714,
      69.445202,
      39.563046,
      69.403579,
      39.521107,
      69.361682,
      39.542461,
      69.334174,
      39.595695,
      69.359888,
      39.670896,
      69.318378,
      39.700659,
      69.337055,
      39.806038,
      69.264952,
      39.878054,
      69.329576,
      39.920458,
      69.296884,
      39.971603,
      69.357612
    ]);
    poly[2188] = _TzPolygon([
      40.009289,
      68.884055,
      39.919196,
      68.943258,
      39.887086,
      68.913984,
      39.865678,
      68.861028,
      40.009289,
      68.861028
    ]);
    poly[2189] = _TzPolygon([
      40.871434,
      68.008330,
      40.871434,
      68.589622,
      40.865088,
      68.590459,
      40.805828,
      68.562293,
      40.708324,
      68.583854,
      40.680050,
      68.653594,
      40.630491,
      68.621813,
      40.599553,
      68.663121,
      40.568648,
      68.581766,
      40.572429,
      68.492737,
      40.617441,
      68.371137,
      40.832093,
      67.976552,
      40.861892,
      67.972275,
      40.860643,
      68.005966
    ]);
    poly[2190] = _TzPolygon(
        [40.044332, 68.861028, 40.050570, 68.856929, 40.050305, 68.861028]);
    poly[2191] = _TzPolygon([
      40.129572,
      68.861028,
      40.076677,
      68.633236,
      40.117770,
      68.531026,
      40.143821,
      68.532861,
      40.203926,
      68.779565,
      40.172603,
      68.797300,
      40.209044,
      68.861028
    ]);
    poly[2192] = _TzPolygon([
      41.171560,
      67.764832,
      41.135139,
      67.864814,
      41.150077,
      67.965561,
      41.026053,
      67.983571,
      41.018280,
      68.024196,
      41.081906,
      68.080513,
      41.038497,
      68.127704,
      41.018958,
      68.048927,
      40.998355,
      68.083834,
      40.945642,
      68.063273,
      40.936405,
      68.096737,
      40.890516,
      68.012510,
      40.871434,
      68.008330,
      40.871434,
      67.764832
    ]);
    poly[2193] = _TzPolygon([
      40.871434,
      68.589622,
      40.924316,
      68.582643,
      40.942355,
      68.517467,
      40.962494,
      68.514048,
      40.956419,
      68.464933,
      41.009906,
      68.513458,
      41.030532,
      68.606016,
      41.001768,
      68.619428,
      40.987557,
      68.673360,
      40.968588,
      68.627727,
      40.942854,
      68.643684,
      40.973811,
      68.736804,
      41.006127,
      68.761150,
      41.030761,
      68.714553,
      41.053166,
      68.726028,
      41.119153,
      68.804200,
      41.147656,
      68.861028,
      40.871434,
      68.861028
    ]);
    poly[2194] = _TzPolygon(
        [40.009289, 69.352552, 40.021045, 69.350973, 40.009289, 69.360916]);
    poly[2195] = _TzPolygon([
      40.871434,
      69.409127,
      40.753136,
      69.409127,
      40.752228,
      69.407833,
      40.790647,
      69.373457,
      40.704063,
      69.328556,
      40.585319,
      69.347078,
      40.576347,
      69.262298,
      40.546786,
      69.211031,
      40.492855,
      69.279860,
      40.459718,
      69.267720,
      40.368135,
      69.302614,
      40.339022,
      69.340508,
      40.281888,
      69.307430,
      40.295443,
      69.246612,
      40.258280,
      69.262694,
      40.244813,
      69.301455,
      40.187812,
      69.304301,
      40.228734,
      69.035750,
      40.209044,
      68.861028,
      40.871434,
      68.861028
    ]);
    poly[2196] = _TzPolygon([
      40.129572,
      68.861028,
      40.145995,
      68.931753,
      40.154230,
      69.020020,
      40.126037,
      69.024100,
      40.083622,
      68.956864,
      40.041974,
      68.977473,
      40.068065,
      68.906628,
      40.048214,
      68.893337,
      40.050305,
      68.861028
    ]);
    poly[2197] = _TzPolygon(
        [40.044332, 68.861028, 40.009289, 68.884055, 40.009289, 68.861028]);
    poly[2198] = _TzPolygon([
      40.009289,
      69.513427,
      40.033844,
      69.507058,
      40.116938,
      69.537018,
      40.104607,
      69.582153,
      40.122702,
      69.671903,
      40.107888,
      69.679407,
      40.179422,
      69.784041,
      40.224681,
      69.957225,
      40.009289,
      69.957225
    ]);
    poly[2199] = _TzPolygon([
      40.733563,
      69.957225,
      40.701593,
      69.793164,
      40.628689,
      69.720487,
      40.634138,
      69.669267,
      40.671090,
      69.651694,
      40.704095,
      69.583751,
      40.768487,
      69.553296,
      40.780945,
      69.500163,
      40.811613,
      69.492489,
      40.753136,
      69.409127,
      40.871434,
      69.409127,
      40.871434,
      69.957225
    ]);
  }
}

class _Initializer23 {
  static void _init() {
    poly[2200] = _TzPolygon([
      41.733579,
      69.957225,
      41.706760,
      69.894317,
      41.719978,
      69.839523,
      41.662773,
      69.616958,
      41.588661,
      69.538887,
      41.569374,
      69.549896,
      41.547130,
      69.500984,
      41.559965,
      69.441795,
      41.507576,
      69.397789,
      41.488166,
      69.454544,
      41.464700,
      69.457156,
      41.472678,
      69.354668,
      41.435622,
      69.296463,
      41.462846,
      69.226756,
      41.431275,
      69.148888,
      41.402961,
      69.175097,
      41.386608,
      69.155102,
      41.391365,
      69.113639,
      41.358207,
      69.096595,
      41.377059,
      69.079025,
      41.357124,
      69.023696,
      41.349067,
      69.047424,
      41.289569,
      69.013404,
      41.264740,
      69.040145,
      41.224758,
      69.029182,
      41.238826,
      69.000099,
      41.210620,
      68.986564,
      41.147656,
      68.861028,
      41.733579,
      68.861028
    ]);
    poly[2201] = _TzPolygon([
      43.269525,
      65.572439,
      43.586429,
      65.572439,
      43.586429,
      67.821318,
      43.563050,
      67.813837,
      43.480175,
      67.734119,
      43.407283,
      67.725036,
      43.375857,
      67.649520,
      43.310095,
      67.677788,
      43.367453,
      67.708189,
      43.359120,
      67.747103,
      43.353892,
      67.715543,
      43.338478,
      67.729225,
      43.329253,
      67.793580,
      43.290616,
      67.814009,
      43.275142,
      67.767729,
      43.253076,
      67.830478,
      43.225002,
      67.786518,
      43.211788,
      67.874093,
      42.951245,
      67.224276,
      42.322707,
      66.148533,
      42.337941,
      66.070676,
      42.938138,
      66.096693,
      42.858255,
      65.844156
    ]);
    poly[2202] = _TzPolygon([
      43.269525,
      65.572439,
      42.858255,
      65.844156,
      42.938138,
      66.096693,
      42.337941,
      66.070676,
      42.360736,
      66.001937,
      41.937179,
      65.998710,
      41.877437,
      66.532393,
      41.733579,
      66.562979,
      41.733579,
      65.572439
    ]);
    poly[2203] = _TzPolygon([
      51.247608,
      42.909230,
      51.267220,
      42.947337,
      51.316673,
      42.858106,
      51.397062,
      42.860184,
      51.392462,
      42.832533,
      51.492412,
      42.750450,
      51.538044,
      42.566125,
      51.667121,
      42.503671,
      51.719683,
      42.521847,
      51.806890,
      42.667717,
      51.885620,
      42.712606,
      51.996037,
      42.713197,
      52.022217,
      42.813583,
      52.085479,
      42.756828,
      52.184974,
      42.771900,
      52.212061,
      42.888845,
      52.336069,
      42.942237,
      52.360329,
      42.920796,
      52.348857,
      42.988167,
      52.378770,
      43.117153,
      52.387711,
      43.121065,
      52.387711,
      43.124133,
      51.247608,
      43.124133
    ]);
    poly[2204] = _TzPolygon([
      52.387711,
      43.501662,
      52.378794,
      43.490637,
      52.375835,
      43.384096,
      52.353386,
      43.368008,
      52.387711,
      43.339773
    ]);
    poly[2205] = _TzPolygon(
        [52.387711, 43.878043, 52.379761, 43.865586, 52.387711, 43.848071]);
    poly[2206] = _TzPolygon([
      52.387711,
      44.388141,
      52.291266,
      44.319918,
      52.344979,
      44.196682,
      52.312754,
      44.156611,
      52.351677,
      44.063022,
      52.327972,
      44.032393,
      52.387711,
      43.925487
    ]);
    poly[2207] = _TzPolygon([
      52.387711,
      45.081667,
      52.378430,
      45.066679,
      52.312175,
      45.089563,
      52.306116,
      45.059970,
      52.339317,
      44.982027,
      52.365802,
      44.981922,
      52.356545,
      44.893357,
      52.387711,
      44.892499
    ]);
    poly[2208] = _TzPolygon(
        [52.387711, 45.260551, 52.375677, 45.233534, 52.387711, 45.217066]);
    poly[2209] = _TzPolygon(
        [52.387711, 45.307564, 52.376046, 45.295126, 52.387711, 45.273475]);
    poly[2210] = _TzPolygon(
        [52.387711, 45.360905, 52.386716, 45.359899, 52.387711, 45.355728]);
    poly[2211] = _TzPolygon(
        [52.387711, 45.430033, 52.386290, 45.429318, 52.387711, 45.426670]);
    poly[2212] = _TzPolygon(
        [52.382252, 49.288299, 52.383226, 49.284582, 52.387711, 49.288299]);
    poly[2213] = _TzPolygon([
      52.387711,
      43.121065,
      52.438448,
      43.143268,
      52.459178,
      43.204769,
      52.427932,
      43.243689,
      52.439791,
      43.283980,
      52.420993,
      43.322433,
      52.387711,
      43.344869
    ]);
    poly[2214] = _TzPolygon([
      52.387711,
      43.501662,
      52.403287,
      43.520922,
      52.391414,
      43.671243,
      52.432781,
      43.748765,
      52.387711,
      43.848071
    ]);
    poly[2215] = _TzPolygon(
        [52.387711, 43.878043, 52.401845, 43.900193, 52.387711, 43.925487]);
    poly[2216] = _TzPolygon([
      52.387711,
      44.388141,
      52.407081,
      44.401843,
      52.394705,
      44.467830,
      52.423388,
      44.535063,
      52.514252,
      44.485476,
      52.532596,
      44.532591,
      52.460764,
      44.665933,
      52.447721,
      44.853116,
      52.416733,
      44.891700,
      52.387711,
      44.892499
    ]);
    poly[2217] = _TzPolygon([
      52.387711,
      45.085736,
      52.413489,
      45.123298,
      52.418277,
      45.175237,
      52.387711,
      45.217066
    ]);
    poly[2218] = _TzPolygon(
        [52.387711, 45.260551, 52.390862, 45.267626, 52.387711, 45.273475]);
    poly[2219] = _TzPolygon(
        [52.387711, 45.307564, 52.396867, 45.317327, 52.387711, 45.355728]);
    poly[2220] = _TzPolygon(
        [52.387711, 45.360905, 52.410579, 45.384038, 52.387711, 45.426670]);
    poly[2221] = _TzPolygon([
      52.387711,
      45.430033,
      52.424964,
      45.448791,
      52.425543,
      45.513654,
      52.476530,
      45.524166,
      52.452551,
      45.600943,
      52.507726,
      45.640552,
      52.474003,
      45.667805,
      52.477883,
      45.709004,
      52.432388,
      45.707052,
      52.460615,
      45.758383,
      52.415357,
      45.796337,
      52.431239,
      45.835675,
      52.397151,
      45.962098,
      52.453781,
      46.015098,
      52.474522,
      45.984561,
      52.507903,
      46.004324,
      52.524794,
      46.067479,
      52.552990,
      46.084055,
      52.526387,
      46.137591,
      52.607934,
      46.166902,
      52.609577,
      46.267631,
      52.650081,
      46.261472,
      52.680843,
      46.325899,
      52.669012,
      46.392077,
      52.387711,
      46.392077
    ]);
    poly[2222] = _TzPolygon([
      53.013644,
      46.392077,
      53.013644,
      46.933616,
      52.916610,
      46.926556,
      52.890318,
      46.884702,
      52.825515,
      46.937339,
      52.820750,
      46.981365,
      52.721964,
      46.940143,
      52.697617,
      46.818297,
      52.620828,
      46.801070,
      52.611410,
      46.744176,
      52.665828,
      46.658339,
      52.661586,
      46.609376,
      52.727264,
      46.573443,
      52.688496,
      46.539043,
      52.685795,
      46.435162,
      52.664397,
      46.417895,
      52.669012,
      46.392077
    ]);
    poly[2223] = _TzPolygon([
      53.013644,
      46.933616,
      53.013644,
      47.357484,
      52.569650,
      47.357484,
      52.552575,
      47.259309,
      52.570589,
      47.231203,
      52.547507,
      47.206575,
      52.558304,
      47.155379,
      52.595582,
      47.163364,
      52.576658,
      47.060206,
      52.532669,
      47.052874,
      52.574279,
      47.049943,
      52.583128,
      46.987387,
      52.637720,
      46.980763,
      52.617560,
      46.835594,
      52.599293,
      46.830363,
      52.613133,
      46.800982,
      52.697617,
      46.818297,
      52.721964,
      46.940143,
      52.820750,
      46.981365,
      52.825515,
      46.937339,
      52.890318,
      46.884702,
      52.916610,
      46.926556
    ]);
    poly[2224] = _TzPolygon([
      53.013644,
      46.933616,
      53.084016,
      46.938736,
      53.086738,
      46.904627,
      53.119696,
      46.973593,
      53.175391,
      46.937433,
      53.177713,
      46.864173,
      53.238781,
      46.872522,
      53.247170,
      46.933828,
      53.275030,
      46.958190,
      53.278757,
      46.898876,
      53.362605,
      46.908163,
      53.372678,
      46.791834,
      53.415971,
      46.746153,
      53.428839,
      46.675054,
      53.482395,
      46.669933,
      53.455753,
      46.607771,
      53.486761,
      46.555964,
      53.464390,
      46.521321,
      53.513829,
      46.449051,
      53.603505,
      46.444955,
      53.617991,
      46.479751,
      53.639578,
      46.463353,
      53.639578,
      47.357484,
      53.013644,
      47.357484
    ]);
    poly[2225] = _TzPolygon([
      53.666771,
      46.392077,
      53.670359,
      46.376481,
      53.752363,
      46.320603,
      53.754909,
      46.246873,
      53.788253,
      46.285179,
      53.799513,
      46.143608,
      53.885096,
      46.217748,
      53.935542,
      46.148233,
      53.932647,
      46.100432,
      53.975646,
      46.083037,
      53.985596,
      45.975672,
      54.030780,
      45.961465,
      53.983101,
      45.932399,
      54.005476,
      45.928127,
      54.007081,
      45.892731,
      53.981052,
      45.902668,
      53.994651,
      45.857451,
      53.966433,
      45.815110,
      53.986499,
      45.796720,
      54.018048,
      45.893456,
      54.061633,
      45.894506,
      54.100823,
      45.963603,
      54.154366,
      45.968141,
      54.137973,
      45.970547,
      54.149131,
      46.006613,
      54.121681,
      46.015846,
      54.176378,
      46.077136,
      54.154637,
      46.157146,
      54.208202,
      46.319007,
      54.190620,
      46.339416,
      54.207559,
      46.392077
    ]);
    poly[2226] = _TzPolygon(
        [54.221748, 46.392077, 54.233583, 46.385850, 54.237119, 46.392077]);
    poly[2227] = _TzPolygon([
      53.639578,
      46.463353,
      53.652658,
      46.453417,
      53.666771,
      46.392077,
      54.207559,
      46.392077,
      54.209613,
      46.398462,
      54.221748,
      46.392077,
      54.237119,
      46.392077,
      54.263089,
      46.437818,
      54.247215,
      46.444401,
      54.265512,
      46.472903,
      54.265512,
      46.519248,
      54.261616,
      46.546494,
      54.265512,
      46.545360,
      54.265512,
      47.357484,
      53.639578,
      47.357484
    ]);
    poly[2228] = _TzPolygon(
        [54.265512, 46.472903, 54.270932, 46.481346, 54.265512, 46.519248]);
    poly[2229] = _TzPolygon([
      54.265512,
      46.545360,
      54.283504,
      46.540123,
      54.287815,
      46.654491,
      54.325358,
      46.705200,
      54.402174,
      46.729568,
      54.379893,
      46.692285,
      54.398450,
      46.708287,
      54.397851,
      46.672596,
      54.379072,
      46.676167,
      54.405985,
      46.625526,
      54.399143,
      46.535883,
      54.432583,
      46.498043,
      54.469775,
      46.500807,
      54.468329,
      46.545176,
      54.497168,
      46.582074,
      54.479653,
      46.459980,
      54.554328,
      46.546784,
      54.560662,
      46.496099,
      54.572654,
      46.538563,
      54.588299,
      46.520389,
      54.561295,
      46.419674,
      54.574272,
      46.403548,
      54.632115,
      46.534842,
      54.655202,
      46.524954,
      54.688301,
      46.421726,
      54.719755,
      46.455972,
      54.739565,
      46.408997,
      54.761625,
      46.442798,
      54.757706,
      46.493421,
      54.673100,
      46.658436,
      54.684164,
      46.776444,
      54.632065,
      46.826185,
      54.705496,
      47.034094,
      54.705171,
      47.079356,
      54.650467,
      47.181496,
      54.666574,
      47.176470,
      54.671049,
      47.226850,
      54.666742,
      47.222430,
      54.669233,
      47.328180,
      54.595487,
      47.357484,
      54.265512,
      47.357484
    ]);
    poly[2230] = _TzPolygon(
        [52.675424, 48.322892, 52.683012, 48.307898, 52.699330, 48.322892]);
    poly[2231] = _TzPolygon(
        [53.013644, 48.216368, 53.013644, 48.228151, 53.004747, 48.224549]);
    poly[2232] = _TzPolygon([
      52.569650,
      47.357484,
      52.573690,
      47.380715,
      52.563272,
      47.442631,
      52.593337,
      47.532955,
      52.595096,
      47.498819,
      52.620908,
      47.498266,
      52.597673,
      47.679420,
      52.568439,
      47.724095,
      52.602477,
      47.772441,
      52.699879,
      47.778675,
      52.687966,
      47.804917,
      52.703276,
      47.828939,
      52.700814,
      47.802695,
      52.736339,
      47.812411,
      52.724596,
      47.897102,
      52.646579,
      47.933741,
      52.675976,
      48.063798,
      52.732734,
      48.092152,
      52.744964,
      47.993330,
      52.767422,
      48.075097,
      52.793566,
      48.089287,
      52.768603,
      48.197023,
      52.813032,
      48.230627,
      52.779779,
      48.306780,
      52.785405,
      48.322892,
      52.701222,
      48.322892,
      52.683012,
      48.307898,
      52.675424,
      48.322892,
      52.387711,
      48.322892,
      52.387711,
      47.357484
    ]);
    poly[2233] = _TzPolygon([
      53.013644,
      48.216368,
      53.040282,
      48.191875,
      53.051571,
      48.123151,
      53.137432,
      48.212202,
      53.179781,
      48.107791,
      53.235055,
      48.158579,
      53.268010,
      48.056873,
      53.361599,
      47.930441,
      53.400550,
      47.999307,
      53.432774,
      48.005448,
      53.422807,
      48.030318,
      53.471305,
      48.035817,
      53.488810,
      48.135807,
      53.466360,
      48.142127,
      53.466850,
      48.180532,
      53.491955,
      48.208165,
      53.476874,
      48.257050,
      53.461724,
      48.247863,
      53.469211,
      48.322892,
      53.069151,
      48.322892,
      53.065620,
      48.249192,
      53.013644,
      48.228151
    ]);
    poly[2234] = _TzPolygon(
        [52.785405, 48.322892, 52.819371, 48.420170, 52.701222, 48.322892]);
    poly[2235] = _TzPolygon([
      52.675424,
      48.322892,
      52.661996,
      48.349425,
      52.682640,
      48.523238,
      52.627327,
      48.574395,
      52.639536,
      48.692979,
      52.543013,
      48.727016,
      52.547668,
      48.834248,
      52.408252,
      48.881715,
      52.407633,
      48.923149,
      52.468457,
      48.912330,
      52.471993,
      48.956569,
      52.492514,
      48.960312,
      52.494801,
      49.108274,
      52.472367,
      49.168263,
      52.499761,
      49.171450,
      52.496366,
      49.258082,
      52.486204,
      49.288299,
      52.387711,
      49.288299,
      52.387711,
      48.322892
    ]);
    poly[2236] = _TzPolygon([
      53.639578,
      48.348446,
      53.593476,
      48.345203,
      53.556244,
      48.465294,
      53.563752,
      48.406508,
      53.545555,
      48.382128,
      53.473851,
      48.369389,
      53.469211,
      48.322892,
      53.639578,
      48.322892
    ]);
    poly[2237] = _TzPolygon([
      53.059020,
      48.322892,
      53.055359,
      48.363775,
      52.997345,
      48.325122,
      52.993150,
      48.371755,
      52.959312,
      48.357140,
      52.972607,
      48.439113,
      52.952114,
      48.449405,
      52.949445,
      48.522827,
      52.895802,
      48.588749,
      52.859531,
      48.571630,
      52.784631,
      48.322892
    ]);
    poly[2238] = _TzPolygon(
        [53.639578, 48.405080, 53.622848, 48.416310, 53.639578, 48.379304]);
    poly[2239] = _TzPolygon([
      54.891446,
      48.322892,
      54.694944,
      48.322892,
      54.663426,
      48.280683,
      54.701703,
      48.229686,
      54.730870,
      48.277954,
      54.723839,
      48.152644,
      54.738563,
      48.098001,
      54.766523,
      48.103415,
      54.742501,
      48.056010,
      54.713872,
      48.080970,
      54.719614,
      47.920709,
      54.640457,
      47.928691,
      54.641691,
      47.816598,
      54.682878,
      47.770169,
      54.689736,
      47.835559,
      54.728389,
      47.822985,
      54.735029,
      47.717752,
      54.673729,
      47.670676,
      54.655783,
      47.692094,
      54.612949,
      47.612967,
      54.581647,
      47.633758,
      54.540180,
      47.594611,
      54.530415,
      47.539343,
      54.567324,
      47.450561,
      54.533157,
      47.405316,
      54.498545,
      47.424562,
      54.556868,
      47.357484,
      54.891446,
      47.357484
    ]);
    poly[2240] = _TzPolygon([
      54.891446,
      49.288299,
      54.880310,
      49.239584,
      54.861326,
      49.271525,
      54.841559,
      49.238971,
      54.841825,
      49.148209,
      54.788271,
      49.089541,
      54.815460,
      49.032398,
      54.796073,
      49.012552,
      54.796020,
      48.881780,
      54.625206,
      48.881741,
      54.625211,
      48.465153,
      54.669603,
      48.353725,
      54.703423,
      48.334246,
      54.694944,
      48.322892,
      54.891446,
      48.322892
    ]);
    poly[2241] = _TzPolygon(
        [53.639578, 48.348446, 53.653099, 48.349397, 53.639578, 48.379304]);
    poly[2242] = _TzPolygon([
      53.639578,
      48.405080,
      53.649038,
      48.398731,
      53.643376,
      48.481310,
      53.666871,
      48.532947,
      53.695161,
      48.496483,
      53.734579,
      48.517022,
      53.735597,
      48.482172,
      53.770663,
      48.488910,
      53.720327,
      48.606888,
      53.730000,
      48.648184,
      53.705311,
      48.669517,
      53.732872,
      48.725343,
      53.705946,
      48.851391,
      53.706596,
      48.994808,
      53.874945,
      48.995609,
      53.890761,
      49.084687,
      53.876305,
      49.078815,
      53.869700,
      49.215299,
      53.836763,
      49.248200,
      53.832964,
      49.288299,
      53.639578,
      49.288299
    ]);
    poly[2243] = _TzPolygon(
        [51.247608, 50.034781, 51.276484, 50.220275, 51.247608, 50.220275]);
    poly[2244] = _TzPolygon([
      52.035813,
      50.220275,
      52.036340,
      50.218110,
      52.009824,
      50.156395,
      52.090683,
      50.159593,
      52.090630,
      50.220275
    ]);
    poly[2245] = _TzPolygon([
      52.129494,
      50.220275,
      52.139653,
      50.045132,
      52.190111,
      50.039759,
      52.189589,
      49.999180,
      52.172893,
      49.999631,
      52.172749,
      49.798082,
      52.270038,
      49.746467,
      52.275657,
      49.714753,
      52.228919,
      49.675743,
      52.247820,
      49.624494,
      52.282221,
      49.659351,
      52.321707,
      49.601005,
      52.340050,
      49.637920,
      52.395936,
      49.570031,
      52.395764,
      49.520202,
      52.324220,
      49.510376,
      52.320162,
      49.450203,
      52.398620,
      49.434658,
      52.398716,
      49.348002,
      52.371590,
      49.329000,
      52.382252,
      49.288299,
      52.387711,
      49.288299,
      52.464734,
      49.352140,
      52.477110,
      49.288299,
      52.486204,
      49.288299,
      52.486204,
      50.220275
    ]);
    poly[2246] = _TzPolygon([
      51.669145,
      51.152252,
      51.681375,
      50.893614,
      51.753462,
      50.871439,
      51.773037,
      50.768163,
      51.866906,
      50.933687,
      51.866906,
      51.152252
    ]);
    poly[2247] = _TzPolygon([
      51.866906,
      50.701556,
      51.866906,
      50.933687,
      51.773037,
      50.768163,
      51.819658,
      50.701438
    ]);
    poly[2248] = _TzPolygon([
      51.866906,
      50.220275,
      51.866906,
      50.701556,
      51.819658,
      50.701438,
      51.773037,
      50.768163,
      51.714748,
      50.768172,
      51.649158,
      50.832580,
      51.585043,
      50.812034,
      51.574805,
      50.767719,
      51.574547,
      50.678910,
      51.628517,
      50.731705,
      51.645835,
      50.585182,
      51.590632,
      50.586719,
      51.589033,
      50.537717,
      51.472728,
      50.555853,
      51.465910,
      50.497964,
      51.427749,
      50.496870,
      51.427768,
      50.371801,
      51.404310,
      50.403848,
      51.382011,
      50.338199,
      51.332611,
      50.373135,
      51.280048,
      50.243171,
      51.276484,
      50.220275
    ]);
    poly[2249] = _TzPolygon([
      51.866906,
      51.152252,
      51.866906,
      50.933687,
      51.923495,
      51.033474,
      51.926120,
      51.126882,
      51.988392,
      51.143760,
      51.988334,
      51.152252
    ]);
    poly[2250] = _TzPolygon([
      52.129494,
      50.220275,
      52.129312,
      50.223421,
      52.090626,
      50.224736,
      52.090630,
      50.220275
    ]);
    poly[2251] = _TzPolygon([
      52.035813,
      50.220275,
      52.014855,
      50.306340,
      52.044798,
      50.308682,
      52.044856,
      50.352111,
      51.981984,
      50.352273,
      51.993772,
      50.520058,
      51.963829,
      50.521259,
      51.958687,
      50.649261,
      51.933258,
      50.649376,
      51.932973,
      50.701720,
      51.866906,
      50.701556,
      51.866906,
      50.220275
    ]);
    poly[2252] = _TzPolygon([
      51.669145,
      51.152252,
      51.666854,
      51.200697,
      51.687045,
      51.253107,
      51.641057,
      51.303713,
      51.641224,
      51.380183,
      51.563430,
      51.380326,
      51.563126,
      51.240446,
      51.525226,
      51.247733,
      51.531909,
      51.285613,
      51.487785,
      51.286546,
      51.484596,
      51.493546,
      51.505800,
      51.566119,
      51.550782,
      51.604127,
      51.505101,
      51.657109,
      51.474960,
      51.629825,
      51.448636,
      51.655825,
      51.497016,
      51.813551,
      51.583197,
      51.770475,
      51.650976,
      51.860807,
      51.673806,
      51.856608,
      51.683446,
      51.999560,
      51.667217,
      51.998996,
      51.674037,
      52.074732,
      51.664336,
      52.084228,
      51.247608,
      52.084228,
      51.247608,
      51.152252
    ]);
    poly[2253] = _TzPolygon([
      52.486204,
      51.506627,
      52.463787,
      51.549075,
      52.428867,
      51.548065,
      52.428663,
      51.473152,
      52.365624,
      51.461028,
      52.365158,
      51.371080,
      52.225384,
      51.407818,
      52.225180,
      51.461711,
      52.069258,
      51.391420,
      51.987937,
      51.210024,
      51.988334,
      51.152252,
      52.486204,
      51.152252
    ]);
    poly[2254] = _TzPolygon([
      51.478645,
      53.016204,
      51.472220,
      53.002831,
      51.477138,
      52.946182,
      51.455108,
      52.950131,
      51.497982,
      52.924725,
      51.474657,
      52.871727,
      51.505355,
      52.896057,
      51.491035,
      52.857434,
      51.505996,
      52.838379,
      51.486431,
      52.833295,
      51.513475,
      52.792889,
      51.502149,
      52.773491,
      51.522020,
      52.771260,
      51.496272,
      52.758042,
      51.503218,
      52.734696,
      51.486274,
      52.747128,
      51.498359,
      52.723359,
      51.478199,
      52.675211,
      51.456713,
      52.687832,
      51.490654,
      52.655230,
      51.455536,
      52.622601,
      51.455743,
      52.585723,
      51.477771,
      52.586491,
      51.453031,
      52.560611,
      51.683187,
      52.384370,
      51.775899,
      52.358670,
      51.766339,
      52.319506,
      51.743319,
      52.335365,
      51.733373,
      52.181575,
      51.687453,
      52.174568,
      51.658377,
      52.090061,
      51.664336,
      52.084228,
      52.486204,
      52.084228,
      52.486204,
      53.016204
    ]);
    poly[2255] = _TzPolygon([
      51.247608,
      53.669285,
      51.259855,
      53.669784,
      51.306188,
      53.595623,
      51.393276,
      53.628629,
      51.433156,
      53.570419,
      51.430616,
      53.497164,
      51.454220,
      53.487187,
      51.438131,
      53.437171,
      51.482231,
      53.426416,
      51.501205,
      53.296539,
      51.482056,
      53.276116,
      51.511872,
      53.255001,
      51.512086,
      53.182217,
      51.535370,
      53.188740,
      51.521059,
      53.142220,
      51.487401,
      53.155781,
      51.504714,
      53.070465,
      51.478645,
      53.016204,
      52.486204,
      53.016204,
      52.486204,
      56.744109,
      51.247608,
      56.744109
    ]);
    poly[2256] = _TzPolygon([
      54.219528,
      49.288299,
      54.219528,
      50.243401,
      54.143923,
      50.191997,
      54.070351,
      50.224254,
      54.019835,
      50.188688,
      54.007111,
      50.081107,
      53.958450,
      50.060934,
      53.978772,
      49.978040,
      53.905269,
      49.931196,
      53.889398,
      49.927650,
      53.880096,
      50.035601,
      53.819146,
      50.035857,
      53.831996,
      49.850447,
      53.889757,
      49.816593,
      53.872365,
      49.736720,
      53.830193,
      49.703279,
      53.834159,
      49.636021,
      53.802494,
      49.600536,
      53.840060,
      49.593543,
      53.872490,
      49.311613,
      53.831872,
      49.299830,
      53.832964,
      49.288299
    ]);
    poly[2257] = _TzPolygon([
      54.443698,
      50.243401,
      54.501175,
      50.195226,
      54.517008,
      49.989460,
      54.500719,
      49.967143,
      54.535254,
      49.941566,
      54.537221,
      49.848147,
      54.576807,
      49.737457,
      54.562065,
      49.560147,
      54.597493,
      49.584152,
      54.628804,
      49.530480,
      54.668061,
      49.551035,
      54.691495,
      49.534840,
      54.688562,
      49.479729,
      54.723598,
      49.525816,
      54.732251,
      49.485784,
      54.785176,
      49.468750,
      54.827704,
      49.377965,
      54.839052,
      49.405554,
      54.840107,
      49.357766,
      54.891446,
      49.288299,
      54.891446,
      50.243401
    ]);
    poly[2258] = _TzPolygon([
      54.219528,
      50.243401,
      54.277084,
      50.208592,
      54.295933,
      50.238884,
      54.361487,
      50.197049,
      54.374896,
      50.149862,
      54.421101,
      50.155801,
      54.423707,
      50.103772,
      54.506600,
      50.092459,
      54.492175,
      50.223149,
      54.444690,
      50.243401
    ]);
    poly[2259] = _TzPolygon([
      52.486204,
      51.506627,
      52.510296,
      51.461006,
      52.568762,
      51.451673,
      52.560845,
      51.513751,
      52.628534,
      51.471710,
      52.632000,
      51.530492,
      52.676763,
      51.523228,
      52.681792,
      51.611924,
      52.645848,
      51.616767,
      52.653247,
      51.724319,
      52.800333,
      51.766512,
      52.804381,
      51.725738,
      52.876348,
      51.715015,
      52.865248,
      51.838496,
      52.917517,
      51.868578,
      52.486204,
      51.868578
    ]);
    poly[2260] = _TzPolygon([
      54.541164,
      51.868578,
      54.565004,
      51.633645,
      54.651048,
      51.533820,
      54.595378,
      51.513160,
      54.588079,
      51.381752,
      54.677156,
      51.388873,
      54.633607,
      51.252607,
      54.659565,
      51.190288,
      54.540209,
      51.074420,
      54.549436,
      51.008365,
      54.469351,
      51.021336,
      54.437996,
      50.984444,
      54.402911,
      50.999408,
      54.396142,
      50.949871,
      54.342639,
      50.951261,
      54.343385,
      50.899561,
      54.384608,
      50.875258,
      54.363487,
      50.822766,
      54.375902,
      50.750244,
      54.404720,
      50.736443,
      54.328219,
      50.503510,
      54.428452,
      50.462754,
      54.420996,
      50.430944,
      54.493499,
      50.374246,
      54.480866,
      50.324444,
      54.462622,
      50.343475,
      54.442655,
      50.307484,
      54.442671,
      50.244262,
      54.891446,
      50.243401,
      54.891446,
      51.868578
    ]);
    poly[2261] = _TzPolygon([
      52.917517,
      51.868578,
      52.949774,
      51.887143,
      52.945897,
      51.990019,
      52.966563,
      51.994526,
      52.964568,
      52.041815,
      53.090567,
      52.050012,
      53.087759,
      52.162267,
      53.125871,
      52.168129,
      53.122880,
      52.080247,
      53.149317,
      52.066717,
      53.165988,
      52.136519,
      53.233201,
      52.126918,
      53.235245,
      52.171772,
      53.301450,
      52.142478,
      53.297384,
      52.173312,
      53.380847,
      52.211862,
      53.386786,
      52.152981,
      53.429110,
      52.159431,
      53.464477,
      52.095233,
      53.558273,
      52.097669,
      53.555880,
      52.188837,
      53.662308,
      52.264660,
      53.688825,
      52.269092,
      53.688825,
      53.493755,
      52.486204,
      53.493755,
      52.486204,
      51.868578
    ]);
    poly[2262] = _TzPolygon([
      53.688825,
      52.269092,
      53.741436,
      52.277886,
      53.900254,
      52.412177,
      53.966233,
      52.420842,
      53.947528,
      52.392501,
      53.974387,
      52.371971,
      54.054396,
      52.488814,
      54.078402,
      52.381433,
      54.148658,
      52.372192,
      54.121741,
      52.336780,
      54.149512,
      52.294238,
      54.191199,
      52.362553,
      54.294073,
      52.345442,
      54.310897,
      52.429383,
      54.300519,
      52.521138,
      54.365639,
      52.603342,
      54.339341,
      52.628615,
      54.355938,
      52.681167,
      53.688825,
      52.681167
    ]);
    poly[2263] = _TzPolygon([
      54.354878,
      52.681167,
      54.338272,
      52.638067,
      54.365556,
      52.601415,
      54.340128,
      52.568276,
      54.390070,
      52.489178,
      54.459062,
      52.502117,
      54.474154,
      52.431903,
      54.398661,
      52.367222,
      54.448221,
      52.332345,
      54.435616,
      52.217050,
      54.364848,
      52.157912,
      54.391191,
      52.095528,
      54.328302,
      52.092543,
      54.355163,
      52.036274,
      54.418205,
      52.066223,
      54.429902,
      51.995358,
      54.411966,
      51.973568,
      54.414000,
      52.016227,
      54.403014,
      51.971757,
      54.431597,
      51.963490,
      54.412539,
      51.904272,
      54.473445,
      51.951538,
      54.535055,
      51.928783,
      54.541164,
      51.868578,
      54.891446,
      51.868578,
      54.891446,
      52.681167
    ]);
    poly[2264] = _TzPolygon([
      54.355938,
      52.681167,
      54.360757,
      52.696425,
      54.313596,
      52.844570,
      54.320039,
      52.917656,
      54.306951,
      52.952239,
      54.276983,
      52.890558,
      54.266091,
      52.967277,
      54.291641,
      53.029466,
      54.318612,
      52.990646,
      54.352739,
      53.056297,
      54.289000,
      53.154678,
      54.267219,
      53.116426,
      54.247200,
      53.140091,
      54.244890,
      53.033113,
      54.225246,
      53.072339,
      54.217455,
      53.051917,
      54.218827,
      52.999123,
      54.237965,
      53.004273,
      54.226687,
      52.949293,
      54.182547,
      52.968901,
      54.168980,
      53.025076,
      54.131547,
      53.044023,
      54.125690,
      53.097017,
      54.065377,
      53.062389,
      54.113175,
      53.236351,
      54.098034,
      53.254304,
      54.087275,
      53.225771,
      54.087367,
      53.287244,
      54.029539,
      53.286816,
      53.974244,
      53.368860,
      54.030531,
      53.414488,
      54.054093,
      53.493755,
      53.688825,
      53.493755,
      53.688825,
      52.681167
    ]);
    poly[2265] = _TzPolygon([
      54.062745,
      53.493755,
      54.089318,
      53.466239,
      54.328760,
      53.432048,
      54.373807,
      53.381848,
      54.398032,
      53.412577,
      54.417218,
      53.386341,
      54.430459,
      53.429540,
      54.450703,
      53.403333,
      54.480917,
      53.434642,
      54.566018,
      53.423491,
      54.566971,
      53.464813,
      54.588248,
      53.464495,
      54.602620,
      53.493755
    ]);
    poly[2266] = _TzPolygon([
      54.891446,
      53.543209,
      54.878503,
      53.553362,
      54.891446,
      53.597580,
      54.891446,
      53.639235,
      54.815840,
      53.588952,
      54.810622,
      53.628773,
      54.747266,
      53.639159,
      54.678076,
      53.575561,
      54.672392,
      53.609101,
      54.660803,
      53.562312,
      54.640298,
      53.570466,
      54.602620,
      53.493755,
      54.891446,
      53.493755
    ]);
    poly[2267] = _TzPolygon(
        [54.062745, 53.493755, 54.056129, 53.500606, 54.054093, 53.493755]);
    poly[2268] = _TzPolygon(
        [56.200467, 50.871335, 56.240606, 50.832155, 56.256925, 50.871335]);
    poly[2269] = _TzPolygon([
      56.943089,
      46.879927,
      56.918330,
      46.838991,
      56.940716,
      46.703663,
      56.987066,
      46.785922,
      57.000955,
      46.748523,
      57.032840,
      46.754450,
      57.078449,
      46.815439,
      57.096526,
      46.767052,
      57.123440,
      46.802778,
      57.161911,
      46.749178,
      57.182228,
      46.779901,
      57.177129,
      46.838156,
      57.221494,
      46.856563,
      57.224149,
      46.797229,
      57.290529,
      46.798180,
      57.285511,
      46.717703,
      57.340945,
      46.683245,
      57.384357,
      46.779061,
      57.409316,
      46.771638,
      57.381615,
      46.709008,
      57.406496,
      46.687803,
      57.446633,
      46.821639,
      57.521511,
      46.752933,
      57.505600,
      46.879927
    ]);
    poly[2270] = _TzPolygon([
      58.029165,
      46.879927,
      58.044753,
      46.502975,
      58.003203,
      46.438757,
      58.077340,
      46.329497,
      58.165583,
      46.335236,
      58.214995,
      46.416212,
      58.286217,
      46.385378,
      58.329084,
      46.395852,
      58.346737,
      46.441276,
      58.346411,
      46.395610,
      58.375020,
      46.395691,
      58.393577,
      46.426669,
      58.399094,
      46.579335,
      58.460351,
      46.599043,
      58.488111,
      46.558368,
      58.588497,
      46.658063,
      58.570337,
      46.661133,
      58.599940,
      46.879927
    ]);
    poly[2271] = _TzPolygon([
      56.943089,
      46.879927,
      56.951830,
      46.894380,
      56.917941,
      46.910041,
      56.942464,
      46.967134,
      56.926675,
      47.087902,
      56.889857,
      47.159434,
      56.870074,
      47.119597,
      56.807274,
      47.134223,
      56.799219,
      47.174702,
      56.824410,
      47.198768,
      56.807167,
      47.265306,
      56.882922,
      47.434905,
      56.850756,
      47.510934,
      56.871330,
      47.488683,
      56.925077,
      47.546813,
      56.924771,
      47.602351,
      56.959028,
      47.617643,
      56.992971,
      47.705633,
      57.001636,
      47.685070,
      56.998604,
      47.782673,
      57.025950,
      47.744068,
      57.039320,
      47.764379,
      56.964629,
      47.908305,
      56.989462,
      47.917680,
      56.986714,
      47.949257,
      56.957774,
      47.954068,
      56.978091,
      47.997352,
      57.001972,
      47.988478,
      56.988483,
      48.106619,
      57.018144,
      48.159211,
      57.013501,
      48.206062,
      57.042523,
      48.207719,
      57.069662,
      48.137530,
      57.074315,
      48.210396,
      56.256925,
      48.210396,
      56.256925,
      46.879927
    ]);
    poly[2272] = _TzPolygon([
      58.662159,
      47.014091,
      58.618604,
      47.017877,
      58.599940,
      46.879927,
      58.662159,
      46.879927
    ]);
    poly[2273] = _TzPolygon([
      58.029165,
      46.879927,
      58.006970,
      47.416667,
      57.978303,
      47.415327,
      57.948183,
      47.690766,
      57.888717,
      47.771781,
      57.859228,
      47.617145,
      57.794705,
      47.563039,
      57.784929,
      47.599652,
      57.741104,
      47.605583,
      57.689273,
      47.535192,
      57.578076,
      47.533365,
      57.578697,
      47.494101,
      57.515179,
      47.481365,
      57.520732,
      47.375067,
      57.556016,
      47.368887,
      57.561322,
      47.293717,
      57.487807,
      47.021939,
      57.505600,
      46.879927
    ]);
    poly[2274] = _TzPolygon([
      60.074036,
      46.879927,
      60.057675,
      46.778626,
      60.041049,
      46.778834,
      60.068372,
      46.741309,
      60.061902,
      46.664523,
      60.084665,
      46.651502,
      60.064514,
      46.598308,
      60.106305,
      46.497885,
      60.110449,
      46.352685,
      60.132093,
      46.377976,
      60.166173,
      46.326561,
      60.207303,
      46.340822,
      60.237154,
      46.263784,
      60.253822,
      46.283104,
      60.246195,
      46.384976,
      60.268916,
      46.415822,
      60.242548,
      46.477851,
      60.262700,
      46.635985,
      60.233679,
      46.763025,
      60.358231,
      46.843537,
      60.364781,
      46.758457,
      60.396043,
      46.779352,
      60.414204,
      46.871727,
      60.432903,
      46.835654,
      60.450603,
      46.879927
    ]);
    poly[2275] = _TzPolygon(
        [60.489266, 46.879927, 60.513505, 46.873836, 60.515726, 46.879927]);
    poly[2276] = _TzPolygon([
      59.864776,
      46.879927,
      59.864776,
      46.953277,
      59.765497,
      46.922349,
      59.752233,
      47.152878,
      59.369321,
      47.048947,
      59.352628,
      47.247709,
      59.258869,
      47.221029,
      59.246384,
      47.253922,
      59.201214,
      47.209394,
      59.133551,
      47.368364,
      59.159150,
      47.478534,
      59.093717,
      47.444002,
      59.056821,
      47.552276,
      59.030644,
      47.527282,
      58.916855,
      47.639515,
      58.895293,
      47.492903,
      58.921992,
      47.293133,
      58.869416,
      47.249268,
      58.822356,
      47.261958,
      58.814562,
      47.324112,
      58.797065,
      47.316774,
      58.768537,
      47.205737,
      58.780974,
      47.111160,
      58.714857,
      47.062811,
      58.718388,
      47.009203,
      58.662159,
      47.014091,
      58.662159,
      46.879927
    ]);
    poly[2277] = _TzPolygon([
      59.864776,
      46.953277,
      60.126381,
      47.034772,
      60.123228,
      46.920587,
      60.075795,
      46.890820,
      60.074036,
      46.879927,
      60.450603,
      46.879927,
      60.454133,
      46.888755,
      60.489266,
      46.879927,
      60.515726,
      46.879927,
      60.551955,
      46.979290,
      60.544604,
      47.038023,
      60.557705,
      47.001618,
      60.624541,
      47.013141,
      60.655460,
      46.960859,
      60.669941,
      47.006089,
      60.721814,
      46.982951,
      60.725683,
      47.033080,
      60.961749,
      47.102304,
      60.996978,
      47.193951,
      61.067393,
      47.193180,
      61.035472,
      47.482583,
      61.060586,
      47.603077,
      61.031023,
      47.662563,
      61.016821,
      47.897198,
      60.988545,
      47.955992,
      60.879171,
      47.966530,
      60.856587,
      48.210396,
      59.864776,
      48.210396
    ]);
    poly[2278] = _TzPolygon([
      57.074315,
      48.210396,
      57.096243,
      48.247687,
      57.129736,
      48.229698,
      57.123576,
      48.276759,
      57.166090,
      48.328936,
      57.162718,
      48.372928,
      57.133496,
      48.361658,
      57.110189,
      48.416842,
      57.171718,
      48.555442,
      57.149911,
      48.654409,
      57.169025,
      48.673521,
      57.169236,
      48.811107,
      57.114669,
      48.865174,
      57.097391,
      48.833863,
      57.082602,
      48.949374,
      57.124532,
      49.002940,
      57.180685,
      48.973369,
      57.207146,
      49.054371,
      57.219817,
      49.007425,
      57.288947,
      49.007420,
      57.295150,
      49.085972,
      57.342444,
      49.176605,
      57.308299,
      49.216913,
      57.278620,
      49.183299,
      57.222493,
      49.200065,
      57.180187,
      49.138524,
      57.142352,
      49.160409,
      57.157890,
      49.208231,
      57.133327,
      49.171632,
      57.125234,
      49.217926,
      57.042111,
      49.247709,
      57.039513,
      49.328473,
      57.005419,
      49.390415,
      57.024076,
      49.429828,
      57.044821,
      49.402935,
      57.057757,
      49.468026,
      57.057465,
      49.540866,
      56.256925,
      49.540866,
      56.256925,
      48.210396
    ]);
    poly[2279] = _TzPolygon([
      57.057465,
      49.540866,
      57.057291,
      49.584293,
      57.077971,
      49.602114,
      57.050640,
      49.647774,
      57.057719,
      49.695383,
      57.012688,
      49.691418,
      56.952329,
      49.761010,
      56.932225,
      49.705227,
      56.911295,
      49.748882,
      56.886212,
      49.738418,
      56.885460,
      49.871113,
      56.855695,
      49.957315,
      56.869330,
      50.020649,
      56.831478,
      50.070407,
      56.795976,
      50.042915,
      56.792259,
      50.104437,
      56.659213,
      50.060962,
      56.657555,
      50.026035,
      56.611177,
      50.081424,
      56.604107,
      50.149412,
      56.650296,
      50.172819,
      56.632284,
      50.299205,
      56.678167,
      50.328953,
      56.608573,
      50.430506,
      56.575784,
      50.410307,
      56.611329,
      50.452537,
      56.609720,
      50.491241,
      56.550561,
      50.438251,
      56.506531,
      50.534719,
      56.479762,
      50.489056,
      56.393444,
      50.571828,
      56.404603,
      50.639824,
      56.349373,
      50.579791,
      56.312820,
      50.742640,
      56.346851,
      50.827086,
      56.409196,
      50.741588,
      56.374990,
      50.871335,
      56.364903,
      50.871335,
      56.355091,
      50.853890,
      56.333988,
      50.871335,
      56.257971,
      50.871335,
      56.256925,
      50.868975,
      56.256925,
      49.540866
    ]);
    poly[2280] = _TzPolygon([
      60.856587,
      48.210396,
      60.837206,
      48.419678,
      60.551513,
      48.560666,
      60.517251,
      48.496803,
      60.472218,
      48.496136,
      60.423506,
      48.632908,
      60.400429,
      48.530512,
      60.400813,
      48.680117,
      60.352692,
      48.785089,
      60.317715,
      48.773751,
      60.195156,
      48.492226,
      59.706844,
      48.523224,
      59.686542,
      48.801186,
      59.702446,
      48.807418,
      59.679033,
      48.847280,
      59.661699,
      49.101547,
      59.482398,
      49.039664,
      59.507078,
      49.151193,
      59.475030,
      49.216094,
      59.465125,
      49.351720,
      59.409332,
      49.344454,
      59.393145,
      49.571821,
      59.216969,
      49.521869,
      59.198289,
      49.728482,
      59.220993,
      49.768789,
      59.210535,
      49.817400,
      59.478514,
      49.872192,
      59.485070,
      49.798428,
      59.655265,
      49.859414,
      59.680315,
      50.084932,
      59.723025,
      49.985762,
      59.779092,
      49.991028,
      59.747937,
      50.270358,
      59.805919,
      50.290289,
      59.839064,
      50.402734,
      59.863324,
      50.831023,
      59.894693,
      50.871335,
      58.662159,
      50.871335,
      58.662159,
      48.210396
    ]);
    poly[2281] = _TzPolygon([
      56.201553,
      50.871335,
      56.195560,
      50.877348,
      56.198126,
      50.917326,
      55.442170,
      50.917326,
      55.442170,
      50.871335
    ]);
    poly[2282] = _TzPolygon(
        [56.333988, 50.871335, 56.278355, 50.917326, 56.257971, 50.871335]);
    poly[2283] = _TzPolygon(
        [56.374990, 50.871335, 56.371771, 50.883545, 56.364903, 50.871335]);
    poly[2284] = _TzPolygon([
      56.218088,
      51.359302,
      56.203405,
      51.349729,
      56.218088,
      51.412142,
      56.218088,
      51.462740,
      56.197263,
      51.462740,
      56.192176,
      51.441036,
      56.127376,
      51.444008,
      56.060762,
      51.320319,
      56.083867,
      51.286631,
      56.084197,
      51.218075,
      56.123118,
      51.207984,
      56.136730,
      51.129677,
      56.112816,
      51.058532,
      56.131697,
      51.066751,
      56.153971,
      50.984958,
      56.203589,
      51.002454,
      56.198643,
      50.917326,
      56.218088,
      50.917326
    ]);
    poly[2285] = _TzPolygon([
      55.926832,
      51.462740,
      56.008350,
      51.405953,
      56.045471,
      51.341129,
      56.008832,
      51.407941,
      56.042377,
      51.417707,
      56.052376,
      51.462740
    ]);
    poly[2286] = _TzPolygon([
      56.128176,
      51.462740,
      56.127376,
      51.444008,
      56.192176,
      51.441036,
      56.197263,
      51.462740
    ]);
    poly[2287] = _TzPolygon(
        [56.218088, 51.412142, 56.203405, 51.349729, 56.218088, 51.359302]);
    poly[2288] = _TzPolygon([
      56.218088,
      51.465272,
      56.205729,
      51.498864,
      56.197263,
      51.462740,
      56.218088,
      51.462740
    ]);
    poly[2289] = _TzPolygon([
      56.128219,
      51.462740,
      56.136153,
      51.639118,
      56.090631,
      51.635028,
      56.052376,
      51.462740
    ]);
    poly[2290] = _TzPolygon([
      55.926832,
      51.462740,
      55.911487,
      51.473429,
      55.954518,
      51.470138,
      55.936623,
      51.511859,
      55.960105,
      51.487070,
      55.951902,
      51.522955,
      55.977040,
      51.556819,
      55.952740,
      51.601780,
      55.971199,
      51.647675,
      55.944045,
      51.665684,
      55.941350,
      51.708453,
      55.981557,
      51.742772,
      55.954091,
      51.757615,
      55.941683,
      51.711387,
      55.939150,
      51.781854,
      55.886564,
      51.780970,
      55.946404,
      51.854731,
      55.951743,
      51.929855,
      55.989862,
      51.952489,
      55.977966,
      52.008154,
      55.442170,
      52.008154,
      55.442170,
      51.462740
    ]);
    poly[2291] = _TzPolygon([
      56.218088,
      51.465272,
      56.225712,
      51.444550,
      56.218088,
      51.412142,
      56.218088,
      51.359302,
      56.286327,
      51.403791,
      56.320586,
      51.345801,
      56.307470,
      51.286290,
      56.351336,
      51.303618,
      56.379529,
      51.265141,
      56.421902,
      51.299262,
      56.427622,
      51.186654,
      56.511828,
      51.127693,
      56.545827,
      51.164757,
      56.684637,
      51.180423,
      56.666895,
      51.393202,
      56.766567,
      51.391373,
      56.799073,
      51.483415,
      56.885229,
      51.536232,
      56.914997,
      51.476817,
      56.897749,
      51.455258,
      56.908362,
      51.392154,
      56.941960,
      51.424346,
      56.937420,
      51.353779,
      56.994006,
      51.325029,
      56.994006,
      52.008154,
      56.218088,
      52.008154
    ]);
    poly[2292] = _TzPolygon([
      55.977966,
      52.008154,
      55.971799,
      52.037009,
      55.902402,
      52.068855,
      55.904398,
      52.156222,
      55.936234,
      52.198673,
      55.950341,
      52.179353,
      55.957521,
      52.244809,
      56.020600,
      52.206435,
      56.036556,
      52.261600,
      56.091916,
      52.211522,
      56.098249,
      52.242639,
      56.019136,
      52.379718,
      56.036019,
      52.415712,
      56.008139,
      52.463312,
      56.032898,
      52.499403,
      56.058084,
      52.427005,
      56.082721,
      52.456863,
      55.994391,
      52.676377,
      55.989558,
      52.756727,
      56.130197,
      52.712548,
      56.080128,
      52.845043,
      56.118692,
      52.880856,
      56.120532,
      52.818890,
      56.159847,
      52.882179,
      56.218088,
      52.745066,
      56.218088,
      52.992707,
      56.198586,
      53.018284,
      56.212118,
      53.061423,
      56.211158,
      53.067692,
      56.199916,
      53.041346,
      56.169234,
      53.048892,
      56.174949,
      53.088860,
      56.129808,
      53.064148,
      56.115705,
      53.098981,
      55.442170,
      53.098981,
      55.442170,
      52.008154
    ]);
    poly[2293] = _TzPolygon(
        [56.119641, 53.098981, 56.141180, 53.088002, 56.144081, 53.098981]);
    poly[2294] = _TzPolygon([
      56.218088,
      52.745066,
      56.221247,
      52.737629,
      56.222258,
      52.584101,
      56.242864,
      52.555310,
      56.285455,
      52.593789,
      56.274227,
      52.653981,
      56.397833,
      52.777968,
      56.378934,
      52.829400,
      56.428430,
      52.963986,
      56.459967,
      52.969235,
      56.508093,
      52.878214,
      56.490724,
      52.935059,
      56.542372,
      52.948265,
      56.541096,
      53.049402,
      56.512657,
      53.089495,
      56.514721,
      53.098981,
      56.509009,
      53.098981,
      56.511086,
      53.087018,
      56.454529,
      53.088353,
      56.431872,
      53.003746,
      56.285401,
      52.944041,
      56.285780,
      52.990802,
      56.240447,
      52.963382,
      56.218088,
      52.992707
    ]);
    poly[2295] = _TzPolygon([
      56.994006,
      51.325029,
      57.019393,
      51.312130,
      57.044933,
      51.216643,
      57.135318,
      51.245662,
      57.140956,
      51.194250,
      57.241956,
      51.179236,
      57.243277,
      51.124165,
      57.440762,
      51.165254,
      57.468212,
      51.400422,
      57.460752,
      51.590067,
      57.531568,
      51.626881,
      57.515233,
      51.695293,
      57.538203,
      51.755660,
      57.575104,
      51.767267,
      57.571018,
      51.835713,
      57.596499,
      51.846748,
      57.588206,
      51.799648,
      57.625729,
      51.855992,
      57.729299,
      51.864777,
      57.764626,
      51.954912,
      57.828973,
      51.927628,
      57.843815,
      51.820076,
      57.886603,
      51.851087,
      57.913884,
      51.824634,
      57.935859,
      51.882430,
      58.000705,
      51.924883,
      58.021683,
      51.814263,
      58.073841,
      51.841874,
      58.154358,
      51.778351,
      58.135672,
      51.749392,
      58.151237,
      51.681015,
      58.215455,
      51.743761,
      58.250284,
      51.722780,
      58.285681,
      51.820346,
      58.361832,
      51.787014,
      58.374106,
      51.855233,
      58.453088,
      51.964705,
      58.489055,
      52.180407,
      58.462888,
      52.296974,
      58.431696,
      52.319952,
      58.392879,
      52.843075,
      58.533618,
      52.892691,
      58.522298,
      53.090581,
      58.545842,
      53.098981,
      56.994006,
      53.098981
    ]);
    poly[2296] = _TzPolygon([
      56.115705,
      53.098981,
      56.114682,
      53.101509,
      56.119641,
      53.098981,
      56.144081,
      53.098981,
      56.158943,
      53.155232,
      56.103466,
      53.193653,
      56.090384,
      53.224940,
      56.107618,
      53.263174,
      56.062106,
      53.332830,
      56.090312,
      53.383501,
      56.109331,
      53.347110,
      56.165816,
      53.350944,
      56.216211,
      53.315115,
      56.245414,
      53.238251,
      56.276134,
      53.433793,
      56.232986,
      53.488775,
      56.236981,
      53.575332,
      56.125731,
      53.568052,
      56.117237,
      53.523714,
      56.136395,
      53.497002,
      56.065024,
      53.440391,
      56.026196,
      53.464860,
      56.016730,
      53.365395,
      55.993436,
      53.389993,
      55.986043,
      53.323752,
      55.938466,
      53.316042,
      55.936238,
      53.209732,
      55.872167,
      53.240619,
      55.850578,
      53.409222,
      55.912106,
      53.547655,
      55.902058,
      53.584666,
      55.910705,
      53.625801,
      55.442170,
      53.625801,
      55.442170,
      53.098981
    ]);
    poly[2297] = _TzPolygon([
      55.910705,
      53.625801,
      55.929086,
      53.713246,
      55.906290,
      53.720582,
      55.895578,
      53.817387,
      55.867247,
      53.840981,
      55.886982,
      53.879525,
      55.865566,
      53.895725,
      55.852006,
      53.858088,
      55.847449,
      53.991750,
      55.812868,
      53.942312,
      55.778684,
      53.959428,
      55.808940,
      54.048674,
      55.785811,
      54.062719,
      55.757501,
      54.014454,
      55.780990,
      54.128695,
      55.757297,
      54.116455,
      55.730669,
      54.152621,
      55.607549,
      54.152621,
      55.531001,
      53.966494,
      55.465870,
      53.978624,
      55.455099,
      53.926926,
      55.442170,
      53.915395,
      55.442170,
      53.625801
    ]);
    poly[2298] = _TzPolygon([
      56.153675,
      54.152621,
      56.009474,
      54.014881,
      56.044852,
      53.845360,
      55.972239,
      53.818192,
      55.969034,
      53.708927,
      55.916329,
      53.681295,
      55.914575,
      53.625801,
      56.276134,
      53.625801,
      56.276134,
      54.152621
    ]);
    poly[2299] = _TzPolygon([
      55.730669,
      54.152621,
      55.715428,
      54.173322,
      55.701347,
      54.220947,
      55.726709,
      54.241998,
      55.703756,
      54.265697,
      55.612565,
      54.164817,
      55.607549,
      54.152621
    ]);
  }
}

class _Initializer24 {
  static void _init() {
    poly[2300] = _TzPolygon([
      56.276134,
      54.403236,
      56.258520,
      54.394178,
      56.198227,
      54.195177,
      56.153675,
      54.152621,
      56.276134,
      54.152621
    ]);
    poly[2301] = _TzPolygon([
      56.276134,
      54.401120,
      56.308250,
      54.419958,
      56.313338,
      54.364719,
      56.482895,
      54.328795,
      56.458165,
      54.244086,
      56.534463,
      54.191303,
      56.541972,
      54.107960,
      56.579169,
      54.103281,
      56.579697,
      54.033574,
      56.638933,
      54.075991,
      56.600298,
      53.958062,
      56.596721,
      53.841020,
      56.654217,
      53.851004,
      56.679069,
      53.901705,
      56.779609,
      53.806785,
      56.797446,
      53.831873,
      56.799110,
      53.794068,
      56.820930,
      53.824338,
      56.755001,
      53.957858,
      56.753196,
      54.020412,
      56.812081,
      54.086471,
      56.978818,
      54.154218,
      56.991877,
      54.221212,
      56.973219,
      54.341431,
      57.031004,
      54.436131,
      57.108531,
      54.295711,
      57.158411,
      54.347841,
      57.185247,
      54.305702,
      57.223288,
      54.340702,
      57.240007,
      54.297994,
      57.306043,
      54.311169,
      57.299752,
      54.204668,
      57.329141,
      54.127582,
      57.371825,
      54.149179,
      57.377806,
      54.119877,
      57.410988,
      54.230123,
      57.410988,
      55.206261,
      56.276134,
      55.206261
    ]);
    poly[2302] = _TzPolygon([
      56.514721,
      53.098981,
      56.524698,
      53.144828,
      56.503670,
      53.129737,
      56.509009,
      53.098981
    ]);
    poly[2303] = _TzPolygon([
      57.410988,
      54.230123,
      57.426353,
      54.281172,
      57.461267,
      54.273825,
      57.483948,
      54.143876,
      57.521944,
      54.173095,
      57.532376,
      54.142203,
      57.523880,
      54.031841,
      57.570364,
      54.043913,
      57.559337,
      53.991837,
      57.586975,
      53.986050,
      57.615644,
      54.126741,
      57.643421,
      54.050386,
      57.680584,
      54.056055,
      57.705430,
      54.155339,
      57.741150,
      54.111653,
      57.774661,
      54.155539,
      57.809495,
      54.119574,
      57.873826,
      54.138268,
      57.918409,
      54.085662,
      57.957979,
      54.136469,
      58.084837,
      53.947080,
      58.146597,
      53.945872,
      58.164273,
      53.885234,
      58.179682,
      53.908204,
      58.236607,
      53.785463,
      58.314360,
      53.886680,
      58.420644,
      53.772575,
      58.477615,
      53.788105,
      58.545842,
      53.741829,
      58.545842,
      55.206261,
      57.410988,
      55.206261
    ]);
    poly[2304] = _TzPolygon([
      58.545842,
      53.737155,
      58.455029,
      53.791308,
      58.472183,
      53.636346,
      58.455267,
      53.629216,
      58.474256,
      53.620923,
      58.418863,
      53.592068,
      58.443574,
      53.596213,
      58.454353,
      53.504666,
      58.384282,
      53.373651,
      58.401361,
      53.213692,
      58.443735,
      53.248020,
      58.450482,
      53.160667,
      58.542172,
      53.160052,
      58.545842,
      53.098981
    ]);
    poly[2305] = _TzPolygon(
        [59.296514, 53.257071, 59.333703, 53.223935, 59.365954, 53.257071]);
    poly[2306] = _TzPolygon([
      60.154597,
      53.257071,
      60.151150,
      53.069564,
      60.186602,
      52.442615,
      60.227479,
      52.316959,
      60.356369,
      52.371894,
      60.360814,
      52.332942,
      60.438092,
      52.355028,
      60.464576,
      52.124069,
      60.541242,
      52.152814,
      60.580450,
      51.771518,
      60.881543,
      51.892312,
      60.829175,
      52.360944,
      60.976416,
      52.431433,
      60.937746,
      52.806464,
      61.090131,
      52.870731,
      61.049817,
      53.257071
    ]);
    poly[2307] = _TzPolygon([
      59.894693,
      50.871335,
      60.031904,
      51.047665,
      60.048892,
      51.179066,
      59.994091,
      51.390272,
      59.915573,
      51.467194,
      59.941533,
      51.551321,
      60.085865,
      51.766358,
      60.279334,
      51.973869,
      60.308488,
      52.065457,
      60.186602,
      52.442615,
      60.153197,
      52.927270,
      60.155805,
      53.257071,
      59.365954,
      53.257071,
      59.333703,
      53.223935,
      59.300350,
      53.257071,
      58.545842,
      53.257071,
      58.545842,
      50.871335
    ]);
    poly[2308] = _TzPolygon([
      60.155805,
      53.257071,
      60.156718,
      53.372461,
      60.224351,
      53.437590,
      60.112095,
      53.628103,
      60.009277,
      53.686566,
      59.748234,
      53.631811,
      59.687782,
      53.598290,
      59.703145,
      53.451000,
      59.462192,
      53.355949,
      59.365954,
      53.257071
    ]);
    poly[2309] = _TzPolygon([
      59.300350,
      53.257071,
      59.146546,
      53.409874,
      59.151769,
      53.555881,
      59.118569,
      53.722017,
      59.152474,
      53.682409,
      59.182651,
      53.724423,
      59.111331,
      53.816416,
      59.116024,
      53.876803,
      59.087286,
      53.903010,
      59.033986,
      53.865769,
      59.015265,
      53.785501,
      58.965256,
      53.753185,
      58.862258,
      53.796578,
      58.774383,
      53.930011,
      58.691221,
      53.737992,
      58.656579,
      53.766400,
      58.602877,
      53.703145,
      58.545842,
      53.737155,
      58.545842,
      53.257071
    ]);
    poly[2310] = _TzPolygon([
      61.105941,
      55.642808,
      61.148713,
      55.275878,
      60.991563,
      55.199961,
      61.009161,
      55.050050,
      60.859908,
      54.976851,
      60.982651,
      53.875831,
      60.831604,
      53.813824,
      60.847120,
      53.663977,
      60.882661,
      53.355153,
      61.033485,
      53.413588,
      61.049817,
      53.257071,
      62.310171,
      53.257071,
      62.310171,
      55.642808
    ]);
    poly[2311] = _TzPolygon([
      62.310171,
      55.642808,
      62.310171,
      59.511996,
      62.258452,
      59.501466,
      62.157112,
      59.399401,
      61.946615,
      59.489022,
      61.843348,
      59.328030,
      61.783388,
      59.325909,
      61.754598,
      59.422190,
      61.663067,
      59.348969,
      61.626507,
      59.239947,
      61.629707,
      59.148321,
      61.536394,
      59.048309,
      61.517880,
      58.844108,
      61.495045,
      58.843882,
      61.501850,
      57.092688,
      61.475297,
      57.080551,
      61.524300,
      56.653124,
      61.418999,
      56.566341,
      61.443122,
      56.378270,
      61.191858,
      56.274501,
      61.246778,
      55.813087,
      61.095603,
      55.731499,
      61.105941,
      55.642808
    ]);
    poly[2312] = _TzPolygon([
      62.310171,
      59.511996,
      62.321539,
      59.514311,
      62.374869,
      59.614206,
      62.419287,
      59.582433,
      62.548454,
      59.635447,
      62.565473,
      59.442953,
      62.604623,
      59.471717,
      62.750549,
      59.358958,
      62.778262,
      59.433324,
      62.898072,
      59.462157,
      62.933238,
      59.414852,
      62.982778,
      59.224430,
      63.027597,
      59.203794,
      63.089303,
      59.225312,
      63.123803,
      59.322729,
      63.183193,
      59.287023,
      63.251827,
      59.365877,
      63.321088,
      59.321766,
      63.369468,
      59.373906,
      63.387493,
      59.310830,
      63.422055,
      59.377966,
      63.552800,
      59.471299,
      63.908559,
      59.561302,
      63.960818,
      59.720931,
      64.087144,
      59.836947,
      64.134407,
      59.828359,
      64.147693,
      59.681714,
      64.214421,
      59.633636,
      64.243126,
      59.558743,
      64.434677,
      59.651362,
      64.497467,
      59.598435,
      64.495798,
      59.464282,
      64.544007,
      59.556749,
      64.649917,
      59.618335,
      64.667875,
      59.751588,
      64.724431,
      59.625835,
      64.803266,
      59.624632,
      64.825948,
      59.724130,
      64.875580,
      59.739689,
      64.911096,
      59.811100,
      64.895313,
      59.865213,
      64.932240,
      59.892290,
      64.940777,
      60.004264,
      64.996658,
      60.057463,
      65.028549,
      60.034186,
      65.051660,
      60.173897,
      65.078554,
      60.211810,
      65.066039,
      60.414280,
      62.310171,
      60.414280
    ]);
    poly[2313] = _TzPolygon([
      66.074501,
      60.414280,
      66.074501,
      62.886780,
      66.000908,
      62.792307,
      65.965945,
      62.904436,
      65.903169,
      62.775381,
      65.868164,
      62.826238,
      65.844809,
      62.684600,
      65.847722,
      62.496709,
      65.757906,
      62.229096,
      65.686944,
      61.858602,
      65.666290,
      61.875521,
      65.603809,
      61.704272,
      65.578134,
      61.720480,
      65.560072,
      61.620124,
      65.386712,
      61.417671,
      65.327348,
      61.298457,
      65.277068,
      61.295144,
      65.282884,
      61.358588,
      65.250371,
      61.364979,
      65.211969,
      61.281404,
      65.172494,
      61.286270,
      65.162295,
      61.107646,
      65.082692,
      61.077514,
      65.066361,
      60.995155,
      65.013068,
      60.946262,
      65.024967,
      60.807603,
      64.930471,
      60.738820,
      64.918553,
      60.618781,
      65.005599,
      60.435716,
      65.065679,
      60.420103,
      65.066039,
      60.414280
    ]);
    poly[2314] = _TzPolygon([
      66.074501,
      62.886780,
      66.247982,
      63.109482,
      66.219457,
      63.278412,
      66.247792,
      63.311965,
      66.330948,
      63.229665,
      66.339047,
      63.292664,
      66.417351,
      63.323822,
      66.466617,
      63.418482,
      66.457538,
      63.510363,
      66.519558,
      63.630876,
      66.532506,
      63.804552,
      66.637837,
      63.985082,
      66.645543,
      64.263616,
      66.722151,
      64.395068,
      66.715489,
      64.534173,
      66.750860,
      64.506080,
      66.799888,
      64.561083,
      66.801214,
      64.677713,
      66.831029,
      64.708453,
      66.834849,
      64.877128,
      66.906223,
      65.135898,
      67.039776,
      65.081782,
      67.073701,
      65.185752,
      66.074501,
      65.185752
    ]);
    poly[2315] = _TzPolygon(
        [67.146067, 65.185752, 67.150023, 65.181366, 67.151593, 65.185752]);
    poly[2316] = _TzPolygon([
      68.818429,
      65.185752,
      68.802739,
      65.129166,
      68.876112,
      64.921725,
      68.862344,
      64.857945,
      68.893577,
      64.788541,
      68.853112,
      64.746879,
      68.863093,
      64.567976,
      68.910664,
      64.551408,
      68.948163,
      64.628733,
      68.978933,
      64.518136,
      69.029281,
      64.539609,
      69.072201,
      64.696729,
      69.123810,
      64.740301,
      69.172637,
      64.859514,
      69.193918,
      65.025041,
      69.235888,
      65.077134,
      69.338696,
      65.131810,
      69.563919,
      64.965044,
      69.648704,
      65.185752
    ]);
    poly[2317] = _TzPolygon([
      68.818230,
      65.185752,
      68.824516,
      65.209440,
      68.801939,
      65.232974,
      68.812448,
      65.344533,
      68.788339,
      65.347424,
      68.791903,
      65.399996,
      68.728544,
      65.351000,
      68.733690,
      65.448928,
      68.695573,
      65.463755,
      68.681967,
      65.402715,
      68.646778,
      65.436069,
      68.563628,
      65.670532,
      68.234566,
      65.274676,
      68.108127,
      65.352424,
      67.952395,
      65.354903,
      67.909660,
      65.432183,
      67.932918,
      65.550222,
      67.917774,
      65.750153,
      67.961368,
      65.903266,
      67.938814,
      66.076610,
      67.914221,
      66.133489,
      67.879331,
      66.057176,
      67.831083,
      66.074299,
      67.807482,
      66.023006,
      67.733913,
      66.251686,
      67.649424,
      66.161257,
      67.677303,
      65.991271,
      67.653882,
      65.960725,
      67.668486,
      65.852000,
      67.642616,
      65.786376,
      67.601611,
      65.836791,
      67.571333,
      65.786651,
      67.538601,
      65.822687,
      67.579231,
      66.052412,
      67.471723,
      66.076915,
      67.403813,
      65.995698,
      67.380796,
      65.698554,
      67.333938,
      65.746773,
      67.324271,
      65.665897,
      67.294487,
      65.662009,
      67.299745,
      65.601854,
      67.209456,
      65.427562,
      67.215417,
      65.364080,
      67.151593,
      65.185752
    ]);
    poly[2318] = _TzPolygon(
        [67.146067, 65.185752, 67.092926, 65.244671, 67.073701, 65.185752]);
    poly[2319] = _TzPolygon([
      48.217445,
      42.088394,
      48.217445,
      44.326271,
      48.041328,
      44.325132,
      48.042363,
      44.423857,
      47.889483,
      44.392012,
      47.851650,
      44.359057,
      47.899435,
      44.082590,
      47.753096,
      43.945831,
      47.760843,
      43.871450,
      47.719002,
      43.716835,
      47.548888,
      43.667597,
      47.467751,
      43.713893,
      47.443733,
      43.657505,
      47.485709,
      43.587170,
      47.447569,
      43.314577,
      47.456157,
      43.194611,
      47.467957,
      43.152204,
      47.553664,
      43.164356,
      47.553617,
      43.049853,
      47.507918,
      42.996583,
      47.507356,
      42.924990,
      47.671727,
      42.846395,
      47.761172,
      42.759073,
      47.875870,
      42.720174,
      47.908836,
      42.629610,
      48.018645,
      42.525202,
      48.009330,
      42.391620,
      48.050496,
      42.367812,
      48.027268,
      42.338384,
      48.032691,
      42.216126,
      48.005401,
      42.158603,
      48.025080,
      42.132149,
      48.023924,
      42.018131,
      48.106160,
      42.031610,
      48.140898,
      42.129050
    ]);
    poly[2320] = _TzPolygon([
      48.217445,
      44.911935,
      48.194732,
      44.937474,
      48.120248,
      44.925662,
      48.050632,
      44.809767,
      48.086332,
      44.663061,
      48.053846,
      44.648987,
      48.050487,
      44.541061,
      48.188073,
      44.544157,
      48.206230,
      44.435767,
      48.217445,
      44.436494
    ]);
    poly[2321] = _TzPolygon([
      48.217445,
      42.088394,
      48.265648,
      42.062793,
      48.276916,
      42.181006,
      48.415706,
      42.085691,
      48.515275,
      42.308733,
      48.496896,
      42.364668,
      48.519081,
      42.400227,
      48.505488,
      42.460540,
      48.557432,
      42.598290,
      48.543195,
      42.622117,
      48.590948,
      42.662304,
      48.589233,
      42.679380,
      48.217445,
      42.679380
    ]);
    poly[2322] = _TzPolygon(
        [48.648159, 42.679380, 48.700576, 42.657963, 48.718692, 42.679380]);
    poly[2323] = _TzPolygon([
      48.936668,
      42.679380,
      48.953651,
      42.652465,
      48.969331,
      42.564930,
      49.010149,
      42.500368,
      49.008741,
      42.388048,
      49.050401,
      42.350433,
      49.062182,
      42.387198,
      49.106679,
      42.382730,
      49.139264,
      42.339804,
      49.122346,
      42.189283,
      49.133835,
      42.021112,
      49.195383,
      42.098703,
      49.211555,
      42.045306,
      49.267257,
      42.068084,
      49.272549,
      42.105855,
      49.286759,
      42.075307,
      49.340972,
      42.078087,
      49.342203,
      42.029998,
      49.406949,
      42.037076,
      49.675666,
      42.184355,
      49.732527,
      42.113765,
      49.732527,
      42.679380
    ]);
    poly[2324] = _TzPolygon([
      49.732527,
      42.679380,
      49.732527,
      42.113765,
      49.831590,
      41.990783,
      49.850074,
      41.920794,
      49.907509,
      41.876885,
      49.918477,
      41.751389,
      49.943959,
      41.722128,
      49.959574,
      41.617367,
      49.992400,
      41.576483,
      50.041516,
      41.610803,
      50.081221,
      41.493767,
      50.227210,
      41.382154,
      50.362572,
      41.522177,
      50.498893,
      41.420479,
      50.563731,
      41.487791,
      50.574382,
      41.539097,
      50.608973,
      41.517341,
      50.606221,
      41.447823,
      50.711609,
      41.346678,
      50.774513,
      41.168105,
      50.842407,
      41.392800,
      50.832276,
      41.420534,
      50.915927,
      41.428337,
      50.949908,
      41.471078,
      50.946212,
      41.525203,
      51.016145,
      41.774380,
      51.118410,
      41.820000,
      51.194125,
      41.928097,
      51.135876,
      42.174743,
      51.160901,
      42.422761,
      51.145240,
      42.434685,
      51.144735,
      42.553001,
      51.153082,
      42.595525,
      51.223311,
      42.679380
    ]);
    poly[2325] = _TzPolygon([
      48.230631,
      45.131181,
      48.270856,
      44.960978,
      48.359200,
      44.991761,
      48.357655,
      45.025853,
      48.424901,
      45.014685,
      48.426709,
      45.052946,
      48.462152,
      45.064055,
      48.465970,
      45.131181
    ]);
    poly[2326] = _TzPolygon([
      48.936668,
      42.679380,
      48.934236,
      42.683235,
      48.870527,
      42.685629,
      48.822700,
      42.748716,
      48.774256,
      42.745068,
      48.718692,
      42.679380
    ]);
    poly[2327] = _TzPolygon(
        [48.648159, 42.679380, 48.586712, 42.704487, 48.589233, 42.679380]);
    poly[2328] = _TzPolygon([
      48.217445,
      44.326271,
      48.238797,
      44.326409,
      48.250450,
      44.381122,
      48.233604,
      44.382409,
      48.229747,
      44.437292,
      48.217445,
      44.436494
    ]);
    poly[2329] = _TzPolygon([
      48.217445,
      44.911935,
      48.219390,
      44.909748,
      48.270856,
      44.960978,
      48.230631,
      45.131181,
      48.217445,
      45.131181
    ]);
    poly[2330] = _TzPolygon(
        [51.247608, 42.708392, 51.223311, 42.679380, 51.247608, 42.679380]);
    poly[2331] = _TzPolygon(
        [51.247608, 42.918949, 51.233025, 42.880894, 51.247608, 42.708392]);
    poly[2332] = _TzPolygon([
      51.064507,
      45.131181,
      51.077214,
      45.083942,
      51.119186,
      45.068490,
      51.145638,
      44.993072,
      51.108716,
      44.928124,
      51.171213,
      44.865186,
      51.148544,
      44.789152,
      51.178294,
      44.643812,
      51.161954,
      44.614069,
      51.126050,
      44.627206,
      51.119465,
      44.592870,
      51.211368,
      44.477415,
      51.179842,
      44.425089,
      51.174326,
      44.345373,
      51.198713,
      44.224031,
      51.093224,
      44.184978,
      51.125131,
      44.117872,
      51.097146,
      44.094334,
      51.105535,
      44.038782,
      51.072112,
      44.050976,
      51.072218,
      44.018499,
      51.159168,
      44.018459,
      51.145848,
      43.962361,
      51.161720,
      43.922590,
      51.104157,
      43.865166,
      51.118713,
      43.667704,
      51.098881,
      43.692661,
      51.055545,
      43.662740,
      51.060632,
      43.561704,
      51.034843,
      43.424059,
      50.998713,
      43.358549,
      51.111749,
      43.192574,
      51.233025,
      42.880894,
      51.247608,
      42.909230,
      51.247608,
      45.131181
    ]);
    poly[2333] = _TzPolygon([
      45.388409,
      47.582981,
      45.404747,
      47.551402,
      45.495454,
      47.563943,
      45.538623,
      47.509981,
      45.609431,
      47.491574,
      45.627631,
      47.564493,
      45.660655,
      47.520341,
      45.645917,
      47.479616,
      45.676783,
      47.295991,
      45.647343,
      47.284105,
      45.618206,
      47.212380,
      45.618867,
      46.969002,
      45.596445,
      46.948795,
      45.565388,
      46.814059,
      45.577237,
      46.769149,
      45.615088,
      46.749669,
      45.619475,
      46.683401,
      45.648470,
      46.693884,
      45.700460,
      46.477718,
      45.798013,
      46.549815,
      45.815958,
      46.411932,
      45.914425,
      46.295432,
      45.963011,
      46.310636,
      45.965448,
      46.454929,
      46.177632,
      46.449329,
      46.280949,
      46.501244,
      46.320618,
      46.400832,
      46.375777,
      46.504665,
      46.354266,
      46.560863,
      46.440919,
      46.662967,
      46.445471,
      46.964673,
      46.524452,
      46.950327,
      46.619630,
      46.866209,
      46.702364,
      46.944873,
      46.702364,
      47.582981
    ]);
    poly[2334] = _TzPolygon([
      47.781479,
      47.582981,
      47.838260,
      47.415260,
      47.681285,
      47.385221,
      47.760840,
      47.194444,
      47.831678,
      47.121844,
      47.853850,
      47.181044,
      47.997751,
      47.049937,
      48.036390,
      47.148554,
      48.061109,
      47.158768,
      48.054928,
      47.200527,
      48.082216,
      47.211117,
      48.103244,
      47.090852,
      48.158065,
      47.124800,
      48.217445,
      47.114032,
      48.217445,
      47.306726,
      48.194419,
      47.582981
    ]);
    poly[2335] = _TzPolygon(
        [48.186585, 47.582981, 48.217445, 47.178019, 48.217445, 47.582981]);
    poly[2336] = _TzPolygon([
      48.217445,
      45.164704,
      48.187713,
      45.145672,
      48.164878,
      45.238505,
      48.105472,
      45.266053,
      48.099755,
      45.379406,
      47.993780,
      45.550385,
      48.032274,
      45.698544,
      48.001333,
      45.756632,
      47.931219,
      45.713866,
      47.830262,
      45.740173,
      47.814407,
      45.783960,
      47.720167,
      45.841256,
      47.716952,
      45.899871,
      47.644680,
      45.921678,
      47.564758,
      46.007970,
      47.420745,
      46.267207,
      47.413302,
      46.398887,
      47.607172,
      46.703368,
      47.607575,
      46.761097,
      47.548898,
      46.873143,
      47.481976,
      46.669314,
      47.403407,
      46.536258,
      47.073858,
      46.739231,
      46.992215,
      46.817065,
      46.974220,
      46.962178,
      46.715370,
      46.957240,
      46.702364,
      46.944873,
      46.702364,
      45.131181,
      48.217445,
      45.131181
    ]);
    poly[2337] = _TzPolygon([
      46.702364,
      48.539169,
      46.702364,
      48.732816,
      46.685468,
      48.750552,
      46.693412,
      48.919995,
      46.702364,
      48.933686,
      46.702364,
      50.034781,
      46.193704,
      50.034781,
      46.128958,
      50.020869,
      46.045769,
      49.886117,
      46.186667,
      49.701667,
      46.193333,
      49.506667,
      46.293301,
      49.263727,
      46.377144,
      49.179803,
      46.393068,
      49.053287,
      46.481563,
      48.878679,
      46.480169,
      48.826656,
      46.542088,
      48.786482,
      46.563056,
      48.702404,
      46.557266,
      48.547941,
      46.585824,
      48.557361,
      46.603404,
      48.622726,
      46.609240,
      48.566269,
      46.641874,
      48.560284,
      46.670621,
      48.477902,
      46.688453,
      48.552989
    ]);
    poly[2338] = _TzPolygon([
      45.388409,
      47.582981,
      45.262264,
      47.826803,
      45.206459,
      47.615495,
      45.187282,
      47.603637,
      45.187282,
      47.582981
    ]);
    poly[2339] = _TzPolygon([
      48.186585,
      47.582981,
      48.217445,
      47.582981,
      48.217445,
      50.034781,
      48.081829,
      50.034781,
      48.040024,
      49.974004,
      48.042782,
      49.805523,
      48.012977,
      49.750904,
      48.024312,
      49.438842,
      47.920497,
      49.446813,
      48.103063,
      48.679001
    ]);
    poly[2340] = _TzPolygon([
      47.781479,
      47.582981,
      47.758002,
      47.652327,
      47.763033,
      48.028166,
      47.744928,
      48.111684,
      47.691627,
      48.209370,
      47.411652,
      48.451563,
      47.411752,
      48.519423,
      47.095756,
      48.710214,
      46.880604,
      48.915276,
      46.743084,
      48.995967,
      46.702364,
      48.933686,
      46.702364,
      48.732816,
      46.720912,
      48.713344,
      46.731015,
      48.643851,
      46.704987,
      48.615945,
      46.706286,
      48.535272,
      46.702364,
      48.539169,
      46.702364,
      47.582981
    ]);
    poly[2341] = _TzPolygon([
      48.230631,
      45.131181,
      48.222017,
      45.167631,
      48.217445,
      45.164704,
      48.217445,
      45.131181
    ]);
    poly[2342] = _TzPolygon([
      49.732527,
      46.357081,
      48.797333,
      46.357081,
      48.821239,
      46.308201,
      48.837388,
      46.324290,
      48.861628,
      46.017229,
      48.843104,
      45.945425,
      48.728350,
      45.878833,
      48.682752,
      45.805922,
      48.673304,
      45.707524,
      48.602705,
      45.604029,
      48.574976,
      45.507084,
      48.590312,
      45.434411,
      48.549033,
      45.361676,
      48.573147,
      45.302732,
      48.555052,
      45.213546,
      48.535035,
      45.200688,
      48.513442,
      45.230755,
      48.513969,
      45.326897,
      48.483182,
      45.324356,
      48.500151,
      45.355722,
      48.492555,
      45.417571,
      48.432030,
      45.339971,
      48.485871,
      45.200102,
      48.514068,
      45.213009,
      48.512157,
      45.174436,
      48.469328,
      45.190219,
      48.465970,
      45.131181,
      49.732527,
      45.131181
    ]);
    poly[2343] = _TzPolygon(
        [48.217445, 47.114032, 48.233753, 47.111075, 48.217445, 47.306726]);
    poly[2344] = _TzPolygon([
      48.797333,
      46.357081,
      48.667749,
      46.622036,
      48.432558,
      46.493218,
      48.268503,
      47.122974,
      48.217445,
      47.105495,
      48.217445,
      46.357081
    ]);
    poly[2345] = _TzPolygon([
      49.732527,
      46.872413,
      49.339877,
      46.782242,
      49.232396,
      46.996186,
      49.165588,
      47.051343,
      49.027344,
      46.972040,
      48.951414,
      46.779165,
      48.667749,
      46.622036,
      48.797333,
      46.357081,
      49.732527,
      46.357081
    ]);
    poly[2346] = _TzPolygon([
      51.064507,
      45.131181,
      51.040342,
      45.221014,
      50.968482,
      45.204105,
      50.934021,
      45.257829,
      50.935372,
      45.223834,
      50.913979,
      45.303562,
      50.862311,
      45.325770,
      50.721352,
      45.276031,
      50.710335,
      45.185180,
      50.698007,
      45.231314,
      50.585199,
      45.193355,
      50.589885,
      45.386367,
      50.613338,
      45.405121,
      50.604868,
      45.489696,
      50.550881,
      45.536249,
      50.589599,
      45.566354,
      50.578280,
      45.698628,
      50.667025,
      45.678601,
      50.737716,
      45.715632,
      50.757303,
      45.744223,
      50.756178,
      45.842266,
      50.749988,
      45.893032,
      50.688249,
      45.989773,
      50.687733,
      46.035263,
      50.665215,
      46.035435,
      50.664868,
      46.093156,
      50.526166,
      46.061460,
      50.527697,
      46.278413,
      50.572862,
      46.277906,
      50.562978,
      46.357081,
      49.732527,
      46.357081,
      49.732527,
      45.131181
    ]);
    poly[2347] = _TzPolygon([
      49.732527,
      46.872413,
      49.863781,
      46.902555,
      49.934959,
      47.182462,
      50.083868,
      47.342953,
      50.152014,
      47.317713,
      50.191746,
      47.257473,
      50.238021,
      47.335418,
      50.283680,
      47.292017,
      50.331956,
      47.339878,
      50.336373,
      47.406683,
      50.420954,
      47.473603,
      50.460652,
      47.541685,
      50.455856,
      47.582981,
      49.732527,
      47.582981
    ]);
    poly[2348] = _TzPolygon([
      50.562978,
      46.357081,
      51.247608,
      46.357081,
      51.247608,
      47.582981,
      50.458515,
      47.582981,
      50.460652,
      47.541685,
      50.377862,
      47.431637,
      50.371156,
      47.235016,
      50.509221,
      47.205614,
      50.489672,
      46.912420,
      50.523093,
      46.916688,
      50.523748,
      46.870769,
      50.577215,
      46.870768,
      50.578459,
      46.799124,
      50.641828,
      46.857205,
      50.658710,
      46.742104,
      50.711492,
      46.718491,
      50.680943,
      46.625698,
      50.712288,
      46.583388,
      50.614839,
      46.568496,
      50.644436,
      46.538286,
      50.623485,
      46.527074,
      50.617594,
      46.491559,
      50.634687,
      46.491632,
      50.617155,
      46.458360,
      50.568447,
      46.448178,
      50.547106,
      46.484214
    ]);
    poly[2349] = _TzPolygon([
      50.458515,
      47.582981,
      51.247608,
      47.582981,
      51.247608,
      50.034781,
      51.243448,
      50.008058,
      51.107155,
      49.776163,
      51.098502,
      49.490344,
      51.125593,
      49.454666,
      51.089929,
      49.430384,
      51.090067,
      49.392833,
      51.048890,
      49.396412,
      50.987069,
      49.338525,
      50.960972,
      49.408124,
      50.881488,
      49.444654,
      50.848685,
      49.422908,
      50.784568,
      49.126235,
      50.682164,
      49.009264,
      50.595518,
      48.814683,
      50.612350,
      48.689053,
      50.661929,
      48.606211,
      50.632365,
      48.570628,
      50.577908,
      48.664246,
      50.257238,
      48.732409,
      50.170433,
      48.809023,
      50.097913,
      48.763692,
      50.090236,
      48.850343,
      50.018387,
      48.903429,
      49.921321,
      48.745624,
      49.835136,
      48.450341,
      49.801213,
      48.439867,
      49.835989,
      48.395566,
      49.827574,
      48.353852,
      49.872185,
      48.315135,
      49.868056,
      48.226192,
      49.901449,
      48.232487,
      49.998021,
      48.131627,
      50.100014,
      48.095210,
      50.142102,
      48.009094,
      50.244484,
      47.937749,
      50.313020,
      47.819448,
      50.330327,
      47.827889,
      50.340027,
      47.763434,
      50.378368,
      47.743322,
      50.408555,
      47.663385,
      50.455735,
      47.636682
    ]);
    poly[2350] = _TzPolygon([
      43.586429,
      55.999244,
      45.000314,
      55.998743,
      45.170128,
      56.744109,
      43.586429,
      56.744109
    ]);
    poly[2351] = _TzPolygon([
      46.520131,
      52.773582,
      46.520131,
      55.487919,
      46.367363,
      55.270475,
      46.379528,
      55.089586,
      46.363543,
      54.832578,
      46.257033,
      54.307690,
      46.246130,
      53.971735,
      46.192437,
      53.968557,
      46.127348,
      53.895303,
      46.015600,
      53.684004,
      46.011946,
      53.176626,
      46.020878,
      52.875769,
      46.392933,
      52.736419
    ]);
    poly[2352] = _TzPolygon([
      45.177249,
      56.744109,
      45.926133,
      56.605778,
      46.097356,
      56.516505,
      46.132189,
      56.466630,
      46.240325,
      56.440627,
      46.376052,
      56.315564,
      46.513382,
      56.287542,
      46.520131,
      56.255452,
      46.520131,
      56.744109
    ]);
    poly[2353] = _TzPolygon([
      46.520131,
      56.255452,
      46.513382,
      56.287542,
      46.376052,
      56.315564,
      46.240325,
      56.440627,
      46.149135,
      56.471824,
      46.132189,
      56.466630,
      46.151583,
      56.286168,
      46.135755,
      56.201516,
      46.154545,
      56.121737,
      46.211476,
      56.044760,
      46.210459,
      55.981457,
      46.260008,
      55.956920,
      46.237314,
      55.902490,
      46.251191,
      55.837026,
      46.276013,
      55.820425,
      46.305272,
      55.860157,
      46.401193,
      55.817980,
      46.421094,
      55.602653,
      46.520131,
      55.487919
    ]);
    poly[2354] = _TzPolygon([
      51.247608,
      53.389445,
      49.101709,
      53.389445,
      49.100088,
      53.386237,
      49.094759,
      53.389445,
      49.045868,
      53.389445,
      49.017687,
      53.263256,
      49.048084,
      52.825523,
      48.981325,
      52.782155,
      48.995957,
      52.706149,
      48.762009,
      52.715828,
      48.766191,
      52.612621,
      48.591864,
      52.536614,
      48.513940,
      52.555989,
      48.494085,
      52.380066,
      48.577970,
      52.152443,
      48.551160,
      52.059402,
      48.577289,
      51.769638,
      48.683255,
      51.804657,
      48.716111,
      51.645355,
      48.726983,
      51.436615,
      48.718602,
      51.261863,
      48.680988,
      51.107025,
      48.688241,
      51.041793,
      48.587055,
      50.990295,
      48.472467,
      50.714263,
      48.179607,
      50.176934,
      48.081829,
      50.034781,
      51.247608,
      50.034781
    ]);
    poly[2355] = _TzPolygon([
      48.883870,
      53.389445,
      48.883870,
      54.016581,
      48.762814,
      54.027021,
      48.703063,
      54.302571,
      48.641896,
      54.460310,
      48.640092,
      54.542039,
      48.779346,
      54.578771,
      48.770618,
      54.634990,
      48.799862,
      54.656798,
      48.774490,
      54.738207,
      48.741507,
      54.753316,
      48.709443,
      54.912309,
      48.560325,
      54.932074,
      48.475029,
      54.888197,
      48.365312,
      54.879207,
      48.270421,
      54.969347,
      48.097215,
      54.938625,
      47.956272,
      55.099125,
      47.778876,
      55.121525,
      47.202360,
      55.001978,
      46.873822,
      55.232860,
      46.725994,
      55.450369,
      46.628908,
      55.738247,
      46.520131,
      56.255452,
      46.520131,
      53.389445
    ]);
    poly[2356] = _TzPolygon([
      49.047470,
      53.389445,
      49.062209,
      53.425441,
      49.096988,
      53.389445,
      49.101930,
      53.389445,
      49.240349,
      53.630538,
      49.197124,
      53.665516,
      49.143943,
      53.832365,
      49.123353,
      53.820349,
      49.097658,
      53.879095,
      49.164254,
      53.913171,
      49.172122,
      53.991723,
      48.883870,
      54.016581,
      48.883870,
      53.389445
    ]);
    poly[2357] = _TzPolygon([
      50.065739,
      53.389445,
      50.065739,
      54.537145,
      50.062825,
      54.543359,
      50.012584,
      54.555976,
      49.814892,
      54.418588,
      49.768345,
      54.477086,
      49.768281,
      54.366368,
      49.675946,
      54.275387,
      49.647991,
      54.298908,
      49.610271,
      54.200593,
      49.618656,
      53.991322,
      49.570092,
      53.972871,
      49.570302,
      53.875187,
      49.525077,
      53.797833,
      49.457286,
      53.756950,
      49.477454,
      53.695008,
      49.424916,
      53.729835,
      49.277740,
      53.663852,
      49.185300,
      53.554861,
      49.101709,
      53.389445
    ]);
    poly[2358] = _TzPolygon(
        [49.094759, 53.389445, 49.051662, 53.415390, 49.045868, 53.389445]);
    poly[2359] = _TzPolygon([
      50.960730,
      54.228111,
      50.967076,
      54.194775,
      50.987940,
      54.204114,
      51.009918,
      54.158051,
      51.031678,
      54.194432,
      51.066292,
      54.160865,
      51.062568,
      54.130011,
      51.098619,
      54.145012,
      51.136170,
      54.041997,
      51.152970,
      54.054871,
      51.193414,
      53.932356,
      51.180432,
      53.892643,
      51.200476,
      53.884132,
      51.193377,
      53.819072,
      51.214780,
      53.808429,
      51.203908,
      53.747447,
      51.236378,
      53.692568,
      51.225420,
      53.668382,
      51.247608,
      53.669285,
      51.247608,
      54.228111
    ]);
    poly[2360] = _TzPolygon([
      50.065739,
      54.537145,
      50.118240,
      54.425183,
      50.273212,
      54.439804,
      50.340237,
      54.365044,
      50.403204,
      54.464746,
      50.552650,
      54.574515,
      50.538743,
      54.614230,
      50.619329,
      54.731355,
      50.823272,
      54.657133,
      50.892675,
      54.697607,
      50.926698,
      54.571413,
      50.942377,
      54.594218,
      51.000963,
      54.547797,
      51.029601,
      54.591044,
      51.015795,
      54.692037,
      51.037635,
      54.686037,
      51.038574,
      54.739793,
      50.985264,
      54.791517,
      50.957758,
      54.898033,
      50.920134,
      54.893940,
      50.904900,
      55.014596,
      50.916949,
      55.066777,
      50.828077,
      55.066777,
      50.819419,
      55.056233,
      50.816777,
      55.066777,
      50.065739,
      55.066777
    ]);
    poly[2361] = _TzPolygon([
      50.960730,
      54.228111,
      50.949235,
      54.288502,
      50.900519,
      54.290001,
      50.882115,
      54.441631,
      50.851195,
      54.452410,
      50.854636,
      54.518170,
      50.825390,
      54.527282,
      50.778411,
      54.473598,
      50.620695,
      54.413611,
      50.516460,
      54.565237,
      50.403204,
      54.464746,
      50.340237,
      54.365044,
      50.273212,
      54.439804,
      50.118240,
      54.425183,
      50.065739,
      54.537145,
      50.065739,
      54.228111
    ]);
    poly[2362] = _TzPolygon([
      51.085392,
      56.744109,
      51.077521,
      56.704428,
      50.995501,
      56.744109,
      50.979009,
      56.744109,
      50.970677,
      56.712627,
      50.986531,
      56.618322,
      51.085861,
      56.513729,
      51.056850,
      56.448162,
      50.965119,
      56.460384,
      50.965379,
      56.376894,
      50.901250,
      56.361258,
      50.938126,
      56.181283,
      50.830584,
      56.132989,
      50.753568,
      56.137177,
      50.620710,
      55.901173,
      50.606740,
      55.795123,
      50.550300,
      55.736246,
      50.613495,
      55.534108,
      50.669916,
      55.502616,
      50.681432,
      55.402885,
      50.653564,
      55.383735,
      50.796832,
      55.146361,
      50.816777,
      55.066777,
      50.828077,
      55.066777,
      50.879588,
      55.129506,
      50.921176,
      55.085084,
      50.916949,
      55.066777,
      51.247608,
      55.066777,
      51.247608,
      56.744109
    ]);
    poly[2363] = _TzPolygon([
      47.827727,
      56.744109,
      47.827727,
      61.924863,
      47.818785,
      61.359797,
      47.790051,
      61.314221,
      47.110337,
      60.923499,
      47.121809,
      60.495002,
      46.910811,
      60.474422,
      46.894867,
      60.129609,
      46.499964,
      59.561388,
      46.052982,
      59.111813,
      46.007044,
      59.030602,
      45.322897,
      59.096597,
      45.590118,
      58.587577,
      45.177249,
      56.744109
    ]);
    poly[2364] = _TzPolygon([
      45.170128,
      56.744109,
      45.590118,
      58.587577,
      45.322897,
      59.096597,
      45.151321,
      59.497905,
      45.002986,
      59.991375,
      44.360433,
      61.106566,
      44.225787,
      61.137761,
      43.586429,
      61.906615,
      43.586429,
      56.744109
    ]);
    poly[2365] = _TzPolygon([
      46.176489,
      65.941044,
      46.178002,
      65.892569,
      46.212706,
      65.585958,
      46.311714,
      65.372556,
      46.476547,
      65.140843,
      46.501354,
      64.941767,
      46.688872,
      64.447282,
      46.835636,
      63.848625,
      46.830106,
      63.739542,
      46.928864,
      63.508901,
      46.971511,
      63.303126,
      47.031274,
      63.207827,
      47.064156,
      63.370617,
      47.113482,
      63.407087,
      47.199206,
      63.018320,
      47.190771,
      62.950089,
      47.360673,
      63.225465,
      47.515452,
      63.653203,
      47.638184,
      63.844555,
      47.703234,
      64.014674,
      47.827727,
      64.181147,
      47.827727,
      65.941044
    ]);
    poly[2366] = _TzPolygon([
      47.827727,
      64.181147,
      47.703234,
      64.014674,
      47.638184,
      63.844555,
      47.515452,
      63.653203,
      47.360673,
      63.225465,
      47.296469,
      63.145694,
      47.177349,
      62.890080,
      47.214653,
      62.860154,
      47.242345,
      62.581169,
      47.328445,
      62.605726,
      47.531129,
      62.332616,
      47.545556,
      62.212529,
      47.723311,
      62.075832,
      47.827727,
      61.924863
    ]);
    poly[2367] = _TzPolygon([
      43.586429,
      62.755236,
      43.650485,
      63.349076,
      43.599258,
      63.857628,
      43.586429,
      64.161720
    ]);
    poly[2368] = _TzPolygon([
      43.586429,
      64.572848,
      43.735374,
      64.932263,
      43.715397,
      65.002156,
      43.586429,
      65.109147
    ]);
    poly[2369] = _TzPolygon([
      46.176489,
      65.941044,
      46.162474,
      66.389996,
      46.172475,
      66.901664,
      46.136139,
      67.158185,
      46.107641,
      67.143841,
      46.044659,
      67.182584,
      45.955651,
      67.163072,
      45.847243,
      67.278305,
      45.848800,
      67.304118,
      45.757503,
      67.365450,
      45.687395,
      67.293523,
      45.613957,
      67.290777,
      45.564411,
      67.244843,
      45.503139,
      67.264684,
      45.406151,
      67.245870,
      45.351199,
      67.168167,
      45.302239,
      67.167903,
      45.181771,
      67.390877,
      45.147768,
      67.516214,
      44.649145,
      67.525949,
      44.433433,
      67.508987,
      44.367757,
      67.462029,
      44.295050,
      67.582986,
      44.311187,
      67.630688,
      44.271978,
      67.733382,
      44.166165,
      67.806927,
      44.026497,
      68.060302,
      43.962493,
      68.026346,
      43.886450,
      67.921630,
      43.869985,
      67.954951,
      43.802470,
      67.979288,
      43.736952,
      67.971461,
      43.701901,
      67.918982,
      43.743664,
      67.823925,
      43.639219,
      67.838210,
      43.586429,
      67.821318,
      43.586429,
      65.941044
    ]);
    poly[2370] = _TzPolygon([
      51.076747,
      58.395748,
      51.074870,
      58.384019,
      51.162279,
      58.321032,
      51.128184,
      58.203016,
      51.096711,
      58.216018,
      51.062343,
      58.168484,
      51.073609,
      58.094316,
      51.121211,
      58.087971,
      51.086253,
      57.948741,
      51.118052,
      57.919043,
      51.098969,
      57.869091,
      51.139167,
      57.811412,
      51.138416,
      57.771942,
      50.920212,
      57.761816,
      50.935936,
      57.559087,
      50.875951,
      57.507028,
      50.940797,
      57.326230,
      51.037838,
      57.289421,
      51.038857,
      57.219329,
      51.114961,
      57.184771,
      51.087670,
      57.146333,
      51.062637,
      56.984426,
      51.087538,
      56.942786,
      51.060258,
      56.887474,
      51.093601,
      56.785490,
      51.085392,
      56.744109,
      51.359587,
      56.744109,
      51.359587,
      58.395748
    ]);
    poly[2371] = _TzPolygon(
        [50.995501, 56.744109, 50.980881, 56.751182, 50.979009, 56.744109]);
    poly[2372] = _TzPolygon([
      51.076747,
      58.395748,
      51.359587,
      58.395748,
      51.359587,
      60.047388,
      50.825213,
      60.047388,
      50.822124,
      60.014903,
      50.768700,
      59.972745,
      50.674848,
      59.997510,
      50.633870,
      59.906199,
      50.535508,
      59.813177,
      50.530778,
      59.615254,
      50.495313,
      59.509517,
      50.528270,
      59.516678,
      50.543702,
      59.457182,
      50.584283,
      59.462929,
      50.581354,
      59.569328,
      50.641479,
      59.479295,
      50.652971,
      59.298401,
      50.633555,
      59.278576,
      50.672743,
      59.193054,
      50.699816,
      58.874303,
      50.814694,
      58.774428,
      50.808637,
      58.656400,
      50.841561,
      58.663597,
      50.848189,
      58.696464,
      50.885634,
      58.688182,
      50.869333,
      58.593586,
      50.939830,
      58.578611,
      50.987517,
      58.642254,
      51.047402,
      58.614174,
      51.091339,
      58.486957
    ]);
    poly[2373] = _TzPolygon([
      48.617543,
      63.350667,
      48.682438,
      63.078707,
      48.758066,
      63.049270,
      48.863410,
      63.130174,
      48.929403,
      63.020385,
      48.848813,
      62.845444,
      49.018131,
      62.548791,
      49.198247,
      62.445753,
      49.200801,
      62.361430,
      49.235630,
      62.376091,
      49.253269,
      62.547452,
      49.497267,
      62.304843,
      49.577772,
      62.367337,
      49.562053,
      62.473174,
      49.593657,
      62.464023,
      49.593657,
      63.350667
    ]);
    poly[2374] = _TzPolygon([
      50.825213,
      60.047388,
      50.838571,
      60.187871,
      50.812684,
      60.216555,
      50.778391,
      60.182778,
      50.670254,
      60.325208,
      50.656605,
      60.809000,
      50.806123,
      61.449001,
      51.237771,
      61.568060,
      51.256523,
      61.699027,
      49.593657,
      61.699027,
      49.593657,
      60.047388
    ]);
    poly[2375] = _TzPolygon([
      51.257214,
      61.699027,
      51.255963,
      61.689785,
      51.323304,
      61.549686,
      51.359587,
      61.528935,
      51.359587,
      61.699027
    ]);
    poly[2376] = _TzPolygon([
      51.256523,
      61.699027,
      51.269131,
      61.787087,
      51.317069,
      61.852152,
      51.262459,
      61.913658,
      51.089337,
      61.994738,
      51.073055,
      62.073254,
      51.111346,
      62.081005,
      51.138759,
      62.131163,
      51.080164,
      62.283031,
      51.041156,
      62.275578,
      51.013043,
      62.208493,
      50.978418,
      62.228578,
      50.852835,
      62.430261,
      50.841436,
      62.311465,
      50.801556,
      62.276492,
      50.813618,
      62.221837,
      50.721845,
      62.276461,
      50.676022,
      62.229542,
      50.641507,
      62.266925,
      50.688706,
      62.439803,
      50.515611,
      62.528513,
      50.477866,
      62.507021,
      50.416313,
      62.557610,
      50.385649,
      62.634686,
      50.309791,
      62.667773,
      50.264877,
      62.734592,
      50.212121,
      62.736695,
      50.165282,
      62.821075,
      50.092066,
      62.885225,
      50.038567,
      62.890976,
      49.997440,
      62.952980,
      49.916428,
      62.910523,
      49.881759,
      62.926023,
      49.936889,
      62.790665,
      49.940186,
      62.739589,
      49.908458,
      62.658290,
      49.862510,
      62.598727,
      49.735305,
      62.555089,
      49.683664,
      62.437960,
      49.593657,
      62.464023,
      49.593657,
      61.699027
    ]);
    poly[2377] = _TzPolygon([
      51.914045,
      60.047388,
      51.964646,
      59.994120,
      51.993281,
      60.001992,
      51.992725,
      60.047388
    ]);
    poly[2378] = _TzPolygon([
      51.359587,
      61.528935,
      51.409259,
      61.500527,
      51.461068,
      61.202980,
      51.447770,
      61.107564,
      51.468055,
      61.087389,
      51.467784,
      60.998958,
      51.550638,
      60.910789,
      51.615264,
      60.935627,
      51.618012,
      60.538034,
      51.637866,
      60.527008,
      51.647001,
      60.415540,
      51.689282,
      60.353292,
      51.773302,
      60.518878,
      51.797725,
      60.517488,
      51.798449,
      60.427985,
      51.906886,
      60.144821,
      51.857862,
      60.157270,
      51.870145,
      60.058908,
      51.888273,
      60.074519,
      51.914045,
      60.047388,
      51.992725,
      60.047388,
      51.990883,
      60.197662,
      52.156384,
      60.510847,
      52.156154,
      60.716749,
      52.229064,
      60.780488,
      52.266367,
      60.944255,
      52.347091,
      61.066798,
      52.423055,
      60.992233,
      52.507871,
      60.982329,
      52.522252,
      60.841829,
      52.641033,
      60.843069,
      52.626692,
      60.761462,
      52.663027,
      60.714553,
      52.764361,
      60.711907,
      52.774141,
      60.834400,
      52.832756,
      60.870612,
      52.923242,
      61.073321,
      52.978109,
      61.008637,
      52.969205,
      61.112253,
      53.036184,
      61.251028,
      52.995954,
      61.306843,
      52.992349,
      61.390740,
      53.036604,
      61.469024,
      53.012116,
      61.557147,
      52.954120,
      61.632086,
      52.996475,
      61.699027,
      51.359587,
      61.699027
    ]);
    poly[2379] = _TzPolygon([
      53.125516,
      62.056248,
      53.111815,
      62.119306,
      53.068002,
      62.147365,
      52.990060,
      62.130440,
      52.951047,
      62.029335,
      52.950151,
      61.960761,
      53.003303,
      61.847847,
      52.998212,
      61.701773,
      52.996475,
      61.699027,
      53.125516,
      61.699027
    ]);
    poly[2380] = _TzPolygon([
      54.008481,
      61.255469,
      54.008190,
      61.569137,
      53.967599,
      61.570988,
      53.968146,
      61.611558,
      54.008481,
      61.643546,
      54.008481,
      61.699027,
      53.247208,
      61.699027,
      53.265659,
      61.673926,
      53.223223,
      61.630476,
      53.215336,
      61.527120,
      53.273894,
      61.400233,
      53.283385,
      61.226235,
      53.311756,
      61.177036,
      53.405503,
      61.155253,
      53.431795,
      61.216689,
      53.508037,
      61.258652,
      53.519130,
      61.321894,
      53.467377,
      61.366882,
      53.455542,
      61.428450,
      53.473018,
      61.518639,
      53.505012,
      61.533343,
      53.496702,
      61.567243,
      53.526124,
      61.593261,
      53.593052,
      61.553065,
      53.602103,
      61.391199,
      53.558714,
      61.349509,
      53.563644,
      61.215552,
      53.589943,
      61.126446,
      53.615133,
      61.121777,
      53.628667,
      60.900287,
      53.667893,
      60.895929,
      53.672921,
      60.995576,
      53.650795,
      60.998604,
      53.653013,
      61.042426,
      53.721317,
      61.058477,
      53.720933,
      61.114672,
      53.795613,
      61.227176,
      53.841675,
      61.237031,
      53.852565,
      61.179246,
      53.904515,
      61.136899,
      53.906975,
      60.993495,
      53.955111,
      61.029357,
      53.945385,
      61.079792,
      53.970470,
      61.080160,
      53.971955,
      61.180378,
      53.918861,
      61.205062,
      53.928574,
      61.279867
    ]);
    poly[2381] = _TzPolygon([
      54.008481,
      61.255469,
      54.037814,
      61.246513,
      54.073875,
      61.293834,
      54.086864,
      61.400587,
      54.082765,
      61.480565,
      54.030110,
      61.480629,
      54.008481,
      61.567962
    ]);
    poly[2382] = _TzPolygon([
      54.008481,
      61.643546,
      54.029772,
      61.660431,
      54.029633,
      61.699027,
      54.008481,
      61.699027
    ]);
    poly[2383] = _TzPolygon([
      53.125516,
      62.056248,
      53.184637,
      61.784151,
      53.247208,
      61.699027,
      54.029633,
      61.699027,
      54.029539,
      61.725170,
      53.984574,
      61.782040,
      54.031717,
      61.845915,
      54.008441,
      61.850260,
      54.009083,
      61.892970,
      53.963367,
      61.856245,
      53.949908,
      61.932332,
      53.948456,
      62.043865,
      54.039853,
      62.013290,
      54.050998,
      62.075111,
      54.028573,
      62.175459,
      54.046982,
      62.418794,
      54.032625,
      62.494006,
      54.003787,
      62.396416,
      53.926938,
      62.446710,
      53.913531,
      62.516607,
      53.988208,
      62.598043,
      54.046540,
      62.568753,
      54.073876,
      62.594767,
      54.117710,
      62.859021,
      54.104357,
      63.081298,
      54.126617,
      63.155604,
      54.193630,
      63.170599,
      54.189284,
      63.350667,
      53.125516,
      63.350667
    ]);
    poly[2384] = _TzPolygon([
      47.827727,
      64.181147,
      47.899538,
      64.277174,
      48.002342,
      64.120105,
      48.170279,
      64.016075,
      48.347707,
      64.282850,
      48.461781,
      64.227456,
      48.510770,
      64.578628,
      48.565542,
      64.490825,
      48.599732,
      64.530714,
      48.674727,
      64.468672,
      48.675664,
      64.698019,
      48.937745,
      64.745805,
      48.828328,
      65.486130,
      48.875587,
      65.736844,
      48.982181,
      65.775396,
      48.993151,
      66.073090,
      49.241516,
      66.412434,
      49.270411,
      66.542177,
      49.324355,
      66.597181,
      49.456682,
      66.651436,
      49.458333,
      66.653946,
      47.827727,
      66.653946
    ]);
    poly[2385] = _TzPolygon([
      48.617543,
      63.350667,
      48.601772,
      63.416758,
      48.563764,
      63.467314,
      48.453998,
      63.770803,
      48.170279,
      64.016075,
      48.002342,
      64.120105,
      47.899538,
      64.277174,
      47.827727,
      64.181147,
      47.827727,
      63.350667
    ]);
    poly[2386] = _TzPolygon([
      50.630478,
      66.653946,
      50.673097,
      66.495514,
      50.710653,
      66.433136,
      50.685432,
      66.315597,
      50.827372,
      66.240636,
      50.788136,
      66.132752,
      50.798198,
      66.109553,
      50.871741,
      66.087997,
      50.959414,
      65.949889,
      50.942554,
      65.941717,
      50.964380,
      65.861935,
      50.854446,
      65.789292,
      50.830898,
      65.604629,
      50.896374,
      65.579356,
      51.082366,
      65.632958,
      51.203373,
      65.426058,
      51.243150,
      65.481588,
      51.326762,
      65.388010,
      51.359587,
      65.455900,
      51.359587,
      66.653946
    ]);
    poly[2387] = _TzPolygon([
      50.630478,
      66.653946,
      50.611500,
      66.724494,
      50.658193,
      66.990896,
      50.622153,
      67.110798,
      50.530842,
      67.065949,
      50.383921,
      67.131889,
      50.492327,
      67.563984,
      50.485161,
      67.782389,
      50.553009,
      67.938665,
      50.538090,
      68.008922,
      50.512691,
      67.991344,
      50.464906,
      68.092020,
      50.317178,
      67.964178,
      50.223160,
      67.599341,
      50.162848,
      67.575857,
      50.118809,
      67.638180,
      49.915454,
      67.399120,
      49.938177,
      67.373752,
      49.647476,
      67.041716,
      49.578737,
      66.837018,
      49.458333,
      66.653946
    ]);
    poly[2388] = _TzPolygon([
      53.125516,
      63.350667,
      53.125516,
      66.401194,
      53.089514,
      66.402139,
      53.110925,
      66.200221,
      53.093432,
      66.206925,
      53.060725,
      66.050509,
      52.981590,
      66.070705,
      52.969936,
      66.321358,
      52.886252,
      66.307907,
      52.893548,
      66.118381,
      52.764401,
      66.128680,
      52.760916,
      66.018770,
      52.204637,
      65.998646,
      52.140868,
      65.868951,
      52.082683,
      65.868143,
      51.872437,
      65.760476,
      51.795685,
      65.517761,
      51.793489,
      65.352417,
      51.684900,
      65.383141,
      51.684327,
      65.520911,
      51.628161,
      65.577328,
      51.514049,
      65.537165,
      51.440078,
      65.461513,
      51.403486,
      65.546696,
      51.359587,
      65.455900,
      51.359587,
      63.350667
    ]);
    poly[2389] = _TzPolygon([
      54.891446,
      65.002307,
      54.405124,
      65.002307,
      54.424178,
      64.974791,
      54.353920,
      64.738648,
      54.360753,
      64.659042,
      54.398464,
      64.616461,
      54.362171,
      64.568063,
      54.366363,
      64.479513,
      54.326465,
      64.419411,
      54.317889,
      64.071117,
      54.283396,
      64.028881,
      54.306538,
      64.023216,
      54.301230,
      63.986824,
      54.230332,
      64.021267,
      54.200337,
      63.961418,
      54.198388,
      63.912232,
      54.271861,
      63.794041,
      54.188136,
      63.398224,
      54.189284,
      63.350667,
      54.891446,
      63.350667
    ]);
    poly[2390] = _TzPolygon([
      53.125516,
      66.401194,
      53.154863,
      66.400424,
      53.193727,
      66.257203,
      53.503392,
      66.249266,
      53.502714,
      66.110903,
      53.605879,
      66.105321,
      53.670875,
      66.173706,
      53.805575,
      66.179261,
      53.803239,
      66.047507,
      53.932668,
      66.025333,
      53.927560,
      66.002134,
      53.999051,
      65.963115,
      54.075231,
      66.149825,
      54.102019,
      66.317728,
      54.183289,
      66.266814,
      54.183431,
      66.191101,
      54.251457,
      66.031682,
      54.293461,
      66.176895,
      54.419266,
      66.084898,
      54.443875,
      66.107025,
      54.469639,
      66.073832,
      54.489460,
      66.109912,
      54.640493,
      66.075413,
      54.703724,
      66.381721,
      54.731881,
      66.653946,
      53.125516,
      66.653946
    ]);
    poly[2391] = _TzPolygon([
      54.731881,
      66.653946,
      54.703724,
      66.381721,
      54.625148,
      65.998643,
      54.637817,
      65.964186,
      54.717041,
      65.981779,
      54.697243,
      65.845286,
      54.624024,
      65.799704,
      54.607419,
      65.747290,
      54.655537,
      65.489554,
      54.624375,
      65.456451,
      54.570918,
      65.503830,
      54.577404,
      65.357903,
      54.541393,
      65.214454,
      54.452181,
      65.200908,
      54.362419,
      65.262715,
      54.334286,
      65.221956,
      54.334534,
      65.104243,
      54.405124,
      65.002307,
      54.891446,
      65.002307,
      54.891446,
      66.653946
    ]);
    poly[2392] = _TzPolygon([
      54.891446,
      67.776503,
      54.885953,
      67.773564,
      54.863117,
      67.691311,
      54.844377,
      67.562833,
      54.873258,
      67.332351,
      54.862376,
      67.289709,
      54.825626,
      67.281958,
      54.813036,
      67.100678,
      54.777153,
      67.043515,
      54.789605,
      66.994008,
      54.768648,
      66.782195,
      54.736852,
      66.702005,
      54.731881,
      66.653946,
      54.891446,
      66.653946
    ]);
    poly[2393] = _TzPolygon([
      28.246987,
      72.036975,
      28.394757,
      72.206632,
      28.669710,
      72.299310,
      28.769714,
      72.390253,
      28.948015,
      72.733102,
      29.027798,
      72.945831,
      29.152997,
      73.004395,
      29.236189,
      73.084420,
      29.572061,
      73.282255,
      29.945934,
      73.396990,
      30.067969,
      73.806629,
      30.198253,
      73.972689,
      30.276035,
      73.956467,
      30.359762,
      73.879834,
      30.443952,
      73.973817,
      30.438913,
      73.926506,
      30.490160,
      73.934657,
      30.456434,
      73.964184,
      30.503973,
      73.982030,
      30.514147,
      74.019976,
      30.533625,
      74.011929,
      30.542547,
      74.039257,
      30.522888,
      74.072342,
      30.611427,
      74.095974,
      30.665125,
      74.193386,
      30.724428,
      74.232434,
      30.735528,
      74.286515,
      30.774648,
      74.261130,
      30.779350,
      74.301835,
      30.846550,
      74.320439,
      30.860342,
      74.382185,
      30.892972,
      74.365972,
      30.907757,
      74.422835,
      30.940348,
      74.416494,
      30.992114,
      74.545713,
      31.054772,
      74.568275,
      31.037620,
      74.596986,
      31.073943,
      74.696088,
      31.090648,
      74.693924,
      31.090648,
      74.729730,
      28.246987,
      74.729730
    ]);
    poly[2394] = _TzPolygon(
        [31.090648, 74.591916, 31.081357, 74.571292, 31.090648, 74.566087]);
    poly[2395] = _TzPolygon([
      31.090648,
      74.693924,
      31.127942,
      74.689093,
      31.133673,
      74.603283,
      31.099045,
      74.610558,
      31.090648,
      74.591916,
      31.090648,
      74.566087,
      31.122039,
      74.548499,
      31.131963,
      74.510407,
      31.303728,
      74.542096,
      31.312427,
      74.526373,
      31.364400,
      74.551737,
      31.419934,
      74.601255,
      31.425910,
      74.654671,
      31.484739,
      74.636685,
      31.500907,
      74.575360,
      31.527255,
      74.612857,
      31.569040,
      74.615890,
      31.607908,
      74.555471,
      31.677625,
      74.535112,
      31.720348,
      74.488267,
      31.757857,
      74.559419,
      31.804786,
      74.557913,
      31.890079,
      74.607393,
      31.884223,
      74.636247,
      31.922595,
      74.666714,
      31.923767,
      74.719055,
      31.933184,
      74.729730,
      31.090648,
      74.729730
    ]);
    poly[2396] = _TzPolygon([
      32.483127,
      74.729730,
      32.487019,
      74.687995,
      32.512478,
      74.689200,
      32.512478,
      74.729730
    ]);
    poly[2397] = _TzPolygon([
      32.512478,
      74.729730,
      32.512478,
      74.689200,
      32.534256,
      74.690230,
      32.545845,
      74.661884,
      32.567981,
      74.673099,
      32.562999,
      74.651617,
      32.614611,
      74.638484,
      32.660571,
      74.695100,
      32.675604,
      74.666235,
      32.729099,
      74.654472,
      32.841955,
      74.705251,
      32.808915,
      74.632886,
      32.787459,
      74.658637,
      32.776004,
      74.632034,
      32.751470,
      74.637631,
      32.745077,
      74.512428,
      32.764409,
      74.511169,
      32.793572,
      74.448271,
      32.897666,
      74.414900,
      32.928537,
      74.314522,
      32.951928,
      74.339315,
      33.030912,
      74.324750,
      33.073537,
      74.170116,
      33.097683,
      74.178770,
      33.159639,
      74.129534,
      33.221708,
      74.004931,
      33.269333,
      74.015785,
      33.283568,
      74.090486,
      33.337733,
      74.166286,
      33.478734,
      74.192499,
      33.557730,
      74.140696,
      33.584784,
      74.081175,
      33.578511,
      74.031567,
      33.641447,
      73.981112,
      33.683923,
      73.990379,
      33.723475,
      73.961417,
      33.744989,
      74.004795,
      33.823926,
      74.060209,
      33.838940,
      74.189476,
      33.892600,
      74.276802,
      33.934308,
      74.281919,
      33.934308,
      74.729730
    ]);
    poly[2398] = _TzPolygon([
      32.483127,
      74.729730,
      32.476921,
      74.796268,
      32.499531,
      74.820029,
      32.493911,
      74.877099,
      32.477293,
      74.876379,
      32.471283,
      74.939249,
      32.446474,
      74.951644,
      32.464386,
      75.015501,
      32.497587,
      75.026530,
      32.477465,
      75.101695,
      32.408831,
      75.132912,
      32.426150,
      75.191773,
      32.401005,
      75.192820,
      32.389402,
      75.256942,
      32.343697,
      75.322001,
      32.320583,
      75.337513,
      32.297245,
      75.320802,
      32.268787,
      75.381478,
      32.224628,
      75.371586,
      32.208041,
      75.316220,
      32.179328,
      75.322313,
      32.091030,
      75.240269,
      32.120223,
      75.203406,
      32.067671,
      75.174272,
      32.081467,
      75.122915,
      32.058680,
      75.104883,
      32.067176,
      75.068710,
      32.035679,
      75.012411,
      32.065647,
      74.933636,
      32.053751,
      74.879427,
      31.958708,
      74.819006,
      31.955822,
      74.755394,
      31.933184,
      74.729730
    ]);
    poly[2399] = _TzPolygon([
      32.512478,
      78.415074,
      32.512478,
      78.771058,
      32.479016,
      78.779367,
      32.412710,
      78.838598,
      32.400518,
      78.892347,
      32.372638,
      78.925031,
      31.332834,
      78.925031,
      31.289732,
      78.899509,
      31.315300,
      78.861582,
      31.294407,
      78.853411,
      31.310160,
      78.780790,
      31.367787,
      78.749516,
      31.444074,
      78.796741,
      31.482878,
      78.757541,
      31.483803,
      78.725838,
      31.508142,
      78.720290,
      31.609164,
      78.846641,
      31.647571,
      78.801893,
      31.681553,
      78.798756,
      31.680167,
      78.751134,
      31.806491,
      78.702103,
      31.832561,
      78.735384,
      31.873388,
      78.748996,
      31.883990,
      78.731703,
      31.928575,
      78.769378,
      31.993574,
      78.778865,
      32.004954,
      78.734384,
      32.113632,
      78.682828,
      32.125593,
      78.630683,
      32.167153,
      78.591592,
      32.197991,
      78.595748,
      32.202245,
      78.559918,
      32.275637,
      78.488363,
      32.303065,
      78.510376,
      32.386462,
      78.454345,
      32.443427,
      78.472428
    ]);
  }
}

class _Initializer25 {
  static void _init() {
    poly[2400] = _TzPolygon([
      32.512478,
      78.415074,
      32.539242,
      78.392843,
      32.569340,
      78.420012,
      32.583603,
      78.500948,
      32.617925,
      78.525034,
      32.606316,
      78.635070,
      32.648192,
      78.635008,
      32.695747,
      78.739516,
      32.655287,
      78.742145,
      32.616313,
      78.781360,
      32.567181,
      78.757475,
      32.512478,
      78.771058
    ]);
    poly[2401] = _TzPolygon([
      33.383604,
      78.925031,
      33.410458,
      78.902208,
      33.426623,
      78.835929,
      33.482999,
      78.814167,
      33.565500,
      78.734035,
      33.623437,
      78.758063,
      33.622745,
      78.717737,
      33.667140,
      78.678299,
      33.744530,
      78.776601,
      33.784256,
      78.754213,
      33.912311,
      78.763423,
      33.923811,
      78.727934,
      33.934308,
      78.729917,
      33.934308,
      78.925031
    ]);
    poly[2402] = _TzPolygon([
      35.356138,
      70.534430,
      35.356138,
      71.582998,
      35.309940,
      71.543250,
      35.204620,
      71.680440,
      35.138990,
      71.624950,
      35.138400,
      71.589080,
      35.091190,
      71.532220,
      35.033370,
      71.558600,
      35.005840,
      71.505603,
      34.975075,
      71.512135,
      34.914000,
      71.349550,
      34.877488,
      71.296167,
      34.818540,
      71.289000,
      34.752700,
      71.225930,
      34.702460,
      71.107340,
      34.673410,
      71.088850,
      34.628530,
      71.117280,
      34.534109,
      71.011087,
      34.450507,
      71.024112,
      34.424375,
      71.058541,
      34.433640,
      71.107460,
      34.375210,
      71.117450,
      34.363330,
      71.176100,
      34.240820,
      71.118910,
      34.227907,
      71.138412,
      34.164590,
      71.130210,
      34.109290,
      71.070850,
      34.063420,
      71.082510,
      34.011120,
      70.914110,
      33.994560,
      70.919460,
      33.971350,
      70.872310,
      33.962370,
      70.583960,
      33.949708,
      70.534430
    ]);
    poly[2403] = _TzPolygon([
      36.747316,
      71.583255,
      36.763797,
      71.563095,
      36.777969,
      71.556919,
      36.777969,
      71.583255
    ]);
    poly[2404] = _TzPolygon([
      35.589196,
      71.583255,
      35.629720,
      71.499470,
      35.659250,
      71.506520,
      35.672620,
      71.540640,
      35.726826,
      71.551035,
      35.749640,
      71.493760,
      35.785900,
      71.483180,
      35.801010,
      71.503440,
      35.887990,
      71.431110,
      35.904880,
      71.380210,
      35.952950,
      71.387140,
      35.959686,
      71.319065,
      35.982446,
      71.313451,
      36.039614,
      71.195027,
      36.087528,
      71.217370,
      36.100947,
      71.253279,
      36.130039,
      71.251165,
      36.232705,
      71.436109,
      36.269098,
      71.444890,
      36.310075,
      71.521319,
      36.333797,
      71.523422,
      36.327481,
      71.576562,
      36.338912,
      71.583255
    ]);
    poly[2405] = _TzPolygon(
        [36.351801, 71.583255, 36.372691, 71.558005, 36.386014, 71.583255]);
    poly[2406] = _TzPolygon([
      36.747316,
      71.583255,
      36.777969,
      71.583255,
      36.777969,
      71.974258,
      36.680617,
      71.843638,
      36.671115,
      71.676464
    ]);
    poly[2407] = _TzPolygon([
      35.356437,
      71.583255,
      35.442510,
      71.657310,
      35.499930,
      71.594050,
      35.571230,
      71.620400,
      35.589196,
      71.583255,
      36.338912,
      71.583255,
      36.347595,
      71.588339,
      36.351801,
      71.583255,
      36.386014,
      71.583255,
      36.403248,
      71.615919,
      36.477014,
      71.637320,
      36.483566,
      71.656951,
      36.399270,
      71.806630,
      36.433359,
      71.828969,
      36.474515,
      71.798732,
      36.507759,
      71.809566,
      36.508742,
      71.916561,
      36.546371,
      71.935848,
      36.556693,
      72.001941,
      36.591971,
      72.030426,
      36.588545,
      72.081972,
      36.647102,
      72.096512,
      36.660255,
      72.207618,
      36.711408,
      72.184745,
      36.752436,
      72.246562,
      36.740023,
      72.298276,
      36.766706,
      72.335443,
      36.777969,
      72.484067,
      36.777969,
      72.632080,
      35.356138,
      72.632080,
      35.356138,
      71.583255
    ]);
    poly[2408] = _TzPolygon([
      33.934308,
      74.281919,
      34.023636,
      74.233496,
      34.016773,
      74.197250,
      34.046957,
      74.132690,
      34.039614,
      74.016111,
      34.011967,
      73.985962,
      34.023827,
      73.925240,
      34.059783,
      73.896028,
      34.104851,
      73.904551,
      34.103312,
      73.926628,
      34.172485,
      73.962399,
      34.195243,
      74.014345,
      34.270513,
      73.990530,
      34.283213,
      73.935504,
      34.311428,
      73.942528,
      34.305618,
      73.919064,
      34.336531,
      73.939008,
      34.351212,
      73.915497,
      34.321368,
      73.853851,
      34.346724,
      73.814938,
      34.344077,
      73.750034,
      34.427070,
      73.804728,
      34.452866,
      73.887831,
      34.527936,
      73.905029,
      34.566347,
      73.956574,
      34.607507,
      73.928200,
      34.670932,
      73.953138,
      34.687246,
      73.971157,
      34.679985,
      74.106637,
      34.658609,
      74.146590,
      34.688635,
      74.157774,
      34.782504,
      74.309727,
      34.782321,
      74.448481,
      34.761681,
      74.580220,
      34.705942,
      74.650843,
      34.681454,
      74.729730,
      33.934308,
      74.729730
    ]);
    poly[2409] = _TzPolygon([
      36.777969,
      71.556919,
      37.071606,
      71.428954,
      37.214108,
      71.455424,
      37.313427,
      71.506600,
      37.387917,
      71.474870,
      37.479880,
      71.526722,
      37.533435,
      71.495282,
      37.606966,
      71.504356,
      37.714067,
      71.549172,
      37.765526,
      71.531139,
      37.805079,
      71.595603,
      37.923385,
      71.590972,
      37.952386,
      71.502740,
      37.885428,
      71.329321,
      37.931964,
      71.298760,
      37.923728,
      71.256112,
      38.042052,
      71.284086,
      38.161269,
      71.377103,
      38.199799,
      71.375994,
      38.199799,
      72.632080,
      37.026177,
      72.632080,
      37.029001,
      72.621953,
      37.007625,
      72.588471,
      37.006278,
      72.427446,
      36.981302,
      72.325706,
      36.810933,
      72.018488,
      36.777969,
      71.974258
    ]);
    poly[2410] = _TzPolygon([
      36.777969,
      72.484067,
      36.779285,
      72.501440,
      36.828235,
      72.558650,
      36.846764,
      72.632080,
      36.777969,
      72.632080
    ]);
    poly[2411] = _TzPolygon([
      39.458583,
      71.583255,
      39.460318,
      71.560006,
      39.518101,
      71.543495,
      39.575891,
      71.565199,
      39.611573,
      71.514387,
      39.571028,
      71.412849,
      39.568748,
      71.335625,
      39.518119,
      71.295503,
      39.552026,
      71.253204,
      39.511295,
      71.193375,
      39.506459,
      71.099456,
      39.425397,
      71.072241,
      39.396255,
      71.030339,
      39.390947,
      71.002945,
      39.434589,
      70.951005,
      39.383301,
      70.912414,
      39.389473,
      70.788445,
      39.486250,
      70.752556,
      39.519903,
      70.692699,
      39.582207,
      70.650130,
      39.594578,
      70.565443,
      39.621629,
      70.534430,
      39.621629,
      71.583255
    ]);
    poly[2412] = _TzPolygon([
      38.208711,
      70.534430,
      38.243560,
      70.545571,
      38.282772,
      70.605604,
      38.346399,
      70.610955,
      38.372212,
      70.693542,
      38.409144,
      70.678451,
      38.419038,
      70.740752,
      38.456290,
      70.771029,
      38.438590,
      70.850962,
      38.469181,
      70.873286,
      38.430076,
      70.924720,
      38.440598,
      70.958365,
      38.476237,
      70.945694,
      38.491068,
      70.988352,
      38.461074,
      71.031472,
      38.398325,
      71.057006,
      38.422277,
      71.105018,
      38.386594,
      71.164926,
      38.343936,
      71.186811,
      38.310540,
      71.251895,
      38.304773,
      71.332383,
      38.271265,
      71.333789,
      38.255618,
      71.374387,
      38.199799,
      71.375994,
      38.199799,
      70.534430
    ]);
    poly[2413] = _TzPolygon([
      39.458583,
      71.583255,
      39.443414,
      71.786470,
      39.380845,
      71.800293,
      39.323960,
      71.752670,
      39.278053,
      71.790627,
      39.277283,
      71.911111,
      39.331271,
      71.957986,
      39.366491,
      72.035629,
      39.278054,
      72.088766,
      39.269504,
      72.173944,
      39.172738,
      72.237076,
      39.189482,
      72.271141,
      39.311224,
      72.316255,
      39.350190,
      72.462457,
      39.380075,
      72.492858,
      39.380858,
      72.544252,
      39.351633,
      72.566538,
      39.399156,
      72.621160,
      39.398640,
      72.632080,
      38.199799,
      72.632080,
      38.199799,
      71.583255
    ]);
    poly[2414] = _TzPolygon([
      38.199799,
      73.680905,
      37.435489,
      73.680905,
      37.433525,
      73.640403,
      37.474530,
      73.512472,
      37.444045,
      73.371966,
      37.461950,
      73.364273,
      37.463611,
      73.306647,
      37.404100,
      73.209761,
      37.404312,
      73.149558,
      37.324816,
      73.094176,
      37.290671,
      72.952286,
      37.230897,
      72.864570,
      37.231168,
      72.815261,
      37.017687,
      72.662520,
      37.026177,
      72.632080,
      38.199799,
      72.632080
    ]);
    poly[2415] = _TzPolygon([
      37.250885,
      73.680905,
      37.237218,
      73.652347,
      37.270519,
      73.617237,
      37.283675,
      73.650253,
      37.314830,
      73.656715,
      37.310945,
      73.680905
    ]);
    poly[2416] = _TzPolygon([
      36.846764,
      72.632080,
      36.851927,
      72.652539,
      36.839223,
      72.891258,
      36.842962,
      72.930033,
      36.875908,
      72.954144,
      36.859129,
      73.039415,
      36.885576,
      73.068614,
      36.894753,
      73.147681,
      36.878128,
      73.185313,
      36.892841,
      73.269264,
      36.868587,
      73.303555,
      36.889988,
      73.332196,
      36.897416,
      73.479741,
      36.872587,
      73.541951,
      36.908690,
      73.601023,
      36.914959,
      73.680905,
      36.777969,
      73.680905,
      36.777969,
      72.632080
    ]);
    poly[2417] = _TzPolygon([
      37.310945,
      73.680905,
      37.307079,
      73.704981,
      37.339585,
      73.774298,
      37.440094,
      73.775893,
      37.435489,
      73.680905,
      37.488884,
      73.680905,
      37.488884,
      74.205318,
      37.341723,
      74.205318,
      37.335834,
      74.196970,
      37.326298,
      74.065909,
      37.291695,
      74.016606,
      37.276698,
      73.890085,
      37.226801,
      73.829199,
      37.238867,
      73.781927,
      37.221883,
      73.759084,
      37.253980,
      73.687373,
      37.250885,
      73.680905
    ]);
    poly[2418] = _TzPolygon([
      36.914959,
      73.680905,
      36.915797,
      73.691580,
      36.890824,
      73.815059,
      36.925977,
      73.843619,
      36.912967,
      73.890620,
      36.878157,
      73.892667,
      36.874740,
      73.932234,
      36.842518,
      73.957430,
      36.826253,
      74.047120,
      36.838220,
      74.120790,
      36.916518,
      74.175927,
      36.906505,
      74.205318,
      36.777969,
      74.205318,
      36.777969,
      73.680905
    ]);
    poly[2419] = _TzPolygon([
      36.906505,
      74.205318,
      36.894784,
      74.239721,
      36.918906,
      74.309291,
      36.961087,
      74.347112,
      36.975017,
      74.415585,
      37.011150,
      74.426558,
      36.957221,
      74.534055,
      37.017367,
      74.518930,
      37.084107,
      74.690685,
      37.033854,
      74.729730,
      36.777969,
      74.729730,
      36.777969,
      74.205318
    ]);
    poly[2420] = _TzPolygon([
      37.133426,
      74.468837,
      37.133426,
      74.729730,
      37.035827,
      74.729730,
      37.083977,
      74.697526,
      37.029585,
      74.571764,
      37.049459,
      74.533256,
      37.080250,
      74.526552,
      37.065266,
      74.494924,
      37.116852,
      74.491387
    ]);
    poly[2421] = _TzPolygon([
      37.133426,
      74.468837,
      37.133426,
      74.729730,
      37.035827,
      74.729730,
      37.083977,
      74.697526,
      37.029585,
      74.571764,
      37.049459,
      74.533256,
      37.080250,
      74.526552,
      37.065266,
      74.494924,
      37.116852,
      74.491387
    ]);
    poly[2422] = _TzPolygon([
      37.385872,
      74.729730,
      37.405888,
      74.690305,
      37.376800,
      74.637872,
      37.372457,
      74.566228,
      37.399208,
      74.555007,
      37.396183,
      74.495199,
      37.426723,
      74.466075,
      37.406920,
      74.467830,
      37.416367,
      74.439455,
      37.389223,
      74.418099,
      37.424374,
      74.375209,
      37.399116,
      74.315990,
      37.415385,
      74.242281,
      37.395279,
      74.229479,
      37.374512,
      74.251798,
      37.341723,
      74.205318,
      37.488884,
      74.205318,
      37.488884,
      74.729730
    ]);
    poly[2423] = _TzPolygon([
      37.133426,
      74.468837,
      37.142880,
      74.455974,
      37.166276,
      74.486696,
      37.196612,
      74.468474,
      37.239352,
      74.501097,
      37.235597,
      74.582065,
      37.264557,
      74.630446,
      37.234413,
      74.658309,
      37.279052,
      74.729730,
      37.133426,
      74.729730
    ]);
    poly[2424] = _TzPolygon([
      37.133426,
      74.468837,
      37.142880,
      74.455974,
      37.166276,
      74.486696,
      37.196612,
      74.468474,
      37.239352,
      74.501097,
      37.235597,
      74.582065,
      37.264557,
      74.630446,
      37.234413,
      74.658309,
      37.279052,
      74.729730,
      37.133426,
      74.729730
    ]);
    poly[2425] = _TzPolygon([
      39.621629,
      73.680905,
      39.465790,
      73.680905,
      39.455523,
      73.567063,
      39.470895,
      73.476386,
      39.434966,
      73.357105,
      39.393343,
      73.353206,
      39.383493,
      73.258935,
      39.353209,
      73.200707,
      39.376400,
      73.106516,
      39.346646,
      72.958869,
      39.371810,
      72.932333,
      39.346984,
      72.879179,
      39.364314,
      72.824207,
      39.345654,
      72.782665,
      39.395560,
      72.697323,
      39.398640,
      72.632080,
      39.621629,
      72.632080
    ]);
    poly[2426] = _TzPolygon([
      39.165735,
      73.680905,
      39.228297,
      73.634577,
      39.247642,
      73.613548,
      39.243868,
      73.569070,
      39.277796,
      73.537943,
      39.296679,
      73.556123,
      39.310925,
      73.527546,
      39.350046,
      73.564255,
      39.381740,
      73.499735,
      39.411356,
      73.592181,
      39.455975,
      73.596836,
      39.473945,
      73.637184,
      39.467499,
      73.680905
    ]);
    poly[2427] = _TzPolygon([
      39.165735,
      73.680905,
      39.228297,
      73.634577,
      39.247642,
      73.613548,
      39.243868,
      73.569070,
      39.277796,
      73.537943,
      39.296679,
      73.556123,
      39.310925,
      73.527546,
      39.350046,
      73.564255,
      39.381740,
      73.499735,
      39.411356,
      73.592181,
      39.455975,
      73.596836,
      39.473945,
      73.637184,
      39.467499,
      73.680905
    ]);
    poly[2428] = _TzPolygon([
      38.219396,
      74.729730,
      38.228164,
      74.697939,
      38.294531,
      74.704511,
      38.380596,
      74.665531,
      38.425102,
      74.695418,
      38.471504,
      74.506685,
      38.640280,
      74.186889,
      38.641644,
      74.121320,
      38.610441,
      74.115428,
      38.610793,
      74.074638,
      38.578373,
      74.062119,
      38.536643,
      74.086194,
      38.542742,
      74.028093,
      38.521877,
      73.998241,
      38.613843,
      73.801471,
      38.663918,
      73.805162,
      38.731808,
      73.743852,
      38.778211,
      73.767816,
      38.843806,
      73.729812,
      38.852890,
      73.694557,
      38.910714,
      73.734121,
      38.910714,
      74.729730
    ]);
    poly[2429] = _TzPolygon([
      38.219396,
      74.729730,
      38.228164,
      74.697939,
      38.294531,
      74.704511,
      38.380596,
      74.665531,
      38.425102,
      74.695418,
      38.471504,
      74.506685,
      38.640280,
      74.186889,
      38.641644,
      74.121320,
      38.610441,
      74.115428,
      38.610793,
      74.074638,
      38.578373,
      74.062119,
      38.536643,
      74.086194,
      38.542742,
      74.028093,
      38.521877,
      73.998241,
      38.613843,
      73.801471,
      38.663918,
      73.805162,
      38.731808,
      73.743852,
      38.778211,
      73.767816,
      38.843806,
      73.729812,
      38.852890,
      73.694557,
      38.910714,
      73.734121,
      38.910714,
      74.729730
    ]);
    poly[2430] = _TzPolygon([
      39.621629,
      73.948811,
      39.542963,
      73.878107,
      39.483241,
      73.874395,
      39.465790,
      73.680905,
      39.621629,
      73.680905
    ]);
    poly[2431] = _TzPolygon([
      39.165735,
      73.680905,
      39.111942,
      73.720740,
      39.075916,
      73.710468,
      39.031154,
      73.742535,
      39.042821,
      73.812424,
      38.999638,
      73.844173,
      38.921522,
      73.835407,
      38.941908,
      73.755465,
      38.910714,
      73.734121,
      38.910714,
      73.680905
    ]);
    poly[2432] = _TzPolygon([
      38.910714,
      74.729730,
      38.910714,
      73.734121,
      38.941908,
      73.755465,
      38.921522,
      73.835407,
      38.999638,
      73.844173,
      39.042821,
      73.812424,
      39.036535,
      73.736756,
      39.075916,
      73.710468,
      39.111942,
      73.720740,
      39.165735,
      73.680905,
      39.467499,
      73.680905,
      39.460903,
      73.725644,
      39.483241,
      73.874395,
      39.542963,
      73.878107,
      39.621629,
      73.948811,
      39.621629,
      74.729730
    ]);
    poly[2433] = _TzPolygon([
      34.681454,
      74.729730,
      34.672761,
      74.935837,
      34.628988,
      75.025176,
      34.654966,
      75.086780,
      34.638313,
      75.266223,
      34.600954,
      75.248544,
      34.537929,
      75.365101,
      34.536575,
      75.656715,
      34.513668,
      75.785099,
      34.632370,
      75.950518,
      34.639246,
      75.993060,
      34.685650,
      76.033581,
      34.632683,
      76.163291,
      34.673187,
      76.252612,
      34.717171,
      76.257520,
      34.737645,
      76.419385,
      34.796098,
      76.486585,
      34.746644,
      76.597098,
      34.764281,
      76.633757,
      34.733741,
      76.642507,
      34.745703,
      76.688577,
      34.795780,
      76.701725,
      34.805465,
      76.736446,
      34.888351,
      76.745396,
      34.953075,
      76.790940,
      34.943841,
      76.827381,
      33.934308,
      76.827381,
      33.934308,
      74.729730
    ]);
    poly[2434] = _TzPolygon([
      36.719669,
      75.778556,
      36.751179,
      75.724104,
      36.770324,
      75.640323,
      36.771441,
      75.533905,
      36.721379,
      75.532454,
      36.739151,
      75.499264,
      36.722443,
      75.454624,
      36.773371,
      75.419598,
      36.777969,
      75.419720,
      36.777969,
      75.778556
    ]);
    poly[2435] = _TzPolygon([
      36.719669,
      75.778556,
      36.751179,
      75.724104,
      36.770324,
      75.640323,
      36.771441,
      75.533905,
      36.721379,
      75.532454,
      36.739151,
      75.499264,
      36.722443,
      75.454624,
      36.773371,
      75.419598,
      36.777969,
      75.419720,
      36.777969,
      75.778556
    ]);
    poly[2436] = _TzPolygon([
      35.445959,
      76.827381,
      35.516936,
      76.796544,
      35.538709,
      76.747843,
      35.582935,
      76.794149,
      35.629627,
      76.755139,
      35.661939,
      76.782683,
      35.671056,
      76.827381
    ]);
    poly[2437] = _TzPolygon([
      36.067053,
      75.946129,
      36.067053,
      76.827381,
      35.672074,
      76.827381,
      35.662334,
      76.759972,
      35.751637,
      76.686956,
      35.775550,
      76.586496,
      35.822520,
      76.561059,
      35.900167,
      76.598974,
      35.927243,
      76.555835,
      35.881546,
      76.512628,
      35.890844,
      76.468583,
      35.852521,
      76.427028,
      35.863568,
      76.366433,
      35.828165,
      76.359378,
      35.842344,
      76.224581,
      35.822729,
      76.164885,
      35.849690,
      76.141044,
      35.917140,
      76.159421,
      36.016186,
      76.100938,
      36.018989,
      75.998931
    ]);
    poly[2438] = _TzPolygon([
      36.067053,
      75.946129,
      36.067053,
      76.827381,
      35.672074,
      76.827381,
      35.662334,
      76.759972,
      35.751637,
      76.686956,
      35.775550,
      76.586496,
      35.822520,
      76.561059,
      35.900167,
      76.598974,
      35.927243,
      76.555835,
      35.881546,
      76.512628,
      35.890844,
      76.468583,
      35.852521,
      76.427028,
      35.863568,
      76.366433,
      35.828165,
      76.359378,
      35.842344,
      76.224581,
      35.822729,
      76.164885,
      35.849690,
      76.141044,
      35.917140,
      76.159421,
      36.016186,
      76.100938,
      36.018989,
      75.998931
    ]);
    poly[2439] = _TzPolygon([
      36.719669,
      75.778556,
      36.669735,
      75.864847,
      36.602919,
      75.945096,
      36.564659,
      75.925969,
      36.464363,
      76.012057,
      36.409106,
      76.035408,
      36.341644,
      75.985215,
      36.227331,
      76.061984,
      36.233893,
      76.006339,
      36.172491,
      76.013761,
      36.135626,
      75.932635,
      36.067053,
      75.951218,
      36.067053,
      75.778556
    ]);
    poly[2440] = _TzPolygon([
      36.067053,
      75.946129,
      36.070845,
      75.941964,
      36.135626,
      75.932635,
      36.172491,
      76.013761,
      36.233893,
      76.006339,
      36.227331,
      76.061984,
      36.341644,
      75.985215,
      36.409106,
      76.035408,
      36.464363,
      76.012057,
      36.564659,
      75.925969,
      36.602919,
      75.945096,
      36.669735,
      75.864847,
      36.719669,
      75.778556,
      36.777969,
      75.778556,
      36.777969,
      76.827381,
      36.067053,
      76.827381
    ]);
    poly[2441] = _TzPolygon([
      35.356138,
      76.827381,
      35.356138,
      76.986896,
      35.316359,
      76.984410,
      35.295452,
      77.021868,
      35.260360,
      76.977320,
      35.232490,
      77.004331,
      35.210635,
      76.990624,
      35.182993,
      77.017472,
      35.167832,
      77.087005,
      35.123796,
      77.070455,
      35.065026,
      77.120391,
      35.005919,
      76.934844,
      34.925970,
      76.897901,
      34.943841,
      76.827381
    ]);
    poly[2442] = _TzPolygon([
      33.934308,
      78.925031,
      33.934308,
      78.729917,
      34.000014,
      78.742330,
      34.031830,
      78.656517,
      34.084579,
      78.661189,
      34.089531,
      78.744259,
      34.137846,
      78.794686,
      34.127497,
      78.833673,
      34.165624,
      78.862088,
      34.141595,
      78.907604,
      34.183478,
      78.925031
    ]);
    poly[2443] = _TzPolygon([
      34.645223,
      78.273656,
      34.645223,
      78.925031,
      34.383080,
      78.925031,
      34.381012,
      78.902127,
      34.439790,
      78.764039,
      34.456534,
      78.738466,
      34.481222,
      78.761982,
      34.525883,
      78.709706,
      34.550494,
      78.646194,
      34.504386,
      78.579909,
      34.511791,
      78.559466,
      34.571544,
      78.551916,
      34.584148,
      78.498229,
      34.541933,
      78.435485,
      34.594773,
      78.421926,
      34.629770,
      78.272983
    ]);
    poly[2444] = _TzPolygon([
      34.645223,
      78.273656,
      34.645223,
      78.925031,
      34.383080,
      78.925031,
      34.381012,
      78.902127,
      34.439790,
      78.764039,
      34.456534,
      78.738466,
      34.481899,
      78.761409,
      34.550494,
      78.646194,
      34.504386,
      78.579909,
      34.511791,
      78.559466,
      34.571544,
      78.551916,
      34.584148,
      78.498229,
      34.541933,
      78.435485,
      34.594773,
      78.421926,
      34.629770,
      78.272983
    ]);
    poly[2445] = _TzPolygon([
      34.645223,
      78.273656,
      34.696039,
      78.275867,
      34.735445,
      78.202215,
      34.869788,
      78.237217,
      34.937333,
      78.173688,
      34.973084,
      78.201476,
      35.031824,
      78.114509,
      35.070509,
      78.146352,
      35.099708,
      78.131706,
      35.092384,
      78.076400,
      35.114011,
      78.049278,
      35.175141,
      78.056359,
      35.239409,
      78.003213,
      35.356138,
      78.013615,
      35.356138,
      78.925031,
      34.645223,
      78.925031
    ]);
    poly[2446] = _TzPolygon([
      34.645223,
      78.273656,
      34.696039,
      78.275867,
      34.735445,
      78.202215,
      34.869788,
      78.237217,
      34.937333,
      78.173688,
      34.973084,
      78.201476,
      35.031824,
      78.114509,
      35.070509,
      78.146352,
      35.099708,
      78.131706,
      35.092384,
      78.076400,
      35.114011,
      78.049278,
      35.175141,
      78.056359,
      35.239409,
      78.003213,
      35.356138,
      78.013615,
      35.356138,
      78.925031,
      34.645223,
      78.925031
    ]);
    poly[2447] = _TzPolygon([
      35.445959,
      76.827381,
      35.399567,
      76.847536,
      35.396853,
      76.940010,
      35.356138,
      76.986896,
      35.356138,
      76.827381
    ]);
    poly[2448] = _TzPolygon([
      35.483595,
      77.876206,
      35.523233,
      77.812064,
      35.451791,
      77.690592,
      35.486776,
      77.652124,
      35.462302,
      77.629533,
      35.488714,
      77.534592,
      35.461831,
      77.442315,
      35.470392,
      77.392063,
      35.545595,
      77.302601,
      35.521841,
      77.194011,
      35.601976,
      77.057034,
      35.594838,
      76.967329,
      35.619108,
      76.899752,
      35.674546,
      76.844488,
      35.672074,
      76.827381,
      36.777969,
      76.827381,
      36.777969,
      77.876206
    ]);
    poly[2449] = _TzPolygon([
      35.483595,
      77.876206,
      35.523233,
      77.812064,
      35.451791,
      77.690592,
      35.486776,
      77.652124,
      35.462302,
      77.629533,
      35.488714,
      77.534592,
      35.461831,
      77.442315,
      35.470392,
      77.392063,
      35.545595,
      77.302601,
      35.521841,
      77.194011,
      35.601976,
      77.057034,
      35.594838,
      76.967329,
      35.619108,
      76.899752,
      35.674546,
      76.844488,
      35.672074,
      76.827381,
      36.777969,
      76.827381,
      36.777969,
      77.876206
    ]);
    poly[2450] = _TzPolygon([
      35.483595,
      77.876206,
      35.462099,
      77.910990,
      35.497211,
      77.924097,
      35.478626,
      77.947678,
      35.494262,
      78.000640,
      35.468260,
      78.024969,
      35.490578,
      78.046374,
      35.493312,
      78.135881,
      35.430330,
      78.100959,
      35.363366,
      78.014259,
      35.356138,
      78.013615,
      35.356138,
      77.876206
    ]);
    poly[2451] = _TzPolygon([
      35.356138,
      78.013615,
      35.363366,
      78.014259,
      35.430330,
      78.100959,
      35.493312,
      78.135881,
      35.490578,
      78.046374,
      35.468260,
      78.024969,
      35.494262,
      78.000640,
      35.478626,
      77.947678,
      35.497211,
      77.924097,
      35.462099,
      77.910990,
      35.483595,
      77.876206,
      36.777969,
      77.876206,
      36.777969,
      78.925031,
      35.356138,
      78.925031
    ]);
    poly[2452] = _TzPolygon([
      37.133426,
      74.729730,
      37.133426,
      75.254143,
      36.964709,
      75.254143,
      36.959055,
      75.233421,
      36.990136,
      75.159413,
      37.009677,
      75.168135,
      37.026747,
      75.140645,
      37.006778,
      75.114566,
      37.016240,
      75.029246,
      36.978512,
      74.916970,
      36.946348,
      74.932433,
      36.929445,
      74.908277,
      37.017538,
      74.839898,
      37.058568,
      74.839072,
      37.021655,
      74.739209,
      37.035827,
      74.729730
    ]);
    poly[2453] = _TzPolygon([
      37.133426,
      74.729730,
      37.133426,
      75.254143,
      36.964709,
      75.254143,
      36.959055,
      75.233421,
      36.990136,
      75.159413,
      37.009677,
      75.168135,
      37.026747,
      75.140645,
      37.006778,
      75.114566,
      37.016240,
      75.029246,
      36.978512,
      74.916970,
      36.946348,
      74.932433,
      36.929445,
      74.908277,
      37.017538,
      74.839898,
      37.058568,
      74.839072,
      37.021655,
      74.739209,
      37.035827,
      74.729730
    ]);
    poly[2454] = _TzPolygon([
      37.488884,
      74.729730,
      37.488884,
      75.090935,
      37.409564,
      75.153956,
      37.371445,
      75.094042,
      37.315712,
      75.125139,
      37.284078,
      74.926784,
      37.233280,
      74.906749,
      37.333891,
      74.832116,
      37.385872,
      74.729730
    ]);
    poly[2455] = _TzPolygon([
      37.388202,
      74.729730,
      37.355417,
      74.803800,
      37.234090,
      74.889862,
      37.214743,
      74.809106,
      37.286128,
      74.741052,
      37.279052,
      74.729730
    ]);
    poly[2456] = _TzPolygon([
      37.279052,
      74.729730,
      37.286128,
      74.741052,
      37.214743,
      74.809106,
      37.220997,
      74.882519,
      37.237344,
      74.915359,
      37.284078,
      74.926784,
      37.320756,
      75.128178,
      37.371445,
      75.094042,
      37.409564,
      75.153956,
      37.466028,
      75.125284,
      37.488884,
      75.100901,
      37.488884,
      75.254143,
      37.133426,
      75.254143,
      37.133426,
      74.729730
    ]);
    poly[2457] = _TzPolygon([
      36.964709,
      75.254143,
      36.974483,
      75.289962,
      36.955057,
      75.399524,
      36.903406,
      75.385606,
      36.886364,
      75.422586,
      36.777969,
      75.419720,
      36.777969,
      75.254143
    ]);
    poly[2458] = _TzPolygon([
      36.777969,
      75.419720,
      36.886364,
      75.422586,
      36.903406,
      75.385606,
      36.955057,
      75.399524,
      36.974483,
      75.289962,
      36.964709,
      75.254143,
      37.488884,
      75.254143,
      37.488884,
      75.778556,
      36.777969,
      75.778556
    ]);
    poly[2459] = _TzPolygon([
      37.488884,
      75.100901,
      37.525479,
      75.061859,
      37.500971,
      75.031283,
      37.554090,
      74.943988,
      37.661836,
      74.897022,
      37.775484,
      75.010669,
      37.851162,
      74.914597,
      37.894579,
      74.937966,
      37.907079,
      74.912930,
      38.024583,
      74.916475,
      38.025716,
      74.868341,
      38.069062,
      74.854197,
      38.085290,
      74.820280,
      38.198829,
      74.804308,
      38.199799,
      74.800792,
      38.199799,
      75.778556,
      37.488884,
      75.778556
    ]);
    poly[2460] = _TzPolygon([
      37.488884,
      75.100901,
      37.525479,
      75.061859,
      37.500971,
      75.031283,
      37.554090,
      74.943988,
      37.661836,
      74.897022,
      37.775484,
      75.010669,
      37.851162,
      74.914597,
      37.894579,
      74.937966,
      37.907079,
      74.912930,
      38.024583,
      74.916475,
      38.025716,
      74.868341,
      38.069062,
      74.854197,
      38.085290,
      74.820280,
      38.198829,
      74.804308,
      38.199799,
      74.800792,
      38.199799,
      75.778556,
      37.488884,
      75.778556
    ]);
    poly[2461] = _TzPolygon([
      36.777969,
      75.778556,
      38.199799,
      75.778556,
      38.199799,
      76.827381,
      36.777969,
      76.827381
    ]);
    poly[2462] = _TzPolygon(
        [38.219396, 74.729730, 38.199799, 74.800792, 38.199799, 74.729730]);
    poly[2463] = _TzPolygon([
      38.199799,
      74.800792,
      38.219396,
      74.729730,
      39.621629,
      74.729730,
      39.621629,
      76.827381,
      38.199799,
      76.827381
    ]);
    poly[2464] = _TzPolygon([
      36.777969,
      76.827381,
      39.621629,
      76.827381,
      39.621629,
      78.925031,
      36.777969,
      78.925031
    ]);
    poly[2465] = _TzPolygon([
      39.621629,
      73.948811,
      39.726364,
      73.919835,
      39.755180,
      73.837881,
      39.781619,
      73.832208,
      39.835949,
      73.849052,
      39.873835,
      73.912909,
      39.920640,
      73.907230,
      40.004808,
      73.976987,
      40.032744,
      73.937339,
      40.044959,
      73.997165,
      40.080209,
      74.025729,
      39.621629,
      74.025729
    ]);
    poly[2466] = _TzPolygon([
      39.621629,
      73.948811,
      39.726364,
      73.919835,
      39.755180,
      73.837881,
      39.781619,
      73.832208,
      39.835949,
      73.849052,
      39.873835,
      73.912909,
      39.920640,
      73.907230,
      40.004808,
      73.976987,
      40.032744,
      73.937339,
      40.044959,
      73.997165,
      40.080209,
      74.025729,
      39.621629,
      74.025729
    ]);
    poly[2467] = _TzPolygon([
      40.080209,
      74.025729,
      40.099476,
      74.041342,
      40.077545,
      74.068636,
      40.111241,
      74.123112,
      40.133589,
      74.257201,
      40.104333,
      74.278614,
      40.103243,
      74.368966,
      40.208962,
      74.525516,
      40.282217,
      74.590495,
      40.272882,
      74.660519,
      40.289406,
      74.684728,
      40.349852,
      74.691697,
      40.353745,
      74.789787,
      40.323765,
      74.861761,
      40.337733,
      74.901445,
      40.452232,
      74.787602,
      40.521940,
      74.837762,
      40.487230,
      74.911723,
      39.621629,
      74.911723,
      39.621629,
      74.025729
    ]);
    poly[2468] = _TzPolygon([
      40.080209,
      74.025729,
      40.099476,
      74.041342,
      40.077545,
      74.068636,
      40.111241,
      74.123112,
      40.133589,
      74.257201,
      40.104333,
      74.278614,
      40.103243,
      74.368966,
      40.208962,
      74.525516,
      40.282217,
      74.590495,
      40.272882,
      74.660519,
      40.289406,
      74.684728,
      40.349852,
      74.691697,
      40.353745,
      74.789787,
      40.323765,
      74.861761,
      40.337733,
      74.901445,
      40.452232,
      74.787602,
      40.521940,
      74.837762,
      40.487230,
      74.911723,
      39.621629,
      74.911723,
      39.621629,
      74.025729
    ]);
    poly[2469] = _TzPolygon([
      42.753622,
      73.139736,
      42.753622,
      73.485103,
      42.731430,
      73.465460,
      42.548898,
      73.432917,
      42.444589,
      73.519002,
      42.417590,
      73.487165,
      42.444516,
      73.329298,
      42.517922,
      73.309704,
      42.548409,
      73.139736
    ]);
    poly[2470] = _TzPolygon([
      40.487230,
      74.911723,
      40.451846,
      74.987120,
      40.466612,
      75.017956,
      40.434899,
      75.090097,
      40.461399,
      75.140946,
      40.444674,
      75.222834,
      40.532029,
      75.327898,
      40.555371,
      75.414740,
      40.618831,
      75.487310,
      40.663256,
      75.602762,
      40.505645,
      75.646403,
      40.472839,
      75.723607,
      40.364186,
      75.661159,
      40.280084,
      75.699612,
      40.317091,
      75.797716,
      39.621629,
      75.797716,
      39.621629,
      74.911723
    ]);
    poly[2471] = _TzPolygon([
      40.487230,
      74.911723,
      40.451846,
      74.987120,
      40.466612,
      75.017956,
      40.434899,
      75.090097,
      40.461399,
      75.140946,
      40.444674,
      75.222834,
      40.532029,
      75.327898,
      40.555371,
      75.414740,
      40.618831,
      75.487310,
      40.663256,
      75.602762,
      40.505645,
      75.646403,
      40.472839,
      75.723607,
      40.364186,
      75.661159,
      40.280084,
      75.699612,
      40.317091,
      75.797716,
      39.621629,
      75.797716,
      39.621629,
      74.911723
    ]);
    poly[2472] = _TzPolygon([
      40.317091,
      75.797716,
      40.327702,
      75.825846,
      40.291123,
      75.911526,
      40.375176,
      75.954697,
      40.381226,
      75.991501,
      40.352813,
      76.020951,
      40.395196,
      76.068821,
      40.379447,
      76.184098,
      40.438924,
      76.272610,
      40.339260,
      76.339998,
      40.386701,
      76.365582,
      40.389061,
      76.439808,
      40.465047,
      76.537805,
      40.552357,
      76.556780,
      40.610704,
      76.611545,
      40.621800,
      76.654230,
      40.694650,
      76.672852,
      40.761827,
      76.640013,
      40.789598,
      76.683710,
      39.621629,
      76.683710,
      39.621629,
      75.797716
    ]);
    poly[2473] = _TzPolygon([
      40.317091,
      75.797716,
      40.327702,
      75.825846,
      40.291123,
      75.911526,
      40.375176,
      75.954697,
      40.381226,
      75.991501,
      40.352813,
      76.020951,
      40.395196,
      76.068821,
      40.379447,
      76.184098,
      40.438924,
      76.272610,
      40.339260,
      76.339998,
      40.386701,
      76.365582,
      40.389061,
      76.439808,
      40.465047,
      76.537805,
      40.552357,
      76.556780,
      40.610704,
      76.611545,
      40.621800,
      76.654230,
      40.694650,
      76.672852,
      40.761827,
      76.640013,
      40.789598,
      76.683710,
      39.621629,
      76.683710,
      39.621629,
      75.797716
    ]);
    poly[2474] = _TzPolygon([
      42.753622,
      73.485103,
      42.781744,
      73.509996,
      42.925971,
      73.512634,
      42.982285,
      73.557309,
      43.016913,
      73.547047,
      43.126239,
      73.829573,
      43.123905,
      73.912086,
      43.222655,
      73.969132,
      43.172043,
      74.042598,
      43.195893,
      74.210849,
      43.266797,
      74.204283,
      43.249636,
      74.281967,
      43.216324,
      74.308427,
      43.170610,
      74.414661,
      43.132866,
      74.577481,
      42.989726,
      74.749928,
      42.999852,
      74.853304,
      42.853552,
      75.231300,
      42.843361,
      75.484063,
      42.797189,
      75.711571,
      42.833491,
      75.761433,
      42.940253,
      75.823518,
      42.955718,
      75.926266,
      42.911042,
      76.028275,
      42.931772,
      76.186939,
      42.910942,
      76.302069,
      42.874442,
      76.303927,
      42.860756,
      76.343846,
      42.884302,
      76.478280,
      42.922249,
      76.522591,
      42.906599,
      76.683710,
      42.753622,
      76.683710
    ]);
    poly[2475] = _TzPolygon([
      41.187625,
      76.683710,
      41.187625,
      77.973092,
      41.150282,
      77.831539,
      41.110203,
      77.802175,
      41.058474,
      77.824450,
      41.014784,
      77.765178,
      41.030057,
      77.731213,
      41.003286,
      77.686941,
      40.995774,
      77.477680,
      41.021431,
      77.469752,
      41.040691,
      77.355168,
      41.001292,
      77.276561,
      41.030598,
      77.228880,
      41.010692,
      77.166976,
      41.063045,
      77.085319,
      41.071879,
      76.995851,
      41.024849,
      76.926941,
      41.024539,
      76.868841,
      40.976696,
      76.853013,
      40.953253,
      76.753388,
      40.817990,
      76.728384,
      40.789598,
      76.683710
    ]);
    poly[2476] = _TzPolygon([
      40.789598,
      76.683710,
      40.817990,
      76.728384,
      40.953253,
      76.753388,
      40.976696,
      76.853013,
      41.024539,
      76.868841,
      41.024849,
      76.926941,
      41.071879,
      76.995851,
      41.063045,
      77.085319,
      41.010692,
      77.166976,
      41.030598,
      77.228880,
      41.001292,
      77.276561,
      41.040691,
      77.355168,
      41.021431,
      77.469752,
      40.995774,
      77.477680,
      41.003286,
      77.686941,
      41.030057,
      77.731213,
      41.014784,
      77.765178,
      41.058474,
      77.824450,
      41.110203,
      77.802175,
      41.150282,
      77.831539,
      41.187625,
      77.973092,
      41.187625,
      78.455697,
      39.621629,
      78.455697,
      39.621629,
      76.683710
    ]);
    poly[2477] = _TzPolygon([
      41.187625,
      77.973092,
      41.227076,
      78.122632,
      41.381877,
      78.156398,
      41.400835,
      78.227374,
      41.380886,
      78.320882,
      41.391595,
      78.381867,
      41.412419,
      78.394217,
      41.425027,
      78.455697,
      41.187625,
      78.455697
    ]);
    poly[2478] = _TzPolygon([
      41.187625,
      77.973092,
      41.227076,
      78.122632,
      41.381877,
      78.156398,
      41.400835,
      78.227374,
      41.380886,
      78.320882,
      41.391595,
      78.381867,
      41.412419,
      78.394217,
      41.425027,
      78.455697,
      41.187625,
      78.455697
    ]);
    poly[2479] = _TzPolygon([
      41.187625,
      78.455697,
      41.187625,
      80.227684,
      39.621629,
      80.227684,
      39.621629,
      78.455697
    ]);
    poly[2480] = _TzPolygon([
      42.602381,
      79.341690,
      42.668129,
      79.205044,
      42.732447,
      79.170184,
      42.753622,
      79.178795,
      42.753622,
      79.341690
    ]);
    poly[2481] = _TzPolygon([
      41.425027,
      78.455697,
      41.440130,
      78.529346,
      41.480363,
      78.567435,
      41.468548,
      78.645077,
      41.552982,
      78.712972,
      41.558641,
      78.815072,
      41.641667,
      78.928174,
      41.656901,
      79.017548,
      41.722830,
      79.124616,
      41.726146,
      79.216722,
      41.810766,
      79.322774,
      41.799633,
      79.341690,
      41.187625,
      79.341690,
      41.187625,
      78.455697
    ]);
    poly[2482] = _TzPolygon([
      41.425027,
      78.455697,
      41.440130,
      78.529346,
      41.480363,
      78.567435,
      41.468548,
      78.645077,
      41.552982,
      78.712972,
      41.558641,
      78.815072,
      41.641667,
      78.928174,
      41.656901,
      79.017548,
      41.722830,
      79.124616,
      41.726146,
      79.216722,
      41.810766,
      79.322774,
      41.799633,
      79.341690,
      41.187625,
      79.341690,
      41.187625,
      78.455697
    ]);
    poly[2483] = _TzPolygon([
      41.970624,
      79.341690,
      41.970624,
      79.831409,
      41.893016,
      79.772259,
      41.893524,
      79.637758,
      41.842601,
      79.565854,
      41.837256,
      79.485035,
      41.853325,
      79.463611,
      41.793432,
      79.352228,
      41.799633,
      79.341690
    ]);
    poly[2484] = _TzPolygon([
      41.799633,
      79.341690,
      41.793432,
      79.352228,
      41.853325,
      79.463611,
      41.837256,
      79.485035,
      41.842601,
      79.565854,
      41.893524,
      79.637758,
      41.893016,
      79.772259,
      41.970624,
      79.831409,
      41.970624,
      80.227684,
      41.187625,
      80.227684,
      41.187625,
      79.341690
    ]);
    poly[2485] = _TzPolygon([
      42.447498,
      79.784687,
      42.479622,
      79.695511,
      42.453974,
      79.637153,
      42.459887,
      79.504877,
      42.595042,
      79.356944,
      42.602381,
      79.341690,
      42.753622,
      79.341690,
      42.753622,
      79.784687
    ]);
    poly[2486] = _TzPolygon([
      42.362123,
      80.003141,
      42.362123,
      80.227684,
      42.227953,
      80.227684,
      42.229005,
      80.199166,
      42.210844,
      80.174404,
      42.276259,
      80.118037,
      42.290394,
      80.139202,
      42.339383,
      80.081662,
      42.343685,
      80.028173
    ]);
    poly[2487] = _TzPolygon([
      41.970624,
      79.831409,
      42.034395,
      79.880013,
      42.042667,
      80.209889,
      42.065873,
      80.227124,
      42.100926,
      80.165470,
      42.151887,
      80.138698,
      42.155641,
      80.163803,
      42.225281,
      80.189198,
      42.225081,
      80.227684,
      41.970624,
      80.227684
    ]);
    poly[2488] = _TzPolygon([
      41.970624,
      79.831409,
      42.034395,
      79.880013,
      42.042318,
      80.209397,
      42.065873,
      80.227124,
      42.100926,
      80.165470,
      42.151887,
      80.138698,
      42.155641,
      80.163803,
      42.225281,
      80.189198,
      42.225081,
      80.227684,
      41.970624,
      80.227684
    ]);
    poly[2489] = _TzPolygon([
      42.449696,
      79.784687,
      42.434587,
      79.966911,
      42.377598,
      79.982130,
      42.362123,
      80.003141,
      42.362123,
      79.784687
    ]);
    poly[2490] = _TzPolygon([
      42.408763,
      80.227684,
      42.428545,
      80.204502,
      42.469030,
      80.207623,
      42.482188,
      80.227684
    ]);
    poly[2491] = _TzPolygon([
      42.545651,
      80.227684,
      42.580958,
      80.182413,
      42.668368,
      80.174600,
      42.694916,
      80.227684
    ]);
    poly[2492] = _TzPolygon([
      42.408763,
      80.227684,
      42.428545,
      80.204502,
      42.469030,
      80.207623,
      42.482188,
      80.227684
    ]);
    poly[2493] = _TzPolygon([
      42.545651,
      80.227684,
      42.580958,
      80.182413,
      42.668368,
      80.174600,
      42.694916,
      80.227684
    ]);
    poly[2494] = _TzPolygon([
      42.906599,
      76.683710,
      42.904153,
      76.708886,
      42.949774,
      76.755876,
      42.955093,
      76.822744,
      42.983411,
      76.836789,
      42.965857,
      76.917246,
      42.986802,
      76.973359,
      42.947192,
      77.035094,
      42.976815,
      77.063305,
      42.972661,
      77.153600,
      42.945902,
      77.154789,
      42.911813,
      77.234786,
      42.898513,
      77.350501,
      42.939266,
      77.471560,
      42.924637,
      77.485265,
      42.941107,
      77.552523,
      42.915514,
      77.581041,
      42.914754,
      77.780651,
      42.884439,
      77.823760,
      42.881626,
      77.934015,
      42.850820,
      77.968122,
      42.870654,
      78.002178,
      42.847441,
      78.052662,
      42.859893,
      78.169604,
      42.881989,
      78.197829,
      42.854848,
      78.348808,
      42.886981,
      78.370535,
      42.878797,
      78.430884,
      42.887044,
      78.455697,
      42.753622,
      78.455697,
      42.753622,
      76.683710
    ]);
    poly[2495] = _TzPolygon([
      42.887044,
      78.455697,
      42.900345,
      78.495717,
      42.814881,
      78.664153,
      42.826114,
      78.709549,
      42.774268,
      78.930488,
      42.777168,
      79.022988,
      42.760025,
      79.033891,
      42.804223,
      79.199372,
      42.753622,
      79.178795,
      42.753622,
      78.455697
    ]);
    poly[2496] = _TzPolygon([
      44.735158,
      80.227684,
      44.749696,
      80.192807,
      44.841565,
      80.163957,
      44.809784,
      80.114200,
      44.790446,
      79.999367,
      44.823593,
      79.995176,
      44.850044,
      79.944715,
      44.881986,
      79.963753,
      44.893561,
      79.885916,
      44.910678,
      79.881985,
      45.046946,
      80.090078,
      45.039291,
      80.128335,
      45.057352,
      80.139533,
      45.023252,
      80.213527,
      45.029523,
      80.227684
    ]);
    poly[2497] = _TzPolygon([
      44.735158,
      80.227684,
      44.749696,
      80.192807,
      44.841565,
      80.163957,
      44.809784,
      80.114200,
      44.790446,
      79.999367,
      44.823593,
      79.995176,
      44.850044,
      79.944715,
      44.881986,
      79.963753,
      44.893561,
      79.885916,
      44.910678,
      79.881985,
      45.046946,
      80.090078,
      45.039291,
      80.128335,
      45.057352,
      80.139533,
      45.023252,
      80.213527,
      45.029523,
      80.227684
    ]);
    poly[2498] = _TzPolygon([
      50.905443,
      80.227684,
      50.900366,
      80.192951,
      50.827367,
      80.184918,
      50.828168,
      80.083038,
      50.852890,
      80.067977,
      50.738208,
      80.075866,
      51.923295,
      79.187372,
      52.149600,
      78.975168,
      52.149600,
      80.227684
    ]);
    poly[2499] = _TzPolygon(
        [42.753622, 80.227684, 42.753622, 80.241869, 42.695586, 80.227684]);
  }
}

class _Initializer26 {
  static void _init() {
    poly[2500] = _TzPolygon(
        [42.529926, 80.227684, 42.511178, 80.271885, 42.482188, 80.227684]);
    poly[2501] = _TzPolygon([
      42.408763,
      80.227684,
      42.403854,
      80.233437,
      42.340335,
      80.237655,
      42.319155,
      80.283896,
      42.303060,
      80.259921,
      42.261749,
      80.289183,
      42.226356,
      80.270976,
      42.227953,
      80.227684
    ]);
    poly[2502] = _TzPolygon(
        [42.061963, 80.227684, 42.060584, 80.229579, 42.059953, 80.227684]);
    poly[2503] = _TzPolygon([
      42.225081,
      80.227684,
      42.224876,
      80.266995,
      42.260084,
      80.289329,
      42.292853,
      80.259485,
      42.319979,
      80.283553,
      42.340335,
      80.237655,
      42.403854,
      80.233437,
      42.408763,
      80.227684,
      42.482188,
      80.227684,
      42.511178,
      80.271885,
      42.545651,
      80.227684,
      42.695212,
      80.228275,
      42.753622,
      80.248060,
      42.753622,
      83.771658,
      39.621629,
      83.771658,
      39.621629,
      80.227684
    ]);
    poly[2504] = _TzPolygon([
      42.753622,
      80.248060,
      42.837782,
      80.276568,
      42.829634,
      80.405965,
      42.856021,
      80.425316,
      42.892799,
      80.601001,
      42.996060,
      80.393986,
      43.053524,
      80.393486,
      43.097709,
      80.548941,
      43.138578,
      80.591015,
      43.137824,
      80.781312,
      43.177272,
      80.807281,
      43.267040,
      80.765071,
      43.311382,
      80.778532,
      43.328684,
      80.683169,
      43.393153,
      80.735094,
      43.469037,
      80.750977,
      43.536620,
      80.707270,
      43.536620,
      81.113677,
      42.753622,
      81.113677
    ]);
    poly[2505] = _TzPolygon([
      42.753622,
      80.248060,
      42.837782,
      80.276568,
      42.829634,
      80.405965,
      42.856021,
      80.425316,
      42.892799,
      80.601001,
      42.996060,
      80.393986,
      43.053524,
      80.393486,
      43.097709,
      80.548941,
      43.138578,
      80.591015,
      43.137824,
      80.781312,
      43.177272,
      80.807281,
      43.267040,
      80.765071,
      43.311382,
      80.778532,
      43.328684,
      80.683169,
      43.393153,
      80.735094,
      43.469037,
      80.750977,
      43.536620,
      80.707270,
      43.536620,
      81.113677,
      42.753622,
      81.113677
    ]);
    poly[2506] = _TzPolygon([
      43.536620,
      80.707270,
      43.821915,
      80.522767,
      43.906852,
      80.508993,
      43.988485,
      80.448503,
      44.074396,
      80.445173,
      44.112031,
      80.394265,
      44.293009,
      80.405393,
      44.319618,
      80.397190,
      44.319618,
      81.113677,
      43.536620,
      81.113677
    ]);
    poly[2507] = _TzPolygon([
      43.536620,
      80.707270,
      43.821915,
      80.522767,
      43.906852,
      80.508993,
      43.988485,
      80.448503,
      44.074396,
      80.445173,
      44.112031,
      80.394265,
      44.293009,
      80.405393,
      44.319618,
      80.397190,
      44.319618,
      81.113677,
      43.536620,
      81.113677
    ]);
    poly[2508] = _TzPolygon([
      42.753622,
      81.113677,
      44.319618,
      81.113677,
      44.319618,
      81.999671,
      42.753622,
      81.999671
    ]);
    poly[2509] = _TzPolygon([
      44.319618,
      80.397190,
      44.482686,
      80.346920,
      44.610393,
      80.410483,
      44.689495,
      80.337233,
      44.735158,
      80.227684,
      45.029523,
      80.227684,
      45.070022,
      80.319120,
      45.041065,
      80.344923,
      45.039870,
      80.381788,
      45.126494,
      80.488890,
      45.105973,
      80.511686,
      45.104559,
      80.600910,
      45.133513,
      80.697949,
      45.153985,
      80.726444,
      45.170178,
      80.711060,
      45.124698,
      80.896611,
      45.167634,
      80.956909,
      45.172383,
      81.070029,
      45.221885,
      81.106606,
      45.219797,
      81.113677,
      44.319618,
      81.113677
    ]);
    poly[2510] = _TzPolygon([
      44.319618,
      80.397190,
      44.482686,
      80.346920,
      44.610393,
      80.410483,
      44.689495,
      80.337233,
      44.735158,
      80.227684,
      45.029523,
      80.227684,
      45.070022,
      80.319120,
      45.041065,
      80.344923,
      45.039870,
      80.381788,
      45.126494,
      80.488890,
      45.105973,
      80.511686,
      45.104559,
      80.600910,
      45.133513,
      80.697949,
      45.153985,
      80.726444,
      45.170178,
      80.711060,
      45.124698,
      80.896611,
      45.167634,
      80.956909,
      45.172383,
      81.070029,
      45.221885,
      81.106606,
      45.219797,
      81.113677,
      44.319618,
      81.113677
    ]);
    poly[2511] = _TzPolygon([
      45.219797,
      81.113677,
      45.205617,
      81.161694,
      45.247887,
      81.226593,
      45.252934,
      81.376662,
      45.283638,
      81.420957,
      45.263942,
      81.459824,
      45.307351,
      81.573420,
      45.351581,
      81.619388,
      45.386033,
      81.771755,
      45.228887,
      81.922035,
      45.244937,
      81.999671,
      44.319618,
      81.999671,
      44.319618,
      81.113677
    ]);
    poly[2512] = _TzPolygon([
      45.219797,
      81.113677,
      45.205617,
      81.161694,
      45.247887,
      81.226593,
      45.252934,
      81.376662,
      45.283638,
      81.420957,
      45.263942,
      81.459824,
      45.307351,
      81.573420,
      45.351581,
      81.619388,
      45.386033,
      81.771755,
      45.228887,
      81.922035,
      45.244937,
      81.999671,
      44.319618,
      81.999671,
      44.319618,
      81.113677
    ]);
    poly[2513] = _TzPolygon([
      45.885615,
      82.339173,
      45.795676,
      82.345081,
      45.616577,
      82.257909,
      45.535138,
      82.279959,
      45.420958,
      82.542832,
      45.344720,
      82.587726,
      45.203484,
      82.560101,
      45.177336,
      82.472245,
      45.207713,
      82.336415,
      45.243062,
      82.280731,
      45.201490,
      82.103918,
      45.245480,
      82.090460,
      45.254165,
      82.044305,
      45.244937,
      81.999671,
      45.885615,
      81.999671
    ]);
    poly[2514] = _TzPolygon([
      45.244937,
      81.999671,
      45.254165,
      82.044305,
      45.245480,
      82.090460,
      45.201490,
      82.103918,
      45.243062,
      82.280731,
      45.207713,
      82.336415,
      45.177336,
      82.472245,
      45.203484,
      82.560101,
      45.344720,
      82.587726,
      45.420958,
      82.542832,
      45.535138,
      82.279959,
      45.616577,
      82.257909,
      45.795676,
      82.345081,
      45.885615,
      82.339173,
      45.885615,
      83.771658,
      42.753622,
      83.771658,
      42.753622,
      81.999671
    ]);
    poly[2515] = _TzPolygon([
      39.621629,
      83.771658,
      45.885615,
      83.771658,
      45.885615,
      87.315632,
      39.621629,
      87.315632
    ]);
    poly[2516] = _TzPolygon([
      45.885615,
      82.339173,
      45.939158,
      82.335656,
      45.977168,
      82.456107,
      46.154629,
      82.511896,
      46.485047,
      82.721631,
      47.016096,
      82.938067,
      47.064350,
      82.993102,
      47.223267,
      83.031327,
      47.234652,
      83.150894,
      47.178837,
      83.240591,
      47.177781,
      83.364891,
      47.115993,
      83.413466,
      47.128020,
      83.470781,
      47.078123,
      83.566007,
      47.056358,
      83.565108,
      47.035772,
      83.695637,
      47.017391,
      83.699201,
      47.023299,
      83.771658,
      45.885615,
      83.771658
    ]);
    poly[2517] = _TzPolygon([
      45.885615,
      82.339173,
      45.939158,
      82.335656,
      45.977168,
      82.456107,
      46.154629,
      82.511896,
      46.485047,
      82.721631,
      47.016096,
      82.938067,
      47.064350,
      82.993102,
      47.223613,
      83.031756,
      47.234652,
      83.150894,
      47.178837,
      83.240591,
      47.177781,
      83.364891,
      47.115993,
      83.413466,
      47.128020,
      83.470781,
      47.078123,
      83.566007,
      47.056358,
      83.565108,
      47.035772,
      83.695637,
      47.017391,
      83.699201,
      47.023299,
      83.771658,
      45.885615,
      83.771658
    ]);
    poly[2518] = _TzPolygon([
      50.787634,
      81.999671,
      50.804307,
      81.885415,
      50.771982,
      81.796780,
      50.820919,
      81.775857,
      50.760126,
      81.727827,
      50.742388,
      81.582504,
      50.755926,
      81.449338,
      50.824178,
      81.485988,
      50.862567,
      81.471682,
      50.872428,
      81.421252,
      50.910766,
      81.442838,
      50.975742,
      81.412587,
      50.947903,
      81.059764,
      51.141628,
      81.172907,
      51.211880,
      81.146364,
      51.211523,
      81.115159,
      51.180161,
      81.102526,
      51.181456,
      81.047091,
      51.219025,
      80.919800,
      51.259257,
      80.940611,
      51.316750,
      80.677673,
      51.206804,
      80.634700,
      51.208286,
      80.447087,
      51.135163,
      80.433651,
      51.109428,
      80.482216,
      50.968687,
      80.482243,
      50.962046,
      80.421076,
      50.927119,
      80.375967,
      50.905443,
      80.227684,
      52.149600,
      80.227684,
      52.149600,
      81.999671
    ]);
    poly[2519] = _TzPolygon([
      50.787634,
      81.999671,
      52.149600,
      81.999671,
      52.149600,
      83.771658,
      50.887738,
      83.771658,
      50.896211,
      83.703568,
      50.954777,
      83.648704,
      50.949716,
      83.506916,
      50.976629,
      83.499507,
      50.986714,
      83.430223,
      51.009379,
      83.432449,
      51.015036,
      83.284436,
      50.993338,
      83.202045,
      51.011004,
      83.121021,
      50.965953,
      83.112479,
      50.925200,
      83.005994,
      50.883850,
      82.979643,
      50.927272,
      82.732817,
      50.850432,
      82.739194,
      50.746842,
      82.567470,
      50.742257,
      82.485215,
      50.784596,
      82.357314,
      50.752959,
      82.316736,
      50.769791,
      82.270380,
      50.730064,
      82.172702,
      50.746805,
      82.172162,
      50.750838,
      82.078382,
      50.785751,
      82.012574
    ]);
    poly[2520] = _TzPolygon([
      47.023299,
      83.771658,
      47.024266,
      83.783512,
      46.974769,
      83.906904,
      46.995664,
      83.986524,
      46.967015,
      84.124619,
      47.002278,
      84.201145,
      47.008717,
      84.424263,
      46.980179,
      84.514153,
      47.002080,
      84.657652,
      45.885615,
      84.657652,
      45.885615,
      83.771658
    ]);
    poly[2521] = _TzPolygon([
      47.023299,
      83.771658,
      47.024266,
      83.783512,
      46.974769,
      83.906904,
      46.995664,
      83.986524,
      46.967015,
      84.124619,
      47.002278,
      84.201145,
      47.008717,
      84.424263,
      46.980179,
      84.514153,
      47.002080,
      84.657652,
      45.885615,
      84.657652,
      45.885615,
      83.771658
    ]);
    poly[2522] = _TzPolygon([
      47.002080,
      84.657652,
      47.014069,
      84.736206,
      46.946944,
      84.858121,
      46.862851,
      84.944232,
      46.873553,
      84.979550,
      46.918587,
      84.988478,
      46.925664,
      85.066328,
      46.957894,
      85.078843,
      46.992166,
      85.175971,
      47.052368,
      85.216898,
      47.049875,
      85.261463,
      47.068774,
      85.276360,
      47.042915,
      85.323523,
      47.063988,
      85.460351,
      47.048872,
      85.533940,
      47.088015,
      85.543645,
      45.885615,
      85.543645,
      45.885615,
      84.657652
    ]);
    poly[2523] = _TzPolygon([
      47.002080,
      84.657652,
      47.014069,
      84.736206,
      46.946944,
      84.858121,
      46.862851,
      84.944232,
      46.873553,
      84.979550,
      46.918587,
      84.988478,
      46.925664,
      85.066328,
      46.957894,
      85.078843,
      46.992166,
      85.175971,
      47.052368,
      85.216898,
      47.049875,
      85.261463,
      47.068774,
      85.276360,
      47.042915,
      85.323523,
      47.063988,
      85.460351,
      47.048872,
      85.533940,
      47.088015,
      85.543645,
      45.885615,
      85.543645,
      45.885615,
      84.657652
    ]);
    poly[2524] = _TzPolygon(
        [47.915715, 85.543645, 48.024663, 85.526454, 48.074662, 85.543645]);
    poly[2525] = _TzPolygon(
        [47.917272, 85.543645, 48.025879, 85.526573, 48.097127, 85.543645]);
    poly[2526] = _TzPolygon([
      47.451611,
      85.543645,
      47.451611,
      85.650143,
      47.380073,
      85.702958,
      47.320860,
      85.672934,
      47.288713,
      85.698654,
      47.228725,
      85.685698,
      47.106121,
      85.548134,
      47.088015,
      85.543645
    ]);
    poly[2527] = _TzPolygon([
      47.088015,
      85.543645,
      47.106121,
      85.548134,
      47.228725,
      85.685698,
      47.288713,
      85.698654,
      47.320860,
      85.672934,
      47.380073,
      85.702958,
      47.451611,
      85.650143,
      47.451611,
      87.315632,
      45.885615,
      87.315632,
      45.885615,
      85.543645
    ]);
    poly[2528] = _TzPolygon([
      47.451611,
      85.650143,
      47.508919,
      85.607834,
      47.915715,
      85.543645,
      48.074662,
      85.543645,
      48.190381,
      85.583432,
      48.241824,
      85.659413,
      48.360755,
      85.712500,
      48.418208,
      85.792408,
      48.436718,
      85.912249,
      48.432532,
      86.232376,
      48.490502,
      86.299925,
      48.501479,
      86.375799,
      48.478739,
      86.406763,
      48.541456,
      86.588113,
      48.626460,
      86.635018,
      48.640015,
      86.688950,
      48.720398,
      86.773001,
      48.787702,
      86.753307,
      48.833126,
      86.819222,
      48.914436,
      86.740280,
      48.994148,
      86.728784,
      49.017607,
      86.771293,
      49.017607,
      87.315632,
      47.451611,
      87.315632
    ]);
    poly[2529] = _TzPolygon([
      47.451611,
      85.650143,
      47.508919,
      85.607834,
      47.917272,
      85.543645,
      48.097127,
      85.543645,
      48.140197,
      85.553965,
      48.264113,
      85.675550,
      48.360755,
      85.712500,
      48.418208,
      85.792408,
      48.436718,
      85.912249,
      48.432532,
      86.232376,
      48.490502,
      86.299925,
      48.501479,
      86.375799,
      48.478739,
      86.406763,
      48.540882,
      86.587252,
      48.626460,
      86.635018,
      48.640015,
      86.688950,
      48.720619,
      86.773135,
      48.782086,
      86.751076,
      48.847533,
      86.818793,
      48.896413,
      86.751112,
      48.987993,
      86.726388,
      49.017607,
      86.776027,
      49.017607,
      87.315632,
      47.451611,
      87.315632
    ]);
    poly[2530] = _TzPolygon([
      49.594982,
      85.543645,
      49.598129,
      85.490205,
      49.634803,
      85.388440,
      49.590847,
      85.321261,
      49.588524,
      85.257519,
      49.619788,
      85.264671,
      49.627086,
      85.210125,
      49.745268,
      85.203369,
      49.767910,
      85.148748,
      49.885036,
      85.059699,
      49.906772,
      84.985489,
      49.976294,
      84.978046,
      50.010397,
      85.049258,
      50.052494,
      85.035544,
      50.096610,
      84.945831,
      50.093900,
      84.850700,
      50.120772,
      84.813908,
      50.142985,
      84.825375,
      50.136900,
      84.757717,
      50.210679,
      84.628187,
      50.196841,
      84.567522,
      50.247256,
      84.456801,
      50.209226,
      84.409847,
      50.205465,
      84.362523,
      50.292513,
      84.250679,
      50.353755,
      84.269559,
      50.468975,
      84.203975,
      50.515566,
      84.248707,
      50.551745,
      84.169136,
      50.605967,
      84.144961,
      50.727993,
      83.966111,
      50.795399,
      83.972662,
      50.880022,
      83.833666,
      50.887738,
      83.771658,
      52.149600,
      83.771658,
      52.149600,
      85.543645
    ]);
    poly[2531] = _TzPolygon([
      49.614510,
      86.429638,
      49.607590,
      86.420003,
      49.582700,
      86.271600,
      49.466113,
      86.202038,
      49.524383,
      86.112923,
      49.521846,
      86.037199,
      49.487116,
      85.968991,
      49.535866,
      85.929409,
      49.561326,
      85.944281,
      49.566907,
      85.883737,
      49.544254,
      85.826225,
      49.577150,
      85.756890,
      49.550396,
      85.677689,
      49.614381,
      85.589914,
      49.594414,
      85.553288,
      49.594982,
      85.543645,
      50.583604,
      85.543645,
      50.583604,
      86.429638
    ]);
    poly[2532] = _TzPolygon([
      49.106479,
      87.315632,
      49.115872,
      87.285790,
      49.233885,
      87.309671,
      49.252880,
      87.030716,
      49.348878,
      86.926469,
      49.409624,
      86.947328,
      49.452247,
      86.833377,
      49.499140,
      86.855415,
      49.545425,
      86.827174,
      49.571169,
      86.739513,
      49.570378,
      86.618249,
      49.628524,
      86.615549,
      49.684973,
      86.699725,
      49.696017,
      86.778924,
      49.742395,
      86.752998,
      49.794347,
      86.781099,
      49.807068,
      86.589908,
      49.768929,
      86.610501,
      49.724142,
      86.582292,
      49.614510,
      86.429638,
      50.583604,
      86.429638,
      50.583604,
      87.315632
    ]);
    poly[2533] = _TzPolygon([
      49.017607,
      86.771293,
      49.052468,
      86.834461,
      49.100629,
      86.843535,
      49.134858,
      86.896697,
      49.130878,
      87.081006,
      49.152374,
      87.141830,
      49.103033,
      87.315632,
      49.017607,
      87.315632
    ]);
    poly[2534] = _TzPolygon([
      49.017607,
      86.776027,
      49.052468,
      86.834461,
      49.100629,
      86.843535,
      49.132579,
      86.887155,
      49.130878,
      87.081006,
      49.152374,
      87.141830,
      49.103033,
      87.315632,
      49.017607,
      87.315632
    ]);
    poly[2535] = _TzPolygon([
      40.765989,
      87.315632,
      40.765989,
      98.940959,
      29.382378,
      98.940959,
      29.382378,
      87.315632
    ]);
    poly[2536] = _TzPolygon([
      46.457794,
      90.221964,
      40.765989,
      90.221964,
      40.765989,
      87.315632,
      46.457794,
      87.315632
    ]);
    poly[2537] = _TzPolygon([
      43.611892,
      90.221964,
      43.611892,
      93.128295,
      40.765989,
      93.128295,
      40.765989,
      90.221964
    ]);
    poly[2538] = _TzPolygon([
      45.064679,
      91.675130,
      45.082591,
      91.568639,
      45.068318,
      91.558608,
      45.152538,
      91.449743,
      45.109179,
      91.372880,
      45.131870,
      91.241732,
      45.214054,
      91.122238,
      45.189268,
      90.883794,
      45.204098,
      90.864547,
      45.250311,
      90.894961,
      45.298925,
      90.832894,
      45.288579,
      90.801706,
      45.428391,
      90.769852,
      45.486432,
      90.668311,
      45.551966,
      90.668506,
      45.725378,
      90.712820,
      45.887327,
      90.847910,
      46.022309,
      91.021993,
      46.123814,
      91.011819,
      46.313476,
      90.892338,
      46.362755,
      90.974767,
      46.457794,
      91.023623,
      46.457794,
      91.675130
    ]);
    poly[2539] = _TzPolygon([
      46.457794,
      91.023094,
      46.362755,
      90.974767,
      46.313476,
      90.892338,
      46.123814,
      91.011819,
      46.022309,
      91.021993,
      45.887327,
      90.847910,
      45.725378,
      90.712820,
      45.537048,
      90.667700,
      45.486432,
      90.668311,
      45.428391,
      90.769852,
      45.288579,
      90.801706,
      45.298925,
      90.832894,
      45.250311,
      90.894961,
      45.204098,
      90.864547,
      45.189268,
      90.883794,
      45.214054,
      91.122238,
      45.131870,
      91.241732,
      45.109179,
      91.372880,
      45.152538,
      91.449743,
      45.068318,
      91.558608,
      45.082591,
      91.568639,
      45.064679,
      91.675130,
      43.611892,
      91.675130,
      43.611892,
      90.221964,
      46.457794,
      90.221964
    ]);
    poly[2540] = _TzPolygon([
      45.064679,
      91.675130,
      45.062033,
      91.690864,
      45.082750,
      92.057580,
      45.013481,
      92.234924,
      45.026810,
      92.313272,
      45.000053,
      92.490470,
      45.049824,
      92.775911,
      45.046537,
      92.881584,
      44.999410,
      92.984770,
      45.009373,
      93.128295,
      43.611892,
      93.128295,
      43.611892,
      91.675130
    ]);
    poly[2541] = _TzPolygon([
      45.064679,
      91.675130,
      45.062033,
      91.690864,
      45.082750,
      92.057580,
      45.013481,
      92.234924,
      45.026810,
      92.313272,
      45.000053,
      92.490470,
      45.049824,
      92.775911,
      45.046537,
      92.881584,
      44.999410,
      92.984770,
      45.009373,
      93.128295,
      43.611892,
      93.128295,
      43.611892,
      91.675130
    ]);
    poly[2542] = _TzPolygon([
      47.880746,
      87.315632,
      47.880746,
      88.768798,
      46.457794,
      88.768798,
      46.457794,
      87.315632
    ]);
    poly[2543] = _TzPolygon([
      48.556785,
      88.042215,
      48.572527,
      87.971030,
      48.592222,
      87.956374,
      48.592222,
      88.042215
    ]);
    poly[2544] = _TzPolygon([
      48.592222,
      87.315632,
      48.592222,
      87.956374,
      48.572527,
      87.971030,
      48.556785,
      88.042215,
      47.880746,
      88.042215,
      47.880746,
      87.315632
    ]);
    poly[2545] = _TzPolygon([
      49.303697,
      87.678923,
      49.160188,
      87.678923,
      49.152070,
      87.670519,
      49.138516,
      87.492854,
      49.092530,
      87.503232,
      49.071318,
      87.427347,
      49.106479,
      87.315632,
      49.303697,
      87.315632
    ]);
    poly[2546] = _TzPolygon([
      49.103033,
      87.315632,
      49.071318,
      87.427347,
      49.092530,
      87.503232,
      49.138516,
      87.492854,
      49.152070,
      87.670519,
      49.160188,
      87.678923,
      48.592222,
      87.678923,
      48.592222,
      87.315632
    ]);
    poly[2547] = _TzPolygon([
      49.244136,
      88.042215,
      49.183020,
      87.988438,
      49.175738,
      87.695023,
      49.160188,
      87.678923,
      49.303697,
      87.678923,
      49.303697,
      88.042215
    ]);
    poly[2548] = _TzPolygon([
      49.160188,
      87.678923,
      49.175738,
      87.695023,
      49.170183,
      87.814538,
      49.116333,
      87.866635,
      49.042313,
      87.832382,
      48.984192,
      87.900523,
      48.948734,
      87.868308,
      48.932330,
      87.756271,
      48.867607,
      87.742774,
      48.869462,
      87.781281,
      48.803570,
      87.820515,
      48.753662,
      87.932879,
      48.770281,
      87.972273,
      48.720319,
      88.042215,
      48.672919,
      88.042215,
      48.648333,
      88.011416,
      48.628716,
      88.024847,
      48.593356,
      87.955530,
      48.592222,
      87.956374,
      48.592222,
      87.678923
    ]);
    poly[2549] = _TzPolygon([
      49.160188,
      87.678923,
      49.175738,
      87.695023,
      49.178729,
      87.778504,
      49.116333,
      87.866635,
      49.051225,
      87.828701,
      48.984192,
      87.900523,
      48.948734,
      87.868308,
      48.932330,
      87.756271,
      48.867607,
      87.742774,
      48.869462,
      87.781281,
      48.803570,
      87.820515,
      48.753662,
      87.932879,
      48.770281,
      87.972273,
      48.720319,
      88.042215,
      48.672919,
      88.042215,
      48.648333,
      88.011416,
      48.628716,
      88.024847,
      48.593356,
      87.955530,
      48.592222,
      87.956374,
      48.592222,
      87.678923
    ]);
    poly[2550] = _TzPolygon([
      49.303697,
      88.168698,
      49.293567,
      88.170112,
      49.256569,
      88.106706,
      49.258389,
      88.054756,
      49.244136,
      88.042215,
      49.303697,
      88.042215
    ]);
    poly[2551] = _TzPolygon([
      48.720319,
      88.042215,
      48.711250,
      88.054910,
      48.710979,
      88.089893,
      48.672919,
      88.042215
    ]);
    poly[2552] = _TzPolygon([
      48.556785,
      88.042215,
      48.544517,
      88.097687,
      48.495865,
      88.187297,
      48.475565,
      88.332223,
      48.432953,
      88.350688,
      48.386096,
      88.440133,
      48.398328,
      88.516326,
      48.375755,
      88.517743,
      48.334105,
      88.603783,
      48.274847,
      88.566520,
      48.215444,
      88.588709,
      48.176350,
      88.641707,
      48.173233,
      88.712886,
      48.136071,
      88.768798,
      47.880746,
      88.768798,
      47.880746,
      88.042215
    ]);
    poly[2553] = _TzPolygon([
      48.720319,
      88.042215,
      48.711250,
      88.054910,
      48.710979,
      88.089893,
      48.672919,
      88.042215
    ]);
    poly[2554] = _TzPolygon([
      48.556785,
      88.042215,
      48.544517,
      88.097687,
      48.495865,
      88.187297,
      48.475565,
      88.332223,
      48.432953,
      88.350688,
      48.386096,
      88.440133,
      48.398328,
      88.516326,
      48.375755,
      88.517743,
      48.334105,
      88.603783,
      48.274847,
      88.566520,
      48.215444,
      88.588709,
      48.167176,
      88.666618,
      48.173233,
      88.712886,
      48.136071,
      88.768798,
      47.880746,
      88.768798,
      47.880746,
      88.042215
    ]);
    poly[2555] = _TzPolygon([
      47.708683,
      90.221964,
      47.731776,
      90.123464,
      47.778697,
      90.070226,
      47.857900,
      90.089682,
      47.885540,
      90.056622,
      47.871488,
      90.037587,
      47.886020,
      89.956973,
      47.831169,
      89.949887,
      47.826089,
      89.758819,
      47.900811,
      89.723538,
      47.903891,
      89.655104,
      47.946276,
      89.640187,
      47.967985,
      89.592715,
      48.032941,
      89.578800,
      48.023479,
      89.494572,
      48.043412,
      89.385868,
      47.975260,
      89.236263,
      47.987302,
      89.062006,
      48.107124,
      88.934277,
      48.099500,
      88.823821,
      48.136071,
      88.768798,
      49.303697,
      88.768798,
      49.303697,
      90.221964
    ]);
    poly[2556] = _TzPolygon([
      48.136071,
      88.768798,
      48.099500,
      88.823821,
      48.107124,
      88.934277,
      47.987302,
      89.062006,
      47.975260,
      89.236263,
      48.043412,
      89.385868,
      48.023479,
      89.494572,
      48.032941,
      89.578800,
      47.967985,
      89.592715,
      47.946276,
      89.640187,
      47.903891,
      89.655104,
      47.900811,
      89.723538,
      47.826089,
      89.758819,
      47.831169,
      89.949887,
      47.886020,
      89.956973,
      47.871488,
      90.037587,
      47.885540,
      90.056622,
      47.857900,
      90.089682,
      47.778697,
      90.070226,
      47.731776,
      90.123464,
      47.708683,
      90.221964,
      46.457794,
      90.221964,
      46.457794,
      88.768798
    ]);
    poly[2557] = _TzPolygon([
      49.303697,
      88.168629,
      49.350483,
      88.166733,
      49.390801,
      88.118763,
      49.415928,
      88.184379,
      49.445452,
      88.165591,
      49.479660,
      88.221784,
      49.470898,
      88.297742,
      49.493500,
      88.331200,
      49.494600,
      88.405900,
      49.471900,
      88.494900,
      49.500900,
      88.599200,
      49.462200,
      88.683600,
      49.451183,
      88.768798,
      49.303697,
      88.768798
    ]);
    poly[2558] = _TzPolygon([
      51.558320,
      88.768798,
      51.561429,
      88.763075,
      51.528050,
      88.658053,
      51.390930,
      88.700879,
      51.385349,
      88.631385,
      51.323347,
      88.590383,
      51.286255,
      88.424641,
      51.344413,
      88.315101,
      51.348495,
      88.156395,
      51.394057,
      88.125209,
      51.428544,
      88.141106,
      51.465679,
      88.055455,
      51.478927,
      87.941398,
      51.551548,
      87.900397,
      51.551330,
      87.950085,
      51.589270,
      88.003943,
      51.664388,
      88.019145,
      51.674834,
      88.076043,
      51.740267,
      88.110095,
      51.786111,
      87.883284,
      51.885704,
      87.945307,
      51.916173,
      88.001424,
      51.952266,
      87.976840,
      52.000021,
      88.087596,
      52.016808,
      88.057627,
      52.049688,
      88.066661,
      52.095988,
      88.151791,
      52.045800,
      88.252470,
      52.111733,
      88.286261,
      52.124611,
      88.378254,
      52.149600,
      88.377654,
      52.149600,
      88.768798
    ]);
    poly[2559] = _TzPolygon([
      49.451183,
      88.768798,
      49.441600,
      88.842900,
      49.478100,
      88.880100,
      49.491800,
      88.857100,
      49.546741,
      88.869615,
      49.558961,
      88.900090,
      49.465700,
      88.970800,
      49.502100,
      89.147600,
      49.553700,
      89.232700,
      49.586020,
      89.191469,
      49.634683,
      89.193637,
      49.642300,
      89.250600,
      49.584400,
      89.360000,
      49.666217,
      89.461564,
      49.670804,
      89.495381,
      49.303697,
      89.495381,
      49.303697,
      88.768798
    ]);
    poly[2560] = _TzPolygon([
      50.195459,
      89.495381,
      50.203696,
      89.440603,
      50.177932,
      89.403485,
      50.207937,
      89.308428,
      50.314032,
      89.406595,
      50.314921,
      89.379479,
      50.338889,
      89.381479,
      50.363598,
      89.495381
    ]);
    poly[2561] = _TzPolygon([
      49.670804,
      89.495381,
      49.686000,
      89.607400,
      49.728300,
      89.719200,
      49.790098,
      89.711881,
      49.806369,
      89.624463,
      49.826440,
      89.651037,
      49.863520,
      89.611742,
      49.899345,
      89.630880,
      49.912287,
      89.593570,
      49.943941,
      89.705957,
      49.971259,
      89.974830,
      49.998638,
      90.031556,
      50.057900,
      90.007700,
      50.108164,
      90.165213,
      50.109466,
      90.221964,
      49.303697,
      90.221964,
      49.303697,
      89.495381
    ]);
    poly[2562] = _TzPolygon([
      50.195459,
      89.495381,
      50.363598,
      89.495381,
      50.363913,
      89.496835,
      50.459802,
      89.502910,
      50.428129,
      89.589891,
      50.374267,
      89.613229,
      50.369729,
      89.655164,
      50.409274,
      89.735772,
      50.411201,
      89.818900,
      50.472046,
      89.865650,
      50.524889,
      89.851350,
      50.576936,
      89.649457,
      50.642893,
      89.639825,
      50.645801,
      89.582776,
      50.726649,
      89.511518,
      50.726649,
      90.221964,
      50.109466,
      90.221964,
      50.108164,
      90.165213,
      50.057900,
      90.007700,
      49.998638,
      90.031556,
      49.971259,
      89.974830,
      49.912627,
      89.591721,
      49.970855,
      89.624790,
      50.015530,
      89.592932,
      50.015030,
      89.543959,
      50.039350,
      89.524696,
      50.065855,
      89.533956,
      50.084192,
      89.592042,
      50.106974,
      89.582410,
      50.119310,
      89.511507,
      50.191731,
      89.520175
    ]);
    poly[2563] = _TzPolygon([
      51.549382,
      88.768798,
      51.553761,
      88.791531,
      51.467884,
      88.863883,
      51.463920,
      88.919894,
      51.394259,
      89.008876,
      51.222670,
      88.961090,
      51.159806,
      89.049849,
      51.102517,
      89.022288,
      51.047136,
      89.054221,
      50.982957,
      89.192472,
      50.915982,
      89.268044,
      50.880456,
      89.267748,
      50.881253,
      89.346949,
      50.859675,
      89.348579,
      50.850525,
      89.398663,
      50.809925,
      89.390217,
      50.792570,
      89.453415,
      50.726649,
      89.511518,
      50.726649,
      88.768798
    ]);
    poly[2564] = _TzPolygon([
      47.708683,
      90.221964,
      47.685035,
      90.322828,
      47.654882,
      90.370406,
      47.623447,
      90.344912,
      47.537597,
      90.399595,
      47.489079,
      90.472906,
      47.406960,
      90.458150,
      47.375784,
      90.520087,
      47.321019,
      90.476455,
      47.206174,
      90.559031,
      46.989571,
      90.760778,
      46.986898,
      90.852365,
      46.953718,
      90.903799,
      46.873494,
      90.953714,
      46.820152,
      90.936379,
      46.719828,
      91.048399,
      46.580558,
      91.014437,
      46.557606,
      91.074933,
      46.457794,
      91.023623,
      46.457794,
      90.221964
    ]);
    poly[2565] = _TzPolygon([
      47.708683,
      90.221964,
      47.685035,
      90.322828,
      47.654882,
      90.370406,
      47.623447,
      90.344912,
      47.537597,
      90.399595,
      47.489079,
      90.472906,
      47.406960,
      90.458150,
      47.375784,
      90.520087,
      47.321019,
      90.476455,
      47.166189,
      90.594080,
      46.989571,
      90.760778,
      46.986898,
      90.852365,
      46.936536,
      90.919843,
      46.873494,
      90.953714,
      46.820152,
      90.936379,
      46.719828,
      91.048399,
      46.577957,
      91.015100,
      46.559416,
      91.074768,
      46.457794,
      91.023094,
      46.457794,
      90.221964
    ]);
    poly[2566] = _TzPolygon([
      50.586852,
      93.128295,
      50.586316,
      93.110724,
      50.601118,
      93.049844,
      50.669711,
      92.975229,
      50.716238,
      93.022891,
      50.767992,
      93.031948,
      50.791857,
      93.003385,
      50.808300,
      92.799000,
      50.775900,
      92.756600,
      50.727500,
      92.754000,
      50.703399,
      92.627846,
      50.785137,
      92.600249,
      50.803243,
      92.432061,
      50.884288,
      92.360847,
      50.876724,
      92.312931,
      50.755762,
      92.316914,
      50.728706,
      92.266693,
      50.696363,
      92.072339,
      50.733830,
      91.855084,
      50.697479,
      91.723258,
      50.640059,
      91.661109,
      50.586239,
      91.649948,
      50.581418,
      91.534307,
      50.548525,
      91.454903,
      50.508449,
      91.459026,
      50.476515,
      91.400509,
      50.450600,
      91.409400,
      50.469600,
      91.293300,
      50.420100,
      91.160000,
      50.436000,
      91.093200,
      50.418500,
      90.920800,
      50.348200,
      90.905600,
      50.356900,
      90.829300,
      50.326400,
      90.795600,
      50.337700,
      90.772600,
      50.312900,
      90.706400,
      50.243400,
      90.730800,
      50.214300,
      90.673300,
      50.243900,
      90.580700,
      50.235100,
      90.504100,
      50.197100,
      90.452800,
      50.192641,
      90.388888,
      50.110916,
      90.285204,
      50.109466,
      90.221964,
      52.149600,
      90.221964,
      52.149600,
      93.128295
    ]);
    poly[2567] = _TzPolygon([
      43.154318,
      96.034627,
      43.276337,
      95.877645,
      43.409914,
      95.857465,
      43.611892,
      95.743506,
      43.611892,
      96.034627
    ]);
    poly[2568] = _TzPolygon([
      43.611892,
      93.128295,
      43.611892,
      95.743506,
      43.409914,
      95.857465,
      43.276337,
      95.877645,
      43.154318,
      96.034627,
      40.765989,
      96.034627,
      40.765989,
      93.128295
    ]);
    poly[2569] = _TzPolygon([
      45.009373,
      93.128295,
      45.012508,
      93.173465,
      44.981912,
      93.288074,
      44.985719,
      93.372599,
      44.955826,
      93.429942,
      44.967541,
      93.502765,
      44.897011,
      93.709448,
      44.860771,
      93.727352,
      44.667806,
      94.210293,
      44.580999,
      94.327703,
      44.517174,
      94.344303,
      44.510084,
      94.461212,
      44.445964,
      94.603795,
      44.337774,
      94.725229,
      44.297221,
      94.921805,
      44.249982,
      94.999519,
      44.294069,
      95.407737,
      44.269036,
      95.424178,
      44.225637,
      95.373245,
      44.026980,
      95.322980,
      44.003374,
      95.522625,
      43.611892,
      95.743506,
      43.611892,
      93.128295
    ]);
    poly[2570] = _TzPolygon([
      45.009373,
      93.128295,
      45.012508,
      93.173465,
      44.981912,
      93.288074,
      44.985719,
      93.372599,
      44.955826,
      93.429942,
      44.967541,
      93.502765,
      44.897011,
      93.709448,
      44.860771,
      93.727352,
      44.667806,
      94.210293,
      44.580999,
      94.327703,
      44.517174,
      94.344303,
      44.510084,
      94.461212,
      44.445964,
      94.603795,
      44.337774,
      94.725229,
      44.297221,
      94.921805,
      44.249982,
      94.999519,
      44.294069,
      95.407737,
      44.269036,
      95.424178,
      44.225637,
      95.373245,
      44.026980,
      95.322980,
      44.003374,
      95.522625,
      43.611892,
      95.743506,
      43.611892,
      93.128295
    ]);
    poly[2571] = _TzPolygon([
      43.154318,
      96.034627,
      42.899170,
      96.362886,
      42.725137,
      96.387262,
      42.754765,
      96.977348,
      42.794487,
      97.171712,
      42.652010,
      98.192273,
      42.602416,
      98.940959,
      40.765989,
      98.940959,
      40.765989,
      96.034627
    ]);
    poly[2572] = _TzPolygon([
      42.602416,
      98.940959,
      42.652010,
      98.192273,
      42.709357,
      97.789317,
      43.015049,
      97.790847,
      43.249149,
      97.753533,
      43.330322,
      97.779725,
      43.423705,
      97.855102,
      43.532714,
      97.869080,
      43.614685,
      97.913086,
      43.982116,
      97.955323,
      44.354919,
      97.929872,
      44.405883,
      97.966675,
      44.451725,
      98.101379,
      44.587913,
      98.189964,
      44.686096,
      98.214477,
      44.907090,
      98.201554,
      45.306645,
      98.436608,
      45.583401,
      98.465325,
      45.802815,
      98.401443,
      45.931691,
      98.220528,
      45.990067,
      98.206094,
      46.282628,
      97.741989,
      46.457794,
      97.652394,
      46.457794,
      98.940959
    ]);
    poly[2573] = _TzPolygon([
      43.154318,
      96.034627,
      42.899170,
      96.362886,
      42.725137,
      96.387262,
      42.603136,
      96.101704,
      42.550525,
      96.034627
    ]);
    poly[2574] = _TzPolygon([
      42.420728,
      96.034627,
      42.412938,
      96.064625,
      42.325428,
      96.040077,
      42.216695,
      96.177750,
      42.148642,
      96.075783,
      42.018182,
      96.136722,
      41.922330,
      96.034627
    ]);
    poly[2575] = _TzPolygon([
      49.999383,
      96.034627,
      49.971139,
      95.967566,
      50.043625,
      95.860873,
      50.017142,
      95.765330,
      49.964134,
      95.795551,
      49.944283,
      95.572270,
      49.897225,
      95.531960,
      49.957641,
      95.425916,
      49.962912,
      95.081579,
      49.980528,
      95.016529,
      50.047412,
      94.990329,
      50.054917,
      94.760652,
      50.035398,
      94.614843,
      50.174252,
      94.520289,
      50.213977,
      94.389747,
      50.501225,
      94.341509,
      50.583338,
      94.254035,
      50.604832,
      93.994415,
      50.586223,
      93.703414,
      50.634504,
      93.397457,
      50.589800,
      93.225000,
      50.586852,
      93.128295,
      52.149600,
      93.128295,
      52.149600,
      96.034627
    ]);
    poly[2576] = _TzPolygon([
      46.457794,
      98.940959,
      46.457794,
      97.652394,
      46.472870,
      97.644683,
      46.530694,
      97.653939,
      46.597493,
      97.567687,
      46.742400,
      97.693892,
      46.964324,
      97.745902,
      47.069511,
      97.854394,
      47.154721,
      97.874040,
      47.187299,
      97.935280,
      47.173781,
      98.063370,
      47.246468,
      98.229393,
      47.298234,
      98.266441,
      47.444351,
      98.278206,
      47.562732,
      98.406279,
      47.614785,
      98.416650,
      47.657181,
      98.257591,
      47.743793,
      98.177643,
      47.996052,
      98.201294,
      48.066845,
      98.237740,
      48.102944,
      98.332688,
      48.106953,
      98.544135,
      48.202736,
      98.705277,
      48.262427,
      98.940959
    ]);
    poly[2577] = _TzPolygon([
      49.303697,
      96.993791,
      49.303697,
      98.940959,
      49.108092,
      98.940959,
      49.103970,
      98.814078,
      49.011948,
      98.742532,
      48.934544,
      98.552536,
      49.016433,
      98.378807,
      49.016296,
      98.211122,
      48.986695,
      98.091918,
      49.001710,
      97.878723,
      49.150556,
      97.562598,
      49.181702,
      97.322083,
      49.166870,
      97.175719,
      49.258484,
      97.074890
    ]);
    poly[2578] = _TzPolygon([
      52.149600,
      97.487793,
      49.804285,
      97.487793,
      49.742930,
      97.231114,
      49.791953,
      97.119760,
      49.819551,
      97.119700,
      49.833364,
      97.010128,
      49.892965,
      96.994987,
      49.907572,
      96.740880,
      49.928731,
      96.709200,
      49.873666,
      96.603087,
      49.944184,
      96.525363,
      49.875810,
      96.424461,
      49.976585,
      96.260708,
      49.989134,
      96.106887,
      50.012701,
      96.066248,
      49.999383,
      96.034627,
      52.149600,
      96.034627
    ]);
    poly[2579] = _TzPolygon([
      49.303697,
      96.993791,
      49.368530,
      96.877501,
      49.508729,
      96.875489,
      49.648925,
      97.077698,
      49.791140,
      97.130523,
      49.742930,
      97.231114,
      49.780696,
      97.421624,
      49.813063,
      97.487793,
      49.303697,
      97.487793
    ]);
    poly[2580] = _TzPolygon([
      52.149600,
      98.940959,
      52.129000,
      98.854200,
      51.869900,
      98.764300,
      51.793700,
      98.603800,
      51.798100,
      98.532800,
      51.736600,
      98.452300,
      51.731500,
      98.354000,
      51.616100,
      98.274800,
      51.595100,
      98.223200,
      51.529600,
      98.257400,
      51.456700,
      98.224100,
      51.471300,
      98.126000,
      51.450200,
      98.050100,
      51.334200,
      97.953500,
      51.202000,
      97.939300,
      51.051444,
      97.871231,
      51.017672,
      97.827190,
      50.930118,
      97.887044,
      50.864706,
      98.033343,
      50.808100,
      97.949700,
      50.691900,
      98.024500,
      50.669200,
      98.008000,
      50.597370,
      98.096636,
      50.538882,
      98.272796,
      50.495246,
      98.323276,
      50.396235,
      98.269370,
      50.323294,
      98.308130,
      50.202677,
      98.169785,
      50.151900,
      98.176800,
      50.138700,
      98.112700,
      50.100200,
      98.120400,
      50.070000,
      98.063700,
      50.035900,
      98.069900,
      49.972000,
      97.867400,
      49.923500,
      97.886600,
      49.923000,
      97.829600,
      50.000500,
      97.762100,
      49.961100,
      97.700400,
      49.940797,
      97.571560,
      49.859596,
      97.581344,
      49.806425,
      97.496746,
      49.804285,
      97.487793,
      52.149600,
      97.487793
    ]);
    poly[2581] = _TzPolygon([
      49.108092,
      98.940959,
      49.113709,
      99.113892,
      48.758995,
      99.215377,
      48.555450,
      99.076104,
      48.377377,
      99.102036,
      48.296185,
      99.074249,
      48.262427,
      98.940959
    ]);
    poly[2582] = _TzPolygon([
      42.602416,
      98.940959,
      42.565140,
      99.503700,
      42.646074,
      99.963865,
      42.635273,
      100.267823,
      42.686868,
      100.318421,
      42.671819,
      100.848023,
      42.525365,
      101.567048,
      42.503419,
      101.800727,
      42.252491,
      102.048441,
      42.224160,
      102.024563,
      42.141913,
      102.442447,
      42.158910,
      102.550743,
      42.127201,
      102.760760,
      41.881288,
      103.411109,
      41.807325,
      103.795288,
      41.789065,
      104.058960,
      41.873404,
      104.523668,
      41.772256,
      104.497372,
      41.659575,
      104.517016,
      41.652489,
      104.916430,
      41.580028,
      105.007732,
      41.747680,
      105.229328,
      41.777773,
      105.374100,
      41.930908,
      105.696938,
      42.291428,
      106.786003,
      42.314259,
      107.041054,
      42.322236,
      107.076564,
      39.248044,
      107.076564,
      39.248044,
      98.940959
    ]);
    poly[2583] = _TzPolygon([
      44.180876,
      107.076564,
      44.180876,
      111.548879,
      44.062042,
      111.654266,
      43.932240,
      111.873932,
      43.819103,
      111.958977,
      43.689996,
      111.946239,
      43.666416,
      111.787682,
      43.490772,
      111.572907,
      43.476387,
      111.401550,
      43.430721,
      111.344887,
      43.322006,
      111.006073,
      43.063713,
      110.709297,
      42.932788,
      110.624012,
      42.832583,
      110.464126,
      42.777195,
      110.432930,
      42.672077,
      110.136330,
      42.639107,
      110.100830,
      42.618607,
      109.857483,
      42.453476,
      109.469223,
      42.434506,
      109.283943,
      42.454186,
      109.024406,
      42.395607,
      108.838532,
      42.440613,
      108.539047,
      42.436619,
      108.293167,
      42.460640,
      108.240791,
      42.402268,
      107.918793,
      42.411579,
      107.565933,
      42.454979,
      107.496162,
      42.456661,
      107.453178,
      42.408112,
      107.292809,
      42.362763,
      107.256981,
      42.322236,
      107.076564
    ]);
    poly[2584] = _TzPolygon([
      44.792526,
      113.178269,
      44.795387,
      113.127617,
      44.862572,
      112.756813,
      44.931816,
      112.590889,
      45.074165,
      112.425507,
      45.071598,
      112.111351,
      45.095871,
      112.061829,
      45.071823,
      111.953468,
      45.196289,
      111.911072,
      45.306884,
      111.916077,
      45.492126,
      111.756287,
      45.534486,
      111.685303,
      45.882699,
      111.707276,
      46.054325,
      111.624840,
      46.094497,
      111.575538,
      46.231559,
      111.167098,
      46.435063,
      111.262236,
      46.647293,
      111.240819,
      46.647293,
      113.178269
    ]);
    poly[2585] = _TzPolygon([
      44.180876,
      111.548879,
      44.191757,
      111.539230,
      44.291237,
      111.502602,
      44.317452,
      111.425148,
      44.344635,
      111.409287,
      44.471417,
      111.463654,
      44.571270,
      111.561073,
      44.679550,
      111.564980,
      44.928722,
      111.726143,
      44.994640,
      111.790672,
      45.083611,
      111.971382,
      45.095871,
      112.061829,
      45.071598,
      112.111351,
      45.074165,
      112.425507,
      44.931816,
      112.590889,
      44.862572,
      112.756813,
      44.795387,
      113.127617,
      44.792526,
      113.178269,
      44.180876,
      113.178269
    ]);
    poly[2586] = _TzPolygon([
      44.792526,
      113.178269,
      44.775700,
      113.476212,
      44.742385,
      113.625633,
      44.874359,
      113.870064,
      44.912014,
      113.898567,
      44.925581,
      114.056154,
      44.966660,
      114.133377,
      45.033791,
      114.176971,
      45.143387,
      114.384722,
      45.206078,
      114.456177,
      45.292667,
      114.528038,
      45.382523,
      114.546997,
      45.435032,
      114.744751,
      45.373081,
      114.954804,
      45.382273,
      115.212170,
      44.180876,
      115.212170,
      44.180876,
      113.178269
    ]);
    poly[2587] = _TzPolygon([
      49.113709,
      112.207988,
      48.997680,
      112.292114,
      48.857484,
      112.237121,
      48.463211,
      112.523667,
      48.386635,
      112.540863,
      48.246308,
      112.511551,
      48.086293,
      112.543571,
      47.793868,
      112.694053,
      47.763631,
      112.408936,
      47.644544,
      112.116349,
      47.490891,
      112.051476,
      47.316031,
      112.067925,
      47.379640,
      111.792961,
      47.252503,
      111.550720,
      47.136718,
      111.467530,
      46.948769,
      111.401802,
      46.791871,
      111.393494,
      46.729988,
      111.300499,
      46.647293,
      111.240819,
      46.647293,
      111.144367,
      49.113709,
      111.144367
    ]);
    poly[2588] = _TzPolygon([
      51.611270,
      100.974860,
      51.606802,
      100.929841,
      51.726826,
      100.656240,
      51.718590,
      100.597398,
      51.740450,
      100.586455,
      51.750064,
      100.503852,
      51.726371,
      100.443763,
      51.747931,
      100.414356,
      51.737537,
      100.280642,
      51.759349,
      100.138702,
      51.732720,
      100.061417,
      51.754720,
      99.979798,
      51.738159,
      99.910913,
      51.805502,
      99.864397,
      51.806759,
      99.830758,
      51.834955,
      99.847577,
      51.915385,
      99.801183,
      51.887697,
      99.682656,
      51.904393,
      99.664972,
      51.879108,
      99.613847,
      51.924188,
      99.600979,
      51.967993,
      99.521987,
      51.948871,
      99.465890,
      51.965900,
      99.401018,
      51.942400,
      99.353785,
      51.973530,
      99.265308,
      52.018603,
      99.276094,
      52.024554,
      99.128117,
      52.069498,
      99.071691,
      52.074732,
      99.004609,
      52.149600,
      98.967137,
      52.149600,
      100.974860
    ]);
    poly[2589] = _TzPolygon([
      50.631654,
      102.453348,
      50.631654,
      103.008762,
      50.305663,
      103.008762,
      50.305491,
      102.941875,
      50.334191,
      102.841829,
      50.408529,
      102.731819,
      50.402190,
      102.647698,
      50.506385,
      102.610630,
      50.531563,
      102.541005,
      50.588504,
      102.536235,
      50.601044,
      102.469595
    ]);
    poly[2590] = _TzPolygon([
      51.611270,
      100.974860,
      51.612788,
      100.990152,
      51.570270,
      101.017427,
      51.559848,
      101.078678,
      51.591220,
      101.104394,
      51.521396,
      101.136642,
      51.544113,
      101.256278,
      51.455846,
      101.370098,
      51.455689,
      101.438936,
      51.491166,
      101.459560,
      51.499542,
      101.542217,
      51.469944,
      101.567716,
      51.469211,
      101.622263,
      51.440028,
      101.619038,
      51.455342,
      101.749057,
      51.415155,
      101.828531,
      51.400795,
      101.888839,
      51.413744,
      101.951935,
      51.382190,
      102.001432,
      51.395816,
      102.022059,
      51.361612,
      102.124291,
      51.295025,
      102.183968,
      51.284034,
      102.114160,
      51.246469,
      102.104487,
      51.178688,
      102.166319,
      51.174218,
      102.135113,
      51.139101,
      102.123325,
      51.095029,
      102.170838,
      51.057304,
      102.151096,
      51.039492,
      102.203624,
      50.974887,
      102.243008,
      50.953841,
      102.213785,
      50.901973,
      102.245439,
      50.875846,
      102.211974,
      50.817034,
      102.209737,
      50.732537,
      102.340313,
      50.681855,
      102.302346,
      50.641584,
      102.399939,
      50.645679,
      102.445904,
      50.631654,
      102.453348,
      50.631654,
      100.974860
    ]);
    poly[2591] = _TzPolygon([
      50.066862,
      107.076564,
      50.068333,
      107.071852,
      50.157182,
      106.999999,
      50.199066,
      107.012474,
      50.298178,
      106.815728,
      50.344056,
      106.524582,
      50.318138,
      106.468711,
      50.298134,
      106.261230,
      50.339694,
      106.183001,
      50.333400,
      106.084101,
      50.404505,
      106.057371,
      50.412632,
      105.899052,
      50.440396,
      105.844227,
      50.427396,
      105.628757,
      50.458023,
      105.525130,
      50.442109,
      105.443530,
      50.479499,
      105.354717,
      50.472143,
      105.298419,
      50.389932,
      105.120167,
      50.408974,
      104.898394,
      50.340957,
      104.811685,
      50.367215,
      104.699160,
      50.324107,
      104.650171,
      50.301144,
      104.561207,
      50.311627,
      104.391917,
      50.244970,
      104.340154,
      50.241788,
      104.293170,
      50.201199,
      104.278330,
      50.139350,
      104.139193,
      50.150297,
      103.998557,
      50.197561,
      103.846631,
      50.151682,
      103.800412,
      50.163815,
      103.751510,
      50.124464,
      103.710233,
      50.144055,
      103.608458,
      50.166202,
      103.602337,
      50.162679,
      103.557250,
      50.199072,
      103.514193,
      50.211781,
      103.411403,
      50.192893,
      103.256290,
      50.284896,
      103.276425,
      50.331450,
      103.206442,
      50.306018,
      103.147235,
      50.305663,
      103.008762,
      52.149600,
      103.008762,
      52.149600,
      107.076564
    ]);
    poly[2592] = _TzPolygon([
      50.631654,
      108.093515,
      50.312034,
      108.093515,
      50.341001,
      108.003578,
      50.264004,
      107.922644,
      50.240486,
      107.940428,
      50.153205,
      107.734458,
      49.991210,
      107.796884,
      49.970584,
      107.754305,
      49.988130,
      107.702072,
      49.969779,
      107.598704,
      49.985686,
      107.544828,
      49.971669,
      107.428258,
      50.003834,
      107.319441,
      49.988246,
      107.257167,
      50.013399,
      107.169001,
      50.043321,
      107.152003,
      50.066862,
      107.076564,
      50.631654,
      107.076564
    ]);
    poly[2593] = _TzPolygon([
      50.064685,
      107.076564,
      50.062112,
      107.078694,
      49.988246,
      107.257167,
      50.003834,
      107.319441,
      49.971669,
      107.428258,
      49.985686,
      107.544828,
      49.969779,
      107.598704,
      49.987955,
      107.706604,
      49.933171,
      107.794221,
      49.960970,
      107.828742,
      49.936456,
      107.853196,
      49.941395,
      107.969055,
      49.875400,
      107.919200,
      49.819200,
      107.936700,
      49.802800,
      107.981600,
      49.784800,
      107.948500,
      49.747400,
      107.969800,
      49.711400,
      107.934300,
      49.670600,
      107.947100,
      49.654800,
      107.968300,
      49.673400,
      108.023000,
      49.622300,
      108.027500,
      49.592405,
      108.093515,
      49.113709,
      108.093515,
      49.113709,
      107.076564
    ]);
    poly[2594] = _TzPolygon([
      50.631654,
      108.311979,
      50.619287,
      108.338337,
      50.622678,
      108.407532,
      50.594503,
      108.482451,
      50.536585,
      108.538200,
      50.539497,
      108.673827,
      50.511031,
      108.688688,
      50.453382,
      108.617904,
      50.472495,
      108.533627,
      50.449639,
      108.469571,
      50.463533,
      108.433392,
      50.419491,
      108.406675,
      50.394310,
      108.340143,
      50.412224,
      108.207093,
      50.304977,
      108.115427,
      50.312034,
      108.093515,
      50.631654,
      108.093515
    ]);
    poly[2595] = _TzPolygon([
      49.592405,
      108.093515,
      49.561800,
      108.161100,
      49.539900,
      108.297800,
      49.427900,
      108.356400,
      49.413500,
      108.425800,
      49.372100,
      108.431000,
      49.322700,
      108.517500,
      49.347300,
      108.652500,
      49.326600,
      108.848800,
      49.346200,
      108.941600,
      49.323200,
      109.058100,
      49.334364,
      109.110466,
      49.113709,
      109.110466,
      49.113709,
      108.093515
    ]);
    poly[2596] = _TzPolygon([
      50.631654,
      108.311979,
      50.665875,
      108.239046,
      50.649862,
      108.181947,
      50.739755,
      108.069161,
      50.774042,
      108.060730,
      50.828810,
      108.215179,
      50.824182,
      108.267158,
      50.910039,
      108.261036,
      51.063070,
      108.341615,
      51.053613,
      108.453946,
      51.120579,
      108.562802,
      51.178227,
      108.557620,
      51.238384,
      108.425423,
      51.229772,
      108.384819,
      51.250583,
      108.375017,
      51.295353,
      108.461403,
      51.405109,
      108.500997,
      51.408788,
      108.617025,
      51.491404,
      108.625228,
      51.504140,
      108.680291,
      51.436740,
      108.785362,
      51.458701,
      108.850711,
      51.430969,
      108.916496,
      51.474996,
      109.046804,
      51.517888,
      109.061105,
      51.475314,
      109.110466,
      50.631654,
      109.110466
    ]);
    poly[2597] = _TzPolygon([
      51.831669,
      111.144367,
      51.791939,
      111.015807,
      51.734397,
      111.013560,
      51.675122,
      110.841647,
      51.619853,
      110.872871,
      51.589203,
      110.849650,
      51.582866,
      110.776953,
      51.514836,
      110.706305,
      51.502319,
      110.523151,
      51.524123,
      110.424613,
      51.587857,
      110.393908,
      51.616213,
      109.974140,
      51.586960,
      109.949730,
      51.449096,
      109.620423,
      51.431606,
      109.420549,
      51.399748,
      109.383869,
      51.368715,
      109.419402,
      51.353476,
      109.393618,
      51.397460,
      109.316656,
      51.365062,
      109.226883,
      51.431997,
      109.119142,
      51.462918,
      109.124838,
      51.475314,
      109.110466,
      52.149600,
      109.110466,
      52.149600,
      111.144367
    ]);
    poly[2598] = _TzPolygon([
      49.334364,
      109.110466,
      49.352300,
      109.194600,
      49.324900,
      109.345500,
      49.220800,
      109.559100,
      49.205700,
      109.902600,
      49.154200,
      110.199800,
      49.199100,
      110.328100,
      49.251500,
      110.390500,
      49.190100,
      110.524400,
      49.171900,
      110.730200,
      49.276488,
      111.144367,
      49.113709,
      111.144367,
      49.113709,
      109.110466
    ]);
    poly[2599] = _TzPolygon([
      49.113709,
      112.207988,
      49.127320,
      112.198120,
      49.304687,
      112.166686,
      49.391886,
      111.996056,
      49.484400,
      112.278300,
      49.522500,
      112.474100,
      49.504100,
      112.688900,
      49.519300,
      112.823400,
      49.608200,
      113.043900,
      49.828300,
      113.206100,
      49.935448,
      113.473924,
      49.973600,
      113.488800,
      49.991000,
      113.636100,
      50.074900,
      113.742700,
      50.104900,
      113.878700,
      50.243000,
      114.178400,
      50.282700,
      114.338800,
      50.233500,
      114.467700,
      50.247200,
      114.653500,
      50.217000,
      114.856700,
      50.163900,
      115.007500,
      50.083300,
      115.079300,
      49.996098,
      115.212170,
      49.113709,
      115.212170
    ]);
  }
}

class _Initializer27 {
  static void _init() {
    poly[2600] = _TzPolygon([
      52.149600,
      111.910233,
      52.118985,
      111.894616,
      52.068477,
      111.774307,
      51.975481,
      111.714559,
      51.957221,
      111.615343,
      51.927920,
      111.595801,
      51.913580,
      111.515127,
      51.871342,
      111.463140,
      51.877718,
      111.347438,
      51.838802,
      111.287072,
      51.832959,
      111.148540,
      51.831669,
      111.144367,
      52.149600,
      111.144367
    ]);
    poly[2601] = _TzPolygon([
      49.276488,
      111.144367,
      49.306800,
      111.264400,
      49.357700,
      111.374800,
      49.323200,
      111.523100,
      49.384200,
      111.689000,
      49.374200,
      111.841700,
      49.391886,
      111.996056,
      49.304687,
      112.166686,
      49.127320,
      112.198120,
      49.113709,
      112.207988,
      49.113709,
      111.144367
    ]);
    poly[2602] = _TzPolygon(
        [54.184945, 71.296101, 54.164317, 71.269255, 54.184945, 71.269255]);
    poly[2603] = _TzPolygon([
      54.184945,
      71.296101,
      54.158410,
      71.490827,
      54.101146,
      71.487873,
      54.105476,
      71.677329,
      52.149600,
      71.677329,
      52.149600,
      71.296101
    ]);
    poly[2604] = _TzPolygon([
      54.668015,
      71.269255,
      54.667751,
      71.293212,
      54.605815,
      71.291265,
      54.606956,
      71.269255
    ]);
    poly[2605] = _TzPolygon([
      56.765223,
      71.269255,
      56.765223,
      71.677329,
      56.752901,
      71.565589,
      56.670291,
      71.553729,
      56.678879,
      71.381898,
      56.631768,
      71.369887,
      56.655288,
      71.269255
    ]);
    poly[2606] = _TzPolygon([
      57.122178,
      71.269255,
      57.085245,
      71.297296,
      56.932929,
      71.604991,
      56.765223,
      71.677329,
      56.765223,
      71.269255
    ]);
    poly[2607] = _TzPolygon([
      54.693717,
      72.517243,
      53.942450,
      72.517243,
      53.900754,
      72.486688,
      53.944367,
      72.369690,
      54.046420,
      72.435479,
      54.083348,
      72.369583,
      54.108698,
      72.378316,
      54.101983,
      72.433081,
      54.119958,
      72.440034,
      54.105059,
      72.512947,
      54.139971,
      72.507003,
      54.186843,
      72.299341,
      54.246492,
      72.337080,
      54.249641,
      72.290710,
      54.317187,
      72.278667,
      54.357821,
      72.192975,
      54.366470,
      72.032698,
      54.327267,
      72.043743,
      54.305079,
      72.136123,
      54.218790,
      72.085298,
      54.181884,
      72.218467,
      54.120593,
      72.184306,
      54.147641,
      72.101236,
      54.173906,
      72.115626,
      54.183714,
      72.064776,
      54.199573,
      72.073333,
      54.243698,
      71.948975,
      54.231643,
      71.885862,
      54.254150,
      71.751217,
      54.187534,
      71.726495,
      54.147285,
      71.764140,
      54.106462,
      71.720459,
      54.100030,
      71.677329,
      54.693717,
      71.677329
    ]);
    poly[2608] = _TzPolygon([
      53.533412,
      73.357157,
      53.567274,
      73.238533,
      53.639434,
      73.277100,
      53.674228,
      73.252896,
      53.675739,
      73.322786,
      53.788044,
      73.343149,
      53.790592,
      73.357157
    ]);
    poly[2609] = _TzPolygon([
      53.944581,
      73.357157,
      53.942662,
      73.275814,
      53.985495,
      73.066826,
      54.040323,
      73.059659,
      54.049464,
      72.978488,
      54.098518,
      72.994133,
      54.097974,
      72.831662,
      54.121566,
      72.825404,
      54.137051,
      72.608360,
      54.121951,
      72.612859,
      54.116448,
      72.560163,
      54.043559,
      72.532725,
      54.044800,
      72.679902,
      53.950890,
      72.714483,
      53.979229,
      72.544195,
      53.942450,
      72.517243,
      54.693717,
      72.517243,
      54.693717,
      73.357157
    ]);
    poly[2610] = _TzPolygon([
      53.533412,
      73.357157,
      53.790592,
      73.357157,
      53.807320,
      73.449130,
      53.876186,
      73.452278,
      53.856229,
      73.690957,
      54.054055,
      73.767675,
      54.070136,
      73.627372,
      54.046334,
      73.657139,
      54.008358,
      73.608847,
      54.004116,
      73.518762,
      53.941003,
      73.522391,
      53.978857,
      73.402588,
      53.945681,
      73.403796,
      53.944581,
      73.357157,
      54.693717,
      73.357157,
      54.693717,
      75.036986,
      53.796999,
      75.036986,
      53.822461,
      74.982322,
      53.828117,
      74.788442,
      53.744251,
      74.757017,
      53.755990,
      74.667726,
      53.668046,
      74.634885,
      53.691100,
      74.457114,
      53.593864,
      74.421017,
      53.572403,
      74.486661,
      53.455924,
      74.382913,
      53.491748,
      74.291713,
      53.560321,
      74.287373,
      53.569036,
      74.234389,
      53.588047,
      74.243181,
      53.601432,
      74.161652,
      53.555076,
      74.146289,
      53.566185,
      74.051521,
      53.629467,
      74.071981,
      53.651137,
      73.900775,
      53.578258,
      73.820899,
      53.613151,
      73.666315,
      53.552716,
      73.645043,
      53.559178,
      73.593852,
      53.519454,
      73.579731,
      53.435395,
      73.438266,
      53.467588,
      73.362268,
      53.521859,
      73.397630
    ]);
    poly[2611] = _TzPolygon([
      53.796999,
      75.036986,
      53.792666,
      75.046288,
      53.941848,
      75.330151,
      53.972351,
      75.441077,
      54.069969,
      75.375108,
      54.115014,
      75.528774,
      54.098760,
      75.597763,
      54.260017,
      76.202926,
      54.276096,
      76.227822,
      54.301553,
      76.186484,
      54.359271,
      76.257290,
      54.318240,
      76.475925,
      54.336778,
      76.645675,
      54.405521,
      76.716814,
      54.148527,
      76.716814,
      54.124448,
      76.645020,
      54.162005,
      76.616280,
      54.148793,
      76.582682,
      54.167331,
      76.440440,
      54.122572,
      76.434915,
      54.031786,
      76.504100,
      53.919487,
      76.716814,
      52.149600,
      76.716814,
      52.149600,
      75.036986
    ]);
    poly[2612] = _TzPolygon([
      54.693717,
      75.036986,
      54.693717,
      75.679315,
      54.674207,
      75.685818,
      54.672162,
      75.738741,
      54.693717,
      75.737413,
      54.693717,
      75.802526,
      54.610047,
      75.851391,
      54.540884,
      75.804489,
      54.548148,
      75.690831,
      54.122864,
      75.689282,
      54.098760,
      75.597763,
      54.115014,
      75.528774,
      54.069969,
      75.375108,
      53.972351,
      75.441077,
      53.941848,
      75.330151,
      53.792666,
      75.046288,
      53.796999,
      75.036986
    ]);
    poly[2613] = _TzPolygon([
      54.405521,
      76.716814,
      54.418029,
      76.729759,
      54.457768,
      76.928961,
      54.415767,
      76.952463,
      54.377652,
      76.780725,
      54.360039,
      76.788078,
      54.361144,
      76.860201,
      54.301760,
      76.878567,
      54.161826,
      76.756466,
      54.148527,
      76.716814
    ]);
    poly[2614] = _TzPolygon([
      53.919487,
      76.716814,
      53.291410,
      77.906506,
      52.767886,
      78.396643,
      52.149600,
      78.396643,
      52.149600,
      76.716814
    ]);
    poly[2615] = _TzPolygon([
      52.766568,
      78.396643,
      53.252634,
      77.940863,
      53.367374,
      77.889143,
      53.357109,
      77.940983,
      53.390022,
      77.965809,
      53.420739,
      77.917439,
      53.448410,
      77.922428,
      53.448380,
      78.072712,
      53.473462,
      78.073514,
      53.506088,
      77.928790,
      53.572464,
      77.910366,
      53.576124,
      78.108745,
      53.585845,
      78.156399,
      53.621881,
      78.156556,
      53.618321,
      78.227552,
      53.500516,
      78.244924,
      53.475552,
      78.363225,
      53.481591,
      78.396643
    ]);
    poly[2616] = _TzPolygon([
      55.965775,
      75.036986,
      55.965775,
      75.463253,
      55.844122,
      75.262428,
      55.805322,
      75.367335,
      55.740665,
      75.369374,
      55.730906,
      75.230193,
      55.756425,
      75.104415,
      55.726830,
      75.088010,
      55.709889,
      75.129507,
      55.685977,
      75.115461,
      55.625503,
      75.256359,
      55.583898,
      75.140769,
      55.540616,
      75.220802,
      55.557629,
      75.284722,
      55.537966,
      75.312352,
      55.498050,
      75.321737,
      55.447126,
      75.162260,
      55.425702,
      75.198630,
      55.376634,
      75.091537,
      55.352417,
      75.177611,
      55.285247,
      75.203040,
      55.242948,
      75.276320,
      55.171141,
      75.293763,
      55.129740,
      75.260351,
      55.126860,
      75.314511,
      55.066999,
      75.314395,
      55.068434,
      75.370589,
      54.991455,
      75.407364,
      54.991416,
      75.380119,
      54.913586,
      75.330815,
      54.913295,
      75.518156,
      54.884281,
      75.492823,
      54.803472,
      75.529935,
      54.809688,
      75.640661,
      54.693717,
      75.679315,
      54.693717,
      75.036986
    ]);
    poly[2617] = _TzPolygon([
      54.693717,
      75.737413,
      54.699630,
      75.737049,
      54.696677,
      75.800797,
      54.693717,
      75.802526
    ]);
    poly[2618] = _TzPolygon([
      57.237834,
      76.092670,
      56.948222,
      76.199212,
      56.887440,
      76.263656,
      56.826313,
      76.241269,
      56.697120,
      76.289144,
      56.661922,
      76.136095,
      56.616654,
      76.150265,
      56.608274,
      76.035876,
      56.507456,
      75.960766,
      56.498070,
      75.854514,
      56.414631,
      75.832441,
      56.414180,
      75.899900,
      56.465573,
      75.982610,
      56.444525,
      76.017340,
      56.461696,
      76.023094,
      56.459078,
      76.087769,
      56.424098,
      76.123801,
      56.419161,
      76.064736,
      56.297772,
      76.078125,
      56.259398,
      76.118349,
      56.281875,
      76.172465,
      56.181310,
      76.303592,
      56.155620,
      76.302743,
      56.121431,
      76.138614,
      56.154885,
      76.120921,
      56.163677,
      76.014015,
      56.115103,
      75.959545,
      56.112635,
      75.731579,
      56.036933,
      75.653412,
      56.031678,
      75.528493,
      55.996722,
      75.514339,
      55.965775,
      75.463253,
      55.965775,
      75.036986,
      57.237834,
      75.036986
    ]);
    poly[2619] = _TzPolygon([
      57.207668,
      76.716814,
      57.212784,
      76.695583,
      57.235314,
      76.094728,
      57.237834,
      76.092670,
      57.237834,
      76.716814
    ]);
    poly[2620] = _TzPolygon([
      57.207668,
      76.716814,
      57.237834,
      76.716814,
      57.237834,
      78.396643,
      57.165153,
      78.396643,
      57.158370,
      76.921420
    ]);
    poly[2621] = _TzPolygon(
        [52.767886, 78.396643, 52.149600, 78.975499, 52.149600, 78.396643]);
    poly[2622] = _TzPolygon([
      54.693717,
      80.076471,
      54.051070,
      80.076471,
      54.044730,
      80.050758,
      54.011865,
      80.076471,
      53.984985,
      80.076471,
      53.914954,
      79.864751,
      53.842060,
      79.887675,
      53.810269,
      79.666295,
      53.794538,
      79.623699,
      53.743699,
      79.639590,
      53.678162,
      79.421817,
      53.710189,
      79.385491,
      53.703883,
      79.298997,
      53.677494,
      79.258023,
      53.674383,
      79.122476,
      53.698245,
      79.088054,
      53.652680,
      79.040640,
      53.676637,
      78.942088,
      53.630875,
      78.707661,
      53.651486,
      78.690265,
      53.636890,
      78.616062,
      53.582317,
      78.652093,
      53.513198,
      78.644689,
      53.503574,
      78.558011,
      53.530546,
      78.500536,
      53.511288,
      78.502196,
      53.512335,
      78.421704,
      53.485972,
      78.420883,
      53.481591,
      78.396643,
      54.693717,
      78.396643
    ]);
    poly[2623] = _TzPolygon([
      53.948805,
      81.756300,
      53.947653,
      81.750633,
      53.973573,
      81.705656,
      53.986391,
      81.730842,
      53.981223,
      81.664785,
      53.905854,
      81.540841,
      54.004292,
      81.565701,
      54.020344,
      81.613804,
      54.028921,
      81.494206,
      54.075658,
      81.467618,
      54.051377,
      81.384078,
      54.091762,
      81.322901,
      54.081586,
      81.276581,
      54.113991,
      81.208850,
      54.111758,
      81.131997,
      54.375455,
      80.951725,
      54.343612,
      80.812028,
      54.245954,
      80.863738,
      54.233510,
      80.815893,
      54.257570,
      80.797116,
      54.182838,
      80.637280,
      54.196855,
      80.622552,
      54.169547,
      80.534893,
      54.125051,
      80.571284,
      54.105290,
      80.517297,
      54.115570,
      80.459762,
      54.031519,
      80.218595,
      54.079464,
      80.191633,
      54.051070,
      80.076471,
      54.693717,
      80.076471,
      54.693717,
      81.756300
    ]);
    poly[2624] = _TzPolygon(
        [54.011865, 80.076471, 53.990511, 80.093179, 53.984985, 80.076471]);
    poly[2625] = _TzPolygon([
      53.759889,
      81.756300,
      53.776606,
      81.715004,
      53.804266,
      81.752413,
      53.843335,
      81.721057,
      53.851829,
      81.756300
    ]);
    poly[2626] = _TzPolygon([
      56.281946,
      81.756300,
      56.241888,
      81.573403,
      56.537593,
      81.220274,
      56.422446,
      80.263517,
      56.923160,
      79.588576,
      57.117342,
      78.432083,
      57.165387,
      78.447513,
      57.165153,
      78.396643,
      57.237834,
      78.396643,
      57.237834,
      81.756300
    ]);
    poly[2627] = _TzPolygon([
      53.851829,
      81.756300,
      53.871087,
      81.836208,
      53.964299,
      81.832539,
      53.948805,
      81.756300,
      54.693717,
      81.756300,
      54.693717,
      83.436128,
      53.945379,
      83.436128,
      53.934700,
      83.360115,
      54.084966,
      83.300888,
      54.051269,
      83.274997,
      54.065805,
      83.197844,
      54.006337,
      83.084460,
      53.979020,
      83.110800,
      53.990641,
      83.088613,
      53.777518,
      82.714469,
      53.749753,
      82.760436,
      53.669261,
      82.621075,
      53.642646,
      82.666326,
      53.547311,
      82.502126,
      53.504180,
      82.580210,
      53.494307,
      82.486290,
      53.513475,
      82.369902,
      53.564875,
      82.330196,
      53.590181,
      82.206713,
      53.617027,
      82.202218,
      53.604137,
      82.154646,
      53.678090,
      82.191431,
      53.647129,
      82.138848,
      53.719720,
      81.953373,
      53.714219,
      81.851866,
      53.684634,
      81.817622,
      53.743798,
      81.796052,
      53.759889,
      81.756300
    ]);
    poly[2628] = _TzPolygon([
      53.945379,
      83.436128,
      53.947391,
      83.450454,
      53.973742,
      83.442258,
      53.978509,
      83.488070,
      54.063209,
      83.475946,
      54.109323,
      83.554216,
      54.100974,
      83.729011,
      54.127820,
      83.829092,
      54.121413,
      83.883611,
      54.088543,
      83.855695,
      54.079841,
      83.878190,
      54.193454,
      84.229335,
      54.156464,
      84.278693,
      54.177941,
      84.397799,
      54.138776,
      84.437181,
      54.161938,
      84.551035,
      54.235886,
      84.576016,
      54.292779,
      84.670910,
      54.344686,
      84.798624,
      54.325608,
      84.825087,
      54.436352,
      85.115957,
      52.149600,
      85.115957,
      52.149600,
      83.436128
    ]);
    poly[2629] = _TzPolygon([
      54.437830,
      85.115957,
      54.608772,
      84.931165,
      54.637502,
      85.011158,
      54.679859,
      85.004051,
      54.693717,
      84.973038,
      54.693717,
      85.115957
    ]);
    poly[2630] = _TzPolygon([
      55.722023,
      83.436128,
      55.710601,
      83.336790,
      55.689008,
      83.315102,
      55.730319,
      83.210779,
      55.855875,
      83.316456,
      55.852681,
      83.382134,
      55.896018,
      83.375685,
      55.895182,
      83.400827,
      55.961171,
      83.313710,
      55.979045,
      83.340379,
      56.012006,
      83.229571,
      56.056269,
      83.233748,
      56.095592,
      83.302146,
      56.114154,
      83.273664,
      56.086164,
      83.221324,
      56.120356,
      83.129390,
      56.207738,
      83.211911,
      56.230477,
      83.064840,
      56.327988,
      83.192988,
      56.375943,
      83.144219,
      56.408585,
      83.259964,
      56.442797,
      83.288374,
      56.550308,
      83.108747,
      56.516457,
      83.028213,
      56.537759,
      82.946159,
      56.516173,
      82.807971,
      56.464712,
      82.791492,
      56.434828,
      82.824623,
      56.399600,
      82.748233,
      56.425517,
      82.689596,
      56.405300,
      82.500698,
      56.357303,
      82.340366,
      56.333547,
      81.991904,
      56.281946,
      81.756300,
      57.237834,
      81.756300,
      57.237834,
      83.436128
    ]);
    poly[2631] = _TzPolygon([
      55.965775,
      83.436128,
      55.965775,
      83.906076,
      55.908148,
      83.854425,
      55.901964,
      83.807646,
      55.852032,
      83.787459,
      55.836360,
      83.739872,
      55.786027,
      83.735359,
      55.748696,
      83.643634,
      55.605838,
      83.604941,
      55.670765,
      83.585404,
      55.706691,
      83.501750,
      55.670226,
      83.443539,
      55.723099,
      83.445489,
      55.722023,
      83.436128
    ]);
    poly[2632] = _TzPolygon([
      55.965775,
      84.534048,
      55.952786,
      84.528483,
      55.955324,
      84.480760,
      55.922170,
      84.536238,
      55.894304,
      84.456067,
      55.832854,
      84.574851,
      55.801605,
      84.552087,
      55.799646,
      84.607771,
      55.765559,
      84.607746,
      55.761033,
      84.527285,
      55.718052,
      84.540045,
      55.669036,
      84.711357,
      55.652988,
      84.679285,
      55.642731,
      84.741817,
      55.529037,
      84.785524,
      55.523045,
      84.727749,
      55.467454,
      84.755648,
      55.404216,
      84.620791,
      55.372805,
      84.693853,
      55.375264,
      84.859235,
      55.324291,
      84.916872,
      55.277748,
      84.915761,
      55.227091,
      84.818268,
      55.163608,
      84.927189,
      55.058678,
      84.905596,
      54.996910,
      84.837013,
      54.952149,
      84.887537,
      54.944804,
      84.971513,
      54.855581,
      85.079092,
      54.844281,
      85.047154,
      54.816370,
      85.088096,
      54.800006,
      85.002657,
      54.779620,
      85.013217,
      54.781236,
      84.964273,
      54.728533,
      84.895124,
      54.693717,
      84.973038,
      54.693717,
      84.276043,
      55.965775,
      84.276043
    ]);
    poly[2633] = _TzPolygon([
      55.965775,
      84.539141,
      56.004842,
      84.571196,
      56.028763,
      84.527029,
      56.015805,
      84.472341,
      56.041571,
      84.447895,
      56.161976,
      84.885656,
      56.108958,
      85.002631,
      56.193974,
      85.115957,
      55.965775,
      85.115957
    ]);
    poly[2634] = _TzPolygon([
      55.965775,
      83.906076,
      56.015056,
      83.950245,
      56.018402,
      84.086449,
      56.059869,
      84.210002,
      55.980996,
      84.342563,
      56.042374,
      84.438313,
      56.015805,
      84.472341,
      56.020067,
      84.557307,
      55.965775,
      84.534048
    ]);
    poly[2635] = _TzPolygon([
      54.436352,
      85.115957,
      54.453110,
      85.159972,
      54.185544,
      85.417784,
      54.224563,
      85.538478,
      54.198811,
      85.563206,
      54.214501,
      85.624222,
      54.143851,
      85.690512,
      54.163264,
      85.748616,
      54.037557,
      85.871253,
      53.980896,
      86.124254,
      53.811626,
      86.184139,
      53.829952,
      86.300385,
      53.597287,
      86.393733,
      53.608009,
      86.426551,
      53.527643,
      86.538865,
      53.451447,
      86.813633,
      53.477612,
      86.833749,
      53.503674,
      86.930329,
      53.473515,
      86.929022,
      53.451288,
      86.868180,
      53.413720,
      86.905182,
      53.377633,
      86.858418,
      53.319581,
      86.848700,
      53.322806,
      86.822289,
      53.244444,
      86.753298,
      53.238661,
      86.688141,
      53.262479,
      86.655436,
      53.240054,
      86.627310,
      53.181377,
      86.643953,
      53.193540,
      86.711589,
      53.152485,
      86.719783,
      53.147343,
      86.849312,
      53.083015,
      86.874548,
      53.041223,
      87.054578,
      52.899184,
      87.007914,
      52.875039,
      86.929334,
      52.846971,
      86.912424,
      52.830933,
      86.948337,
      52.756058,
      86.974836,
      52.723808,
      87.069717,
      52.695915,
      87.066492,
      52.690075,
      87.094298,
      52.717532,
      87.114041,
      52.710210,
      87.163682,
      52.598563,
      87.118880,
      52.573210,
      87.197136,
      52.585118,
      87.259300,
      52.149600,
      87.259300,
      52.149600,
      85.115957
    ]);
    poly[2636] = _TzPolygon([
      52.461449,
      88.330972,
      52.464244,
      88.317271,
      52.414455,
      88.281036,
      52.400058,
      88.231529,
      52.511055,
      88.021112,
      52.539479,
      87.891369,
      52.491026,
      87.845122,
      52.484868,
      87.755305,
      52.422416,
      87.653327,
      52.471480,
      87.611621,
      52.498746,
      87.371806,
      52.573691,
      87.371190,
      52.592370,
      87.297162,
      52.585118,
      87.259300,
      54.008082,
      87.259300,
      54.008082,
      88.330972
    ]);
    poly[2637] = _TzPolygon([
      52.460906,
      88.330972,
      52.432956,
      88.445685,
      52.378341,
      88.406032,
      52.341503,
      88.463945,
      52.273215,
      88.380374,
      52.149600,
      88.378610,
      52.149600,
      88.330972
    ]);
    poly[2638] = _TzPolygon([
      52.149600,
      88.377654,
      52.178313,
      88.376964,
      52.169832,
      88.473705,
      52.215723,
      88.540775,
      52.251665,
      88.703757,
      52.308354,
      88.715442,
      52.334204,
      88.676306,
      52.363788,
      88.699479,
      52.495626,
      88.986759,
      52.595360,
      89.062215,
      52.591005,
      89.116895,
      52.705816,
      89.053054,
      52.706822,
      89.137409,
      52.782979,
      89.188028,
      52.800689,
      89.239750,
      52.881535,
      89.184436,
      52.863294,
      89.127799,
      52.880264,
      89.103364,
      52.958189,
      89.075433,
      52.965951,
      88.972378,
      52.950451,
      88.956705,
      52.990433,
      88.911797,
      53.030970,
      88.941928,
      53.045191,
      88.919476,
      53.076792,
      89.008181,
      53.078841,
      89.008693,
      53.078841,
      89.402644,
      52.149600,
      89.402644
    ]);
    poly[2639] = _TzPolygon([
      54.008082,
      89.005850,
      54.003970,
      89.005484,
      53.972464,
      89.061692,
      53.938910,
      89.044626,
      53.956496,
      89.074112,
      53.951833,
      89.196839,
      53.914546,
      89.206500,
      53.885376,
      89.165089,
      53.818898,
      89.239109,
      53.796023,
      89.187644,
      53.786147,
      89.037960,
      53.654265,
      88.994330,
      53.643893,
      88.941601,
      53.611549,
      88.933916,
      53.594567,
      88.838081,
      53.560831,
      88.888953,
      53.532190,
      88.857235,
      53.492547,
      88.874947,
      53.464000,
      88.859936,
      53.465215,
      88.819630,
      53.359175,
      88.756957,
      53.343808,
      88.806406,
      53.383284,
      88.849751,
      53.392139,
      88.910521,
      53.317429,
      88.945876,
      53.280057,
      89.036455,
      53.231869,
      89.054781,
      53.196190,
      89.005738,
      53.154424,
      89.076209,
      53.117654,
      89.018389,
      53.078841,
      89.008693,
      53.078841,
      88.330972,
      54.008082,
      88.330972
    ]);
    poly[2640] = _TzPolygon([
      54.008082,
      89.005850,
      54.080741,
      89.012320,
      54.108974,
      89.041639,
      54.138645,
      89.163789,
      54.265603,
      89.238394,
      54.345715,
      89.125804,
      54.331375,
      89.029732,
      54.287739,
      88.975172,
      54.386320,
      88.927541,
      54.419086,
      88.851288,
      54.327541,
      88.662134,
      54.281093,
      88.632625,
      54.288254,
      88.581588,
      54.337789,
      88.558052,
      54.350357,
      88.406730,
      54.382062,
      88.363813,
      54.432470,
      88.546551,
      54.455722,
      88.518040,
      54.479391,
      88.568741,
      54.616961,
      88.578230,
      54.667203,
      88.622847,
      54.683050,
      88.595401,
      54.725857,
      88.648647,
      54.756530,
      88.635811,
      54.768861,
      88.732453,
      54.797013,
      88.755164,
      54.888913,
      88.743688,
      54.875196,
      88.687834,
      54.895369,
      88.647521,
      54.952156,
      88.672776,
      54.961648,
      88.608182,
      55.001986,
      88.599541,
      55.003475,
      88.548339,
      55.119048,
      88.560741,
      55.159034,
      88.508264,
      55.212754,
      88.513910,
      55.256773,
      88.433191,
      55.304842,
      88.441410,
      55.342633,
      88.535042,
      55.527704,
      88.686295,
      55.660204,
      88.913599,
      55.691771,
      89.130054,
      55.734029,
      89.181455,
      55.770388,
      89.348581,
      55.811453,
      89.332535,
      55.840229,
      89.399929,
      55.866563,
      89.402644,
      54.008082,
      89.402644
    ]);
    poly[2641] = _TzPolygon([
      57.237834,
      87.259300,
      56.632065,
      87.259300,
      56.630271,
      87.242787,
      56.664294,
      87.172663,
      56.658024,
      87.138734,
      56.606946,
      87.156415,
      56.611008,
      87.181821,
      56.587331,
      87.158598,
      56.571027,
      87.226625,
      56.534320,
      87.092083,
      56.541910,
      87.000494,
      56.578898,
      86.969635,
      56.540903,
      86.909466,
      56.553126,
      86.859303,
      56.626212,
      86.804658,
      56.603176,
      86.746245,
      56.643265,
      86.678190,
      56.588123,
      86.622200,
      56.613592,
      86.591258,
      56.548269,
      86.440132,
      56.555598,
      86.377677,
      56.594563,
      86.364136,
      56.592011,
      86.334439,
      56.636075,
      86.338887,
      56.623997,
      86.204623,
      56.578759,
      86.195642,
      56.539219,
      86.106991,
      56.500949,
      86.115687,
      56.482318,
      86.000625,
      56.436736,
      85.986579,
      56.412063,
      85.804296,
      56.334497,
      85.794741,
      56.343920,
      85.728296,
      56.280707,
      85.562492,
      56.211708,
      85.684519,
      56.211113,
      85.452274,
      56.194967,
      85.453073,
      56.228212,
      85.228184,
      56.197832,
      85.207780,
      56.193974,
      85.115957,
      57.237834,
      85.115957
    ]);
    poly[2642] = _TzPolygon([
      57.237834,
      88.330972,
      56.811331,
      88.330972,
      56.668209,
      88.050881,
      56.543607,
      87.654310,
      56.600611,
      87.654000,
      56.663656,
      87.596665,
      56.592957,
      87.364580,
      56.610960,
      87.347585,
      56.627060,
      87.403373,
      56.645611,
      87.383977,
      56.632065,
      87.259300,
      57.237834,
      87.259300
    ]);
    poly[2643] = _TzPolygon([
      56.795873,
      88.330972,
      56.825592,
      88.355923,
      56.834420,
      88.424416,
      56.768973,
      88.523953,
      56.820376,
      88.648295,
      56.719298,
      88.624413,
      56.714701,
      88.736076,
      56.682136,
      88.718487,
      56.680068,
      88.674013,
      56.619767,
      88.663149,
      56.621890,
      88.500879,
      56.529922,
      88.546388,
      56.531252,
      88.605597,
      56.430664,
      88.593416,
      56.418183,
      88.696484,
      56.366430,
      88.695147,
      56.372908,
      88.860922,
      56.333893,
      88.920763,
      56.302070,
      88.900796,
      56.300484,
      89.039898,
      56.201266,
      89.036652,
      56.184532,
      89.126689,
      56.151022,
      89.104815,
      56.139526,
      89.201608,
      56.080891,
      89.192979,
      56.056595,
      89.282448,
      55.995096,
      89.241647,
      55.896726,
      89.271098,
      55.866563,
      89.402644,
      55.866563,
      88.330972
    ]);
    poly[2644] = _TzPolygon([
      57.237834,
      88.749175,
      57.208035,
      88.734155,
      57.209350,
      88.622505,
      57.125396,
      88.554806,
      57.124933,
      88.504084,
      57.090443,
      88.516982,
      57.092294,
      88.714554,
      56.802210,
      88.596967,
      56.768973,
      88.523953,
      56.834420,
      88.424416,
      56.827940,
      88.363476,
      56.811331,
      88.330972,
      57.237834,
      88.330972
    ]);
    poly[2645] = _TzPolygon([
      57.461580,
      75.802602,
      57.624997,
      75.704125,
      57.625219,
      75.550039,
      57.934585,
      75.565762,
      58.116793,
      75.071473,
      58.202615,
      75.242489,
      58.339153,
      75.056665,
      58.454101,
      75.376835,
      58.575719,
      75.109428,
      58.618682,
      75.199295,
      58.663889,
      75.131298,
      58.912346,
      75.635376,
      58.968584,
      75.701148,
      59.015373,
      75.727608,
      59.211711,
      75.638128,
      59.268036,
      75.802602
    ]);
    poly[2646] = _TzPolygon([
      58.351546,
      71.269255,
      58.383454,
      71.311576,
      58.399325,
      71.269255,
      65.479795,
      71.269255,
      65.479795,
      75.802602,
      59.268036,
      75.802602,
      59.211711,
      75.638128,
      59.015373,
      75.727608,
      58.968584,
      75.701148,
      58.912346,
      75.635376,
      58.663889,
      75.131298,
      58.618682,
      75.199295,
      58.493586,
      74.951106,
      58.428016,
      74.911783,
      58.356295,
      74.669669,
      58.286758,
      74.625867,
      58.242033,
      74.455494,
      58.136298,
      74.219631,
      58.155304,
      73.128288,
      58.069963,
      72.948049,
      58.004540,
      72.875762,
      57.996748,
      72.811536,
      58.014698,
      72.167156,
      58.086335,
      72.089906,
      58.115843,
      71.990196,
      58.062616,
      71.453438,
      58.077779,
      71.326795,
      58.065272,
      71.269255
    ]);
    poly[2647] = _TzPolygon([
      57.461580,
      75.802602,
      57.385801,
      75.848268,
      57.393694,
      75.965411,
      57.237834,
      76.092670,
      57.237834,
      75.802602
    ]);
    poly[2648] = _TzPolygon([
      61.358814,
      78.069276,
      60.787749,
      78.069276,
      60.740696,
      77.969963,
      60.819990,
      77.704323,
      60.810981,
      77.432839,
      60.858520,
      77.110482,
      60.794034,
      77.067173,
      60.744261,
      77.113811,
      60.705290,
      77.097546,
      60.692974,
      77.014167,
      60.653783,
      77.009356,
      60.660845,
      76.961555,
      60.628484,
      76.955640,
      60.612074,
      77.063745,
      60.523327,
      77.072045,
      60.468751,
      76.799348,
      60.421192,
      76.812846,
      60.377619,
      76.756215,
      60.328113,
      76.764441,
      60.274762,
      76.866911,
      60.179729,
      76.827956,
      60.115555,
      76.714021,
      60.065674,
      76.772433,
      59.991184,
      76.772889,
      59.711208,
      76.740547,
      59.685041,
      76.668362,
      59.571174,
      76.664888,
      59.543769,
      76.502464,
      59.530001,
      76.177166,
      59.382552,
      75.987835,
      59.400331,
      75.898194,
      59.280959,
      75.840339,
      59.268036,
      75.802602,
      61.358814,
      75.802602
    ]);
    poly[2649] = _TzPolygon([
      60.724861,
      80.335949,
      60.675322,
      80.200997,
      60.686547,
      79.653362,
      60.634863,
      79.390266,
      60.720734,
      79.288479,
      60.796191,
      79.308158,
      60.826272,
      79.212947,
      60.819692,
      79.101576,
      60.799941,
      79.083266,
      60.820424,
      78.985516,
      60.791843,
      78.964610,
      60.797956,
      78.919803,
      60.749188,
      78.795518,
      60.825218,
      78.697947,
      60.763884,
      78.487268,
      60.802351,
      78.194368,
      60.796784,
      78.088345,
      60.787749,
      78.069276,
      61.358814,
      78.069276,
      61.358814,
      80.335949
    ]);
    poly[2650] = _TzPolygon([
      69.330630,
      80.335949,
      69.365988,
      80.236667,
      69.347896,
      80.120282,
      69.370075,
      80.121532,
      69.341382,
      79.958607,
      69.363824,
      79.903488,
      69.345536,
      79.824395,
      69.366532,
      79.869869,
      69.391649,
      79.766587,
      69.424468,
      79.795473,
      69.428579,
      79.661787,
      69.443172,
      79.698372,
      69.456517,
      79.616909,
      69.593397,
      79.554720,
      69.600775,
      79.500053,
      69.600775,
      80.335949
    ]);
    poly[2651] = _TzPolygon([
      72.687575,
      78.069276,
      73.025094,
      77.764730,
      73.639539,
      77.729901,
      73.655967,
      78.069276
    ]);
    poly[2652] = _TzPolygon([
      69.690373,
      79.202613,
      69.695444,
      79.042148,
      69.743861,
      79.165030,
      69.750333,
      79.087941,
      69.786615,
      79.124523,
      69.806612,
      78.995000,
      69.834629,
      79.044842,
      69.880100,
      78.880529,
      69.886546,
      78.990458,
      69.972625,
      79.202613
    ]);
    poly[2653] = _TzPolygon([
      69.973041,
      79.202613,
      69.989871,
      79.142760,
      70.005879,
      79.170411,
      69.997191,
      79.116594,
      70.022696,
      79.169713,
      70.017336,
      79.202613
    ]);
    poly[2654] = _TzPolygon([
      71.317391,
      79.202613,
      71.332855,
      79.175292,
      71.389899,
      79.129585,
      71.415466,
      79.202613
    ]);
    poly[2655] = _TzPolygon([
      71.661266,
      80.098755,
      71.655143,
      80.018390,
      71.603648,
      79.970707,
      71.580677,
      79.823935,
      71.603859,
      79.712348,
      71.606237,
      79.366714,
      71.586591,
      79.312296,
      71.528345,
      79.371675,
      71.454336,
      79.313637,
      71.414296,
      79.202613,
      71.661266,
      79.202613
    ]);
    poly[2656] = _TzPolygon([
      71.322858,
      79.202613,
      71.307417,
      79.220234,
      71.296142,
      79.433874,
      71.116462,
      79.996963,
      71.074149,
      80.335949,
      70.425425,
      80.334148,
      70.435726,
      80.222912,
      70.390601,
      80.216942,
      70.387333,
      80.109366,
      70.342495,
      80.124283,
      70.328029,
      80.013340,
      70.263333,
      79.907251,
      70.275710,
      79.755067,
      70.236657,
      79.790750,
      70.232815,
      79.666234,
      70.117016,
      79.549635,
      70.125132,
      79.405545,
      70.154682,
      79.423610,
      70.149651,
      79.333372,
      70.045558,
      79.369504,
      70.063962,
      79.331116,
      70.060161,
      79.220603,
      70.011394,
      79.239085,
      70.017336,
      79.202613
    ]);
    poly[2657] = _TzPolygon([
      69.690373,
      79.202613,
      69.688345,
      79.266793,
      69.647925,
      79.384863,
      69.659888,
      79.465386,
      69.636525,
      79.451370,
      69.627008,
      79.510043,
      69.607859,
      79.447572,
      69.600775,
      79.500053,
      69.600775,
      79.202613
    ]);
    poly[2658] = _TzPolygon([
      72.687575,
      78.069276,
      72.669512,
      78.085574,
      72.470335,
      78.649882,
      72.335171,
      78.411144,
      72.298499,
      78.488495,
      72.285740,
      78.611911,
      72.246317,
      78.656721,
      72.231340,
      78.586724,
      72.210484,
      78.628660,
      72.200763,
      78.542215,
      72.193957,
      78.626126,
      72.167442,
      78.627009,
      72.167786,
      78.757873,
      72.147854,
      78.716953,
      72.138334,
      78.871865,
      72.111478,
      78.867973,
      72.125280,
      78.944624,
      72.094086,
      78.968486,
      72.105608,
      79.028589,
      72.060901,
      79.054455,
      72.078622,
      79.183999,
      72.042684,
      79.347041,
      72.053329,
      79.386502,
      72.031970,
      79.371037,
      72.055362,
      79.650835,
      72.040924,
      79.794291,
      72.026799,
      79.772911,
      72.020562,
      79.871421,
      71.977771,
      79.875490,
      71.996139,
      79.893962,
      71.983648,
      80.047203,
      71.947331,
      80.066603,
      71.936566,
      80.241039,
      71.905803,
      80.228510,
      71.885773,
      80.335949,
      71.872443,
      80.335949,
      71.846566,
      80.281194,
      71.865034,
      80.182614,
      71.835537,
      80.163743,
      71.828361,
      80.036538,
      71.799552,
      80.039529,
      71.796409,
      80.126964,
      71.757420,
      80.148266,
      71.750427,
      80.072497,
      71.734327,
      80.143443,
      71.664637,
      80.143005,
      71.661266,
      80.098755,
      71.661266,
      78.069276
    ]);
    poly[2659] = _TzPolygon([
      59.890225,
      84.869297,
      59.892071,
      84.707550,
      59.962095,
      84.581069,
      60.029796,
      84.633451,
      60.165509,
      84.613647,
      60.251798,
      84.738281,
      60.299171,
      84.713628,
      60.352366,
      84.791487,
      60.863420,
      84.263128,
      61.003499,
      84.653920,
      61.061402,
      84.869297
    ]);
    poly[2660] = _TzPolygon([
      61.358814,
      80.335949,
      61.358814,
      84.869297,
      61.061402,
      84.869297,
      61.003499,
      84.653920,
      60.862518,
      84.263110,
      60.836217,
      83.949694,
      61.035672,
      83.476909,
      61.026795,
      83.156683,
      60.706879,
      82.376451,
      60.608155,
      82.409601,
      60.516340,
      82.167305,
      60.639791,
      81.879534,
      60.637983,
      81.584263,
      60.607139,
      81.458741,
      60.642048,
      81.104190,
      60.755725,
      81.052447,
      60.802779,
      80.704837,
      60.770738,
      80.639059,
      60.750198,
      80.404972,
      60.724861,
      80.335949
    ]);
    poly[2661] = _TzPolygon([
      61.778937,
      84.869297,
      61.773046,
      84.840892,
      61.808130,
      84.677915,
      61.922044,
      84.522886,
      62.195657,
      84.440860,
      62.400496,
      84.714108,
      62.457653,
      84.869297
    ]);
    poly[2662] = _TzPolygon([
      64.946529,
      84.869297,
      64.957916,
      84.830154,
      64.923000,
      84.686435,
      64.930743,
      84.616685,
      64.908220,
      84.587194,
      64.927878,
      84.549276,
      64.905300,
      84.431328,
      64.927765,
      84.407874,
      64.899243,
      84.381868,
      64.935291,
      84.272320,
      64.977971,
      84.354288,
      64.995697,
      84.325554,
      64.994844,
      84.360968,
      65.057300,
      84.394738,
      65.050932,
      84.350452,
      65.089242,
      84.332451,
      65.058692,
      84.300765,
      65.102104,
      84.284093,
      65.211184,
      84.397766,
      65.248400,
      84.544803,
      65.317042,
      84.567119,
      65.408738,
      84.485458,
      65.459548,
      84.526238,
      65.479795,
      84.503315,
      65.479795,
      84.869297
    ]);
    poly[2663] = _TzPolygon([
      59.895761,
      84.869297,
      59.883032,
      85.499551,
      59.948568,
      86.018937,
      59.948654,
      86.636500,
      59.879074,
      87.078048,
      59.682529,
      87.174086,
      59.664410,
      87.514225,
      59.256238,
      87.902226,
      59.295126,
      88.626468,
      59.212216,
      88.575826,
      59.022605,
      88.828660,
      58.893878,
      88.383835,
      58.511345,
      87.924013,
      58.214258,
      88.016988,
      58.220064,
      88.069853,
      58.112772,
      88.106659,
      58.036199,
      88.687253,
      57.955186,
      88.858954,
      57.949077,
      89.297381,
      57.864618,
      89.374551,
      57.819253,
      89.340804,
      57.655867,
      89.379033,
      57.615657,
      89.355248,
      57.594065,
      89.211500,
      57.615341,
      89.130337,
      57.517209,
      89.098764,
      57.497181,
      89.158552,
      57.482803,
      89.137288,
      57.485498,
      89.082818,
      57.502610,
      89.090307,
      57.454812,
      89.053120,
      57.500951,
      89.042849,
      57.501420,
      88.976081,
      57.438104,
      88.944947,
      57.436100,
      88.900980,
      57.477247,
      88.869853,
      57.237834,
      88.749175,
      57.237834,
      84.869297
    ]);
    poly[2664] = _TzPolygon([
      61.358814,
      84.869297,
      61.358814,
      85.646281,
      61.283816,
      85.696583,
      61.061402,
      84.869297
    ]);
    poly[2665] = _TzPolygon([
      63.419305,
      84.869297,
      63.419305,
      85.403295,
      63.393427,
      85.374222,
      63.364179,
      85.421099,
      63.351142,
      85.471993,
      63.380033,
      85.607796,
      63.355995,
      85.708055,
      63.283684,
      85.567873,
      63.201534,
      85.564508,
      63.181017,
      85.502097,
      63.114143,
      85.515889,
      63.099267,
      85.570747,
      63.034473,
      85.619849,
      62.981626,
      85.502962,
      62.904483,
      85.523439,
      62.881444,
      85.471088,
      62.877892,
      85.361575,
      62.801734,
      85.217699,
      62.707092,
      85.153164,
      62.661353,
      85.060384,
      62.631683,
      85.100168,
      62.553554,
      84.895605,
      62.482899,
      84.937841,
      62.457653,
      84.869297
    ]);
    poly[2666] = _TzPolygon([
      61.778937,
      84.869297,
      61.789838,
      84.921858,
      61.751987,
      85.096852,
      61.673722,
      85.277798,
      61.687147,
      85.406556,
      61.617216,
      85.492853,
      61.572615,
      85.712839,
      61.593921,
      85.842513,
      61.545120,
      85.961137,
      61.459195,
      85.965282,
      61.454099,
      85.798193,
      61.367090,
      85.640731,
      61.358814,
      85.646281,
      61.358814,
      84.869297
    ]);
    poly[2667] = _TzPolygon([
      64.946529,
      84.869297,
      64.935235,
      84.908119,
      64.954149,
      84.921258,
      64.915127,
      85.032414,
      64.863320,
      84.922465,
      64.836424,
      84.944863,
      64.834708,
      85.013306,
      64.815508,
      85.009956,
      64.827057,
      85.131797,
      64.763997,
      85.133283,
      64.795911,
      85.252453,
      64.795039,
      85.364297,
      64.852583,
      85.529623,
      64.823633,
      85.735818,
      64.784335,
      85.833713,
      64.679925,
      85.819372,
      64.598818,
      85.905753,
      64.496899,
      85.804287,
      64.431646,
      85.921623,
      64.272085,
      86.007285,
      64.127329,
      85.931380,
      64.048501,
      85.967046,
      63.928271,
      85.506213,
      63.870006,
      85.481267,
      63.854995,
      85.366093,
      63.833995,
      85.387177,
      63.799503,
      85.326219,
      63.796321,
      85.373509,
      63.770933,
      85.382423,
      63.756041,
      85.333155,
      63.647649,
      85.302541,
      63.607644,
      85.229085,
      63.610208,
      85.180169,
      63.562733,
      85.145257,
      63.596449,
      85.062047,
      63.582289,
      85.023394,
      63.566966,
      85.083783,
      63.532066,
      85.081715,
      63.522935,
      85.221249,
      63.495216,
      85.231655,
      63.524959,
      85.298074,
      63.434468,
      85.420330,
      63.419305,
      85.403295,
      63.419305,
      84.869297
    ]);
    poly[2668] = _TzPolygon([
      67.044250,
      82.602623,
      67.233997,
      82.117144,
      67.248743,
      82.211337,
      67.283949,
      82.197378,
      67.274983,
      82.275043,
      67.299492,
      82.225575,
      67.319569,
      82.366745,
      67.343262,
      82.351015,
      67.333324,
      82.303994,
      67.355520,
      82.292809,
      67.356636,
      82.344918,
      67.360528,
      82.289845,
      67.409169,
      82.231825,
      67.418973,
      82.290999,
      67.432249,
      82.251632,
      67.445910,
      82.317268,
      67.462365,
      82.289487,
      67.467503,
      82.392646,
      67.489870,
      82.340610,
      67.525743,
      82.396841,
      67.523389,
      82.338239,
      67.540285,
      82.355273,
      67.540285,
      82.602623
    ]);
    poly[2669] = _TzPolygon(
        [67.540285, 82.315721, 67.533155, 82.290233, 67.540285, 82.292689]);
    poly[2670] = _TzPolygon(
        [67.540285, 82.267325, 67.537738, 82.262166, 67.540285, 82.255722]);
    poly[2671] = _TzPolygon([
      69.330630,
      80.335949,
      69.322592,
      80.358521,
      69.331127,
      80.432638,
      69.305663,
      80.538824,
      69.316787,
      80.765519,
      69.271529,
      80.792265,
      69.237813,
      80.931373,
      69.200427,
      80.960867,
      69.284426,
      81.335078,
      69.248205,
      81.437938,
      69.252733,
      81.469286,
      67.540285,
      81.469286,
      67.540285,
      80.335949
    ]);
    poly[2672] = _TzPolygon([
      69.252733,
      81.469286,
      69.269522,
      81.585507,
      69.316610,
      81.676460,
      69.332608,
      81.611290,
      69.455111,
      81.714328,
      69.352549,
      81.961172,
      69.253679,
      81.805257,
      69.198598,
      81.835159,
      69.156849,
      82.252054,
      69.173855,
      82.395920,
      69.152082,
      82.466170,
      69.080399,
      82.473486,
      69.073964,
      82.360662,
      69.047388,
      82.316256,
      68.971616,
      82.493702,
      68.819060,
      82.566188,
      68.809758,
      82.602623,
      68.271386,
      82.602623,
      68.262310,
      82.555713,
      68.167067,
      82.552209,
      68.113932,
      82.337415,
      67.971132,
      82.397934,
      67.939894,
      82.362037,
      67.959532,
      81.973863,
      67.929510,
      81.827387,
      67.947541,
      81.767561,
      67.893981,
      81.724526,
      67.882941,
      81.783617,
      67.785343,
      81.870423,
      67.719674,
      82.098844,
      67.684490,
      82.057936,
      67.677945,
      82.105246,
      67.644631,
      82.027625,
      67.596324,
      82.113949,
      67.540285,
      82.255722,
      67.540285,
      81.469286
    ]);
    poly[2673] = _TzPolygon(
        [67.540285, 82.267325, 67.555377, 82.297888, 67.540285, 82.292689]);
    poly[2674] = _TzPolygon(
        [67.540285, 82.315721, 67.555697, 82.370811, 67.540285, 82.355273]);
    poly[2675] = _TzPolygon([
      68.809758,
      82.602623,
      68.759195,
      82.800677,
      68.684453,
      82.870239,
      68.641851,
      82.837822,
      68.590413,
      82.628515,
      68.402523,
      82.714637,
      68.333877,
      82.686904,
      68.278564,
      82.639723,
      68.271386,
      82.602623
    ]);
    poly[2676] = _TzPolygon([
      67.044250,
      82.602623,
      66.840598,
      83.123681,
      66.666761,
      83.277275,
      66.658633,
      83.327710,
      66.601956,
      83.189920,
      66.594674,
      83.090520,
      66.464769,
      83.073548,
      66.403822,
      83.116057,
      66.375753,
      83.256870,
      66.183679,
      83.542522,
      66.151712,
      83.509166,
      66.119241,
      83.351897,
      66.082916,
      83.367043,
      66.043577,
      83.266926,
      65.956481,
      83.367435,
      65.902741,
      83.551457,
      65.814529,
      83.473505,
      65.761979,
      83.563395,
      65.789367,
      83.762195,
      65.787181,
      83.999658,
      65.694779,
      84.151455,
      65.686093,
      84.299349,
      65.617595,
      84.282737,
      65.588739,
      84.168607,
      65.544437,
      84.430129,
      65.479795,
      84.503315,
      65.479795,
      82.602623
    ]);
    poly[2677] = _TzPolygon(
        [71.885773, 80.335949, 71.882002, 80.356177, 71.872443, 80.335949]);
    poly[2678] = _TzPolygon([
      71.074149,
      80.335949,
      71.043189,
      80.583982,
      70.833051,
      80.638733,
      70.809468,
      80.715196,
      70.692538,
      80.639875,
      70.631349,
      80.821790,
      70.568510,
      80.771948,
      70.567670,
      80.714723,
      70.513078,
      80.735389,
      70.488650,
      80.636107,
      70.478492,
      80.707234,
      70.437195,
      80.734221,
      70.427179,
      80.884488,
      70.408072,
      80.785617,
      70.379185,
      80.820937,
      70.376278,
      80.740095,
      70.398094,
      80.644504,
      70.419384,
      80.682276,
      70.453917,
      80.617680,
      70.460550,
      80.414205,
      70.426215,
      80.335949
    ]);
    poly[2679] = _TzPolygon([
      54.176745,
      95.855025,
      54.179904,
      95.844012,
      54.209796,
      95.849265,
      54.237503,
      95.684680,
      54.296935,
      95.646271,
      54.413782,
      95.710074,
      54.423412,
      95.838943,
      54.408621,
      95.855025
    ]);
    poly[2680] = _TzPolygon([
      53.453474,
      97.468121,
      53.456299,
      97.454332,
      53.588940,
      97.328781,
      53.592554,
      97.220093,
      53.623578,
      97.182937,
      53.614820,
      97.126329,
      53.659056,
      97.076520,
      53.653011,
      97.009908,
      53.728902,
      96.887528,
      53.723475,
      96.730660,
      53.641506,
      96.666828,
      53.677257,
      96.616820,
      53.660410,
      96.592511,
      53.673599,
      96.525220,
      53.691552,
      96.485135,
      53.743675,
      96.470360,
      53.759035,
      96.400652,
      53.837320,
      96.340136,
      53.909083,
      96.173428,
      53.982589,
      96.120100,
      53.985580,
      96.070620,
      54.071824,
      96.087142,
      54.101545,
      95.939756,
      54.164720,
      95.896955,
      54.176745,
      95.855025,
      54.408621,
      95.855025,
      54.393452,
      95.871519,
      54.396532,
      95.918820,
      54.432073,
      95.932411,
      54.446973,
      95.978410,
      54.465887,
      95.952409,
      54.508089,
      95.978053,
      54.513039,
      96.021498,
      54.528717,
      96.000072,
      54.524502,
      96.029713,
      54.554805,
      96.025160,
      54.574543,
      96.065075,
      54.535229,
      96.181192,
      54.557529,
      96.290252,
      54.515854,
      96.486433,
      54.529775,
      96.538823,
      54.581315,
      96.529414,
      54.626644,
      96.580866,
      54.699490,
      96.567032,
      54.791259,
      96.661748,
      54.901775,
      96.716945,
      54.992631,
      96.625192,
      54.992631,
      97.468121
    ]);
    poly[2681] = _TzPolygon([
      53.453474,
      97.468121,
      53.425895,
      97.602759,
      53.370437,
      97.599862,
      53.373537,
      97.812820,
      53.346704,
      97.866066,
      53.348318,
      97.981927,
      53.303296,
      97.958405,
      53.248363,
      98.004601,
      53.247414,
      98.188853,
      53.208021,
      98.239674,
      53.227283,
      98.297075,
      53.096353,
      98.303558,
      53.101222,
      98.637103,
      53.157566,
      98.679244,
      53.117316,
      98.892343,
      53.155083,
      98.918335,
      53.103005,
      99.009707,
      53.103726,
      99.062062,
      53.027406,
      98.999776,
      53.007242,
      99.081216,
      52.889807,
      99.081216,
      52.934114,
      98.974136,
      52.937225,
      98.935514,
      52.896867,
      98.894151,
      52.795336,
      98.849121,
      52.792043,
      98.943569,
      52.715611,
      98.960205,
      52.657532,
      98.931379,
      52.657887,
      98.869996,
      52.626776,
      98.863874,
      52.604745,
      98.786071,
      52.560261,
      98.785086,
      52.537687,
      98.830941,
      52.508002,
      98.802401,
      52.499387,
      98.741744,
      52.445937,
      98.698203,
      52.423103,
      98.632846,
      52.355310,
      98.685672,
      52.279535,
      98.647721,
      52.262813,
      98.658059,
      52.290930,
      98.710750,
      52.274371,
      98.832638,
      52.189663,
      98.827332,
      52.206699,
      98.894644,
      52.160796,
      98.988112,
      52.149600,
      98.940959,
      52.149600,
      97.468121
    ]);
    poly[2682] = _TzPolygon([
      54.992631,
      96.625192,
      55.023819,
      96.593695,
      55.082735,
      96.685306,
      55.099789,
      96.650621,
      55.179313,
      96.689476,
      55.238511,
      96.657221,
      55.288453,
      96.781277,
      55.290960,
      96.875425,
      55.318725,
      96.944938,
      55.431695,
      96.847501,
      55.530786,
      96.839890,
      55.550798,
      96.808484,
      55.577909,
      96.862385,
      55.598650,
      96.855167,
      55.655930,
      96.744042,
      55.688982,
      96.825581,
      55.732118,
      96.754805,
      55.789580,
      96.786108,
      55.861388,
      96.915005,
      55.850369,
      96.988722,
      56.003892,
      96.990726,
      56.004181,
      97.063652,
      56.112530,
      97.131942,
      56.074375,
      97.301181,
      56.039563,
      97.311312,
      56.032070,
      97.359519,
      56.105429,
      97.438193,
      56.163546,
      97.409098,
      56.192983,
      97.468121,
      54.992631,
      97.468121
    ]);
    poly[2683] = _TzPolygon(
        [57.010628, 97.468121, 57.031512, 97.343349, 57.195087, 97.468121]);
    poly[2684] = _TzPolygon([
      57.775014,
      99.081216,
      57.717948,
      98.980911,
      57.727960,
      98.848295,
      57.752969,
      98.844412,
      57.754751,
      98.801391,
      57.797018,
      98.747524,
      57.772268,
      98.635829,
      57.830442,
      97.952756,
      57.195087,
      97.468121,
      57.835661,
      97.468121,
      57.835661,
      99.081216
    ]);
    poly[2685] = _TzPolygon([
      57.010628,
      97.468121,
      57.004210,
      97.506464,
      56.969848,
      97.530581,
      56.990090,
      97.590534,
      56.962691,
      97.611586,
      56.972802,
      97.672584,
      56.906540,
      97.570328,
      56.883111,
      97.478620,
      56.827013,
      97.469405,
      56.784661,
      97.540752,
      56.805594,
      97.669615,
      56.797604,
      97.786376,
      56.773224,
      97.802762,
      56.738380,
      97.747163,
      56.662624,
      97.788277,
      56.645447,
      97.736127,
      56.591282,
      97.779681,
      56.549176,
      97.741117,
      56.534102,
      97.879933,
      56.375360,
      97.879988,
      56.376301,
      97.557020,
      56.187314,
      97.574179,
      56.195377,
      97.472921,
      56.192983,
      97.468121
    ]);
    poly[2686] = _TzPolygon([
      57.835661,
      99.456277,
      57.790723,
      99.437094,
      57.797960,
      99.344485,
      57.761010,
      99.204509,
      57.778079,
      99.086604,
      57.775014,
      99.081216,
      57.835661,
      99.081216
    ]);
    poly[2687] = _TzPolygon([
      57.835661,
      100.840559,
      57.783956,
      100.869189,
      57.771406,
      100.908698,
      57.637771,
      100.814906,
      57.589170,
      100.879215,
      57.577506,
      100.946983,
      57.501399,
      100.941605,
      57.483221,
      100.971758,
      57.444325,
      100.923480,
      57.464389,
      100.857700,
      57.399517,
      100.763049,
      57.460458,
      100.674016,
      57.493958,
      100.515623,
      57.551830,
      100.403283,
      57.582520,
      100.427476,
      57.636768,
      100.352378,
      57.667273,
      100.383344,
      57.684373,
      100.322777,
      57.741634,
      100.379996,
      57.768613,
      100.285177,
      57.806051,
      100.314551,
      57.835661,
      100.209487
    ]);
    poly[2688] = _TzPolygon([
      53.007242,
      99.081216,
      52.976850,
      99.203971,
      52.938765,
      99.272200,
      52.915082,
      99.223421,
      52.866363,
      99.226333,
      52.873067,
      99.121672,
      52.889807,
      99.081216
    ]);
    poly[2689] = _TzPolygon([
      58.604518,
      102.307407,
      58.561474,
      102.282598,
      58.522190,
      102.202334,
      58.488964,
      102.102230,
      58.453290,
      101.791303,
      58.411146,
      101.699847,
      58.342534,
      101.669625,
      58.241655,
      101.531111,
      58.232678,
      101.363814,
      58.136756,
      101.218109,
      58.102675,
      101.107659,
      58.037442,
      101.170042,
      57.968196,
      101.138630,
      57.930733,
      101.039498,
      57.872698,
      101.005544,
      57.875391,
      100.818560,
      57.835661,
      100.840559,
      57.835661,
      100.209487,
      57.856175,
      100.136700,
      57.919499,
      100.129432,
      57.977071,
      100.063989,
      58.035791,
      100.099501,
      58.074038,
      100.072390,
      58.083315,
      99.947301,
      58.056901,
      99.801561,
      58.084158,
      99.757661,
      58.082698,
      99.681723,
      58.053343,
      99.632899,
      57.993187,
      99.638604,
      57.991926,
      99.604793,
      57.938050,
      99.563222,
      57.934431,
      99.505526,
      57.911382,
      99.533668,
      57.899699,
      99.483612,
      57.835661,
      99.456277,
      57.835661,
      95.855025,
      63.521722,
      95.855025,
      63.521722,
      102.307407
    ]);
    poly[2690] = _TzPolygon([
      58.604518,
      102.307407,
      58.646135,
      102.331393,
      58.739556,
      102.569435,
      58.882291,
      102.535905,
      58.904956,
      102.561210,
      58.945360,
      102.440868,
      58.991060,
      102.435504,
      59.008522,
      102.493574,
      59.022151,
      102.437536,
      59.050888,
      102.461296,
      59.083479,
      102.402553,
      59.144177,
      102.425244,
      59.209684,
      102.565469,
      59.193050,
      102.823785,
      59.218304,
      102.866801,
      59.249373,
      102.855463,
      59.318049,
      103.014427,
      59.258482,
      103.136945,
      59.255943,
      103.210061,
      59.290707,
      103.232277,
      59.264229,
      103.356310,
      59.235042,
      103.359802,
      59.237499,
      103.216826,
      59.173092,
      103.238583,
      59.134035,
      103.313074,
      59.028945,
      103.393713,
      58.998414,
      103.565898,
      58.925181,
      103.617078,
      58.935132,
      103.700119,
      58.908849,
      103.783218,
      58.922624,
      103.894862,
      58.913227,
      103.920502,
      58.750149,
      103.920502,
      58.736700,
      103.891393,
      58.733144,
      103.920502,
      57.835661,
      103.920502,
      57.835661,
      102.307407
    ]);
    poly[2691] = _TzPolygon([
      58.752107,
      103.920502,
      58.770761,
      103.965114,
      58.834201,
      103.949244,
      58.875309,
      103.985973,
      58.909309,
      103.920502,
      59.257177,
      103.920502,
      59.257177,
      105.277458,
      59.245387,
      105.304037,
      59.197129,
      105.337767,
      59.156964,
      105.292495,
      59.116737,
      105.367243,
      59.067599,
      105.276276,
      59.061288,
      105.135744,
      59.014871,
      105.095362,
      58.958700,
      104.920861,
      58.908601,
      104.891120,
      58.866833,
      104.789292,
      58.807188,
      104.754618,
      58.747438,
      104.894480,
      58.677485,
      104.813475,
      58.650116,
      104.629432,
      58.622013,
      104.608318,
      58.638368,
      104.525186,
      58.608785,
      104.466400,
      58.672869,
      104.346690,
      58.726987,
      104.382346,
      58.715973,
      104.254183,
      58.760438,
      104.199376,
      58.786293,
      104.211025,
      58.765100,
      104.175482,
      58.788730,
      104.036222,
      58.727298,
      103.968347,
      58.734023,
      103.920502
    ]);
    poly[2692] = _TzPolygon([
      60.678692,
      104.551757,
      60.617766,
      104.502404,
      60.587555,
      104.571414,
      60.536944,
      104.580704,
      60.519160,
      104.644959,
      60.406017,
      104.656759,
      60.373956,
      104.795135,
      60.299521,
      104.903699,
      60.302000,
      105.082229,
      60.274741,
      105.231398,
      60.298910,
      105.343102,
      60.264295,
      105.361269,
      60.268414,
      105.414997,
      60.219563,
      105.477055,
      60.226393,
      105.508916,
      60.153881,
      105.422249,
      60.001719,
      105.504985,
      59.947871,
      105.409822,
      59.842432,
      105.514397,
      59.831149,
      105.466083,
      59.857575,
      105.432799,
      59.838932,
      105.372014,
      59.883546,
      105.164172,
      59.875733,
      105.064300,
      59.843910,
      105.028238,
      59.853177,
      104.979367,
      59.834884,
      105.018908,
      59.777566,
      105.023352,
      59.765107,
      104.888396,
      59.687545,
      104.761889,
      59.670870,
      104.808037,
      59.635939,
      104.784139,
      59.604226,
      104.882549,
      59.555546,
      104.850420,
      59.470628,
      104.967757,
      59.464132,
      105.081669,
      59.485219,
      105.148868,
      59.441726,
      105.237198,
      59.401877,
      105.196846,
      59.342678,
      105.219528,
      59.303842,
      105.172255,
      59.257177,
      105.277458,
      59.257177,
      103.920502,
      60.678692,
      103.920502
    ]);
    poly[2693] = _TzPolygon([
      60.678692,
      104.551757,
      60.740990,
      104.602221,
      60.782850,
      104.509870,
      60.846564,
      104.460697,
      60.905524,
      104.633952,
      60.946095,
      104.576347,
      61.037737,
      104.643398,
      61.078544,
      104.625040,
      61.087924,
      104.694833,
      61.191754,
      104.852553,
      61.177693,
      105.044477,
      61.316054,
      104.950299,
      61.348577,
      104.778086,
      61.412949,
      105.008351,
      61.423941,
      105.281177,
      61.464248,
      105.257958,
      61.542213,
      105.363247,
      61.579320,
      105.533598,
      60.678692,
      105.533598
    ]);
    poly[2694] = _TzPolygon([
      63.521722,
      106.531699,
      63.502564,
      106.578857,
      63.422925,
      106.648430,
      63.397767,
      106.737036,
      63.316763,
      106.620902,
      63.357410,
      106.417170,
      63.245656,
      106.344513,
      63.215936,
      106.438794,
      63.125686,
      106.396808,
      63.088726,
      106.111410,
      62.922954,
      106.186584,
      62.909676,
      106.282070,
      62.874418,
      106.313206,
      62.863495,
      106.435968,
      62.814399,
      106.446644,
      62.791116,
      106.512518,
      62.698851,
      106.469532,
      62.688831,
      106.579993,
      62.623216,
      106.796434,
      62.603921,
      106.781993,
      62.607784,
      106.715199,
      62.561654,
      106.669943,
      62.494475,
      106.753373,
      62.463559,
      106.628803,
      62.396321,
      106.546570,
      62.395309,
      106.430062,
      62.339763,
      106.483239,
      62.329623,
      106.409253,
      62.301600,
      106.408707,
      62.281190,
      106.346942,
      62.255038,
      106.403220,
      62.259746,
      106.464844,
      62.145273,
      106.387730,
      62.042694,
      106.395700,
      62.023782,
      106.275759,
      61.845347,
      105.898270,
      61.690511,
      105.979911,
      61.686567,
      105.896776,
      61.629823,
      105.813359,
      61.660055,
      105.727969,
      61.655252,
      105.668412,
      61.619904,
      105.580829,
      61.590493,
      105.584890,
      61.579320,
      105.533598,
      63.521722,
      105.533598
    ]);
    poly[2695] = _TzPolygon([
      52.149600,
      111.910233,
      52.197441,
      111.934638,
      52.205282,
      111.985979,
      52.149600,
      111.985979
    ]);
    poly[2696] = _TzPolygon([
      54.992631,
      113.599075,
      52.462380,
      113.599075,
      52.448805,
      113.590714,
      52.488745,
      113.542026,
      52.453594,
      113.151961,
      52.403735,
      113.093081,
      52.377837,
      112.981145,
      52.329131,
      112.919223,
      52.351978,
      112.875654,
      52.326151,
      112.803803,
      52.326401,
      112.735582,
      52.354830,
      112.679114,
      52.346136,
      112.547443,
      52.321138,
      112.515181,
      52.248884,
      112.511326,
      52.201542,
      112.382579,
      52.245157,
      112.305630,
      52.250896,
      112.193759,
      52.303726,
      112.176871,
      52.281267,
      112.145048,
      52.285298,
      112.075331,
      52.208708,
      112.008414,
      52.205282,
      111.985979,
      54.992631,
      111.985979
    ]);
    poly[2697] = _TzPolygon([
      53.571115,
      113.599075,
      53.571115,
      113.852424,
      53.569812,
      113.858151,
      53.521912,
      113.883245,
      53.482539,
      113.835914,
      53.416496,
      113.827226,
      53.362574,
      113.874644,
      53.346622,
      113.946699,
      53.284010,
      113.924402,
      53.249534,
      113.948630,
      53.248380,
      114.051698,
      53.203820,
      114.052321,
      53.178683,
      114.205686,
      53.127452,
      114.190689,
      53.117604,
      114.146040,
      53.072631,
      114.146383,
      53.090679,
      114.268953,
      53.059530,
      114.292257,
      53.054363,
      114.375604,
      53.030946,
      114.306866,
      52.964547,
      114.312883,
      52.897742,
      114.235642,
      52.816283,
      114.260418,
      52.812355,
      114.224419,
      52.662345,
      114.078475,
      52.665572,
      114.021862,
      52.626725,
      113.960943,
      52.639205,
      113.908699,
      52.603713,
      113.847824,
      52.612267,
      113.803010,
      52.576732,
      113.769630,
      52.586616,
      113.741673,
      52.530099,
      113.640781,
      52.462380,
      113.599075
    ]);
    poly[2698] = _TzPolygon([
      53.571115,
      113.852424,
      53.588684,
      113.775218,
      53.615846,
      113.799776,
      53.624180,
      113.880420,
      53.663595,
      113.933656,
      53.645554,
      113.932006,
      53.647456,
      113.974562,
      53.685985,
      113.978855,
      53.702332,
      113.946084,
      53.722808,
      113.984682,
      53.734488,
      114.111986,
      53.759317,
      114.158802,
      53.736702,
      114.193115,
      53.756708,
      114.306379,
      53.823013,
      114.386319,
      53.812882,
      114.512176,
      53.916289,
      114.577871,
      53.926697,
      114.740410,
      53.950524,
      114.755597,
      53.950586,
      114.861473,
      53.974966,
      114.876639,
      53.994979,
      114.980920,
      54.030104,
      114.990406,
      54.032805,
      115.025844,
      54.073582,
      115.013332,
      54.118997,
      115.145838,
      54.194629,
      115.167899,
      54.197774,
      115.212170,
      53.571115,
      115.212170
    ]);
    poly[2699] = _TzPolygon([
      60.678692,
      110.372884,
      59.049242,
      110.372884,
      58.991048,
      110.263097,
      58.980934,
      110.158248,
      59.024971,
      109.982887,
      58.988769,
      109.821884,
      59.090552,
      109.727389,
      59.060777,
      109.642656,
      59.164261,
      109.630401,
      59.196506,
      109.505352,
      59.235458,
      109.536504,
      59.253604,
      109.478170,
      59.308076,
      109.506285,
      59.332060,
      109.246015,
      59.351496,
      109.274728,
      59.390863,
      109.240395,
      59.387755,
      109.282681,
      59.431439,
      109.351957,
      59.466906,
      109.252271,
      59.667295,
      109.543439,
      59.689721,
      109.483058,
      59.767633,
      109.474766,
      59.844239,
      109.563324,
      59.876034,
      109.662596,
      59.933975,
      109.617161,
      59.940119,
      109.669001,
      59.994620,
      109.682277,
      60.034303,
      109.760034,
      60.078165,
      109.691853,
      60.241147,
      109.726201,
      60.273757,
      109.815246,
      60.324839,
      109.791349,
      60.357093,
      109.882760,
      60.386888,
      109.844194,
      60.416890,
      109.948779,
      60.461395,
      109.907127,
      60.504864,
      109.949669,
      60.533268,
      110.022251,
      60.584161,
      110.045532,
      60.596930,
      110.138172,
      60.643062,
      110.133293,
      60.678692,
      110.065522
    ]);
  }
}

class _Initializer28 {
  static void _init() {
    poly[2700] = _TzPolygon([
      59.356790,
      111.985979,
      59.341290,
      111.960455,
      59.278978,
      111.944096,
      59.303685,
      111.898915,
      59.297599,
      111.782657,
      59.223849,
      111.649821,
      59.235190,
      111.560631,
      59.292353,
      111.451149,
      59.278318,
      111.299121,
      59.245357,
      111.287201,
      59.201395,
      111.189430,
      59.217872,
      111.119692,
      59.256028,
      111.093641,
      59.216713,
      110.983064,
      59.272094,
      110.859243,
      59.280902,
      110.720542,
      59.183345,
      110.548603,
      59.140373,
      110.603614,
      59.119815,
      110.529266,
      59.047770,
      110.492112,
      59.052578,
      110.379177,
      59.049242,
      110.372884,
      60.678692,
      110.372884,
      60.678692,
      111.985979
    ]);
    poly[2701] = _TzPolygon([
      60.678692,
      110.065522,
      60.683279,
      110.056797,
      60.696230,
      110.167848,
      60.681619,
      110.238915,
      60.701981,
      110.288624,
      60.844633,
      110.261865,
      60.935092,
      110.355482,
      60.944031,
      110.372884,
      60.678692,
      110.372884
    ]);
    poly[2702] = _TzPolygon([
      62.100207,
      109.880934,
      62.100207,
      110.372884,
      61.190011,
      110.372884,
      61.171357,
      110.328472,
      61.166948,
      110.226559,
      61.277886,
      110.111251,
      61.314717,
      109.997213,
      61.332120,
      109.760002,
      61.448522,
      109.859936,
      61.477883,
      109.808911,
      61.549351,
      109.870490,
      61.655686,
      109.748492,
      61.657456,
      109.695587,
      61.699143,
      109.730710,
      61.703893,
      109.668660,
      61.745473,
      109.600187,
      61.914704,
      109.575309,
      61.976609,
      109.725438,
      62.025282,
      109.762340,
      62.022757,
      109.815796,
      62.096721,
      109.888645
    ]);
    poly[2703] = _TzPolygon([
      62.100207,
      109.880934,
      62.109600,
      109.860159,
      62.164894,
      109.989349,
      62.191472,
      110.002118,
      62.261407,
      109.918236,
      62.312685,
      109.996493,
      62.333594,
      109.926339,
      62.362158,
      109.951555,
      62.372225,
      109.885700,
      62.437021,
      109.910930,
      62.435063,
      109.674141,
      62.455069,
      109.553325,
      62.424841,
      109.445182,
      62.473591,
      109.430854,
      62.493533,
      109.337635,
      62.576751,
      109.251916,
      62.598725,
      109.254805,
      62.612246,
      109.390614,
      62.669355,
      109.381987,
      62.690827,
      109.479665,
      62.749394,
      109.463396,
      62.795014,
      109.507988,
      62.843256,
      109.682486,
      62.898698,
      109.639320,
      62.918123,
      109.526804,
      62.970701,
      109.483979,
      63.014784,
      109.534293,
      63.022981,
      109.469319,
      63.026988,
      109.515371,
      63.057881,
      109.469697,
      63.108702,
      109.515600,
      63.109771,
      109.457460,
      63.140759,
      109.496928,
      63.208326,
      109.438259,
      63.235273,
      109.479724,
      63.279973,
      109.415870,
      63.376889,
      109.406565,
      63.372478,
      109.285972,
      63.396227,
      109.320684,
      63.455652,
      109.266670,
      63.496168,
      109.177315,
      63.521722,
      109.175970,
      63.521722,
      110.372884,
      62.100207,
      110.372884
    ]);
    poly[2704] = _TzPolygon([
      61.190011,
      110.372884,
      61.209527,
      110.419347,
      61.161924,
      110.543500,
      61.100268,
      110.548786,
      61.049727,
      110.484787,
      61.000681,
      110.483167,
      60.944031,
      110.372884
    ]);
    poly[2705] = _TzPolygon([
      60.678692,
      113.599075,
      59.596462,
      113.599075,
      59.593448,
      113.589432,
      59.585193,
      113.599075,
      59.505650,
      113.599075,
      59.402310,
      113.431376,
      59.378740,
      113.432036,
      59.351463,
      113.532106,
      59.310452,
      113.461373,
      59.265593,
      113.465212,
      59.275195,
      113.444395,
      59.247773,
      113.429054,
      59.218052,
      113.327570,
      59.158104,
      113.277557,
      59.188068,
      113.192478,
      59.150801,
      113.109606,
      59.168579,
      113.062111,
      59.144201,
      113.022305,
      59.156883,
      112.931538,
      59.124409,
      112.873258,
      59.126996,
      112.805138,
      59.049535,
      112.740093,
      59.048381,
      112.608183,
      59.107825,
      112.605654,
      59.054391,
      112.511791,
      58.992301,
      112.599206,
      58.945473,
      112.591155,
      58.890736,
      112.519737,
      58.918129,
      112.441539,
      59.150287,
      112.445229,
      59.237481,
      112.504143,
      59.270745,
      112.628966,
      59.313623,
      112.651461,
      59.316706,
      112.569536,
      59.348222,
      112.521975,
      59.302395,
      112.272611,
      59.335640,
      112.322940,
      59.373139,
      112.275443,
      59.427002,
      112.340899,
      59.531504,
      112.273681,
      59.356790,
      111.985979,
      60.678692,
      111.985979
    ]);
    poly[2706] = _TzPolygon([
      60.460705,
      115.212170,
      60.413232,
      115.096025,
      60.365986,
      115.145207,
      60.236097,
      115.023475,
      60.184778,
      114.906236,
      60.203540,
      114.804581,
      60.190005,
      114.695123,
      60.179064,
      114.651151,
      60.151294,
      114.650494,
      60.130926,
      114.565087,
      60.036188,
      114.490924,
      60.022594,
      114.559409,
      59.989086,
      114.573376,
      59.906892,
      114.319567,
      59.745556,
      114.150321,
      59.761008,
      114.076382,
      59.690154,
      113.967843,
      59.684799,
      113.870673,
      59.627648,
      113.795431,
      59.630044,
      113.706531,
      59.596462,
      113.599075,
      60.678692,
      113.599075,
      60.678692,
      115.212170
    ]);
    poly[2707] = _TzPolygon([
      59.585193,
      113.599075,
      59.560820,
      113.627546,
      59.515156,
      113.614501,
      59.505650,
      113.599075
    ]);
    poly[2708] = _TzPolygon(
        [67.003770, 105.533598, 67.015768, 105.508341, 67.017171, 105.533598]);
    poly[2709] = _TzPolygon([
      63.521722,
      106.531699,
      63.547256,
      106.468848,
      63.567717,
      106.522387,
      63.561608,
      106.598240,
      63.598942,
      106.583400,
      63.661333,
      106.688989,
      63.723201,
      106.602469,
      63.870987,
      106.789833,
      63.913078,
      106.711873,
      63.935006,
      106.730351,
      63.984650,
      106.605930,
      64.044317,
      106.664368,
      64.019565,
      106.699577,
      64.018027,
      106.807366,
      63.987177,
      106.824168,
      63.971239,
      106.975704,
      63.926526,
      107.043493,
      63.948942,
      107.146693,
      63.521722,
      107.146693
    ]);
    poly[2710] = _TzPolygon([
      64.351378,
      107.146693,
      64.353611,
      107.105488,
      64.438280,
      106.915167,
      64.422861,
      106.736901,
      64.529516,
      106.652537,
      64.542671,
      106.578978,
      64.461785,
      106.559048,
      64.447051,
      106.256347,
      64.415606,
      106.182690,
      64.428981,
      106.088075,
      64.485387,
      106.133812,
      64.541475,
      106.021387,
      64.486988,
      105.905221,
      64.502215,
      105.869119,
      64.493563,
      105.755774,
      64.534791,
      105.792740,
      64.583005,
      105.712603,
      64.640663,
      105.750906,
      64.680781,
      105.685068,
      64.677126,
      105.872094,
      64.726061,
      105.815905,
      64.832933,
      105.852876,
      64.829430,
      105.987279,
      64.903497,
      105.914801,
      64.918700,
      106.031820,
      64.869955,
      106.058708,
      64.873037,
      106.207529,
      64.906100,
      106.116330,
      64.943238,
      106.093633,
      64.943238,
      107.146693
    ]);
    poly[2711] = _TzPolygon([
      64.943238,
      107.146693,
      64.943238,
      106.093633,
      64.980394,
      106.070925,
      65.000750,
      105.974185,
      65.039901,
      105.950465,
      65.069735,
      106.108917,
      65.133042,
      106.189947,
      65.144269,
      106.310062,
      65.227947,
      106.410707,
      65.219637,
      106.526121,
      65.246530,
      106.429257,
      65.318115,
      106.435978,
      65.396004,
      106.612948,
      65.377536,
      106.817327,
      65.506618,
      106.968192,
      65.539858,
      106.703752,
      65.602794,
      106.702850,
      65.669229,
      106.416125,
      65.701233,
      106.402170,
      65.733042,
      106.459869,
      65.765213,
      106.428611,
      65.798388,
      106.491484,
      65.825931,
      106.448051,
      66.000549,
      106.517617,
      66.156837,
      106.330433,
      66.147000,
      106.205447,
      66.197240,
      106.106043,
      66.364753,
      106.111518,
      66.364753,
      107.146693
    ]);
    poly[2712] = _TzPolygon([
      63.948942,
      107.146693,
      63.953355,
      107.167008,
      63.984432,
      107.201326,
      63.977563,
      107.307045,
      63.936817,
      107.377132,
      63.907575,
      107.342020,
      63.894269,
      107.410870,
      63.927371,
      107.473097,
      63.897238,
      107.515607,
      63.902170,
      107.582932,
      63.981370,
      107.631215,
      64.021253,
      107.764036,
      64.024747,
      107.844571,
      63.997562,
      107.906356,
      64.015152,
      107.953241,
      63.521722,
      107.953241,
      63.521722,
      107.146693
    ]);
    poly[2713] = _TzPolygon([
      64.200916,
      107.953241,
      64.189835,
      107.912377,
      64.231146,
      107.860089,
      64.258048,
      107.707701,
      64.281156,
      107.720357,
      64.310700,
      107.641299,
      64.300898,
      107.495908,
      64.261481,
      107.373516,
      64.270334,
      107.325227,
      64.345425,
      107.256510,
      64.351378,
      107.146693,
      64.943238,
      107.146693,
      64.943238,
      107.953241
    ]);
    poly[2714] = _TzPolygon([
      64.200916,
      107.953241,
      64.203992,
      107.964583,
      64.182009,
      107.973404,
      64.185712,
      108.055827,
      64.246468,
      108.085664,
      64.250218,
      108.246822,
      64.048812,
      108.389070,
      64.010987,
      108.313244,
      64.003724,
      108.205426,
      64.015889,
      108.088315,
      64.000807,
      108.034400,
      64.019771,
      107.965551,
      64.015690,
      107.953241
    ]);
    poly[2715] = _TzPolygon([
      63.611884,
      108.759788,
      63.619357,
      108.733544,
      63.611747,
      108.655082,
      63.636601,
      108.526357,
      63.607747,
      108.135881,
      63.658147,
      108.124333,
      63.678134,
      108.175527,
      63.668944,
      108.225335,
      63.716051,
      108.299315,
      63.847093,
      108.306325,
      63.862845,
      108.388198,
      63.822350,
      108.496466,
      63.847725,
      108.617179,
      63.821910,
      108.676830,
      63.854096,
      108.759788
    ]);
    poly[2716] = _TzPolygon(
        [63.899312, 108.759788, 63.932133, 108.710601, 64.012252, 108.759788]);
    poly[2717] = _TzPolygon([
      64.017557,
      108.759788,
      64.068797,
      108.613007,
      64.106627,
      108.609359,
      64.137046,
      108.519972,
      64.193456,
      108.597352,
      64.230838,
      108.519344,
      64.255198,
      108.583116,
      64.321500,
      108.425185,
      64.265964,
      108.367859,
      64.284289,
      108.189293,
      64.249805,
      108.088068,
      64.185712,
      108.055827,
      64.182009,
      107.973404,
      64.203992,
      107.964583,
      64.200916,
      107.953241,
      64.943238,
      107.953241,
      64.943238,
      108.759788
    ]);
    poly[2718] = _TzPolygon([
      66.364753,
      108.759788,
      66.364753,
      106.111518,
      66.372290,
      106.111764,
      66.429761,
      106.189337,
      66.473182,
      106.331906,
      66.521768,
      106.320515,
      66.565746,
      106.233109,
      66.682718,
      106.257375,
      66.707544,
      106.170333,
      66.751612,
      106.133226,
      66.797782,
      106.213301,
      66.788562,
      106.014295,
      66.803635,
      105.986321,
      66.859184,
      106.094150,
      66.895417,
      106.080664,
      66.910733,
      105.855024,
      66.943891,
      105.857548,
      66.925205,
      105.698989,
      67.003770,
      105.533598,
      67.017171,
      105.533598,
      67.040220,
      105.948481,
      67.115325,
      106.064825,
      67.167919,
      106.071270,
      67.171419,
      106.220558,
      67.200771,
      106.342143,
      67.266641,
      106.438486,
      67.291168,
      106.545311,
      67.262536,
      106.590562,
      67.257436,
      106.711234,
      67.334093,
      106.822039,
      68.254165,
      106.920682,
      68.857784,
      106.906594,
      69.207784,
      106.422010,
      69.207784,
      108.759788
    ]);
    poly[2719] = _TzPolygon([
      69.207784,
      108.759788,
      69.207784,
      106.422010,
      69.409405,
      106.142860,
      69.441680,
      106.178337,
      69.476746,
      106.341910,
      69.580345,
      106.479029,
      69.567970,
      106.597558,
      69.527968,
      106.630677,
      69.522793,
      106.852131,
      69.660499,
      107.606481,
      69.686374,
      107.844267,
      69.669024,
      107.952931,
      69.698440,
      108.019420,
      69.787929,
      108.022611,
      69.786449,
      108.117876,
      69.854403,
      108.248733,
      69.828592,
      108.689155,
      69.833378,
      108.759788
    ]);
    poly[2720] = _TzPolygon(
        [64.017557, 108.759788, 64.016621, 108.762471, 64.012252, 108.759788]);
    poly[2721] = _TzPolygon(
        [63.899312, 108.759788, 63.870720, 108.802638, 63.854096, 108.759788]);
    poly[2722] = _TzPolygon([
      63.611884,
      108.759788,
      63.578782,
      108.876039,
      63.577065,
      109.081238,
      63.541665,
      109.174920,
      63.521722,
      109.175970,
      63.521722,
      108.759788
    ]);
    poly[2723] = _TzPolygon([
      69.833378,
      108.759788,
      69.842803,
      108.898903,
      69.770599,
      108.944625,
      69.754623,
      109.201107,
      69.774274,
      109.295729,
      69.821665,
      109.329170,
      69.824367,
      109.385870,
      69.963017,
      109.404419,
      69.993450,
      109.529968,
      70.027783,
      109.546454,
      70.078822,
      109.354874,
      70.208350,
      109.300858,
      70.252448,
      109.575575,
      70.285170,
      109.616694,
      70.352237,
      109.558342,
      70.372323,
      109.640479,
      70.390982,
      109.952318,
      70.413747,
      110.009103,
      70.397510,
      110.072972,
      70.408571,
      110.313335,
      70.434197,
      110.306007,
      70.476082,
      110.115928,
      70.636983,
      110.123517,
      70.670126,
      110.308611,
      70.695886,
      110.333428,
      70.712832,
      110.510804,
      70.761794,
      110.511692,
      70.784785,
      110.619270,
      70.800048,
      110.747504,
      70.780877,
      110.841755,
      70.844616,
      111.051331,
      70.861772,
      111.372755,
      70.928825,
      111.478798,
      70.938144,
      111.632712,
      70.971932,
      111.738766,
      70.957544,
      111.801059,
      70.974232,
      111.934630,
      71.014233,
      111.985979,
      69.207784,
      111.985979,
      69.207784,
      108.759788
    ]);
    poly[2724] = _TzPolygon(
        [73.153541, 110.372884, 73.197632, 110.348745, 73.203682, 110.372884]);
    poly[2725] = _TzPolygon([
      73.336486,
      110.372884,
      73.377281,
      110.244841,
      73.373114,
      110.168744,
      73.405426,
      110.120250,
      73.396727,
      110.242916,
      73.413977,
      110.372884
    ]);
    poly[2726] = _TzPolygon([
      72.126517,
      111.985979,
      72.166469,
      111.708247,
      72.220915,
      111.691752,
      72.211758,
      111.592957,
      72.258420,
      111.668359,
      72.324402,
      111.574806,
      72.315850,
      111.324953,
      72.340589,
      111.302737,
      72.364430,
      111.062775,
      72.388893,
      111.008776,
      72.412195,
      111.074828,
      72.441847,
      111.008817,
      72.448086,
      111.135860,
      72.510109,
      111.309184,
      72.557758,
      111.178717,
      72.576070,
      110.884220,
      72.632042,
      110.908832,
      72.645237,
      110.768741,
      72.677811,
      110.712554,
      72.791381,
      110.656685,
      72.807870,
      110.747521,
      72.846816,
      110.628665,
      72.881940,
      110.626556,
      72.939260,
      110.908443,
      72.952045,
      110.657588,
      73.019526,
      110.719874,
      73.020106,
      110.811154,
      73.054379,
      110.860169,
      73.102943,
      110.745516,
      73.160670,
      110.850160,
      73.151871,
      110.373798,
      73.203682,
      110.372884,
      73.267222,
      110.626413,
      73.333151,
      110.543538,
      73.347384,
      110.451000,
      73.333913,
      110.380960,
      73.336486,
      110.372884,
      73.413977,
      110.372884,
      73.433652,
      110.521116,
      73.428201,
      110.642632,
      73.472330,
      110.676550,
      73.472330,
      111.985979
    ]);
    poly[2727] = _TzPolygon([
      73.472330,
      111.985979,
      73.472352,
      110.676567,
      73.518475,
      110.839942,
      73.546134,
      110.811061,
      73.565074,
      110.892277,
      73.557590,
      111.011434,
      73.607290,
      111.167409,
      73.609245,
      111.282729,
      73.643626,
      111.157519,
      73.662526,
      111.185642,
      73.705951,
      110.807932,
      73.748476,
      110.825101,
      73.812938,
      110.991666,
      73.821940,
      111.234498,
      73.841858,
      111.227879,
      73.842321,
      111.307459,
      74.008054,
      111.898518,
      74.114312,
      111.851297,
      74.189846,
      111.140153,
      74.325295,
      110.485274,
      74.443515,
      111.059106,
      74.590929,
      111.985979
    ]);
    poly[2728] = _TzPolygon([
      74.893845,
      113.566570,
      74.870803,
      112.909269,
      74.651680,
      112.367953,
      74.590929,
      111.985979,
      74.893845,
      111.985979
    ]);
    poly[2729] = _TzPolygon([
      72.126517,
      111.985979,
      72.124400,
      112.000695,
      71.402308,
      112.000514,
      71.377937,
      112.220575,
      71.276587,
      112.469258,
      71.294110,
      112.603685,
      71.253634,
      112.722796,
      71.195318,
      112.666622,
      71.171260,
      112.512341,
      71.102551,
      112.594041,
      71.071176,
      112.355982,
      70.999819,
      112.246067,
      71.060097,
      112.105777,
      71.054461,
      112.037619,
      71.014233,
      111.985979
    ]);
    poly[2730] = _TzPolygon([
      33.798521,
      69.957225,
      33.768440,
      69.964340,
      33.731620,
      70.004090,
      33.724990,
      70.142610,
      33.658190,
      70.143440,
      33.642690,
      70.199980,
      33.518370,
      70.172910,
      33.471550,
      70.244390,
      33.434750,
      70.256430,
      33.430240,
      70.296770,
      33.330940,
      70.326950,
      33.328430,
      70.292660,
      33.218540,
      70.164350,
      33.204410,
      70.096900,
      33.219320,
      70.071470,
      33.138440,
      70.020690,
      33.133221,
      69.957225
    ]);
    poly[2731] = _TzPolygon([
      34.044171,
      69.957225,
      34.047710,
      69.998810,
      34.008550,
      70.087690,
      34.014310,
      70.148760,
      33.980930,
      70.200850,
      33.967330,
      70.414310,
      33.939730,
      70.495400,
      33.949708,
      70.534430,
      33.798521,
      70.534430,
      33.798521,
      69.957225
    ]);
    poly[2732] = _TzPolygon([
      38.208711,
      69.957225,
      38.208711,
      70.534430,
      38.121970,
      70.506700,
      38.055127,
      70.363279,
      37.970286,
      70.286325,
      37.979075,
      70.261336,
      37.937725,
      70.269368,
      37.930241,
      70.171055,
      37.846771,
      70.188062,
      37.815994,
      70.279472,
      37.698720,
      70.303402,
      37.611400,
      70.265853,
      37.605793,
      70.214067,
      37.567523,
      70.213091,
      37.572007,
      70.179784,
      37.530518,
      70.170704,
      37.524455,
      70.112254,
      37.565000,
      69.958611,
      37.567747,
      69.957225
    ]);
    poly[2733] = _TzPolygon([
      39.621629,
      70.534430,
      39.583225,
      70.464495,
      39.601044,
      70.441454,
      39.574250,
      70.424521,
      39.597331,
      70.375522,
      39.526888,
      70.303511,
      39.538494,
      70.235449,
      39.560097,
      70.243384,
      39.577503,
      70.212598,
      39.554084,
      70.168090,
      39.590225,
      70.117342,
      39.536809,
      69.995996,
      39.567936,
      69.978243,
      39.570200,
      69.957225,
      39.621629,
      69.957225
    ]);
    poly[2734] = _TzPolygon([
      29.668817,
      78.925031,
      29.668817,
      80.389978,
      29.639032,
      80.419930,
      29.597069,
      80.408190,
      29.552870,
      80.342572,
      29.512207,
      80.343834,
      29.477198,
      80.287176,
      29.451747,
      80.301766,
      29.442545,
      80.242488,
      29.411233,
      80.242116,
      29.392046,
      80.275642,
      29.347673,
      80.279391,
      29.314438,
      80.316813,
      29.205258,
      80.297729,
      29.212559,
      80.244033,
      29.138702,
      80.271697,
      29.116199,
      80.233729,
      29.137326,
      80.183853,
      29.104645,
      80.145258,
      29.007309,
      80.135308,
      28.916123,
      80.058876,
      28.837694,
      80.064749,
      28.827903,
      80.118726,
      28.755426,
      80.215924,
      28.757784,
      80.250602,
      28.729194,
      80.256631,
      28.700562,
      80.315909,
      28.636073,
      80.360580,
      28.629003,
      80.451503,
      28.583918,
      80.469581,
      28.550701,
      80.518402,
      28.664864,
      80.503590,
      28.688262,
      80.567844,
      28.679968,
      80.590564,
      28.647752,
      80.590197,
      28.641754,
      80.667612,
      28.587164,
      80.690134,
      28.565679,
      80.768220,
      28.525024,
      80.787798,
      28.489576,
      80.865857,
      28.504504,
      80.861695,
      28.506962,
      80.896144,
      28.458072,
      80.915735,
      28.455541,
      80.979607,
      28.434101,
      80.978884,
      28.451893,
      81.017859,
      28.435758,
      81.022681,
      28.246987,
      81.022681,
      28.246987,
      78.925031
    ]);
    poly[2735] = _TzPolygon([
      29.668817,
      80.388535,
      29.739961,
      80.364631,
      29.794839,
      80.406754,
      29.795179,
      80.493121,
      29.850706,
      80.552894,
      29.953504,
      80.595693,
      29.957428,
      80.675217,
      30.005266,
      80.746226,
      30.049367,
      80.760721,
      30.128313,
      80.877847,
      30.168820,
      80.863056,
      30.227213,
      80.918864,
      30.179687,
      80.940144,
      30.191011,
      81.022681,
      29.668817,
      81.022681
    ]);
    poly[2736] = _TzPolygon([
      30.237403,
      81.022681,
      30.263625,
      81.004624,
      30.263411,
      80.935916,
      30.303679,
      80.907084,
      30.323033,
      80.801598,
      30.400610,
      80.734136,
      30.471487,
      80.606630,
      30.449059,
      80.540747,
      30.523591,
      80.418295,
      30.520332,
      80.345478,
      30.564537,
      80.315390,
      30.584509,
      80.211384,
      30.642770,
      80.219409,
      30.666027,
      80.192574,
      30.686161,
      80.197811,
      30.690488,
      80.232973,
      30.743572,
      80.248098,
      30.764911,
      80.197740,
      30.806774,
      80.178223,
      30.780947,
      80.109656,
      30.866245,
      80.008171,
      30.880540,
      79.930972,
      30.917653,
      79.888784,
      30.966942,
      79.875014,
      31.005804,
      79.752312,
      30.979515,
      79.734932,
      30.982895,
      79.665555,
      30.938809,
      79.600909,
      30.957968,
      79.552631,
      31.032390,
      79.506865,
      31.022924,
      79.427466,
      31.090648,
      79.416443,
      31.090648,
      81.022681
    ]);
    poly[2737] = _TzPolygon([
      28.435758,
      81.022681,
      28.399096,
      81.033638,
      28.413716,
      81.035824,
      28.384344,
      81.081367,
      28.360793,
      81.210932,
      28.289183,
      81.232676,
      28.246987,
      81.273318,
      28.246987,
      81.022681
    ]);
    poly[2738] = _TzPolygon([
      29.668817,
      83.012408,
      29.668817,
      83.120331,
      29.629604,
      83.120331,
      29.602586,
      83.085917
    ]);
    poly[2739] = _TzPolygon(
        [29.668817, 82.990480, 29.661881, 82.956586, 29.668817, 82.953130]);
    poly[2740] = _TzPolygon([
      30.250985,
      81.022681,
      30.247088,
      81.030860,
      30.205043,
      81.044063,
      30.196948,
      81.022681
    ]);
    poly[2741] = _TzPolygon([
      30.350726,
      82.071506,
      30.333345,
      82.055955,
      30.343329,
      82.015416,
      30.320942,
      81.993786,
      30.358933,
      81.949824,
      30.349833,
      81.915128,
      30.379784,
      81.855227,
      30.388708,
      81.749947,
      30.445886,
      81.628784,
      30.411701,
      81.606548,
      30.427886,
      81.561471,
      30.371767,
      81.553000,
      30.420928,
      81.407786,
      30.396423,
      81.400677,
      30.383263,
      81.429115,
      30.367985,
      81.395382,
      30.323665,
      81.395987,
      30.305362,
      81.422307,
      30.293109,
      81.401584,
      30.282067,
      81.416711,
      30.206888,
      81.395534,
      30.152736,
      81.333998,
      30.150769,
      81.256975,
      30.112442,
      81.290319,
      30.074380,
      81.288741,
      30.031270,
      81.237765,
      30.015085,
      81.250622,
      30.015387,
      81.133392,
      30.053276,
      81.091980,
      30.085271,
      81.109038,
      30.099490,
      81.082113,
      30.149559,
      81.083172,
      30.237403,
      81.022681,
      31.090648,
      81.022681,
      31.090648,
      82.071506
    ]);
    poly[2742] = _TzPolygon([
      30.350726,
      82.071506,
      30.362086,
      82.081670,
      30.349077,
      82.106326,
      30.304000,
      82.127050,
      30.239864,
      82.099066,
      30.197207,
      82.140815,
      30.190249,
      82.185135,
      30.160299,
      82.182715,
      30.154248,
      82.206161,
      30.123087,
      82.171975,
      30.065456,
      82.171975,
      30.074985,
      82.246851,
      30.038379,
      82.298584,
      30.047304,
      82.335039,
      30.009639,
      82.363477,
      30.024463,
      82.395545,
      29.947469,
      82.497195,
      29.972428,
      82.529263,
      29.963806,
      82.549835,
      29.888930,
      82.602777,
      29.872442,
      82.641804,
      29.838256,
      82.622895,
      29.856408,
      82.697015,
      29.834626,
      82.726663,
      29.814659,
      82.738613,
      29.792120,
      82.695351,
      29.763126,
      82.690309,
      29.770792,
      82.744966,
      29.731009,
      82.765236,
      29.721480,
      82.818632,
      29.690319,
      82.827557,
      29.704689,
      82.935257,
      29.668817,
      82.953130,
      29.668817,
      82.071506
    ]);
    poly[2743] = _TzPolygon(
        [29.668817, 82.990480, 29.672474, 83.008349, 29.668817, 83.012408]);
    poly[2744] = _TzPolygon([
      33.383604,
      78.925031,
      33.339475,
      78.962535,
      33.320744,
      79.026220,
      33.272681,
      79.035201,
      33.244917,
      79.079942,
      33.224247,
      79.071653,
      33.173476,
      79.163905,
      33.105778,
      79.140058,
      32.985751,
      79.174963,
      32.952651,
      79.283841,
      32.886949,
      79.302402,
      32.785460,
      79.406997,
      32.735687,
      79.415208,
      32.710007,
      79.460739,
      32.610296,
      79.400352,
      32.520232,
      79.413463,
      32.528539,
      79.350972,
      32.565447,
      79.331177,
      32.539559,
      79.293452,
      32.556002,
      79.276039,
      32.516700,
      79.248154,
      32.515877,
      79.188294,
      32.480951,
      79.131546,
      32.370628,
      79.100153,
      32.381218,
      79.013599,
      32.335740,
      78.968287,
      32.372638,
      78.925031
    ]);
    poly[2745] = _TzPolygon([
      31.332834,
      78.925031,
      31.366250,
      78.944818,
      31.349011,
      79.018694,
      31.426718,
      79.018892,
      31.454677,
      79.099114,
      31.399064,
      79.170909,
      31.363133,
      79.170612,
      31.334996,
      79.236496,
      31.316502,
      79.220248,
      31.284667,
      79.249211,
      31.260592,
      79.226325,
      31.219047,
      79.300861,
      31.148275,
      79.312353,
      31.108019,
      79.412762,
      31.090648,
      79.415764,
      31.090648,
      78.925031
    ]);
    poly[2746] = _TzPolygon(
        [29.153571, 84.169157, 29.185549, 84.162317, 29.194195, 84.169157]);
    poly[2747] = _TzPolygon([
      29.239372,
      84.169157,
      29.244391,
      84.116181,
      29.274190,
      84.121777,
      29.292947,
      84.094248,
      29.289619,
      84.015438,
      29.327889,
      83.975958,
      29.326981,
      83.902897,
      29.296880,
      83.847837,
      29.302325,
      83.813954,
      29.247567,
      83.792021,
      29.244088,
      83.711245,
      29.204003,
      83.656034,
      29.160590,
      83.640756,
      29.178893,
      83.578888,
      29.202642,
      83.571628,
      29.218373,
      83.517778,
      29.280543,
      83.487676,
      29.274492,
      83.465591,
      29.300510,
      83.442599,
      29.343469,
      83.443204,
      29.367218,
      83.413556,
      29.402462,
      83.425657,
      29.427875,
      83.372110,
      29.492767,
      83.347605,
      29.508045,
      83.268645,
      29.556904,
      83.255333,
      29.569912,
      83.277872,
      29.577627,
      83.232039,
      29.611964,
      83.197097,
      29.596686,
      83.158524,
      29.624670,
      83.150053,
      29.629604,
      83.120331,
      29.668817,
      83.120331,
      29.668817,
      84.169157
    ]);
    poly[2748] = _TzPolygon([
      29.153571,
      84.169157,
      29.194195,
      84.169157,
      29.236222,
      84.202402,
      29.239372,
      84.169157,
      29.668817,
      84.169157,
      29.668817,
      85.217982,
      28.327401,
      85.217982,
      28.340516,
      85.203516,
      28.323222,
      85.182803,
      28.336352,
      85.119594,
      28.392471,
      85.127376,
      28.458613,
      85.100166,
      28.533005,
      85.186426,
      28.642005,
      85.187019,
      28.643757,
      85.157056,
      28.686948,
      85.114831,
      28.682478,
      85.058169,
      28.591867,
      84.983746,
      28.593848,
      84.902397,
      28.570809,
      84.856653,
      28.636301,
      84.695878,
      28.671211,
      84.704696,
      28.736746,
      84.625489,
      28.751570,
      84.555302,
      28.736595,
      84.485721,
      28.770133,
      84.437394,
      28.821152,
      84.435047,
      28.829472,
      84.401617,
      28.858817,
      84.395567,
      28.862145,
      84.323565,
      28.898902,
      84.266387,
      28.893060,
      84.226238,
      29.036704,
      84.249143,
      29.047293,
      84.189695,
      29.124892,
      84.200284,
      29.131094,
      84.173964
    ]);
    poly[2749] = _TzPolygon([
      28.327401,
      85.217982,
      28.293696,
      85.255160,
      28.304416,
      85.342836,
      28.277526,
      85.376717,
      28.327269,
      85.415663,
      28.333371,
      85.506197,
      28.304766,
      85.600218,
      28.256302,
      85.608295,
      28.303004,
      85.662339,
      28.382455,
      85.683634,
      28.385833,
      85.711978,
      28.246987,
      85.747611,
      28.246987,
      85.217982
    ]);
    poly[2750] = _TzPolygon([
      34.383080,
      78.925031,
      34.386708,
      78.965220,
      34.361824,
      78.971872,
      34.327381,
      79.044455,
      34.315068,
      78.979784,
      34.183478,
      78.925031
    ]);
    poly[2751] = _TzPolygon([
      34.183478,
      78.925031,
      34.315068,
      78.979784,
      34.327381,
      79.044455,
      34.361824,
      78.971872,
      34.386708,
      78.965220,
      34.383080,
      78.925031,
      39.621629,
      78.925031,
      39.621629,
      87.315632,
      33.934308,
      87.315632,
      33.934308,
      78.925031
    ]);
    poly[2752] = _TzPolygon([
      39.891552,
      69.957225,
      39.891552,
      70.983890,
      39.621629,
      70.983890,
      39.621629,
      69.957225
    ]);
    poly[2753] = _TzPolygon([
      40.224681,
      69.957225,
      40.234676,
      69.995469,
      40.142990,
      70.175289,
      40.169827,
      70.193430,
      40.129322,
      70.206823,
      40.129356,
      70.291961,
      40.057729,
      70.424404,
      40.051273,
      70.470557,
      39.891552,
      70.470557,
      39.891552,
      69.957225
    ]);
    poly[2754] = _TzPolygon([
      40.365035,
      70.470557,
      40.386520,
      70.378953,
      40.455165,
      70.328172,
      40.497791,
      70.470557
    ]);
    poly[2755] = _TzPolygon([
      40.785252,
      70.094795,
      40.755183,
      70.068173,
      40.733563,
      69.957225,
      40.785252,
      69.957225
    ]);
    poly[2756] = _TzPolygon([
      40.051273,
      70.470557,
      40.039556,
      70.554315,
      40.002213,
      70.581610,
      39.947313,
      70.491744,
      39.929957,
      70.497659,
      39.965323,
      70.547171,
      39.958715,
      70.614788,
      39.990517,
      70.662617,
      40.102976,
      70.669916,
      40.127239,
      70.791223,
      40.179236,
      70.802941,
      40.189343,
      70.831665,
      40.162262,
      70.834737,
      40.164769,
      70.859613,
      40.220842,
      70.983890,
      39.891552,
      70.983890,
      39.891552,
      70.470557
    ]);
    poly[2757] = _TzPolygon(
        [40.220842, 70.983890, 40.289877, 70.962470, 40.288953, 70.983890]);
    poly[2758] = _TzPolygon([
      40.365035,
      70.470557,
      40.497791,
      70.470557,
      40.501519,
      70.483011,
      40.549536,
      70.513910,
      40.566491,
      70.588067,
      40.663000,
      70.704940,
      40.657952,
      70.735198,
      40.686037,
      70.730747,
      40.684753,
      70.762545,
      40.732543,
      70.795845,
      40.769215,
      70.727674,
      40.785252,
      70.723560,
      40.785252,
      70.983890,
      40.288953,
      70.983890,
      40.289877,
      70.962470,
      40.225739,
      70.982449,
      40.232925,
      70.890006,
      40.188189,
      70.759905,
      40.177295,
      70.632330,
      40.234353,
      70.579474,
      40.241958,
      70.598314,
      40.312059,
      70.559797,
      40.338905,
      70.581970
    ]);
    poly[2759] = _TzPolygon([
      40.185134,
      70.983890,
      40.185134,
      71.226069,
      39.621629,
      71.226069,
      39.621629,
      70.983890
    ]);
    poly[2760] = _TzPolygon([
      40.267114,
      71.042424,
      40.253325,
      71.044600,
      40.226018,
      71.038233,
      40.239844,
      71.024941
    ]);
    poly[2761] = _TzPolygon([
      40.340103,
      71.226069,
      40.335463,
      71.124498,
      40.285131,
      71.072446,
      40.288953,
      70.983890,
      40.785252,
      70.983890,
      40.785252,
      71.226069
    ]);
    poly[2762] = _TzPolygon([
      40.008003,
      71.226069,
      40.008003,
      73.139736,
      39.621629,
      73.139736,
      39.621629,
      71.226069
    ]);
    poly[2763] = _TzPolygon([
      40.340103,
      71.226069,
      40.340281,
      71.229963,
      40.322001,
      71.241120,
      40.343180,
      71.276398,
      40.307191,
      71.310660,
      40.318823,
      71.369060,
      40.284046,
      71.427982,
      40.277771,
      71.500558,
      40.226911,
      71.517950,
      40.206682,
      71.616273,
      40.267129,
      71.620075,
      40.269628,
      71.672768,
      40.202748,
      71.706558,
      40.195912,
      71.677108,
      40.149225,
      71.729049,
      40.218476,
      71.831230,
      40.253799,
      71.841153,
      40.262582,
      71.884632,
      40.237550,
      71.943415,
      40.244698,
      71.966756,
      40.256184,
      71.949248,
      40.277020,
      72.050420,
      40.319449,
      71.966361,
      40.405233,
      72.089239,
      40.451096,
      72.086777,
      40.456738,
      72.130141,
      40.495859,
      72.173947,
      40.494192,
      72.182902,
      40.008003,
      72.182902,
      40.008003,
      71.226069
    ]);
    poly[2764] = _TzPolygon([
      40.785252,
      73.139736,
      40.764627,
      72.991056,
      40.731978,
      72.946330,
      40.712312,
      72.853401,
      40.672697,
      72.846475,
      40.666682,
      72.785599,
      40.607748,
      72.749606,
      40.572754,
      72.760236,
      40.597921,
      72.694782,
      40.585403,
      72.663739,
      40.510487,
      72.655308,
      40.560653,
      72.505539,
      40.551246,
      72.475985,
      40.618427,
      72.412010,
      40.603002,
      72.346236,
      40.561493,
      72.420181,
      40.539577,
      72.425989,
      40.511828,
      72.378574,
      40.508340,
      72.415048,
      40.473332,
      72.440926,
      40.404926,
      72.420815,
      40.446053,
      72.321198,
      40.434242,
      72.277808,
      40.460299,
      72.243501,
      40.481015,
      72.253706,
      40.494192,
      72.182902,
      40.785252,
      72.182902
    ]);
    poly[2765] = _TzPolygon([
      41.495524,
      70.339250,
      41.495524,
      70.752853,
      41.420466,
      70.752853,
      41.465792,
      70.717165,
      41.456817,
      70.594263,
      41.409747,
      70.551018,
      41.398174,
      70.488009,
      41.470356,
      70.407456,
      41.466599,
      70.380882
    ]);
    poly[2766] = _TzPolygon(
        [41.495524, 70.249317, 41.491385, 70.240439, 41.495524, 70.228726]);
    poly[2767] = _TzPolygon(
        [40.977877, 70.597635, 40.913657, 70.671722, 40.910707, 70.668933]);
    poly[2768] = _TzPolygon([
      40.785252,
      70.094795,
      40.822062,
      70.127386,
      40.822216,
      70.201264,
      40.897997,
      70.371823,
      41.002940,
      70.374619,
      41.045094,
      70.444945,
      40.978890,
      70.556211,
      40.858291,
      70.651792,
      40.809148,
      70.727868,
      40.800506,
      70.703387,
      40.785252,
      70.715227
    ]);
    poly[2769] = _TzPolygon([
      42.205796,
      70.752853,
      42.194030,
      70.752853,
      42.193305,
      70.750926,
      42.016815,
      70.637992,
      42.023513,
      70.559429,
      42.073982,
      70.545532,
      42.109185,
      70.478109,
      42.084992,
      70.459019,
      42.069325,
      70.373515,
      42.038663,
      70.320841,
      41.974706,
      70.335250,
      41.934625,
      70.228045,
      41.855308,
      70.175865,
      41.837307,
      70.102737,
      41.781437,
      70.049237,
      41.798717,
      70.005126,
      41.733579,
      69.957225,
      42.205796,
      69.957225
    ]);
    poly[2770] = _TzPolygon([
      41.495524,
      70.339250,
      41.520614,
      70.303138,
      41.495524,
      70.249317,
      41.495524,
      70.228726,
      41.516531,
      70.169274,
      41.557496,
      70.179287,
      41.574641,
      70.209820,
      41.611957,
      70.209246,
      41.607455,
      70.264249,
      41.719687,
      70.496693,
      41.798576,
      70.527502,
      41.819827,
      70.599324,
      41.906951,
      70.664961,
      41.913610,
      70.752853,
      41.495524,
      70.752853
    ]);
    poly[2771] = _TzPolygon(
        [42.205796, 70.784122, 42.194030, 70.752853, 42.205796, 70.752853]);
    poly[2772] = _TzPolygon(
        [42.205796, 70.865364, 42.197589, 70.849556, 42.205796, 70.811019]);
    poly[2773] = _TzPolygon([
      41.420466,
      70.752853,
      41.913610,
      70.752853,
      41.936424,
      70.757233,
      41.923105,
      70.834805,
      42.054132,
      70.865170,
      42.030407,
      70.992746,
      42.133966,
      71.141124,
      42.137210,
      71.217871,
      42.167936,
      71.258362,
      42.205796,
      71.249920,
      42.205796,
      71.548480,
      41.302011,
      71.548480,
      41.316036,
      71.487693,
      41.286842,
      71.449654,
      41.126992,
      71.439641,
      41.104630,
      71.401412,
      41.149064,
      71.382402,
      41.165690,
      71.345300,
      41.104236,
      71.284652,
      41.173389,
      71.272515,
      41.191230,
      71.239899,
      41.143580,
      71.127122,
      41.190423,
      71.038938,
      41.163536,
      70.965779,
      41.250992,
      70.840884,
      41.194854,
      70.786333,
      41.386614,
      70.779507
    ]);
    poly[2774] = _TzPolygon([
      42.205796,
      71.249920,
      42.227787,
      71.245016,
      42.224275,
      71.209472,
      42.282177,
      71.133466,
      42.293568,
      71.028483,
      42.252710,
      70.988482,
      42.263248,
      70.890861,
      42.299819,
      70.865203,
      42.363689,
      70.894027,
      42.400127,
      70.955726,
      42.417980,
      70.932899,
      42.497560,
      70.980122,
      42.484377,
      71.088975,
      42.558325,
      71.000375,
      42.587646,
      71.002555,
      42.605194,
      71.156677,
      42.589805,
      71.159889,
      42.674099,
      71.178175,
      42.726934,
      71.263483,
      42.777724,
      71.267029,
      42.801498,
      71.534108,
      42.795839,
      71.548480,
      42.205796,
      71.548480
    ]);
    poly[2775] = _TzPolygon(
        [42.205796, 70.784122, 42.209453, 70.793843, 42.205796, 70.811019]);
    poly[2776] = _TzPolygon([
      42.205796,
      70.861234,
      42.263467,
      70.943305,
      42.253971,
      70.993134,
      42.292407,
      71.025074,
      42.295078,
      71.058392,
      42.282177,
      71.133466,
      42.224275,
      71.209472,
      42.227787,
      71.245016,
      42.205796,
      71.249920
    ]);
    poly[2777] = _TzPolygon([
      41.302011,
      71.548480,
      41.295378,
      71.577229,
      41.348748,
      71.641877,
      41.421776,
      71.680424,
      41.491214,
      71.643144,
      41.546774,
      71.726142,
      41.424058,
      71.707573,
      41.452071,
      71.735944,
      41.434159,
      71.752930,
      41.439477,
      71.792086,
      41.355583,
      71.837838,
      41.362000,
      71.882619,
      41.294563,
      71.925190,
      41.200848,
      71.862007,
      41.167813,
      71.886365,
      41.145358,
      71.942625,
      41.156521,
      72.006605,
      41.117437,
      72.071090,
      41.152835,
      72.107380,
      41.163996,
      72.168559,
      41.125340,
      72.150032,
      41.116658,
      72.178873,
      41.050817,
      72.210115,
      41.006970,
      72.182224,
      41.013268,
      72.162094,
      40.988111,
      72.171507,
      41.010933,
      72.270325,
      41.060351,
      72.350392,
      41.029180,
      72.388752,
      41.027477,
      72.453014,
      40.967560,
      72.495974,
      40.961821,
      72.551467,
      40.867962,
      72.591342,
      40.856432,
      72.832167,
      40.800424,
      72.939054,
      40.842779,
      72.999995,
      40.851106,
      73.084654,
      40.833371,
      73.135411,
      40.785252,
      73.139736,
      40.785252,
      71.548480
    ]);
    poly[2778] = _TzPolygon([
      42.205796,
      73.139736,
      42.205796,
      71.548480,
      42.795839,
      71.548480,
      42.764766,
      71.627404,
      42.832810,
      71.863639,
      42.736503,
      72.120370,
      42.759269,
      72.282020,
      42.685138,
      72.498939,
      42.681439,
      72.606742,
      42.638905,
      72.744279,
      42.567821,
      72.814239,
      42.534988,
      72.910790,
      42.551933,
      73.120089,
      42.548409,
      73.139736
    ]);
    poly[2779] = _TzPolygon([
      28.246987,
      92.940807,
      28.261607,
      92.946869,
      28.304607,
      93.060225,
      28.366405,
      93.148549,
      28.544870,
      93.196850,
      28.591267,
      93.229809,
      28.526924,
      93.307400,
      28.532580,
      93.389540,
      28.671857,
      93.465908,
      28.688354,
      93.622965,
      28.654530,
      93.637254,
      28.678325,
      93.688514,
      28.664707,
      93.712243,
      28.737021,
      93.789848,
      28.757455,
      93.896591,
      28.742227,
      93.917940,
      28.773174,
      93.912166,
      28.821472,
      93.974898,
      28.795037,
      93.988044,
      28.793489,
      94.019745,
      28.844971,
      94.023326,
      28.874970,
      94.059228,
      28.890453,
      94.135869,
      28.935935,
      94.178641,
      28.930225,
      94.257702,
      28.967869,
      94.273960,
      29.025931,
      94.366375,
      29.093863,
      94.276863,
      29.152312,
      94.293217,
      29.154127,
      94.378907,
      29.184174,
      94.390519,
      29.183376,
      94.448073,
      29.213132,
      94.456855,
      29.207762,
      94.491982,
      29.231204,
      94.510635,
      29.219737,
      94.540972,
      29.295798,
      94.626468,
      29.315394,
      94.697159,
      29.286966,
      94.734926,
      29.229680,
      94.751664,
      29.216218,
      94.784606,
      28.246987,
      94.784606
    ]);
    poly[2780] = _TzPolygon([
      29.368326,
      96.029435,
      29.362545,
      96.016531,
      29.375780,
      95.965675,
      29.314569,
      95.877492,
      29.321233,
      95.841083,
      29.353088,
      95.838883,
      29.347530,
      95.812326,
      29.297963,
      95.737147,
      29.225688,
      95.743189,
      29.204005,
      95.708829,
      29.224740,
      95.698284,
      29.210403,
      95.648046,
      29.235996,
      95.605629,
      29.188010,
      95.595676,
      29.206612,
      95.560131,
      29.192157,
      95.502074,
      29.126042,
      95.503614,
      29.136824,
      95.457879,
      29.192749,
      95.433945,
      29.125924,
      95.412736,
      29.136469,
      95.299347,
      29.068340,
      95.262616,
      29.107559,
      95.211549,
      29.096066,
      95.103847,
      29.112416,
      95.119368,
      29.142038,
      95.097212,
      29.173582,
      94.994651,
      29.127475,
      95.021816,
      29.179093,
      94.884191,
      29.164868,
      94.807259,
      29.208415,
      94.803702,
      29.216218,
      94.784606,
      29.382378,
      94.784606,
      29.382378,
      96.029435
    ]);
    poly[2781] = _TzPolygon([
      29.369444,
      96.029435,
      29.382378,
      96.053628,
      29.345580,
      96.136324,
      29.294890,
      96.149618,
      29.244636,
      96.260763,
      29.213806,
      96.253209,
      29.190837,
      96.299455,
      29.159026,
      96.297799,
      29.110958,
      96.182917,
      29.023355,
      96.198539,
      29.096658,
      96.269319,
      29.109276,
      96.367377,
      29.038997,
      96.365894,
      29.006316,
      96.434492,
      28.936331,
      96.454224,
      28.946505,
      96.508177,
      28.860951,
      96.521435,
      28.817788,
      96.589261,
      28.787882,
      96.570917,
      28.778633,
      96.600669,
      28.708205,
      96.610136,
      28.681194,
      96.535914,
      28.626039,
      96.512309,
      28.587225,
      96.448074,
      28.554994,
      96.481440,
      28.507556,
      96.409488,
      28.490306,
      96.478262,
      28.429930,
      96.495966,
      28.529800,
      96.514125,
      28.582913,
      96.552484,
      28.613555,
      96.613541,
      28.571337,
      96.745415,
      28.514819,
      96.766751,
      28.485312,
      96.861174,
      28.391451,
      96.886939,
      28.353041,
      96.923520,
      28.324848,
      97.002463,
      28.371374,
      97.078334,
      28.361187,
      97.125772,
      28.294135,
      97.238133,
      28.246987,
      97.274264,
      28.246987,
      96.029435
    ]);
    poly[2782] = _TzPolygon([
      28.246987,
      97.391243,
      28.249962,
      97.410995,
      28.295464,
      97.413558,
      28.270278,
      97.462483,
      28.282189,
      97.482379,
      28.306142,
      97.468766,
      28.329965,
      97.517458,
      28.379704,
      97.478190,
      28.444493,
      97.523847,
      28.492235,
      97.499832,
      28.547835,
      97.580695,
      28.521803,
      97.590237,
      28.541939,
      97.652087,
      28.495702,
      97.722347,
      28.398311,
      97.735664,
      28.329639,
      97.797115,
      28.328677,
      97.842200,
      28.365740,
      97.867391,
      28.368307,
      97.908947,
      28.324505,
      97.960290,
      28.299917,
      97.955318,
      28.273534,
      98.011677,
      28.246987,
      98.014537
    ]);
    poly[2783] = _TzPolygon([
      54.164317,
      71.269255,
      54.094946,
      71.178972,
      54.129279,
      71.122355,
      54.188221,
      71.112810,
      54.191382,
      71.054742,
      54.274785,
      71.073217,
      54.275436,
      70.996356,
      54.336079,
      70.998572,
      54.311703,
      71.198688,
      54.406911,
      71.230754,
      54.407284,
      71.199815,
      54.461175,
      71.201652,
      54.460853,
      71.170431,
      54.560539,
      71.167545,
      54.609784,
      71.214683,
      54.606956,
      71.269255
    ]);
    poly[2784] = _TzPolygon([
      55.210021,
      69.957225,
      55.208943,
      70.057079,
      55.146373,
      70.204353,
      55.215615,
      70.401979,
      55.285828,
      70.460140,
      55.253313,
      70.620353,
      55.289454,
      70.695208,
      55.292630,
      70.807464,
      55.180215,
      70.881281,
      55.166794,
      70.925542,
      55.130379,
      70.921630,
      55.085095,
      71.018838,
      54.982542,
      70.978198,
      54.970267,
      71.008383,
      54.888512,
      70.956273,
      54.852152,
      71.019294,
      54.778482,
      71.030462,
      54.701193,
      71.095265,
      54.700061,
      71.210466,
      54.668348,
      71.239020,
      54.668015,
      71.269255,
      54.609784,
      71.269255,
      54.609784,
      69.957225
    ]);
    poly[2785] = _TzPolygon([
      56.046981,
      69.957225,
      56.046981,
      70.891556,
      55.902622,
      70.808540,
      55.905967,
      70.480612,
      55.851273,
      70.471740,
      55.822901,
      70.585787,
      55.855256,
      70.757141,
      55.834617,
      70.828713,
      55.800149,
      70.698063,
      55.811069,
      70.646012,
      55.791749,
      70.550487,
      55.772025,
      70.589364,
      55.694373,
      70.531726,
      55.650732,
      70.563457,
      55.625407,
      70.710092,
      55.584722,
      70.756972,
      55.490529,
      70.673373,
      55.493869,
      70.566960,
      55.407525,
      70.439596,
      55.330815,
      70.498739,
      55.215615,
      70.401979,
      55.146373,
      70.204353,
      55.208943,
      70.057079,
      55.210021,
      69.957225
    ]);
    poly[2786] = _TzPolygon([
      56.046981,
      70.887158,
      56.112283,
      70.902366,
      56.186314,
      70.806177,
      56.218311,
      70.814554,
      56.212417,
      70.773727,
      56.253127,
      70.732229,
      56.301798,
      70.851894,
      56.304836,
      70.948417,
      56.046981,
      70.948417
    ]);
    poly[2787] = _TzPolygon(
        [56.304836, 70.948417, 56.361732, 70.932395, 56.361732, 70.948417]);
    poly[2788] = _TzPolygon([
      56.361732,
      71.033134,
      56.332147,
      71.092014,
      56.322249,
      71.081028,
      56.355931,
      71.018371
    ]);
    poly[2789] = _TzPolygon(
        [56.317399, 71.196492, 56.316430, 71.269255, 56.301396, 71.192629]);
    poly[2790] = _TzPolygon([
      56.691085,
      71.075766,
      56.682954,
      71.020382,
      56.645153,
      71.012849,
      56.624043,
      71.113689,
      56.524166,
      71.084598,
      56.462236,
      70.984133,
      56.451317,
      70.801087,
      56.424589,
      70.735458,
      56.416457,
      70.791186,
      56.442570,
      70.812656,
      56.387356,
      70.877066,
      56.379234,
      70.927466,
      56.361732,
      70.932395,
      56.361732,
      69.957225,
      56.691085,
      69.957225
    ]);
    poly[2791] = _TzPolygon([
      56.655288,
      71.269255,
      56.656553,
      71.263843,
      56.652955,
      71.120526,
      56.691085,
      71.075766,
      56.691085,
      71.269255
    ]);
    poly[2792] = _TzPolygon([
      57.122178,
      71.269255,
      57.174657,
      71.229410,
      57.202398,
      71.115605,
      57.258979,
      71.070508,
      57.287380,
      71.095010,
      57.293575,
      71.052905,
      57.350892,
      71.065009,
      57.351552,
      70.974634,
      57.377303,
      71.006812,
      57.383686,
      70.948648,
      57.354927,
      70.923780,
      57.378421,
      70.837114,
      57.364979,
      70.786795,
      57.324302,
      70.774897,
      57.298402,
      70.712410,
      57.264823,
      70.778561,
      57.199557,
      70.689253,
      57.205670,
      70.581932,
      57.234288,
      70.629275,
      57.280058,
      70.606542,
      57.282399,
      70.458831,
      57.329437,
      70.372349,
      57.415114,
      70.418236,
      57.458047,
      70.578350,
      57.515541,
      70.685693,
      57.553787,
      70.690201,
      57.588299,
      70.646444,
      57.577222,
      70.598864,
      57.719781,
      70.556548,
      57.735192,
      70.478006,
      57.768888,
      70.475460,
      57.782465,
      70.392336,
      57.893274,
      70.426659,
      57.900312,
      70.358304,
      57.940440,
      70.377096,
      57.938789,
      70.439796,
      58.532484,
      70.869395,
      58.528252,
      70.949222,
      58.500064,
      70.975714,
      58.504963,
      71.073783,
      58.476959,
      71.115297,
      58.427809,
      71.101829,
      58.446235,
      71.144162,
      58.399325,
      71.269255,
      58.351546,
      71.269255,
      58.327859,
      71.237838,
      58.053158,
      71.213523,
      58.065272,
      71.269255
    ]);
    poly[2793] = _TzPolygon(
        [14.411063, 40.259453, 14.394561, 40.227580, 14.411063, 40.227580]);
    poly[2794] = _TzPolygon([
      8.352755,
      45.938612,
      8.948625,
      44.149420,
      9.040553,
      43.979533,
      9.381904,
      43.584557,
      9.411420,
      43.500290,
      9.471804,
      43.432245,
      9.552016,
      43.399800,
      9.606075,
      43.298227,
      9.842897,
      43.256951,
      9.899240,
      43.150037,
      9.886286,
      43.129160,
      9.908089,
      43.086198,
      10.051053,
      43.024791,
      10.228965,
      42.859727,
      10.435032,
      42.770579,
      10.435032,
      45.938612
    ]);
    poly[2795] = _TzPolygon([
      12.423047,
      40.259453,
      12.423047,
      42.372609,
      12.371840,
      42.337140,
      12.304640,
      42.317230,
      12.234470,
      42.240220,
      11.819650,
      41.962198,
      11.793160,
      41.899936,
      11.756144,
      41.894917,
      11.728051,
      41.833405,
      11.493786,
      41.771314,
      11.318260,
      41.807740,
      10.979380,
      41.794255,
      10.938941,
      41.941598,
      10.914955,
      41.946875,
      10.925149,
      42.068494,
      10.954600,
      42.078245,
      10.981152,
      42.144999,
      10.971333,
      42.267905,
      11.001971,
      42.349046,
      10.981871,
      42.421253,
      11.095579,
      42.628886,
      11.056284,
      42.688753,
      11.079465,
      42.752671,
      10.987302,
      42.792411,
      10.969395,
      42.867576,
      10.984410,
      42.961640,
      10.622187,
      42.709880,
      10.533637,
      42.719882,
      10.511949,
      42.747136,
      10.435032,
      42.775292,
      10.435032,
      40.259453
    ]);
    poly[2796] = _TzPolygon([
      12.423047,
      42.625583,
      12.423047,
      42.795615,
      12.410628,
      42.762802,
      12.382918,
      42.748499,
      12.384025,
      42.716743,
      12.354822,
      42.700974
    ]);
    poly[2797] = _TzPolygon([
      10.435032,
      42.770579,
      10.578059,
      42.708703,
      10.647487,
      42.719000,
      10.721623,
      42.765775,
      10.984410,
      42.961640,
      11.213481,
      43.099032,
      10.435032,
      43.099032
    ]);
    poly[2798] = _TzPolygon([
      14.411063,
      40.259453,
      14.306844,
      40.451745,
      14.172044,
      40.810262,
      14.080276,
      40.943350,
      13.610394,
      41.250744,
      13.500883,
      41.402824,
      13.384981,
      41.642282,
      13.323582,
      41.668527,
      13.074465,
      41.890636,
      12.923316,
      41.966364,
      12.868096,
      42.030182,
      12.801041,
      42.057302,
      12.762334,
      42.219260,
      12.635484,
      42.278617,
      12.468625,
      42.404179,
      12.423047,
      42.372609,
      12.423047,
      40.259453
    ]);
    poly[2799] = _TzPolygon([
      12.423047,
      42.372609,
      12.468625,
      42.404179,
      12.517230,
      42.455400,
      12.490200,
      42.547510,
      12.423047,
      42.623634
    ]);
  }
}

class _Initializer29 {
  static void _init() {
    poly[2800] = _TzPolygon([
      12.423047,
      42.795615,
      12.434141,
      42.824926,
      12.477429,
      42.796973,
      12.509633,
      42.801857,
      12.549328,
      42.859358,
      12.616897,
      42.889418,
      12.610924,
      42.915946,
      12.697891,
      43.099032,
      12.423047,
      43.099032
    ]);
    poly[2801] = _TzPolygon([
      13.104124,
      43.099032,
      13.115833,
      43.089167,
      13.250823,
      43.024409,
      13.654944,
      43.078041,
      13.750786,
      43.040222,
      13.545451,
      42.968770,
      13.427520,
      42.833861,
      13.457778,
      42.723611,
      13.597500,
      42.637222,
      14.060833,
      42.477500,
      14.144167,
      42.525833,
      14.252691,
      42.642870,
      14.284127,
      42.723044,
      14.280210,
      42.830210,
      14.411063,
      42.772238,
      14.411063,
      43.099032
    ]);
    poly[2802] = _TzPolygon([
      13.106553,
      43.099032,
      12.969444,
      43.212500,
      12.867536,
      43.248864,
      12.802340,
      43.300171,
      12.708475,
      43.132093,
      12.693587,
      43.099032
    ]);
    poly[2803] = _TzPolygon([
      12.697891,
      43.099032,
      12.792308,
      43.297804,
      12.687129,
      43.272993,
      12.595333,
      43.320495,
      12.552689,
      43.430532,
      12.552389,
      43.535380,
      12.517951,
      43.636488,
      12.419608,
      43.657905,
      12.288371,
      43.599683,
      12.095278,
      43.621130,
      11.939279,
      43.577567,
      11.846197,
      43.521162,
      11.783114,
      43.409874,
      11.711432,
      43.425311,
      11.622329,
      43.344252,
      11.213481,
      43.099032
    ]);
    poly[2804] = _TzPolygon([
      11.213481,
      43.099032,
      11.622329,
      43.344252,
      11.711432,
      43.425311,
      11.700291,
      43.544469,
      11.620215,
      43.640333,
      11.413586,
      43.707212,
      11.314187,
      43.702112,
      11.087331,
      43.835310,
      10.962034,
      43.945409,
      10.605648,
      44.390974,
      10.584525,
      44.581890,
      10.619408,
      44.746928,
      10.611046,
      44.866559,
      10.726796,
      45.107706,
      10.842829,
      45.234789,
      10.861296,
      45.389363,
      11.038810,
      45.679923,
      11.066182,
      45.767303,
      11.058508,
      45.872145,
      11.029615,
      45.938612,
      10.435032,
      45.938612,
      10.435032,
      43.099032
    ]);
    poly[2805] = _TzPolygon([
      8.352755,
      45.938612,
      8.001554,
      46.993146,
      7.999773,
      47.982380,
      7.560949,
      47.557065,
      7.382621,
      47.337517,
      6.520331,
      46.511078,
      6.459000,
      46.438637,
      6.459000,
      45.938612
    ]);
    poly[2806] = _TzPolygon([
      14.411063,
      49.347510,
      14.338777,
      49.276926,
      14.311865,
      49.201637,
      14.189308,
      49.147542,
      13.904463,
      48.836938,
      13.850610,
      48.734294,
      13.847106,
      48.619498,
      13.739996,
      48.451066,
      13.728937,
      48.366704,
      13.776589,
      48.249936,
      13.774681,
      48.133283,
      13.841632,
      48.018593,
      13.759588,
      47.907384,
      13.722348,
      47.786291,
      13.474704,
      47.482819,
      13.350811,
      46.995607,
      13.235422,
      46.756821,
      13.235659,
      46.618073,
      13.202308,
      46.442728,
      13.230056,
      46.244932,
      13.217601,
      46.032522,
      13.198479,
      45.938612,
      14.411063,
      45.938612
    ]);
    poly[2807] = _TzPolygon([
      14.411063,
      40.259453,
      14.411063,
      40.227580,
      16.734131,
      40.227580,
      16.719467,
      40.290551,
      16.627023,
      40.372101,
      16.482442,
      40.393977,
      16.382653,
      40.447825,
      16.238603,
      40.451595,
      16.153916,
      40.431244,
      16.092206,
      40.482263,
      16.106874,
      40.568026,
      16.063782,
      40.716888,
      15.792837,
      41.025458,
      15.727069,
      41.049446,
      15.627487,
      41.040583,
      15.500235,
      41.084999,
      15.409952,
      41.062142,
      15.319039,
      40.971713,
      15.287439,
      40.864368,
      15.210269,
      40.769585,
      15.180473,
      40.685035,
      15.154475,
      40.698273,
      15.044164,
      40.861889,
      15.002844,
      40.969095,
      14.868446,
      41.070093,
      14.774391,
      41.325681,
      14.627775,
      41.465691,
      14.411063,
      41.617953
    ]);
    poly[2808] = _TzPolygon([
      19.000000,
      43.075128,
      16.526140,
      43.075128,
      16.521694,
      42.992167,
      16.496972,
      42.950306,
      16.441361,
      42.937278,
      16.402139,
      42.956472,
      16.379528,
      42.830611,
      16.404389,
      42.781139,
      16.404111,
      42.150000,
      16.290000,
      41.783333,
      16.290000,
      41.680149,
      16.404681,
      41.516839,
      16.656312,
      41.315104,
      16.804857,
      41.224990,
      17.567721,
      40.840696,
      17.973377,
      40.594840,
      18.176380,
      40.512779,
      18.427896,
      40.460605,
      18.623544,
      40.319309,
      18.693124,
      40.227580,
      19.000000,
      40.227580
    ]);
    poly[2809] = _TzPolygon([
      16.705531,
      43.075128,
      16.705531,
      43.213102,
      16.642833,
      43.234722,
      16.671528,
      43.128611,
      16.636417,
      43.146333,
      16.528583,
      43.120722,
      16.526140,
      43.075128
    ]);
    poly[2810] = _TzPolygon([
      16.705531,
      43.213102,
      16.709694,
      43.211667,
      16.745889,
      43.226306,
      16.746861,
      43.275472,
      16.769722,
      43.253056,
      16.794944,
      43.266611,
      16.853300,
      43.199302,
      16.849056,
      43.179972,
      16.917583,
      43.138111,
      16.944528,
      43.194667,
      17.032111,
      43.180944,
      17.010083,
      43.202722,
      17.029528,
      43.230944,
      17.015250,
      43.248639,
      17.075361,
      43.227222,
      17.098611,
      43.185278,
      17.086972,
      43.160167,
      17.172667,
      43.170833,
      17.210361,
      43.216306,
      17.258806,
      43.201722,
      17.303999,
      43.336502,
      17.385528,
      43.228028,
      17.401500,
      43.247056,
      17.426167,
      43.225500,
      17.457833,
      43.256500,
      17.480528,
      43.240750,
      17.556389,
      43.354750,
      17.544000,
      43.375556,
      17.565833,
      43.419611,
      17.545111,
      43.484639,
      17.366667,
      43.683333,
      17.375000,
      43.788895,
      17.338889,
      43.831944,
      17.330556,
      43.966667,
      17.402472,
      44.011361,
      17.405833,
      44.066667,
      17.366389,
      44.110833,
      17.408889,
      44.138056,
      17.433333,
      44.366111,
      17.433333,
      44.466667,
      17.405556,
      44.566667,
      17.433333,
      44.650000,
      17.433333,
      45.216667,
      17.333333,
      45.400000,
      17.271110,
      45.922675,
      16.705531,
      45.922675
    ]);
    poly[2811] = _TzPolygon([
      18.933677,
      51.617770,
      18.788889,
      50.783333,
      18.616667,
      49.116667,
      18.166667,
      48.183333,
      17.449999,
      47.600000,
      17.116667,
      47.466667,
      16.950000,
      47.183333,
      16.950000,
      47.000000,
      17.283333,
      46.750000,
      17.233333,
      46.366667,
      17.250000,
      46.100000,
      17.271110,
      45.922675,
      19.000000,
      45.922675,
      19.000000,
      51.617770
    ]);
    poly[2812] = _TzPolygon(
        [19.000000, 52.000000, 18.933677, 51.617770, 19.000000, 51.617770]);
    poly[2813] = _TzPolygon([
      19.000000,
      52.000000,
      17.349733,
      52.782175,
      17.294444,
      52.745833,
      17.285531,
      52.812283,
      16.464961,
      53.188846,
      16.397148,
      52.949774,
      16.269142,
      52.607434,
      16.217847,
      52.520912,
      16.099991,
      52.419150,
      15.969572,
      52.371044,
      15.646939,
      52.432209,
      15.520307,
      52.396252,
      15.430189,
      52.285182,
      15.348060,
      52.043132,
      15.312847,
      52.000000
    ]);
    poly[2814] = _TzPolygon([
      23.787548,
      51.873474,
      24.126971,
      51.590376,
      24.265880,
      51.589825,
      24.336352,
      51.529512,
      24.393194,
      51.416071,
      24.553035,
      51.565206,
      24.664189,
      51.586122,
      24.725735,
      51.873474
    ]);
    poly[2815] = _TzPolygon([
      24.765433,
      50.807926,
      24.765433,
      51.819478,
      24.716246,
      51.829131,
      24.631933,
      51.406381,
      24.505502,
      51.302053,
      24.470753,
      51.098535,
      24.546820,
      50.928351,
      24.744368,
      50.811625
    ]);
    poly[2816] = _TzPolygon([
      26.687244,
      50.595486,
      26.666036,
      50.688378,
      26.597748,
      50.773152,
      26.471269,
      50.807684,
      26.390939,
      50.871881,
      26.267299,
      50.923369,
      26.077222,
      50.907500,
      26.011111,
      50.850000,
      25.895000,
      50.815833,
      25.749444,
      50.868056,
      25.638611,
      50.839444,
      25.592500,
      50.780278,
      25.562222,
      50.817778,
      25.535000,
      50.810000,
      25.581389,
      50.689444,
      25.576111,
      50.567500,
      25.679181,
      50.433410,
      25.818903,
      50.366187,
      25.879181,
      50.304243,
      26.079736,
      50.269799,
      26.171124,
      50.311188,
      26.373346,
      50.341743,
      26.407513,
      50.376743,
      26.530013,
      50.387577,
      26.620846,
      50.556743
    ]);
    poly[2817] = _TzPolygon([
      26.687244,
      50.475558,
      26.584272,
      50.488612,
      26.530013,
      50.387577,
      26.407513,
      50.376743,
      26.373346,
      50.341743,
      26.171124,
      50.311188,
      26.079736,
      50.269799,
      25.879181,
      50.304243,
      25.818903,
      50.366187,
      25.698347,
      50.416743,
      25.576111,
      50.567500,
      25.478381,
      50.615226,
      25.137385,
      50.665923,
      25.007554,
      50.720805,
      24.922882,
      50.706231,
      24.893977,
      50.785353,
      24.765433,
      50.807926,
      24.765433,
      48.962001,
      26.687244,
      48.962001
    ]);
    poly[2818] = _TzPolygon([
      28.195105,
      50.174312,
      28.175328,
      50.270126,
      28.127173,
      50.342523,
      28.063384,
      50.385939,
      27.985164,
      50.400298,
      27.887085,
      50.366892,
      27.881804,
      49.983443,
      27.990731,
      49.945241,
      28.127570,
      50.001703,
      28.184441,
      50.097736
    ]);
    poly[2819] = _TzPolygon([
      22.004382,
      51.873474,
      22.004382,
      55.663866,
      22.000015,
      55.666685,
      20.000000,
      55.000000,
      19.000000,
      52.000000,
      19.000000,
      51.873474
    ]);
    poly[2820] = _TzPolygon([
      22.004382,
      55.663866,
      22.705423,
      55.211371,
      23.110348,
      55.232271,
      23.629646,
      55.572309,
      23.720734,
      55.569228,
      23.757286,
      55.531869,
      23.849352,
      55.533726,
      23.942110,
      55.484532,
      24.058066,
      55.731246,
      24.055948,
      55.781754,
      24.014630,
      55.833109,
      24.051454,
      55.964026,
      22.004382,
      55.964026
    ]);
    poly[2821] = _TzPolygon([
      24.198816,
      55.964026,
      24.222568,
      55.954447,
      24.200902,
      55.833523,
      24.234795,
      55.752881,
      24.327733,
      55.833944,
      24.409554,
      55.834202,
      24.529654,
      55.764822,
      24.572580,
      55.767575,
      24.615294,
      55.816147,
      24.637131,
      55.793702,
      24.671313,
      55.836581,
      24.910794,
      55.812355,
      24.965818,
      55.851453,
      24.965663,
      55.910907,
      25.005997,
      55.961118,
      25.004684,
      55.964026
    ]);
    poly[2822] = _TzPolygon([
      25.008764,
      52.013155,
      25.008764,
      52.370111,
      25.003760,
      52.352211,
      24.957722,
      52.334699,
      24.900336,
      52.378334,
      24.842177,
      52.309194,
      24.829744,
      52.240327,
      24.838253,
      52.164737,
      24.885217,
      52.077010,
      24.939695,
      52.031526
    ]);
    poly[2823] = _TzPolygon(
        [25.008764, 52.454403, 24.982958, 52.450032, 25.008764, 52.418250]);
    poly[2824] = _TzPolygon([
      23.787548,
      51.873474,
      22.939204,
      52.581040,
      22.631621,
      55.137338,
      22.708791,
      55.209179,
      22.004382,
      55.663866,
      22.004382,
      51.873474
    ]);
    poly[2825] = _TzPolygon([
      25.008764,
      56.594052,
      24.972761,
      56.323327,
      24.934406,
      56.348856,
      24.914536,
      56.338415,
      24.859817,
      56.259358,
      24.850507,
      56.205659,
      24.785123,
      56.201054,
      24.741556,
      56.144333,
      24.746639,
      56.060585,
      24.877363,
      55.978341,
      24.894492,
      55.980164,
      24.870801,
      56.062186,
      24.886589,
      56.042048,
      24.949431,
      56.058922,
      24.994727,
      56.006871,
      25.005191,
      55.964026,
      25.008764,
      55.964026
    ]);
    poly[2826] = _TzPolygon(
        [24.198816, 55.964026, 24.066467, 56.017398, 24.051454, 55.964026]);
    poly[2827] = _TzPolygon(
        [25.008764, 52.386826, 25.016424, 52.415165, 25.008764, 52.422088]);
    poly[2828] = _TzPolygon([
      26.627876,
      55.859476,
      26.388248,
      55.859476,
      26.139838,
      55.508783,
      26.070052,
      55.422999,
      25.886787,
      55.276624,
      25.762243,
      55.250204,
      25.678086,
      55.150441,
      25.654342,
      55.000880,
      25.706924,
      54.866976,
      25.714791,
      54.650496,
      25.692518,
      54.530063,
      25.707190,
      54.461109,
      26.627876,
      54.461109
    ]);
    poly[2829] = _TzPolygon([
      25.284875,
      56.281079,
      25.274780,
      56.294208,
      25.260747,
      56.273945,
      25.265209,
      56.269953
    ]);
    poly[2830] = _TzPolygon([
      26.097459,
      55.859476,
      26.151722,
      55.888369,
      26.050441,
      56.086425,
      26.062127,
      56.159120,
      25.979301,
      56.195513,
      25.947151,
      56.164440,
      25.894512,
      56.178517,
      25.832500,
      56.139167,
      25.769167,
      56.172500,
      25.735000,
      56.140833,
      25.676111,
      56.143611,
      25.648056,
      56.191111,
      25.611984,
      56.201874,
      25.602190,
      56.253291,
      25.627665,
      56.264174,
      25.682657,
      56.418384,
      25.692716,
      56.549221,
      25.549234,
      56.591385,
      25.323577,
      56.602446,
      25.008764,
      56.594052,
      25.008764,
      55.859476
    ]);
    poly[2831] = _TzPolygon([
      25.590279,
      57.257843,
      25.603977,
      57.216810,
      25.685279,
      57.112581,
      25.842645,
      57.071228,
      25.935722,
      56.978051,
      26.104854,
      56.951417,
      26.244885,
      56.871362,
      26.431808,
      56.816008,
      26.568724,
      56.859186,
      26.627876,
      56.848629,
      26.627876,
      57.257843
    ]);
    poly[2832] = _TzPolygon([
      26.627876,
      56.343581,
      26.590287,
      56.241734,
      26.503741,
      56.132255,
      26.412236,
      55.893341,
      26.388248,
      55.859476,
      26.627876,
      55.859476
    ]);
    poly[2833] = _TzPolygon([
      26.627876,
      56.359332,
      26.702674,
      56.546250,
      26.654629,
      56.665429,
      26.627876,
      56.687361
    ]);
    poly[2834] = _TzPolygon([
      26.544310,
      60.054577,
      26.544310,
      62.429106,
      26.533158,
      62.421176,
      26.539378,
      62.370225,
      26.508287,
      62.303304,
      26.462772,
      62.306943,
      26.439747,
      62.284882,
      26.446225,
      62.257767,
      26.380344,
      62.284695,
      26.346581,
      62.250133,
      26.328003,
      62.271944,
      26.329538,
      62.228244,
      26.267929,
      62.215011,
      26.273986,
      62.125388,
      26.318861,
      62.085181,
      26.334491,
      62.033364,
      26.260217,
      61.961143,
      26.261399,
      61.896325,
      25.967194,
      61.818359,
      25.911402,
      61.831706,
      25.914788,
      61.856840,
      25.883199,
      61.890722,
      25.877674,
      61.842190,
      25.849211,
      61.820408,
      25.816431,
      61.851539,
      25.744840,
      61.840067,
      25.717887,
      61.798234,
      25.741720,
      61.736329,
      25.647835,
      61.672325,
      25.305813,
      61.650582,
      25.045388,
      61.575548,
      24.846510,
      61.549733,
      24.866277,
      61.354676,
      25.072768,
      60.576576,
      25.136269,
      60.054577
    ]);
    poly[2835] = _TzPolygon([
      28.246987,
      62.788931,
      28.025923,
      62.761022,
      27.764463,
      62.828955,
      27.462939,
      62.848423,
      27.338783,
      62.791328,
      27.299191,
      62.824803,
      27.264235,
      62.808820,
      27.252896,
      62.775572,
      27.218458,
      62.820731,
      27.228859,
      62.873027,
      27.201440,
      62.936974,
      27.259436,
      63.198716,
      27.225621,
      63.224699,
      27.213732,
      63.281777,
      27.118400,
      63.333270,
      27.129646,
      63.307125,
      27.092151,
      63.251094,
      26.849903,
      63.246334,
      26.836726,
      63.185979,
      26.773330,
      63.208945,
      26.770481,
      63.191485,
      26.647126,
      63.196920,
      26.652392,
      63.108061,
      26.627541,
      63.048857,
      26.649943,
      62.989971,
      26.651003,
      62.794700,
      26.645016,
      62.753537,
      26.613237,
      62.738103,
      26.610976,
      62.651571,
      26.576273,
      62.604098,
      26.566895,
      62.445165,
      26.544310,
      62.429106,
      26.544310,
      60.054577,
      28.246987,
      60.054577
    ]);
    poly[2836] = _TzPolygon([
      24.345118,
      67.348933,
      24.345118,
      70.341847,
      24.295000,
      70.109920,
      24.198970,
      70.066540,
      24.171030,
      70.025020,
      24.171040,
      69.731520,
      24.292380,
      69.594290,
      24.267820,
      69.493980,
      24.281430,
      69.312760,
      24.236390,
      69.194160,
      24.274440,
      69.094820,
      24.223060,
      69.003420,
      24.302530,
      68.945380,
      24.212203,
      68.866023,
      24.311520,
      68.830800,
      24.313490,
      68.808010,
      24.295789,
      68.764696,
      23.971424,
      68.752991,
      23.970831,
      68.379554,
      23.940377,
      68.365076,
      23.974153,
      68.356976,
      23.912225,
      68.326123,
      23.944447,
      68.290568,
      23.918892,
      68.270845,
      23.897781,
      68.281956,
      23.868336,
      68.214456,
      23.688336,
      68.186123,
      23.601451,
      68.111379,
      23.539392,
      68.115008,
      23.601345,
      67.742040,
      23.654392,
      67.520728,
      23.713308,
      67.375332,
      23.741077,
      67.348933
    ]);
    poly[2837] = _TzPolygon([
      24.345118,
      70.942294,
      24.294850,
      70.873940,
      24.259400,
      70.906680,
      24.220830,
      70.805370,
      24.215710,
      70.714000,
      24.251750,
      70.571340,
      24.290410,
      70.584660,
      24.345118,
      70.565260
    ]);
    poly[2838] = _TzPolygon([
      24.345118,
      70.341847,
      24.350910,
      70.368650,
      24.420850,
      70.561340,
      24.408150,
      70.602500,
      24.354000,
      70.562110,
      24.345118,
      70.565260
    ]);
    poly[2839] = _TzPolygon([
      24.345118,
      70.942294,
      24.348520,
      70.946920,
      24.365280,
      70.986000,
      24.351050,
      71.042040,
      24.402450,
      71.119650,
      24.435720,
      71.103150,
      24.444370,
      70.998500,
      24.595570,
      70.986290,
      24.635410,
      71.008880,
      24.688630,
      71.096180,
      24.938612,
      70.937706,
      25.148104,
      70.888493,
      25.277708,
      70.751671,
      25.332444,
      70.736786,
      25.396894,
      70.664823,
      25.525542,
      70.678557,
      25.702021,
      70.660150,
      25.714852,
      70.608610,
      25.683373,
      70.530167,
      25.673740,
      70.387023,
      25.713643,
      70.268640,
      25.938241,
      70.099806,
      26.083377,
      70.083435,
      26.155971,
      70.141203,
      26.251480,
      70.175154,
      26.296053,
      70.175025,
      26.296053,
      71.364596,
      24.345118,
      71.364596
    ]);
    poly[2840] = _TzPolygon([
      26.296053,
      70.175025,
      26.551333,
      70.174284,
      26.600515,
      70.056278,
      26.588956,
      69.823167,
      26.743539,
      69.510300,
      26.804873,
      69.484437,
      27.009929,
      69.513377,
      27.183251,
      69.586829,
      27.402154,
      69.862888,
      27.497740,
      69.933750,
      27.562869,
      70.025927,
      27.805981,
      70.132551,
      28.011824,
      70.372233,
      28.036977,
      70.505714,
      28.010464,
      70.589498,
      27.921829,
      70.677414,
      27.828200,
      70.684346,
      27.741907,
      70.739845,
      27.721219,
      70.759445,
      27.705548,
      70.872003,
      27.835337,
      71.205569,
      27.868656,
      71.364596,
      26.296053,
      71.364596
    ]);
    poly[2841] = _TzPolygon([
      28.246987,
      72.036975,
      28.218543,
      72.004318,
      28.121703,
      71.927333,
      27.961238,
      71.898348,
      27.877807,
      71.666486,
      27.872527,
      71.383071,
      27.868656,
      71.364596,
      28.246987,
      71.364596
    ]);
    poly[2842] = _TzPolygon([
      9.534601,
      79.395921,
      9.353433,
      79.420374,
      9.257961,
      79.566519,
      9.087215,
      79.571336,
      8.897623,
      79.496340,
      8.964265,
      79.395921
    ]);
    poly[2843] = _TzPolygon([
      9.534601,
      79.397721,
      9.549000,
      79.395921,
      9.580000,
      79.450873,
      9.683000,
      79.501621,
      9.933000,
      79.758139,
      10.007000,
      79.946845,
      10.035000,
      80.217587,
      10.016000,
      80.315727,
      9.979000,
      80.381545,
      9.808000,
      80.503755,
      9.534601,
      80.832162
    ]);
    poly[2844] = _TzPolygon([
      13.661110,
      92.695154,
      13.680011,
      92.704138,
      13.755082,
      92.765328,
      13.850219,
      92.902720,
      13.882229,
      93.034954,
      13.772586,
      93.238962,
      13.692188,
      93.267737,
      13.661110,
      93.266525
    ]);
    poly[2845] = _TzPolygon([
      10.961416,
      114.090872,
      10.926444,
      114.120655,
      10.891215,
      114.069586,
      10.911022,
      114.043236
    ]);
    poly[2846] = _TzPolygon([
      28.246987,
      113.630139,
      21.533997,
      113.630139,
      21.386824,
      112.952690,
      28.246987,
      112.952690
    ]);
    poly[2847] = _TzPolygon([
      22.140898,
      115.212170,
      21.627050,
      114.058469,
      21.533997,
      113.630139,
      28.246987,
      113.630139,
      28.246987,
      115.212170
    ]);
    poly[2848] = _TzPolygon([
      53.560815,
      123.271244,
      53.498121,
      123.137314,
      53.507546,
      123.059926,
      53.456437,
      122.849512,
      53.463868,
      122.596146,
      53.443248,
      122.429659,
      53.502290,
      122.341691,
      53.463687,
      122.243643,
      53.469130,
      122.159168,
      53.458529,
      122.145820,
      53.560815,
      122.145820
    ]);
    poly[2849] = _TzPolygon([
      40.816221,
      123.271244,
      40.816221,
      125.643249,
      40.809107,
      125.631766,
      40.765282,
      125.683513,
      40.754493,
      125.599080,
      40.780748,
      125.567262,
      40.719583,
      125.532033,
      40.717346,
      125.475304,
      40.665861,
      125.444641,
      40.669647,
      125.411591,
      40.627945,
      125.414881,
      40.650707,
      125.371272,
      40.636997,
      125.329224,
      40.654231,
      125.277225,
      40.612920,
      125.257296,
      40.605098,
      125.178206,
      40.524780,
      125.008263,
      40.460285,
      125.035133,
      40.454383,
      124.922250,
      40.479921,
      124.894964,
      40.411356,
      124.827195,
      40.379009,
      124.749588,
      40.322155,
      124.721367,
      40.298415,
      124.633740,
      40.229256,
      124.521931,
      40.175562,
      124.485272,
      40.082617,
      124.352153,
      40.051652,
      124.334144,
      40.031394,
      124.370125,
      39.970674,
      124.354119,
      39.987873,
      124.345327,
      39.967825,
      124.292375,
      39.927749,
      124.284178,
      39.914657,
      124.223931,
      39.611778,
      124.091390,
      39.605000,
      123.948353,
      39.551000,
      123.792152,
      39.558000,
      123.572016,
      39.506000,
      123.365818,
      39.273000,
      123.299891,
      39.196000,
      123.402859,
      39.039000,
      123.477166,
      38.951000,
      123.451389,
      38.880000,
      123.377383,
      38.853572,
      123.271244
    ]);
    poly[2850] = _TzPolygon([
      40.816221,
      125.643249,
      40.889884,
      125.762159,
      40.861640,
      125.807540,
      40.905341,
      125.868781,
      40.910108,
      125.910065,
      40.876229,
      125.935150,
      40.901126,
      125.967566,
      40.901309,
      126.018275,
      40.915958,
      125.975110,
      40.927074,
      126.034218,
      40.975992,
      126.077642,
      40.999814,
      126.069734,
      41.005018,
      126.103582,
      41.034458,
      126.097955,
      41.039876,
      126.111597,
      40.816221,
      126.111597
    ]);
    poly[2851] = _TzPolygon([
      43.008964,
      127.531774,
      41.475166,
      127.531774,
      41.480802,
      127.466273,
      41.457829,
      127.453766,
      41.455442,
      127.410711,
      41.478789,
      127.391574,
      41.460311,
      127.347580,
      41.478770,
      127.251245,
      41.512082,
      127.273306,
      41.497540,
      127.239846,
      41.530998,
      127.207439,
      41.543126,
      127.097621,
      41.592320,
      127.178434,
      41.597548,
      127.123799,
      41.621526,
      127.119005,
      41.625354,
      127.085621,
      41.642117,
      127.102279,
      41.669674,
      127.031933,
      41.700458,
      127.077003,
      41.701488,
      127.049908,
      41.741875,
      127.045195,
      41.773519,
      126.928429,
      41.807099,
      126.940980,
      41.786744,
      126.878274,
      41.721674,
      126.839651,
      41.747628,
      126.805322,
      41.691222,
      126.790567,
      41.749010,
      126.693875,
      41.728124,
      126.683750,
      41.704760,
      126.724978,
      41.654147,
      126.646565,
      41.672676,
      126.614516,
      41.616618,
      126.591706,
      41.610880,
      126.563243,
      41.549190,
      126.583770,
      41.430985,
      126.504353,
      41.355441,
      126.532010,
      41.345647,
      126.476575,
      41.371859,
      126.502500,
      41.352116,
      126.433142,
      41.158851,
      126.280241,
      41.092666,
      126.165840,
      41.088002,
      126.117836,
      41.046892,
      126.129264,
      41.039876,
      126.111597,
      43.008964,
      126.111597
    ]);
    poly[2852] = _TzPolygon([
      42.046545,
      128.951950,
      42.024797,
      128.947003,
      42.009820,
      128.914781,
      42.051332,
      128.745011,
      42.011861,
      128.685099,
      42.031851,
      128.603693,
      41.997040,
      128.563984,
      42.024071,
      128.284887,
      42.020385,
      128.084445,
      41.995489,
      128.031240,
      41.944810,
      128.099451,
      41.795870,
      128.103369,
      41.777794,
      128.141534,
      41.727729,
      128.149470,
      41.665447,
      128.263654,
      41.599443,
      128.310778,
      41.537178,
      128.295961,
      41.495751,
      128.233348,
      41.448646,
      128.240181,
      41.360644,
      128.108116,
      41.372631,
      128.083731,
      41.395788,
      128.099292,
      41.376659,
      128.074317,
      41.392242,
      128.030858,
      41.415513,
      128.039350,
      41.428179,
      127.996999,
      41.444981,
      128.009200,
      41.414859,
      127.978017,
      41.456693,
      127.931866,
      41.426897,
      127.906421,
      41.444903,
      127.873811,
      41.401097,
      127.863846,
      41.420169,
      127.845522,
      41.404657,
      127.787793,
      41.424220,
      127.777183,
      41.412124,
      127.670315,
      41.426862,
      127.652364,
      41.403445,
      127.650640,
      41.429997,
      127.613243,
      41.432174,
      127.555347,
      41.474524,
      127.539236,
      41.475166,
      127.531774,
      43.008964,
      127.531774,
      43.008964,
      128.951950
    ]);
    poly[2853] = _TzPolygon([
      43.008964,
      129.662038,
      42.425273,
      129.662038,
      42.424688,
      129.646934,
      42.461709,
      129.609155,
      42.360181,
      129.545500,
      42.440816,
      129.448192,
      42.450871,
      129.394033,
      42.422585,
      129.382371,
      42.452644,
      129.348800,
      42.406720,
      129.351107,
      42.431227,
      129.332052,
      42.422930,
      129.307719,
      42.384972,
      129.320304,
      42.379783,
      129.243025,
      42.352251,
      129.223659,
      42.319679,
      129.249717,
      42.314636,
      129.192798,
      42.307392,
      129.236852,
      42.285967,
      129.200663,
      42.265815,
      129.217754,
      42.259608,
      129.176441,
      42.204980,
      129.221569,
      42.185772,
      129.160574,
      42.163715,
      129.165813,
      42.138841,
      129.114271,
      42.156034,
      129.066961,
      42.088696,
      129.004069,
      42.094706,
      128.962905,
      42.046545,
      128.951950,
      43.008964,
      128.951950
    ]);
    poly[2854] = _TzPolygon([
      42.607588,
      130.372127,
      42.699974,
      130.287180,
      42.706298,
      130.252795,
      42.817093,
      130.236645,
      42.903417,
      130.261965,
      42.912345,
      130.107135,
      42.971295,
      130.146339,
      42.985361,
      130.124023,
      42.970541,
      129.984462,
      42.978740,
      129.954068,
      43.007583,
      129.955623,
      43.007724,
      129.912021,
      42.987119,
      129.877345,
      42.967667,
      129.909181,
      42.961559,
      129.851428,
      42.918937,
      129.869176,
      42.920276,
      129.843809,
      42.789693,
      129.808504,
      42.724965,
      129.759869,
      42.678746,
      129.803853,
      42.672129,
      129.774255,
      42.642494,
      129.784295,
      42.647265,
      129.747280,
      42.604682,
      129.778971,
      42.575727,
      129.736471,
      42.466810,
      129.744426,
      42.426907,
      129.704196,
      42.425273,
      129.662038,
      43.008964,
      129.662038,
      43.008964,
      130.372127
    ]);
    poly[2855] = _TzPolygon([
      42.607588,
      130.372127,
      42.601973,
      130.377289,
      42.609056,
      130.430087,
      42.571259,
      130.415703,
      42.546597,
      130.448627,
      42.561742,
      130.480441,
      42.604144,
      130.462331,
      42.613880,
      130.516977,
      42.542398,
      130.526414,
      42.477936,
      130.583655,
      42.437230,
      130.567599,
      42.422879,
      130.630116,
      42.373007,
      130.672274,
      42.324801,
      130.654542,
      42.170636,
      130.924647,
      42.103113,
      130.812526,
      42.043530,
      130.643740,
      42.028712,
      130.510066,
      41.945906,
      130.372127
    ]);
    poly[2856] = _TzPolygon([
      43.008964,
      131.792303,
      42.627807,
      131.792303,
      42.473372,
      131.611966,
      42.291572,
      131.070996,
      42.215806,
      130.950305,
      42.170636,
      130.924647,
      42.330185,
      130.650381,
      42.373007,
      130.672274,
      42.518983,
      130.552953,
      42.555114,
      130.563457,
      42.554910,
      130.603343,
      42.588220,
      130.625639,
      42.669889,
      130.584674,
      42.701434,
      130.521415,
      42.685219,
      130.459173,
      42.724967,
      130.394650,
      42.845129,
      130.658965,
      42.836053,
      130.771956,
      42.868503,
      130.781648,
      42.880665,
      130.826974,
      42.850347,
      130.883698,
      42.874691,
      130.941738,
      42.854546,
      130.974335,
      42.860293,
      131.035367,
      42.925863,
      131.026361,
      42.912674,
      131.107478,
      42.934039,
      131.137532,
      42.965296,
      131.143586,
      42.968315,
      131.110491,
      43.008964,
      131.099043
    ]);
    poly[2857] = _TzPolygon([
      53.196385,
      124.989767,
      53.195757,
      124.975464,
      53.171036,
      124.894717,
      53.109636,
      124.898748,
      53.099022,
      124.862069,
      53.143090,
      124.823912,
      53.151420,
      124.711726,
      53.192732,
      124.707609,
      53.213998,
      124.437335,
      53.374718,
      124.243767,
      53.346504,
      124.109950,
      53.398751,
      124.061362,
      53.397558,
      124.008109,
      53.480723,
      123.879364,
      53.493354,
      123.695599,
      53.547767,
      123.612030,
      53.494966,
      123.539210,
      53.553413,
      123.533491,
      53.541806,
      123.483584,
      53.496077,
      123.481067,
      53.532381,
      123.452798,
      53.560815,
      123.271244,
      53.560815,
      124.989767
    ]);
    poly[2858] = _TzPolygon(
        [51.577443, 126.708291, 51.590832, 126.672630, 51.618215, 126.708291]);
    poly[2859] = _TzPolygon([
      51.721134,
      126.708291,
      51.734155,
      126.659069,
      51.944051,
      126.456619,
      52.025466,
      126.438290,
      52.037188,
      126.514803,
      52.130324,
      126.554232,
      52.206198,
      126.300397,
      52.239974,
      126.311392,
      52.291650,
      126.431694,
      52.303310,
      126.334833,
      52.337006,
      126.310874,
      52.395943,
      126.339958,
      52.473585,
      126.262571,
      52.469613,
      126.184032,
      52.537775,
      126.192104,
      52.603246,
      126.067824,
      52.573906,
      126.026953,
      52.608627,
      125.972757,
      52.663208,
      125.970578,
      52.681401,
      126.062955,
      52.740260,
      126.037713,
      52.770206,
      126.105020,
      52.797995,
      126.038530,
      52.756977,
      125.977965,
      52.763228,
      125.939296,
      52.895372,
      125.829540,
      52.896699,
      125.766748,
      52.861169,
      125.665462,
      52.915991,
      125.656459,
      52.938821,
      125.724304,
      52.983836,
      125.741989,
      53.007309,
      125.672697,
      53.078048,
      125.614337,
      53.048466,
      125.507586,
      53.094768,
      125.494724,
      53.203757,
      125.157808,
      53.196385,
      124.989767,
      53.560815,
      124.989767,
      53.560815,
      126.708291
    ]);
    poly[2860] = _TzPolygon([
      49.592949,
      128.426814,
      49.590265,
      128.389234,
      49.542136,
      128.335939,
      49.564886,
      128.249972,
      49.536064,
      128.169489,
      49.555574,
      128.034466,
      49.596388,
      127.959048,
      49.574485,
      127.842807,
      49.667035,
      127.687240,
      49.770399,
      127.665195,
      49.790365,
      127.556631,
      49.819066,
      127.525434,
      49.933661,
      127.541241,
      49.990439,
      127.489454,
      50.059415,
      127.501645,
      50.180874,
      127.603345,
      50.234715,
      127.605633,
      50.285107,
      127.380666,
      50.335147,
      127.325288,
      50.434399,
      127.362662,
      50.470230,
      127.286180,
      50.573974,
      127.367001,
      50.663799,
      127.287421,
      50.745257,
      127.300224,
      50.773925,
      127.233105,
      50.922852,
      127.117187,
      50.922852,
      128.426814
    ]);
    poly[2861] = _TzPolygon([
      48.920820,
      130.145337,
      49.009259,
      130.019682,
      49.042492,
      129.913791,
      49.094297,
      129.922262,
      49.115150,
      129.848953,
      49.177055,
      129.842436,
      49.186504,
      129.764566,
      49.291092,
      129.710480,
      49.275778,
      129.600028,
      49.289463,
      129.559300,
      49.398036,
      129.536643,
      49.424677,
      129.500653,
      49.441620,
      129.430276,
      49.429369,
      129.379970,
      49.351694,
      129.352080,
      49.399510,
      129.226050,
      49.350473,
      129.126232,
      49.353596,
      129.073450,
      49.456923,
      128.983659,
      49.489404,
      128.866890,
      49.471756,
      128.793272,
      49.483099,
      128.743189,
      49.550284,
      128.802172,
      49.593385,
      128.752774,
      49.562325,
      128.717362,
      49.601958,
      128.552929,
      49.592949,
      128.426814,
      50.922852,
      128.426814,
      50.922852,
      130.145337
    ]);
    poly[2862] = _TzPolygon([
      51.721134,
      126.708291,
      51.717035,
      126.723785,
      51.637627,
      126.733570,
      51.618215,
      126.708291
    ]);
    poly[2863] = _TzPolygon([
      51.577443,
      126.708291,
      51.528507,
      126.838627,
      51.443847,
      126.775799,
      51.420730,
      126.801033,
      51.408204,
      126.896133,
      51.362781,
      126.923771,
      51.329542,
      126.813736,
      51.252786,
      126.843605,
      51.254076,
      126.912785,
      51.320960,
      126.880855,
      51.320209,
      126.977329,
      51.203337,
      126.894245,
      51.057039,
      126.917659,
      50.936908,
      127.106247,
      50.922852,
      127.117187,
      50.922852,
      126.708291
    ]);
    poly[2864] = _TzPolygon([
      43.008964,
      131.099043,
      43.021124,
      131.095619,
      43.066334,
      131.113457,
      43.067067,
      131.163578,
      43.095262,
      131.155494,
      43.143803,
      131.210391,
      43.233019,
      131.198564,
      43.262320,
      131.247919,
      43.375379,
      131.272877,
      43.395416,
      131.311365,
      43.468961,
      131.296936,
      43.528852,
      131.192494,
      43.558276,
      131.186897,
      43.600074,
      131.236837,
      43.609291,
      131.207174,
      43.663558,
      131.233365,
      43.783492,
      131.203406,
      43.936680,
      131.261229,
      43.984699,
      131.235960,
      44.030533,
      131.255728,
      44.043933,
      131.303221,
      44.707526,
      131.104477,
      44.784002,
      131.057196,
      44.783092,
      131.011657,
      44.847861,
      130.957019,
      44.889563,
      131.089302,
      44.935554,
      131.099755,
      44.921649,
      131.272908,
      44.987801,
      131.349244,
      44.966268,
      131.486276,
      44.993497,
      131.476186,
      45.116035,
      131.680045,
      45.149039,
      131.680177,
      45.155148,
      131.647047,
      45.219570,
      131.673978,
      45.210002,
      131.785722,
      45.244519,
      131.779489,
      45.329654,
      131.863861,
      43.008964,
      131.863861
    ]);
    poly[2865] = _TzPolygon([
      45.646927,
      133.447326,
      45.644204,
      133.438762,
      45.619438,
      133.469345,
      45.617099,
      133.404641,
      45.571411,
      133.412943,
      45.575473,
      133.364437,
      45.516402,
      133.247074,
      45.514339,
      133.193568,
      45.427258,
      133.133923,
      45.375518,
      133.141356,
      45.252554,
      133.086149,
      45.189974,
      133.130725,
      45.125334,
      133.132466,
      45.015110,
      132.950137,
      45.061194,
      132.863202,
      45.251774,
      131.997163,
      45.280063,
      131.927660,
      45.336909,
      131.912234,
      45.341505,
      131.875606,
      45.329654,
      131.863861,
      45.646927,
      131.863861
    ]);
    poly[2866] = _TzPolygon([
      48.284889,
      130.820857,
      48.095968,
      130.654423,
      48.047775,
      130.682697,
      47.917820,
      130.880451,
      47.825461,
      130.949798,
      47.708645,
      130.967455,
      47.683168,
      131.089526,
      47.734781,
      131.254649,
      47.743090,
      131.452666,
      47.726640,
      131.547516,
      47.682538,
      131.552229,
      47.656518,
      131.594433,
      47.708472,
      131.710140,
      47.667169,
      131.812213,
      47.680789,
      131.863861,
      45.646927,
      131.863861,
      45.646927,
      130.145337,
      48.284889,
      130.145337
    ]);
    poly[2867] = _TzPolygon([
      47.680789,
      131.863861,
      47.690849,
      131.902011,
      47.662394,
      131.952136,
      47.711239,
      131.999512,
      47.708066,
      132.252824,
      47.756778,
      132.309187,
      47.714323,
      132.548728,
      47.742093,
      132.603677,
      47.810336,
      132.598655,
      47.872080,
      132.680488,
      47.955878,
      132.666225,
      47.961889,
      132.719188,
      47.925051,
      132.780520,
      47.935005,
      132.815792,
      47.991727,
      132.863060,
      48.040472,
      133.007818,
      48.104874,
      133.049473,
      48.092762,
      133.286700,
      48.123559,
      133.391526,
      48.121542,
      133.522473,
      48.137375,
      133.565485,
      48.174231,
      133.582384,
      45.868309,
      133.582384,
      45.895849,
      133.523191,
      45.855597,
      133.478227,
      45.837082,
      133.489707,
      45.835693,
      133.461656,
      45.796393,
      133.462128,
      45.778077,
      133.497692,
      45.777348,
      133.462417,
      45.738162,
      133.479866,
      45.695535,
      133.420712,
      45.689599,
      133.476961,
      45.657397,
      133.480259,
      45.646927,
      133.447326,
      45.646927,
      131.863861
    ]);
    poly[2868] = _TzPolygon([
      46.965908,
      133.582384,
      46.965908,
      134.058403,
      46.932872,
      134.068083,
      46.823746,
      134.014181,
      46.774156,
      134.046797,
      46.665886,
      134.013494,
      46.596178,
      133.913096,
      46.472332,
      133.841532,
      46.444364,
      133.847489,
      46.446847,
      133.890848,
      46.399516,
      133.940165,
      46.343580,
      133.861556,
      46.331002,
      133.916830,
      46.263482,
      133.910707,
      46.248587,
      133.853613,
      46.234851,
      133.873141,
      46.203077,
      133.846496,
      46.229225,
      133.806613,
      46.184045,
      133.777983,
      46.155630,
      133.688002,
      46.054084,
      133.735593,
      45.988412,
      133.675562,
      45.940995,
      133.668475,
      45.932720,
      133.597739,
      45.904822,
      133.612031,
      45.867222,
      133.584720,
      45.868309,
      133.582384
    ]);
    poly[2869] = _TzPolygon([
      48.174231,
      133.582384,
      48.198251,
      133.593398,
      48.187386,
      133.711626,
      48.256754,
      133.746404,
      48.284889,
      133.899865,
      48.284889,
      134.727999,
      48.274571,
      134.723019,
      48.240141,
      134.667918,
      48.152197,
      134.667496,
      48.032418,
      134.544656,
      47.988755,
      134.543629,
      47.903568,
      134.601259,
      47.881731,
      134.669820,
      47.824859,
      134.663346,
      47.735418,
      134.775456,
      47.629510,
      134.676338,
      47.593165,
      134.677544,
      47.518510,
      134.572489,
      47.478445,
      134.563132,
      47.443005,
      134.486170,
      47.433286,
      134.311178,
      47.364207,
      134.253802,
      47.318385,
      134.169334,
      47.252960,
      134.150077,
      47.186917,
      134.219788,
      47.117993,
      134.222235,
      47.092521,
      134.139837,
      46.975054,
      134.055723,
      46.965908,
      134.058403,
      46.965908,
      133.582384
    ]);
    poly[2870] = _TzPolygon([
      48.920820,
      130.145337,
      48.865247,
      130.224296,
      48.903921,
      130.421084,
      48.900310,
      130.464686,
      48.853796,
      130.514983,
      48.877103,
      130.669346,
      48.852384,
      130.681226,
      48.775045,
      130.606755,
      48.613162,
      130.521062,
      48.585015,
      130.599435,
      48.488468,
      130.625571,
      48.512510,
      130.723327,
      48.497286,
      130.758197,
      48.430258,
      130.732060,
      48.358488,
      130.766320,
      48.301678,
      130.835647,
      48.284889,
      130.820857,
      48.284889,
      130.145337
    ]);
    poly[2871] = _TzPolygon([
      49.603871,
      130.145337,
      49.603871,
      131.509885,
      49.460404,
      131.503814,
      49.427865,
      131.527884,
      49.255453,
      131.420028,
      49.233218,
      131.110786,
      49.036564,
      131.016445,
      48.975195,
      131.045136,
      48.994094,
      130.863848,
      48.964445,
      130.791823,
      48.978390,
      130.781291,
      48.916546,
      130.651544,
      48.881454,
      130.629970,
      48.853458,
      130.537299,
      48.857975,
      130.498160,
      48.903470,
      130.451468,
      48.865247,
      130.224296,
      48.920820,
      130.145337
    ]);
    poly[2872] = _TzPolygon([
      50.922852,
      130.820747,
      50.889616,
      130.843823,
      50.891484,
      130.883307,
      50.864914,
      130.787387,
      50.745593,
      130.674167,
      50.721668,
      130.711737,
      50.694775,
      130.703826,
      50.662002,
      130.644752,
      50.605954,
      130.723473,
      50.659018,
      130.775112,
      50.669439,
      130.913489,
      50.647710,
      130.967905,
      50.579042,
      131.027642,
      50.495098,
      130.933201,
      50.482224,
      130.880180,
      50.455692,
      130.876332,
      50.418352,
      130.936685,
      50.362337,
      130.942123,
      50.433757,
      131.019976,
      50.418789,
      131.089271,
      50.434561,
      131.125083,
      50.356659,
      131.171355,
      50.348575,
      131.243048,
      50.376460,
      131.304839,
      50.289332,
      131.323935,
      50.255827,
      131.423274,
      50.216240,
      131.412829,
      50.177325,
      131.458305,
      50.164525,
      131.390308,
      50.098604,
      131.375554,
      50.051660,
      131.430066,
      49.991028,
      131.424054,
      49.974250,
      131.386675,
      49.902143,
      131.523879,
      49.801828,
      131.465519,
      49.757803,
      131.520415,
      49.724379,
      131.489403,
      49.735642,
      131.446738,
      49.698801,
      131.352415,
      49.661144,
      131.375506,
      49.670273,
      131.445723,
      49.614858,
      131.510350,
      49.603871,
      131.509885,
      49.603871,
      130.145337,
      50.922852,
      130.145337
    ]);
    poly[2873] = _TzPolygon([
      50.922852,
      130.820747,
      50.947231,
      130.803821,
      50.953591,
      130.757353,
      50.992791,
      130.765432,
      51.025592,
      130.798481,
      51.039757,
      130.946510,
      51.121623,
      130.960159,
      51.175772,
      131.028984,
      51.239123,
      131.042859,
      51.267198,
      131.110102,
      51.255916,
      131.173957,
      51.287567,
      131.224404,
      51.364797,
      131.255558,
      51.389378,
      131.360595,
      51.345265,
      131.408862,
      51.346711,
      131.490443,
      51.483129,
      131.470432,
      51.594668,
      131.390140,
      51.650144,
      131.391433,
      51.668888,
      131.440254,
      51.691948,
      131.400911,
      51.665960,
      131.604323,
      51.683887,
      131.622100,
      51.700424,
      131.779877,
      51.758266,
      131.858491,
      51.757555,
      131.863861,
      50.922852,
      131.863861
    ]);
    poly[2874] = _TzPolygon([
      53.148845,
      131.863861,
      53.162787,
      131.828641,
      53.231578,
      131.854688,
      53.257528,
      131.806426,
      53.208020,
      131.508950,
      53.221315,
      131.441549,
      53.271970,
      131.513886,
      53.333660,
      131.533441,
      53.448214,
      131.504989,
      53.510110,
      131.451273,
      53.560815,
      131.477047,
      53.560815,
      131.863861
    ]);
    poly[2875] = _TzPolygon([
      52.241834,
      131.863861,
      52.241834,
      133.418053,
      52.233701,
      133.420450,
      52.232468,
      133.375353,
      52.190491,
      133.324356,
      52.173726,
      133.251971,
      52.189480,
      133.206031,
      52.162447,
      133.171351,
      52.178853,
      133.138137,
      52.153126,
      133.092696,
      52.174808,
      133.042132,
      52.147742,
      132.936468,
      52.183412,
      132.818134,
      52.122053,
      132.759327,
      52.127840,
      132.702485,
      52.112555,
      132.643134,
      52.092000,
      132.620882,
      52.085705,
      132.643649,
      52.080795,
      132.572847,
      52.019168,
      132.521060,
      51.958135,
      132.521461,
      51.978283,
      132.394708,
      51.885684,
      132.450600,
      51.804534,
      132.286516,
      51.839784,
      132.218875,
      51.810771,
      132.130038,
      51.770163,
      132.097594,
      51.800509,
      132.065706,
      51.745314,
      131.956290,
      51.757555,
      131.863861
    ]);
    poly[2876] = _TzPolygon([
      53.148845,
      131.863861,
      53.135808,
      131.896795,
      53.161241,
      131.958285,
      53.139232,
      132.013113,
      53.240534,
      132.105603,
      53.220924,
      132.141151,
      53.226120,
      132.248983,
      53.255438,
      132.279676,
      53.217612,
      132.398192,
      53.214991,
      132.509502,
      53.245514,
      132.661469,
      53.224062,
      132.702958,
      53.249724,
      132.770547,
      53.235253,
      132.861893,
      53.252937,
      132.898012,
      53.298342,
      132.888645,
      53.283613,
      132.967227,
      53.307087,
      133.031416,
      53.303421,
      133.134873,
      53.340268,
      133.122436,
      53.431870,
      133.198365,
      53.472979,
      133.361110,
      53.516849,
      133.412550,
      53.506349,
      133.489817,
      53.549835,
      133.567076,
      53.546368,
      133.582384,
      52.615809,
      133.582384,
      52.619666,
      133.512814,
      52.641776,
      133.501103,
      52.682232,
      133.262142,
      52.616671,
      133.229284,
      52.557869,
      133.245318,
      52.516809,
      133.300291,
      52.447453,
      133.233804,
      52.411290,
      133.304669,
      52.361111,
      133.306984,
      52.300137,
      133.400865,
      52.241834,
      133.418053,
      52.241834,
      131.863861
    ]);
    poly[2877] = _TzPolygon([
      48.284889,
      133.899865,
      48.302170,
      133.994119,
      48.345081,
      134.034025,
      48.331890,
      134.123154,
      48.383718,
      134.188314,
      48.388170,
      134.408687,
      48.425293,
      134.501258,
      48.408073,
      134.688099,
      48.364045,
      134.766202,
      48.284889,
      134.727999
    ]);
    poly[2878] = _TzPolygon([
      52.464489,
      134.441646,
      52.472377,
      134.347573,
      52.457656,
      134.305730,
      52.513573,
      134.167189,
      52.480929,
      134.100660,
      52.540358,
      133.998510,
      52.512600,
      133.941008,
      52.514491,
      133.869705,
      52.566742,
      133.819143,
      52.558646,
      133.708484,
      52.615580,
      133.586509,
      52.615809,
      133.582384,
      53.546368,
      133.582384,
      53.535923,
      133.628511,
      53.467333,
      133.706805,
      53.493038,
      133.787704,
      53.464103,
      133.811568,
      53.474426,
      133.868107,
      53.438939,
      133.946477,
      53.455898,
      134.096616,
      53.498936,
      134.113271,
      53.482235,
      134.195285,
      53.521355,
      134.205977,
      53.542171,
      134.259308,
      53.535550,
      134.310647,
      53.560815,
      134.364667,
      53.560815,
      134.441646
    ]);
    poly[2879] = _TzPolygon([
      52.464489,
      134.441646,
      53.560815,
      134.441683,
      53.558461,
      134.445507,
      53.560815,
      134.446020,
      53.560815,
      134.631590,
      53.531090,
      134.721981,
      53.491356,
      134.729792,
      53.487480,
      134.811036,
      53.455548,
      134.801572,
      53.440569,
      134.878711,
      53.406700,
      134.915680,
      53.384798,
      134.876975,
      53.405117,
      134.854972,
      53.401006,
      134.800302,
      53.380239,
      134.781636,
      53.338948,
      134.783393,
      53.317917,
      134.868690,
      53.278141,
      134.863817,
      53.260720,
      134.920913,
      53.209618,
      134.887554,
      53.193831,
      134.824899,
      53.173481,
      134.847603,
      53.147771,
      134.809729,
      53.097686,
      134.863106,
      53.069842,
      134.832418,
      53.070249,
      134.771770,
      52.900874,
      134.594599,
      52.889299,
      134.641537,
      52.851016,
      134.590034,
      52.802983,
      134.606056,
      52.783211,
      134.664882,
      52.722183,
      134.646158,
      52.717445,
      134.734676,
      52.642348,
      134.750560,
      52.623145,
      134.738935,
      52.627651,
      134.672791,
      52.540041,
      134.598467,
      52.458820,
      134.643588,
      52.425441,
      134.600644,
      52.423898,
      134.543863,
      52.460792,
      134.485739
    ]);
    poly[2880] = _TzPolygon([
      53.560815,
      131.477047,
      53.567552,
      131.480471,
      53.576637,
      131.455222,
      53.600920,
      131.491725,
      53.560815,
      131.491725
    ]);
    poly[2881] = _TzPolygon(
        [53.600920, 131.491725, 53.619653, 131.472223, 53.619653, 131.491725]);
    poly[2882] = _TzPolygon(
        [53.560815, 134.364667, 53.581283, 134.408431, 53.560815, 134.441683]);
    poly[2883] = _TzPolygon([
      53.560815,
      134.446020,
      53.608037,
      134.456307,
      53.614951,
      134.521271,
      53.560815,
      134.521271
    ]);
    poly[2884] = _TzPolygon([
      53.560815,
      134.659915,
      53.619653,
      134.537062,
      53.619653,
      137.019431,
      53.560815,
      137.019431
    ]);
    poly[2885] = _TzPolygon(
        [53.648851, 131.441827, 53.662543, 131.427573, 53.728478, 131.441827]);
    poly[2886] = _TzPolygon([
      53.740623,
      131.441827,
      53.754476,
      131.419740,
      53.793405,
      131.312503,
      53.786406,
      131.252267,
      53.822338,
      131.107558,
      53.825197,
      131.017445,
      53.774316,
      130.900449,
      53.798378,
      130.848504,
      53.849167,
      130.851848,
      53.848979,
      130.745446,
      53.900179,
      130.686969,
      53.878462,
      130.587779,
      53.909166,
      130.517043,
      53.888156,
      130.441599,
      53.927568,
      130.386742,
      53.987317,
      130.496274,
      54.122416,
      130.511178,
      54.186607,
      130.635677,
      54.256612,
      130.668607,
      54.266441,
      130.722229,
      54.298827,
      130.735983,
      54.284583,
      130.814952,
      54.339254,
      130.939163,
      54.291301,
      131.034686,
      54.335786,
      131.120798,
      54.553191,
      131.233044,
      54.567994,
      131.190521,
      54.636421,
      131.171260,
      54.658812,
      131.286647,
      54.737280,
      131.394890,
      54.738984,
      131.441827
    ]);
    poly[2887] = _TzPolygon([
      55.670721,
      131.441827,
      55.661943,
      131.424769,
      55.651016,
      131.335245,
      55.694649,
      131.226798,
      55.643714,
      131.142542,
      55.658030,
      131.052784,
      55.712177,
      130.952768,
      55.810142,
      130.963397,
      55.842574,
      130.891943,
      55.916815,
      130.859931,
      55.938340,
      130.897167,
      55.938340,
      131.441827
    ]);
    poly[2888] = _TzPolygon([
      54.778997,
      131.441827,
      54.778997,
      131.576294,
      54.773050,
      131.559365,
      54.742955,
      131.551196,
      54.738984,
      131.441827
    ]);
    poly[2889] = _TzPolygon([
      54.778997,
      131.676173,
      54.775447,
      131.671538,
      54.772392,
      131.634512,
      54.778997,
      131.629542
    ]);
    poly[2890] = _TzPolygon(
        [53.740623, 131.441827, 53.739173, 131.444139, 53.728478, 131.441827]);
    poly[2891] = _TzPolygon(
        [53.648851, 131.441827, 53.619653, 131.472223, 53.619653, 131.441827]);
    poly[2892] = _TzPolygon([
      55.670721,
      131.441827,
      55.697194,
      131.493274,
      55.655092,
      131.578192,
      55.709182,
      131.637675,
      55.695976,
      131.770169,
      55.647814,
      131.827437,
      55.669199,
      131.897156,
      55.659021,
      131.940055,
      55.713633,
      131.971124,
      55.679326,
      132.155717,
      55.710622,
      132.159717,
      55.707602,
      132.220982,
      55.742692,
      132.263619,
      55.742782,
      132.441057,
      55.710682,
      132.501438,
      55.709942,
      132.558152,
      55.673420,
      132.564410,
      55.624682,
      132.663448,
      55.585102,
      132.688110,
      55.556642,
      132.639372,
      55.521493,
      132.661180,
      55.456295,
      132.763258,
      55.429922,
      132.935755,
      55.401858,
      132.972059,
      55.381172,
      132.828201,
      55.347835,
      132.773620,
      55.356302,
      132.679414,
      55.301120,
      132.692648,
      55.235266,
      132.611489,
      55.244680,
      132.361224,
      55.222323,
      132.337176,
      55.188126,
      132.393151,
      55.177240,
      132.350239,
      55.162202,
      132.403517,
      55.152942,
      132.375101,
      55.118155,
      132.438578,
      55.085268,
      132.425798,
      55.058140,
      132.261632,
      55.061585,
      132.086281,
      55.018900,
      131.971112,
      55.000978,
      132.088864,
      54.891947,
      131.938821,
      54.875891,
      131.874226,
      54.890040,
      131.821176,
      54.778997,
      131.676173,
      54.778997,
      131.629542,
      54.793791,
      131.618410,
      54.778997,
      131.576294,
      54.778997,
      131.441827
    ]);
    poly[2893] = _TzPolygon([
      55.938340,
      130.897167,
      55.960754,
      130.935940,
      56.014422,
      130.895199,
      56.080218,
      130.971521,
      56.167585,
      130.991287,
      56.246233,
      131.120795,
      56.328582,
      131.137669,
      56.409936,
      131.103629,
      56.419967,
      131.154330,
      56.520845,
      131.222116,
      56.512487,
      131.330091,
      56.528258,
      131.340510,
      56.499740,
      131.388209,
      56.460480,
      131.383884,
      56.453253,
      131.427961,
      56.466191,
      131.441827,
      55.938340,
      131.441827
    ]);
    poly[2894] = _TzPolygon(
        [56.480744, 131.441827, 56.509243, 131.408279, 56.531911, 131.441827]);
    poly[2895] = _TzPolygon([
      57.124908,
      131.441827,
      57.152230,
      131.343265,
      57.192029,
      131.313257,
      57.167836,
      131.192289,
      57.207117,
      131.201063,
      57.259407,
      131.121702,
      57.262212,
      131.207679,
      57.336533,
      131.280628,
      57.276761,
      131.347382,
      57.268265,
      131.441827
    ]);
    poly[2896] = _TzPolygon([
      57.097684,
      131.441827,
      57.097684,
      131.502994,
      57.089630,
      131.506517,
      57.083762,
      131.469062,
      57.024462,
      131.500426,
      57.024198,
      131.544393,
      56.976599,
      131.611584,
      56.949785,
      131.607381,
      56.951563,
      131.640193,
      56.860837,
      131.723566,
      56.865277,
      131.773009,
      56.744793,
      131.832699,
      56.748950,
      131.776829,
      56.720038,
      131.801690,
      56.722034,
      131.747879,
      56.704208,
      131.762065,
      56.682488,
      131.680201,
      56.665584,
      131.720395,
      56.619949,
      131.664512,
      56.609924,
      131.709192,
      56.571967,
      131.703247,
      56.541048,
      131.643317,
      56.492245,
      131.751686,
      56.470715,
      131.725008,
      56.496170,
      131.682475,
      56.455436,
      131.648413,
      56.478919,
      131.617173,
      56.526606,
      131.633751,
      56.565838,
      131.494902,
      56.531161,
      131.441827
    ]);
    poly[2897] = _TzPolygon(
        [56.480744, 131.441827, 56.473809, 131.449991, 56.466191, 131.441827]);
    poly[2898] = _TzPolygon([
      57.097684,
      131.502994,
      57.109369,
      131.497882,
      57.124908,
      131.441827,
      57.268265,
      131.441827,
      57.264120,
      131.487912,
      57.312540,
      131.539886,
      57.309362,
      131.608751,
      57.427346,
      131.605481,
      57.538616,
      131.780773,
      57.578063,
      131.724049,
      57.622865,
      131.849116,
      57.617867,
      131.950707,
      57.664212,
      131.986753,
      57.687075,
      132.071213,
      57.751953,
      132.023597,
      57.815483,
      131.879332,
      57.847846,
      131.877758,
      57.873656,
      131.754895,
      57.934221,
      131.798608,
      57.949542,
      131.698052,
      57.971830,
      131.695441,
      58.024203,
      131.575325,
      58.078969,
      131.644714,
      58.110512,
      131.528286,
      58.196866,
      131.453301,
      58.201191,
      131.705490,
      58.152375,
      131.768037,
      58.167022,
      131.823298,
      58.149278,
      131.863001,
      58.051691,
      131.984823,
      58.049308,
      132.066274,
      58.080230,
      132.137239,
      58.123608,
      132.102299,
      58.157440,
      131.984721,
      58.257028,
      132.089021,
      58.257028,
      132.189632,
      58.254628,
      132.198401,
      58.257028,
      132.198910,
      58.257028,
      133.301028,
      57.097684,
      133.301028
    ]);
    poly[2899] = _TzPolygon([
      59.416372,
      132.371428,
      58.842909,
      132.371428,
      58.834532,
      132.265006,
      58.885505,
      132.200939,
      59.002040,
      132.256946,
      59.037697,
      132.145912,
      59.110776,
      132.163467,
      59.181601,
      132.005153,
      59.187229,
      131.919708,
      59.162918,
      131.828981,
      59.182428,
      131.750450,
      59.224801,
      131.756536,
      59.264523,
      131.692801,
      59.408681,
      131.682727,
      59.416372,
      131.667579
    ]);
  }
}

class _Initializer30 {
  static void _init() {
    poly[2900] = _TzPolygon(
        [58.257028, 132.089021, 58.278430, 132.111436, 58.257028, 132.189632]);
    poly[2901] = _TzPolygon([
      58.257028,
      132.198910,
      58.386228,
      132.226305,
      58.415046,
      132.179521,
      58.469852,
      132.185000,
      58.514863,
      132.139929,
      58.536909,
      132.304434,
      58.516768,
      132.319044,
      58.513999,
      132.371428,
      58.257028,
      132.371428
    ]);
    poly[2902] = _TzPolygon([
      59.234700,
      133.301028,
      59.227556,
      133.283581,
      59.241410,
      133.170973,
      59.204642,
      133.159038,
      59.216390,
      133.108225,
      59.198475,
      133.057787,
      59.105065,
      132.933893,
      59.118064,
      132.827484,
      59.045475,
      132.821919,
      59.018792,
      132.748819,
      58.990218,
      132.845784,
      58.881004,
      132.769138,
      58.910006,
      132.658366,
      58.884739,
      132.574094,
      58.840848,
      132.537838,
      58.930525,
      132.526078,
      58.933040,
      132.483886,
      58.846913,
      132.422298,
      58.842909,
      132.371428,
      59.416372,
      132.371428,
      59.416372,
      133.301028
    ]);
    poly[2903] = _TzPolygon([
      58.845343,
      132.371428,
      58.846913,
      132.422298,
      58.921370,
      132.458841,
      58.930525,
      132.526078,
      58.820878,
      132.534671,
      58.795265,
      132.488511,
      58.782103,
      132.536391,
      58.680698,
      132.501667,
      58.658676,
      132.546354,
      58.561251,
      132.386507,
      58.510854,
      132.430917,
      58.513999,
      132.371428
    ]);
    poly[2904] = _TzPolygon([
      60.575716,
      132.438560,
      60.546419,
      132.420924,
      60.516681,
      132.331211,
      60.305049,
      132.260476,
      60.229822,
      132.026227,
      60.173524,
      132.088342,
      60.112978,
      132.070451,
      59.999829,
      132.020392,
      59.966900,
      131.926197,
      59.862947,
      131.871601,
      59.922316,
      131.803879,
      59.904203,
      131.651660,
      59.503871,
      131.585112,
      59.441526,
      131.618035,
      59.416372,
      131.667579,
      59.416372,
      131.441827,
      60.575716,
      131.441827
    ]);
    poly[2905] = _TzPolygon([
      60.575716,
      132.428763,
      60.603946,
      132.436317,
      60.624897,
      132.509904,
      60.576572,
      132.718419,
      60.583340,
      132.802869,
      60.721423,
      133.133582,
      61.071338,
      133.059590,
      61.261240,
      133.099614,
      61.255624,
      133.237671,
      61.273907,
      133.301028,
      60.575716,
      133.301028
    ]);
    poly[2906] = _TzPolygon([
      59.233845,
      133.301028,
      59.312262,
      133.518561,
      59.229460,
      133.634131,
      59.261864,
      134.031723,
      59.218530,
      134.183703,
      59.202258,
      134.365691,
      59.138991,
      134.486161,
      59.204104,
      134.564813,
      59.198671,
      134.654859,
      59.218730,
      134.721281,
      59.153028,
      134.748645,
      59.136904,
      134.847132,
      59.168825,
      134.952623,
      59.111139,
      135.177755,
      59.139061,
      135.248069,
      59.180245,
      135.238298,
      59.196028,
      135.303946,
      59.235920,
      135.261293,
      59.311355,
      135.362487,
      59.335389,
      135.349140,
      59.439284,
      135.508042,
      59.508675,
      135.687536,
      59.525170,
      135.833674,
      59.514043,
      135.890556,
      59.458814,
      135.947567,
      59.473552,
      135.986857,
      59.420302,
      136.085361,
      59.423811,
      136.317351,
      59.383254,
      136.389952,
      59.381406,
      136.605137,
      59.348274,
      136.660459,
      59.337242,
      136.763075,
      59.388431,
      136.821174,
      59.433035,
      137.019431,
      58.257028,
      137.019431,
      58.257028,
      133.301028
    ]);
    poly[2907] = _TzPolygon([
      62.894403,
      133.961387,
      62.873737,
      133.935265,
      62.800375,
      133.940713,
      62.683218,
      134.034349,
      62.604401,
      134.144489,
      62.547088,
      134.370608,
      62.560470,
      134.609227,
      62.500358,
      134.805518,
      62.502052,
      134.995922,
      62.372586,
      135.160230,
      61.447063,
      135.160230,
      61.410933,
      135.053773,
      61.438778,
      135.039718,
      61.405758,
      134.978001,
      61.422662,
      134.887605,
      61.404222,
      134.853197,
      61.435690,
      134.859066,
      61.424925,
      134.795594,
      61.452081,
      134.689550,
      61.404017,
      134.528618,
      61.387703,
      134.540741,
      61.393699,
      134.463612,
      61.353652,
      134.428110,
      61.368549,
      134.406256,
      61.349712,
      134.374455,
      61.356563,
      134.317850,
      61.315361,
      134.281297,
      61.338038,
      134.268583,
      61.342139,
      134.199425,
      61.320264,
      133.998721,
      61.334255,
      133.890381,
      61.288540,
      133.351740,
      61.273907,
      133.301028,
      62.894403,
      133.301028
    ]);
    poly[2908] = _TzPolygon([
      62.372586,
      135.160230,
      62.008723,
      135.622017,
      61.902772,
      135.502615,
      61.813601,
      135.528424,
      61.771852,
      135.481718,
      61.741177,
      135.372217,
      61.764829,
      135.318706,
      61.762064,
      135.201314,
      61.737022,
      135.179096,
      61.638189,
      135.275643,
      61.607853,
      135.262642,
      61.588312,
      135.368021,
      61.600229,
      135.471132,
      61.582441,
      135.480298,
      61.588159,
      135.441159,
      61.536852,
      135.378449,
      61.553455,
      135.345007,
      61.533305,
      135.284433,
      61.482967,
      135.266022,
      61.447063,
      135.160230
    ]);
    poly[2909] = _TzPolygon([
      63.345681,
      133.301028,
      63.378787,
      133.138035,
      63.385824,
      132.947084,
      63.353554,
      132.819657,
      63.382994,
      132.739783,
      63.558759,
      132.544501,
      63.634331,
      132.527047,
      63.684704,
      132.348661,
      63.639393,
      132.239625,
      63.665713,
      132.208036,
      63.710079,
      132.209212,
      63.824021,
      132.433861,
      63.966872,
      132.536163,
      64.034726,
      132.425771,
      64.053747,
      132.423981,
      64.053747,
      133.301028
    ]);
    poly[2910] = _TzPolygon([
      64.053747,
      133.301028,
      64.053747,
      132.423981,
      64.073934,
      132.422081,
      64.078621,
      132.537577,
      64.167847,
      132.621547,
      64.219993,
      132.769566,
      64.284537,
      132.795538,
      64.359121,
      132.934856,
      64.582055,
      132.707311,
      64.611586,
      132.837409,
      64.674905,
      132.855398,
      64.728013,
      132.966983,
      64.786624,
      132.943876,
      64.842206,
      133.007655,
      64.963218,
      132.898436,
      65.066522,
      132.987571,
      65.127439,
      132.964826,
      65.213090,
      133.104220,
      65.213090,
      133.301028
    ]);
    poly[2911] = _TzPolygon([
      65.213090,
      131.969784,
      65.139408,
      132.077997,
      64.985157,
      132.156062,
      64.919016,
      132.266638,
      64.791750,
      132.341841,
      64.654016,
      132.279792,
      64.609977,
      132.432015,
      64.643668,
      132.639094,
      64.623030,
      132.613810,
      64.500245,
      132.812508,
      64.428910,
      132.832765,
      64.359121,
      132.934856,
      64.284537,
      132.795538,
      64.219993,
      132.769566,
      64.167847,
      132.621547,
      64.078621,
      132.537577,
      64.073934,
      132.422081,
      64.053747,
      132.423981,
      64.053747,
      131.441827,
      65.213090,
      131.441827
    ]);
    poly[2912] = _TzPolygon([
      65.213090,
      133.301028,
      65.213090,
      133.104220,
      65.272590,
      133.201052,
      65.275356,
      133.301028
    ]);
    poly[2913] = _TzPolygon([
      67.531778,
      131.378068,
      67.480999,
      131.366195,
      67.434728,
      131.225893,
      67.366467,
      131.134340,
      67.342659,
      131.182280,
      67.309015,
      131.099227,
      67.271720,
      131.145882,
      67.208746,
      131.090486,
      67.164069,
      131.111463,
      67.097761,
      130.887802,
      67.139693,
      130.695645,
      67.097719,
      130.483171,
      67.128275,
      130.443254,
      67.009588,
      130.224874,
      66.919628,
      130.285014,
      66.845776,
      130.058186,
      66.855971,
      129.976699,
      66.611889,
      129.913168,
      66.551757,
      129.964252,
      66.502697,
      130.088074,
      66.402631,
      130.045198,
      66.207326,
      130.099244,
      66.223836,
      130.214732,
      66.210645,
      130.405289,
      66.084028,
      130.526705,
      65.970549,
      130.841932,
      65.946786,
      131.114691,
      65.889810,
      131.114673,
      65.787310,
      131.261449,
      65.795605,
      131.351561,
      65.692606,
      131.393747,
      65.709036,
      131.726675,
      65.570584,
      131.648384,
      65.455415,
      131.492769,
      65.402663,
      131.529466,
      65.391925,
      131.593287,
      65.291408,
      131.708007,
      65.302527,
      131.838435,
      65.213090,
      131.969784,
      65.213090,
      129.582626,
      67.531778,
      129.582626
    ]);
    poly[2914] = _TzPolygon([
      66.123857,
      137.019431,
      66.173447,
      136.878576,
      66.203179,
      136.861153,
      66.183718,
      136.346392,
      66.068430,
      136.074046,
      66.016102,
      136.030864,
      65.999291,
      135.845227,
      65.976298,
      135.839041,
      65.944878,
      135.716572,
      65.892238,
      135.679025,
      65.892374,
      135.404128,
      65.827361,
      135.383157,
      65.799203,
      135.314772,
      65.759849,
      134.994025,
      65.763378,
      134.853465,
      65.699884,
      134.792057,
      65.689088,
      134.719162,
      65.567573,
      134.654986,
      65.501118,
      134.514648,
      65.418930,
      134.432242,
      65.362213,
      134.448321,
      65.400141,
      134.307592,
      65.316032,
      133.994392,
      65.205599,
      133.881356,
      65.229162,
      133.562927,
      65.280163,
      133.474751,
      65.275356,
      133.301028,
      67.531778,
      133.301028,
      67.531778,
      137.019431
    ]);
    poly[2915] = _TzPolygon([
      63.345681,
      133.301028,
      63.338597,
      133.335906,
      63.348875,
      134.059223,
      63.043870,
      134.165267,
      63.007399,
      133.972190,
      62.970847,
      133.948099,
      62.909541,
      133.980522,
      62.894403,
      133.961387,
      62.894403,
      133.301028
    ]);
    poly[2916] = _TzPolygon([
      69.850465,
      129.582626,
      69.850465,
      133.160861,
      69.830620,
      133.163383,
      69.786727,
      133.301028,
      69.658826,
      133.301028,
      69.656468,
      133.166964,
      69.565452,
      133.042216,
      69.571803,
      132.985591,
      69.499455,
      132.787712,
      69.321153,
      132.673588,
      69.301065,
      132.715849,
      69.247478,
      132.575696,
      69.192718,
      132.538298,
      69.136893,
      132.602953,
      69.071698,
      132.438254,
      69.057717,
      132.321525,
      69.020227,
      132.306858,
      68.957020,
      132.387421,
      68.924397,
      132.600067,
      68.741426,
      132.794323,
      68.688131,
      132.984095,
      68.588765,
      133.015410,
      68.500240,
      133.301028,
      68.414208,
      133.301028,
      68.392199,
      133.227053,
      68.383319,
      133.301028,
      68.301155,
      133.301028,
      68.241119,
      133.084478,
      68.174776,
      133.031104,
      68.158503,
      132.903686,
      67.926313,
      132.664270,
      67.895608,
      132.567096,
      67.838830,
      132.512360,
      67.807372,
      132.354340,
      67.709554,
      132.320011,
      67.695373,
      132.256990,
      67.762116,
      132.103102,
      67.742260,
      132.029156,
      67.667506,
      131.780892,
      67.536969,
      131.735270,
      67.566997,
      131.551702,
      67.618826,
      131.445857,
      67.594518,
      131.392737,
      67.531778,
      131.378068,
      67.531778,
      129.582626
    ]);
    poly[2917] = _TzPolygon([
      69.850465,
      133.301028,
      69.850465,
      133.160861,
      69.911491,
      133.153107,
      69.950387,
      132.957544,
      69.980987,
      133.164299,
      70.013205,
      133.234513,
      70.017827,
      133.133596,
      70.047444,
      133.086158,
      70.144519,
      133.225976,
      70.339028,
      133.080311,
      70.333984,
      132.249540,
      70.370470,
      132.076245,
      70.500093,
      132.025806,
      70.593394,
      132.145412,
      70.767833,
      132.015578,
      70.834309,
      132.040915,
      70.889993,
      132.198229,
      70.924819,
      132.209365,
      71.043362,
      132.036048,
      71.045354,
      131.957851,
      71.070710,
      131.940399,
      71.058295,
      131.885063,
      71.077522,
      131.871627,
      71.048042,
      131.782171,
      71.272688,
      131.234656,
      71.300077,
      131.378093,
      71.738282,
      131.690510,
      71.951677,
      131.973228,
      72.063387,
      132.203925,
      72.130344,
      132.504821,
      72.169153,
      133.080712,
      72.151880,
      133.301028
    ]);
    poly[2918] = _TzPolygon([
      69.786727,
      133.301028,
      69.725572,
      133.492805,
      69.688339,
      133.472778,
      69.659441,
      133.335982,
      69.658826,
      133.301028
    ]);
    poly[2919] = _TzPolygon([
      68.500240,
      133.301028,
      68.479345,
      133.368444,
      68.467556,
      133.480338,
      68.414208,
      133.301028
    ]);
    poly[2920] = _TzPolygon([
      68.383319,
      133.301028,
      68.374968,
      133.370592,
      68.329627,
      133.403726,
      68.301155,
      133.301028
    ]);
    poly[2921] = _TzPolygon([
      45.382273,
      115.212170,
      45.387981,
      115.371971,
      45.452675,
      115.687447,
      45.626610,
      115.925430,
      45.656490,
      116.026222,
      45.679680,
      116.030922,
      45.692486,
      116.181603,
      45.744825,
      116.218758,
      45.770390,
      116.280564,
      45.840031,
      116.283296,
      45.882166,
      116.235857,
      45.961218,
      116.264630,
      46.299863,
      116.592489,
      46.328765,
      116.759818,
      46.383298,
      116.838564,
      46.353984,
      117.085647,
      46.360697,
      117.368340,
      46.477645,
      117.391000,
      46.525552,
      117.439034,
      46.578715,
      117.413715,
      46.602207,
      117.585258,
      46.513478,
      117.713516,
      46.535675,
      117.847516,
      46.570131,
      117.856877,
      46.613245,
      117.924849,
      46.626773,
      118.030574,
      46.678658,
      118.115556,
      46.682583,
      118.191215,
      46.738346,
      118.300868,
      46.693442,
      118.575476,
      46.719565,
      118.647725,
      46.696102,
      118.673692,
      46.695624,
      118.678995,
      42.816687,
      118.678995,
      42.816687,
      115.212170
    ]);
    poly[2922] = _TzPolygon([
      47.009896,
      119.803042,
      46.964384,
      119.864040,
      46.920058,
      119.854284,
      46.901621,
      119.921322,
      46.864634,
      119.898602,
      46.847493,
      119.931949,
      46.668156,
      119.900445,
      46.681804,
      119.802559,
      46.628710,
      119.778485,
      46.584793,
      119.678455,
      46.624680,
      119.646502,
      46.611950,
      119.582023,
      46.633938,
      119.555506,
      46.638602,
      119.430484,
      46.605471,
      119.368630,
      46.608732,
      119.300639,
      46.650765,
      119.220855,
      46.647522,
      119.100829,
      46.751144,
      118.999907,
      46.721231,
      118.942364,
      46.732530,
      118.901109,
      46.775786,
      118.896858,
      46.767340,
      118.832426,
      46.717189,
      118.783432,
      46.685662,
      118.789591,
      46.695624,
      118.678995,
      47.009896,
      118.678995
    ]);
    poly[2923] = _TzPolygon([
      49.106501,
      116.201965,
      49.106501,
      118.678995,
      47.856060,
      118.678995,
      47.993462,
      118.554932,
      47.992275,
      118.435287,
      48.014006,
      118.417493,
      48.003207,
      118.290448,
      48.040972,
      118.231118,
      48.048217,
      118.169866,
      48.011121,
      118.043098,
      48.014190,
      117.804967,
      47.758798,
      117.482161,
      47.640041,
      117.375183,
      47.820301,
      117.086906,
      47.894871,
      116.819771,
      47.889198,
      116.676376,
      47.837859,
      116.439445,
      47.878276,
      116.253418,
      47.819250,
      116.111476,
      47.681231,
      115.935331,
      47.919093,
      115.570512,
      48.152904,
      115.520370,
      48.258865,
      115.813408,
      48.519881,
      115.786970,
      48.819378,
      116.071373,
      48.867382,
      116.036339
    ]);
    poly[2924] = _TzPolygon([
      49.996098,
      115.212170,
      49.988400,
      115.223900,
      49.907100,
      115.506700,
      49.887176,
      115.745395,
      50.013700,
      116.072700,
      50.035867,
      116.232963,
      49.931100,
      116.621600,
      49.841833,
      116.711296,
      49.106501,
      116.201965,
      49.106501,
      115.212170
    ]);
    poly[2925] = _TzPolygon([
      49.106501,
      116.201965,
      49.841833,
      116.711296,
      49.685600,
      117.061400,
      49.630847,
      117.273269,
      49.626380,
      117.471566,
      49.520037,
      117.793427,
      49.541897,
      117.836630,
      49.508318,
      117.868124,
      49.595316,
      117.893064,
      49.593707,
      117.943380,
      49.621490,
      117.980939,
      49.613839,
      118.073963,
      49.670992,
      118.107043,
      49.658984,
      118.165524,
      49.736308,
      118.227103,
      49.744300,
      118.284074,
      49.772957,
      118.305846,
      49.777923,
      118.380763,
      49.825991,
      118.378327,
      49.828592,
      118.476531,
      49.871055,
      118.480021,
      49.900331,
      118.557669,
      49.930050,
      118.566937,
      49.923964,
      118.608122,
      49.947225,
      118.612487,
      49.936480,
      118.644034,
      49.953512,
      118.653809,
      49.954297,
      118.678995,
      49.106501,
      118.678995
    ]);
    poly[2926] = _TzPolygon([
      47.856060,
      118.678995,
      47.772080,
      118.754822,
      47.664040,
      119.121681,
      47.542367,
      119.142807,
      47.479595,
      119.357643,
      47.423222,
      119.321860,
      47.428801,
      119.347497,
      47.358162,
      119.463697,
      47.326298,
      119.474754,
      47.300345,
      119.554754,
      47.246482,
      119.560727,
      47.244146,
      119.623310,
      47.193368,
      119.708097,
      47.059188,
      119.799045,
      47.024536,
      119.783420,
      47.009896,
      119.803042,
      47.009896,
      118.678995
    ]);
    poly[2927] = _TzPolygon([
      51.203105,
      119.759272,
      51.172030,
      119.781274,
      51.163531,
      119.751943,
      51.153190,
      119.775312,
      51.090587,
      119.756328,
      51.072026,
      119.708883,
      51.015348,
      119.696448,
      51.029079,
      119.687523,
      51.009020,
      119.624400,
      50.904598,
      119.515149,
      50.746229,
      119.491735,
      50.683102,
      119.425654,
      50.679984,
      119.373555,
      50.629885,
      119.351668,
      50.640737,
      119.328217,
      50.603418,
      119.274249,
      50.573723,
      119.288546,
      50.500902,
      119.225457,
      50.468567,
      119.256787,
      50.409197,
      119.205942,
      50.422008,
      119.176033,
      50.392330,
      119.142685,
      50.377092,
      119.169311,
      50.360380,
      119.147837,
      50.361490,
      119.188053,
      50.346704,
      119.175350,
      50.363389,
      119.209563,
      50.341727,
      119.246774,
      50.364697,
      119.269028,
      50.344234,
      119.294365,
      50.358516,
      119.347376,
      50.326088,
      119.350123,
      50.320407,
      119.379122,
      50.280916,
      119.315974,
      50.254722,
      119.340095,
      50.216374,
      119.309820,
      50.194526,
      119.352689,
      50.158416,
      119.299685,
      50.109352,
      119.286075,
      50.073774,
      119.228053,
      50.087457,
      119.181831,
      50.041162,
      119.175138,
      49.984260,
      119.084080,
      49.992367,
      118.933603,
      49.958930,
      118.827688,
      49.954297,
      118.678995,
      51.203105,
      118.678995
    ]);
    poly[2928] = _TzPolygon([
      54.348013,
      115.212170,
      54.348013,
      115.490244,
      54.308940,
      115.493059,
      54.269519,
      115.345168,
      54.199108,
      115.230939,
      54.197774,
      115.212170
    ]);
    poly[2929] = _TzPolygon([
      55.396315,
      115.916691,
      55.356024,
      115.975269,
      55.381454,
      116.075622,
      55.344053,
      116.101669,
      55.381072,
      116.374443,
      55.319051,
      116.423885,
      55.315530,
      116.472253,
      55.296050,
      116.442025,
      55.229411,
      116.472611,
      55.145512,
      116.622878,
      55.111757,
      116.720898,
      55.122438,
      116.754652,
      55.034264,
      116.841168,
      54.985848,
      116.806939,
      54.980608,
      116.869931,
      54.964357,
      116.841727,
      54.946487,
      116.890871,
      54.919428,
      116.860461,
      54.877336,
      116.874775,
      54.866923,
      116.912579,
      54.812240,
      116.892077,
      54.799012,
      116.921730,
      54.771753,
      116.849861,
      54.704146,
      116.873343,
      54.664359,
      116.746971,
      54.615344,
      116.748816,
      54.606544,
      116.780589,
      54.566196,
      116.693298,
      54.528621,
      116.719577,
      54.504856,
      116.647100,
      54.517872,
      116.519897,
      54.460017,
      116.516597,
      54.502702,
      116.399735,
      54.509781,
      116.346122,
      54.487546,
      116.316455,
      54.508488,
      116.262597,
      54.489046,
      116.240884,
      54.511465,
      116.175918,
      54.478950,
      116.113330,
      54.481267,
      116.013593,
      54.455146,
      115.976409,
      54.472354,
      115.935568,
      54.414332,
      115.603014,
      54.383452,
      115.583378,
      54.367874,
      115.488813,
      54.348013,
      115.490244,
      54.348013,
      115.212170,
      55.396315,
      115.212170
    ]);
    poly[2930] = _TzPolygon([
      51.203105,
      119.759272,
      51.212699,
      119.752479,
      51.214193,
      119.815186,
      51.280300,
      119.803878,
      51.296921,
      119.874603,
      51.337481,
      119.878295,
      51.360842,
      119.939571,
      51.389021,
      119.902273,
      51.399635,
      119.964553,
      51.453556,
      119.995363,
      51.504339,
      119.978094,
      51.551271,
      120.044391,
      51.583633,
      120.027594,
      51.632264,
      120.051622,
      51.648986,
      120.095284,
      51.678319,
      120.080365,
      51.678070,
      120.166746,
      51.783476,
      120.308453,
      51.827275,
      120.412408,
      51.203105,
      120.412408
    ]);
    poly[2931] = _TzPolygon([
      52.624156,
      120.412408,
      52.615246,
      120.390908,
      52.622108,
      120.282019,
      52.577037,
      120.184611,
      52.586053,
      120.061967,
      52.635457,
      120.026767,
      52.707215,
      120.061844,
      52.776256,
      120.026644,
      52.808121,
      120.179176,
      52.860983,
      120.280824,
      52.980179,
      120.412408
    ]);
    poly[2932] = _TzPolygon([
      53.299710,
      121.071700,
      53.286856,
      121.035504,
      53.292694,
      120.875015,
      53.266378,
      120.812574,
      53.238667,
      120.832706,
      53.175149,
      120.684644,
      53.103924,
      120.636034,
      53.080457,
      120.555259,
      53.002400,
      120.436938,
      52.980179,
      120.412408,
      53.299710,
      120.412408
    ]);
    poly[2933] = _TzPolygon([
      52.624156,
      120.412408,
      52.643464,
      120.458999,
      52.543974,
      120.722281,
      52.510534,
      120.680434,
      52.428941,
      120.683567,
      52.353465,
      120.614206,
      52.312165,
      120.631019,
      52.255407,
      120.751631,
      52.204451,
      120.739055,
      52.158516,
      120.779509,
      52.078210,
      120.745762,
      52.040886,
      120.681633,
      52.007235,
      120.711839,
      51.922725,
      120.647580,
      51.912219,
      120.550504,
      51.877986,
      120.535520,
      51.882527,
      120.469709,
      51.851470,
      120.469833,
      51.827275,
      120.412408
    ]);
    poly[2934] = _TzPolygon([
      53.299710,
      121.273491,
      53.279163,
      121.226536,
      53.275227,
      121.121786,
      53.299710,
      121.093843
    ]);
    poly[2935] = _TzPolygon(
        [53.299710, 121.071700, 53.305306, 121.087457, 53.299710, 121.093843]);
    poly[2936] = _TzPolygon([
      53.299710,
      121.273491,
      53.323185,
      121.327137,
      53.321982,
      121.445563,
      53.426263,
      121.870986,
      53.420539,
      122.078903,
      53.461049,
      122.145820,
      53.299710,
      122.145820
    ]);
    poly[2937] = _TzPolygon([
      54.348013,
      121.684855,
      54.348013,
      122.145820,
      53.458529,
      122.145820,
      53.431497,
      122.111783,
      53.443683,
      122.089352,
      53.616665,
      121.947716,
      53.703721,
      121.973181,
      53.729586,
      121.932177,
      53.826615,
      121.946312,
      53.955390,
      121.846679,
      53.966071,
      121.809061,
      53.936379,
      121.774673,
      54.020499,
      121.656365,
      54.092671,
      121.625992,
      54.134367,
      121.654259,
      54.142112,
      121.730238,
      54.175584,
      121.779210,
      54.222464,
      121.712911,
      54.282105,
      121.747395,
      54.339042,
      121.711361
    ]);
    poly[2938] = _TzPolygon([
      54.348013,
      121.684855,
      54.357817,
      121.655885,
      54.404940,
      121.689548,
      54.447627,
      121.814429,
      54.417087,
      121.890032,
      54.388049,
      121.881064,
      54.378590,
      121.940807,
      54.411440,
      122.126100,
      54.448081,
      122.144886,
      54.549780,
      122.025519,
      54.570616,
      121.928720,
      54.629767,
      121.939170,
      54.655439,
      121.888911,
      54.713422,
      121.937792,
      54.810766,
      121.907745,
      54.767798,
      121.728266,
      54.730370,
      121.699114,
      54.729098,
      121.664314,
      54.764774,
      121.640328,
      54.834498,
      121.667207,
      54.896420,
      121.791475,
      54.963903,
      121.852999,
      55.000532,
      121.959649,
      55.091264,
      121.950250,
      55.119523,
      121.913876,
      55.199074,
      122.035240,
      55.232939,
      121.943818,
      55.279089,
      121.940285,
      55.312551,
      121.985257,
      55.374333,
      121.960947,
      55.396315,
      121.975265,
      55.396315,
      122.145820,
      54.348013,
      122.145820
    ]);
    poly[2939] = _TzPolygon([
      57.492920,
      116.945583,
      56.794894,
      116.945583,
      56.738129,
      116.752826,
      56.780511,
      116.696121,
      56.757524,
      116.646526,
      56.773756,
      116.520988,
      56.803241,
      116.506379,
      56.815081,
      116.419602,
      56.870616,
      116.321072,
      56.829235,
      116.230002,
      56.826329,
      116.079949,
      56.879636,
      116.017217,
      56.870410,
      115.979648,
      56.961793,
      115.756437,
      56.878803,
      115.585007,
      56.720764,
      115.591908,
      56.664228,
      115.428119,
      56.606072,
      115.411967,
      56.573546,
      115.519420,
      56.571922,
      115.678202,
      56.497377,
      115.684469,
      56.431643,
      115.804804,
      56.402931,
      115.787842,
      56.428679,
      115.721458,
      56.411658,
      115.679365,
      56.301913,
      115.669850,
      56.179059,
      115.763795,
      56.153975,
      115.829550,
      56.134702,
      115.820019,
      56.128904,
      115.755071,
      56.083874,
      115.787704,
      56.057195,
      115.749030,
      55.987468,
      115.778615,
      55.925914,
      115.905778,
      55.854919,
      115.835376,
      55.739043,
      115.864979,
      55.677994,
      115.829850,
      55.653677,
      115.907776,
      55.603153,
      115.875583,
      55.576992,
      115.917725,
      55.496234,
      115.876913,
      55.443252,
      115.961642,
      55.405995,
      115.902617,
      55.396315,
      115.916691,
      55.396315,
      115.212170,
      57.492920,
      115.212170
    ]);
    poly[2940] = _TzPolygon([
      57.492920,
      117.275729,
      57.480812,
      117.281669,
      57.466952,
      117.339332,
      57.364109,
      117.344629,
      57.343158,
      117.374485,
      57.363009,
      117.449115,
      57.289608,
      117.416423,
      57.260102,
      117.449099,
      57.273248,
      117.545617,
      57.354803,
      117.581859,
      57.322748,
      117.629674,
      57.319355,
      117.778770,
      57.209258,
      117.720991,
      57.167192,
      117.576007,
      57.088756,
      117.676379,
      57.043660,
      117.680267,
      56.973610,
      117.630625,
      56.954694,
      117.547626,
      56.865305,
      117.560692,
      56.894847,
      117.500066,
      56.836492,
      117.452256,
      56.845818,
      117.399742,
      56.965178,
      117.320665,
      56.894534,
      117.178051,
      56.819091,
      117.117866,
      56.825804,
      117.009017,
      56.789250,
      117.017671,
      56.801754,
      116.968877,
      56.794894,
      116.945583,
      57.492920,
      116.945583
    ]);
    poly[2941] = _TzPolygon([
      58.541222,
      116.945583,
      58.541222,
      118.678995,
      58.178859,
      118.678995,
      58.232497,
      118.576851,
      58.227584,
      118.476538,
      58.257591,
      118.476253,
      58.289434,
      118.387845,
      58.397680,
      118.254371,
      58.400230,
      118.120773,
      58.365524,
      118.081360,
      58.423339,
      118.001544,
      58.409771,
      117.871123,
      58.437393,
      117.827541,
      58.415135,
      117.794770,
      58.429560,
      117.678589,
      58.373196,
      117.622980,
      58.325672,
      117.471564,
      58.185099,
      117.594540,
      58.144809,
      117.577772,
      58.175259,
      117.450152,
      58.143710,
      117.411275,
      58.105505,
      117.432976,
      58.079276,
      117.396141,
      57.941240,
      117.382514,
      57.929893,
      117.431708,
      57.902287,
      117.353057,
      57.864469,
      117.346079,
      57.878009,
      117.277283,
      57.857850,
      117.225682,
      57.860793,
      117.119853,
      57.826288,
      117.076407,
      57.769668,
      117.181607,
      57.649512,
      117.137139,
      57.662298,
      117.176464,
      57.634905,
      117.248037,
      57.634848,
      117.335114,
      57.597958,
      117.310984,
      57.559376,
      117.342440,
      57.560297,
      117.280235,
      57.535626,
      117.254777,
      57.492920,
      117.275729,
      57.492920,
      116.945583
    ]);
    poly[2942] = _TzPolygon(
        [59.168763, 118.678995, 59.183479, 118.669658, 59.190851, 118.678995]);
    poly[2943] = _TzPolygon([
      59.440846,
      118.678995,
      59.450808,
      118.589584,
      59.485821,
      118.539956,
      59.513459,
      118.388426,
      59.589524,
      118.355136,
      59.589524,
      118.678995
    ]);
    poly[2944] = _TzPolygon([
      59.589524,
      118.035592,
      59.575435,
      118.031290,
      59.540070,
      117.938673,
      59.498989,
      117.970239,
      59.450716,
      117.912561,
      59.463379,
      117.872094,
      59.446015,
      117.824401,
      59.565841,
      117.774007,
      59.541663,
      117.647351,
      59.477549,
      117.569694,
      59.524978,
      117.452013,
      59.513227,
      117.249340,
      59.582705,
      117.193248,
      59.589524,
      117.172824
    ]);
    poly[2945] = _TzPolygon([
      55.874830,
      120.412408,
      55.873673,
      120.406083,
      55.881864,
      120.340913,
      55.919938,
      120.347336,
      55.935482,
      120.238749,
      55.866488,
      120.119443,
      55.912514,
      120.121667,
      55.935283,
      120.083189,
      55.957798,
      120.124822,
      56.023623,
      120.130460,
      56.108902,
      120.032566,
      56.155957,
      120.036595,
      56.161339,
      120.118859,
      56.206924,
      120.175800,
      56.201037,
      120.291697,
      56.227479,
      120.316918,
      56.233380,
      120.412408
    ]);
    poly[2946] = _TzPolygon([
      56.312145,
      120.412408,
      56.316667,
      120.389820,
      56.337977,
      120.362491,
      56.363494,
      120.390666,
      56.403327,
      120.235379,
      56.444617,
      120.269200,
      56.444617,
      120.412408
    ]);
    poly[2947] = _TzPolygon([
      57.492920,
      119.395777,
      57.435766,
      119.399279,
      57.383468,
      119.435958,
      57.351368,
      119.538448,
      57.236038,
      119.602753,
      57.176301,
      119.692569,
      57.135131,
      119.606924,
      57.034643,
      119.587993,
      56.990718,
      119.666504,
      56.987205,
      119.781359,
      56.896079,
      119.856140,
      56.856193,
      119.817815,
      56.826434,
      119.701073,
      56.757026,
      119.655391,
      56.732244,
      119.696473,
      56.733397,
      119.776596,
      56.696059,
      119.779355,
      56.685066,
      119.881064,
      56.596617,
      119.796982,
      56.566011,
      119.833166,
      56.550599,
      119.923512,
      56.494293,
      119.946155,
      56.500828,
      120.089185,
      56.461659,
      120.219505,
      56.479057,
      120.250100,
      56.461713,
      120.283203,
      56.444617,
      120.269200,
      56.444617,
      118.678995,
      57.492920,
      118.678995
    ]);
    poly[2948] = _TzPolygon([
      56.312145,
      120.412408,
      56.287492,
      120.535543,
      56.237848,
      120.484722,
      56.233380,
      120.412408
    ]);
    poly[2949] = _TzPolygon([
      55.874830,
      120.412408,
      55.886741,
      120.477546,
      55.929950,
      120.475913,
      55.930567,
      120.633166,
      55.966889,
      120.657889,
      55.977042,
      120.778611,
      56.029839,
      120.884480,
      56.016634,
      120.959190,
      56.042642,
      120.990125,
      56.009329,
      121.045408,
      56.041153,
      121.203585,
      55.939731,
      121.270591,
      55.880110,
      121.246779,
      55.811218,
      121.343647,
      55.734866,
      121.298557,
      55.607218,
      121.361110,
      55.522041,
      121.342017,
      55.490687,
      121.473958,
      55.522358,
      121.481649,
      55.525772,
      121.607495,
      55.614257,
      121.696744,
      55.632846,
      121.771556,
      55.610691,
      121.843193,
      55.619519,
      121.899497,
      55.515501,
      121.946427,
      55.490895,
      121.993862,
      55.396315,
      121.967154,
      55.396315,
      120.412408
    ]);
    poly[2950] = _TzPolygon([
      58.182496,
      118.678995,
      58.230418,
      118.807119,
      58.228867,
      118.944694,
      58.255210,
      119.046778,
      58.230071,
      119.128751,
      58.159337,
      119.192662,
      58.097355,
      119.143508,
      58.044775,
      119.184517,
      57.968640,
      119.109233,
      57.833989,
      119.104475,
      57.747557,
      119.043871,
      57.726167,
      119.058217,
      57.717805,
      119.167474,
      57.649476,
      119.141664,
      57.589429,
      119.179844,
      57.554995,
      119.141290,
      57.505808,
      119.206759,
      57.595776,
      119.270364,
      57.616684,
      119.326316,
      57.621703,
      119.416971,
      57.599544,
      119.502115,
      57.537465,
      119.476145,
      57.492920,
      119.395777,
      57.492920,
      118.678995
    ]);
    poly[2951] = _TzPolygon([
      58.541222,
      118.678995,
      58.541222,
      118.999058,
      58.527481,
      119.016512,
      58.516282,
      119.120441,
      58.367919,
      119.061983,
      58.295234,
      119.139315,
      58.236950,
      119.113806,
      58.255210,
      119.046778,
      58.228867,
      118.944694,
      58.230418,
      118.807119,
      58.178859,
      118.678995
    ]);
    poly[2952] = _TzPolygon([
      59.440024,
      118.678995,
      59.430420,
      118.758627,
      59.345128,
      118.748801,
      59.315540,
      118.836916,
      59.190851,
      118.678995
    ]);
    poly[2953] = _TzPolygon([
      59.168763,
      118.678995,
      59.117736,
      118.711372,
      59.057558,
      118.696272,
      59.036482,
      118.841280,
      58.964869,
      118.872523,
      58.946722,
      118.849692,
      58.950215,
      118.763634,
      58.921492,
      118.749651,
      58.826634,
      118.873260,
      58.664272,
      118.827421,
      58.629187,
      118.754963,
      58.603192,
      118.853257,
      58.569793,
      118.887996,
      58.579385,
      118.950582,
      58.541222,
      118.999058,
      58.541222,
      118.678995
    ]);
    poly[2954] = _TzPolygon([
      60.460705,
      115.212170,
      60.490171,
      115.212785,
      60.514324,
      115.306596,
      60.496469,
      115.417318,
      60.548386,
      115.731196,
      60.517455,
      115.768749,
      60.522562,
      115.876765,
      60.497533,
      115.861108,
      60.492523,
      115.902917,
      60.452969,
      115.919355,
      60.469058,
      116.005434,
      60.456175,
      116.084679,
      60.429603,
      116.167005,
      60.394096,
      116.183900,
      60.409948,
      116.289715,
      60.371132,
      116.355832,
      60.382068,
      116.594034,
      60.293036,
      116.609848,
      60.279590,
      116.759277,
      60.243856,
      116.778049,
      60.199035,
      116.934616,
      60.153014,
      116.930820,
      60.102927,
      117.011924,
      60.047808,
      116.990159,
      60.027560,
      117.130037,
      60.057423,
      117.264106,
      60.024205,
      117.347190,
      60.008350,
      117.349589,
      59.972628,
      117.077473,
      59.919184,
      117.007274,
      59.868453,
      117.098245,
      59.872802,
      117.225554,
      59.748355,
      117.227587,
      59.717437,
      117.175099,
      59.681404,
      117.205544,
      59.609812,
      117.112064,
      59.589524,
      117.172824,
      59.589524,
      115.212170
    ]);
    poly[2955] = _TzPolygon([
      59.589524,
      118.035592,
      59.642211,
      118.051681,
      59.623773,
      118.078614,
      59.651835,
      118.248135,
      59.622342,
      118.340773,
      59.589524,
      118.355136
    ]);
    poly[2956] = _TzPolygon([
      46.076950,
      141.034788,
      46.094036,
      141.000102,
      46.164041,
      140.938970,
      46.252628,
      140.922056,
      46.348235,
      140.939573,
      46.420316,
      141.001179,
      46.436253,
      141.034788
    ]);
    poly[2957] = _TzPolygon([
      41.606056,
      139.077770,
      42.253879,
      139.152006,
      42.723755,
      139.594663,
      43.443993,
      140.103007,
      43.512483,
      140.198750,
      43.837926,
      141.034788,
      41.672352,
      141.034788,
      41.658899,
      140.968848,
      41.692182,
      140.873095,
      41.606056,
      140.710377
    ]);
    poly[2958] = _TzPolygon([
      44.016180,
      141.034788,
      44.388362,
      141.012442,
      45.401188,
      140.683491,
      45.513336,
      140.676405,
      45.612885,
      140.721413,
      45.681482,
      140.826827,
      45.704006,
      140.927526,
      45.707009,
      141.034788
    ]);
    poly[2959] = _TzPolygon([
      43.837926,
      141.034788,
      43.841997,
      141.045246,
      44.016180,
      141.034788,
      45.707009,
      141.034788,
      45.711205,
      141.184621,
      45.569861,
      141.978719,
      45.505103,
      142.038837,
      45.429941,
      142.432748,
      45.172601,
      142.738202,
      44.884094,
      142.964477,
      44.644142,
      143.295163,
      44.524007,
      143.527513,
      44.462166,
      143.600038,
      44.391986,
      143.801313,
      44.335512,
      144.023217,
      44.287828,
      144.379464,
      44.221133,
      144.480758,
      44.126835,
      144.531240,
      44.119034,
      144.658218,
      44.137598,
      144.690191,
      44.409620,
      145.050145,
      42.789157,
      145.050145,
      42.758432,
      144.958576,
      42.733501,
      144.789701,
      42.740141,
      144.467783,
      42.788519,
      144.250550,
      42.723855,
      144.098404,
      42.500304,
      143.790319,
      42.340289,
      143.640540,
      42.013887,
      143.576157,
      41.847668,
      143.510155,
      41.767885,
      143.438806,
      41.722166,
      143.325917,
      41.716708,
      143.229285,
      41.740824,
      143.127132,
      41.890708,
      142.924361,
      42.092342,
      142.358641,
      42.273176,
      142.031526,
      42.312152,
      141.889654,
      42.380822,
      141.783698,
      42.411784,
      141.577966,
      42.263589,
      141.297422,
      41.834440,
      141.454039,
      41.747637,
      141.444705,
      41.682614,
      141.401685,
      41.682951,
      141.086742,
      41.672352,
      141.034788
    ]);
    poly[2960] = _TzPolygon([
      53.699049,
      141.034788,
      53.593968,
      141.389080,
      53.591078,
      141.468257,
      53.338288,
      141.591707,
      53.238288,
      141.708374,
      53.163288,
      141.636707,
      52.428287,
      141.523373,
      52.126620,
      141.590040,
      51.561333,
      141.414405,
      51.448342,
      141.212219,
      51.283195,
      141.145574,
      51.195380,
      141.034788
    ]);
    poly[2961] = _TzPolygon([
      44.409620,
      145.050145,
      44.521730,
      145.198495,
      44.544060,
      145.360646,
      44.501895,
      145.512129,
      44.425985,
      145.599605,
      44.301610,
      145.637497,
      44.132048,
      145.513883,
      43.940427,
      145.320125,
      43.839732,
      145.276359,
      43.735557,
      145.278751,
      43.623300,
      145.447358,
      43.502050,
      145.759416,
      43.381511,
      145.841593,
      43.225391,
      146.008308,
      43.056693,
      145.787055,
      42.996209,
      145.667228,
      42.789157,
      145.050145
    ]);
    poly[2962] = _TzPolygon([
      61.084770,
      137.019431,
      61.084770,
      138.340334,
      60.991823,
      138.356225,
      60.954915,
      138.269092,
      60.857035,
      138.206922,
      60.818167,
      138.282988,
      60.738083,
      138.312799,
      60.703656,
      138.428956,
      60.620655,
      138.396839,
      60.604217,
      138.331997,
      60.561135,
      138.359918,
      60.492994,
      138.318036,
      60.481167,
      138.267445,
      60.401549,
      138.335627,
      60.319131,
      138.319266,
      60.277814,
      138.213216,
      60.208225,
      138.178095,
      60.173035,
      138.239475,
      60.101969,
      138.211655,
      60.068806,
      138.262422,
      59.973723,
      138.224759,
      59.935143,
      138.265903,
      59.914190,
      138.194355,
      59.826788,
      138.175704,
      59.814601,
      138.219745,
      59.730602,
      138.220017,
      59.705773,
      138.272096,
      59.683585,
      138.210209,
      59.643384,
      138.208478,
      59.656454,
      138.031542,
      59.748742,
      138.080892,
      59.824763,
      138.031175,
      59.740811,
      137.898769,
      59.758248,
      137.818526,
      59.747926,
      137.613578,
      59.645583,
      137.449811,
      59.592533,
      137.448996,
      59.555090,
      137.499544,
      59.541673,
      137.354726,
      59.440205,
      137.178615,
      59.451898,
      137.103276,
      59.433035,
      137.019431
    ]);
    poly[2963] = _TzPolygon([
      61.084770,
      138.340334,
      61.107432,
      138.336460,
      61.099381,
      138.397131,
      61.207081,
      138.703255,
      61.226987,
      138.651092,
      61.279826,
      138.635989,
      61.336687,
      138.733418,
      61.313665,
      138.770495,
      61.332445,
      138.867912,
      61.315580,
      138.970095,
      61.339559,
      139.015303,
      61.084770,
      139.015303
    ]);
    poly[2964] = _TzPolygon([
      62.207551,
      139.015303,
      62.207551,
      140.315372,
      62.185250,
      140.334476,
      62.110256,
      140.315923,
      62.068294,
      140.241325,
      62.037808,
      140.275988,
      62.015144,
      140.175297,
      61.968638,
      140.117320,
      61.988077,
      140.040502,
      61.976614,
      139.987641,
      61.804024,
      139.937559,
      61.698964,
      139.781382,
      61.639539,
      139.775756,
      61.633443,
      139.735555,
      61.658597,
      139.734157,
      61.662242,
      139.692293,
      61.473609,
      139.553758,
      61.465204,
      139.497078,
      61.494965,
      139.445755,
      61.430494,
      139.301457,
      61.432070,
      139.056696,
      61.364698,
      139.062698,
      61.339559,
      139.015303
    ]);
    poly[2965] = _TzPolygon([
      63.330332,
      139.889553,
      63.330332,
      141.011174,
      62.479321,
      141.011174,
      62.475898,
      140.994842,
      62.531746,
      140.834571,
      62.513493,
      140.744714,
      62.416743,
      140.667610,
      62.414041,
      140.556801,
      62.486081,
      140.479002,
      62.529150,
      140.517197,
      62.571999,
      140.322103,
      62.643789,
      140.270305,
      62.650494,
      140.308414,
      62.663089,
      140.218506,
      62.689407,
      140.219622,
      62.711550,
      140.094995,
      62.685016,
      139.885826,
      62.654476,
      139.888830,
      62.650691,
      139.833126,
      62.682496,
      139.836109,
      62.681143,
      139.802688,
      62.771639,
      139.713506,
      62.781522,
      139.575570,
      62.807656,
      139.555829,
      62.921214,
      139.712973,
      62.944787,
      139.705065,
      62.944480,
      139.597351,
      62.962102,
      139.589760,
      63.026360,
      139.641475,
      63.191869,
      139.622673,
      63.278956,
      139.727391
    ]);
    poly[2966] = _TzPolygon([
      62.207551,
      140.333761,
      62.218828,
      140.335828,
      62.246608,
      140.281914,
      62.373793,
      140.341380,
      62.378302,
      140.391467,
      62.416213,
      140.422095,
      62.407903,
      140.646096,
      62.453594,
      140.724091,
      62.481901,
      140.703909,
      62.513493,
      140.744714,
      62.531746,
      140.834571,
      62.475898,
      140.994842,
      62.479321,
      141.011174,
      62.207551,
      141.011174
    ]);
    poly[2967] = _TzPolygon([
      63.330332,
      139.889553,
      63.344814,
      139.935264,
      63.395423,
      139.974071,
      63.498438,
      140.241058,
      63.525336,
      140.512347,
      63.501679,
      140.642145,
      63.686409,
      140.675297,
      63.720621,
      140.553675,
      63.799516,
      140.561861,
      63.867777,
      140.683797,
      63.884604,
      140.875454,
      64.000842,
      140.795830,
      64.096238,
      140.826879,
      64.105737,
      140.781979,
      64.166454,
      140.788754,
      64.206634,
      140.509362,
      64.312065,
      140.337422,
      64.369749,
      140.060865,
      64.453113,
      140.308293,
      64.453113,
      141.011174,
      63.330332,
      141.011174
    ]);
    poly[2968] = _TzPolygon([
      65.575894,
      140.264941,
      65.555041,
      140.322814,
      65.472870,
      140.150828,
      65.500069,
      140.100868,
      65.478321,
      139.932286,
      65.361853,
      139.832155,
      65.340667,
      139.741623,
      65.243497,
      139.579611,
      65.178192,
      139.568483,
      65.156835,
      139.478795,
      65.074245,
      139.440903,
      65.022736,
      139.355014,
      64.946020,
      139.445689,
      64.922803,
      139.562134,
      64.849630,
      139.639835,
      64.860663,
      139.661422,
      64.787273,
      139.879346,
      64.636638,
      140.127268,
      64.611478,
      140.220909,
      64.618286,
      140.290861,
      64.573437,
      140.345879,
      64.573730,
      140.408285,
      64.492215,
      140.424349,
      64.453113,
      140.308293,
      64.453113,
      139.015303,
      65.575894,
      139.015303
    ]);
    poly[2969] = _TzPolygon([
      65.575894,
      141.011174,
      65.565149,
      140.966666,
      65.527847,
      140.998593,
      65.552831,
      140.812975,
      65.524819,
      140.622843,
      65.555786,
      140.459419,
      65.555041,
      140.322814,
      65.575894,
      140.264941
    ]);
    poly[2970] = _TzPolygon([
      60.204844,
      146.109588,
      60.202118,
      145.938378,
      60.170272,
      145.857411,
      60.311641,
      145.561934,
      60.360310,
      145.658800,
      60.388140,
      145.657323,
      60.414645,
      145.637327,
      60.422181,
      145.530051,
      60.455540,
      145.525005,
      60.496357,
      145.530554,
      60.517542,
      145.640722,
      60.556981,
      145.645282,
      60.594978,
      145.713609,
      60.617962,
      145.928521,
      60.655805,
      145.920307,
      60.658376,
      145.982425,
      60.736039,
      146.081722,
      60.738499,
      146.109588
    ]);
    poly[2971] = _TzPolygon([
      61.832713,
      143.975059,
      61.832713,
      144.411347,
      61.786220,
      144.363311,
      61.766743,
      144.246610,
      61.727803,
      144.223743,
      61.756359,
      144.148065,
      61.733848,
      144.115485,
      61.754986,
      143.944683
    ]);
    poly[2972] = _TzPolygon(
        [61.832713, 144.498961, 61.820931, 144.454055, 61.832713, 144.413953]);
    poly[2973] = _TzPolygon([
      62.479321,
      141.011174,
      62.489834,
      141.061325,
      62.396811,
      141.127432,
      62.416705,
      141.174550,
      62.399386,
      141.218220,
      62.416314,
      141.314379,
      62.302541,
      141.421017,
      62.276988,
      141.507518,
      62.155529,
      141.559283,
      62.141878,
      141.632858,
      62.077157,
      141.732169,
      62.083845,
      141.853931,
      62.011204,
      141.843736,
      62.038657,
      141.931190,
      62.020176,
      142.001710,
      62.074213,
      142.173402,
      62.039408,
      142.189842,
      62.017924,
      142.266965,
      61.966500,
      142.265991,
      61.958573,
      142.397509,
      61.927136,
      142.425055,
      61.903633,
      142.394156,
      61.871580,
      142.450571,
      61.973091,
      142.713342,
      61.943897,
      142.788418,
      61.947566,
      142.847529,
      61.906898,
      142.892480,
      61.896761,
      142.954134,
      61.914842,
      143.006472,
      61.972166,
      143.011443,
      62.059373,
      143.153418,
      62.088981,
      143.114281,
      62.117471,
      143.229693,
      62.034158,
      143.332546,
      62.021878,
      143.413333,
      62.053844,
      143.506246,
      62.040212,
      143.560381,
      61.832713,
      143.560381,
      61.832713,
      141.011174
    ]);
    poly[2974] = _TzPolygon([
      65.072191,
      143.560381,
      65.069763,
      143.504044,
      65.109223,
      143.521133,
      65.159425,
      143.324195,
      65.175448,
      143.137382,
      65.158764,
      143.011058,
      65.178189,
      142.957979,
      65.275609,
      142.927080,
      65.328105,
      142.783362,
      65.334197,
      142.717811,
      65.304594,
      142.638315,
      65.327574,
      142.566949,
      65.357715,
      142.071832,
      65.383743,
      142.055519,
      65.393875,
      141.868957,
      65.450299,
      141.808502,
      65.455163,
      141.751829,
      65.435620,
      141.692966,
      65.452794,
      141.489801,
      65.439046,
      141.433974,
      65.473280,
      141.391418,
      65.460680,
      141.346001,
      65.527255,
      141.082106,
      65.575894,
      141.011174,
      65.575894,
      143.560381
    ]);
    poly[2975] = _TzPolygon([
      62.047732,
      144.834984,
      62.036121,
      144.761340,
      62.085814,
      144.728624,
      62.119957,
      144.834984
    ]);
    poly[2976] = _TzPolygon([
      62.040212,
      143.560381,
      62.018704,
      143.645788,
      61.944507,
      143.598002,
      61.857208,
      143.644318,
      61.867838,
      143.696186,
      61.904000,
      143.698927,
      61.905865,
      143.769793,
      61.954826,
      143.777093,
      61.994276,
      143.922257,
      61.917156,
      143.941437,
      61.895227,
      143.999489,
      61.832713,
      143.975059,
      61.832713,
      143.560381
    ]);
    poly[2977] = _TzPolygon([
      61.832713,
      144.498961,
      61.844803,
      144.545043,
      61.878619,
      144.527015,
      61.905439,
      144.619817,
      61.973206,
      144.582979,
      62.045622,
      144.722484,
      62.036407,
      144.772073,
      62.054000,
      144.834984,
      61.832713,
      144.834984
    ]);
    poly[2978] = _TzPolygon([
      62.768508,
      145.363317,
      62.746697,
      145.353052,
      62.707404,
      145.456575,
      62.683367,
      145.390963,
      62.632283,
      145.450266,
      62.606996,
      145.388515,
      62.547852,
      145.472286,
      62.534817,
      145.472286,
      62.499477,
      145.384511,
      62.524373,
      145.277998,
      62.473603,
      145.217012,
      62.490313,
      145.175538,
      62.478539,
      145.137654,
      62.438459,
      145.189467,
      62.397267,
      145.149231,
      62.333696,
      145.207517,
      62.301887,
      145.209325,
      62.299288,
      145.165404,
      62.275526,
      145.196193,
      62.268051,
      145.126248,
      62.234610,
      145.098984,
      62.238915,
      144.990204,
      62.156606,
      144.986845,
      62.158284,
      144.877620,
      62.133396,
      144.876847,
      62.121943,
      144.834984,
      62.768508,
      144.834984
    ]);
    poly[2979] = _TzPolygon([
      62.054000,
      144.834984,
      62.059789,
      144.855687,
      62.063902,
      144.971157,
      62.007548,
      145.024017,
      62.002154,
      145.144669,
      61.964145,
      145.210803,
      62.005360,
      145.290614,
      61.976358,
      145.397538,
      61.988265,
      145.461918,
      61.949297,
      145.454226,
      61.954831,
      145.472286,
      61.832713,
      145.472286,
      61.832713,
      144.834984
    ]);
    poly[2980] = _TzPolygon(
        [62.547852, 145.472286, 62.539551, 145.484044, 62.534817, 145.472286]);
    poly[2981] = _TzPolygon([
      61.954831,
      145.472286,
      61.965431,
      145.506879,
      61.949858,
      145.538588,
      61.979670,
      145.561317,
      61.982779,
      145.641079,
      62.058035,
      145.650628,
      62.036019,
      145.698648,
      62.043432,
      145.746282,
      62.001172,
      145.820575,
      62.004494,
      145.965418,
      61.944664,
      146.018746,
      61.957471,
      146.091533,
      61.936768,
      146.099522,
      61.936132,
      146.109588,
      61.832713,
      146.109588,
      61.832713,
      145.472286
    ]);
    poly[2982] = _TzPolygon([
      62.768508,
      146.109588,
      62.768508,
      145.363317,
      62.866673,
      145.409515,
      63.007889,
      145.343242,
      63.020976,
      145.282752,
      63.050642,
      145.316205,
      63.159704,
      145.249320,
      63.242875,
      145.257862,
      63.308217,
      145.393119,
      63.378699,
      145.440458,
      63.544239,
      145.482224,
      63.671708,
      145.675187,
      63.704303,
      145.673148,
      63.704303,
      146.109588
    ]);
    poly[2983] = _TzPolygon([
      63.704303,
      146.109588,
      63.704303,
      145.673148,
      63.774762,
      145.668741,
      63.807865,
      145.567507,
      63.881252,
      145.830978,
      63.920515,
      146.109588
    ]);
    poly[2984] = _TzPolygon([
      64.226086,
      146.109588,
      64.238419,
      146.077507,
      64.273494,
      146.061680,
      64.356391,
      145.870650,
      64.434920,
      145.766920,
      64.416506,
      145.587737,
      64.455577,
      145.482621,
      64.436191,
      145.327004,
      64.544346,
      145.140831,
      64.532360,
      144.987498,
      64.568976,
      144.918234,
      64.572821,
      144.733194,
      64.656705,
      144.534245,
      64.716817,
      144.663870,
      64.775643,
      144.696014,
      64.865922,
      144.534695,
      64.890400,
      144.353292,
      65.036998,
      144.231632,
      65.016482,
      144.151401,
      65.032783,
      144.053569,
      65.018589,
      144.011272,
      65.049964,
      143.946394,
      65.032788,
      143.770860,
      65.075363,
      143.633966,
      65.072191,
      143.560381,
      65.575894,
      143.560381,
      65.575894,
      146.109588
    ]);
    poly[2985] = _TzPolygon([
      60.202423,
      146.109588,
      60.202536,
      146.173179,
      60.244643,
      146.313531,
      60.241535,
      146.408265,
      60.217274,
      146.410521,
      60.185272,
      146.495814,
      60.097224,
      146.537469,
      60.115943,
      146.615923,
      60.087294,
      146.689112,
      59.979076,
      146.697495,
      59.905055,
      146.800770,
      59.951859,
      146.942227,
      59.947898,
      147.039270,
      59.930842,
      147.063037,
      59.914996,
      147.028113,
      59.888814,
      147.116025,
      59.838928,
      147.165654,
      59.796661,
      147.146468,
      59.735326,
      147.216789,
      59.696005,
      147.126050,
      59.643890,
      147.176823,
      59.502519,
      147.148218,
      59.456789,
      147.093555,
      59.408988,
      147.111805,
      59.386202,
      146.936720,
      59.146534,
      146.912474,
      59.010967,
      146.501499,
      58.950622,
      146.162739,
      58.948156,
      146.109588
    ]);
    poly[2986] = _TzPolygon([
      61.936132,
      146.109588,
      61.933111,
      146.157411,
      61.906977,
      146.140272,
      61.899087,
      146.238214,
      61.855898,
      146.243610,
      61.855484,
      146.317767,
      61.806001,
      146.388651,
      61.779278,
      146.363581,
      61.719859,
      146.461194,
      61.689025,
      146.456956,
      61.637278,
      146.595483,
      61.532831,
      146.578916,
      61.468033,
      146.740371,
      61.404102,
      146.686745,
      61.401813,
      146.751545,
      61.305145,
      146.697720,
      61.235168,
      146.753437,
      61.154320,
      146.728922,
      61.096601,
      146.763776,
      61.093608,
      146.689305,
      61.061142,
      146.661491,
      61.004434,
      146.755915,
      60.948713,
      146.702971,
      60.940204,
      146.498289,
      60.854911,
      146.495422,
      60.843728,
      146.535192,
      60.809335,
      146.480923,
      60.782917,
      146.495210,
      60.780891,
      146.451259,
      60.669921,
      146.441356,
      60.652664,
      146.336103,
      60.701852,
      146.197102,
      60.742770,
      146.157961,
      60.738499,
      146.109588
    ]);
    poly[2987] = _TzPolygon([
      65.575894,
      148.658794,
      64.417918,
      148.658794,
      64.450364,
      148.555713,
      64.509810,
      148.501199,
      64.528079,
      148.327615,
      64.442230,
      148.224911,
      64.410154,
      148.048407,
      64.293751,
      148.125090,
      64.220696,
      148.314505,
      64.200764,
      148.260942,
      64.152785,
      148.263517,
      64.102504,
      148.159692,
      64.024059,
      148.177329,
      64.006042,
      148.085413,
      63.936136,
      148.018343,
      63.947495,
      147.905540,
      63.969760,
      147.895041,
      63.950490,
      147.862753,
      63.953648,
      147.788405,
      64.010654,
      147.774178,
      64.011346,
      147.670816,
      64.066943,
      147.651769,
      64.116428,
      147.732926,
      64.178001,
      147.643774,
      64.145200,
      147.568192,
      64.114529,
      147.346753,
      64.086028,
      147.386534,
      64.018846,
      147.291925,
      64.134042,
      147.008641,
      64.151807,
      146.693260,
      64.189356,
      146.542709,
      64.208612,
      146.306104,
      64.186978,
      146.211311,
      64.226086,
      146.109588,
      65.575894,
      146.109588
    ]);
    poly[2988] = _TzPolygon([
      64.226086,
      146.109588,
      64.186978,
      146.211311,
      64.208612,
      146.306104,
      64.180676,
      146.383859,
      64.070100,
      146.333488,
      64.018673,
      146.229077,
      63.929353,
      146.172300,
      63.918516,
      146.109588
    ]);
    poly[2989] = _TzPolygon([
      64.351948,
      151.208001,
      64.359236,
      151.167177,
      64.332985,
      150.993956,
      64.339916,
      150.656663,
      64.304575,
      150.586888,
      64.267998,
      150.675331,
      64.175846,
      150.661676,
      64.166332,
      150.548820,
      64.213441,
      150.385114,
      64.218831,
      150.210973,
      64.264035,
      150.201630,
      64.281811,
      150.092778,
      64.350929,
      150.016771,
      64.428909,
      150.135027,
      64.469472,
      150.143723,
      64.496075,
      149.994194,
      64.542086,
      149.978222,
      64.562013,
      149.874067,
      64.472667,
      149.583392,
      64.405008,
      149.501145,
      64.419053,
      149.357905,
      64.376755,
      149.339492,
      64.381817,
      149.195211,
      64.423492,
      149.184066,
      64.431475,
      149.041135,
      64.402203,
      148.708723,
      64.417918,
      148.658794,
      65.575894,
      148.658794,
      65.575894,
      151.208001
    ]);
    poly[2990] = _TzPolygon([
      66.123916,
      137.019431,
      66.113174,
      137.049980,
      66.125388,
      137.110196,
      66.103660,
      137.261437,
      66.042879,
      137.318350,
      66.045998,
      137.544171,
      65.977069,
      137.697498,
      65.962177,
      137.988171,
      65.989269,
      138.121998,
      65.950984,
      138.208433,
      65.934645,
      138.378189,
      65.961703,
      138.515668,
      65.945501,
      138.683038,
      65.968406,
      138.793002,
      65.575894,
      138.793002,
      65.575894,
      137.019431
    ]);
    poly[2991] = _TzPolygon(
        [67.137034, 138.793002, 67.251814, 138.675352, 67.270513, 138.793002]);
    poly[2992] = _TzPolygon([
      65.968406,
      138.793002,
      66.014547,
      139.014516,
      66.023695,
      139.258747,
      65.986780,
      139.465433,
      65.847224,
      139.813099,
      65.835911,
      139.970362,
      65.868998,
      140.147030,
      65.802763,
      140.351717,
      65.736149,
      140.341918,
      65.654599,
      140.177261,
      65.607728,
      140.176593,
      65.575894,
      140.264941,
      65.575894,
      138.793002
    ]);
    poly[2993] = _TzPolygon([
      65.575894,
      140.264941,
      65.607728,
      140.176593,
      65.654599,
      140.177261,
      65.736149,
      140.341918,
      65.802763,
      140.351717,
      65.921351,
      140.024812,
      66.035961,
      140.084262,
      66.094055,
      139.853998,
      66.155754,
      139.862077,
      66.216055,
      139.729392,
      66.265334,
      139.699100,
      66.320262,
      139.990280,
      66.402986,
      140.074124,
      66.392086,
      140.224697,
      66.335440,
      140.429453,
      66.407065,
      140.533327,
      66.465392,
      140.536974,
      66.474060,
      140.524839,
      66.474060,
      140.566574,
      65.575894,
      140.566574
    ]);
    poly[2994] = _TzPolygon([
      67.137632,
      138.793002,
      67.133260,
      138.796871,
      67.124351,
      139.088531,
      67.086496,
      139.149974,
      67.097229,
      139.275479,
      67.074296,
      139.309170,
      67.073003,
      139.414988,
      66.875992,
      139.541278,
      66.796625,
      139.927850,
      66.698025,
      140.041009,
      66.685968,
      140.183326,
      66.627419,
      140.313540,
      66.492948,
      140.317968,
      66.478285,
      140.363254,
      66.490723,
      140.501510,
      66.474060,
      140.524839,
      66.474060,
      138.793002
    ]);
    poly[2995] = _TzPolygon([
      67.372225,
      138.928705,
      67.285758,
      138.888923,
      67.276051,
      138.793002,
      67.372225,
      138.793002
    ]);
    poly[2996] = _TzPolygon([
      67.372225,
      138.928705,
      67.402965,
      138.942848,
      67.443456,
      138.744079,
      67.516553,
      138.749774,
      67.586374,
      138.685080,
      67.547264,
      139.162948,
      67.658620,
      139.542761,
      67.776529,
      139.783902,
      67.792904,
      139.907069,
      67.876430,
      140.004637,
      67.850314,
      140.334206,
      67.887951,
      140.398235,
      67.850198,
      140.566574,
      67.372225,
      140.566574
    ]);
    poly[2997] = _TzPolygon([
      69.168556,
      141.486229,
      69.148290,
      141.480619,
      69.064860,
      141.594262,
      68.895637,
      141.657007,
      68.761681,
      141.808357,
      68.703411,
      141.448612,
      68.570120,
      141.384474,
      68.473790,
      141.105433,
      68.430835,
      141.117851,
      68.410217,
      140.914088,
      68.373298,
      140.898016,
      68.231630,
      141.051693,
      68.200305,
      141.161366,
      68.092311,
      141.011281,
      68.013870,
      141.079731,
      67.886885,
      141.056492,
      67.804575,
      141.343456,
      67.789850,
      141.268569,
      67.833495,
      141.128269,
      67.832185,
      140.878029,
      67.859794,
      140.741558,
      67.844294,
      140.592899,
      67.850198,
      140.566574,
      69.168556,
      140.566574
    ]);
    poly[2998] = _TzPolygon([
      70.964888,
      140.566574,
      70.964888,
      142.197842,
      70.946751,
      142.128837,
      70.915895,
      142.124383,
      70.831703,
      141.794327,
      70.768069,
      141.712450,
      70.741238,
      141.587366,
      70.679710,
      141.615339,
      70.648157,
      141.710707,
      70.145184,
      140.733442,
      69.989429,
      140.955369,
      69.998445,
      141.199435,
      69.917194,
      141.329919,
      69.857277,
      141.566053,
      69.883719,
      141.795021,
      69.873742,
      142.117679,
      69.788217,
      142.263321,
      69.740968,
      142.089929,
      69.726266,
      142.127349,
      69.660047,
      142.033004,
      69.603885,
      142.189828,
      69.582419,
      142.369623,
      69.507534,
      142.388988,
      69.426201,
      142.600123,
      69.296187,
      142.673659,
      69.249612,
      142.628880,
      69.247311,
      142.575290,
      69.278839,
      142.461210,
      69.257493,
      142.380728,
      69.275465,
      142.235597,
      69.253623,
      142.006392,
      69.271720,
      141.976509,
      69.260039,
      141.887629,
      69.276188,
      141.778380,
      69.208892,
      141.497394,
      69.168556,
      141.486229,
      69.168556,
      140.566574
    ]);
    poly[2999] = _TzPolygon([
      70.964888,
      142.197842,
      70.981685,
      142.261750,
      71.050143,
      142.349847,
      71.095931,
      142.552097,
      71.132126,
      142.569336,
      71.256608,
      142.416431,
      71.360793,
      142.529096,
      71.558731,
      142.530823,
      71.565942,
      142.603707,
      71.662151,
      142.724719,
      71.651407,
      142.815528,
      71.715220,
      142.979250,
      71.681908,
      143.070831,
      71.710685,
      143.158500,
      71.698140,
      143.048515,
      71.775811,
      143.077588,
      71.916397,
      143.343451,
      71.965215,
      143.341048,
      71.992671,
      143.477089,
      72.041330,
      143.369179,
      72.071943,
      143.438144,
      72.072260,
      143.672376,
      72.119532,
      143.722587,
      72.142036,
      143.665509,
      72.161924,
      143.806744,
      72.180188,
      143.806057,
      72.152588,
      143.909998,
      72.161031,
      144.024236,
      72.183994,
      143.985740,
      72.165458,
      144.033627,
      72.176696,
      144.079405,
      72.204409,
      144.036120,
      72.178121,
      144.113716,
      70.964888,
      144.113716
    ]);
  }
}

class _Initializer31 {
  static void _init() {
    poly[3000] = _TzPolygon([
      72.761219,
      145.217507,
      72.366063,
      144.740315,
      72.233671,
      144.506757,
      72.273957,
      144.296922,
      72.179211,
      144.200137,
      72.202994,
      144.166401,
      72.171239,
      144.134031,
      72.178121,
      144.113716,
      72.761219,
      144.113716
    ]);
    poly[3001] = _TzPolygon(
        [7.511199, 117.166690, 7.480271, 117.046292, 7.511199, 117.011096]);
    poly[3002] = _TzPolygon([
      7.511199,
      117.166690,
      7.378446,
      117.437160,
      7.184420,
      117.468365,
      6.903228,
      117.379536,
      6.506248,
      117.885923,
      6.459000,
      117.885240,
      6.459000,
      117.166690
    ]);
    poly[3003] = _TzPolygon([
      15.244109,
      117.730179,
      15.142393,
      117.869053,
      15.099803,
      117.854805,
      15.085301,
      117.793608,
      15.104610,
      117.712325,
      15.210154,
      117.695675
    ]);
    poly[3004] = _TzPolygon([
      8.399960,
      167.184146,
      8.404850,
      167.184967,
      8.471998,
      167.244530,
      8.517965,
      167.363222,
      8.501212,
      167.463938,
      8.468945,
      167.520083,
      8.414114,
      167.561300,
      8.399960,
      167.563442
    ]);
    poly[3005] = _TzPolygon([
      24.207778,
      118.239444,
      24.178889,
      118.291667,
      24.130833,
      118.294167,
      24.115278,
      118.232778,
      24.142222,
      118.188889,
      24.173055,
      118.188889,
      24.205000,
      118.206944
    ]);
    poly[3006] = _TzPolygon([
      24.207778,
      118.546111,
      24.207778,
      115.212170,
      25.829900,
      115.212170,
      25.829900,
      118.546111
    ]);
    poly[3007] = _TzPolygon([
      25.829900,
      120.451492,
      25.329364,
      120.129192,
      24.813137,
      119.605610,
      24.118202,
      118.546111,
      25.829900,
      118.546111
    ]);
    poly[3008] = _TzPolygon([
      26.037778,
      115.212170,
      26.037778,
      120.076944,
      25.829900,
      120.076944,
      25.829900,
      115.212170
    ]);
    poly[3009] = _TzPolygon([
      26.037778,
      120.076944,
      26.037778,
      115.212170,
      38.623477,
      115.212170,
      38.623477,
      120.076944
    ]);
    poly[3010] = _TzPolygon([
      38.623477,
      120.289722,
      25.829900,
      120.289722,
      25.829900,
      120.076944,
      38.623477,
      120.076944
    ]);
    poly[3011] = _TzPolygon([
      26.437222,
      120.490833,
      26.408611,
      120.556111,
      26.359444,
      120.577500,
      26.325000,
      120.568333,
      26.287222,
      120.461667,
      26.390556,
      120.413056,
      26.433333,
      120.446667
    ]);
    poly[3012] = _TzPolygon([
      34.891740,
      129.599528,
      34.777540,
      129.710638,
      34.671971,
      129.743290,
      34.415514,
      129.685666,
      34.058971,
      129.283113,
      33.908267,
      129.071046,
      33.947544,
      128.997861,
      34.679488,
      129.268486
    ]);
    poly[3013] = _TzPolygon([
      32.448242,
      128.470462,
      32.458994,
      128.445958,
      32.548879,
      128.372907,
      32.721700,
      128.351683,
      32.801366,
      128.369922,
      33.314213,
      128.615907,
      33.505278,
      128.859248,
      33.505261,
      129.120795,
      33.911170,
      129.638776,
      34.057958,
      129.803590,
      34.162727,
      129.832649,
      32.448242,
      129.832649
    ]);
    poly[3014] = _TzPolygon([
      38.623477,
      124.534150,
      38.623477,
      128.374371,
      38.594376,
      128.311022,
      38.436748,
      128.282773,
      38.369819,
      128.212570,
      38.307280,
      128.061773,
      38.330918,
      127.882233,
      38.304060,
      127.821666,
      38.348858,
      127.783009,
      38.324200,
      127.688961,
      38.333548,
      127.573638,
      38.301111,
      127.505556,
      38.337028,
      127.385317,
      38.313125,
      127.300240,
      38.332452,
      127.242276,
      38.313684,
      127.133322,
      38.214308,
      126.986033,
      38.157840,
      126.948992,
      38.136485,
      126.965548,
      38.101301,
      126.877924,
      38.003182,
      126.818844,
      37.954809,
      126.721513,
      37.957932,
      126.670813,
      37.839400,
      126.691253,
      37.783562,
      126.656027,
      37.765294,
      126.603485,
      37.844704,
      126.413576,
      37.829756,
      126.222917,
      37.808450,
      126.194120,
      37.715073,
      126.185380,
      37.712500,
      126.111111,
      37.658333,
      126.016667,
      37.714722,
      125.750000,
      37.691667,
      125.695000,
      37.681944,
      125.516667,
      37.583333,
      125.244444,
      37.637500,
      125.047222,
      37.766667,
      124.866667,
      38.000000,
      124.850000,
      38.050000,
      124.633333,
      38.041892,
      124.373618,
      38.188596,
      124.398135,
      38.249232,
      124.444921,
      38.330659,
      124.593391,
      38.492344,
      124.505681
    ]);
    poly[3015] = _TzPolygon(
        [38.623477, 128.653809, 38.617720, 128.655981, 38.623477, 128.374371]);
    poly[3016] = _TzPolygon([
      47.088321,
      152.619038,
      47.386673,
      152.082696,
      47.521722,
      152.238104,
      47.697235,
      152.619038
    ]);
    poly[3017] = _TzPolygon([
      50.686734,
      156.831768,
      51.071689,
      156.309305,
      51.103853,
      156.343351,
      51.250681,
      156.231927,
      51.507453,
      156.167654,
      51.839109,
      156.174358,
      52.160403,
      156.131232,
      52.836619,
      155.814585,
      53.813146,
      155.606741,
      54.608976,
      155.338826,
      55.232256,
      155.215243,
      55.565445,
      155.252033,
      55.565445,
      156.831768
    ]);
    poly[3018] = _TzPolygon([
      55.565445,
      155.252033,
      55.994642,
      155.299423,
      56.678948,
      155.606696,
      56.908682,
      155.795425,
      57.049196,
      156.111963,
      57.114947,
      156.163318,
      57.253988,
      156.136737,
      57.346617,
      156.190102,
      57.414586,
      156.318309,
      57.491740,
      156.626836,
      57.627019,
      156.448941,
      57.697814,
      156.404765,
      57.795688,
      156.424963,
      57.903705,
      156.533151,
      58.028433,
      156.821716,
      58.060928,
      157.035719,
      55.565445,
      157.035719
    ]);
    poly[3019] = _TzPolygon([
      61.642182,
      159.949578,
      61.642182,
      162.452760,
      60.866829,
      162.002116,
      60.283526,
      160.845356,
      60.438282,
      160.496800,
      60.388943,
      160.316821,
      60.375504,
      160.130404,
      60.401586,
      159.949578
    ]);
    poly[3020] = _TzPolygon([
      62.654972,
      161.406507,
      62.654972,
      162.810200,
      62.620449,
      162.800543,
      62.571277,
      162.681190,
      62.450964,
      162.781384,
      62.311785,
      162.786235,
      62.253754,
      162.700024,
      62.251672,
      162.617191,
      62.272306,
      162.595765,
      62.241356,
      162.534257,
      62.238953,
      162.397505,
      62.181912,
      162.309408,
      62.200762,
      162.260402,
      62.166281,
      162.162876,
      62.103805,
      162.289735,
      62.083215,
      162.524472,
      62.003586,
      162.542339,
      62.002310,
      162.490955,
      61.962177,
      162.498452,
      61.942071,
      162.443875,
      61.963934,
      162.369514,
      61.941515,
      162.293713,
      61.895875,
      162.376211,
      61.825581,
      162.386419,
      61.799888,
      162.474504,
      61.761191,
      162.390244,
      61.740764,
      162.463968,
      61.665734,
      162.466449,
      61.642182,
      162.452760,
      61.642182,
      161.406507
    ]);
    poly[3021] = _TzPolygon([
      62.654972,
      162.810200,
      62.690683,
      162.820190,
      62.705960,
      162.759282,
      62.691380,
      162.657698,
      62.747182,
      162.553938,
      62.778082,
      162.628540,
      62.830213,
      162.564559,
      62.903328,
      162.279559,
      62.952979,
      162.260813,
      63.030107,
      162.320836,
      63.043400,
      162.291870,
      63.108078,
      162.379768,
      63.091014,
      162.428971,
      63.111745,
      162.578171,
      63.153013,
      162.574206,
      63.166005,
      162.755945,
      63.237826,
      162.776981,
      63.265603,
      162.735715,
      63.306275,
      162.784129,
      63.344965,
      162.676994,
      63.384581,
      162.658213,
      63.383453,
      162.758541,
      63.417280,
      162.824811,
      63.415652,
      162.863436,
      62.654972,
      162.863436
    ]);
    poly[3022] = _TzPolygon([
      67.718919,
      154.121860,
      65.774547,
      154.121860,
      65.776527,
      154.106865,
      65.850264,
      154.087433,
      65.873049,
      153.956673,
      65.855026,
      153.797740,
      65.870852,
      153.754727,
      65.809594,
      153.531156,
      65.747972,
      153.483706,
      65.736889,
      153.549281,
      65.697960,
      153.580576,
      65.667004,
      153.514929,
      65.635579,
      153.540602,
      65.483493,
      153.441311,
      65.407670,
      153.590602,
      65.345737,
      153.500533,
      65.358092,
      153.439916,
      65.300721,
      153.202697,
      65.243863,
      153.152998,
      65.264191,
      153.119256,
      65.242989,
      152.973499,
      65.255738,
      152.933974,
      65.206831,
      152.797821,
      65.229331,
      152.761854,
      65.221183,
      152.717374,
      65.060508,
      152.630224,
      64.993862,
      152.525736,
      64.916384,
      152.518714,
      64.811292,
      152.585915,
      64.773079,
      152.749794,
      64.701393,
      152.847283,
      64.623176,
      152.727062,
      64.532901,
      152.376811,
      64.387909,
      152.440715,
      64.352269,
      152.140931,
      64.452285,
      152.071538,
      64.489094,
      151.972582,
      64.425812,
      151.496874,
      64.329911,
      151.405383,
      64.372636,
      151.326476,
      64.344147,
      151.251700,
      64.351948,
      151.208001,
      67.718919,
      151.208001
    ]);
    poly[3023] = _TzPolygon([
      65.774547,
      154.121860,
      65.769547,
      154.159725,
      65.805331,
      154.265346,
      65.922526,
      154.411806,
      65.974170,
      154.378689,
      65.994357,
      154.430058,
      66.030581,
      154.370542,
      66.047979,
      154.228944,
      66.088621,
      154.267330,
      66.103399,
      154.364956,
      66.183845,
      154.395869,
      66.217650,
      154.589754,
      66.181260,
      154.663521,
      66.168246,
      154.843026,
      66.109227,
      154.897894,
      66.128103,
      155.075330,
      66.160338,
      155.057722,
      66.157739,
      155.144218,
      66.182483,
      155.170693,
      66.181404,
      155.262680,
      66.125449,
      155.398221,
      66.144220,
      155.528177,
      66.120587,
      155.648615,
      66.161196,
      155.747972,
      66.067757,
      155.948471,
      66.073601,
      156.006589,
      66.046224,
      156.060643,
      66.070478,
      156.145336,
      66.060056,
      156.355073,
      66.033917,
      156.433155,
      66.189043,
      156.674004,
      66.036505,
      156.926616,
      66.007335,
      157.034383,
      65.957436,
      156.960047,
      65.934195,
      157.035719,
      63.667761,
      157.035719,
      63.667761,
      154.121860
    ]);
    poly[3024] = _TzPolygon([
      65.569569,
      159.736319,
      65.569569,
      159.949578,
      65.517430,
      159.949578,
      65.511256,
      159.811506
    ]);
    poly[3025] = _TzPolygon(
        [66.363387, 158.492648, 66.432102, 158.368665, 66.460236, 158.492648]);
    poly[3026] = _TzPolygon([
      67.079769,
      158.492648,
      67.101185,
      158.380898,
      67.227682,
      158.093155,
      67.286079,
      157.839066,
      67.351499,
      157.807727,
      67.419394,
      157.909346,
      67.449008,
      157.793054,
      67.471376,
      157.796622,
      67.471376,
      158.492648
    ]);
    poly[3027] = _TzPolygon([
      65.934195,
      157.035719,
      65.900984,
      157.143852,
      65.891827,
      157.335159,
      65.911023,
      157.447549,
      65.997819,
      157.438012,
      66.034027,
      157.655501,
      66.098642,
      157.738625,
      66.142603,
      158.188291,
      66.100843,
      158.284213,
      66.080980,
      158.464543,
      66.090471,
      158.492648,
      65.569569,
      158.492648,
      65.569569,
      157.035719
    ]);
    poly[3028] = _TzPolygon(
        [66.112907, 158.492648, 66.219740, 158.403346, 66.316079, 158.492648]);
    poly[3029] = _TzPolygon([
      66.090471,
      158.492648,
      66.095410,
      158.507274,
      66.112907,
      158.492648,
      66.316079,
      158.492648,
      66.322115,
      158.498243,
      66.339139,
      158.592078,
      66.315994,
      158.723100,
      66.265943,
      158.783008,
      66.248843,
      159.033558,
      66.227484,
      159.090743,
      66.232139,
      159.232571,
      66.149630,
      159.257539,
      66.049235,
      159.096970,
      66.024259,
      159.108860,
      66.004564,
      159.035411,
      65.947549,
      159.024906,
      65.888878,
      158.926682,
      65.871137,
      158.960973,
      65.856668,
      158.921327,
      65.826934,
      158.948976,
      65.813852,
      158.898230,
      65.734168,
      158.924685,
      65.724255,
      159.038860,
      65.659137,
      159.227461,
      65.648628,
      159.448378,
      65.618100,
      159.577516,
      65.597684,
      159.581082,
      65.575282,
      159.728953,
      65.569569,
      159.736319,
      65.569569,
      158.492648
    ]);
    poly[3030] = _TzPolygon([
      67.079769,
      158.492648,
      67.037357,
      158.713960,
      66.962765,
      158.811792,
      66.893871,
      158.787335,
      66.869575,
      158.863200,
      66.817353,
      158.858243,
      66.760587,
      158.960036,
      66.702493,
      158.720499,
      66.641765,
      158.722591,
      66.566425,
      158.636240,
      66.548431,
      158.535021,
      66.462901,
      158.504391,
      66.460345,
      158.492648
    ]);
    poly[3031] = _TzPolygon(
        [66.372894, 158.492648, 66.342662, 158.551016, 66.294076, 158.492648]);
    poly[3032] = _TzPolygon(
        [66.112907, 158.492648, 66.095410, 158.507274, 66.090471, 158.492648]);
    poly[3033] = _TzPolygon([
      65.517430,
      159.949578,
      67.471376,
      159.949578,
      67.471376,
      162.863436,
      64.662460,
      162.863436,
      64.662186,
      162.752481,
      64.687361,
      162.672600,
      64.740980,
      162.650107,
      64.762094,
      162.422304,
      64.743661,
      162.318979,
      64.785933,
      162.224432,
      64.837279,
      161.805051,
      64.864732,
      161.824628,
      64.907003,
      161.756147,
      65.003001,
      161.718085,
      65.062957,
      161.475827,
      65.148491,
      161.317704,
      65.178427,
      161.018790,
      65.142750,
      160.852826,
      65.178039,
      160.501978,
      65.275960,
      160.415959,
      65.291918,
      160.330924,
      65.339491,
      160.297826,
      65.362189,
      160.208826,
      65.432953,
      160.240945,
      65.502233,
      160.092682,
      65.520966,
      160.028658
    ]);
    poly[3034] = _TzPolygon([
      63.715467,
      162.863436,
      63.724776,
      162.777686,
      63.749505,
      162.725636,
      63.784027,
      162.757185,
      63.792812,
      162.704573,
      63.849797,
      162.773063,
      63.861455,
      162.863436
    ]);
    poly[3035] = _TzPolygon([
      63.993270,
      162.863436,
      64.008662,
      162.823483,
      64.087386,
      162.851947,
      64.099019,
      162.806043,
      64.129553,
      162.808538,
      64.145700,
      162.863436
    ]);
    poly[3036] = _TzPolygon([
      67.471376,
      157.796622,
      67.489086,
      157.799447,
      67.518002,
      157.730566,
      67.622253,
      157.777557,
      67.659478,
      157.848121,
      67.674568,
      157.810091,
      67.723970,
      157.942039,
      67.694815,
      158.169867,
      67.714712,
      158.182250,
      67.724236,
      158.363940,
      67.820674,
      158.259023,
      67.821721,
      158.106031,
      67.873527,
      158.056803,
      67.914022,
      158.103566,
      67.934821,
      158.215908,
      68.060556,
      158.325146,
      68.127407,
      158.646985,
      68.101771,
      158.897971,
      68.189773,
      159.244884,
      68.186571,
      159.417625,
      68.223031,
      159.637041,
      68.179964,
      159.762516,
      68.249518,
      159.831559,
      68.258472,
      159.949578,
      67.471376,
      159.949578
    ]);
    poly[3037] = _TzPolygon([
      68.258472,
      159.949578,
      68.267139,
      160.063825,
      68.238748,
      160.393466,
      68.247989,
      160.731710,
      68.284424,
      161.028757,
      68.341693,
      161.199905,
      68.377936,
      161.449741,
      68.375694,
      161.644137,
      68.345293,
      161.713980,
      68.340347,
      161.893656,
      68.359483,
      161.980495,
      68.334620,
      162.194525,
      68.274317,
      162.395413,
      68.284103,
      162.447526,
      68.333041,
      162.547950,
      68.437320,
      162.616563,
      68.483344,
      162.563824,
      68.583955,
      162.751685,
      68.658241,
      162.709588,
      68.685370,
      162.603244,
      68.777632,
      162.591608,
      68.769864,
      162.738104,
      68.831229,
      162.855209,
      68.917188,
      162.751800,
      68.982584,
      162.539667,
      69.035302,
      162.577096,
      69.067557,
      162.510844,
      69.107462,
      162.535732,
      69.123839,
      162.685317,
      69.146423,
      162.688862,
      69.183649,
      162.826464,
      69.181352,
      162.772473,
      69.244011,
      162.698964,
      69.288770,
      162.562997,
      69.328505,
      162.513533,
      69.373727,
      162.542781,
      69.408152,
      162.347890,
      69.454206,
      162.432079,
      69.528534,
      162.322333,
      69.555454,
      162.414059,
      69.590994,
      162.324110,
      69.632718,
      162.488798,
      69.869038,
      162.531060,
      69.853876,
      162.818315,
      69.859055,
      162.863436,
      67.471376,
      162.863436,
      67.471376,
      159.949578
    ]);
    poly[3038] = _TzPolygon([
      63.014501,
      168.691154,
      63.083486,
      168.466368,
      63.178267,
      168.619871,
      63.183050,
      168.691154
    ]);
    poly[3039] = _TzPolygon(
        [62.363787, 170.148084, 62.366201, 170.140918, 62.396536, 170.148084]);
    poly[3040] = _TzPolygon([
      62.409296,
      170.148084,
      62.440927,
      170.074183,
      62.490840,
      170.118760,
      62.522499,
      170.063553,
      62.526331,
      169.988964,
      62.578731,
      170.044572,
      62.623279,
      170.028008,
      62.636479,
      170.093160,
      62.674604,
      170.048049,
      62.659470,
      169.832745,
      62.715483,
      169.727900,
      62.704598,
      169.679409,
      62.750573,
      169.579482,
      62.792974,
      169.578010,
      62.862831,
      169.370072,
      62.891322,
      169.389177,
      62.939391,
      169.186518,
      62.973741,
      169.155907,
      62.943581,
      168.922245,
      63.014501,
      168.691154,
      63.183050,
      168.691154,
      63.187555,
      168.758291,
      63.231046,
      168.714431,
      63.252185,
      168.756183,
      63.237420,
      168.800161,
      63.303423,
      168.826835,
      63.303423,
      170.148084
    ]);
    poly[3041] = _TzPolygon(
        [62.409296, 170.148084, 62.408124, 170.150821, 62.396536, 170.148084]);
    poly[3042] = _TzPolygon([
      62.363787,
      170.148084,
      62.344565,
      170.205130,
      62.295329,
      170.194294,
      62.281325,
      170.245718,
      62.294910,
      170.290280,
      62.273227,
      170.309054,
      62.313408,
      170.397573,
      62.285621,
      170.490754,
      62.303805,
      170.544239,
      62.267511,
      170.641231,
      62.277845,
      170.736120,
      62.249786,
      170.842804,
      62.280754,
      170.881703,
      62.277264,
      171.057157,
      62.347080,
      171.107763,
      62.339048,
      171.171339,
      62.393352,
      171.258404,
      62.372576,
      171.314958,
      62.319866,
      171.248155,
      62.319549,
      171.315538,
      62.354320,
      171.382744,
      62.301781,
      171.402679,
      62.294206,
      171.482470,
      62.332119,
      171.605013,
      61.516254,
      171.605013,
      61.516254,
      170.148084
    ]);
    poly[3043] = _TzPolygon([
      62.383959,
      173.061943,
      62.399059,
      172.924309,
      62.347644,
      172.854532,
      62.357890,
      172.754696,
      62.412584,
      172.756171,
      62.445272,
      172.561024,
      62.438965,
      172.452212,
      62.371698,
      172.289890,
      62.461487,
      172.218939,
      62.465021,
      172.077910,
      62.456058,
      171.998644,
      62.416243,
      171.978614,
      62.402459,
      171.923466,
      62.412223,
      171.852391,
      62.359225,
      171.893390,
      62.354163,
      171.676266,
      62.332119,
      171.605013,
      63.303423,
      171.605013,
      63.303423,
      173.061943
    ]);
    poly[3044] = _TzPolygon([
      62.383959,
      173.061943,
      63.303423,
      173.061943,
      63.303423,
      174.518872,
      61.610575,
      174.518872,
      61.607801,
      174.502394,
      61.840948,
      174.438774,
      61.837981,
      174.496964,
      61.883016,
      174.516825,
      61.917776,
      174.436126,
      61.975217,
      174.490516,
      61.986787,
      174.447632,
      62.023903,
      174.451898,
      62.034351,
      174.335020,
      62.078618,
      174.353816,
      62.093357,
      174.304873,
      62.083340,
      174.160671,
      62.156999,
      174.108163,
      62.197472,
      174.145888,
      62.282914,
      173.999386,
      62.287900,
      174.054646,
      62.328560,
      174.069572,
      62.337860,
      174.151094,
      62.424290,
      174.158895,
      62.472250,
      174.042267,
      62.435380,
      173.898487,
      62.509882,
      173.839580,
      62.518040,
      173.726841,
      62.546819,
      173.672190,
      62.499343,
      173.613226,
      62.523735,
      173.500988,
      62.448720,
      173.329737,
      62.447456,
      173.161524,
      62.421990,
      173.180178,
      62.418341,
      173.095766,
      62.383074,
      173.070009
    ]);
    poly[3045] = _TzPolygon([
      64.901992,
      164.320366,
      64.937469,
      164.224707,
      64.893137,
      164.151001,
      64.897634,
      164.065008,
      64.867590,
      164.044649,
      64.848028,
      163.907742,
      64.861595,
      163.828923,
      64.892185,
      163.805852,
      64.884989,
      163.677854,
      64.928587,
      163.544892,
      64.801563,
      163.363468,
      64.813802,
      163.207603,
      64.793097,
      163.125913,
      64.693732,
      163.266165,
      64.662974,
      163.071021,
      64.662460,
      162.863436,
      65.177208,
      162.863436,
      65.177208,
      164.320366
    ]);
    poly[3046] = _TzPolygon([
      64.662460,
      162.863436,
      64.662974,
      163.071021,
      64.694586,
      163.262802,
      64.619065,
      163.177361,
      64.536858,
      163.192556,
      64.445768,
      163.414452,
      64.372312,
      163.397454,
      64.377293,
      163.469251,
      64.358130,
      163.495694,
      64.343313,
      163.372029,
      64.296940,
      163.353246,
      64.297835,
      163.262415,
      64.157311,
      163.179747,
      64.186505,
      163.002176,
      64.145700,
      162.863436
    ]);
    poly[3047] = _TzPolygon([
      63.993270,
      162.863436,
      63.966554,
      162.932787,
      63.922905,
      162.954211,
      63.897907,
      162.903418,
      63.872114,
      162.946072,
      63.861455,
      162.863436
    ]);
    poly[3048] = _TzPolygon([
      63.715467,
      162.863436,
      63.714187,
      162.875229,
      63.645441,
      162.892683,
      63.620242,
      162.999620,
      63.528581,
      162.948028,
      63.480369,
      162.971039,
      63.415097,
      162.876593,
      63.415652,
      162.863436
    ]);
    poly[3049] = _TzPolygon([
      64.901992,
      164.320366,
      64.886237,
      164.362849,
      64.874799,
      164.471833,
      64.825019,
      164.516425,
      64.795528,
      164.607592,
      64.813588,
      164.643710,
      64.774320,
      164.719691,
      64.767217,
      164.800301,
      64.674648,
      164.894991,
      64.675938,
      165.012585,
      64.830462,
      165.005101,
      64.854638,
      165.137212,
      64.827598,
      165.286615,
      64.754340,
      165.336542,
      64.764213,
      165.387318,
      64.733335,
      165.445495,
      64.756124,
      165.500409,
      64.736539,
      165.567374,
      64.751447,
      165.681053,
      64.714798,
      165.758397,
      64.661513,
      165.729696,
      64.647931,
      165.777295,
      63.303423,
      165.777295,
      63.303423,
      164.320366
    ]);
    poly[3050] = _TzPolygon([
      64.647931,
      165.777295,
      64.612110,
      165.902834,
      64.586512,
      165.820972,
      64.547465,
      165.850848,
      64.549084,
      166.040728,
      64.620014,
      166.185739,
      64.580803,
      166.290592,
      64.590268,
      166.407941,
      64.521914,
      166.591856,
      64.549762,
      166.729994,
      64.518863,
      166.787804,
      64.544411,
      166.859232,
      64.536318,
      166.992047,
      64.594463,
      167.086985,
      64.592524,
      167.135402,
      64.619691,
      167.126855,
      64.607670,
      167.199358,
      64.622668,
      167.235509,
      64.501677,
      167.339302,
      64.478350,
      167.386899,
      64.482259,
      167.476589,
      64.452476,
      167.483564,
      64.428692,
      167.587474,
      64.318892,
      167.687646,
      64.345986,
      167.809568,
      64.294216,
      167.847339,
      64.265495,
      168.038053,
      64.276690,
      168.182753,
      64.331137,
      168.246553,
      64.297028,
      168.367045,
      64.317241,
      168.482724,
      64.286139,
      168.566400,
      64.193683,
      168.652026,
      64.191024,
      168.691154,
      63.303423,
      168.691154,
      63.303423,
      165.777295
    ]);
    poly[3051] = _TzPolygon([
      70.798566,
      162.863436,
      70.790557,
      162.906752,
      70.721297,
      163.056431,
      70.641512,
      163.105983,
      70.549831,
      163.039774,
      70.478352,
      162.875416,
      70.476842,
      162.863436
    ]);
    poly[3052] = _TzPolygon([
      64.191024,
      168.691154,
      64.183617,
      168.800179,
      64.108232,
      168.808736,
      64.047770,
      168.890124,
      63.984723,
      168.876823,
      63.974183,
      169.066729,
      63.935409,
      169.090250,
      63.940076,
      169.387495,
      63.873241,
      169.376450,
      63.805454,
      169.574981,
      63.691512,
      169.570839,
      63.654413,
      169.641675,
      63.631820,
      169.554445,
      63.564474,
      169.527422,
      63.513809,
      169.227215,
      63.414000,
      169.094153,
      63.304942,
      168.827449,
      63.303423,
      168.826835,
      63.303423,
      168.691154
    ]);
  }
}

List<_TzPolygon> initPolyArray() {
  poly = List<_TzPolygon>(3053);

  _Initializer1._init();
  _Initializer2._init();
  _Initializer3._init();
  _Initializer4._init();
  _Initializer5._init();
  _Initializer6._init();
  _Initializer7._init();
  _Initializer8._init();
  _Initializer9._init();
  _Initializer10._init();
  _Initializer11._init();
  _Initializer12._init();
  _Initializer13._init();
  _Initializer14._init();
  _Initializer15._init();
  _Initializer16._init();
  _Initializer17._init();
  _Initializer18._init();
  _Initializer19._init();
  _Initializer20._init();
  _Initializer21._init();
  _Initializer22._init();
  _Initializer23._init();
  _Initializer24._init();
  _Initializer25._init();
  _Initializer26._init();
  _Initializer27._init();
  _Initializer28._init();
  _Initializer29._init();
  _Initializer30._init();
  _Initializer31._init();
  return poly;
}
